// Copyright 2024 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright 2017 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

.network-timing-table {
  width: 380px;
  border-spacing: 0;
  padding-left: 10px;
  padding-right: 10px;
  line-height: initial;
  table-layout: fixed;
}

.network-timing-start {
  border-top: 5px solid transparent;
}

.network-timing-start th span.network-timing-hidden-header {
  height: 1px;
  width: 1px;
  position: absolute;
  overflow: hidden;
}

.network-timing-table-header td,
.network-timing-footer td {
  border-top: 10px solid transparent;
}

.network-timing-table-header td {
  color: var(--sys-color-token-subtle);
}

.network-timing-table td {
  padding: 4px 0;
}

.network-timing-table-header td:last-child {
  text-align: right;
}

.network-timing-footer td:last-child {
  font-weight: bold;
  text-align: right;
}

table.network-timing-table > tr:not(.network-timing-table-header):not(.network-timing-footer) > td:first-child {
  padding-left: 12px;
}

.network-timing-table col.labels {
  width: 156px;
}

.network-timing-table col.duration {
  width: 80px;
}

.network-timing-table td.caution {
  font-weight: bold;
  color: var(--issue-color-yellow);
  padding: 2px 0;
}

.network-timing-table hr.break {
  background-color: var(--sys-color-divider);
  border: none;
  height: 1px;
}

.network-timing-row {
  position: relative;
  height: 15px;
}

.network-timing-bar {
  position: absolute;
  min-width: 1px;
  top: 0;
  bottom: 0;
}

.network-timing-bar-title {
  color: var(--sys-color-on-surface);
  white-space: nowrap;
  text-align: right;
}

.network-timing-bar.queueing,
.network-timing-bar.total {
  border: 1px solid var(--sys-color-token-subtle);
}

.network-timing-bar.blocking,
.-theme-preserve {
  background-color: var(--network-overview-blocking); /* stylelint-disable-line plugin/use_theme_colors */
}

.network-timing-bar.proxy,
.-theme-preserve {
  background-color: var(--override-network-overview-proxy);
}

.network-timing-bar.dns,
.-theme-preserve {
  background-color: var(--sys-color-cyan);
}

.network-timing-bar.connecting,
.network-timing-bar.serviceworker,
.network-timing-bar.serviceworker-preparation,
.-theme-preserve {
  background-color: var(--network-overview-service-worker); /* stylelint-disable-line plugin/use_theme_colors */
}

.network-timing-bar.ssl,
.-theme-preserve {
  background-color: var(--network-overview-ssl); /* stylelint-disable-line plugin/use_theme_colors */
}

.network-timing-bar.serviceworker-respondwith,
.-theme-preserve {
  background-color: var(--network-overview-service-worker-respond-with); /* stylelint-disable-line plugin/use_theme_colors */
}

.network-fetch-timing-bar-clickable::before {
  user-select: none;
  mask-image: var(--image-file-triangle-right);
  float: left;
  width: 14px;
  height: 14px;
  margin-right: 2px;
  content: "";
  position: relative;
  background-color: var(--icon-default);
  transition: transform 200ms;
}

.network-fetch-timing-bar-clickable {
  position: relative;
  left: -12px;
}

.network-fetch-timing-bar-clickable:focus-visible {
  background-color: var(--sys-color-state-focus-highlight);
}

.network-fetch-timing-bar-clickable[aria-checked="true"]::before {
  transform: rotate(90deg);
}

.network-fetch-timing-bar-details-collapsed {
  display: none;
}

.network-fetch-timing-bar-details-expanded {
  display: block;
}

.network-fetch-timing-bar-details {
  padding-left: 11px;
  width: fit-content;
}

.network-fetch-details-treeitem {
  width: max-content;
}

.network-timing-bar.sending,
.-theme-preserve {
  background-color: var(--override-network-overview-sending);
}

.network-timing-bar.waiting,
.-theme-preserve {
  background-color: var(--network-overview-waiting); /* stylelint-disable-line plugin/use_theme_colors */
}

.network-timing-bar.receiving,
.network-timing-bar.receiving-push,
.-theme-preserve {
  background-color: var(--network-overview-receiving); /* stylelint-disable-line plugin/use_theme_colors */
}

.network-timing-bar.push,
.-theme-preserve {
  background-color: var(--network-overview-push); /* stylelint-disable-line plugin/use_theme_colors */
}

.server-timing-row:nth-child(even) {
  background: var(--sys-color-surface1);
}

.network-timing-bar.server-timing,
.-theme-preserve {
  background-color: var(--sys-color-neutral-container);
}

.network-timing-table td.network-timing-metric {
  white-space: nowrap;
  max-width: 150px;
  overflow-x: hidden;
  text-overflow: ellipsis;
}

.network-timing-bar.proxy,
.network-timing-bar.dns,
.network-timing-bar.ssl,
.network-timing-bar.connecting,
.network-timing-bar.blocking {
  height: 10px;
  margin: auto;
}

@media (forced-colors: active) {
  .network-timing-bar.blocking,
  .network-timing-bar.proxy,
  .network-timing-bar.dns,
  .network-timing-bar.connecting,
  .network-timing-bar.serviceworker,
  .network-timing-bar.serviceworker-preparation,
  .network-timing-bar.ssl,
  .network-timing-bar.sending,
  .network-timing-bar.waiting,
  .network-timing-bar.receiving,
  .network-timing-bar.receiving-push,
  .network-timing-bar.push,
  .network-timing-bar.server-timing,
  .-theme-preserve {
    forced-color-adjust: none;
  }

  .network-timing-table-header td,
  .network-timing-footer td {
    forced-color-adjust: none;
    color: ButtonText;
  }
}

/*# sourceURL=networkTimingTable.css */
`);

export default styles;
