// Copyright 2024 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
const styles = new CSSStyleSheet();
styles.replaceSync(
`/*
 * Copyright 2016 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */
/* Tree outline overrides */

:host {
  padding: 0;
}

ol.tree-outline {
  overflow: auto;
  flex: auto;
  padding: 0;
  margin: 0;
}

.tree-outline li {
  height: 36px;
  padding-right: 5px;
  margin-top: 1px;
  line-height: 34px;
  border-top: 1px solid transparent;
}

.tree-outline li:not(.parent)::before {
  display: none;
}

:host-context(.some-expandable) .tree-outline li:not(.parent) {
  margin-left: 10px;
}

.tree-outline li.profiles-tree-section {
  height: 18px;
  padding: 0 10px;
  white-space: nowrap;
  margin-top: 1px;
  color: var(--sys-color-token-subtle);
  line-height: 18px;
}

.tree-outline li.profiles-tree-section::before {
  display: none;
}

.tree-outline ol {
  overflow: hidden;
}
/* Generic items styling */

li .icon {
  width: 20px;
  height: 20px;
  margin-top: 1px;
  margin-right: 3px;
  flex: none;
}

.tree-outline > .icon {
  margin-left: 16px;
}

li.wait .spinner::before {
  --dimension: 20px;

  margin: 0;
}

li.wait.small .spinner::before {
  --dimension: 14px;
  --clip-size: 9px;
  --override-spinner-size: 2px;

  margin: 1px;
}

li.wait.selected .spinner::before {
  --override-spinner-color: var(--ref-palette-neutral100);
}

@keyframes spinner-animation {
  from { transform: rotate(0); }
  to { transform: rotate(360deg); }
}

li.small {
  height: 20px;
}

li .titles {
  display: flex;
  flex-direction: column;
  top: 5px;
  line-height: 12px;
  padding-bottom: 1px;
  text-overflow: ellipsis;
  overflow: visible;
  white-space: nowrap;
  flex: auto;
}

li .titles > .title-container {
  display: flex;
}

li.small .titles {
  top: 2px;
  line-height: normal;
}

li:not(.small) .title::after {
  content: "\\A";
  white-space: pre;
}

li .subtitle {
  font-size: 80%;
}

li.small .subtitle {
  display: none;
}

li button {
  border: none;
  background: none;
  visibility: hidden;
}

li.selected:hover button {
  visibility: visible;
}

/* Launcher */

.profile-launcher-view-tree-item {
  margin-left: 0 !important; /* stylelint-disable-line declaration-no-important */
}

.profile-launcher-view-tree-item > .icon {
  width: 8px !important; /* stylelint-disable-line declaration-no-important */
  visibility: hidden;
}
/* Heap profiles and CPU profiles */
.heap-snapshot-sidebar-tree-item .icon,
.profile-sidebar-tree-item .icon {
  mask-image: var(--image-file-heap-snapshot);
  background: var(--icon-default);
}

.profile-group-sidebar-tree-item .icon {
  mask-image: var(--image-file-heap-snapshots);
  background: var(--icon-default);
}

li.small .icon {
  width: 16px;
  height: 16px;
}

li.wait .icon {
  content: none;
}

.heap-snapshot-sidebar-tree-item.wait .icon {
  mask-image: unset;
  background-color: inherit;
}

.heap-snapshot-sidebar-tree-item.small .icon {
  mask-image: var(--image-file-heap-snapshots);
  background: var(--icon-default);
}

.profile-sidebar-tree-item.small .icon {
  mask-image: var(--image-file-heap-snapshots);
  background: var(--icon-default);
}

@media (forced-colors: active) {
  .tree-outline li,
  .tree-outline li.profiles-tree-section,
  .tree-outline li:hover .tree-element-title {
    forced-color-adjust: none;
    color: ButtonText;
    text-shadow: unset;
  }

  .tree-outline:not(.hide-selection-when-blurred) li.selected {
    color: HighlightText;
  }
}

/*# sourceURL=profilesSidebarTree.css */
`);

export default styles;
