// Copyright 2024 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
// IMPORTANT: this file is auto generated. Please do not edit this file.
/* istanbul ignore file */
export default {
  cssContent: `/*
 * Copyright (C) 2013 Google Inc. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *     * Redistributions of source code must retain the above copyright
 * notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above
 * copyright notice, this list of conditions and the following disclaimer
 * in the documentation and/or other materials provided with the
 * distribution.
 *     * Neither the name of Google Inc. nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

.filter-bar {
  background-color: var(--sys-color-cdt-base-container);
  flex: none;
  flex-wrap: wrap;
  align-items: center;
  border-bottom: 1px solid var(--sys-color-divider);
  color: var(--sys-color-on-surface-subtle);
}

.text-filter {
  width: 200px;
}

.filter-bitset-filter {
  padding: 2px;
  display: inline-flex;
  overflow: hidden;
  height: 24px;
  position: relative;
  margin: 0;
}

.filter-bitset-filter span {
  color: var(--sys-color-on-surface);
  outline: 1px solid var(--sys-color-neutral-outline);
  outline-offset: -1px;
  box-sizing: border-box;
  display: inline-block;
  flex: none;
  margin: auto 2px;
  padding: 3px 6px;
  background: transparent;
  border-radius: 6px;
  overflow: hidden;
  cursor: pointer;
  font-weight: 500;
  font-size: 11px;
}

.filter-bitset-filter span:focus-visible {
  outline: -webkit-focus-ring-color auto 5px;
}

.filter-bitset-filter span:hover {
  outline: none;
  background: var(--sys-color-state-hover-on-subtle);
}

.filter-bitset-filter span.selected,
.filter-bitset-filter span:active {
  color: var(--sys-color-on-tonal-container);
  outline: none;
  background-color: var(--sys-color-tonal-container);
}

.filter-bitset-filter-divider {
  background-color: var(--sys-color-divider);
  height: 16px;
  width: 1px;
  margin: auto 2px;
  display: inline-block;
}

.filter-checkbox-filter {
  padding-left: 4px;
  padding-right: 7px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  display: inline-flex;
  vertical-align: middle;
  height: 24px;
  position: relative;
}

.filter-checkbox-filter > [is="dt-checkbox"] {
  display: flex;
  margin: auto 0;
}

.toolbar-has-dropdown-shrinkable {
  flex-shrink: 1;
}

.filter-divider {
  background-color: var(--sys-color-on-base-divider);
  width: 1px;
  margin: 5px 4px;
  height: 16px;
}

.toolbar-button {
  white-space: nowrap;
  overflow: hidden;
  min-width: 28px;
  background: transparent;
  border-radius: 0;
}

.toolbar-button .active-filters-count {
  margin-right: 5px;

  --override-adorner-background-color: var(--sys-color-tonal-container);
  --override-adorner-border-color: var(--sys-color-tonal-container);
  --override-adorner-text-color: var(--sys-color-primary);
  --override-adorner-font-size: 10px;

  font-weight: 700;
}

.toolbar-text {
  margin: 0 4px 0 0;
  text-overflow: ellipsis;
  flex: auto;
  overflow: hidden;
  text-align: right;
}

.dropdown-filterbar {
  justify-content: space-between;
  padding: 0 3px 0 5px;
  border: 1px solid transparent;
  border-radius: 7px;
  display: flex;
  background-color: transparent;
  color: var(--sys-color-on-surface-subtle);
}

button.toolbar-item:focus-visible {
  background: var(--sys-color-state-hover-on-subtle);
  border-radius: 2px;
}

@media (forced-colors: active) {
  .filter-bitset-filter span:hover,
  .filter-bitset-filter span.selected,
  .filter-bitset-filter span:active {
    forced-color-adjust: none;
    background: Highlight;
    color: HighlightText;
  }
}
`
};
