/**
 * Lighthouse v12.0.0 (Apr 22 2024)
 *
 * Automated auditing, performance metrics, and best practices for the web.
 *
 * @homepage https://github.com/GoogleChrome/lighthouse#readme
 * @author   Copyright 2023 Google LLC
 * @license  Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */
"use strict";(()=>{var nq=Object.create;var Tc=Object.defineProperty;var rq=Object.getOwnPropertyDescriptor;var aq=Object.getOwnPropertyNames;var oq=Object.getPrototypeOf,iq=Object.prototype.hasOwnProperty;var s=(e,t)=>Tc(e,"name",{value:t,configurable:!0});var g=(e,t)=>()=>(e&&(t=e(e=0)),t);var P=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports),x=(e,t)=>{for(var n in t)Tc(e,n,{get:t[n],enumerable:!0})},hC=(e,t,n,r)=>{if(t&&typeof t=="object"||typeof t=="function")for(let a of aq(t))!iq.call(e,a)&&a!==n&&Tc(e,a,{get:()=>t[a],enumerable:!(r=rq(t,a))||r.enumerable});return e};var Bt=(e,t,n)=>(n=e!=null?nq(oq(e)):{},hC(t||!e||!e.__esModule?Tc(n,"default",{value:e,enumerable:!0}):n,e)),sq=e=>hC(Tc({},"__esModule",{value:!0}),e);function gC(){throw new Error("setTimeout has not been defined")}function yC(){throw new Error("clearTimeout has not been defined")}function vC(e){if(Ta===setTimeout)return setTimeout(e,0);if((Ta===gC||!Ta)&&setTimeout)return Ta=setTimeout,setTimeout(e,0);try{return Ta(e,0)}catch{try{return Ta.call(null,e,0)}catch{return Ta.call(this,e,0)}}}function cq(e){if(xa===clearTimeout)return clearTimeout(e);if((xa===yC||!xa)&&clearTimeout)return xa=clearTimeout,clearTimeout(e);try{return xa(e)}catch{try{return xa.call(null,e)}catch{return xa.call(this,e)}}}function uq(){!Di||!wo||(Di=!1,wo.length?Qr=wo.concat(Qr):Qd=-1,Qr.length&&bC())}function bC(){if(!Di){var e=vC(uq);Di=!0;for(var t=Qr.length;t;){for(wo=Qr,Qr=[];++Qd<t;)wo&&wo[Qd].run();Qd=-1,t=Qr.length}wo=null,Di=!1,cq(e)}}function rn(e){var t=new Array(arguments.length-1);if(arguments.length>1)for(var n=1;n<arguments.length;n++)t[n-1]=arguments[n];Qr.push(new wC(e,t)),Qr.length===1&&!Di&&vC(bC)}function wC(e,t){this.fun=e,this.array=t}function Do(){}
function Cq(e){throw new Error("process.binding is not supported")}function kq(){return"/"}function Fq(e){throw new Error("process.chdir is not supported")}function Rq(){return 0}function _q(e){var t=Aq.call(wi)*.001,n=Math.floor(t),r=Math.floor(t%1*1e9);return e&&(n=n-e[0],r=r-e[1],r<0&&(n--,r+=1e9)),[n,r]}function Mq(){var e=new Date,t=e-Iq;return t/1e3}var Ta,xa,Qr,Di,wo,Qd,lq,dq,mq,pq,fq,hq,gq,yq,vq,bq,wq,Dq,Eq,Tq,xq,Sq,wi,Aq,Iq,an,Sa=g(()=>{l();s(gC,"defaultSetTimout");s(yC,"defaultClearTimeout");Ta=gC,xa=yC;typeof globalThis.setTimeout=="function"&&(Ta=setTimeout);typeof globalThis.clearTimeout=="function"&&(xa=clearTimeout);s(vC,"runTimeout");s(cq,"runClearTimeout");Qr=[],Di=!1,Qd=-1;s(uq,"cleanUpNextTick");s(bC,"drainQueue");s(rn,"nextTick");s(wC,"Item");wC.prototype.run=function(){this.fun.apply(null,this.array)};lq="browser",dq="browser",mq=!0,pq={},fq=[],hq="",gq={},yq={},vq={};s(Do,"noop");bq=Do,wq=Do,Dq=Do,Eq=Do,Tq=Do,xq=Do,Sq=Do;s(Cq,"binding");s(kq,"cwd");s(Fq,"chdir");s(
Rq,"umask");wi=globalThis.performance||{},Aq=wi.now||wi.mozNow||wi.msNow||wi.oNow||wi.webkitNow||function(){return new Date().getTime()};s(_q,"hrtime");Iq=new Date;s(Mq,"uptime");an={nextTick:rn,title:lq,browser:mq,env:pq,argv:fq,version:hq,versions:gq,on:bq,addListener:wq,once:Dq,off:Eq,removeListener:Tq,removeAllListeners:xq,emit:Sq,binding:Cq,cwd:kq,chdir:Fq,umask:Rq,hrtime:_q,platform:dq,release:yq,config:vq,uptime:Mq}});var l=g(()=>{"use strict";Sa();globalThis.process=an});function xC(){n1=!0;for(var e="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",t=0,n=e.length;t<n;++t)Tr[t]=e[t],Bn[e.charCodeAt(t)]=t;Bn[45]=62,Bn[95]=63}function Pq(e){n1||xC();var t,n,r,a,o,i,c=e.length;if(c%4>0)throw new Error("Invalid string. Length must be a multiple of 4");o=e[c-2]==="="?2:e[c-1]==="="?1:0,i=new Nq(c*3/4-o),r=o>0?c-4:c;var u=0;for(t=0,n=0;t<r;t+=4,n+=3)a=Bn[e.charCodeAt(t)]<<18|Bn[e.charCodeAt(t+1)]<<12|Bn[e.charCodeAt(t+2)]<<6|Bn[e.charCodeAt(t+3)],i[u++]=a>>16&255,i[u++]=a>>8&255,i[u++]=a&255;return o===2?(a=Bn[e.charCodeAt(t)]<<2|Bn[e.charCodeAt(t+1)]>>4,i[u++]=a&255):o===1&&(a=Bn[e.charCodeAt(t)]<<10|Bn[e.charCodeAt(t+1)]<<4|Bn[e.charCodeAt(t+2)]>>2,i[u++]=a>>8&255,i[u++]=a&255),i}function Lq(e){return Tr[e>>18&63]+Tr[e>>12&63]+Tr[e>>6&63]+Tr[e&63]}function Oq(e,t,n){for(var r,a=[],o=t;o<n;o+=3)r=(e[o]<<16)+(e[o+1]<<8)+e[o+2],a.push(Lq(r));return a.join("")}function DC(e){n1||xC();for(var t,n=e.length,r=n%3,a="",o=[],i=16383,c=0,u=n-r;c<u;c+=
i)o.push(Oq(e,c,c+i>u?u:c+i));return r===1?(t=e[n-1],a+=Tr[t>>2],a+=Tr[t<<4&63],a+="=="):r===2&&(t=(e[n-2]<<8)+e[n-1],a+=Tr[t>>10],a+=Tr[t>>4&63],a+=Tr[t<<2&63],a+="="),o.push(a),o.join("")}function nm(e,t,n,r,a){var o,i,c=a*8-r-1,u=(1<<c)-1,d=u>>1,m=-7,p=n?a-1:0,h=n?-1:1,f=e[t+p];for(p+=h,o=f&(1<<-m)-1,f>>=-m,m+=c;m>0;o=o*256+e[t+p],p+=h,m-=8);for(i=o&(1<<-m)-1,o>>=-m,m+=r;m>0;i=i*256+e[t+p],p+=h,m-=8);if(o===0)o=1-d;else{if(o===u)return i?NaN:(f?-1:1)*(1/0);i=i+Math.pow(2,r),o=o-d}return(f?-1:1)*i*Math.pow(2,o-r)}function SC(e,t,n,r,a,o){var i,c,u,d=o*8-a-1,m=(1<<d)-1,p=m>>1,h=a===23?Math.pow(2,-24)-Math.pow(2,-77):0,f=r?0:o-1,y=r?1:-1,v=t<0||t===0&&1/t<0?1:0;for(t=Math.abs(t),isNaN(t)||t===1/0?(c=isNaN(t)?1:0,i=m):(i=Math.floor(Math.log(t)/Math.LN2),t*(u=Math.pow(2,-i))<1&&(i--,u*=2),i+p>=1?t+=h/u:t+=h*Math.pow(2,1-p),t*u>=2&&(i++,u/=2),i+p>=m?(c=0,i=m):i+p>=1?(c=(t*u-1)*Math.pow(2,a),i=i+p):(c=t*Math.pow(2,p-1)*Math.pow(2,a),i=0));a>=8;e[n+f]=c&255,f+=y,c/=256,a-=8);for(i=i<<a|c,d+=
a;d>0;e[n+f]=i&255,f+=y,i/=256,d-=8);e[n+f-y]|=v*128}function em(){return z.TYPED_ARRAY_SUPPORT?2147483647:1073741823}function ea(e,t){if(em()<t)throw new RangeError("Invalid typed array length");return z.TYPED_ARRAY_SUPPORT?(e=new Uint8Array(t),e.__proto__=z.prototype):(e===null&&(e=new z(t)),e.length=t),e}function z(e,t,n){if(!z.TYPED_ARRAY_SUPPORT&&!(this instanceof z))return new z(e,t,n);if(typeof e=="number"){if(typeof t=="string")throw new Error("If encoding is specified then the first argument must be a string");return r1(this,e)}return kC(this,e,t,n)}function kC(e,t,n,r){if(typeof t=="number")throw new TypeError('"value" argument must not be a number');return typeof ArrayBuffer<"u"&&t instanceof ArrayBuffer?zq(e,t,n,r):typeof t=="string"?qq(e,t,n):Hq(e,t)}function FC(e){if(typeof e!="number")throw new TypeError('"size" argument must be a number');if(e<0)throw new RangeError('"size" argument must not be negative')}function jq(e,t,n,r){return FC(t),t<=0?ea(e,t):n!==void 0?typeof r==
"string"?ea(e,t).fill(n,r):ea(e,t).fill(n):ea(e,t)}function r1(e,t){if(FC(t),e=ea(e,t<0?0:a1(t)|0),!z.TYPED_ARRAY_SUPPORT)for(var n=0;n<t;++n)e[n]=0;return e}function qq(e,t,n){if((typeof n!="string"||n==="")&&(n="utf8"),!z.isEncoding(n))throw new TypeError('"encoding" must be a valid string encoding');var r=RC(t,n)|0;e=ea(e,r);var a=e.write(t,n);return a!==r&&(e=e.slice(0,a)),e}function t1(e,t){var n=t.length<0?0:a1(t.length)|0;e=ea(e,n);for(var r=0;r<n;r+=1)e[r]=t[r]&255;return e}function zq(e,t,n,r){if(t.byteLength,n<0||t.byteLength<n)throw new RangeError("'offset' is out of bounds");if(t.byteLength<n+(r||0))throw new RangeError("'length' is out of bounds");return n===void 0&&r===void 0?t=new Uint8Array(t):r===void 0?t=new Uint8Array(t,n):t=new Uint8Array(t,n,r),z.TYPED_ARRAY_SUPPORT?(e=t,e.__proto__=z.prototype):e=t1(e,t),e}function Hq(e,t){if(xr(t)){var n=a1(t.length)|0;return e=ea(e,n),e.length===0||t.copy(e,0,0,n),e}if(t){if(typeof ArrayBuffer<"u"&&t.buffer instanceof ArrayBuffer||
"length"in t)return typeof t.length!="number"||cz(t.length)?ea(e,0):t1(e,t);if(t.type==="Buffer"&&CC(t.data))return t1(e,t.data)}throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.")}function a1(e){if(e>=em())throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+em().toString(16)+" bytes");return e|0}function xr(e){return!!(e!=null&&e._isBuffer)}function RC(e,t){if(xr(e))return e.length;if(typeof ArrayBuffer<"u"&&typeof ArrayBuffer.isView=="function"&&(ArrayBuffer.isView(e)||e instanceof ArrayBuffer))return e.byteLength;typeof e!="string"&&(e=""+e);var n=e.length;if(n===0)return 0;for(var r=!1;;)switch(t){case"ascii":case"latin1":case"binary":return n;case"utf8":case"utf-8":case void 0:return tm(e).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return n*2;case"hex":return n>>>1;case"base64":return LC(e).length;default:if(r)return tm(e).length;t=(""+t).toLowerCase(),r=!0}}function Wq(e,t,n){var r=!1;
if((t===void 0||t<0)&&(t=0),t>this.length||((n===void 0||n>this.length)&&(n=this.length),n<=0)||(n>>>=0,t>>>=0,n<=t))return"";for(e||(e="utf8");;)switch(e){case"hex":return ez(this,t,n);case"utf8":case"utf-8":return IC(this,t,n);case"ascii":return Zq(this,t,n);case"latin1":case"binary":return Qq(this,t,n);case"base64":return Jq(this,t,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return tz(this,t,n);default:if(r)throw new TypeError("Unknown encoding: "+e);e=(e+"").toLowerCase(),r=!0}}function Eo(e,t,n){var r=e[t];e[t]=e[n],e[n]=r}function AC(e,t,n,r,a){if(e.length===0)return-1;if(typeof n=="string"?(r=n,n=0):n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),n=+n,isNaN(n)&&(n=a?0:e.length-1),n<0&&(n=e.length+n),n>=e.length){if(a)return-1;n=e.length-1}else if(n<0)if(a)n=0;else return-1;if(typeof t=="string"&&(t=z.from(t,r)),xr(t))return t.length===0?-1:EC(e,t,n,r,a);if(typeof t=="number")return t=t&255,z.TYPED_ARRAY_SUPPORT&&typeof Uint8Array.prototype.indexOf=="function"?
a?Uint8Array.prototype.indexOf.call(e,t,n):Uint8Array.prototype.lastIndexOf.call(e,t,n):EC(e,[t],n,r,a);throw new TypeError("val must be string, number or Buffer")}function EC(e,t,n,r,a){var o=1,i=e.length,c=t.length;if(r!==void 0&&(r=String(r).toLowerCase(),r==="ucs2"||r==="ucs-2"||r==="utf16le"||r==="utf-16le")){if(e.length<2||t.length<2)return-1;o=2,i/=2,c/=2,n/=2}function u(f,y){return o===1?f[y]:f.readUInt16BE(y*o)}s(u,"read");var d;if(a){var m=-1;for(d=n;d<i;d++)if(u(e,d)===u(t,m===-1?0:d-m)){if(m===-1&&(m=d),d-m+1===c)return m*o}else m!==-1&&(d-=d-m),m=-1}else for(n+c>i&&(n=i-c),d=n;d>=0;d--){for(var p=!0,h=0;h<c;h++)if(u(e,d+h)!==u(t,h)){p=!1;break}if(p)return d}return-1}function Gq(e,t,n,r){n=Number(n)||0;var a=e.length-n;r?(r=Number(r),r>a&&(r=a)):r=a;var o=t.length;if(o%2!==0)throw new TypeError("Invalid hex string");r>o/2&&(r=o/2);for(var i=0;i<r;++i){var c=parseInt(t.substr(i*2,2),16);if(isNaN(c))return i;e[n+i]=c}return i}function Vq(e,t,n,r){return om(tm(t,e.length-n),e,
n,r)}function _C(e,t,n,r){return om(iz(t),e,n,r)}function $q(e,t,n,r){return _C(e,t,n,r)}function Yq(e,t,n,r){return om(LC(t),e,n,r)}function Kq(e,t,n,r){return om(sz(t,e.length-n),e,n,r)}function Jq(e,t,n){return t===0&&n===e.length?DC(e):DC(e.slice(t,n))}function IC(e,t,n){n=Math.min(e.length,n);for(var r=[],a=t;a<n;){var o=e[a],i=null,c=o>239?4:o>223?3:o>191?2:1;if(a+c<=n){var u,d,m,p;switch(c){case 1:o<128&&(i=o);break;case 2:u=e[a+1],(u&192)===128&&(p=(o&31)<<6|u&63,p>127&&(i=p));break;case 3:u=e[a+1],d=e[a+2],(u&192)===128&&(d&192)===128&&(p=(o&15)<<12|(u&63)<<6|d&63,p>2047&&(p<55296||p>57343)&&(i=p));break;case 4:u=e[a+1],d=e[a+2],m=e[a+3],(u&192)===128&&(d&192)===128&&(m&192)===128&&(p=(o&15)<<18|(u&63)<<12|(d&63)<<6|m&63,p>65535&&p<1114112&&(i=p))}}i===null?(i=65533,c=1):i>65535&&(i-=65536,r.push(i>>>10&1023|55296),i=56320|i&1023),r.push(i),a+=c}return Xq(r)}function Xq(e){var t=e.length;if(t<=TC)return String.fromCharCode.apply(String,e);for(var n="",r=0;r<t;)n+=String.fromCharCode.
apply(String,e.slice(r,r+=TC));return n}function Zq(e,t,n){var r="";n=Math.min(e.length,n);for(var a=t;a<n;++a)r+=String.fromCharCode(e[a]&127);return r}function Qq(e,t,n){var r="";n=Math.min(e.length,n);for(var a=t;a<n;++a)r+=String.fromCharCode(e[a]);return r}function ez(e,t,n){var r=e.length;(!t||t<0)&&(t=0),(!n||n<0||n>r)&&(n=r);for(var a="",o=t;o<n;++o)a+=oz(e[o]);return a}function tz(e,t,n){for(var r=e.slice(t,n),a="",o=0;o<r.length;o+=2)a+=String.fromCharCode(r[o]+r[o+1]*256);return a}function Ht(e,t,n){if(e%1!==0||e<0)throw new RangeError("offset is not uint");if(e+t>n)throw new RangeError("Trying to access beyond buffer length")}function En(e,t,n,r,a,o){if(!xr(e))throw new TypeError('"buffer" argument must be a Buffer instance');if(t>a||t<o)throw new RangeError('"value" argument is out of bounds');if(n+r>e.length)throw new RangeError("Index out of range")}function rm(e,t,n,r){t<0&&(t=65535+t+1);for(var a=0,o=Math.min(e.length-n,2);a<o;++a)e[n+a]=(t&255<<8*(r?a:1-a))>>>(r?a:1-a)*
8}function am(e,t,n,r){t<0&&(t=4294967295+t+1);for(var a=0,o=Math.min(e.length-n,4);a<o;++a)e[n+a]=t>>>(r?a:3-a)*8&255}function MC(e,t,n,r,a,o){if(n+r>e.length)throw new RangeError("Index out of range");if(n<0)throw new RangeError("Index out of range")}function NC(e,t,n,r,a){return a||MC(e,t,n,4),SC(e,t,n,r,23,4),n+4}function PC(e,t,n,r,a){return a||MC(e,t,n,8),SC(e,t,n,r,52,8),n+8}function rz(e){if(e=az(e).replace(nz,""),e.length<2)return"";for(;e.length%4!==0;)e=e+"=";return e}function az(e){return e.trim?e.trim():e.replace(/^\s+|\s+$/g,"")}function oz(e){return e<16?"0"+e.toString(16):e.toString(16)}function tm(e,t){t=t||1/0;for(var n,r=e.length,a=null,o=[],i=0;i<r;++i){if(n=e.charCodeAt(i),n>55295&&n<57344){if(!a){if(n>56319){(t-=3)>-1&&o.push(239,191,189);continue}else if(i+1===r){(t-=3)>-1&&o.push(239,191,189);continue}a=n;continue}if(n<56320){(t-=3)>-1&&o.push(239,191,189),a=n;continue}n=(a-55296<<10|n-56320)+65536}else a&&(t-=3)>-1&&o.push(239,191,189);if(a=null,n<128){if((t-=1)<
0)break;o.push(n)}else if(n<2048){if((t-=2)<0)break;o.push(n>>6|192,n&63|128)}else if(n<65536){if((t-=3)<0)break;o.push(n>>12|224,n>>6&63|128,n&63|128)}else if(n<1114112){if((t-=4)<0)break;o.push(n>>18|240,n>>12&63|128,n>>6&63|128,n&63|128)}else throw new Error("Invalid code point")}return o}function iz(e){for(var t=[],n=0;n<e.length;++n)t.push(e.charCodeAt(n)&255);return t}function sz(e,t){for(var n,r,a,o=[],i=0;i<e.length&&!((t-=2)<0);++i)n=e.charCodeAt(i),r=n>>8,a=n%256,o.push(a),o.push(r);return o}function LC(e){return Pq(rz(e))}function om(e,t,n,r){for(var a=0;a<r&&!(a+n>=t.length||a>=e.length);++a)t[a+n]=e[a];return a}function cz(e){return e!==e}function uz(e){return e!=null&&(!!e._isBuffer||OC(e)||lz(e))}function OC(e){return!!e.constructor&&typeof e.constructor.isBuffer=="function"&&e.constructor.isBuffer(e)}function lz(e){return typeof e.readFloatLE=="function"&&typeof e.slice=="function"&&OC(e.slice(0,0))}var Tr,Bn,Nq,n1,Bq,CC,Uq,Lfe,TC,nz,Ei=g(()=>{l();Tr=[],Bn=[],Nq=typeof Uint8Array<
"u"?Uint8Array:Array,n1=!1;s(xC,"init");s(Pq,"toByteArray");s(Lq,"tripletToBase64");s(Oq,"encodeChunk");s(DC,"fromByteArray");s(nm,"read");s(SC,"write");Bq={}.toString,CC=Array.isArray||function(e){return Bq.call(e)=="[object Array]"};Uq=50;z.TYPED_ARRAY_SUPPORT=globalThis.TYPED_ARRAY_SUPPORT!==void 0?globalThis.TYPED_ARRAY_SUPPORT:!0;Lfe=em();s(em,"kMaxLength");s(ea,"createBuffer");s(z,"Buffer");z.poolSize=8192;z._augment=function(e){return e.__proto__=z.prototype,e};s(kC,"from");z.from=function(e,t,n){return kC(null,e,t,n)};z.TYPED_ARRAY_SUPPORT&&(z.prototype.__proto__=Uint8Array.prototype,z.__proto__=Uint8Array,typeof Symbol<"u"&&Symbol.species&&z[Symbol.species]);s(FC,"assertSize");s(jq,"alloc");z.alloc=function(e,t,n){return jq(null,e,t,n)};s(r1,"allocUnsafe");z.allocUnsafe=function(e){return r1(null,e)};z.allocUnsafeSlow=function(e){return r1(null,e)};s(qq,"fromString");s(t1,"fromArrayLike");s(zq,"fromArrayBuffer");s(Hq,"fromObject");s(a1,"checked");z.isBuffer=uz;s(xr,"internalIs\
Buffer");z.compare=s(function(t,n){if(!xr(t)||!xr(n))throw new TypeError("Arguments must be Buffers");if(t===n)return 0;for(var r=t.length,a=n.length,o=0,i=Math.min(r,a);o<i;++o)if(t[o]!==n[o]){r=t[o],a=n[o];break}return r<a?-1:a<r?1:0},"compare");z.isEncoding=s(function(t){switch(String(t).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"latin1":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},"isEncoding");z.concat=s(function(t,n){if(!CC(t))throw new TypeError('"list" argument must be an Array of Buffers');if(t.length===0)return z.alloc(0);var r;if(n===void 0)for(n=0,r=0;r<t.length;++r)n+=t[r].length;var a=z.allocUnsafe(n),o=0;for(r=0;r<t.length;++r){var i=t[r];if(!xr(i))throw new TypeError('"list" argument must be an Array of Buffers');i.copy(a,o),o+=i.length}return a},"concat");s(RC,"byteLength");z.byteLength=RC;s(Wq,"slowToString");z.prototype._isBuffer=!0;s(Eo,"swap");z.prototype.swap16=s(function(){var t=this.
length;if(t%2!==0)throw new RangeError("Buffer size must be a multiple of 16-bits");for(var n=0;n<t;n+=2)Eo(this,n,n+1);return this},"swap16");z.prototype.swap32=s(function(){var t=this.length;if(t%4!==0)throw new RangeError("Buffer size must be a multiple of 32-bits");for(var n=0;n<t;n+=4)Eo(this,n,n+3),Eo(this,n+1,n+2);return this},"swap32");z.prototype.swap64=s(function(){var t=this.length;if(t%8!==0)throw new RangeError("Buffer size must be a multiple of 64-bits");for(var n=0;n<t;n+=8)Eo(this,n,n+7),Eo(this,n+1,n+6),Eo(this,n+2,n+5),Eo(this,n+3,n+4);return this},"swap64");z.prototype.toString=s(function(){var t=this.length|0;return t===0?"":arguments.length===0?IC(this,0,t):Wq.apply(this,arguments)},"toString");z.prototype.equals=s(function(t){if(!xr(t))throw new TypeError("Argument must be a Buffer");return this===t?!0:z.compare(this,t)===0},"equals");z.prototype.inspect=s(function(){var t="",n=Uq;return this.length>0&&(t=this.toString("hex",0,n).match(/.{2}/g).join(" "),this.length>
n&&(t+=" ... ")),"<Buffer "+t+">"},"inspect");z.prototype.compare=s(function(t,n,r,a,o){if(!xr(t))throw new TypeError("Argument must be a Buffer");if(n===void 0&&(n=0),r===void 0&&(r=t?t.length:0),a===void 0&&(a=0),o===void 0&&(o=this.length),n<0||r>t.length||a<0||o>this.length)throw new RangeError("out of range index");if(a>=o&&n>=r)return 0;if(a>=o)return-1;if(n>=r)return 1;if(n>>>=0,r>>>=0,a>>>=0,o>>>=0,this===t)return 0;for(var i=o-a,c=r-n,u=Math.min(i,c),d=this.slice(a,o),m=t.slice(n,r),p=0;p<u;++p)if(d[p]!==m[p]){i=d[p],c=m[p];break}return i<c?-1:c<i?1:0},"compare");s(AC,"bidirectionalIndexOf");s(EC,"arrayIndexOf");z.prototype.includes=s(function(t,n,r){return this.indexOf(t,n,r)!==-1},"includes");z.prototype.indexOf=s(function(t,n,r){return AC(this,t,n,r,!0)},"indexOf");z.prototype.lastIndexOf=s(function(t,n,r){return AC(this,t,n,r,!1)},"lastIndexOf");s(Gq,"hexWrite");s(Vq,"utf8Write");s(_C,"asciiWrite");s($q,"latin1Write");s(Yq,"base64Write");s(Kq,"ucs2Write");z.prototype.write=
s(function(t,n,r,a){if(n===void 0)a="utf8",r=this.length,n=0;else if(r===void 0&&typeof n=="string")a=n,r=this.length,n=0;else if(isFinite(n))n=n|0,isFinite(r)?(r=r|0,a===void 0&&(a="utf8")):(a=r,r=void 0);else throw new Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");var o=this.length-n;if((r===void 0||r>o)&&(r=o),t.length>0&&(r<0||n<0)||n>this.length)throw new RangeError("Attempt to write outside buffer bounds");a||(a="utf8");for(var i=!1;;)switch(a){case"hex":return Gq(this,t,n,r);case"utf8":case"utf-8":return Vq(this,t,n,r);case"ascii":return _C(this,t,n,r);case"latin1":case"binary":return $q(this,t,n,r);case"base64":return Yq(this,t,n,r);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return Kq(this,t,n,r);default:if(i)throw new TypeError("Unknown encoding: "+a);a=(""+a).toLowerCase(),i=!0}},"write");z.prototype.toJSON=s(function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}},"toJSON");s(Jq,"base64Slice");s(IC,"utf8\
Slice");TC=4096;s(Xq,"decodeCodePointsArray");s(Zq,"asciiSlice");s(Qq,"latin1Slice");s(ez,"hexSlice");s(tz,"utf16leSlice");z.prototype.slice=s(function(t,n){var r=this.length;t=~~t,n=n===void 0?r:~~n,t<0?(t+=r,t<0&&(t=0)):t>r&&(t=r),n<0?(n+=r,n<0&&(n=0)):n>r&&(n=r),n<t&&(n=t);var a;if(z.TYPED_ARRAY_SUPPORT)a=this.subarray(t,n),a.__proto__=z.prototype;else{var o=n-t;a=new z(o,void 0);for(var i=0;i<o;++i)a[i]=this[i+t]}return a},"slice");s(Ht,"checkOffset");z.prototype.readUIntLE=s(function(t,n,r){t=t|0,n=n|0,r||Ht(t,n,this.length);for(var a=this[t],o=1,i=0;++i<n&&(o*=256);)a+=this[t+i]*o;return a},"readUIntLE");z.prototype.readUIntBE=s(function(t,n,r){t=t|0,n=n|0,r||Ht(t,n,this.length);for(var a=this[t+--n],o=1;n>0&&(o*=256);)a+=this[t+--n]*o;return a},"readUIntBE");z.prototype.readUInt8=s(function(t,n){return n||Ht(t,1,this.length),this[t]},"readUInt8");z.prototype.readUInt16LE=s(function(t,n){return n||Ht(t,2,this.length),this[t]|this[t+1]<<8},"readUInt16LE");z.prototype.readUInt16BE=
s(function(t,n){return n||Ht(t,2,this.length),this[t]<<8|this[t+1]},"readUInt16BE");z.prototype.readUInt32LE=s(function(t,n){return n||Ht(t,4,this.length),(this[t]|this[t+1]<<8|this[t+2]<<16)+this[t+3]*16777216},"readUInt32LE");z.prototype.readUInt32BE=s(function(t,n){return n||Ht(t,4,this.length),this[t]*16777216+(this[t+1]<<16|this[t+2]<<8|this[t+3])},"readUInt32BE");z.prototype.readIntLE=s(function(t,n,r){t=t|0,n=n|0,r||Ht(t,n,this.length);for(var a=this[t],o=1,i=0;++i<n&&(o*=256);)a+=this[t+i]*o;return o*=128,a>=o&&(a-=Math.pow(2,8*n)),a},"readIntLE");z.prototype.readIntBE=s(function(t,n,r){t=t|0,n=n|0,r||Ht(t,n,this.length);for(var a=n,o=1,i=this[t+--a];a>0&&(o*=256);)i+=this[t+--a]*o;return o*=128,i>=o&&(i-=Math.pow(2,8*n)),i},"readIntBE");z.prototype.readInt8=s(function(t,n){return n||Ht(t,1,this.length),this[t]&128?(255-this[t]+1)*-1:this[t]},"readInt8");z.prototype.readInt16LE=s(function(t,n){n||Ht(t,2,this.length);var r=this[t]|this[t+1]<<8;return r&32768?r|4294901760:r},"rea\
dInt16LE");z.prototype.readInt16BE=s(function(t,n){n||Ht(t,2,this.length);var r=this[t+1]|this[t]<<8;return r&32768?r|4294901760:r},"readInt16BE");z.prototype.readInt32LE=s(function(t,n){return n||Ht(t,4,this.length),this[t]|this[t+1]<<8|this[t+2]<<16|this[t+3]<<24},"readInt32LE");z.prototype.readInt32BE=s(function(t,n){return n||Ht(t,4,this.length),this[t]<<24|this[t+1]<<16|this[t+2]<<8|this[t+3]},"readInt32BE");z.prototype.readFloatLE=s(function(t,n){return n||Ht(t,4,this.length),nm(this,t,!0,23,4)},"readFloatLE");z.prototype.readFloatBE=s(function(t,n){return n||Ht(t,4,this.length),nm(this,t,!1,23,4)},"readFloatBE");z.prototype.readDoubleLE=s(function(t,n){return n||Ht(t,8,this.length),nm(this,t,!0,52,8)},"readDoubleLE");z.prototype.readDoubleBE=s(function(t,n){return n||Ht(t,8,this.length),nm(this,t,!1,52,8)},"readDoubleBE");s(En,"checkInt");z.prototype.writeUIntLE=s(function(t,n,r,a){if(t=+t,n=n|0,r=r|0,!a){var o=Math.pow(2,8*r)-1;En(this,t,n,r,o,0)}var i=1,c=0;for(this[n]=t&255;++c<
r&&(i*=256);)this[n+c]=t/i&255;return n+r},"writeUIntLE");z.prototype.writeUIntBE=s(function(t,n,r,a){if(t=+t,n=n|0,r=r|0,!a){var o=Math.pow(2,8*r)-1;En(this,t,n,r,o,0)}var i=r-1,c=1;for(this[n+i]=t&255;--i>=0&&(c*=256);)this[n+i]=t/c&255;return n+r},"writeUIntBE");z.prototype.writeUInt8=s(function(t,n,r){return t=+t,n=n|0,r||En(this,t,n,1,255,0),z.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),this[n]=t&255,n+1},"writeUInt8");s(rm,"objectWriteUInt16");z.prototype.writeUInt16LE=s(function(t,n,r){return t=+t,n=n|0,r||En(this,t,n,2,65535,0),z.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):rm(this,t,n,!0),n+2},"writeUInt16LE");z.prototype.writeUInt16BE=s(function(t,n,r){return t=+t,n=n|0,r||En(this,t,n,2,65535,0),z.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):rm(this,t,n,!1),n+2},"writeUInt16BE");s(am,"objectWriteUInt32");z.prototype.writeUInt32LE=s(function(t,n,r){return t=+t,n=n|0,r||En(this,t,n,4,4294967295,0),z.TYPED_ARRAY_SUPPORT?(this[n+3]=t>>>24,this[n+2]=t>>>16,this[n+1]=t>>>8,
this[n]=t&255):am(this,t,n,!0),n+4},"writeUInt32LE");z.prototype.writeUInt32BE=s(function(t,n,r){return t=+t,n=n|0,r||En(this,t,n,4,4294967295,0),z.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):am(this,t,n,!1),n+4},"writeUInt32BE");z.prototype.writeIntLE=s(function(t,n,r,a){if(t=+t,n=n|0,!a){var o=Math.pow(2,8*r-1);En(this,t,n,r,o-1,-o)}var i=0,c=1,u=0;for(this[n]=t&255;++i<r&&(c*=256);)t<0&&u===0&&this[n+i-1]!==0&&(u=1),this[n+i]=(t/c>>0)-u&255;return n+r},"writeIntLE");z.prototype.writeIntBE=s(function(t,n,r,a){if(t=+t,n=n|0,!a){var o=Math.pow(2,8*r-1);En(this,t,n,r,o-1,-o)}var i=r-1,c=1,u=0;for(this[n+i]=t&255;--i>=0&&(c*=256);)t<0&&u===0&&this[n+i+1]!==0&&(u=1),this[n+i]=(t/c>>0)-u&255;return n+r},"writeIntBE");z.prototype.writeInt8=s(function(t,n,r){return t=+t,n=n|0,r||En(this,t,n,1,127,-128),z.TYPED_ARRAY_SUPPORT||(t=Math.floor(t)),t<0&&(t=255+t+1),this[n]=t&255,n+1},"writeInt8");z.prototype.writeInt16LE=s(function(t,n,r){return t=+t,n=n|0,
r||En(this,t,n,2,32767,-32768),z.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8):rm(this,t,n,!0),n+2},"writeInt16LE");z.prototype.writeInt16BE=s(function(t,n,r){return t=+t,n=n|0,r||En(this,t,n,2,32767,-32768),z.TYPED_ARRAY_SUPPORT?(this[n]=t>>>8,this[n+1]=t&255):rm(this,t,n,!1),n+2},"writeInt16BE");z.prototype.writeInt32LE=s(function(t,n,r){return t=+t,n=n|0,r||En(this,t,n,4,2147483647,-2147483648),z.TYPED_ARRAY_SUPPORT?(this[n]=t&255,this[n+1]=t>>>8,this[n+2]=t>>>16,this[n+3]=t>>>24):am(this,t,n,!0),n+4},"writeInt32LE");z.prototype.writeInt32BE=s(function(t,n,r){return t=+t,n=n|0,r||En(this,t,n,4,2147483647,-2147483648),t<0&&(t=4294967295+t+1),z.TYPED_ARRAY_SUPPORT?(this[n]=t>>>24,this[n+1]=t>>>16,this[n+2]=t>>>8,this[n+3]=t&255):am(this,t,n,!1),n+4},"writeInt32BE");s(MC,"checkIEEE754");s(NC,"writeFloat");z.prototype.writeFloatLE=s(function(t,n,r){return NC(this,t,n,!0,r)},"writeFloatLE");z.prototype.writeFloatBE=s(function(t,n,r){return NC(this,t,n,!1,r)},"writeFloatBE");s(PC,"w\
riteDouble");z.prototype.writeDoubleLE=s(function(t,n,r){return PC(this,t,n,!0,r)},"writeDoubleLE");z.prototype.writeDoubleBE=s(function(t,n,r){return PC(this,t,n,!1,r)},"writeDoubleBE");z.prototype.copy=s(function(t,n,r,a){if(r||(r=0),!a&&a!==0&&(a=this.length),n>=t.length&&(n=t.length),n||(n=0),a>0&&a<r&&(a=r),a===r||t.length===0||this.length===0)return 0;if(n<0)throw new RangeError("targetStart out of bounds");if(r<0||r>=this.length)throw new RangeError("sourceStart out of bounds");if(a<0)throw new RangeError("sourceEnd out of bounds");a>this.length&&(a=this.length),t.length-n<a-r&&(a=t.length-n+r);var o=a-r,i;if(this===t&&r<n&&n<a)for(i=o-1;i>=0;--i)t[i+n]=this[i+r];else if(o<1e3||!z.TYPED_ARRAY_SUPPORT)for(i=0;i<o;++i)t[i+n]=this[i+r];else Uint8Array.prototype.set.call(t,this.subarray(r,r+o),n);return o},"copy");z.prototype.fill=s(function(t,n,r,a){if(typeof t=="string"){if(typeof n=="string"?(a=n,n=0,r=this.length):typeof r=="string"&&(a=r,r=this.length),t.length===1){var o=t.charCodeAt(
0);o<256&&(t=o)}if(a!==void 0&&typeof a!="string")throw new TypeError("encoding must be a string");if(typeof a=="string"&&!z.isEncoding(a))throw new TypeError("Unknown encoding: "+a)}else typeof t=="number"&&(t=t&255);if(n<0||this.length<n||this.length<r)throw new RangeError("Out of range index");if(r<=n)return this;n=n>>>0,r=r===void 0?this.length:r>>>0,t||(t=0);var i;if(typeof t=="number")for(i=n;i<r;++i)this[i]=t;else{var c=xr(t)?t:tm(new z(t,a).toString()),u=c.length;for(i=0;i<r-n;++i)this[i+n]=c[i%u]}return this},"fill");nz=/[^+\/0-9A-Za-z-_]/g;s(rz,"base64clean");s(az,"stringtrim");s(oz,"toHex");s(tm,"utf8ToBytes");s(iz,"asciiToBytes");s(sz,"utf16leToBytes");s(LC,"base64ToBytes");s(om,"blitBuffer");s(cz,"isnan");s(uz,"isBuffer");s(OC,"isFastBuffer");s(lz,"isSlowBuffer")});function Ca(){}function qe(){qe.init.call(this)}function BC(e){return e._maxListeners===void 0?qe.defaultMaxListeners:e._maxListeners}function dz(e,t,n){if(t)e.call(n);else for(var r=e.length,a=xc(e,r),o=0;o<r;++o)a[o].call(n)}function mz(e,t,n,r){if(t)e.call(n,r);else for(var a=e.length,o=xc(e,a),i=0;i<a;++i)o[i].call(n,r)}function pz(e,t,n,r,a){if(t)e.call(n,r,a);else for(var o=e.length,i=xc(e,o),c=0;c<o;++c)i[c].call(n,r,a)}function fz(e,t,n,r,a,o){if(t)e.call(n,r,a,o);else for(var i=e.length,c=xc(e,i),u=0;u<i;++u)c[u].call(n,r,a,o)}function hz(e,t,n,r){if(t)e.apply(n,r);else for(var a=e.length,o=xc(e,a),i=0;i<a;++i)o[i].apply(n,r)}function UC(e,t,n,r){var a,o,i;if(typeof n!="function")throw new TypeError('"listener" argument must be a function');if(o=e._events,o?(o.newListener&&(e.emit("newListener",t,n.listener?n.listener:n),o=e._events),i=o[t]):(o=e._events=new Ca,e._eventsCount=0),!i)i=o[t]=n,++e._eventsCount;else if(typeof i=="function"?i=o[t]=r?[n,i]:[i,n]:r?i.unshift(n):i.push(
n),!i.warned&&(a=BC(e),a&&a>0&&i.length>a)){i.warned=!0;var c=new Error("Possible EventEmitter memory leak detected. "+i.length+" "+t+" listeners added. Use emitter.setMaxListeners() to increase limit");c.name="MaxListenersExceededWarning",c.emitter=e,c.type=t,c.count=i.length,gz(c)}return e}function gz(e){typeof console.warn=="function"?console.warn(e):console.log(e)}function jC(e,t,n){var r=!1;function a(){e.removeListener(t,a),r||(r=!0,n.apply(e,arguments))}return s(a,"g"),a.listener=n,a}function qC(e){var t=this._events;if(t){var n=t[e];if(typeof n=="function")return 1;if(n)return n.length}return 0}function yz(e,t){for(var n=t,r=n+1,a=e.length;r<a;n+=1,r+=1)e[n]=e[r];e.pop()}function xc(e,t){for(var n=new Array(t);t--;)n[t]=e[t];return n}function vz(e){for(var t=new Array(e.length),n=0;n<t.length;++n)t[n]=e[n].listener||e[n];return t}var o1,Un,ta=g(()=>{"use strict";l();s(Ca,"EventHandlers");Ca.prototype=Object.create(null);s(qe,"EventEmitter");Un=qe;qe.EventEmitter=qe;qe.usingDomains=
!1;qe.prototype.domain=void 0;qe.prototype._events=void 0;qe.prototype._maxListeners=void 0;qe.defaultMaxListeners=10;qe.init=function(){this.domain=null,qe.usingDomains&&o1.active&&!(this instanceof o1.Domain)&&(this.domain=o1.active),(!this._events||this._events===Object.getPrototypeOf(this)._events)&&(this._events=new Ca,this._eventsCount=0),this._maxListeners=this._maxListeners||void 0};qe.prototype.setMaxListeners=s(function(t){if(typeof t!="number"||t<0||isNaN(t))throw new TypeError('"n" argument must be a positive number');return this._maxListeners=t,this},"setMaxListeners");s(BC,"$getMaxListeners");qe.prototype.getMaxListeners=s(function(){return BC(this)},"getMaxListeners");s(dz,"emitNone");s(mz,"emitOne");s(pz,"emitTwo");s(fz,"emitThree");s(hz,"emitMany");qe.prototype.emit=s(function(t){var n,r,a,o,i,c,u,d=!1,m=t==="error";if(c=this._events,c)m=m&&c.error==null;else if(!m)return!1;if(u=this.domain,m){if(n=arguments[1],u)n||(n=new Error('Uncaught, unspecified "error" event')),
n.domainEmitter=this,n.domain=u,n.domainThrown=!1,u.emit("error",n);else{if(n instanceof Error)throw n;var p=new Error('Uncaught, unspecified "error" event. ('+n+")");throw p.context=n,p}return!1}if(r=c[t],!r)return!1;var h=typeof r=="function";switch(a=arguments.length,a){case 1:dz(r,h,this);break;case 2:mz(r,h,this,arguments[1]);break;case 3:pz(r,h,this,arguments[1],arguments[2]);break;case 4:fz(r,h,this,arguments[1],arguments[2],arguments[3]);break;default:for(o=new Array(a-1),i=1;i<a;i++)o[i-1]=arguments[i];hz(r,h,this,o)}return d&&u.exit(),!0},"emit");s(UC,"_addListener");s(gz,"emitWarning");qe.prototype.addListener=s(function(t,n){return UC(this,t,n,!1)},"addListener");qe.prototype.on=qe.prototype.addListener;qe.prototype.prependListener=s(function(t,n){return UC(this,t,n,!0)},"prependListener");s(jC,"_onceWrap");qe.prototype.once=s(function(t,n){if(typeof n!="function")throw new TypeError('"listener" argument must be a function');return this.on(t,jC(this,t,n)),this},"once");qe.prototype.
prependOnceListener=s(function(t,n){if(typeof n!="function")throw new TypeError('"listener" argument must be a function');return this.prependListener(t,jC(this,t,n)),this},"prependOnceListener");qe.prototype.removeListener=s(function(t,n){var r,a,o,i,c;if(typeof n!="function")throw new TypeError('"listener" argument must be a function');if(a=this._events,!a)return this;if(r=a[t],!r)return this;if(r===n||r.listener&&r.listener===n)--this._eventsCount===0?this._events=new Ca:(delete a[t],a.removeListener&&this.emit("removeListener",t,r.listener||n));else if(typeof r!="function"){for(o=-1,i=r.length;i-- >0;)if(r[i]===n||r[i].listener&&r[i].listener===n){c=r[i].listener,o=i;break}if(o<0)return this;if(r.length===1){if(r[0]=void 0,--this._eventsCount===0)return this._events=new Ca,this;delete a[t]}else yz(r,o);a.removeListener&&this.emit("removeListener",t,c||n)}return this},"removeListener");qe.prototype.off=function(e,t){return this.removeListener(e,t)};qe.prototype.removeAllListeners=s(function(t){
var n,r;if(r=this._events,!r)return this;if(!r.removeListener)return arguments.length===0?(this._events=new Ca,this._eventsCount=0):r[t]&&(--this._eventsCount===0?this._events=new Ca:delete r[t]),this;if(arguments.length===0){for(var a=Object.keys(r),o=0,i;o<a.length;++o)i=a[o],i!=="removeListener"&&this.removeAllListeners(i);return this.removeAllListeners("removeListener"),this._events=new Ca,this._eventsCount=0,this}if(n=r[t],typeof n=="function")this.removeListener(t,n);else if(n)do this.removeListener(t,n[n.length-1]);while(n[0]);return this},"removeAllListeners");qe.prototype.listeners=s(function(t){var n,r,a=this._events;return a?(n=a[t],n?typeof n=="function"?r=[n.listener||n]:r=vz(n):r=[]):r=[],r},"listeners");qe.listenerCount=function(e,t){return typeof e.listenerCount=="function"?e.listenerCount(t):qC.call(e,t)};qe.prototype.listenerCount=qC;s(qC,"listenerCount");qe.prototype.eventNames=s(function(){return this._eventsCount>0?Reflect.ownKeys(this._events):[]},"eventNames");s(
yz,"spliceOne");s(xc,"arrayClone");s(vz,"unwrapListeners")});var HC=P((Hfe,zC)=>{l();var Ti=1e3,xi=Ti*60,Si=xi*60,To=Si*24,bz=To*7,wz=To*365.25;zC.exports=function(e,t){t=t||{};var n=typeof e;if(n==="string"&&e.length>0)return Dz(e);if(n==="number"&&isFinite(e))return t.long?Tz(e):Ez(e);throw new Error("val is not a non-empty string or a valid number. val="+JSON.stringify(e))};function Dz(e){if(e=String(e),!(e.length>100)){var t=/^(-?(?:\d+)?\.?\d+) *(milliseconds?|msecs?|ms|seconds?|secs?|s|minutes?|mins?|m|hours?|hrs?|h|days?|d|weeks?|w|years?|yrs?|y)?$/i.exec(e);if(t){var n=parseFloat(t[1]),r=(t[2]||"ms").toLowerCase();switch(r){case"years":case"year":case"yrs":case"yr":case"y":return n*wz;case"weeks":case"week":case"w":return n*bz;case"days":case"day":case"d":return n*To;case"hours":case"hour":case"hrs":case"hr":case"h":return n*Si;case"minutes":case"minute":case"mins":case"min":case"m":return n*xi;case"seconds":case"second":case"secs":case"sec":case"s":return n*Ti;case"milliseconds":case"millisecond":case"msecs":case"msec":case"ms":return n;default:
return}}}}s(Dz,"parse");function Ez(e){var t=Math.abs(e);return t>=To?Math.round(e/To)+"d":t>=Si?Math.round(e/Si)+"h":t>=xi?Math.round(e/xi)+"m":t>=Ti?Math.round(e/Ti)+"s":e+"ms"}s(Ez,"fmtShort");function Tz(e){var t=Math.abs(e);return t>=To?im(e,t,To,"day"):t>=Si?im(e,t,Si,"hour"):t>=xi?im(e,t,xi,"minute"):t>=Ti?im(e,t,Ti,"second"):e+" ms"}s(Tz,"fmtLong");function im(e,t,n,r){var a=t>=n*1.5;return Math.round(e/n)+" "+r+(a?"s":"")}s(im,"plural")});var GC=P((Vfe,WC)=>{l();function xz(e){n.debug=n,n.default=n,n.coerce=u,n.disable=o,n.enable=a,n.enabled=i,n.humanize=HC(),n.destroy=d,Object.keys(e).forEach(m=>{n[m]=e[m]}),n.names=[],n.skips=[],n.formatters={};function t(m){let p=0;for(let h=0;h<m.length;h++)p=(p<<5)-p+m.charCodeAt(h),p|=0;return n.colors[Math.abs(p)%n.colors.length]}s(t,"selectColor"),n.selectColor=t;function n(m){let p,h=null,f,y;function v(...w){if(!v.enabled)return;let E=v,T=Number(new Date),S=T-(p||T);E.diff=S,E.prev=p,E.curr=T,p=T,w[0]=n.coerce(w[0]),typeof w[0]!="string"&&w.unshift("%O");let C=0;w[0]=w[0].replace(/%([a-zA-Z%])/g,(L,N)=>{if(L==="%%")return"%";C++;let W=n.formatters[N];if(typeof W=="function"){let ee=w[C];L=W.call(E,ee),w.splice(C,1),C--}return L}),n.formatArgs.call(E,w),(E.log||n.log).apply(E,w)}return s(v,"debug"),v.namespace=m,v.useColors=n.useColors(),v.color=n.selectColor(m),v.extend=r,v.destroy=n.destroy,Object.defineProperty(v,"enabled",{enumerable:!0,configurable:!1,get:()=>h!==null?h:(f!==
n.namespaces&&(f=n.namespaces,y=n.enabled(m)),y),set:w=>{h=w}}),typeof n.init=="function"&&n.init(v),v}s(n,"createDebug");function r(m,p){let h=n(this.namespace+(typeof p>"u"?":":p)+m);return h.log=this.log,h}s(r,"extend");function a(m){n.save(m),n.namespaces=m,n.names=[],n.skips=[];let p,h=(typeof m=="string"?m:"").split(/[\s,]+/),f=h.length;for(p=0;p<f;p++)h[p]&&(m=h[p].replace(/\*/g,".*?"),m[0]==="-"?n.skips.push(new RegExp("^"+m.slice(1)+"$")):n.names.push(new RegExp("^"+m+"$")))}s(a,"enable");function o(){let m=[...n.names.map(c),...n.skips.map(c).map(p=>"-"+p)].join(",");return n.enable(""),m}s(o,"disable");function i(m){if(m[m.length-1]==="*")return!0;let p,h;for(p=0,h=n.skips.length;p<h;p++)if(n.skips[p].test(m))return!1;for(p=0,h=n.names.length;p<h;p++)if(n.names[p].test(m))return!0;return!1}s(i,"enabled");function c(m){return m.toString().substring(2,m.toString().length-2).replace(/\.\*\?$/,"*")}s(c,"toNamespace");function u(m){return m instanceof Error?m.stack||m.message:m}s(
u,"coerce");function d(){console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`.")}return s(d,"destroy"),n.enable(n.load()),n}s(xz,"setup");WC.exports=xz});var VC=P((Mn,sm)=>{l();Mn.formatArgs=Cz;Mn.save=kz;Mn.load=Fz;Mn.useColors=Sz;Mn.storage=Rz();Mn.destroy=(()=>{let e=!1;return()=>{e||(e=!0,console.warn("Instance method `debug.destroy()` is deprecated and no longer does anything. It will be removed in the next major version of `debug`."))}})();Mn.colors=["#0000CC","#0000FF","#0033CC","#0033FF","#0066CC","#0066FF","#0099CC","#0099FF","#00CC00","#00CC33","#00CC66","#00CC99","#00CCCC","#00CCFF","#3300CC","#3300FF","#3333CC","#3333FF","#3366CC","#3366FF","#3399CC","#3399FF","#33CC00","#33CC33","#33CC66","#33CC99","#33CCCC","#33CCFF","#6600CC","#6600FF","#6633CC","#6633FF","#66CC00","#66CC33","#9900CC","#9900FF","#9933CC","#9933FF","#99CC00","#99CC33","#CC0000","#CC0033","#CC0066","#CC0099","#CC00CC","#CC00FF","#CC3300","#CC3333","#CC3366","#CC3399","#CC33CC","#CC33FF","#CC6600","#CC6633","#CC9900","#CC9933","#CCCC00","#CCCC33","#FF0000","#FF0033","#FF0066","#FF0099","#FF00CC","#FF00FF","#FF3300","#FF3333","#FF3366","#FF3399","#FF33CC","#F\
F33FF","#FF6600","#FF6633","#FF9900","#FF9933","#FFCC00","#FFCC33"];function Sz(){return typeof window<"u"&&window.process&&(window.process.type==="renderer"||window.process.__nwjs)?!0:typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/(edge|trident)\/(\d+)/)?!1:typeof document<"u"&&document.documentElement&&document.documentElement.style&&document.documentElement.style.WebkitAppearance||typeof window<"u"&&window.console&&(window.console.firebug||window.console.exception&&window.console.table)||typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/firefox\/(\d+)/)&&parseInt(RegExp.$1,10)>=31||typeof navigator<"u"&&navigator.userAgent&&navigator.userAgent.toLowerCase().match(/applewebkit\/(\d+)/)}s(Sz,"useColors");function Cz(e){if(e[0]=(this.useColors?"%c":"")+this.namespace+(this.useColors?" %c":" ")+e[0]+(this.useColors?"%c ":" ")+"+"+sm.exports.humanize(this.diff),!this.useColors)return;let t="color: "+this.color;e.splice(
1,0,t,"color: inherit");let n=0,r=0;e[0].replace(/%[a-zA-Z%]/g,a=>{a!=="%%"&&(n++,a==="%c"&&(r=n))}),e.splice(r,0,t)}s(Cz,"formatArgs");Mn.log=console.debug||console.log||(()=>{});function kz(e){try{e?Mn.storage.setItem("debug",e):Mn.storage.removeItem("debug")}catch{}}s(kz,"save");function Fz(){let e;try{e=Mn.storage.getItem("debug")}catch{}return!e&&typeof process<"u"&&"env"in process&&(e=process.env.DEBUG),e}s(Fz,"load");function Rz(){try{return localStorage}catch{}}s(Rz,"localstorage");sm.exports=GC()(Mn);var{formatters:Az}=sm.exports;Az.j=function(e){try{return JSON.stringify(e)}catch(t){return"[UnexpectedJSONParseError]: "+t.message}}});function cm(e){if(!e)throw new Error("name must be non-empty")}function _z(e,t){for(var n=0,r=e.length,a;n<r;)a=n+r>>>1,e[a].startTime<t.startTime?n=a+1:r=a;e.splice(n,0,t)}var hn,$C,dm,mm,Sc,pm,um,lm,YC=g(()=>{l();hn=typeof performance<"u"&&performance,$C=hn&&hn.now?function(){return hn.now()}:function(){return Date.now()};s(cm,"throwIfEmpty");s(_z,"insertSorted");hn&&hn.mark&&hn.getEntriesByName&&hn.getEntriesByType&&hn.clearMeasures?(dm=s(function(e){cm(e),hn.mark("start "+e)},"mark"),mm=s(function(e){cm(e),hn.mark("end "+e),hn.measure(e,"start "+e,"end "+e);var t=hn.getEntriesByName(e);return t[t.length-1]},"stop"),Sc=s(function(){return hn.getEntriesByType("measure")},"getEntries"),pm=s(function(){hn.clearMarks(),hn.clearMeasures()},"clear")):(um={},lm=[],dm=s(function(e){cm(e);var t=$C();um["$"+e]=t},"mark"),mm=s(function(e){cm(e);var t=$C(),n=um["$"+e];if(!n)throw new Error("no known mark: "+e);var r={startTime:n,name:e,duration:t-n,entryType:"measure"};return _z(lm,r),r},"stop"),
Sc=s(function(){return lm},"getEntries"),pm=s(function(){um={},lm=[]},"clear"))});var Fa,ka,Ci,ki,i1,KC,Mz,JC,Fi,M,Me=g(()=>{l();Sa();ta();Fa=Bt(VC());YC();ka=an.platform==="win32",Ci=an.browser,ki={red:Ci?"crimson":1,yellow:Ci?"gold":3,cyan:Ci?"darkturquoise":6,green:Ci?"forestgreen":2,blue:Ci?"steelblue":4,magenta:Ci?"palevioletred":5};Fa.default.colors=[ki.cyan,ki.green,ki.blue,ki.magenta];i1=class extends qe{static{s(this,"Emitter")}issueStatus(t,n){(t==="status"||t==="statusEnd")&&this.emit(t,[t,...n])}issueWarning(t,n){this.emit("warning",[t,...n])}},KC={},Mz=25,Fi=class e{static{s(this,"Log")}static _logToStdErr(t,n){e.loggerfn(t)(...n)}static loggerfn(t){t=`LH:${t}`;let n=KC[t];return n||(n=(0,Fa.default)(t),KC[t]=n,t.endsWith("error")?n.color=ki.red:t.endsWith("warn")&&(n.color=ki.yellow)),n}static setLevel(t){switch(JC=t,t){case"silent":Fa.default.enable("-LH:*");break;case"verbose":Fa.default.enable("LH:*");break;case"warn":Fa.default.enable("-LH:*, LH:*:warn, LH:*:error");break;case"error":Fa.default.enable("-LH:*, LH:*:error");break;default:Fa.default.enable(
"LH:*, -LH:*:verbose")}}static formatProtocol(t,n,r){let a=!an||an.browser?1/0:an.stdout.columns,o=n.method||"?????",i=a-o.length-t.length-Mz,c=n.params&&o!=="IO.read"?JSON.stringify(n.params).substr(0,i):"";e._logToStdErr(`${t}:${r||""}`,[o,c])}static isVerbose(){return JC==="verbose"}static time({msg:t,id:n,args:r=[]},a="log"){dm(n),e[a]("status",t,...r)}static timeEnd({msg:t,id:n,args:r=[]},a="verbose"){e[a]("statusEnd",t,...r),mm(n)}static log(t,...n){return e.events.issueStatus(t,n),e._logToStdErr(t,n)}static warn(t,...n){return e.events.issueWarning(t,n),e._logToStdErr(`${t}:warn`,n)}static error(t,...n){return e._logToStdErr(`${t}:error`,n)}static verbose(t,...n){return e.events.issueStatus(t,n),e._logToStdErr(`${t}:verbose`,n)}static greenify(t){return`${e.green}${t}${e.reset}`}static redify(t){return`${e.red}${t}${e.reset}`}static get green(){return"\x1B[32m"}static get red(){return"\x1B[31m"}static get yellow(){return"\x1B[33m"}static get purple(){return"\x1B[95m"}static get reset(){
return"\x1B[0m"}static get bold(){return"\x1B[1m"}static get dim(){return"\x1B[2m"}static get tick(){return ka?"√":"✓"}static get cross(){return ka?"×":"✘"}static get whiteSmallSquare(){return ka?"·":"▫"}static get heavyHorizontal(){return ka?"─":"━"}static get heavyVertical(){return ka?"│ ":"┃ "}static get heavyUpAndRight(){return ka?"└":"┗"}static get heavyVerticalAndRight(){return ka?"├":"┣"}static get heavyDownAndHorizontal(){return ka?"┬":"┳"}static get doubleLightHorizontal(){return"──"}};Fi.events=new i1;Fi.takeTimeEntries=()=>{let e=Sc();return pm(),e};Fi.getTimeEntries=()=>Sc();M=Fi});var Kt=g(()=>{"use strict";l();});var s1,Z,Ge=g(()=>{"use strict";l();Kt();s1=class{static{s(this,"BaseGatherer")}meta={supportedModes:[]};startInstrumentation(t){}startSensitiveInstrumentation(t){}stopSensitiveInstrumentation(t){}stopInstrumentation(t){}getArtifact(t){}},Z=s1});var Nz,Pz,Lz,Oz,Bz,Uz,Lt,Sr=g(()=>{"use strict";l();Me();Nz=/^(chrome|https?):/,Pz=16,Lz="RunTask",Oz="ThreadControllerImpl::RunTask",Bz="ThreadControllerImpl::DoWork",Uz="TaskQueueManager::ProcessTaskFromWorkQueue",Lt=class e{static{s(this,"TraceProcessor")}static get TIMESPAN_MARKER_ID(){return"__lighthouseTimespanStart__"}static createNoNavstartError(){return new Error("No navigationStart event found")}static createNoResourceSendRequestError(){return new Error("No ResourceSendRequest event found")}static createNoTracingStartedError(){return new Error("No tracingStartedInBrowser event found")}static createNoFirstContentfulPaintError(){return new Error("No FirstContentfulPaint event found")}static createNoLighthouseMarkerError(){return new Error("No Lighthouse timespan marker event found")}static _isNavigationStartOfInterest(t){return t.name!=="navigationStart"?!1:t.args.data?.documentLoaderURL===void 0?!0:t.args.data?.documentLoaderURL?Nz.test(t.args.data.documentLoaderURL):!1}static _sortTimestampEventGroup(t,n,r,a){
let o=s(p=>n[p],"lookupArrayIndexByTsIndex"),i=s(p=>a[o(p)],"lookupEventByTsIndex"),c=[],u=[],d=[];for(let p of t){let h=o(p),f=i(p);f.ph==="E"?c.push(h):f.ph==="X"||f.ph==="B"?u.push(h):d.push(h)}let m=new Map;for(let p of u){let h=a[p];if(h.ph==="X")m.set(p,h.dur);else{let f=Number.MAX_SAFE_INTEGER,y=0,v=r+t.length;for(let w=v;w<n.length;w++){let E=i(w);if(E.name===h.name&&E.pid===h.pid&&E.tid===h.tid)if(E.ph==="E"&&y===0){f=E.ts-h.ts;break}else E.ph==="E"?y--:E.ph==="B"&&y++}m.set(p,f)}}return u.sort((p,h)=>(m.get(h)||0)-(m.get(p)||0)||p-h),d.sort((p,h)=>p-h),[...c,...u,...d]}static filteredTraceSort(t,n){let r=[];for(let o=0;o<t.length;o++)n(t[o])&&r.push(o);r.sort((o,i)=>t[o].ts-t[i].ts);for(let o=0;o<r.length-1;o++){let i=t[r[o]].ts,c=[o];for(let d=o+1;d<r.length&&t[r[d]].ts===i;d++)c.push(d);if(c.length===1)continue;let u=e._sortTimestampEventGroup(c,r,o,t);r.splice(o,u.length,...u),o+=c.length-1}let a=[];for(let o=0;o<r.length;o++)a.push(t[r[o]]);return a}static assertHasToplevelEvents(t){
if(!t.some(this.isScheduleableTask))throw new Error("Could not find any top level events")}static _riskPercentiles(t,n,r,a=0){let o=0;for(let h=0;h<t.length;h++)o+=t[h];o-=a;let i=n-o,c=0,u=i,d=[],m=-1,p=t.length+1;a>0&&p--;for(let h of r){let f=h*n;for(;u<f&&m<t.length-1;)i+=c,p-=c<0?-1:1,a>0&&a<t[m+1]?(c=-a,a=0):(m++,c=t[m]),u=i+Math.abs(c)*p;d.push({percentile:h,time:Math.max(0,(f-i)/p)+Pz})}return d}static getRiskToResponsiveness(t,n,r,a=[.5,.75,.9,.99,1]){let o=r-n;a.sort((c,u)=>c-u);let i=this.getMainThreadTopLevelEventDurations(t,n,r);return this._riskPercentiles(i.durations,o,a,i.clippedLength)}static getMainThreadTopLevelEventDurations(t,n=0,r=1/0){let a=[],o=0;for(let i of t){if(i.end<n||i.start>r)continue;let c=i.duration,u=i.start;u<n&&(u=n,c=i.end-n),i.end>r&&(o=c-(r-u)),a.push(c)}return a.sort((i,c)=>i-c),{durations:a,clippedLength:o}}static getMainThreadTopLevelEvents(t,n=0,r=1/0){let a=[],o;for(let i of t.mainThreadEvents){if(!this.isScheduleableTask(i)||!i.dur)continue;
let c=(i.ts-t.timeOriginEvt.ts)/1e3,u=(i.ts+i.dur-t.timeOriginEvt.ts)/1e3;c>r||u<n||(o&&c<o.end&&(o.end=c-.001),o={start:c,end:u,duration:i.dur/1e3},a.push(o))}return a}static findMainFrameIds(t){let n=t.find(i=>i.name==="TracingStartedInBrowser");if(n?.args.data?.frames){let i=n.args.data.frames.find(d=>!d.parent),c=i?.frame,u=i?.processId;if(u&&c)return{startingPid:u,frameId:c}}let r=t.find(i=>i.name==="TracingStartedInPage");if(r?.args?.data){let i=r.args.data.page;if(i)return{startingPid:r.pid,frameId:i}}let a=t.find(i=>this._isNavigationStartOfInterest(i)&&i.args.data?.isLoadingMainFrame),o=t.find(i=>i.name==="ResourceSendRequest");if(a?.args?.data&&o&&o.pid===a.pid&&o.tid===a.tid){let i=a.args.frame;if(i)return{startingPid:a.pid,frameId:i}}throw this.createNoTracingStartedError()}static findMainFramePidTids(t,n){let r=n.filter(i=>(i.name==="FrameCommittedInBrowser"||i.name==="ProcessReadyInBrowser")&&i.args?.data?.frame===t.frameId&&i?.args?.data?.processId),a=r.length?r.map(i=>i?.
args?.data?.processId):[t.startingPid],o=new Map;for(let i of new Set(a)){let c=n.filter(m=>m.cat==="__metadata"&&m.pid===i&&m.ph==="M"&&m.name==="thread_name"),u=c.find(m=>m.args.name==="CrRendererMain");u||(u=c.find(m=>m.args.name==="CrBrowserMain"));let d=u?.tid;if(!d)throw new Error("Unable to determine tid for renderer process");o.set(i,d)}return o}static isScheduleableTask(t){return t.name===Lz||t.name===Oz||t.name===Bz||t.name===Uz}static isLCPEvent(t){return t.name!=="largestContentfulPaint::Invalidate"&&t.name!=="largestContentfulPaint::Candidate"?!1:!!t.args?.frame}static isLCPCandidateEvent(t){return!!(t.name==="largestContentfulPaint::Candidate"&&t.args?.frame&&t.args.data&&t.args.data.size!==void 0)}static getFrameId(t){return t.args?.data?.frame||t.args.data?.frameID||t.args.frame}static computeValidLCPAllFrames(t,n){let r=t.filter(this.isLCPEvent).reverse(),a=new Map;for(let i of r){if(i.ts<=n.ts)break;let c=i.args.frame;a.has(c)||a.set(c,i)}let o;for(let i of a.values())
this.isLCPCandidateEvent(i)&&(!o||i.args.data.size>o.args.data.size)&&(o=i);return{lcp:o,invalidated:!!(!o&&a.size)}}static resolveRootFrames(t){let n=new Map;for(let a of t)a.parent&&n.set(a.id,a.parent);let r=new Map;for(let a of t){let o=a.id;for(;n.has(o);)o=n.get(o);if(o===void 0)throw new Error("Unexpected undefined frameId");r.set(a.id,o)}return r}static processTrace(t,n){let{timeOriginDeterminationMethod:r="auto"}=n||{},a=this.filteredTraceSort(t.traceEvents,C=>C.cat.includes("blink.user_timing")||C.cat.includes("loading")||C.cat.includes("devtools.timeline")||C.cat==="__metadata"),o=this.findMainFrameIds(a),i=this.findMainFramePidTids(o,a),c=e.filteredTraceSort(t.traceEvents,C=>i.has(C.pid)),u=new Map,d=a.find(C=>C.name==="TracingStartedInBrowser")?.args?.data?.frames;if(d)for(let C of d)u.set(C.frame,{id:C.frame,url:C.url,parent:C.parent});a.filter(C=>!!(C.name==="FrameCommittedInBrowser"&&C.args.data?.frame&&C.args.data.url!==void 0)).forEach(C=>{u.set(C.args.data.frame,{id:C.
args.data.frame,url:C.args.data.url,parent:C.args.data.parent})});let m=[...u.values()],p=this.resolveRootFrames(m),h=[...p.entries()].filter(([,C])=>C===o.frameId).map(([C])=>C);function f(C){return e.getFrameId(C)===o.frameId}s(f,"associatedToMainFrame");function y(C){let F=e.getFrameId(C);return F?h.includes(F):!1}s(y,"associatedToAllFrames");let v=a.filter(C=>f(C)),w=[];p.has(o.frameId)?w=a.filter(C=>y(C)):(M.warn("TraceProcessor","frameTreeEvents may be incomplete, make sure the trace has frame events"),p.set(o.frameId,o.frameId),w=v);let E=this.computeTimeOrigin({keyEvents:a,frameEvents:v,mainFrameInfo:o},r),T=c.filter(C=>C.tid===i.get(C.pid)),S=this.computeTraceEnd(t.traceEvents,E);return{frames:m,mainThreadEvents:T,frameEvents:v,frameTreeEvents:w,processEvents:c,mainFrameInfo:o,timeOriginEvt:E,timings:{timeOrigin:0,traceEnd:S.timing},timestamps:{timeOrigin:E.ts,traceEnd:S.timestamp},_keyEvents:a,_rendererPidToTid:i}}static processNavigation(t){let{frameEvents:n,frameTreeEvents:r,
timeOriginEvt:a,timings:o,timestamps:i}=t,c=this.computeNavigationTimingsForFrame(n,{timeOriginEvt:a}),u=r.find(h=>h.name==="firstContentfulPaint"&&h.ts>a.ts);if(!u)throw this.createNoFirstContentfulPaintError();let d=this.computeValidLCPAllFrames(r,a).lcp,m=s(h=>(h-a.ts)/1e3,"getTiming"),p=s(h=>h===void 0?void 0:m(h),"maybeGetTiming");return{timings:{timeOrigin:o.timeOrigin,firstPaint:c.timings.firstPaint,firstContentfulPaint:c.timings.firstContentfulPaint,firstContentfulPaintAllFrames:m(u.ts),firstMeaningfulPaint:c.timings.firstMeaningfulPaint,largestContentfulPaint:c.timings.largestContentfulPaint,largestContentfulPaintAllFrames:p(d?.ts),load:c.timings.load,domContentLoaded:c.timings.domContentLoaded,traceEnd:o.traceEnd},timestamps:{timeOrigin:i.timeOrigin,firstPaint:c.timestamps.firstPaint,firstContentfulPaint:c.timestamps.firstContentfulPaint,firstContentfulPaintAllFrames:u.ts,firstMeaningfulPaint:c.timestamps.firstMeaningfulPaint,largestContentfulPaint:c.timestamps.largestContentfulPaint,
largestContentfulPaintAllFrames:d?.ts,load:c.timestamps.load,domContentLoaded:c.timestamps.domContentLoaded,traceEnd:i.traceEnd},firstPaintEvt:c.firstPaintEvt,firstContentfulPaintEvt:c.firstContentfulPaintEvt,firstContentfulPaintAllFramesEvt:u,firstMeaningfulPaintEvt:c.firstMeaningfulPaintEvt,largestContentfulPaintEvt:c.largestContentfulPaintEvt,largestContentfulPaintAllFramesEvt:d,loadEvt:c.loadEvt,domContentLoadedEvt:c.domContentLoadedEvt,fmpFellBack:c.fmpFellBack,lcpInvalidated:c.lcpInvalidated}}static computeTraceEnd(t,n){let r=-1/0;for(let a of t)r=Math.max(a.ts+(a.dur||0),r);return{timestamp:r,timing:(r-n.ts)/1e3}}static computeTimeOrigin(t,n){let r=s(()=>t.frameEvents.filter(this._isNavigationStartOfInterest).pop(),"lastNavigationStart"),a=s(()=>t.keyEvents.find(i=>i.name==="clock_sync"&&i.args.sync_id===e.TIMESPAN_MARKER_ID),"lighthouseMarker");switch(n){case"firstResourceSendRequest":{let o=t.keyEvents.find(i=>i.name!=="ResourceSendRequest"?!1:(i.args.data||{}).frame===t.mainFrameInfo.
frameId);if(!o)throw this.createNoResourceSendRequestError();return o}case"lastNavigationStart":{let o=r();if(!o)throw this.createNoNavstartError();return o}case"lighthouseMarker":{let o=a();if(!o)throw this.createNoLighthouseMarkerError();return o}case"auto":{let o=a()||r();if(!o)throw this.createNoNavstartError();return o}}}static computeNavigationTimingsForFrame(t,n){let{timeOriginEvt:r}=n,a=t.find(w=>w.name==="firstPaint"&&w.ts>r.ts),o=t.find(w=>w.name==="firstContentfulPaint"&&w.ts>r.ts);if(!o)throw this.createNoFirstContentfulPaintError();let i=t.find(w=>w.name==="firstMeaningfulPaint"&&w.ts>r.ts),c=!1;if(!i){let w="firstMeaningfulPaintCandidate";c=!0,M.verbose("TraceProcessor",`No firstMeaningfulPaint found, falling back to last ${w}`);let E=t.filter(T=>T.name===w).pop();E||M.verbose("TraceProcessor","No `firstMeaningfulPaintCandidate` events found in trace"),i=E}let u=this.computeValidLCPAllFrames(t,r),d=t.find(w=>w.name==="loadEventEnd"&&w.ts>r.ts),m=t.find(w=>w.name==="domCon\
tentLoadedEventEnd"&&w.ts>r.ts),p=s(w=>w?.ts,"getTimestamp"),h={timeOrigin:r.ts,firstPaint:p(a),firstContentfulPaint:o.ts,firstMeaningfulPaint:p(i),largestContentfulPaint:p(u.lcp),load:p(d),domContentLoaded:p(m)},f=s(w=>(w-r.ts)/1e3,"getTiming"),y=s(w=>w===void 0?void 0:f(w),"maybeGetTiming");return{timings:{timeOrigin:0,firstPaint:y(h.firstPaint),firstContentfulPaint:f(h.firstContentfulPaint),firstMeaningfulPaint:y(h.firstMeaningfulPaint),largestContentfulPaint:y(h.largestContentfulPaint),load:y(h.load),domContentLoaded:y(h.domContentLoaded)},timestamps:h,timeOriginEvt:r,firstPaintEvt:a,firstContentfulPaintEvt:o,firstMeaningfulPaintEvt:i,largestContentfulPaintEvt:u.lcp,loadEvt:d,domContentLoadedEvt:m,fmpFellBack:c,lcpInvalidated:u.invalidated}}}});var XC={};x(XC,{default:()=>or});var c1,or,xo=g(()=>{"use strict";l();Ge();Sr();c1=class e extends Z{static{s(this,"Trace")}_trace={traceEvents:[]};static getDefaultTraceCategories(){return["-*","disabled-by-default-lighthouse","loading","v8","v8.execute","blink.user_timing","blink.console","devtools.timeline","disabled-by-default-devtools.timeline","disabled-by-default-devtools.screenshot","disabled-by-default-devtools.timeline.stack","disabled-by-default-devtools.timeline.frame","latencyInfo","disabled-by-default-devtools.timeline.invalidationTracking"]}static async endTraceAndCollectEvents(t){let n=[],r=s(function(a){n.push(...a.value)},"dataListener");return t.on("Tracing.dataCollected",r),new Promise((a,o)=>{t.once("Tracing.tracingComplete",i=>{t.off("Tracing.dataCollected",r),a({traceEvents:n})}),t.sendCommand("Tracing.end").catch(o)})}static symbol=Symbol("Trace");meta={symbol:e.symbol,supportedModes:["timespan","navigation"]};async startSensitiveInstrumentation({driver:t,gatherMode:n,
settings:r}){let a=e.getDefaultTraceCategories().concat(r.additionalTraceCategories||[]);await t.defaultSession.sendCommand("Page.enable"),await t.defaultSession.sendCommand("Tracing.start",{categories:a.join(","),options:"sampling-frequency=10000"}),n==="timespan"&&await t.defaultSession.sendCommand("Tracing.recordClockSyncMarker",{syncId:Lt.TIMESPAN_MARKER_ID})}async stopSensitiveInstrumentation({driver:t}){this._trace=await e.endTraceAndCollectEvents(t.defaultSession)}getDebugData(){return this._trace}getArtifact(){return this._trace}},or=c1});var ZC={};x(ZC,{default:()=>Tn});var Tn,na=g(()=>{l();Tn={}});function QC(e,t){for(var n=0,r=e.length-1;r>=0;r--){var a=e[r];a==="."?e.splice(r,1):a===".."?(e.splice(r,1),n++):n&&(e.splice(r,1),n--)}if(t)for(;n--;n)e.unshift("..");return e}function u1(){for(var e="",t=!1,n=arguments.length-1;n>=-1&&!t;n--){var r=n>=0?arguments[n]:"/";if(typeof r!="string")throw new TypeError("Arguments to path.resolve must be strings");if(!r)continue;e=r+"/"+e,t=r.charAt(0)==="/"}return e=QC(d1(e.split("/"),function(a){return!!a}),!t).join("/"),(t?"/":"")+e||"."}function ek(e){var t=tk(e),n=Yz(e,-1)==="/";return e=QC(d1(e.split("/"),function(r){return!!r}),!t).join("/"),!e&&!t&&(e="."),e&&n&&(e+="/"),(t?"/":"")+e}function tk(e){return e.charAt(0)==="/"}function qz(){var e=Array.prototype.slice.call(arguments,0);return ek(d1(e,function(t,n){if(typeof t!="string")throw new TypeError("Arguments to path.join must be strings");return t}).join("/"))}function zz(e,t){e=u1(e).substr(1),t=u1(t).substr(1);function n(d){for(var m=0;m<d.length&&d[m]==="";m++);for(var p=d.length-
1;p>=0&&d[p]==="";p--);return m>p?[]:d.slice(m,p-m+1)}s(n,"trim");for(var r=n(e.split("/")),a=n(t.split("/")),o=Math.min(r.length,a.length),i=o,c=0;c<o;c++)if(r[c]!==a[c]){i=c;break}for(var u=[],c=i;c<r.length;c++)u.push("..");return u=u.concat(a.slice(i)),u.join("/")}function Gz(e){var t=l1(e),n=t[0],r=t[1];return!n&&!r?".":(r&&(r=r.substr(0,r.length-1)),n+r)}function Vz(e,t){var n=l1(e)[2];return t&&n.substr(-1*t.length)===t&&(n=n.substr(0,n.length-t.length)),n}function $z(e){return l1(e)[3]}function d1(e,t){if(e.filter)return e.filter(t);for(var n=[],r=0;r<e.length;r++)t(e[r],r,e)&&n.push(e[r]);return n}var jz,l1,Hz,Wz,Et,Yz,Ra=g(()=>{l();s(QC,"normalizeArray");jz=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/,l1=s(function(e){return jz.exec(e).slice(1)},"splitPath");s(u1,"resolve");s(ek,"normalize");s(tk,"isAbsolute");s(qz,"join");s(zz,"relative");Hz="/",Wz=":";s(Gz,"dirname");s(Vz,"basename");s($z,"extname");Et={extname:$z,basename:Vz,dirname:Gz,sep:Hz,delimiter:Wz,
relative:zz,join:qz,isAbsolute:tk,normalize:ek,resolve:u1};s(d1,"filter");Yz="ab".substr(-1)==="b"?function(e,t,n){return e.substr(t,n)}:function(e,t,n){return t<0&&(t=e.length+t),e.substr(t,n)}});var rk=P((Dhe,nk)=>{l();function Kz(){this.__data__=[],this.size=0}s(Kz,"listCacheClear");nk.exports=Kz});var m1=P((xhe,ak)=>{l();function Jz(e,t){return e===t||e!==e&&t!==t}s(Jz,"eq");ak.exports=Jz});var Cc=P((khe,ok)=>{l();var Xz=m1();function Zz(e,t){for(var n=e.length;n--;)if(Xz(e[n][0],t))return n;return-1}s(Zz,"assocIndexOf");ok.exports=Zz});var sk=P((Ahe,ik)=>{l();var Qz=Cc(),eH=Array.prototype,tH=eH.splice;function nH(e){var t=this.__data__,n=Qz(t,e);if(n<0)return!1;var r=t.length-1;return n==r?t.pop():tH.call(t,n,1),--this.size,!0}s(nH,"listCacheDelete");ik.exports=nH});var uk=P((Mhe,ck)=>{l();var rH=Cc();function aH(e){var t=this.__data__,n=rH(t,e);return n<0?void 0:t[n][1]}s(aH,"listCacheGet");ck.exports=aH});var dk=P((Lhe,lk)=>{l();var oH=Cc();function iH(e){return oH(this.__data__,e)>-1}s(iH,"listCacheHas");lk.exports=iH});var pk=P((Uhe,mk)=>{l();var sH=Cc();function cH(e,t){var n=this.__data__,r=sH(n,e);return r<0?(++this.size,n.push([e,t])):n[r][1]=t,this}s(cH,"listCacheSet");mk.exports=cH});var kc=P((zhe,fk)=>{l();var uH=rk(),lH=sk(),dH=uk(),mH=dk(),pH=pk();function Ri(e){var t=-1,n=e==null?0:e.length;for(this.clear();++t<n;){var r=e[t];this.set(r[0],r[1])}}s(Ri,"ListCache");Ri.prototype.clear=uH;Ri.prototype.delete=lH;Ri.prototype.get=dH;Ri.prototype.has=mH;Ri.prototype.set=pH;fk.exports=Ri});var gk=P((Ghe,hk)=>{l();var fH=kc();function hH(){this.__data__=new fH,this.size=0}s(hH,"stackClear");hk.exports=hH});var vk=P((Yhe,yk)=>{l();function gH(e){var t=this.__data__,n=t.delete(e);return this.size=t.size,n}s(gH,"stackDelete");yk.exports=gH});var wk=P((Xhe,bk)=>{l();function yH(e){return this.__data__.get(e)}s(yH,"stackGet");bk.exports=yH});var Ek=P((e1e,Dk)=>{l();function vH(e){return this.__data__.has(e)}s(vH,"stackHas");Dk.exports=vH});var p1=P((r1e,Tk)=>{l();var bH=typeof globalThis=="object"&&globalThis&&globalThis.Object===Object&&globalThis;Tk.exports=bH});var Cr=P((o1e,xk)=>{l();var wH=p1(),DH=typeof self=="object"&&self&&self.Object===Object&&self,EH=wH||DH||Function("return this")();xk.exports=EH});var fm=P((s1e,Sk)=>{l();var TH=Cr(),xH=TH.Symbol;Sk.exports=xH});var Rk=P((u1e,Fk)=>{l();var Ck=fm(),kk=Object.prototype,SH=kk.hasOwnProperty,CH=kk.toString,Fc=Ck?Ck.toStringTag:void 0;function kH(e){var t=SH.call(e,Fc),n=e[Fc];try{e[Fc]=void 0;var r=!0}catch{}var a=CH.call(e);return r&&(t?e[Fc]=n:delete e[Fc]),a}s(kH,"getRawTag");Fk.exports=kH});var _k=P((m1e,Ak)=>{l();var FH=Object.prototype,RH=FH.toString;function AH(e){return RH.call(e)}s(AH,"objectToString");Ak.exports=AH});var Rc=P((h1e,Nk)=>{l();var Ik=fm(),_H=Rk(),IH=_k(),MH="[object Null]",NH="[object Undefined]",Mk=Ik?Ik.toStringTag:void 0;function PH(e){return e==null?e===void 0?NH:MH:Mk&&Mk in Object(e)?_H(e):IH(e)}s(PH,"baseGetTag");Nk.exports=PH});var f1=P((v1e,Pk)=>{l();function LH(e){var t=typeof e;return e!=null&&(t=="object"||t=="function")}s(LH,"isObject");Pk.exports=LH});var h1=P((D1e,Lk)=>{l();var OH=Rc(),BH=f1(),UH="[object AsyncFunction]",jH="[object Function]",qH="[object GeneratorFunction]",zH="[object Proxy]";function HH(e){if(!BH(e))return!1;var t=OH(e);return t==jH||t==qH||t==UH||t==zH}s(HH,"isFunction");Lk.exports=HH});var Bk=P((x1e,Ok)=>{l();var WH=Cr(),GH=WH["__core-js_shared__"];Ok.exports=GH});var qk=P((C1e,jk)=>{l();var g1=Bk(),Uk=function(){var e=/[^.]+$/.exec(g1&&g1.keys&&g1.keys.IE_PROTO||"");return e?"Symbol(src)_1."+e:""}();function VH(e){return!!Uk&&Uk in e}s(VH,"isMasked");jk.exports=VH});var y1=P((R1e,zk)=>{l();var $H=Function.prototype,YH=$H.toString;function KH(e){if(e!=null){try{return YH.call(e)}catch{}try{return e+""}catch{}}return""}s(KH,"toSource");zk.exports=KH});var Wk=P((I1e,Hk)=>{l();var JH=h1(),XH=qk(),ZH=f1(),QH=y1(),eW=/[\\^$.*+?()[\]{}|]/g,tW=/^\[object .+?Constructor\]$/,nW=Function.prototype,rW=Object.prototype,aW=nW.toString,oW=rW.hasOwnProperty,iW=RegExp("^"+aW.call(oW).replace(eW,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");function sW(e){if(!ZH(e)||XH(e))return!1;var t=JH(e)?iW:tW;return t.test(QH(e))}s(sW,"baseIsNative");Hk.exports=sW});var Vk=P((P1e,Gk)=>{l();function cW(e,t){return e?.[t]}s(cW,"getValue");Gk.exports=cW});var So=P((B1e,$k)=>{l();var uW=Wk(),lW=Vk();function dW(e,t){var n=lW(e,t);return uW(n)?n:void 0}s(dW,"getNative");$k.exports=dW});var hm=P((q1e,Yk)=>{l();var mW=So(),pW=Cr(),fW=mW(pW,"Map");Yk.exports=fW});var Ac=P((H1e,Kk)=>{l();var hW=So(),gW=hW(Object,"create");Kk.exports=gW});var Zk=P((G1e,Xk)=>{l();var Jk=Ac();function yW(){this.__data__=Jk?Jk(null):{},this.size=0}s(yW,"hashClear");Xk.exports=yW});var eF=P((Y1e,Qk)=>{l();function vW(e){var t=this.has(e)&&delete this.__data__[e];return this.size-=t?1:0,t}s(vW,"hashDelete");Qk.exports=vW});var nF=P((X1e,tF)=>{l();var bW=Ac(),wW="__lodash_hash_undefined__",DW=Object.prototype,EW=DW.hasOwnProperty;function TW(e){var t=this.__data__;if(bW){var n=t[e];return n===wW?void 0:n}return EW.call(t,e)?t[e]:void 0}s(TW,"hashGet");tF.exports=TW});var aF=P((ege,rF)=>{l();var xW=Ac(),SW=Object.prototype,CW=SW.hasOwnProperty;function kW(e){var t=this.__data__;return xW?t[e]!==void 0:CW.call(t,e)}s(kW,"hashHas");rF.exports=kW});var iF=P((rge,oF)=>{l();var FW=Ac(),RW="__lodash_hash_undefined__";function AW(e,t){var n=this.__data__;return this.size+=this.has(e)?0:1,n[e]=FW&&t===void 0?RW:t,this}s(AW,"hashSet");oF.exports=AW});var cF=P((ige,sF)=>{l();var _W=Zk(),IW=eF(),MW=nF(),NW=aF(),PW=iF();function Ai(e){var t=-1,n=e==null?0:e.length;for(this.clear();++t<n;){var r=e[t];this.set(r[0],r[1])}}s(Ai,"Hash");Ai.prototype.clear=_W;Ai.prototype.delete=IW;Ai.prototype.get=MW;Ai.prototype.has=NW;Ai.prototype.set=PW;sF.exports=Ai});var dF=P((uge,lF)=>{l();var uF=cF(),LW=kc(),OW=hm();function BW(){this.size=0,this.__data__={hash:new uF,map:new(OW||LW),string:new uF}}s(BW,"mapCacheClear");lF.exports=BW});var pF=P((mge,mF)=>{l();function UW(e){var t=typeof e;return t=="string"||t=="number"||t=="symbol"||t=="boolean"?e!=="__proto__":e===null}s(UW,"isKeyable");mF.exports=UW});var _c=P((hge,fF)=>{l();var jW=pF();function qW(e,t){var n=e.__data__;return jW(t)?n[typeof t=="string"?"string":"hash"]:n.map}s(qW,"getMapData");fF.exports=qW});var gF=P((vge,hF)=>{l();var zW=_c();function HW(e){var t=zW(this,e).delete(e);return this.size-=t?1:0,t}s(HW,"mapCacheDelete");hF.exports=HW});var vF=P((Dge,yF)=>{l();var WW=_c();function GW(e){return WW(this,e).get(e)}s(GW,"mapCacheGet");yF.exports=GW});var wF=P((xge,bF)=>{l();var VW=_c();function $W(e){return VW(this,e).has(e)}s($W,"mapCacheHas");bF.exports=$W});var EF=P((kge,DF)=>{l();var YW=_c();function KW(e,t){var n=YW(this,e),r=n.size;return n.set(e,t),this.size+=n.size==r?0:1,this}s(KW,"mapCacheSet");DF.exports=KW});var v1=P((Age,TF)=>{l();var JW=dF(),XW=gF(),ZW=vF(),QW=wF(),eG=EF();function _i(e){var t=-1,n=e==null?0:e.length;for(this.clear();++t<n;){var r=e[t];this.set(r[0],r[1])}}s(_i,"MapCache");_i.prototype.clear=JW;_i.prototype.delete=XW;_i.prototype.get=ZW;_i.prototype.has=QW;_i.prototype.set=eG;TF.exports=_i});var SF=P((Mge,xF)=>{l();var tG=kc(),nG=hm(),rG=v1(),aG=200;function oG(e,t){var n=this.__data__;if(n instanceof tG){var r=n.__data__;if(!nG||r.length<aG-1)return r.push([e,t]),this.size=++n.size,this;n=this.__data__=new rG(r)}return n.set(e,t),this.size=n.size,this}s(oG,"stackSet");xF.exports=oG});var kF=P((Lge,CF)=>{l();var iG=kc(),sG=gk(),cG=vk(),uG=wk(),lG=Ek(),dG=SF();function Ii(e){var t=this.__data__=new iG(e);this.size=t.size}s(Ii,"Stack");Ii.prototype.clear=sG;Ii.prototype.delete=cG;Ii.prototype.get=uG;Ii.prototype.has=lG;Ii.prototype.set=dG;CF.exports=Ii});var RF=P((Uge,FF)=>{l();var mG="__lodash_hash_undefined__";function pG(e){return this.__data__.set(e,mG),this}s(pG,"setCacheAdd");FF.exports=pG});var _F=P((zge,AF)=>{l();function fG(e){return this.__data__.has(e)}s(fG,"setCacheHas");AF.exports=fG});var MF=P((Gge,IF)=>{l();var hG=v1(),gG=RF(),yG=_F();function gm(e){var t=-1,n=e==null?0:e.length;for(this.__data__=new hG;++t<n;)this.add(e[t])}s(gm,"SetCache");gm.prototype.add=gm.prototype.push=gG;gm.prototype.has=yG;IF.exports=gm});var PF=P((Yge,NF)=>{l();function vG(e,t){for(var n=-1,r=e==null?0:e.length;++n<r;)if(t(e[n],n,e))return!0;return!1}s(vG,"arraySome");NF.exports=vG});var OF=P((Xge,LF)=>{l();function bG(e,t){return e.has(t)}s(bG,"cacheHas");LF.exports=bG});var b1=P((eye,BF)=>{l();var wG=MF(),DG=PF(),EG=OF(),TG=1,xG=2;function SG(e,t,n,r,a,o){var i=n&TG,c=e.length,u=t.length;if(c!=u&&!(i&&u>c))return!1;var d=o.get(e),m=o.get(t);if(d&&m)return d==t&&m==e;var p=-1,h=!0,f=n&xG?new wG:void 0;for(o.set(e,t),o.set(t,e);++p<c;){var y=e[p],v=t[p];if(r)var w=i?r(v,y,p,t,e,o):r(y,v,p,e,t,o);if(w!==void 0){if(w)continue;h=!1;break}if(f){if(!DG(t,function(E,T){if(!EG(f,T)&&(y===E||a(y,E,n,r,o)))return f.push(T)})){h=!1;break}}else if(!(y===v||a(y,v,n,r,o))){h=!1;break}}return o.delete(e),o.delete(t),h}s(SG,"equalArrays");BF.exports=SG});var jF=P((rye,UF)=>{l();var CG=Cr(),kG=CG.Uint8Array;UF.exports=kG});var zF=P((oye,qF)=>{l();function FG(e){var t=-1,n=Array(e.size);return e.forEach(function(r,a){n[++t]=[a,r]}),n}s(FG,"mapToArray");qF.exports=FG});var WF=P((cye,HF)=>{l();function RG(e){var t=-1,n=Array(e.size);return e.forEach(function(r){n[++t]=r}),n}s(RG,"setToArray");HF.exports=RG});var KF=P((dye,YF)=>{l();var GF=fm(),VF=jF(),AG=m1(),_G=b1(),IG=zF(),MG=WF(),NG=1,PG=2,LG="[object Boolean]",OG="[object Date]",BG="[object Error]",UG="[object Map]",jG="[object Number]",qG="[object RegExp]",zG="[object Set]",HG="[object String]",WG="[object Symbol]",GG="[object ArrayBuffer]",VG="[object DataView]",$F=GF?GF.prototype:void 0,w1=$F?$F.valueOf:void 0;function $G(e,t,n,r,a,o,i){switch(n){case VG:if(e.byteLength!=t.byteLength||e.byteOffset!=t.byteOffset)return!1;e=e.buffer,t=t.buffer;case GG:return!(e.byteLength!=t.byteLength||!o(new VF(e),new VF(t)));case LG:case OG:case jG:return AG(+e,+t);case BG:return e.name==t.name&&e.message==t.message;case qG:case HG:return e==t+"";case UG:var c=IG;case zG:var u=r&NG;if(c||(c=MG),e.size!=t.size&&!u)return!1;var d=i.get(e);if(d)return d==t;r|=PG,i.set(e,t);var m=_G(c(e),c(t),r,a,o,i);return i.delete(e),m;case WG:if(w1)return w1.call(e)==w1.call(t)}return!1}s($G,"equalByTag");YF.exports=$G});var XF=P((fye,JF)=>{l();function YG(e,t){for(var n=-1,r=t.length,a=e.length;++n<r;)e[a+n]=t[n];return e}s(YG,"arrayPush");JF.exports=YG});var ym=P((yye,ZF)=>{l();var KG=Array.isArray;ZF.exports=KG});var eR=P((bye,QF)=>{l();var JG=XF(),XG=ym();function ZG(e,t,n){var r=t(e);return XG(e)?r:JG(r,n(e))}s(ZG,"baseGetAllKeys");QF.exports=ZG});var nR=P((Eye,tR)=>{l();function QG(e,t){for(var n=-1,r=e==null?0:e.length,a=0,o=[];++n<r;){var i=e[n];t(i,n,e)&&(o[a++]=i)}return o}s(QG,"arrayFilter");tR.exports=QG});var aR=P((Sye,rR)=>{l();function eV(){return[]}s(eV,"stubArray");rR.exports=eV});var sR=P((Fye,iR)=>{l();var tV=nR(),nV=aR(),rV=Object.prototype,aV=rV.propertyIsEnumerable,oR=Object.getOwnPropertySymbols,oV=oR?function(e){return e==null?[]:(e=Object(e),tV(oR(e),function(t){return aV.call(e,t)}))}:nV;iR.exports=oV});var uR=P((Aye,cR)=>{l();function iV(e,t){for(var n=-1,r=Array(e);++n<e;)r[n]=t(n);return r}s(iV,"baseTimes");cR.exports=iV});var Ic=P((Mye,lR)=>{l();function sV(e){return e!=null&&typeof e=="object"}s(sV,"isObjectLike");lR.exports=sV});var mR=P((Lye,dR)=>{l();var cV=Rc(),uV=Ic(),lV="[object Arguments]";function dV(e){return uV(e)&&cV(e)==lV}s(dV,"baseIsArguments");dR.exports=dV});var gR=P((Uye,hR)=>{l();var pR=mR(),mV=Ic(),fR=Object.prototype,pV=fR.hasOwnProperty,fV=fR.propertyIsEnumerable,hV=pR(function(){return arguments}())?pR:function(e){return mV(e)&&pV.call(e,"callee")&&!fV.call(e,"callee")};hR.exports=hV});var vR=P((qye,yR)=>{l();function gV(){return!1}s(gV,"stubFalse");yR.exports=gV});var D1=P((Mc,Mi)=>{l();var yV=Cr(),vV=vR(),DR=typeof Mc=="object"&&Mc&&!Mc.nodeType&&Mc,bR=DR&&typeof Mi=="object"&&Mi&&!Mi.nodeType&&Mi,bV=bR&&bR.exports===DR,wR=bV?yV.Buffer:void 0,wV=wR?wR.isBuffer:void 0,DV=wV||vV;Mi.exports=DV});var TR=P((Gye,ER)=>{l();var EV=9007199254740991,TV=/^(?:0|[1-9]\d*)$/;function xV(e,t){var n=typeof e;return t=t??EV,!!t&&(n=="number"||n!="symbol"&&TV.test(e))&&e>-1&&e%1==0&&e<t}s(xV,"isIndex");ER.exports=xV});var E1=P((Yye,xR)=>{l();var SV=9007199254740991;function CV(e){return typeof e=="number"&&e>-1&&e%1==0&&e<=SV}s(CV,"isLength");xR.exports=CV});var CR=P((Xye,SR)=>{l();var kV=Rc(),FV=E1(),RV=Ic(),AV="[object Arguments]",_V="[object Array]",IV="[object Boolean]",MV="[object Date]",NV="[object Error]",PV="[object Function]",LV="[object Map]",OV="[object Number]",BV="[object Object]",UV="[object RegExp]",jV="[object Set]",qV="[object String]",zV="[object WeakMap]",HV="[object ArrayBuffer]",WV="[object DataView]",GV="[object Float32Array]",VV="[object Float64Array]",$V="[object Int8Array]",YV="[object Int16Array]",KV="[object Int32Array]",JV="[object Uint8Array]",XV="[object Uint8ClampedArray]",ZV="[object Uint16Array]",QV="[object Uint32Array]",bt={};bt[GV]=bt[VV]=bt[$V]=bt[YV]=bt[KV]=bt[JV]=bt[XV]=bt[ZV]=bt[QV]=!0;bt[AV]=bt[_V]=bt[HV]=bt[IV]=bt[WV]=bt[MV]=bt[NV]=bt[PV]=bt[LV]=bt[OV]=bt[BV]=bt[UV]=bt[jV]=bt[qV]=bt[zV]=!1;function e$(e){return RV(e)&&FV(e.length)&&!!bt[kV(e)]}s(e$,"baseIsTypedArray");SR.exports=e$});var FR=P((eve,kR)=>{l();function t$(e){return function(t){return e(t)}}s(t$,"baseUnary");kR.exports=t$});var AR=P((Nc,Ni)=>{l();var n$=p1(),RR=typeof Nc=="object"&&Nc&&!Nc.nodeType&&Nc,Pc=RR&&typeof Ni=="object"&&Ni&&!Ni.nodeType&&Ni,r$=Pc&&Pc.exports===RR,T1=r$&&n$.process,a$=function(){try{var e=Pc&&Pc.require&&Pc.require("util").types;return e||T1&&T1.binding&&T1.binding("util")}catch{}}();Ni.exports=a$});var x1=P((ave,MR)=>{l();var o$=CR(),i$=FR(),_R=AR(),IR=_R&&_R.isTypedArray,s$=IR?i$(IR):o$;MR.exports=s$});var PR=P((ive,NR)=>{l();var c$=uR(),u$=gR(),l$=ym(),d$=D1(),m$=TR(),p$=x1(),f$=Object.prototype,h$=f$.hasOwnProperty;function g$(e,t){var n=l$(e),r=!n&&u$(e),a=!n&&!r&&d$(e),o=!n&&!r&&!a&&p$(e),i=n||r||a||o,c=i?c$(e.length,String):[],u=c.length;for(var d in e)(t||h$.call(e,d))&&!(i&&(d=="length"||a&&(d=="offset"||d=="parent")||o&&(d=="buffer"||d=="byteLength"||d=="byteOffset")||m$(d,u)))&&c.push(d);return c}s(g$,"arrayLikeKeys");NR.exports=g$});var OR=P((uve,LR)=>{l();var y$=Object.prototype;function v$(e){var t=e&&e.constructor,n=typeof t=="function"&&t.prototype||y$;return e===n}s(v$,"isPrototype");LR.exports=v$});var UR=P((mve,BR)=>{l();function b$(e,t){return function(n){return e(t(n))}}s(b$,"overArg");BR.exports=b$});var qR=P((hve,jR)=>{l();var w$=UR(),D$=w$(Object.keys,Object);jR.exports=D$});var HR=P((yve,zR)=>{l();var E$=OR(),T$=qR(),x$=Object.prototype,S$=x$.hasOwnProperty;function C$(e){if(!E$(e))return T$(e);var t=[];for(var n in Object(e))S$.call(e,n)&&n!="constructor"&&t.push(n);return t}s(C$,"baseKeys");zR.exports=C$});var GR=P((wve,WR)=>{l();var k$=h1(),F$=E1();function R$(e){return e!=null&&F$(e.length)&&!k$(e)}s(R$,"isArrayLike");WR.exports=R$});var $R=P((Tve,VR)=>{l();var A$=PR(),_$=HR(),I$=GR();function M$(e){return I$(e)?A$(e):_$(e)}s(M$,"keys");VR.exports=M$});var KR=P((Cve,YR)=>{l();var N$=eR(),P$=sR(),L$=$R();function O$(e){return N$(e,L$,P$)}s(O$,"getAllKeys");YR.exports=O$});var ZR=P((Rve,XR)=>{l();var JR=KR(),B$=1,U$=Object.prototype,j$=U$.hasOwnProperty;function q$(e,t,n,r,a,o){var i=n&B$,c=JR(e),u=c.length,d=JR(t),m=d.length;if(u!=m&&!i)return!1;for(var p=u;p--;){var h=c[p];if(!(i?h in t:j$.call(t,h)))return!1}var f=o.get(e),y=o.get(t);if(f&&y)return f==t&&y==e;var v=!0;o.set(e,t),o.set(t,e);for(var w=i;++p<u;){h=c[p];var E=e[h],T=t[h];if(r)var S=i?r(T,E,h,t,e,o):r(E,T,h,e,t,o);if(!(S===void 0?E===T||a(E,T,n,r,o):S)){v=!1;break}w||(w=h=="constructor")}if(v&&!w){var C=e.constructor,F=t.constructor;C!=F&&"constructor"in e&&"constructor"in t&&!(typeof C=="function"&&C instanceof C&&typeof F=="function"&&F instanceof F)&&(v=!1)}return o.delete(e),o.delete(t),v}s(q$,"equalObjects");XR.exports=q$});var eA=P((Ive,QR)=>{l();var z$=So(),H$=Cr(),W$=z$(H$,"DataView");QR.exports=W$});var nA=P((Nve,tA)=>{l();var G$=So(),V$=Cr(),$$=G$(V$,"Promise");tA.exports=$$});var aA=P((Lve,rA)=>{l();var Y$=So(),K$=Cr(),J$=Y$(K$,"Set");rA.exports=J$});var iA=P((Bve,oA)=>{l();var X$=So(),Z$=Cr(),Q$=X$(Z$,"WeakMap");oA.exports=Q$});var fA=P((jve,pA)=>{l();var S1=eA(),C1=hm(),k1=nA(),F1=aA(),R1=iA(),mA=Rc(),Pi=y1(),sA="[object Map]",eY="[object Object]",cA="[object Promise]",uA="[object Set]",lA="[object WeakMap]",dA="[object DataView]",tY=Pi(S1),nY=Pi(C1),rY=Pi(k1),aY=Pi(F1),oY=Pi(R1),Co=mA;(S1&&Co(new S1(new ArrayBuffer(1)))!=dA||C1&&Co(new C1)!=sA||k1&&Co(k1.resolve())!=cA||F1&&Co(new F1)!=uA||R1&&Co(new R1)!=lA)&&(Co=s(function(e){var t=mA(e),n=t==eY?e.constructor:void 0,r=n?Pi(n):"";if(r)switch(r){case tY:return dA;case nY:return sA;case rY:return cA;case aY:return uA;case oY:return lA}return t},"getTag"));pA.exports=Co});var EA=P((Hve,DA)=>{l();var A1=kF(),iY=b1(),sY=KF(),cY=ZR(),hA=fA(),gA=ym(),yA=D1(),uY=x1(),lY=1,vA="[object Arguments]",bA="[object Array]",vm="[object Object]",dY=Object.prototype,wA=dY.hasOwnProperty;function mY(e,t,n,r,a,o){var i=gA(e),c=gA(t),u=i?bA:hA(e),d=c?bA:hA(t);u=u==vA?vm:u,d=d==vA?vm:d;var m=u==vm,p=d==vm,h=u==d;if(h&&yA(e)){if(!yA(t))return!1;i=!0,m=!1}if(h&&!m)return o||(o=new A1),i||uY(e)?iY(e,t,n,r,a,o):sY(e,t,u,n,r,a,o);if(!(n&lY)){var f=m&&wA.call(e,"__wrapped__"),y=p&&wA.call(t,"__wrapped__");if(f||y){var v=f?e.value():e,w=y?t.value():t;return o||(o=new A1),a(v,w,n,r,o)}}return h?(o||(o=new A1),cY(e,t,n,r,a,o)):!1}s(mY,"baseIsEqualDeep");DA.exports=mY});var CA=P((Vve,SA)=>{l();var pY=EA(),TA=Ic();function xA(e,t,n,r,a){return e===t?!0:e==null||t==null||!TA(e)&&!TA(t)?e!==e&&t!==t:pY(e,t,n,r,xA,a)}s(xA,"baseIsEqual");SA.exports=xA});var Lc=P((Kve,kA)=>{l();var fY=CA();function hY(e,t){return fY(e,t)}s(hY,"isEqual");kA.exports=hY});var FA,RA=g(()=>{"use strict";l();Sa();FA=!!an.env.CI||an.env.NODE_ENV==="test"});function bY(e){let t=Math.sign(e);e=Math.abs(e);let n=.254829592,r=-.284496736,a=1.421413741,o=-1.453152027,i=1.061405429,u=1/(1+.3275911*e),d=u*(n+u*(r+u*(a+u*(o+u*i))));return t*(1-d*Math.exp(-e*e))}function AA({median:e,p10:t},n){if(e<=0)throw new Error("median must be greater than zero");if(t<=0)throw new Error("p10 must be greater than zero");if(t>=e)throw new Error("p10 must be less than the median");if(n<=0)return 1;let r=.9061938024368232,a=Math.max(Number.MIN_VALUE,n/e),o=Math.log(a),i=Math.max(Number.MIN_VALUE,t/e),c=-Math.log(i),u=o*r/c,d=(1-bY(u))/2,m;return n<=t?m=Math.max(.9,Math.min(1,d)):n<=e?m=Math.max(yY,Math.min(gY,d)):m=Math.max(0,Math.min(vY,d)),m}function _A(e,t,n,r,a){let o=(r-t)/(n-e);return t+(a-e)*o}var gY,yY,vY,_1=g(()=>{"use strict";l();gY=.8999999999999999,yY=.5,vY=.49999999999999994;s(bY,"erf");s(AA,"getLogNormalScore");s(_A,"linearInterpolation")});var ra,DY,IA,EY,TY,Ne,Nn=g(()=>{"use strict";l();_1();ra="…",DY=" ",IA=.9,EY={PASS:{label:"pass",minScore:IA},AVERAGE:{label:"average",minScore:.5},FAIL:{label:"fail"},ERROR:{label:"error"}},TY=["com","co","gov","edu","ac","org","go","gob","or","net","in","ne","nic","gouv","web","spb","blog","jus","kiev","mil","wi","qc","ca","bel","on"],Ne=class e{static{s(this,"Util")}static get RATINGS(){return EY}static get PASS_THRESHOLD(){return IA}static get MS_DISPLAY_VALUE(){return`%10d${DY}ms`}static getFinalDisplayedUrl(t){if(t.finalDisplayedUrl)return t.finalDisplayedUrl;if(t.finalUrl)return t.finalUrl;throw new Error("Could not determine final displayed URL")}static getMainDocumentUrl(t){return t.mainDocumentUrl||t.finalUrl}static getFullPageScreenshot(t){return t.fullPageScreenshot?t.fullPageScreenshot:t.audits["full-page-screenshot"]?.details}static getEntityFromUrl(t,n){return n&&n.find(a=>a.origins.find(o=>t.startsWith(o)))||e.getPseudoRootDomain(t)}static splitMarkdownCodeSpans(t){let n=[],
r=t.split(/`(.*?)`/g);for(let a=0;a<r.length;a++){let o=r[a];if(!o)continue;let i=a%2!==0;n.push({isCode:i,text:o})}return n}static splitMarkdownLink(t){let n=[],r=t.split(/\[([^\]]+?)\]\((https?:\/\/.*?)\)/g);for(;r.length;){let[a,o,i]=r.splice(0,3);a&&n.push({isLink:!1,text:a}),o&&i&&n.push({isLink:!0,text:o,linkHref:i})}return n}static truncate(t,n,r="…"){if(t.length<=n)return t;let o=new Intl.Segmenter(void 0,{granularity:"grapheme"}).segment(t)[Symbol.iterator](),i=0;for(let c=0;c<=n-r.length;c++){let u=o.next();if(u.done)return t;i=u.value.index}for(let c=0;c<r.length;c++)if(o.next().done)return t;return t.slice(0,i)+r}static getURLDisplayName(t,n){n=n||{numPathParts:void 0,preserveQuery:void 0,preserveHost:void 0};let r=n.numPathParts!==void 0?n.numPathParts:2,a=n.preserveQuery!==void 0?n.preserveQuery:!0,o=n.preserveHost||!1,i;if(t.protocol==="about:"||t.protocol==="data:")i=t.href;else{i=t.pathname;let u=i.split("/").filter(d=>d.length);r&&u.length>r&&(i=ra+u.slice(-1*r).join(
"/")),o&&(i=`${t.host}/${i.replace(/^\//,"")}`),a&&(i=`${i}${t.search}`)}let c=64;if(t.protocol!=="data:"&&(i=i.slice(0,200),i=i.replace(/([a-f0-9]{7})[a-f0-9]{13}[a-f0-9]*/g,`$1${ra}`),i=i.replace(/([a-zA-Z0-9-_]{9})(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])[a-zA-Z0-9-_]{10,}/g,`$1${ra}`),i=i.replace(/(\d{3})\d{6,}/g,`$1${ra}`),i=i.replace(/\u2026+/g,ra),i.length>c&&i.includes("?")&&(i=i.replace(/\?([^=]*)(=)?.*/,`?$1$2${ra}`),i.length>c&&(i=i.replace(/\?.*/,`?${ra}`)))),i.length>c){let u=i.lastIndexOf(".");u>=0?i=i.slice(0,c-1-(i.length-u))+`${ra}${i.slice(u)}`:i=i.slice(0,c-1)+ra}return i}static getChromeExtensionOrigin(t){let n=new URL(t);return n.protocol+"//"+n.host}static parseURL(t){let n=new URL(t);return{file:e.getURLDisplayName(n),hostname:n.hostname,origin:n.protocol==="chrome-extension:"?e.getChromeExtensionOrigin(t):n.origin}}static createOrReturnURL(t){return t instanceof URL?t:new URL(t)}static getPseudoTld(t){let n=t.split(".").slice(-2);return TY.includes(n[0])?`.${n.join(".")}`:
`.${n[n.length-1]}`}static getPseudoRootDomain(t){let n=e.createOrReturnURL(t).hostname,a=e.getPseudoTld(n).split(".");return n.split(".").slice(-a.length).join(".")}static filterRelevantLines(t,n,r){if(n.length===0)return t.slice(0,r*2+1);let a=3,o=new Set;return n=n.sort((i,c)=>(i.lineNumber||0)-(c.lineNumber||0)),n.forEach(({lineNumber:i})=>{let c=i-r,u=i+r;for(;c<1;)c++,u++;o.has(c-a-1)&&(c-=a);for(let d=c;d<=u;d++){let m=d;o.add(m)}}),t.filter(i=>o.has(i.lineNumber))}static computeLogNormalScore(t,n){let r=AA(t,n);return r>.9&&(r+=.05*(r-.9)),Math.floor(r*100)/100}}});var xY,SY,CY,b,$=g(()=>{"use strict";l();Kt();RA();Nn();xY="defaultPass",SY={FCP:50,LCP:50,INP:50,TBT:50,CLS:.001},CY=s(e=>Math.round(e*100)/100,"clampTo2Decimals"),b=class e{static{s(this,"Audit")}static get DEFAULT_PASS(){return xY}static get SCORING_MODES(){return{NUMERIC:"numeric",METRIC_SAVINGS:"metricSavings",BINARY:"binary",MANUAL:"manual",INFORMATIVE:"informative",NOT_APPLICABLE:"notApplicable",ERROR:"error"}}static get meta(){throw new Error("Audit meta information must be overridden.")}static get defaultOptions(){return{}}static audit(t,n){throw new Error("audit() method must be overridden")}static computeLogNormalScore(t,n){return Ne.computeLogNormalScore(t,n)}static assertHeadingKeysExist(t,n){if(n.length&&FA)for(let r of t){if(r.key===null)continue;let a=r.key;if(!n.some(o=>a in o))throw new Error(`"${r.key}" is missing from items`)}}static makeTableDetails(t,n,r={}){let{wastedBytes:a,wastedMs:o,sortedBy:i,skipSumming:c,isEntityGrouped:u}=r,d=a||o?{wastedBytes:a,wastedMs:o}:
void 0;return n.length===0?{type:"table",headings:[],items:[],summary:d}:(e.assertHeadingKeysExist(t,n),{type:"table",headings:t,items:n,summary:d,sortedBy:i,skipSumming:c,isEntityGrouped:u})}static makeListDetails(t){return{type:"list",items:t}}static makeSnippetDetails({content:t,title:n,lineMessages:r,generalMessages:a,node:o,maxLineLength:i=200,maxLinesAroundMessage:c=20}){let u=e._makeSnippetLinesArray(t,i);return{type:"snippet",lines:Ne.filterRelevantLines(u,r,c),title:n,lineMessages:r,generalMessages:a,lineCount:u.length,node:o}}static _makeSnippetLinesArray(t,n){return t.split(`
`).map((r,a)=>{let o=a+1,i={content:Ne.truncate(r,n),lineNumber:o};return r.length>n&&(i.truncated=!0),i})}static makeOpportunityDetails(t,n,r){e.assertHeadingKeysExist(t,n);let{overallSavingsMs:a,overallSavingsBytes:o,sortedBy:i,skipSumming:c,isEntityGrouped:u}=r;return{type:"opportunity",headings:n.length===0?[]:t,items:n,overallSavingsMs:a,overallSavingsBytes:o,sortedBy:i,skipSumming:c,isEntityGrouped:u}}static makeNodeItem(t){return{type:"node",lhId:t.lhId,path:t.devtoolsNodePath,selector:t.selector,boundingRect:t.boundingRect,snippet:t.snippet,nodeLabel:t.nodeLabel}}static _findOriginalLocation(t,n,r){let a=t?.map.findEntry(n,r);if(a)return{file:a.sourceURL||"",line:a.sourceLineNumber||0,column:a.sourceColumnNumber||0}}static makeSourceLocation(t,n,r,a){return{type:"source-location",url:t,urlProvider:"network",line:n,column:r,original:a&&this._findOriginalLocation(a,n,r)}}static makeSourceLocationFromConsoleMessage(t,n){if(!t.url)return;let r=t.lineNumber||0,a=t.columnNumber||0;return this.
makeSourceLocation(t.url,r,a,n)}static _normalizeAuditScore(t,n,r){if(n===e.SCORING_MODES.INFORMATIVE)return 1;if(n!==e.SCORING_MODES.BINARY&&n!==e.SCORING_MODES.NUMERIC&&n!==e.SCORING_MODES.METRIC_SAVINGS)return null;if(t===null||!Number.isFinite(t))throw new Error(`Invalid score for ${r}: ${t}`);if(t>1)throw new Error(`Audit score for ${r} is > 1`);if(t<0)throw new Error(`Audit score for ${r} is < 0`);return t=CY(t),t}static _quantizeMetricSavings(t){if(!t)return;let n={...t};for(let r of Object.keys(t)){let a=t[r];if(a===void 0)continue;a=Math.max(a,0);let o=SY[r];o!==void 0&&(a=Math.round(a/o)*o),n[r]=a}return n}static generateErrorAuditResult(t,n,r){return e.generateAuditResult(t,{score:null,errorMessage:n,errorStack:r})}static generateAuditResult(t,n){if(n.score===void 0)throw new Error("generateAuditResult requires a score");let r=t.meta.scoreDisplayMode||e.SCORING_MODES.BINARY,a=n.score;n.errorMessage!==void 0?r=e.SCORING_MODES.ERROR:n.notApplicable?r=e.SCORING_MODES.NOT_APPLICABLE:
n.scoreDisplayMode&&(r=n.scoreDisplayMode);let o=e._quantizeMetricSavings(n.metricSavings),i=Object.values(o||{}).some(d=>d);r===e.SCORING_MODES.METRIC_SAVINGS&&(a&&a>=Ne.PASS_THRESHOLD?a=1:i?a=0:a=.5),a=e._normalizeAuditScore(a,r,t.meta.id);let c=t.meta.title;t.meta.failureTitle&&a!==null&&a<Ne.PASS_THRESHOLD&&(c=t.meta.failureTitle);let u="numericUnit"in n?n:void 0;return{id:t.meta.id,title:c,description:t.meta.description,score:a,scoreDisplayMode:r,numericValue:u?.numericValue,numericUnit:u?.numericUnit,displayValue:n.displayValue,explanation:n.explanation,errorMessage:n.errorMessage,errorStack:n.errorStack,warnings:n.warnings,scoringOptions:n.scoringOptions,metricSavings:o,details:n.details,guidanceLevel:t.meta.guidanceLevel}}static makeMetricComputationDataInput(t,n){let r=t.traces[e.DEFAULT_PASS],a=t.devtoolsLogs[e.DEFAULT_PASS],o=t.GatherContext;return{trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:t.URL}}}});var kY,bm,MA=g(()=>{"use strict";l();$();kY=s(e=>Math.round(e*100)/100,"clampTo2Decimals"),bm=class e{static{s(this,"ReportScoring")}static arithmeticMean(t){if(t=t.filter(r=>r.weight>0),t.some(r=>r.score===null))return null;let n=t.reduce((r,a)=>{let o=a.score,i=a.weight;return{weight:r.weight+i,sum:r.sum+o*i}},{weight:0,sum:0});return kY(n.sum/n.weight||0)}static scoreAllCategories(t,n){let r={};for(let[a,o]of Object.entries(t)){let i=o.auditRefs.map(d=>{let m={...d},p=n[m.id];return(p.scoreDisplayMode===b.SCORING_MODES.NOT_APPLICABLE||p.scoreDisplayMode===b.SCORING_MODES.INFORMATIVE||p.scoreDisplayMode===b.SCORING_MODES.MANUAL)&&(m.weight=0),m}),c=i.map(d=>({score:n[d.id].score,weight:d.weight})),u=e.arithmeticMean(c);r[a]={...o,auditRefs:i,id:a,score:u}}return r}}});function Oc(e,t){if(typeof t!="function"&&t!==null)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");I1(e,t);function n(){this.constructor=e}s(n,"__"),e.prototype=t===null?Object.create(t):(n.prototype=t.prototype,new n)}function NA(e,t){var n={};for(var r in e)Object.prototype.hasOwnProperty.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(e!=null&&typeof Object.getOwnPropertySymbols=="function")for(var a=0,r=Object.getOwnPropertySymbols(e);a<r.length;a++)t.indexOf(r[a])<0&&Object.prototype.propertyIsEnumerable.call(e,r[a])&&(n[r[a]]=e[r[a]]);return n}function wm(e,t,n){if(n||arguments.length===2)for(var r=0,a=t.length,o;r<a;r++)(o||!(r in t))&&(o||(o=Array.prototype.slice.call(t,0,r)),o[r]=t[r]);return e.concat(o||Array.prototype.slice.call(t))}var I1,ir,M1=g(()=>{l();I1=s(function(e,t){return I1=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(n,r){n.__proto__=r}||function(n,r){for(var a in r)Object.prototype.hasOwnProperty.call(r,a)&&(n[a]=
r[a])},I1(e,t)},"extendStatics");s(Oc,"__extends");ir=s(function(){return ir=Object.assign||s(function(t){for(var n,r=1,a=arguments.length;r<a;r++){n=arguments[r];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(t[o]=n[o])}return t},"__assign"),ir.apply(this,arguments)},"__assign");s(NA,"__rest");s(wm,"__spreadArray")});var Li,N1=g(()=>{l();Li=s(function(){return Li=Object.assign||s(function(t){for(var n,r=1,a=arguments.length;r<a;r++){n=arguments[r];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(t[o]=n[o])}return t},"__assign"),Li.apply(this,arguments)},"__assign")});var ze,P1=g(()=>{l();(function(e){e[e.EXPECT_ARGUMENT_CLOSING_BRACE=1]="EXPECT_ARGUMENT_CLOSING_BRACE",e[e.EMPTY_ARGUMENT=2]="EMPTY_ARGUMENT",e[e.MALFORMED_ARGUMENT=3]="MALFORMED_ARGUMENT",e[e.EXPECT_ARGUMENT_TYPE=4]="EXPECT_ARGUMENT_TYPE",e[e.INVALID_ARGUMENT_TYPE=5]="INVALID_ARGUMENT_TYPE",e[e.EXPECT_ARGUMENT_STYLE=6]="EXPECT_ARGUMENT_STYLE",e[e.INVALID_NUMBER_SKELETON=7]="INVALID_NUMBER_SKELETON",e[e.INVALID_DATE_TIME_SKELETON=8]="INVALID_DATE_TIME_SKELETON",e[e.EXPECT_NUMBER_SKELETON=9]="EXPECT_NUMBER_SKELETON",e[e.EXPECT_DATE_TIME_SKELETON=10]="EXPECT_DATE_TIME_SKELETON",e[e.UNCLOSED_QUOTE_IN_ARGUMENT_STYLE=11]="UNCLOSED_QUOTE_IN_ARGUMENT_STYLE",e[e.EXPECT_SELECT_ARGUMENT_OPTIONS=12]="EXPECT_SELECT_ARGUMENT_OPTIONS",e[e.EXPECT_PLURAL_ARGUMENT_OFFSET_VALUE=13]="EXPECT_PLURAL_ARGUMENT_OFFSET_VALUE",e[e.INVALID_PLURAL_ARGUMENT_OFFSET_VALUE=14]="INVALID_PLURAL_ARGUMENT_OFFSET_VALUE",e[e.EXPECT_SELECT_ARGUMENT_SELECTOR=15]="EXPECT_SELECT_ARGUMENT_SELECTOR",e[e.EXPECT_PLURAL_ARGUMENT_SELECTOR=
16]="EXPECT_PLURAL_ARGUMENT_SELECTOR",e[e.EXPECT_SELECT_ARGUMENT_SELECTOR_FRAGMENT=17]="EXPECT_SELECT_ARGUMENT_SELECTOR_FRAGMENT",e[e.EXPECT_PLURAL_ARGUMENT_SELECTOR_FRAGMENT=18]="EXPECT_PLURAL_ARGUMENT_SELECTOR_FRAGMENT",e[e.INVALID_PLURAL_ARGUMENT_SELECTOR=19]="INVALID_PLURAL_ARGUMENT_SELECTOR",e[e.DUPLICATE_PLURAL_ARGUMENT_SELECTOR=20]="DUPLICATE_PLURAL_ARGUMENT_SELECTOR",e[e.DUPLICATE_SELECT_ARGUMENT_SELECTOR=21]="DUPLICATE_SELECT_ARGUMENT_SELECTOR",e[e.MISSING_OTHER_CLAUSE=22]="MISSING_OTHER_CLAUSE",e[e.INVALID_TAG=23]="INVALID_TAG",e[e.INVALID_TAG_NAME=25]="INVALID_TAG_NAME",e[e.UNMATCHED_CLOSING_TAG=26]="UNMATCHED_CLOSING_TAG",e[e.UNCLOSED_TAG=27]="UNCLOSED_TAG"})(ze||(ze={}))});function L1(e){return e.type===wt.literal}function PA(e){return e.type===wt.argument}function Dm(e){return e.type===wt.number}function Em(e){return e.type===wt.date}function Tm(e){return e.type===wt.time}function xm(e){return e.type===wt.select}function Sm(e){return e.type===wt.plural}function LA(e){return e.type===wt.pound}function Cm(e){return e.type===wt.tag}function km(e){return!!(e&&typeof e=="object"&&e.type===ko.number)}function Bc(e){return!!(e&&typeof e=="object"&&e.type===ko.dateTime)}var wt,ko,Fm=g(()=>{l();(function(e){e[e.literal=0]="literal",e[e.argument=1]="argument",e[e.number=2]="number",e[e.date=3]="date",e[e.time=4]="time",e[e.select=5]="select",e[e.plural=6]="plural",e[e.pound=7]="pound",e[e.tag=8]="tag"})(wt||(wt={}));(function(e){e[e.number=0]="number",e[e.dateTime=1]="dateTime"})(ko||(ko={}));s(L1,"isLiteralElement");s(PA,"isArgumentElement");s(Dm,"isNumberElement");s(Em,"isDateElement");s(Tm,"isTimeElement");s(xm,"isSelectElement");s(Sm,"isPluralElement");s(LA,"\
isPoundElement");s(Cm,"isTagElement");s(km,"isNumberSkeleton");s(Bc,"isDateTimeSkeleton")});var O1,OA=g(()=>{l();O1=/[ \xA0\u1680\u2000-\u200A\u202F\u205F\u3000]/});function BA(e){var t={};return e.replace(FY,function(n){var r=n.length;switch(n[0]){case"G":t.era=r===4?"long":r===5?"narrow":"short";break;case"y":t.year=r===2?"2-digit":"numeric";break;case"Y":case"u":case"U":case"r":throw new RangeError("`Y/u/U/r` (year) patterns are not supported, use `y` instead");case"q":case"Q":throw new RangeError("`q/Q` (quarter) patterns are not supported");case"M":case"L":t.month=["numeric","2-digit","short","long","narrow"][r-1];break;case"w":case"W":throw new RangeError("`w/W` (week) patterns are not supported");case"d":t.day=["numeric","2-digit"][r-1];break;case"D":case"F":case"g":throw new RangeError("`D/F/g` (day) patterns are not supported, use `d` instead");case"E":t.weekday=r===4?"short":r===5?"narrow":"short";break;case"e":if(r<4)throw new RangeError("`e..eee` (weekday) patterns are not supported");t.weekday=["short","long","narrow","short"][r-4];break;case"c":if(r<4)throw new RangeError("`c..ccc` (weekday) patterns are not supported");t.weekday=["s\
hort","long","narrow","short"][r-4];break;case"a":t.hour12=!0;break;case"b":case"B":throw new RangeError("`b/B` (period) patterns are not supported, use `a` instead");case"h":t.hourCycle="h12",t.hour=["numeric","2-digit"][r-1];break;case"H":t.hourCycle="h23",t.hour=["numeric","2-digit"][r-1];break;case"K":t.hourCycle="h11",t.hour=["numeric","2-digit"][r-1];break;case"k":t.hourCycle="h24",t.hour=["numeric","2-digit"][r-1];break;case"j":case"J":case"C":throw new RangeError("`j/J/C` (hour) patterns are not supported, use `h/H/K/k` instead");case"m":t.minute=["numeric","2-digit"][r-1];break;case"s":t.second=["numeric","2-digit"][r-1];break;case"S":case"A":throw new RangeError("`S/A` (second) patterns are not supported, use `s` instead");case"z":t.timeZoneName=r<4?"short":"long";break;case"Z":case"O":case"v":case"V":case"X":case"x":throw new RangeError("`Z/O/v/V/X/x` (timeZone) patterns are not supported, use `z` instead")}return""}),t}var FY,UA=g(()=>{l();FY=/(?:[Eec]{1,6}|G{1,5}|[Qq]{1,5}|(?:[yYur]+|U{1,5})|[ML]{1,5}|d{1,2}|D{1,3}|F{1}|[abB]{1,5}|[hkHK]{1,2}|w{1,2}|W{1}|m{1,2}|s{1,2}|[zZOvVxX]{1,4})(?=([^']*'[^']*')*[^']*$)/g;
s(BA,"parseDateTimeSkeleton")});var St,jA=g(()=>{l();St=s(function(){return St=Object.assign||s(function(t){for(var n,r=1,a=arguments.length;r<a;r++){n=arguments[r];for(var o in n)Object.prototype.hasOwnProperty.call(n,o)&&(t[o]=n[o])}return t},"__assign"),St.apply(this,arguments)},"__assign")});var qA,zA=g(()=>{l();qA=/[\t-\r \x85\u200E\u200F\u2028\u2029]/i});function VA(e){if(e.length===0)throw new Error("Number skeleton cannot be empty");for(var t=e.split(qA).filter(function(h){return h.length>0}),n=[],r=0,a=t;r<a.length;r++){var o=a[r],i=o.split("/");if(i.length===0)throw new Error("Invalid number skeleton");for(var c=i[0],u=i.slice(1),d=0,m=u;d<m.length;d++){var p=m[d];if(p.length===0)throw new Error("Invalid number skeleton")}n.push({stem:c,options:u})}return n}function RY(e){return e.replace(/^(.*?)-/,"")}function WA(e){var t={};return e[e.length-1]==="r"?t.roundingPriority="morePrecision":e[e.length-1]==="s"&&(t.roundingPriority="lessPrecision"),e.replace($A,function(n,r,a){return typeof a!="string"?(t.minimumSignificantDigits=r.length,t.maximumSignificantDigits=r.length):a==="+"?t.minimumSignificantDigits=r.length:r[0]==="#"?t.maximumSignificantDigits=r.length:(t.minimumSignificantDigits=r.length,t.maximumSignificantDigits=r.length+(typeof a=="string"?a.length:0)),""}),t}function KA(e){switch(e){case"sign-auto":return{signDisplay:"a\
uto"};case"sign-accounting":case"()":return{currencySign:"accounting"};case"sign-always":case"+!":return{signDisplay:"always"};case"sign-accounting-always":case"()!":return{signDisplay:"always",currencySign:"accounting"};case"sign-except-zero":case"+?":return{signDisplay:"exceptZero"};case"sign-accounting-except-zero":case"()?":return{signDisplay:"exceptZero",currencySign:"accounting"};case"sign-never":case"+_":return{signDisplay:"never"}}}function _Y(e){var t;if(e[0]==="E"&&e[1]==="E"?(t={notation:"engineering"},e=e.slice(2)):e[0]==="E"&&(t={notation:"scientific"},e=e.slice(1)),t){var n=e.slice(0,2);if(n==="+!"?(t.signDisplay="always",e=e.slice(2)):n==="+?"&&(t.signDisplay="exceptZero",e=e.slice(2)),!YA.test(e))throw new Error("Malformed concise eng/scientific notation");t.minimumIntegerDigits=e.length}return t}function GA(e){var t={},n=KA(e);return n||t}function JA(e){for(var t={},n=0,r=e;n<r.length;n++){var a=r[n];switch(a.stem){case"percent":case"%":t.style="percent";continue;case"\
%x100":t.style="percent",t.scale=100;continue;case"currency":t.style="currency",t.currency=a.options[0];continue;case"group-off":case",_":t.useGrouping=!1;continue;case"precision-integer":case".":t.maximumFractionDigits=0;continue;case"measure-unit":case"unit":t.style="unit",t.unit=RY(a.options[0]);continue;case"compact-short":case"K":t.notation="compact",t.compactDisplay="short";continue;case"compact-long":case"KK":t.notation="compact",t.compactDisplay="long";continue;case"scientific":t=St(St(St({},t),{notation:"scientific"}),a.options.reduce(function(u,d){return St(St({},u),GA(d))},{}));continue;case"engineering":t=St(St(St({},t),{notation:"engineering"}),a.options.reduce(function(u,d){return St(St({},u),GA(d))},{}));continue;case"notation-simple":t.notation="standard";continue;case"unit-width-narrow":t.currencyDisplay="narrowSymbol",t.unitDisplay="narrow";continue;case"unit-width-short":t.currencyDisplay="code",t.unitDisplay="short";continue;case"unit-width-full-name":t.currencyDisplay=
"name",t.unitDisplay="long";continue;case"unit-width-iso-code":t.currencyDisplay="symbol";continue;case"scale":t.scale=parseFloat(a.options[0]);continue;case"integer-width":if(a.options.length>1)throw new RangeError("integer-width stems only accept a single optional option");a.options[0].replace(AY,function(u,d,m,p,h,f){if(d)t.minimumIntegerDigits=m.length;else{if(p&&h)throw new Error("We currently do not support maximum integer digits");if(f)throw new Error("We currently do not support exact integer digits")}return""});continue}if(YA.test(a.stem)){t.minimumIntegerDigits=a.stem.length;continue}if(HA.test(a.stem)){if(a.options.length>1)throw new RangeError("Fraction-precision stems only accept a single optional option");a.stem.replace(HA,function(u,d,m,p,h,f){return m==="*"?t.minimumFractionDigits=d.length:p&&p[0]==="#"?t.maximumFractionDigits=p.length:h&&f?(t.minimumFractionDigits=h.length,t.maximumFractionDigits=h.length+f.length):(t.minimumFractionDigits=d.length,t.maximumFractionDigits=
d.length),""});var o=a.options[0];o==="w"?t=St(St({},t),{trailingZeroDisplay:"stripIfInteger"}):o&&(t=St(St({},t),WA(o)));continue}if($A.test(a.stem)){t=St(St({},t),WA(a.stem));continue}var i=KA(a.stem);i&&(t=St(St({},t),i));var c=_Y(a.stem);c&&(t=St(St({},t),c))}return t}var HA,$A,AY,YA,XA=g(()=>{l();jA();zA();s(VA,"parseNumberSkeletonFromString");s(RY,"icuUnitToEcma");HA=/^\.(?:(0+)(\*)?|(#+)|(0+)(#+))$/g,$A=/^(@+)?(\+|#+)?[rs]?$/g,AY=/(\*)(0+)|(#+)(0+)|(0+)/g,YA=/^(0+)$/;s(WA,"parseSignificantPrecision");s(KA,"parseSign");s(_Y,"parseConciseScientificAndEngineeringStem");s(GA,"parseNotationOptions");s(JA,"parseNumberSkeleton")});var ZA=g(()=>{l();UA();XA()});var Uc,QA=g(()=>{l();Uc={"001":["H","h"],AC:["H","h","hb","hB"],AD:["H","hB"],AE:["h","hB","hb","H"],AF:["H","hb","hB","h"],AG:["h","hb","H","hB"],AI:["H","h","hb","hB"],AL:["h","H","hB"],AM:["H","hB"],AO:["H","hB"],AR:["H","h","hB","hb"],AS:["h","H"],AT:["H","hB"],AU:["h","hb","H","hB"],AW:["H","hB"],AX:["H"],AZ:["H","hB","h"],BA:["H","hB","h"],BB:["h","hb","H","hB"],BD:["h","hB","H"],BE:["H","hB"],BF:["H","hB"],BG:["H","hB","h"],BH:["h","hB","hb","H"],BJ:["H","hB"],BL:["H","hB"],BM:["h","hb","H","hB"],BN:["hb","hB","h","H"],BO:["H","hB","h","hb"],BQ:["H"],BR:["H","hB"],BS:["h","hb","H","hB"],BT:["h","H"],BW:["H","h","hb","hB"],BZ:["H","h","hb","hB"],CA:["h","hb","H","hB"],CC:["H","h","hb","hB"],CD:["hB","H"],CF:["H","h","hB"],CG:["H","hB"],CH:["H","hB","h"],CI:["H","hB"],CK:["H","h","hb","hB"],CL:["H","h","hB","hb"],CM:["H","h","hB"],CN:["H","hB","hb","h"],CO:["h","H","hB","hb"],CP:["H"],CR:["H","h","hB","hb"],CU:["H","h","hB","hb"],CV:["H","hB"],CX:["H","h","hb","hB"],CY:["h","H","h\
b","hB"],CZ:["H"],DE:["H","hB"],DG:["H","h","hb","hB"],DJ:["h","H"],DK:["H"],DM:["h","hb","H","hB"],DO:["h","H","hB","hb"],DZ:["h","hB","hb","H"],EA:["H","h","hB","hb"],EC:["H","hB","h","hb"],EE:["H","hB"],EG:["h","hB","hb","H"],EH:["h","hB","hb","H"],ER:["h","H"],ES:["H","hB","h","hb"],ET:["hB","hb","h","H"],FI:["H"],FJ:["h","hb","H","hB"],FK:["H","h","hb","hB"],FM:["h","hb","H","hB"],FR:["H","hB"],GA:["H","hB"],GB:["H","h","hb","hB"],GD:["h","hb","H","hB"],GE:["H","hB","h"],GF:["H","hB"],GG:["H","h","hb","hB"],GH:["h","H"],GI:["H","h","hb","hB"],GM:["h","hb","H","hB"],GN:["H","hB"],GP:["H","hB"],GQ:["H","hB","h","hb"],GR:["h","H","hb","hB"],GT:["H","h","hB","hb"],GU:["h","hb","H","hB"],GW:["H","hB"],GY:["h","hb","H","hB"],HK:["h","hB","hb","H"],HN:["H","h","hB","hb"],HR:["H","hB"],IC:["H","h","hB","hb"],ID:["H"],IE:["H","h","hb","hB"],IL:["H","hB"],IM:["H","h","hb","hB"],IN:["h","H"],IO:["H","h","hb","hB"],IQ:["h","hB","hb","H"],IR:["hB","H"],IS:["H"],IT:["H","hB"],JE:["H","h","hb","\
hB"],JM:["h","hb","H","hB"],JO:["h","hB","hb","H"],JP:["H","h","K"],KE:["hB","hb","H","h"],KG:["H","h","hB","hb"],KH:["hB","h","H","hb"],KI:["h","hb","H","hB"],KM:["H","h","hB","hb"],KN:["h","hb","H","hB"],KP:["h","H","hB","hb"],KR:["h","H","hB","hb"],KW:["h","hB","hb","H"],KY:["h","hb","H","hB"],KZ:["H","hB"],LA:["H","hb","hB","h"],LB:["h","hB","hb","H"],LC:["h","hb","H","hB"],LI:["H","hB","h"],LK:["H","h","hB","hb"],LR:["h","hb","H","hB"],LS:["h","H"],LT:["H","h","hb","hB"],LU:["H","h","hB"],LV:["H","hB","hb","h"],LY:["h","hB","hb","H"],MA:["H","h","hB","hb"],MC:["H","hB"],MD:["H","hB"],ME:["H","hB","h"],MF:["H","hB"],MH:["h","hb","H","hB"],MK:["H","h","hb","hB"],ML:["H"],MM:["hB","hb","H","h"],MN:["H","h","hb","hB"],MO:["h","hB","hb","H"],MP:["h","hb","H","hB"],MQ:["H","hB"],MR:["h","hB","hb","H"],MS:["H","h","hb","hB"],MW:["h","hb","H","hB"],MX:["H","h","hB","hb"],MY:["hb","hB","h","H"],MZ:["H","hB"],NA:["h","H","hB","hb"],NC:["H","hB"],NE:["H"],NF:["H","h","hb","hB"],NG:["H","h","\
hb","hB"],NI:["H","h","hB","hb"],NL:["H","hB"],NP:["H","h","hB"],NR:["H","h","hb","hB"],NU:["H","h","hb","hB"],NZ:["h","hb","H","hB"],OM:["h","hB","hb","H"],PA:["h","H","hB","hb"],PE:["H","hB","h","hb"],PF:["H","h","hB"],PG:["h","H"],PH:["h","hB","hb","H"],PK:["h","hB","H"],PM:["H","hB"],PN:["H","h","hb","hB"],PR:["h","H","hB","hb"],PS:["h","hB","hb","H"],PT:["H","hB"],PW:["h","H"],PY:["H","h","hB","hb"],QA:["h","hB","hb","H"],RE:["H","hB"],RO:["H","hB"],RS:["H","hB","h"],RU:["H"],SA:["h","hB","hb","H"],SB:["h","hb","H","hB"],SC:["H","h","hB"],SD:["h","hB","hb","H"],SE:["H"],SG:["h","hb","H","hB"],SH:["H","h","hb","hB"],SI:["H","hB"],SJ:["H"],SK:["H"],SL:["h","hb","H","hB"],SM:["H","h","hB"],SN:["H","h","hB"],SO:["h","H"],SR:["H","hB"],SS:["h","hb","H","hB"],ST:["H","hB"],SV:["H","h","hB","hb"],SX:["H","h","hb","hB"],SY:["h","hB","hb","H"],SZ:["h","hb","H","hB"],TA:["H","h","hb","hB"],TC:["h","hb","H","hB"],TD:["h","H","hB"],TF:["H","h","hB"],TG:["H","hB"],TL:["H","hB","hb","h"],TN:["h",
"hB","hb","H"],TO:["h","H"],TR:["H","hB"],TT:["h","hb","H","hB"],TW:["hB","hb","h","H"],TZ:["hB","hb","H","h"],UA:["H","hB","h"],UG:["hB","hb","H","h"],UM:["h","hb","H","hB"],US:["h","hb","H","hB"],UY:["H","h","hB","hb"],UZ:["H","hB","h"],VA:["H","h","hB"],VC:["h","hb","H","hB"],VE:["h","H","hB","hb"],VG:["h","hb","H","hB"],VI:["h","hb","H","hB"],VU:["h","H"],WF:["H","hB"],WS:["h","H"],XK:["H","hB","h"],YE:["h","hB","hb","H"],YT:["H","hB"],ZA:["H","h","hb","hB"],ZM:["h","hb","H","hB"],"af-ZA":["H","h","hB","hb"],"ar-001":["h","hB","hb","H"],"ca-ES":["H","h","hB"],"en-001":["h","hb","H","hB"],"es-BO":["H","h","hB","hb"],"es-BR":["H","h","hB","hb"],"es-EC":["H","h","hB","hb"],"es-ES":["H","h","hB","hb"],"es-GQ":["H","h","hB","hb"],"es-PE":["H","h","hB","hb"],"fr-CA":["H","h","hB"],"gl-ES":["H","h","hB"],"gu-IN":["hB","hb","h","H"],"hi-IN":["hB","h","H"],"it-CH":["H","h","hB"],"it-IT":["H","h","hB"],"kn-IN":["hB","h","H"],"ml-IN":["hB","h","H"],"mr-IN":["hB","hb","h","H"],"pa-IN":["hB","h\
b","h","H"],"ta-IN":["hB","h","hb","H"],"te-IN":["hB","h","H"],"zu-ZA":["H","hB","hb","h"]}});function e_(e,t){for(var n="",r=0;r<e.length;r++){var a=e.charAt(r);if(a==="j"){for(var o=0;r+1<e.length&&e.charAt(r+1)===a;)o++,r++;var i=1+(o&1),c=o<2?1:3+(o>>1),u="a",d=IY(t);for((d=="H"||d=="k")&&(c=0);c-- >0;)n+=u;for(;i-- >0;)n=d+n}else a==="J"?n+="H":n+=a}return n}function IY(e){var t=e.hourCycle;if(t===void 0&&e.hourCycles&&e.hourCycles.length&&(t=e.hourCycles[0]),t)switch(t){case"h24":return"k";case"h23":return"H";case"h12":return"h";case"h11":return"K";default:throw new Error("Invalid hourCycle")}var n=e.language,r;n!=="root"&&(r=e.maximize().region);var a=Uc[r||""]||Uc[n||""]||Uc["".concat(n,"-001")]||Uc["001"];return a[0]}var t_=g(()=>{l();QA();s(e_,"getBestPattern");s(IY,"getDefaultHourSymbolFromLocale")});function Ye(e,t){return{start:e,end:t}}function i_(e,t){return new RegExp(e,t)}function H1(e){return e>=97&&e<=122||e>=65&&e<=90}function GY(e){return H1(e)||e===47}function VY(e){return e===45||e===46||e>=48&&e<=57||e===95||e>=97&&e<=122||e>=65&&e<=90||e==183||e>=192&&e<=214||e>=216&&e<=246||e>=248&&e<=893||e>=895&&e<=8191||e>=8204&&e<=8205||e>=8255&&e<=8256||e>=8304&&e<=8591||e>=11264&&e<=12271||e>=12289&&e<=55295||e>=63744&&e<=64975||e>=65008&&e<=65533||e>=65536&&e<=983039}function c_(e){return e>=9&&e<=13||e===32||e===133||e>=8206&&e<=8207||e===8232||e===8233}function $Y(e){return e>=33&&e<=35||e===36||e>=37&&e<=39||e===40||e===41||e===42||e===43||e===44||e===45||e>=46&&e<=47||e>=58&&e<=59||e>=60&&e<=62||e>=63&&e<=64||e===91||e===92||e===93||e===94||e===96||e===123||e===124||e===125||e===126||e===161||e>=162&&e<=165||e===166||e===167||e===169||e===171||e===172||e===174||e===176||e===177||e===182||e===187||e===191||e===215||e===247||e>=8208&&e<=8213||e>=8214&&e<=8215||e===8216||e===
8217||e===8218||e>=8219&&e<=8220||e===8221||e===8222||e===8223||e>=8224&&e<=8231||e>=8240&&e<=8248||e===8249||e===8250||e>=8251&&e<=8254||e>=8257&&e<=8259||e===8260||e===8261||e===8262||e>=8263&&e<=8273||e===8274||e===8275||e>=8277&&e<=8286||e>=8592&&e<=8596||e>=8597&&e<=8601||e>=8602&&e<=8603||e>=8604&&e<=8607||e===8608||e>=8609&&e<=8610||e===8611||e>=8612&&e<=8613||e===8614||e>=8615&&e<=8621||e===8622||e>=8623&&e<=8653||e>=8654&&e<=8655||e>=8656&&e<=8657||e===8658||e===8659||e===8660||e>=8661&&e<=8691||e>=8692&&e<=8959||e>=8960&&e<=8967||e===8968||e===8969||e===8970||e===8971||e>=8972&&e<=8991||e>=8992&&e<=8993||e>=8994&&e<=9e3||e===9001||e===9002||e>=9003&&e<=9083||e===9084||e>=9085&&e<=9114||e>=9115&&e<=9139||e>=9140&&e<=9179||e>=9180&&e<=9185||e>=9186&&e<=9254||e>=9255&&e<=9279||e>=9280&&e<=9290||e>=9291&&e<=9311||e>=9472&&e<=9654||e===9655||e>=9656&&e<=9664||e===9665||e>=9666&&e<=9719||e>=9720&&e<=9727||e>=9728&&e<=9838||e===9839||e>=9840&&e<=10087||e===10088||e===10089||e===10090||
e===10091||e===10092||e===10093||e===10094||e===10095||e===10096||e===10097||e===10098||e===10099||e===10100||e===10101||e>=10132&&e<=10175||e>=10176&&e<=10180||e===10181||e===10182||e>=10183&&e<=10213||e===10214||e===10215||e===10216||e===10217||e===10218||e===10219||e===10220||e===10221||e===10222||e===10223||e>=10224&&e<=10239||e>=10240&&e<=10495||e>=10496&&e<=10626||e===10627||e===10628||e===10629||e===10630||e===10631||e===10632||e===10633||e===10634||e===10635||e===10636||e===10637||e===10638||e===10639||e===10640||e===10641||e===10642||e===10643||e===10644||e===10645||e===10646||e===10647||e===10648||e>=10649&&e<=10711||e===10712||e===10713||e===10714||e===10715||e>=10716&&e<=10747||e===10748||e===10749||e>=10750&&e<=11007||e>=11008&&e<=11055||e>=11056&&e<=11076||e>=11077&&e<=11078||e>=11079&&e<=11084||e>=11085&&e<=11123||e>=11124&&e<=11125||e>=11126&&e<=11157||e===11158||e>=11159&&e<=11263||e>=11776&&e<=11777||e===11778||e===11779||e===11780||e===11781||e>=11782&&e<=11784||e===
11785||e===11786||e===11787||e===11788||e===11789||e>=11790&&e<=11798||e===11799||e>=11800&&e<=11801||e===11802||e===11803||e===11804||e===11805||e>=11806&&e<=11807||e===11808||e===11809||e===11810||e===11811||e===11812||e===11813||e===11814||e===11815||e===11816||e===11817||e>=11818&&e<=11822||e===11823||e>=11824&&e<=11833||e>=11834&&e<=11835||e>=11836&&e<=11839||e===11840||e===11841||e===11842||e>=11843&&e<=11855||e>=11856&&e<=11857||e===11858||e>=11859&&e<=11903||e>=12289&&e<=12291||e===12296||e===12297||e===12298||e===12299||e===12300||e===12301||e===12302||e===12303||e===12304||e===12305||e>=12306&&e<=12307||e===12308||e===12309||e===12310||e===12311||e===12312||e===12313||e===12314||e===12315||e===12316||e===12317||e>=12318&&e<=12319||e===12320||e===12336||e===64830||e===64831||e>=65093&&e<=65094}var B1,MY,NY,PY,LY,OY,BY,UY,jY,qY,zY,j1,n_,r_,q1,a_,o_,HY,WY,z1,U1,s_,u_=g(()=>{l();N1();P1();Fm();OA();ZA();t_();MY=new RegExp("^".concat(O1.source,"*")),NY=new RegExp("".concat(O1.source,
"*$"));s(Ye,"createLocation");PY=!!String.prototype.startsWith&&"_a".startsWith("a",1),LY=!!String.fromCodePoint,OY=!!Object.fromEntries,BY=!!String.prototype.codePointAt,UY=!!String.prototype.trimStart,jY=!!String.prototype.trimEnd,qY=!!Number.isSafeInteger,zY=qY?Number.isSafeInteger:function(e){return typeof e=="number"&&isFinite(e)&&Math.floor(e)===e&&Math.abs(e)<=9007199254740991},j1=!0;try{n_=i_("([^\\p{White_Space}\\p{Pattern_Syntax}]*)","yu"),j1=((B1=n_.exec("a"))===null||B1===void 0?void 0:B1[0])==="a"}catch{j1=!1}r_=s(PY?function(t,n,r){return t.startsWith(n,r)}:function(t,n,r){return t.slice(r,r+n.length)===n},"startsWith"),q1=LY?String.fromCodePoint:s(function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];for(var r="",a=t.length,o=0,i;a>o;){if(i=t[o++],i>1114111)throw RangeError(i+" is not a valid code point");r+=i<65536?String.fromCharCode(i):String.fromCharCode(((i-=65536)>>10)+55296,i%1024+56320)}return r},"fromCodePoint"),a_=OY?Object.fromEntries:s(function(t){
for(var n={},r=0,a=t;r<a.length;r++){var o=a[r],i=o[0],c=o[1];n[i]=c}return n},"fromEntries"),o_=s(BY?function(t,n){return t.codePointAt(n)}:function(t,n){var r=t.length;if(!(n<0||n>=r)){var a=t.charCodeAt(n),o;return a<55296||a>56319||n+1===r||(o=t.charCodeAt(n+1))<56320||o>57343?a:(a-55296<<10)+(o-56320)+65536}},"codePointAt"),HY=s(UY?function(t){return t.trimStart()}:function(t){return t.replace(MY,"")},"trimStart"),WY=s(jY?function(t){return t.trimEnd()}:function(t){return t.replace(NY,"")},"trimEnd");s(i_,"RE");j1?(U1=i_("([^\\p{White_Space}\\p{Pattern_Syntax}]*)","yu"),z1=s(function(t,n){var r;U1.lastIndex=n;var a=U1.exec(t);return(r=a[1])!==null&&r!==void 0?r:""},"matchIdentifierAtIndex")):z1=s(function(t,n){for(var r=[];;){var a=o_(t,n);if(a===void 0||c_(a)||$Y(a))break;r.push(a),n+=a>=65536?2:1}return q1.apply(void 0,r)},"matchIdentifierAtIndex");s_=function(){function e(t,n){n===void 0&&(n={}),this.message=t,this.position={offset:0,line:1,column:1},this.ignoreTag=!!n.ignoreTag,
this.locale=n.locale,this.requiresOtherClause=!!n.requiresOtherClause,this.shouldParseSkeletons=!!n.shouldParseSkeletons}return s(e,"Parser"),e.prototype.parse=function(){if(this.offset()!==0)throw Error("parser can only be used once");return this.parseMessage(0,"",!1)},e.prototype.parseMessage=function(t,n,r){for(var a=[];!this.isEOF();){var o=this.char();if(o===123){var i=this.parseArgument(t,r);if(i.err)return i;a.push(i.val)}else{if(o===125&&t>0)break;if(o===35&&(n==="plural"||n==="selectordinal")){var c=this.clonePosition();this.bump(),a.push({type:wt.pound,location:Ye(c,this.clonePosition())})}else if(o===60&&!this.ignoreTag&&this.peek()===47){if(r)break;return this.error(ze.UNMATCHED_CLOSING_TAG,Ye(this.clonePosition(),this.clonePosition()))}else if(o===60&&!this.ignoreTag&&H1(this.peek()||0)){var i=this.parseTag(t,n);if(i.err)return i;a.push(i.val)}else{var i=this.parseLiteral(t,n);if(i.err)return i;a.push(i.val)}}}return{val:a,err:null}},e.prototype.parseTag=function(t,n){var r=this.
clonePosition();this.bump();var a=this.parseTagName();if(this.bumpSpace(),this.bumpIf("/>"))return{val:{type:wt.literal,value:"<".concat(a,"/>"),location:Ye(r,this.clonePosition())},err:null};if(this.bumpIf(">")){var o=this.parseMessage(t+1,n,!0);if(o.err)return o;var i=o.val,c=this.clonePosition();if(this.bumpIf("</")){if(this.isEOF()||!H1(this.char()))return this.error(ze.INVALID_TAG,Ye(c,this.clonePosition()));var u=this.clonePosition(),d=this.parseTagName();return a!==d?this.error(ze.UNMATCHED_CLOSING_TAG,Ye(u,this.clonePosition())):(this.bumpSpace(),this.bumpIf(">")?{val:{type:wt.tag,value:a,children:i,location:Ye(r,this.clonePosition())},err:null}:this.error(ze.INVALID_TAG,Ye(c,this.clonePosition())))}else return this.error(ze.UNCLOSED_TAG,Ye(r,this.clonePosition()))}else return this.error(ze.INVALID_TAG,Ye(r,this.clonePosition()))},e.prototype.parseTagName=function(){var t=this.offset();for(this.bump();!this.isEOF()&&VY(this.char());)this.bump();return this.message.slice(t,this.
offset())},e.prototype.parseLiteral=function(t,n){for(var r=this.clonePosition(),a="";;){var o=this.tryParseQuote(n);if(o){a+=o;continue}var i=this.tryParseUnquoted(t,n);if(i){a+=i;continue}var c=this.tryParseLeftAngleBracket();if(c){a+=c;continue}break}var u=Ye(r,this.clonePosition());return{val:{type:wt.literal,value:a,location:u},err:null}},e.prototype.tryParseLeftAngleBracket=function(){return!this.isEOF()&&this.char()===60&&(this.ignoreTag||!GY(this.peek()||0))?(this.bump(),"<"):null},e.prototype.tryParseQuote=function(t){if(this.isEOF()||this.char()!==39)return null;switch(this.peek()){case 39:return this.bump(),this.bump(),"'";case 123:case 60:case 62:case 125:break;case 35:if(t==="plural"||t==="selectordinal")break;return null;default:return null}this.bump();var n=[this.char()];for(this.bump();!this.isEOF();){var r=this.char();if(r===39)if(this.peek()===39)n.push(39),this.bump();else{this.bump();break}else n.push(r);this.bump()}return q1.apply(void 0,n)},e.prototype.tryParseUnquoted=
function(t,n){if(this.isEOF())return null;var r=this.char();return r===60||r===123||r===35&&(n==="plural"||n==="selectordinal")||r===125&&t>0?null:(this.bump(),q1(r))},e.prototype.parseArgument=function(t,n){var r=this.clonePosition();if(this.bump(),this.bumpSpace(),this.isEOF())return this.error(ze.EXPECT_ARGUMENT_CLOSING_BRACE,Ye(r,this.clonePosition()));if(this.char()===125)return this.bump(),this.error(ze.EMPTY_ARGUMENT,Ye(r,this.clonePosition()));var a=this.parseIdentifierIfPossible().value;if(!a)return this.error(ze.MALFORMED_ARGUMENT,Ye(r,this.clonePosition()));if(this.bumpSpace(),this.isEOF())return this.error(ze.EXPECT_ARGUMENT_CLOSING_BRACE,Ye(r,this.clonePosition()));switch(this.char()){case 125:return this.bump(),{val:{type:wt.argument,value:a,location:Ye(r,this.clonePosition())},err:null};case 44:return this.bump(),this.bumpSpace(),this.isEOF()?this.error(ze.EXPECT_ARGUMENT_CLOSING_BRACE,Ye(r,this.clonePosition())):this.parseArgumentOptions(t,n,a,r);default:return this.error(
ze.MALFORMED_ARGUMENT,Ye(r,this.clonePosition()))}},e.prototype.parseIdentifierIfPossible=function(){var t=this.clonePosition(),n=this.offset(),r=z1(this.message,n),a=n+r.length;this.bumpTo(a);var o=this.clonePosition(),i=Ye(t,o);return{value:r,location:i}},e.prototype.parseArgumentOptions=function(t,n,r,a){var o,i=this.clonePosition(),c=this.parseIdentifierIfPossible().value,u=this.clonePosition();switch(c){case"":return this.error(ze.EXPECT_ARGUMENT_TYPE,Ye(i,u));case"number":case"date":case"time":{this.bumpSpace();var d=null;if(this.bumpIf(",")){this.bumpSpace();var m=this.clonePosition(),p=this.parseSimpleArgStyleIfPossible();if(p.err)return p;var h=WY(p.val);if(h.length===0)return this.error(ze.EXPECT_ARGUMENT_STYLE,Ye(this.clonePosition(),this.clonePosition()));var f=Ye(m,this.clonePosition());d={style:h,styleLocation:f}}var y=this.tryParseArgumentClose(a);if(y.err)return y;var v=Ye(a,this.clonePosition());if(d&&r_(d?.style,"::",0)){var w=HY(d.style.slice(2));if(c==="number"){var p=this.
parseNumberSkeletonFromString(w,d.styleLocation);return p.err?p:{val:{type:wt.number,value:r,location:v,style:p.val},err:null}}else{if(w.length===0)return this.error(ze.EXPECT_DATE_TIME_SKELETON,v);var E=w;this.locale&&(E=e_(w,this.locale));var h={type:ko.dateTime,pattern:E,location:d.styleLocation,parsedOptions:this.shouldParseSkeletons?BA(E):{}},T=c==="date"?wt.date:wt.time;return{val:{type:T,value:r,location:v,style:h},err:null}}}return{val:{type:c==="number"?wt.number:c==="date"?wt.date:wt.time,value:r,location:v,style:(o=d?.style)!==null&&o!==void 0?o:null},err:null}}case"plural":case"selectordinal":case"select":{var S=this.clonePosition();if(this.bumpSpace(),!this.bumpIf(","))return this.error(ze.EXPECT_SELECT_ARGUMENT_OPTIONS,Ye(S,Li({},S)));this.bumpSpace();var C=this.parseIdentifierIfPossible(),F=0;if(c!=="select"&&C.value==="offset"){if(!this.bumpIf(":"))return this.error(ze.EXPECT_PLURAL_ARGUMENT_OFFSET_VALUE,Ye(this.clonePosition(),this.clonePosition()));this.bumpSpace();var p=this.
tryParseDecimalInteger(ze.EXPECT_PLURAL_ARGUMENT_OFFSET_VALUE,ze.INVALID_PLURAL_ARGUMENT_OFFSET_VALUE);if(p.err)return p;this.bumpSpace(),C=this.parseIdentifierIfPossible(),F=p.val}var L=this.tryParsePluralOrSelectOptions(t,c,n,C);if(L.err)return L;var y=this.tryParseArgumentClose(a);if(y.err)return y;var N=Ye(a,this.clonePosition());return c==="select"?{val:{type:wt.select,value:r,options:a_(L.val),location:N},err:null}:{val:{type:wt.plural,value:r,options:a_(L.val),offset:F,pluralType:c==="plural"?"cardinal":"ordinal",location:N},err:null}}default:return this.error(ze.INVALID_ARGUMENT_TYPE,Ye(i,u))}},e.prototype.tryParseArgumentClose=function(t){return this.isEOF()||this.char()!==125?this.error(ze.EXPECT_ARGUMENT_CLOSING_BRACE,Ye(t,this.clonePosition())):(this.bump(),{val:!0,err:null})},e.prototype.parseSimpleArgStyleIfPossible=function(){for(var t=0,n=this.clonePosition();!this.isEOF();){var r=this.char();switch(r){case 39:{this.bump();var a=this.clonePosition();if(!this.bumpUntil("\
'"))return this.error(ze.UNCLOSED_QUOTE_IN_ARGUMENT_STYLE,Ye(a,this.clonePosition()));this.bump();break}case 123:{t+=1,this.bump();break}case 125:{if(t>0)t-=1;else return{val:this.message.slice(n.offset,this.offset()),err:null};break}default:this.bump();break}}return{val:this.message.slice(n.offset,this.offset()),err:null}},e.prototype.parseNumberSkeletonFromString=function(t,n){var r=[];try{r=VA(t)}catch{return this.error(ze.INVALID_NUMBER_SKELETON,n)}return{val:{type:ko.number,tokens:r,location:n,parsedOptions:this.shouldParseSkeletons?JA(r):{}},err:null}},e.prototype.tryParsePluralOrSelectOptions=function(t,n,r,a){for(var o,i=!1,c=[],u=new Set,d=a.value,m=a.location;;){if(d.length===0){var p=this.clonePosition();if(n!=="select"&&this.bumpIf("=")){var h=this.tryParseDecimalInteger(ze.EXPECT_PLURAL_ARGUMENT_SELECTOR,ze.INVALID_PLURAL_ARGUMENT_SELECTOR);if(h.err)return h;m=Ye(p,this.clonePosition()),d=this.message.slice(p.offset,this.offset())}else break}if(u.has(d))return this.error(n===
"select"?ze.DUPLICATE_SELECT_ARGUMENT_SELECTOR:ze.DUPLICATE_PLURAL_ARGUMENT_SELECTOR,m);d==="other"&&(i=!0),this.bumpSpace();var f=this.clonePosition();if(!this.bumpIf("{"))return this.error(n==="select"?ze.EXPECT_SELECT_ARGUMENT_SELECTOR_FRAGMENT:ze.EXPECT_PLURAL_ARGUMENT_SELECTOR_FRAGMENT,Ye(this.clonePosition(),this.clonePosition()));var y=this.parseMessage(t+1,n,r);if(y.err)return y;var v=this.tryParseArgumentClose(f);if(v.err)return v;c.push([d,{value:y.val,location:Ye(f,this.clonePosition())}]),u.add(d),this.bumpSpace(),o=this.parseIdentifierIfPossible(),d=o.value,m=o.location}return c.length===0?this.error(n==="select"?ze.EXPECT_SELECT_ARGUMENT_SELECTOR:ze.EXPECT_PLURAL_ARGUMENT_SELECTOR,Ye(this.clonePosition(),this.clonePosition())):this.requiresOtherClause&&!i?this.error(ze.MISSING_OTHER_CLAUSE,Ye(this.clonePosition(),this.clonePosition())):{val:c,err:null}},e.prototype.tryParseDecimalInteger=function(t,n){var r=1,a=this.clonePosition();this.bumpIf("+")||this.bumpIf("-")&&(r=-1);
for(var o=!1,i=0;!this.isEOF();){var c=this.char();if(c>=48&&c<=57)o=!0,i=i*10+(c-48),this.bump();else break}var u=Ye(a,this.clonePosition());return o?(i*=r,zY(i)?{val:i,err:null}:this.error(n,u)):this.error(t,u)},e.prototype.offset=function(){return this.position.offset},e.prototype.isEOF=function(){return this.offset()===this.message.length},e.prototype.clonePosition=function(){return{offset:this.position.offset,line:this.position.line,column:this.position.column}},e.prototype.char=function(){var t=this.position.offset;if(t>=this.message.length)throw Error("out of bound");var n=o_(this.message,t);if(n===void 0)throw Error("Offset ".concat(t," is at invalid UTF-16 code unit boundary"));return n},e.prototype.error=function(t,n){return{val:null,err:{kind:t,message:this.message,location:n}}},e.prototype.bump=function(){if(!this.isEOF()){var t=this.char();t===10?(this.position.line+=1,this.position.column=1,this.position.offset+=1):(this.position.column+=1,this.position.offset+=t<65536?1:
2)}},e.prototype.bumpIf=function(t){if(r_(this.message,t,this.offset())){for(var n=0;n<t.length;n++)this.bump();return!0}return!1},e.prototype.bumpUntil=function(t){var n=this.offset(),r=this.message.indexOf(t,n);return r>=0?(this.bumpTo(r),!0):(this.bumpTo(this.message.length),!1)},e.prototype.bumpTo=function(t){if(this.offset()>t)throw Error("targetOffset ".concat(t," must be greater than or equal to the current offset ").concat(this.offset()));for(t=Math.min(t,this.message.length);;){var n=this.offset();if(n===t)break;if(n>t)throw Error("targetOffset ".concat(t," is at invalid UTF-16 code unit boundary"));if(this.bump(),this.isEOF())break}},e.prototype.bumpSpace=function(){for(;!this.isEOF()&&c_(this.char());)this.bump()},e.prototype.peek=function(){if(this.isEOF())return null;var t=this.char(),n=this.offset(),r=this.message.charCodeAt(n+(t>=65536?2:1));return r??null},e}();s(H1,"_isAlpha");s(GY,"_isAlphaOrSlash");s(VY,"_isPotentialElementNameChar");s(c_,"_isWhiteSpace");s($Y,"_isPa\
tternSyntax")});function W1(e){e.forEach(function(t){if(delete t.location,xm(t)||Sm(t))for(var n in t.options)delete t.options[n].location,W1(t.options[n].value);else Dm(t)&&km(t.style)||(Em(t)||Tm(t))&&Bc(t.style)?delete t.style.location:Cm(t)&&W1(t.children)})}function l_(e,t){t===void 0&&(t={}),t=Li({shouldParseSkeletons:!0,requiresOtherClause:!0},t);var n=new s_(e,t).parse();if(n.err){var r=SyntaxError(ze[n.err.kind]);throw r.location=n.err.location,r.originalMessage=n.err.message,r}return t?.captureLocation||W1(n.val),n.val}var G1=g(()=>{l();N1();P1();u_();Fm();Fm();s(W1,"pruneLocation");s(l_,"parse")});function Rm(e,t){var n=t&&t.cache?t.cache:QY,r=t&&t.serializer?t.serializer:ZY,a=t&&t.strategy?t.strategy:KY;return a(e,{cache:n,serializer:r})}function YY(e){return e==null||typeof e=="number"||typeof e=="boolean"}function d_(e,t,n,r){var a=YY(r)?r:n(r),o=t.get(a);return typeof o>"u"&&(o=e.call(this,r),t.set(a,o)),o}function m_(e,t,n){var r=Array.prototype.slice.call(arguments,3),a=n(r),o=t.get(a);return typeof o>"u"&&(o=e.apply(this,r),t.set(a,o)),o}function V1(e,t,n,r,a){return n.bind(t,e,r,a)}function KY(e,t){var n=e.length===1?d_:m_;return V1(e,this,n,t.cache.create(),t.serializer)}function JY(e,t){return V1(e,this,m_,t.cache.create(),t.serializer)}function XY(e,t){return V1(e,this,d_,t.cache.create(),t.serializer)}function $1(){this.cache=Object.create(null)}var ZY,QY,Am,p_=g(()=>{l();s(Rm,"memoize");s(YY,"isPrimitive");s(d_,"monadic");s(m_,"variadic");s(V1,"assemble");s(KY,"strategyDefault");s(JY,"strategyVariadic");s(XY,"strategyMonadic");ZY=s(function(){return JSON.stringify(arguments)},
"serializerDefault");s($1,"ObjectWithoutPrototypeCache");$1.prototype.get=function(e){return this.cache[e]};$1.prototype.set=function(e,t){this.cache[e]=t};QY={create:s(function(){return new $1},"create")},Am={variadic:JY,monadic:XY}});var Fo,jc,Y1,f_,h_,K1=g(()=>{l();M1();(function(e){e.MISSING_VALUE="MISSING_VALUE",e.INVALID_VALUE="INVALID_VALUE",e.MISSING_INTL_API="MISSING_INTL_API"})(Fo||(Fo={}));jc=function(e){Oc(t,e);function t(n,r,a){var o=e.call(this,n)||this;return o.code=r,o.originalMessage=a,o}return s(t,"FormatError"),t.prototype.toString=function(){return"[formatjs Error: ".concat(this.code,"] ").concat(this.message)},t}(Error),Y1=function(e){Oc(t,e);function t(n,r,a,o){return e.call(this,'Invalid values for "'.concat(n,'": "').concat(r,'". Options are "').concat(Object.keys(a).join('", "'),'"'),Fo.INVALID_VALUE,o)||this}return s(t,"InvalidValueError"),t}(jc),f_=function(e){Oc(t,e);function t(n,r,a){return e.call(this,'Value for "'.concat(n,'" must be of type ').concat(r),Fo.INVALID_VALUE,a)||this}return s(t,"InvalidValueTypeError"),t}(jc),h_=function(e){Oc(t,e);function t(n,r){return e.call(this,'The intl string context variable "'.concat(n,'" was not provided to the string "').concat(r,'"'),Fo.MISSING_VALUE,
r)||this}return s(t,"MissingValueError"),t}(jc)});function eK(e){return e.length<2?e:e.reduce(function(t,n){var r=t[t.length-1];return!r||r.type!==on.literal||n.type!==on.literal?t.push(n):r.value+=n.value,t},[])}function tK(e){return typeof e=="function"}function qc(e,t,n,r,a,o,i){if(e.length===1&&L1(e[0]))return[{type:on.literal,value:e[0].value}];for(var c=[],u=0,d=e;u<d.length;u++){var m=d[u];if(L1(m)){c.push({type:on.literal,value:m.value});continue}if(LA(m)){typeof o=="number"&&c.push({type:on.literal,value:n.getNumberFormat(t).format(o)});continue}var p=m.value;if(!(a&&p in a))throw new h_(p,i);var h=a[p];if(PA(m)){(!h||typeof h=="string"||typeof h=="number")&&(h=typeof h=="string"||typeof h=="number"?String(h):""),c.push({type:typeof h=="string"?on.literal:on.object,value:h});continue}if(Em(m)){var f=typeof m.style=="string"?r.date[m.style]:Bc(m.style)?m.style.parsedOptions:void 0;c.push({type:on.literal,value:n.getDateTimeFormat(t,f).format(h)});continue}if(Tm(m)){var f=typeof m.style=="string"?r.time[m.style]:Bc(m.style)?m.style.
parsedOptions:r.time.medium;c.push({type:on.literal,value:n.getDateTimeFormat(t,f).format(h)});continue}if(Dm(m)){var f=typeof m.style=="string"?r.number[m.style]:km(m.style)?m.style.parsedOptions:void 0;f&&f.scale&&(h=h*(f.scale||1)),c.push({type:on.literal,value:n.getNumberFormat(t,f).format(h)});continue}if(Cm(m)){var y=m.children,v=m.value,w=a[v];if(!tK(w))throw new f_(v,"function",i);var E=qc(y,t,n,r,a,o),T=w(E.map(function(F){return F.value}));Array.isArray(T)||(T=[T]),c.push.apply(c,T.map(function(F){return{type:typeof F=="string"?on.literal:on.object,value:F}}))}if(xm(m)){var S=m.options[h]||m.options.other;if(!S)throw new Y1(m.value,h,Object.keys(m.options),i);c.push.apply(c,qc(S.value,t,n,r,a));continue}if(Sm(m)){var S=m.options["=".concat(h)];if(!S){if(!Intl.PluralRules)throw new jc(`Intl.PluralRules is not available in this environment.
Try polyfilling it using "@formatjs/intl-pluralrules"
`,Fo.MISSING_INTL_API,i);var C=n.getPluralRules(t,{type:m.pluralType}).select(h-(m.offset||0));S=m.options[C]||m.options.other}if(!S)throw new Y1(m.value,h,Object.keys(m.options),i);c.push.apply(c,qc(S.value,t,n,r,a,h-(m.offset||0)));continue}}return eK(c)}var on,J1=g(()=>{l();G1();K1();(function(e){e[e.literal=0]="literal",e[e.object=1]="object"})(on||(on={}));s(eK,"mergeLiteral");s(tK,"isFormatXMLElementFn");s(qc,"formatToParts")});function nK(e,t){return t?ir(ir(ir({},e||{}),t||{}),Object.keys(e).reduce(function(n,r){return n[r]=ir(ir({},e[r]),t[r]||{}),n},{})):e}function rK(e,t){return t?Object.keys(e).reduce(function(n,r){return n[r]=nK(e[r],t[r]),n},ir({},e)):e}function X1(e){return{create:function(){return{get:function(t){return e[t]},set:function(t,n){e[t]=n}}}}}function aK(e){return e===void 0&&(e={number:{},dateTime:{},pluralRules:{}}),{getNumberFormat:Rm(function(){for(var t,n=[],r=0;r<arguments.length;r++)n[r]=arguments[r];return new((t=Intl.NumberFormat).bind.apply(t,wm([void 0],n,!1)))},{cache:X1(e.number),strategy:Am.variadic}),getDateTimeFormat:Rm(function(){for(var t,n=[],r=0;r<arguments.length;r++)n[r]=arguments[r];return new((t=Intl.DateTimeFormat).bind.apply(t,wm([void 0],n,!1)))},{cache:X1(e.dateTime),strategy:Am.variadic}),getPluralRules:Rm(function(){for(var t,n=[],r=0;r<arguments.length;r++)n[r]=arguments[r];return new((t=Intl.PluralRules).bind.apply(t,wm([void 0],n,!1)))},{cache:X1(e.pluralRules),
strategy:Am.variadic})}}var g_,Z1=g(()=>{l();M1();G1();p_();J1();s(nK,"mergeConfig");s(rK,"mergeConfigs");s(X1,"createFastMemoizeCache");s(aK,"createDefaultFormatters");g_=function(){function e(t,n,r,a){n===void 0&&(n=e.defaultLocale);var o=this;if(this.formatterCache={number:{},dateTime:{},pluralRules:{}},this.format=function(d){var m=o.formatToParts(d);if(m.length===1)return m[0].value;var p=m.reduce(function(h,f){return!h.length||f.type!==on.literal||typeof h[h.length-1]!="string"?h.push(f.value):h[h.length-1]+=f.value,h},[]);return p.length<=1?p[0]||"":p},this.formatToParts=function(d){return qc(o.ast,o.locales,o.formatters,o.formats,d,void 0,o.message)},this.resolvedOptions=function(){var d;return{locale:((d=o.resolvedLocale)===null||d===void 0?void 0:d.toString())||Intl.NumberFormat.supportedLocalesOf(o.locales)[0]}},this.getAst=function(){return o.ast},this.locales=n,this.resolvedLocale=e.resolveLocale(n),typeof t=="string"){if(this.message=t,!e.__parse)throw new TypeError("Intl\
MessageFormat.__parse must be set to process `message` of type `string`");var i=a||{},c=i.formatters,u=NA(i,["formatters"]);this.ast=e.__parse(t,ir(ir({},u),{locale:this.resolvedLocale}))}else this.ast=t;if(!Array.isArray(this.ast))throw new TypeError("A message must be provided as a String or AST.");this.formats=rK(e.formats,r),this.formatters=a&&a.formatters||aK(this.formatterCache)}return s(e,"IntlMessageFormat"),Object.defineProperty(e,"defaultLocale",{get:function(){return e.memoizedDefaultLocale||(e.memoizedDefaultLocale=new Intl.NumberFormat().resolvedOptions().locale),e.memoizedDefaultLocale},enumerable:!1,configurable:!0}),e.memoizedDefaultLocale=null,e.resolveLocale=function(t){if(!(typeof Intl.Locale>"u")){var n=Intl.NumberFormat.supportedLocalesOf(t);return n.length>0?new Intl.Locale(n[0]):new Intl.Locale(typeof t=="string"?t:t[0])}},e.__parse=l_,e.formats={number:{integer:{maximumFractionDigits:0},currency:{style:"currency"},percent:{style:"percent"}},date:{short:{month:"n\
umeric",day:"numeric",year:"2-digit"},medium:{month:"short",day:"numeric",year:"numeric"},long:{month:"long",day:"numeric",year:"numeric"},full:{weekday:"long",month:"long",day:"numeric",year:"numeric"}},time:{short:{hour:"numeric",minute:"numeric"},medium:{hour:"numeric",minute:"numeric",second:"numeric"},long:{hour:"numeric",minute:"numeric",second:"numeric",timeZoneName:"short"},full:{hour:"numeric",minute:"numeric",second:"numeric",timeZoneName:"short"}}},e}()});var Q1,y_=g(()=>{l();Z1();J1();Z1();K1();Q1=g_});var Ro,Oi=g(()=>{l();Ro=s(()=>({resolve(){throw new Error("createRequire.resolve is not supported in bundled Lighthouse")}}),"createRequire")});var oK,iK,Ao,zc=g(()=>{l();oK=globalThis.URL,iK=s(e=>e,"fileURLToPath"),Ao={URL:oK,fileURLToPath:iK}});function v_(e){return Ao.fileURLToPath(e.url)}var _o=g(()=>{"use strict";l();Oi();zc();Ra();s(v_,"getModulePath")});function eg(e){return typeof e=="object"&&e!==null&&!Array.isArray(e)}function b_(e){return typeof e=="object"&&e!==null}var w_=g(()=>{"use strict";l();s(eg,"isObjectOfUnknownValues");s(b_,"isObjectOrArrayOfUnknownValues")});var D_,E_=g(()=>{l();D_={}});function x_(e,t=new Map){for(let n of e)if(!(n.type===_m.literal||n.type===_m.pound)&&(t.set(n.value,n),n.type===_m.plural))for(let r of Object.values(n.options))x_(r.value,t);return t}function uK(e,t={},n){let r=x_(e.getAst()),a={};for(let[o,i]of r){if(!(o in t))throw new Error(`ICU Message "${n}" contains a value reference ("${o}") that wasn't provided`);let c=t[o];if(i.type!==_m.number){a[o]=c;continue}if(typeof c!="number")throw new Error(`ICU Message "${n}" contains a numeric reference ("${o}") but provided value was not a number`);i.style==="milliseconds"?a[o]=Math.round(c/10)*10:i.style==="seconds"&&o==="timeInMs"?a[o]=Math.round(c/100)/10:i.style==="bytes"?a[o]=c/1024:a[o]=c}for(let o of Object.keys(t))if(!(o in a)){if(o==="errorCode"){a.errorCode=t.errorCode;continue}throw new Error(`Provided value "${o}" does not match any placeholder in ICU message "${n}"`)}return a}function lK(e){return e.replace(/'/g,"''").replace(/\\{/g,"'{").replace(/\\}/g,"'}")}function ng(e,t,n){e=lK(e);
let r=n==="en-XA"||n==="en-XL"?"de-DE":n,a=Q1.IntlMessageFormat||Q1,o=new a(e,r,cK,{ignoreTag:!0}),i=uK(o,t,e),c=o.format(i);if(typeof c!="string")throw new Error("unexpected formatted result");return c}function dK(e,t){let r=C_(t)[e.i18nId];return r?ng(r.message,e.values,t):e.formattedDefault}function S_(e){let t=C_(e),n=Object.keys(t).filter(a=>a.startsWith("report/renderer/report-utils.js")),r={};for(let a of n){let{filename:o,key:i}=pK(a);if(!o.endsWith("report-utils.js"))throw new Error(`Unexpected message: ${a}`);r[i]=t[a].message}return r}function Ui(e){if(!eg(e))return!1;let{i18nId:t,values:n,formattedDefault:r}=e;if(typeof t!="string"||typeof r!="string")return!1;if(n!==void 0){if(!eg(n))return!1;for(let a of Object.values(n))if(typeof a!="string"&&typeof a!="number")return!1}return T_.test(t)}function Io(e,t){if(Ui(e))return dK(e,t);if(typeof e=="string")return e;throw new Error("Attempted to format invalid icuMessage type")}function mK(e){let t="";for(let n of e)if(/^[a-z]+$/i.
test(n))t.length&&(t+="."),t+=n;else{if(/]|"|'|\s/.test(n))throw new Error(`Cannot handle "${n}" in i18n`);t+=`[${n}]`}return t}function rg(e,t){function n(a,o,i=[]){if(b_(a))for(let[c,u]of Object.entries(a)){let d=i.concat([c]);if(Ui(u)){let m=Io(u,t),p=o[u.i18nId]||[],h=mK(d);p.push(u.values?{values:u.values,path:h}:h),a[c]=m,o[u.i18nId]=p}else n(u,o,d)}}s(n,"replaceInObject");let r={};return n(e,r),r}function C_(e){let t=tg[e];if(!t){if(e===Bi)return{};throw new Error(`Unsupported locale '${e}'`)}return t}function k_(){return sK}function F_(){return[...new Set([...Object.keys(tg),Bi])].sort()}function R_(e,t){tg[e]=t}function pK(e){if(!T_.test(e))throw Error(`"${e}" does not appear to be a valid ICU message id`);let[t,n]=e.split(" | ");return{filename:t,key:n}}var _m,tg,Bi,sK,T_,cK,aa=g(()=>{"use strict";l();na();y_();_o();w_();E_();_m={literal:0,argument:1,number:2,date:3,time:4,select:5,plural:6,pound:7,tag:8},tg=D_,Bi="en-US",sK=["ar-XB.json","ar.json","bg.json","ca.json","cs.jso\
n","da.json","de.json","el.json","en-GB.json","en-US.json","en-XA.json","en-XL.json","es-419.json","es.json","fi.json","fil.json","fr.json","he.json","hi.json","hr.json","hu.json","id.json","it.json","ja.json","ko.json","lt.json","lv.json","nl.json","no.json","pl.json","pt-PT.json","pt.json","ro.json","ru.json","sk.json","sl.json","sr-Latn.json","sr.json","sv.json","ta.json","te.json","th.json","tr.json","uk.json","vi.json","zh-HK.json","zh-TW.json","zh.json"].filter(e=>e.endsWith(".json")&&!e.endsWith(".ctc.json")).map(e=>e.replace(".json","")).sort(),T_=/ | [^\s]+$/,cK={number:{bytes:{maximumFractionDigits:0},milliseconds:{maximumFractionDigits:0},seconds:{minimumFractionDigits:1,maximumFractionDigits:1},extendedPercent:{maximumFractionDigits:2,style:"percent"}}};s(x_,"collectAllCustomElementsFromICU");s(uK,"_preformatValues");s(lK,"escapeIcuMessage");s(ng,"formatMessage");s(dK,"_localizeIcuMessage");s(S_,"getRendererFormattedStrings");s(Ui,"isIcuMessage");s(Io,"getFormatted");s(mK,"\
_formatPathAsString");s(rg,"replaceIcuMessages");s(C_,"_getLocaleMessages");s(k_,"getCanonicalLocales");s(F_,"getAvailableLocales");s(R_,"registerLocaleData");s(pK,"getIcuMessageIdParts")});var __=P((mwe,A_)=>{l();var fK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 256 256"><path fill="%230379c4" fill-rule="evenodd" d="m171.887 116.28-53.696 89.36h-9.728l9.617-58.227-30.2.047a4.852 4.852 0 0 1-4.855-4.855c0-1.152 1.07-3.102 1.07-3.102l53.52-89.254 9.9.043-9.86 58.317 30.413-.043a4.852 4.852 0 0 1 4.855 4.855c0 1.088-.427 2.044-1.033 2.854l.004.004zM128 0C57.306 0 0 57.3 0 128s57.306 128 128 128 128-57.306 128-128S198.7 0 128 0z"/></svg>',hK={"modern-image-formats":"Consider displaying all [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) components in WebP formats while specifying an appropriate fallback for other browsers. [Learn more](https://amp.dev/documentation/components/amp-img/#example:-specifying-a-fallback-image).","offscreen-images":"Ensure that you are using [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) for images to automatically lazy-load. [Learn more](https://amp.dev/d\
ocumentation/guides-and-tutorials/develop/media_iframes_3p/?format=websites#images).","render-blocking-resources":"Use tools such as [AMP Optimizer](https://github.com/ampproject/amp-toolbox/tree/master/packages/optimizer) to [server-side render AMP layouts](https://amp.dev/documentation/guides-and-tutorials/optimize-and-measure/server-side-rendering/).","unminified-css":"Refer to the [AMP documentation](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/style_pages/) to ensure all styles are supported.","efficient-animated-content":"For animated content, use [`amp-anim`](https://amp.dev/documentation/components/amp-anim/) to minimize CPU usage when the content is offscreen.","uses-responsive-images":"The [`amp-img`](https://amp.dev/documentation/components/amp-img/?format=websites) component supports the [`srcset`](https://web.dev/use-srcset-to-automatically-choose-the-right-image/) attribute to specify which image assets to use based on the screen size. [Lear\
n more](https://amp.dev/documentation/guides-and-tutorials/develop/style_and_layout/art_direction/)."};A_.exports={id:"amp",title:"AMP",icon:fK,UIStrings:hK}});var M_=P((fwe,I_)=>{l();var gK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 250 250"><path fill="%23dd0031" d="M125 30 31.9 63.2l14.2 123.1L125 230l78.9-43.7 14.2-123.1z"/><path fill="%23c3002f" d="M125 30v22.2-.1V230l78.9-43.7 14.2-123.1L125 30z"/><path fill="%23fff" d="M125 52.1 66.8 182.6h21.7l11.7-29.2h49.4l11.7 29.2H183L125 52.1zm17 83.3h-34l17-40.9 17 40.9z"/></svg>',yK={"total-byte-weight":"Apply [route-level code splitting](https://web.dev/route-level-code-splitting-in-angular/) to minimize the size of your JavaScript bundles. Also, consider precaching assets with the [Angular service worker](https://web.dev/precaching-with-the-angular-service-worker/).","unminified-warning":"If you are using Angular CLI, ensure that builds are generated in production mode. [Learn more](https://angular.io/guide/deployment#enable-runtime-production-mode).","unused-javascript":"If you are using Angular CLI, include source maps in your production build to inspect your b\
undles. [Learn more](https://angular.io/guide/deployment#inspect-the-bundles).","uses-responsive-images":"Consider using the `BreakpointObserver` utility in the Component Dev Kit (CDK) to manage image breakpoints. [Learn more](https://material.angular.io/cdk/layout/overview).","uses-rel-preload":"Preload routes ahead of time to speed up navigation. [Learn more](https://web.dev/route-preloading-in-angular/).","dom-size":"Consider virtual scrolling with the Component Dev Kit (CDK) if very large lists are being rendered. [Learn more](https://web.dev/virtualize-lists-with-angular-cdk/)."};I_.exports={id:"angular",title:"Angular",icon:gK,UIStrings:yK}});var P_=P((gwe,N_)=>{l();var vK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 186.525 243.713"><path fill="%23009cde" d="M131.64 51.91C114.491 34.769 98.13 18.429 93.26 0c-4.87 18.429-21.234 34.769-38.38 51.91C29.16 77.613 0 106.743 0 150.434a93.263 93.263 0 1 0 186.525 0c0-43.688-29.158-72.821-54.885-98.524m-92 120.256c-5.719-.194-26.824-36.571 12.329-75.303l25.909 28.3a2.215 2.215 0 0 1-.173 3.306c-6.183 6.34-32.534 32.765-35.81 41.902-.675 1.886-1.663 1.815-2.256 1.795m53.624 47.943a32.075 32.075 0 0 1-32.076-32.075 33.423 33.423 0 0 1 7.995-21.187c5.784-7.072 24.077-26.963 24.077-26.963s18.012 20.183 24.033 26.896a31.368 31.368 0 0 1 8.046 21.254 32.076 32.076 0 0 1-32.075 32.075m61.392-52.015c-.691 1.512-2.26 4.036-4.376 4.113-3.773.138-4.176-1.796-6.965-5.923-6.122-9.06-59.551-64.9-69.545-75.699-8.79-9.498-1.238-16.195 2.266-19.704 4.395-4.403 17.224-17.225 17.224-17.225s38.255 36.296 54.19 61.096 10.444 46.26 7.206 53.342"/></svg>',bK={"unused-css-rules":"\
Consider removing unused CSS rules and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the stylesheet when CSS aggregation is disabled in your Drupal site. Look out for themes/modules that have many stylesheets in the list which have a lot of red in code coverage. A theme/module should only enqueue a stylesheet if it is actually used on the page.","unused-javascript":"Consider removing unused JavaScript assets and only attach the needed Drupal libraries to the relevant page or component in a page. See the [Drupal documentation \
link](https://www.drupal.org/docs/8/creating-custom-modules/adding-stylesheets-css-and-javascript-js-to-a-drupal-8-module#library) for details. To identify attached libraries that are adding extraneous JavaScript, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/module responsible from the URL of the script when JavaScript aggregation is disabled in your Drupal site. Look out for themes/modules that have many scripts in the list which have a lot of red in code coverage. A theme/module should only enqueue a script if it is actually used on the page.","modern-image-formats":"Consider configuring [WebP image formats with a Convert image style](https://www.drupal.org/docs/core-modules-and-themes/core-modules/image-module/working-with-images#styles) on your site.","offscreen-images":"Install [a Drupal module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=\
im_vid_3%3A67&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=%22lazy+load%22&solrsort=iss_project_release_usage+desc&op=Search) that can lazy load images. Such modules provide the ability to defer any offscreen images to improve performance.","total-byte-weight":"Consider using [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) to reduce the size of images loaded on your page. If you are using Views to show multiple content items on a page, consider implementing pagination to limit the number of content items shown on a given page.","render-blocking-resources":"Consider using a module to inline critical CSS and JavaScript, and use the defer attribute for non-critical CSS or JavaScript.","unminified-css":'Ensure you have enabled "Aggregate CSS files" in the "Administration » Configuration » Development" page.  Ensure your Drupal site is running at least Drupal 10.1 for improved asset aggregation support.',"unmi\
nified-javascript":'Ensure you have enabled "Aggregate JavaScript files" in the "Administration » Configuration » Development" page.  Ensure your Drupal site is running at least Drupal 10.1 for improved asset aggregation support.',"efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.","uses-long-cache-ttl":'Set the "Browser and proxy cache maximum age" in the "Administration » Configuration » Development" page. Read about [Drupal cache and optimizing for performance](https://www.drupal.org/docs/7/managing-site-performance-and-scalability/caching-to-improve-performance/caching-overview#s-drupal-performance-resources).',"uses-optimized-images":"Consider using [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=im_vid_3%3A123&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=optimize+images&solrsort=iss_project_release_usage+desc&op=Search) that automatica\
lly optimizes and reduces the size of images uploaded through the site while retaining quality. Also, ensure you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above) for all images rendered on the site.","uses-responsive-images":"Ensure that you are using the native [Responsive Image Styles](https://www.drupal.org/docs/8/mobile-guide/responsive-images-in-drupal-8) provided from Drupal (available in Drupal 8 and above). Use the Responsive Image Styles when rendering image fields through view modes, views, or images uploaded through the WYSIWYG editor.","server-response-time":"Themes, modules, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization module, and/or upgrading your server. Your hosting servers should make use of PHP opcode caching, memory-caching to reduce database que\
ry times such as Redis or Memcached, as well as optimized application logic to prepare pages faster.","uses-rel-preconnect":"Preconnect or dns-prefetch resource hints can be added by installing and configuring [a module](https://www.drupal.org/project/project_module?f%5B0%5D=&f%5B1%5D=&f%5B2%5D=&f%5B3%5D=&f%5B4%5D=sm_field_project_type%3Afull&f%5B5%5D=&f%5B6%5D=&text=dns-prefetch&solrsort=iss_project_release_usage+desc&op=Search) that provides facilities for user agent resource hints.","font-display":"Specify `@font-display` when defining custom fonts in your theme."};N_.exports={id:"drupal",title:"Drupal",icon:vK,UIStrings:bK}});var O_=P((vwe,L_)=>{l();var wK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 82 82"><path fill="%235FA624" fill-rule="evenodd" d="M81.37 48.117C85.301 25.821 70.413 4.56 48.117.63 25.821-3.3 4.56 11.586.63 33.883-3.3 56.178 11.586 77.44 33.883 81.37 56.18 85.301 77.44 70.412 81.37 48.117Zm-8.935-14.17c2.77 12.357-1.942 25.721-12.96 33.436-14.57 10.203-34.656 6.662-44.859-7.909a32.434 32.434 0 0 1-2.869-4.98l28.7-20.097a6.53 6.53 0 1 0-3.744-5.347L9.564 48.054c-2.768-12.359 1.943-25.724 12.96-33.439 14.572-10.203 34.656-6.662 44.86 7.91a32.349 32.349 0 0 1 2.868 4.98L41.554 47.6a6.53 6.53 0 1 0 3.746 5.35l27.136-19.003Z"/></svg>',DK={"unused-css-rules":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Remove Unused CSS` to help with this issue. It will identify the CSS classes that are actually used on each page of your site, and remove any others to keep the file size small.","modern-image-formats":"Use [Ezoic Leap](https://pubdash.ezoic.com/spee\
d) and enable `Next-Gen Formats` to convert images to WebP.","offscreen-images":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Lazy Load Images` to defer loading off-screen images until they are needed.","render-blocking-resources":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Critical CSS` and `Script Delay` to defer non-critical JS/CSS.","unminified-css":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Minify CSS` to automatically minify your CSS to reduce network payload sizes.","unminified-javascript":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Minify Javascript` to automatically minify your JS to reduce network payload sizes.","uses-long-cache-ttl":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Efficient Static Cache Policy` to set recommended values in the caching header for static assests.","uses-optimized-images":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Next-Gen Formats` to c\
onvert images to WebP.","uses-responsive-images":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Resize Images` to resize images to a device appropriate size, reducing network payload sizes.","server-response-time":"Use [Ezoic Cloud Caching](https://pubdash.ezoic.com/speed/caching) to cache your content across our world wide network, improving time to first byte.","uses-rel-preconnect":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Pre-Connect Origins` to automatically add `preconnect` resource hints to establish early connections to important third-party origins.","uses-rel-preload":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Preload Fonts` and `Preload Background Images` to add `preload` links to prioritize fetching resources that are currently requested later in page load.","font-display":"Use [Ezoic Leap](https://pubdash.ezoic.com/speed) and enable `Optimize Fonts` to automatically leverage the `font-display` CSS feature to ensure t\
ext is user-visible while webfonts are loading."};L_.exports={id:"ezoic",title:"Ezoic",icon:wK,UIStrings:DK}});var U_=P((wwe,B_)=>{l();var EK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 28 28"><circle cx="14" cy="14" r="14" fill="%23639"/><path fill="%23fff" d="M6.2 21.8C4.1 19.7 3 16.9 3 14.2L13.9 25c-2.8-.1-5.6-1.1-7.7-3.2zm10.2 2.9L3.3 11.6C4.4 6.7 8.8 3 14 3c3.7 0 6.9 1.8 8.9 4.5l-1.5 1.3C19.7 6.5 17 5 14 5c-3.9 0-7.2 2.5-8.5 6L17 22.5c2.9-1 5.1-3.5 5.8-6.5H18v-2h7c0 5.2-3.7 9.6-8.6 10.7z"/></svg>',TK={"unused-css-rules":"Use the `PurgeCSS` `Gatsby` plugin to remove unused rules from stylesheets. [Learn more](https://purgecss.com/plugins/gatsby.html).","modern-image-formats":"Use the `gatsby-plugin-image` component instead of `<img>` to automatically optimize image format. [Learn more](https://www.gatsbyjs.com/docs/how-to/images-and-media/using-gatsby-plugin-image).","offscreen-images":"Use the `gatsby-plugin-image` component instead of `<img>` to automatically lazy-load images. [Learn more](https://www.gatsbyjs.com/docs/how-to/images-and-media/using-gatsby-plug\
in-image).","render-blocking-resources":"Use the `Gatsby Script API` to defer loading of non-critical third-party scripts. [Learn more](https://www.gatsbyjs.com/docs/reference/built-in-components/gatsby-script/).","unused-javascript":"Use `Webpack Bundle Analyzer` to detect unused JavaScript code. [Learn more](https://www.gatsbyjs.com/plugins/gatsby-plugin-webpack-bundle-analyser-v2/)","uses-long-cache-ttl":"Configure caching for immutable assets. [Learn more](https://www.gatsbyjs.com/docs/how-to/previews-deploys-hosting/caching/).","uses-optimized-images":"Use the `gatsby-plugin-image` component instead of `<img>` to adjust image quality. [Learn more](https://www.gatsbyjs.com/docs/how-to/images-and-media/using-gatsby-plugin-image).","uses-responsive-images":"Use the `gatsby-plugin-image` component to set appropriate `sizes`. [Learn more](https://www.gatsbyjs.com/docs/how-to/images-and-media/using-gatsby-plugin-image).","prioritize-lcp-image":"Use the `gatsby-plugin-image` component an\
d set the `loading` prop to `eager`. [Learn more](https://www.gatsbyjs.com/docs/reference/built-in-components/gatsby-plugin-image#shared-props)."};B_.exports={id:"gatsby",title:"Gatsby",icon:EK,UIStrings:TK}});var q_=P((Ewe,j_)=>{"use strict";l();var xK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid" viewBox="0 0 256 258"><path fill="%23F9AE41" d="M255.7 35.6a33.7 33.7 0 0 0-67-4.8l-.4-.2c-27.6-12.4-50.8 9.6-50.8 9.6l-61.4 61.7 24.3 23.4 49.4-48.6c23-23 35.6-7.4 35.6-7.4 17.4 14.6.6 32 .6 32l24.9 24c20.3-22 21.5-41.1 15.3-56.3a33.7 33.7 0 0 0 29.5-33.4"/><path fill="%23EE4035" d="m226.5 190.5.2-.3c12.4-27.6-9.6-50.8-9.6-50.8L155.4 78l-23.3 24.3 48.5 49.4c23 23 7.5 35.6 7.5 35.6-14.7 17.4-32 .6-32 .6l-24 24.9c21.9 20.3 41 21.5 56.2 15.3a33.7 33.7 0 1 0 38.2-37.6"/><path fill="%234F91CD" d="m156 133-49.5 48.6c-23 23-35.6 7.4-35.6 7.4-17.4-14.6-.6-32-.6-32l-24.9-24c-20.3 22-21.4 41.1-15.3 56.3a33.7 33.7 0 1 0 37.6 38.2l.3.2c27.6 12.4 50.8-9.6 50.8-9.6l61.4-61.7-24.3-23.4"/><path fill="%237AC043" d="M75.7 106.6c-23-23-7.4-35.6-7.4-35.6 14.6-17.4 32-.6 32-.6l24-24.9c-22-20.3-41-21.5-56.3-15.3a33.7 33.7 0 1 0-38.2 37.6l-.2.3C17.2 95.7 39.2 119 39.2 119l61\
.7 61.4 23.4-24.3-48.6-49.4"/></svg>',SK={"unused-css-rules":"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused CSS in your page. To identify extensions that are adding extraneous CSS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page.","modern-image-formats":"Consider using a [plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=webp) or service that will automatically convert your uploaded images to the optimal formats.","offscreen-images":"Install a [lazy-load Joomla plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=lazy%20loading) that provide\
s the ability to defer any offscreen images, or switch to a template that provides that functionality. Starting with Joomla 4.0, all new images will [automatically](https://github.com/joomla/joomla-cms/pull/30748) get the `loading` attribute from the core.","total-byte-weight":"Consider showing excerpts in your article categories (e.g. via the read more link), reducing the number of articles shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are a number of Joomla plugins that can help you [inline critical assets](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) or [defer less important resources](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance). Beware that optimizations provided by these plugins may break features of your templates or plugins, so you will need to test these thoroughly.","unminified-css":"A number of [Joomla extensi\
ons](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your css styles. There are also templates that provide this functionality.","unminified-javascript":"A number of [Joomla extensions](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) can speed up your site by concatenating, minifying, and compressing your scripts. There are also templates that provide this functionality.","efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.","unused-javascript":"Consider reducing, or switching, the number of [Joomla extensions](https://extensions.joomla.org/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. You can identify the ext\
ension responsible from the URL of the script. Look out for extensions that have many scripts in the list which have a lot of red in code coverage. An extension should only enqueue a script if it is actually used on the page.","uses-long-cache-ttl":"Read about [Browser Caching in Joomla](https://docs.joomla.org/Cache).","uses-optimized-images":"Consider using an [image optimization plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=performance) that compresses your images while retaining quality.","uses-text-compression":"You can enable text compression by enabling Gzip Page Compression in Joomla (System > Global configuration > Server).","uses-responsive-images":"Consider using a [responsive images plugin](https://extensions.joomla.org/instant-search/?jed_live%5Bquery%5D=responsive%20images) to use responsive images in your content.","server-response-time":"Templates, extensions, and server specifications all contribute to server response time. Consider finding \
a more optimized template, carefully selecting an optimization extension, and/or upgrading your server."};j_.exports={id:"joomla",title:"Joomla",icon:xK,UIStrings:SK}});var H_=P((xwe,z_)=>{l();var CK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" fill="%23f26322" viewBox="0 0 1000 1000"><path d="M916.9 267.4v465.3l-111.3 67.4V331.4l-1.5-.9-303.9-189-304.6 189.2-1.2.8V799L83.1 732.6V267.4l.7-.4L500.3 10l416 257 .6.4zM560.7 468.5v383.3L500.3 890l-61-38.2V306.7l-136 84.3v476.6l197 122.5 196.4-122.5V391l-136-84.3v161.8z"/></svg>',kK={"modern-image-formats":"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=webp) for a variety of third-party extensions to leverage newer image formats.","offscreen-images":"Consider modifying your product and catalog templates to make use of the web platform's [lazy loading](https://web.dev/native-lazy-loading) feature.","disable-bundling":"Disable Magento's built-in [JavaScript bundling and minification](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html), and consider using [baler](https://github.com/magento/baler/) instead.","u\
nminified-css":`Enable the "Minify CSS Files" option in your store's Developer settings. [Learn more](https://devdocs.magento.com/guides/v2.3/performance-best-practices/configuration.html?itm_source=devdocs&itm_medium=search_page&itm_campaign=federated_search&itm_term=minify%20css%20files).`,"unminified-javascript":"Use [Terser](https://www.npmjs.com/package/terser) to minify all JavaScript assets from static content deployment, and disable the built-in minification feature.","unused-javascript":"Disable Magento's built-in [JavaScript bundling](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/themes/js-bundling.html).","uses-optimized-images":"Consider searching the [Magento Marketplace](https://marketplace.magento.com/catalogsearch/result/?q=optimize%20image) for a variety of third party extensions to optimize images.","server-response-time":"Use Magento's [Varnish integration](https://devdocs.magento.com/guides/v2.3/config-guide/varnish/config-varnish.html).","uses-rel-prec\
onnect":"Preconnect or dns-prefetch resource hints can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).","uses-rel-preload":"`<link rel=preload>` tags can be added by [modifying a themes's layout](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/layouts/xml-manage.html).","critical-request-chains":"If you are not bundling your JavaScript assets, consider using [baler](https://github.com/magento/baler).","font-display":"Specify `@font-display` when [defining custom fonts](https://devdocs.magento.com/guides/v2.3/frontend-dev-guide/css-topics/using-fonts.html)."};z_.exports={id:"magento",title:"Magento",icon:CK,UIStrings:kK}});var G_=P((Cwe,W_)=>{l();var FK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 207 124"><path fill="%23000" d="M48.942 32.632h38.96v3.082h-35.39v23.193H85.79v3.082H52.513v25.464h35.794v3.081H48.942V32.632Zm42.45 0h4.139l18.343 25.464 18.749-25.464L158.124.287l-41.896 60.485 21.59 29.762h-4.302l-19.642-27.086L94.15 90.534h-4.22l21.751-29.762-20.29-28.14Zm47.967 3.082v-3.082h44.397v3.082h-20.453v54.82h-3.571v-54.82h-20.373ZM.203 32.632h4.464l61.557 91.671-25.439-33.769L3.936 37.011l-.162 53.523H.203zm183.194 53.891c.738 0 1.276-.563 1.276-1.29 0-.727-.538-1.29-1.276-1.29-.73 0-1.277.563-1.277 1.29 0 .727.547 1.29 1.277 1.29Zm3.509-3.393c0 2.146 1.555 3.549 3.822 3.549 2.414 0 3.874-1.446 3.874-3.956v-8.837h-1.946v8.828c0 1.394-.704 2.138-1.946 2.138-1.112 0-1.867-.692-1.893-1.722h-1.911Zm10.24-.113c.14 2.233 2.007 3.662 4.787 3.662 2.97 0 4.83-1.498 4.83-3.887 0-1.878-1.06-2.917-3.632-3.514l-1.38-.338c-1.634-.38-2.294-.891-2.294-1.783 0-1.125 1.025-1.86 2.563-1.8\
6 1.459 0 2.466.718 2.649 1.869h1.893c-.113-2.103-1.971-3.583-4.516-3.583-2.737 0-4.56 1.48-4.56 3.704 0 1.835 1.033 2.926 3.3 3.454l1.616.39c1.659.389 2.388.96 2.388 1.912 0 1.108-1.146 1.913-2.71 1.913-1.676 0-2.84-.753-3.005-1.939h-1.928Z"/></svg>',RK={"unused-css-rules":"Consider setting up `PurgeCSS` in `Next.js` configuration to remove unused rules from stylesheets. [Learn more](https://purgecss.com/guides/next.html).","modern-image-formats":"Use the `next/image` component instead of `<img>` to automatically optimize image format. [Learn more](https://nextjs.org/docs/basic-features/image-optimization).","offscreen-images":"Use the `next/image` component instead of `<img>` to automatically lazy-load images. [Learn more](https://nextjs.org/docs/basic-features/image-optimization).","render-blocking-resources":"Use the `next/script` component to defer loading of non-critical third-party scripts. [Learn more](https://nextjs.org/docs/basic-features/script).","unused-javascript":"Use `W\
ebpack Bundle Analyzer` to detect unused JavaScript code. [Learn more](https://github.com/vercel/next.js/tree/canary/packages/next-bundle-analyzer)","uses-long-cache-ttl":"Configure caching for immutable assets and `Server-side Rendered` (SSR) pages. [Learn more](https://nextjs.org/docs/going-to-production#caching).","uses-optimized-images":"Use the `next/image` component instead of `<img>` to adjust image quality. [Learn more](https://nextjs.org/docs/basic-features/image-optimization).","uses-text-compression":"Enable compression on your Next.js server. [Learn more](https://nextjs.org/docs/api-reference/next.config.js/compression).","uses-responsive-images":"Use the `next/image` component to set the appropriate `sizes`. [Learn more](https://nextjs.org/docs/api-reference/next/image#sizes).","user-timings":"Consider using `Next.js Analytics` to measure your app's real-world performance. [Learn more](https://nextjs.org/docs/advanced-features/measuring-performance).","prioritize-lcp-image":'\
Use the `next/image` component and set "priority" to true to preload LCP image. [Learn more](https://nextjs.org/docs/api-reference/next/image#priority).',"unsized-images":"Use the `next/image` component to make sure images are always sized appropriately. [Learn more](https://nextjs.org/docs/api-reference/next/image#width)."};W_.exports={id:"next.js",title:"Next.js",icon:FK,UIStrings:RK}});var $_=P((Fwe,V_)=>{l();var AK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="142" height="54"><g fill="none" fill-rule="evenodd"><g fill="%231B004E"><path d="M19.486 53.24h-3.891L4.682 39.247v13.936H0V32.946h5.444l9.475 12.398V32.946h4.567zM21.346 32.94h4.647v3.57h-4.647v-3.57Zm0 5.477h4.647V53.18h-4.647V38.417ZM40.569 53.183H36c-3.408 0-4.991-1.625-4.991-4.697v-6.22h-3.777V38.42h3.777v-5.474h4.598v5.474h4.958v3.846h-4.958v4.588c0 1.597.477 2.252 2.197 2.252h2.764v4.077ZM46.688 53.183h-4.57V38.42h4.57v2.308c.31-.686 1.351-2.336 4.425-2.336h3.13v4.56h-4.004c-2.593 0-3.55.967-3.55 3.019v7.212ZM70.612 45.802c0 4.56-3.409 7.75-8.01 7.75s-8.006-3.19-8.006-7.75c0-4.56 3.408-7.755 8.006-7.755 4.598 0 8.01 3.195 8.01 7.755Zm-4.599 0c0-2.14-1.35-3.733-3.408-3.733-2.057 0-3.44 1.594-3.44 3.733 0 2.139 1.41 3.733 3.44 3.733 2.03 0 3.408-1.598 3.408-3.733ZM72.47 32.946h11.7c4.543 0 7.192 2.28 7.192 6.526 0 4.247-2.649 6.577-7.191 6.577h-6.935v7.125h-4.765V32.946Zm4.766 4.218v4\
.676h6.485c1.832 0 2.736-.883 2.736-2.34 0-1.565-.904-2.336-2.736-2.336h-6.485ZM102.662 51.016c-.254.485-1.636 2.48-4.71 2.48-3.665 0-6.627-2.906-6.627-7.694 0-4.789 2.962-7.667 6.656-7.667 2.962 0 4.372 1.851 4.626 2.336v-2.05h4.567v14.762h-4.512v-2.167Zm-3.327-8.932c-2.03 0-3.384 1.594-3.384 3.733 0 2.14 1.354 3.733 3.384 3.733s3.327-1.597 3.327-3.733-1.298-3.733-3.327-3.733ZM119.184 43.578a2.98 2.98 0 0 0-2.749-1.494c-1.918 0-3.13 1.594-3.13 3.733 0 2.14 1.24 3.758 3.158 3.758 1.807 0 2.625-1.168 2.764-1.51h4.4c-.143 2.052-2.116 5.5-7.275 5.5-4.286 0-7.641-3.078-7.641-7.75 0-4.673 3.328-7.755 7.585-7.755 5.159 0 7.105 3.392 7.33 5.53l-4.442-.012ZM129.712 46.6v6.577h-4.567V32.194h4.567v11.998l5.838-5.784h5.751l-6.994 6.811 7.362 7.952h-5.921z"/></g><g fill="%2325F5CE"><path d="M49.159 4.65c12.832 0 23.235 10.41 23.235 23.251h4.648C77.042 12.491 64.558 0 49.159 0c-15.4 0-27.883 12.492-27.883 27.901h4.647c0-12.841 10.403-23.25 23.236-23.25Z"/><path d="M44.852 25.793a3.632 3.632 0 0 1 2\
.6-5.097L63.8 16.951 50.426 27.09a3.626 3.626 0 0 1-5.574-1.296Z"/></g></g></svg>',_K={"unused-css-rules":"Enable [`Reduce Unused CSS`](https://support.nitropack.io/hc/en-us/articles/360020418457-Reduce-Unused-CSS) to remove CSS rules that are not applicable to this page.","modern-image-formats":"Use [`Image Optimization`](https://support.nitropack.io/hc/en-us/articles/16547237162513) to automatically convert your images to WebP.","offscreen-images":"Defer offscreen images by enabling [`Automatic Image Lazy Loading`](https://support.nitropack.io/hc/en-us/articles/12457493524369-NitroPack-Lazy-Loading-Feature-for-Images).","render-blocking-resources":"Enable [`Remove render-blocking resources`](https://support.nitropack.io/hc/en-us/articles/13820893500049-How-to-Deal-with-Render-Blocking-Resources-in-NitroPack) in NitroPack for faster initial load times.","unminified-css":"Enable [`Minify resources`](https://support.nitropack.io/hc/en-us/articles/360061059394-Minify-Resources) in your C\
aching settings to reduce the size of your CSS, HTML, and JavaScript files for faster load times.","unminified-javascript":"Enable [`Minify resources`](https://support.nitropack.io/hc/en-us/articles/360061059394-Minify-Resources) in your Caching settings to reduce the size of your JS, HTML, and CSS files for faster load times.","unused-javascript":"Configure [`Delayed Scripts`](https://support.nitropack.io/hc/en-us/articles/1500002600942-Delayed-Scripts) in NitroPack to delay loading of scripts until they are needed.","uses-long-cache-ttl":"Go to the [`Improve Server Response Time`](https://support.nitropack.io/hc/en-us/articles/1500002321821-Improve-Server-Response-Time) feature in the `Caching` menu and adjust your page cache expiration time to improve loading times and user experience.","uses-optimized-images":"Automatically compress, optimize, and convert your images into WebP by enabling the [`Image Optimization`](https://support.nitropack.io/hc/en-us/articles/14177271695121-How-t\
o-serve-images-in-next-gen-formats-using-NitroPack) setting.","uses-text-compression":"Use [`Gzip compression`](https://support.nitropack.io/hc/en-us/articles/13229297479313-Enabling-GZIP-compression) in NitroPack to reduce the size of the files that are sent to the browser.","uses-responsive-images":"Enable [`Adaptive Image Sizing`](https://support.nitropack.io/hc/en-us/articles/10123833029905-How-to-Enable-Adaptive-Image-Sizing-For-Your-Site) to preemptively optimize your images and make them match the dimensions of the containers they’re displayed in across all devices.","server-response-time":"Improve server response time and optimize perceived performance by activating [`Instant Load`](https://support.nitropack.io/hc/en-us/articles/16547340617361).","dom-size":"Contact your account manager to enable [`HTML Lazy Load`](https://support.nitropack.io/hc/en-us/articles/17144942904337). Configuring it will prioritize and optimize your page rendering performance.","font-display":"Use t\
he [`Override Font Rendering Behavior`](https://support.nitropack.io/hc/en-us/articles/16547358865041) option in NitroPack to set a desired value for the CSS font-display rule."};V_.exports={id:"nitropack",title:"NitroPack",icon:AK,UIStrings:_K}});var K_=P((Awe,Y_)=>{l();var IK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 512 512"><path fill="%2300DC82" d="M281.44 397.667h156.88c5.006 0 9.798-1.759 14.133-4.244.336-2.481 8.805-5.596 11.307-9.894 2.502-4.297 4.242-9.173 4.24-14.134-.002-4.962-1.734-9.836-4.24-14.131l-106-182.321c-2.502-4.297-5.559-7.413-9.893-9.894-4.335-2.48-10.542-4.24-15.547-4.24-5.005 0-9.799 1.76-14.133 4.24-4.335 2.481-7.392 5.597-9.894 9.894l-26.853 46.64-53.707-90.457c-2.504-4.296-5.557-8.823-9.893-11.303-4.336-2.481-9.127-2.827-14.133-2.827-5.006 0-9.798.346-14.134 2.827-4.335 2.48-8.802 7.007-11.306 11.303L46.827 355.268c-2.506 4.295-2.8259.169-2.827 14.131-.002 4.961.325 9.836 2.827 14.134 2.502 4.297 6.97 7.413 11.306 9.894 4.336 2.481 9.127 4.24 14.134 4.24H171.2c39.201 0 67.734-17.585 87.627-50.88L306.88 263.4l25.44-43.813 77.733 132.853H306.88l-25.44 45.227ZM169.787 352.44h-69.254l103.174-178.08L256 263.4l-34.639 60.384c-13.21 21.603-28.272 28.656-51.574 28.6\
56Z"/></svg>',MK={"modern-image-formats":'Use the `nuxt/image` component and set `format="webp"`. [Learn more](https://image.nuxt.com/usage/nuxt-img#format).',"offscreen-images":'Use the `nuxt/image` component and set `loading="lazy"` for offscreen images. [Learn more](https://image.nuxt.com/usage/nuxt-img#loading).',"uses-optimized-images":"Use the `nuxt/image` component and set the appropriate `quality`. [Learn more](https://image.nuxt.com/usage/nuxt-img#quality).","uses-responsive-images":"Use the `nuxt/image` component and set the appropriate `sizes`. [Learn more](https://image.nuxt.com/usage/nuxt-img#sizes).","prioritize-lcp-image":"Use the `nuxt/image` component and specify `preload` for LCP image. [Learn more](https://image.nuxt.com/usage/nuxt-img#preload).","unsized-images":"Use the `nuxt/image` component and specify explicit `width` and `height`. [Learn more](https://image.nuxt.com/usage/nuxt-img#width-height)."};Y_.exports={id:"nuxt",title:"Nuxt",icon:IK,UIStrings:MK}});var X_=P((Iwe,J_)=>{l();var NK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 310 310"><path fill="none" d="M-1-1h802v602H-1z"/><path fill="%23de6c26" d="M135 6.9c-14.2 4.4-34.9 21.8-49.9 42C55.8 88.5 39.6 135.8 41.4 177c.8 20.2 4.9 35.5 14.4 54.5 13.6 27.4 40.8 55.1 65.5 66.9 14.1 6.7 13.4 6.9 14.1-2.8.3-4.4 1-32.4 1.6-62.1 2.7-137.3 4.4-176 8.2-191.3.6-2.3 1.4-4.2 1.9-4.2 1.2 0 3.6 9.1 4.9 18.3.5 4.3 1 17.7 1 29.8 0 12 .3 21.9.7 21.9.3 0 5.7-5 11.9-11 6.9-6.8 12-11 13.3-11 1.8 0 1.9.3 1 2.7-1.2 3.1-7.9 13.2-19.1 28.5L153 128l.1 31.2c.1 17.2.4 37.4.8 44.9l.6 13.7 11-12.6c14-16 35.1-37.1 39.5-39.6l3.3-1.9-.6 3.2c-2 9.8-9.5 20.7-37.4 54.3L154 240.8v31.1c0 18.3.4 31.1.9 31.1 2.8 0 19.3-6.4 26.8-10.5 13.8-7.3 23.8-15 38.3-29.5 15.7-15.7 24.4-27.4 33.4-45.2 20.5-40 21-80.3 1.6-119-17.8-35.6-54.6-72.1-87.8-86.9-11.7-5.3-24.6-7.3-32.2-5z"/></svg>',PK={"unused-css-rules":"Consider reviewing the [plugins](https://octobercms.com/plugins) loading unused CSS on the websi\
te. To identify plugins that add unnecessary CSS, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the stylesheet URL. Look for plugins with many stylesheets with lots of red in code coverage. A plugin should only add a stylesheet if it is actually used on the web page.","modern-image-formats":"Consider using a [plugin](https://octobercms.com/plugins?search=image) or service that will automatically convert the uploaded images to the optimal formats. [WebP lossless images](https://developers.google.com/speed/webp) are 26% smaller in size compared to PNGs and 25-34% smaller than comparable JPEG images at the equivalent SSIM quality index. Another next-gen image format to consider is [AVIF](https://jakearchibald.com/2020/avif-has-landed/).","offscreen-images":"Consider installing an [image lazy loading plugin](https://octobercms.com/plugins?search=lazy) that provides the ab\
ility to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://octobercms.com/plugins?search=Accelerated+Mobile+Pages).","total-byte-weight":"Consider showing excerpts in the post lists (e.g. using a `show more` button), reducing the number of posts shown on a given web page, breaking long posts into multiple web pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are many plugins that help [inline critical assets](https://octobercms.com/plugins?search=css). These plugins may break other plugins, so you should test thoroughly.","unminified-css":"There are many [plugins](https://octobercms.com/plugins?search=css) that can speed up a website by concatenating, minifying and compressing the styles. Using a build process to do this minification up-front can speed up development.","unminified-javascript":"There are many [plugins](https://octobercms.com/plugins?search=javascript) that can\
 speed up a website by concatenating, minifying and compressing the scripts. Using a build process to do this minification up-front can speed up development.","efficient-animated-content":"[Replace animated GIFs with video](https://web.dev/replace-gifs-with-videos/) for faster web page loads and consider using modern file formats such as [WebM](https://web.dev/replace-gifs-with-videos/#create-webm-videos) or [AV1](https://developers.google.com/web/updates/2018/09/chrome-70-media-updates#av1-decoder) to improve compression efficiency by greater than 30% over the current state-of-the-art video codec, VP9.","unused-javascript":"Consider reviewing the [plugins](https://octobercms.com/plugins?search=javascript) that load unused JavaScript in the web page. To identify plugins that add unnecessary JavaScript, run [code coverage](https://developers.google.com/web/updates/2017/04/devtools-release-notes#coverage) in Chrome DevTools. Identify the theme/plugin responsible from the URL of the scrip\
t. Look for plugins with many scripts with lots of red in code coverage. A plugin should only add a script if it is actually used on the web page.","uses-long-cache-ttl":"Read about [preventing unnecessary network requests with the HTTP Cache](https://web.dev/http-cache/#caching-checklist). There are many [plugins](https://octobercms.com/plugins?search=Caching) that can be used to speed up caching.","uses-optimized-images":"Consider using an [image optimization plugin](https://octobercms.com/plugins?search=image) to compresses images while retaining the quality.","uses-text-compression":"Enable text compression in the web server configuration.","uses-responsive-images":"Upload images directly in the media manager to ensure the required image sizes are available. Consider using the [resize filter](https://octobercms.com/docs/markup/filter-resize) or an [image resizing plugin](https://octobercms.com/plugins?search=image) to ensure the optimal image sizes are used.","server-response-time":"\
Themes, plugins and server specifications all contribute to the server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin and/or upgrade the server. October CMS also allows developers to use [`Queues`](https://octobercms.com/docs/services/queues) to defer the processing of a time consuming task, such as sending an e-mail. This drastically speeds up web requests."};J_.exports={id:"octobercms",title:"October CMS",icon:NK,UIStrings:PK}});var Q_=P((Nwe,Z_)=>{l();var LK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 841.9 595.3"><g fill="%2361DAFB"><path d="M666.3 296.5c0-32.5-40.7-63.3-103.1-82.4 14.4-63.6 8-114.2-20.2-130.4-6.5-3.8-14.1-5.6-22.4-5.6v22.3c4.6 0 8.3.9 11.4 2.6 13.6 7.8 19.5 37.5 14.9 75.7-1.1 9.4-2.9 19.3-5.1 29.4-19.6-4.8-41-8.5-63.5-10.9-13.5-18.5-27.5-35.3-41.6-50 32.6-30.3 63.2-46.9 84-46.9V78c-27.5 0-63.5 19.6-99.9 53.6-36.4-33.8-72.4-53.2-99.9-53.2v22.3c20.7 0 51.4 16.5 84 46.6-14 14.7-28 31.4-41.3 49.9-22.6 2.4-44 6.1-63.6 11-2.3-10-4-19.7-5.2-29-4.7-38.2 1.1-67.9 14.6-75.8 3-1.8 6.9-2.6 11.5-2.6V78.5c-8.4 0-16 1.8-22.6 5.6-28.1 16.2-34.4 66.7-19.9 130.1-62.2 19.2-102.7 49.9-102.7 82.3 0 32.5 40.7 63.3 103.1 82.4-14.4 63.6-8 114.2 20.2 130.4 6.5 3.8 14.1 5.6 22.5 5.6 27.5 0 63.5-19.6 99.9-53.6 36.4 33.8 72.4 53.2 99.9 53.2 8.4 0 16-1.8 22.6-5.6 28.1-16.2 34.4-66.7 19.9-130.1 62-19.1 102.5-49.9 102.5-82.3zm-130.2-66.7c-3.7 12.9-8.3 26.2-13.5 39.5-4.1-8-8.4-16-13.1-24-4.6-8\
-9.5-15.8-14.4-23.4 14.2 2.1 27.9 4.7 41 7.9zm-45.8 106.5c-7.8 13.5-15.8 26.3-24.1 38.2-14.9 1.3-30 2-45.2 2-15.1 0-30.2-.7-45-1.9-8.3-11.9-16.4-24.6-24.2-38-7.6-13.1-14.5-26.4-20.8-39.8 6.2-13.4 13.2-26.8 20.7-39.9 7.8-13.5 15.8-26.3 24.1-38.2 14.9-1.3 30-2 45.2-2 15.1 0 30.2.7 45 1.9 8.3 11.9 16.4 24.6 24.2 38 7.6 13.1 14.5 26.4 20.8 39.8-6.3 13.4-13.2 26.8-20.7 39.9zm32.3-13c5.4 13.4 10 26.8 13.8 39.8-13.1 3.2-26.9 5.9-41.2 8 4.9-7.7 9.8-15.6 14.4-23.7 4.6-8 8.9-16.1 13-24.1zM421.2 430c-9.3-9.6-18.6-20.3-27.8-32 9 .4 18.2.7 27.5.7 9.4 0 18.7-.2 27.8-.7-9 11.7-18.3 22.4-27.5 32zm-74.4-58.9c-14.2-2.1-27.9-4.7-41-7.9 3.7-12.9 8.3-26.2 13.5-39.5 4.1 8 8.4 16 13.1 24 4.7 8 9.5 15.8 14.4 23.4zM420.7 163c9.3 9.6 18.6 20.3 27.8 32-9-.4-18.2-.7-27.5-.7-9.4 0-18.7.2-27.8.7 9-11.7 18.3-22.4 27.5-32zm-74 58.9c-4.9 7.7-9.8 15.6-14.4 23.7-4.6 8-8.9 16-13 24-5.4-13.4-10-26.8-13.8-39.8 13.1-3.1 26.9-5.8 41.2-7.9zm-90.5 125.2c-35.4-15.1-58.3-34.9-58.3-50.6 0-15.7 22.9-35.6 58.3-50.6 8.6-3.7 18-7 27.\
7-10.1 5.7 19.6 13.2 40 22.5 60.9-9.2 20.8-16.6 41.1-22.2 60.6-9.9-3.1-19.3-6.5-28-10.2zM310 490c-13.6-7.8-19.5-37.5-14.9-75.7 1.1-9.4 2.9-19.3 5.1-29.4 19.6 4.8 41 8.5 63.5 10.9 13.5 18.5 27.5 35.3 41.6 50-32.6 30.3-63.2 46.9-84 46.9-4.5-.1-8.3-1-11.3-2.7zm237.2-76.2c4.7 38.2-1.1 67.9-14.6 75.8-3 1.8-6.9 2.6-11.5 2.6-20.7 0-51.4-16.5-84-46.6 14-14.7 28-31.4 41.3-49.9 22.6-2.4 44-6.1 63.6-11 2.3 10.1 4.1 19.8 5.2 29.1zm38.5-66.7c-8.6 3.7-18 7-27.7 10.1-5.7-19.6-13.2-40-22.5-60.9 9.2-20.8 16.6-41.1 22.2-60.6 9.9 3.1 19.3 6.5 28.1 10.2 35.4 15.1 58.3 34.9 58.3 50.6-.1 15.7-23 35.6-58.4 50.6zM320.8 78.4z"/><circle cx="420.9" cy="296.5" r="45.7"/><path d="M520.5 78.1z"/></g></svg>',OK={"unminified-css":"If your build system minifies CSS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build).","unminifi\
ed-javascript":"If your build system minifies JS files automatically, ensure that you are deploying the production build of your application. You can check this with the React Developer Tools extension. [Learn more](https://reactjs.org/docs/optimizing-performance.html#use-the-production-build).","unused-javascript":"If you are not server-side rendering, [split your JavaScript bundles](https://web.dev/code-splitting-suspense/) with `React.lazy()`. Otherwise, code-split using a third-party library such as [loadable-components](https://www.smooth-code.com/open-source/loadable-components/docs/getting-started/).","server-response-time":"If you are server-side rendering any React components, consider using `renderToPipeableStream()` or `renderToStaticNodeStream()` to allow the client to receive and hydrate different parts of the markup instead of all at once. [Learn more](https://reactjs.org/docs/react-dom-server.html#renderToPipeableStream).",redirects:"If you are using React Router, minimi\
ze usage of the `<Redirect>` component for [route navigations](https://reacttraining.com/react-router/web/api/Redirect).","user-timings":"Use the React DevTools Profiler, which makes use of the Profiler API, to measure the rendering performance of your components. [Learn more.](https://reactjs.org/blog/2018/09/10/introducing-the-react-profiler.html)","dom-size":'Consider using a "windowing" library like `react-window` to minimize the number of DOM nodes created if you are rendering many repeated elements on the page. [Learn more](https://web.dev/virtualize-long-lists-react-window/). Also, minimize unnecessary re-renders using [`shouldComponentUpdate`](https://reactjs.org/docs/optimizing-performance.html#shouldcomponentupdate-in-action), [`PureComponent`](https://reactjs.org/docs/react-api.html#reactpurecomponent), or [`React.memo`](https://reactjs.org/docs/react-api.html#reactmemo) and [skip effects](https://reactjs.org/docs/hooks-effect.html#tip-optimizing-performance-by-skipping-effe\
cts) only until certain dependencies have changed if you are using the `Effect` hook to improve runtime performance.'};Z_.exports={id:"react",title:"React",icon:LK,UIStrings:OK}});var tI=P((Lwe,eI)=>{l();var BK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 71 28"><path fill-rule="evenodd" d="M0 .032s2.796-.356 4.66 1.31C5.81 2.37 6.145 4.008 6.145 4.008L9.952 18.96l3.165-12.239c.309-1.301.864-2.909 1.743-3.997 1.121-1.385 3.398-1.472 3.641-1.472.242 0 2.519.087 3.639 1.472.88 1.088 1.435 2.696 1.744 3.997l3.165 12.239 3.806-14.953s.336-1.638 1.486-2.666C34.205-.324 37 .032 37 .032l-7.289 27.945s-2.404.176-3.607-.446c-1.58-.816-2.332-1.447-3.289-5.249l-.099-.395c-.349-1.399-.883-3.59-1.424-5.813l-.162-.667-.162-.664c-.779-3.198-1.497-6.143-1.612-6.517-.108-.351-.236-1.187-.855-1.187-.607 0-.746.837-.857 1.187-.13.412-.99 3.955-1.856 7.514l-.162.667c-.512 2.107-1.01 4.151-1.341 5.48l-.1.395c-.956 3.802-1.708 4.433-3.288 5.249-1.204.622-3.608.446-3.608.446zM43.998 5v.995L44 5.994v16.628c-.014 3.413-.373 4.17-1.933 4.956-1.213.61-3.067.379-3.067.379V9.332c0-.935.315-1.548 1.477-2.098.693-.329 1.34-.58 2.012-.953C43.54 5.703 43.998 5 43.998\
 5zM46 .125s3.877-.673 5.797 1.107c1.228 1.14 2.602 3.19 2.602 3.19l3.38 4.965c.164.258.378.54.72.54.343 0 .558-.282.722-.54l3.38-4.965s1.374-2.05 2.602-3.19C67.123-.548 71 .125 71 .125l-9.186 13.923 9.161 13.881-.032.004c-.38.045-4.036.423-5.855-1.266-1.229-1.138-2.487-2.992-2.487-2.992l-3.38-4.964c-.164-.26-.379-.54-.721-.54-.343 0-.557.28-.721.54l-3.38 4.964s-1.19 1.854-2.418 2.992c-1.92 1.783-5.957 1.262-5.957 1.262l9.161-13.88zM43.96 0H44c0 1.91-.186 3.042-1.387 3.923-.384.28-1.048.71-1.826.992C39.719 5.304 39 6 39 6c0-3.476.53-4.734 1.95-5.48.865-.452 2.272-.514 2.82-.52z"></path></svg>',UK={"modern-image-formats":"Upload images using `Wix Media Manager` to ensure they are automatically served as WebP. Find [more ways to optimize](https://support.wix.com/en/article/site-performance-optimizing-your-media) your site's media.","render-blocking-resources":"When [adding third-party code](https://support.wix.com/en/article/site-performance-using-third-party-code-on-your-site) in the `C\
ustom Code` tab of your site's dashboard, make sure it's deferred or loaded at the end of the code body. Where possible, use Wix’s [integrations](https://support.wix.com/en/article/about-marketing-integrations) to embed marketing tools on your site. ","efficient-animated-content":"Place videos inside `VideoBoxes`, customize them using `Video Masks` or add `Transparent Videos`. [Learn more](https://support.wix.com/en/article/wix-video-about-wix-video).","unused-javascript":"Review any third-party code you've added to your site in the `Custom Code` tab of your site's dashboard and only keep the services that are necessary to your site. [Find out more](https://support.wix.com/en/article/site-performance-removing-unused-javascript).","server-response-time":"Wix utilizes CDNs and caching to serve responses as fast as possible for most visitors. Consider [manually enabling caching](https://support.wix.com/en/article/site-performance-caching-pages-to-optimize-loading-speed) for your site, e\
specially if using `Velo`."};eI.exports={id:"wix",title:"Wix",icon:BK,UIStrings:UK}});var rI=P((Bwe,nI)=>{l();var jK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 122.5 122.5"><g fill="%232f3439"><path d="M8.7 61.3c0 20.8 12.1 38.7 29.6 47.3l-25-68.7c-3 6.5-4.6 13.7-4.6 21.4zm88-2.7c0-6.5-2.3-11-4.3-14.5-2.7-4.3-5.2-8-5.2-12.3 0-4.8 3.7-9.3 8.9-9.3h.7a52.4 52.4 0 0 0-79.4 9.9h3.3c5.5 0 14-.6 14-.6 2.9-.2 3.2 4 .4 4.3 0 0-2.9.4-6 .5l19.1 57L59.7 59l-8.2-22.5c-2.8-.1-5.5-.5-5.5-.5-2.8-.1-2.5-4.5.3-4.3 0 0 8.7.7 13.9.7 5.5 0 14-.7 14-.7 2.8-.2 3.2 4 .3 4.3 0 0-2.8.4-6 .5l19 56.5 5.2-17.5c2.3-7.3 4-12.5 4-17z"/><path d="m62.2 65.9-15.8 45.8a52.6 52.6 0 0 0 32.3-.9l-.4-.7zM107.4 36a49.6 49.6 0 0 1-3.6 24.2l-16.1 46.5A52.5 52.5 0 0 0 107.4 36z"/><path d="M61.3 0a61.3 61.3 0 1 0 .1 122.7A61.3 61.3 0 0 0 61.3 0zm0 119.7a58.5 58.5 0 1 1 .1-117 58.5 58.5 0 0 1-.1 117z"/></g></svg>',qK={"unused-css-rules":"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused CSS in your page. To identify plugin\
s that are adding extraneous CSS, try running [code coverage](https://developer.chrome.com/docs/devtools/coverage/) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the stylesheet. Look out for plugins that have many stylesheets in the list which have a lot of red in code coverage. A plugin should only enqueue a stylesheet if it is actually used on the page.","modern-image-formats":"Consider using the [Performance Lab](https://wordpress.org/plugins/performance-lab/) plugin to automatically convert your uploaded JPEG images into WebP, wherever supported.","offscreen-images":"Install a [lazy-load WordPress plugin](https://wordpress.org/plugins/search/lazy+load/) that provides the ability to defer any offscreen images, or switch to a theme that provides that functionality. Also consider using [the AMP plugin](https://wordpress.org/plugins/amp/).","total-byte-weight":"Consider showing excerpts in your post lists (e.g. via the more tag), reducing the number \
of posts shown on a given page, breaking your long posts into multiple pages, or using a plugin to lazy-load comments.","render-blocking-resources":"There are a number of WordPress plugins that can help you [inline critical assets](https://wordpress.org/plugins/search/critical+css/) or [defer less important resources](https://wordpress.org/plugins/search/defer+css+javascript/). Beware that optimizations provided by these plugins may break features of your theme or plugins, so you will likely need to make code changes.","unminified-css":"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+css/) can speed up your site by concatenating, minifying, and compressing your styles. You may also want to use a build process to do this minification up-front if possible.","unminified-javascript":"A number of [WordPress plugins](https://wordpress.org/plugins/search/minify+javascript/) can speed up your site by concatenating, minifying, and compressing your scripts. You may al\
so want to use a build process to do this minification up front if possible.","efficient-animated-content":"Consider uploading your GIF to a service which will make it available to embed as an HTML5 video.","unused-javascript":"Consider reducing, or switching, the number of [WordPress plugins](https://wordpress.org/plugins/) loading unused JavaScript in your page. To identify plugins that are adding extraneous JS, try running [code coverage](https://developer.chrome.com/docs/devtools/coverage/) in Chrome DevTools. You can identify the theme/plugin responsible from the URL of the script. Look out for plugins that have many scripts in the list which have a lot of red in code coverage. A plugin should only enqueue a script if it is actually used on the page.","uses-long-cache-ttl":"Read about [Browser Caching in WordPress](https://wordpress.org/support/article/optimization/#browser-caching).","uses-optimized-images":"Consider using an [image optimization WordPress plugin](https://wordpres\
s.org/plugins/search/optimize+images/) that compresses your images while retaining quality.","uses-text-compression":"You can enable text compression in your web server configuration.","uses-responsive-images":"Upload images directly through the [media library](https://wordpress.org/support/article/media-library-screen/) to ensure that the required image sizes are available, and then insert them from the media library or use the image widget to ensure the optimal image sizes are used (including those for the responsive breakpoints). Avoid using `Full Size` images unless the dimensions are adequate for their usage. [Learn More](https://wordpress.org/support/article/inserting-images-into-posts-and-pages/).","server-response-time":"Themes, plugins, and server specifications all contribute to server response time. Consider finding a more optimized theme, carefully selecting an optimization plugin, and/or upgrading your server."};nI.exports={id:"wordpress",title:"WordPress",icon:jK,UIStrings:qK}});var oI=P((jwe,aI)=>{l();var zK='data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 294 524"><defs><linearGradient id="a" x1="36.742%" x2="37.116%" y1="100.518%" y2="-.001%"><stop offset="0%" stop-color="%23DD5F29"/><stop offset="26.042%" stop-color="%23F26B32"/><stop offset="100%" stop-color="%23FAC932"/></linearGradient><linearGradient id="b" x1="28.046%" x2="28.421%" y1="100.518%" y2="-.003%"><stop offset="0%" stop-color="%23DD5F29"/><stop offset="26.042%" stop-color="%23F26B32"/><stop offset="100%" stop-color="%23FAC932"/></linearGradient><linearGradient id="c" x1="38.215%" x2="38.589%" y1="100.518%" y2="0%"><stop offset="0%" stop-color="%23DD5F29"/><stop offset="26.042%" stop-color="%23F26B32"/><stop offset="100%" stop-color="%23FAC932"/></linearGradient></defs><g fill="none" fill-rule="evenodd"><path fill="url(%23a)" d="M218.617 270.615c-9.752 0-18.896-5.689-23.366-14.63l-7.72-17.27h-76.6l-7.722 17.27c-4.47 8.941-13.613 14.63-23.366 14.63H75.78l32.712 249.306c\
1.625 4.671 4.673 4.671 6.502 0l32.51-79.648 28.242 79.442c1.625 4.676 4.673 4.676 6.501 0L220.04 270.82l-1.423-.204Z" transform="translate(-1.58 -.2)"/><path fill="url(%23b)" d="M184.47 231.784h-70.3l-10.77 24.179c-3.657 7.314-10.768 12.597-18.489 14.02L109.7 423.791c1.625 2.844 4.673 2.844 6.501 0l31.697-48.155 29.055 47.951c1.829 2.845 4.673 2.845 6.502 0l28.039-154.012c-6.908-2.032-13.004-6.908-16.255-13.613l-10.768-24.18Z" transform="translate(-1.58 -.2)"/><path fill="url(%23c)" d="m195.259 255.988-46.123-103.014-45.92 103.014c-1.625 3.048-3.656 5.69-6.095 7.925l19.1 102.2c1.015 1.423 3.657 1.83 5.485 0l25.601-33.931 25.602 33.728c1.625 2.032 4.47 1.626 5.485 0l21.131-103.42c-1.625-2.032-3.047-4.064-4.266-6.502Z" transform="translate(-1.58 -.2)"/><path fill="%23F56F46" d="M.439 12.559c-1.422-4.877 1.422-8.33 6.299-8.33H47.17c2.845 0 5.486 2.437 6.299 4.876l29.665 116.83h1.422l53.437-121.3c1.016-2.032 3.048-3.86 5.892-3.86h6.299c3.047 0 5.08 1.625 5.892 3.86l53.437 121.3h1.423L240.\
6 9.105c.61-2.439 3.454-4.877 6.299-4.877h40.433c4.877 0 7.518 3.454 6.299 8.33l-65.221 231.63c-.61 2.845-3.454 4.876-6.298 4.876h-5.487c-2.438 0-4.876-1.625-5.892-3.86l-63.19-141.009h-1.015L83.744 245.203c-1.016 2.032-3.454 3.86-5.892 3.86h-5.486c-2.845 0-5.486-2.031-6.299-4.876L.44 12.559Z"/></g></svg>',HK={"unused-css-rules":"Enable [Remove Unused CSS](https://docs.wp-rocket.me/article/1529-remove-unused-css) in 'WP Rocket' to fix this issue. It reduces page size by removing all CSS and stylesheets that are not used while keeping only the used CSS for each page.","modern-image-formats":"Enable 'Imagify' from the Image Optimization tab in 'WP Rocket' to convert your images to WebP.","unused-javascript":"Enable [Delay JavaScript execution](https://docs.wp-rocket.me/article/1349-delay-javascript-execution) in 'WP Rocket' to fix this problem. It will improve the loading of your page by delaying the execution of scripts until user interaction. If your site has iframes, you can use WP Roc\
ket's [LazyLoad for iframes and videos](https://docs.wp-rocket.me/article/1674-lazyload-for-iframes-and-videos) and [Replace YouTube iframe with preview image](https://docs.wp-rocket.me/article/1488-replace-youtube-iframe-with-preview-image) as well.","render-blocking-resources":"Enable [Remove Unused CSS](https://docs.wp-rocket.me/article/1529-remove-unused-css) and [Load JavaScript deferred](https://docs.wp-rocket.me/article/1265-load-javascript-deferred) in 'WP Rocket' to address this recommendation. These features will respectively optimize the CSS and JavaScript files so that they don't block the rendering of your page.","unminified-css":"Enable [Minify CSS files](https://docs.wp-rocket.me/article/1350-css-minify-combine) in 'WP Rocket' to fix this issue. Any spaces and comments in your site's CSS files will be removed to make the file size smaller and faster to download.","unminified-javascript":"Enable [Minify JavaScript files](https://docs.wp-rocket.me/article/1351-javascript-m\
inify-combine) in 'WP Rocket' to fix this issue. Empty spaces and comments will be removed from JavaScript files to make their size smaller and faster to download.","uses-optimized-images":"Enable 'Imagify' from the Image Optimization tab in 'WP Rocket' and run Bulk Optimization to compress your images.","uses-rel-preconnect":`Use [Prefetch DNS Requests](https://docs.wp-rocket.me/article/1302-prefetch-dns-requests) in 'WP Rocket' to add "dns-prefetch" and speed up the connection with external domains. Also, 'WP Rocket' automatically adds "preconnect" to [Google Fonts domain](https://docs.wp-rocket.me/article/1312-optimize-google-fonts) and any CNAME(S) added via the [Enable CDN](https://docs.wp-rocket.me/article/42-using-wp-rocket-with-a-cdn) feature.`,"uses-rel-preload":"To fix this issue for fonts, enable [Remove Unused CSS](https://docs.wp-rocket.me/article/1529-remove-unused-css) in 'WP Rocket'. Your site's critical fonts will be preloaded with priority.","offscreen-images":"Enable\
 [LazyLoad](https://docs.wp-rocket.me/article/1141-lazyload-for-images) in WP Rocket to fix this recommendation. This feature delays the loading of the images until the visitor scrolls down the page and actually needs to see them."};aI.exports={id:"wp-rocket",title:"WP Rocket",icon:zK,UIStrings:HK}});var sI=P((zwe,iI)=>{l();var WK=[__(),M_(),P_(),O_(),U_(),q_(),H_(),G_(),$_(),K_(),X_(),Q_(),tI(),rI(),oI()];iI.exports=WK});var uI=P((Wwe,cI)=>{l();cI.exports=s(function(t,n){if(typeof t=="string"&&n[t])return t;for(var r=[].concat(t||[]),a=0,o=r.length;a<o;++a)for(var i=r[a].split("-");i.length;){var c=i.join("-");if(n[c])return c;i.pop()}},"lookupClosestLocale")});var Im,GK,lI,Hc=g(()=>{"use strict";l();na();Ra();_o();Im=Et.dirname(""),GK=JSON.parse(`{
  "name": "lighthouse",
  "type": "module",
  "version": "12.0.0",
  "description": "Automated auditing, performance metrics, and best practices for the web.",
  "main": "./core/index.js",
  "bin": {
    "lighthouse": "./cli/index.js",
    "chrome-debug": "./core/scripts/manual-chrome-launcher.js",
    "smokehouse": "./cli/test/smokehouse/frontends/smokehouse-bin.js"
  },
  "engines": {
    "node": ">=18.16"
  },
  "scripts": {
    "prepack": "yarn build-report --standalone --flow --esm && yarn build-types",
    "postpack": "yarn clean-types",
    "build-all": "npm-run-posix-or-windows build-all:task",
    "build-all:task": "yarn build-report && yarn build-cdt-lib && yarn build-devtools && concurrently 'yarn build-extension' 'yarn build-lr' 'yarn build-viewer' 'yarn build-treemap' 'yarn build-smokehouse-bundle' && yarn build-pack",
    "build-all:task:windows": "yarn build-report && yarn build-cdt-lib && yarn build-extension && yarn build-devtools && yarn build-lr && yarn build-viewer && yarn build-treemap && yarn build-smokehouse-bundle",
    "build-cdt-lib": "node ./build/build-cdt-lib.js",
    "build-extension": "yarn build-extension-chrome && yarn build-extension-firefox",
    "build-extension-chrome": "node ./build/build-extension.js chrome",
    "build-extension-firefox": "node ./build/build-extension.js firefox",
    "build-devtools": "yarn reset-link && node ./build/build-bundle.js clients/devtools/devtools-entry.js dist/lighthouse-dt-bundle.js && node ./build/build-dt-report-resources.js",
    "build-smokehouse-bundle": "node ./build/build-smokehouse-bundle.js",
    "build-lr": "yarn reset-link && node --max-old-space-size=4096 ./build/build-lightrider-bundles.js",
    "build-pack": "bash build/build-pack.sh",
    "build-report": "node build/build-report-components.js && node build/build-report.js",
    "build-sample-reports": "yarn build-report && node build/build-sample-reports.js",
    "build-treemap": "node ./build/build-treemap.js",
    "build-viewer": "node ./build/build-viewer.js",
    "build-types": "yarn type-check && rsync -a .tmp/tsbuildinfo/ ./ --include='*.d.ts' --include='*.d.cts' --exclude='*.map' --exclude='*.tsbuildinfo'",
    "reset-link": "(yarn unlink || true) && yarn link && yarn link lighthouse",
    "c8": "bash core/scripts/c8.sh",
    "clean": "rm -r dist proto/scripts/*.json proto/scripts/*_pb2.* proto/scripts/*_pb.* proto/scripts/__pycache__ proto/scripts/*.pyc *.report.html *.report.dom.html *.report.json *.devtoolslog.json *.trace.json shared/localization/locales/*.ctc.json || true",
    "clean-types": "git clean -xfq '*.d.ts' '*.d.cts' -e 'node_modules/' -e 'dist/' -e '.tmp/' -e '**/types/'",
    "lint": "[ \\"$CI\\" = true ] && eslint --quiet -f codeframe . || eslint .",
    "smoke": "node -r source-map-support/register cli/test/smokehouse/frontends/smokehouse-bin.js",
    "debug": "node --inspect-brk ./cli/index.js",
    "start": "yarn build-report --standalone && node ./cli/index.js",
    "mocha": "node --loader=testdouble core/test/scripts/run-mocha-tests.js",
    "test": "yarn diff:sample-json && yarn lint --quiet && yarn unit && yarn type-check",
    "test-bundle": "yarn smoke --runner bundle",
    "test-clients": "yarn mocha --testMatch clients/**/*-test.js && yarn mocha --testMatch clients/**/*-test-pptr.js",
    "test-viewer": "yarn unit-viewer && yarn mocha --testMatch viewer/**/*-test-pptr.js --timeout 35000",
    "test-treemap": "yarn unit-treemap && yarn mocha --testMatch treemap/**/*-test-pptr.js --timeout 35000",
    "test-lantern": "bash core/scripts/test-lantern.sh",
    "test-legacy-javascript": "bash core/scripts/test-legacy-javascript.sh",
    "test-docs": "yarn --cwd docs/recipes/ test",
    "test-proto": "yarn compile-proto && yarn build-proto-roundtrip",
    "unit-core": "yarn mocha core",
    "unit-cli": "yarn mocha --testMatch cli/**/*-test.js",
    "unit-report": "yarn mocha --testMatch report/**/*-test.js",
    "unit-treemap": "yarn mocha --testMatch treemap/**/*-test.js",
    "unit-viewer": "yarn mocha --testMatch viewer/**/*-test.js",
    "unit-flow": "bash flow-report/test/run-flow-report-tests.sh",
    "unit": "yarn unit-flow && yarn mocha",
    "unit:ci": "NODE_OPTIONS=--max-old-space-size=8192 npm run unit",
    "core-unit": "yarn unit-core",
    "cli-unit": "yarn unit-cli",
    "viewer-unit": "yarn unit-viewer",
    "watch": "yarn unit-core --watch",
    "unit:cicoverage": "yarn c8 --all yarn unit:ci",
    "coverage": "yarn unit:cicoverage && c8 report --reporter html",
    "coverage:smoke": "yarn c8 yarn smoke -j=1 && c8 report --reporter html",
    "devtools": "bash core/scripts/roll-to-devtools.sh",
    "chrome": "node core/scripts/manual-chrome-launcher.js",
    "fast": "node ./cli/index.js --preset=desktop --throttlingMethod=provided",
    "deploy-treemap": "yarn build-treemap --deploy",
    "deploy-viewer": "yarn build-viewer --deploy",
    "vercel-build": "yarn build-sample-reports && yarn build-viewer && yarn build-treemap",
    "dogfood-lhci": "./core/scripts/dogfood-lhci.sh",
    "timing-trace": "node core/scripts/generate-timing-trace.js",
    "changelog": "conventional-changelog --config ./build/changelog-generator/index.cjs --infile changelog.md --same-file",
    "type-check": "tsc --build ./tsconfig-all.json",
    "i18n:checks": "./core/scripts/i18n/assert-strings-collected.sh",
    "i18n:collect-strings": "node core/scripts/i18n/collect-strings.js",
    "update:lantern-baseline": "node core/scripts/lantern/update-baseline-lantern-values.js",
    "update:sample-artifacts": "node core/scripts/update-report-fixtures.js",
    "update:sample-json": "yarn i18n:collect-strings && node ./cli -A=./core/test/results/artifacts --config-path=./core/test/results/sample-config.js --output=json --output-path=./core/test/results/sample_v2.json && node core/scripts/cleanup-LHR-for-diff.js ./core/test/results/sample_v2.json --only-remove-timing && node ./core/scripts/update-flow-fixtures.js",
    "update:flow-sample-json": "yarn i18n:collect-strings && node ./core/scripts/update-flow-fixtures.js",
    "test-devtools": "bash core/test/devtools-tests/test-locally.sh",
    "open-devtools": "bash core/scripts/open-devtools.sh",
    "run-devtools": "node core/scripts/pptr-run-devtools.js",
    "diff:sample-json": "yarn i18n:checks && bash core/scripts/assert-golden-lhr-unchanged.sh",
    "diff:flow-sample-json": "yarn i18n:collect-strings && bash core/scripts/assert-baseline-flow-result-unchanged.sh",
    "computeBenchmarkIndex": "./core/scripts/benchmark.js",
    "save-latest-run": "./core/scripts/save-latest-run.sh",
    "compile-proto": "protoc --python_out=./ ./proto/lighthouse-result.proto && mv ./proto/*_pb2.py ./proto/scripts || (echo \\"❌ Install protobuf = 3.20.x to compile the proto file.\\" && false)",
    "build-proto-roundtrip": "mkdir -p .tmp && python3 proto/scripts/json_roundtrip_via_proto.py",
    "static-server": "node cli/test/fixtures/static-server.js",
    "serve-dist": "cd dist && python3 -m http.server 7878",
    "serve-gh-pages": "cd dist/gh-pages && python3 -m http.server 7333",
    "serve-treemap": "yarn serve-gh-pages",
    "serve-viewer": "yarn serve-gh-pages",
    "flow-report": "yarn build-report --flow && node ./core/scripts/build-test-flow-report.js"
  },
  "devDependencies": {
    "@build-tracker/cli": "^1.0.0-beta.15",
    "@esbuild-kit/esm-loader": "^2.1.1",
    "@esbuild-plugins/node-modules-polyfill": "^0.1.4",
    "@formatjs/icu-messageformat-parser": "^2.6.2",
    "@jest/fake-timers": "^28.1.0",
    "@testing-library/preact": "^3.1.1",
    "@testing-library/preact-hooks": "^1.1.0",
    "@types/archiver": "^2.1.2",
    "@types/chrome": "^0.0.154",
    "@types/configstore": "^4.0.0",
    "@types/cpy": "^5.1.0",
    "@types/debug": "^4.1.7",
    "@types/eslint": "^8.2.1",
    "@types/estree": "^0.0.50",
    "@types/gh-pages": "^2.0.0",
    "@types/google.analytics": "0.0.39",
    "@types/jpeg-js": "^0.3.7",
    "@types/jsdom": "^16.2.13",
    "@types/lodash": "^4.14.178",
    "@types/mocha": "^9.0.0",
    "@types/node": "*",
    "@types/pako": "^1.0.1",
    "@types/resize-observer-browser": "^0.1.1",
    "@types/resolve": "^1.20.2",
    "@types/semver": "^5.5.0",
    "@types/tabulator-tables": "^4.9.1",
    "@types/ws": "^7.0.0",
    "@types/yargs": "^17.0.8",
    "@types/yargs-parser": "^20.2.1",
    "@typescript-eslint/eslint-plugin": "^5.48.0",
    "@typescript-eslint/parser": "^5.48.0",
    "acorn": "^8.5.0",
    "angular": "^1.7.4",
    "archiver": "^3.0.0",
    "builtin-modules": "^3.3.0",
    "c8": "^7.11.3",
    "chalk": "^2.4.1",
    "chrome-devtools-frontend": "1.0.1153166",
    "concurrently": "^6.4.0",
    "conventional-changelog-cli": "^2.1.1",
    "cpy": "^8.1.2",
    "cross-env": "^7.0.2",
    "csv-validator": "^0.0.3",
    "es-main": "^1.2.0",
    "esbuild": "0.19.11",
    "eslint": "^8.4.1",
    "eslint-config-google": "^0.14.0",
    "eslint-formatter-codeframe": "^7.32.1",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-local-rules": "1.1.0",
    "event-target-shim": "^6.0.2",
    "expect": "^28.1.0",
    "firebase": "^9.0.2",
    "gh-pages": "^2.0.1",
    "glob": "^7.1.3",
    "idb-keyval": "2.2.0",
    "jest-mock": "^27.3.0",
    "jest-snapshot": "^28.1.0",
    "jsdom": "^12.2.0",
    "lighthouse-plugin-soft-navigation": "^1.0.1",
    "magic-string": "^0.25.7",
    "mime-types": "^2.1.30",
    "mocha": "^10.0.0",
    "node-fetch": "^2.6.1",
    "npm-run-posix-or-windows": "^2.0.2",
    "pako": "^2.0.3",
    "preact": "^10.7.2",
    "pretty-json-stringify": "^0.0.2",
    "puppeteer": "^22.6.5",
    "resolve": "^1.22.1",
    "rollup": "^2.52.7",
    "rollup-plugin-polyfill-node": "^0.12.0",
    "source-map-support": "^0.5.21",
    "tabulator-tables": "^4.9.3",
    "terser": "^5.18.2",
    "testdouble": "^3.18.0",
    "typed-query-selector": "^2.6.1",
    "typescript": "^5.0.4",
    "wait-for-expect": "^3.0.2",
    "webtreemap-cdt": "^3.2.1"
  },
  "dependencies": {
    "@paulirish/trace_engine": "^0.0.19",
    "@sentry/node": "^6.17.4",
    "axe-core": "^4.9.0",
    "chrome-launcher": "^1.1.1",
    "configstore": "^5.0.1",
    "csp_evaluator": "1.1.1",
    "devtools-protocol": "0.0.1232444",
    "enquirer": "^2.3.6",
    "http-link-header": "^1.1.1",
    "intl-messageformat": "^10.5.3",
    "jpeg-js": "^0.4.4",
    "js-library-detector": "^6.7.0",
    "lighthouse-logger": "^2.0.1",
    "lighthouse-stack-packs": "1.12.1",
    "lodash": "^4.17.21",
    "lookup-closest-locale": "6.2.0",
    "metaviewport-parser": "0.3.0",
    "open": "^8.4.0",
    "parse-cache-control": "1.0.1",
    "ps-list": "^8.0.0",
    "puppeteer-core": "^22.6.5",
    "robots-parser": "^3.0.1",
    "semver": "^5.3.0",
    "speedline-core": "^1.4.3",
    "third-party-web": "^0.24.2",
    "tldts-icann": "^6.1.16",
    "ws": "^7.0.0",
    "yargs": "^17.3.1",
    "yargs-parser": "^21.0.0"
  },
  "resolutions": {
    "puppeteer/**/devtools-protocol": "0.0.1232444",
    "puppeteer-core/**/devtools-protocol": "0.0.1232444"
  },
  "repository": "GoogleChrome/lighthouse",
  "keywords": [
    "google",
    "chrome",
    "devtools"
  ],
  "author": "Google LLC",
  "license": "Apache-2.0",
  "bugs": {
    "url": "https://github.com/GoogleChrome/lighthouse/issues"
  },
  "homepage": "https://github.com/GoogleChrome/lighthouse#readme"
}
`),lI=GK.version});function Mm(e,t){if(typeof Intl!="object")throw new Error("Lighthouse must be run in Node with `Intl` support. See https://nodejs.org/api/intl.html for help");let n=Intl.getCanonicalLocales(e),r=Intl.NumberFormat.supportedLocalesOf(n),a=t||F_(),o=Object.fromEntries(a.map(c=>[c,{}])),i=(0,dI.default)(r,o);return i||(Intl.NumberFormat.supportedLocalesOf("es").length===0&&M.warn("i18n","Requested locale not available in this version of node. The `full-icu` npm module can provide additional locales. For help, see https://github.com/GoogleChrome/lighthouse/blob/main/readme.md#how-do-i-get-localized-lighthouse-results-via-the-cli"),M.warn("i18n",`locale(s) '${e}' not available. Falling back to default '${Bi}'`)),i||Bi}function D(e,t={}){e.startsWith("file://")&&(e=Ao.fileURLToPath(e)),Et.isAbsolute(e)&&(e=Et.relative(Im,e));let n={...k,...t};return s((a,o)=>{let i=Object.keys(n).find(m=>n[m]===a);if(!i)throw new Error(`Could not locate: ${a}`);return{i18nId:`${(i in t?e:Et.relative(Im,v_({url:"\
core/lib/i18n/i18n.js"}))).replace(/\\/g,"/")} | ${i}`,values:o,formattedDefault:ng(a,o,Bi)}},"getIcuMessageFn")}function kr(e){return typeof e=="string"||Ui(e)}var dI,k,A=g(()=>{"use strict";l();Ra();zc();dI=Bt(uI(),1);Me();aa();Hc();aa();_o();k={ms:"{timeInMs, number, milliseconds} ms",seconds:"{timeInMs, number, seconds} s",displayValueByteSavings:"Potential savings of {wastedBytes, number, bytes} KiB",displayValueMsSavings:"Potential savings of {wastedMs, number, milliseconds} ms",displayValueElementsFound:"{nodeCount, plural, =1 {1 element found} other {# elements found}}",columnURL:"URL",columnSize:"Size",columnResourceSize:"Resource Size",columnTransferSize:"Transfer Size",columnCacheTTL:"Cache TTL",columnWastedBytes:"Potential Savings",columnWastedMs:"Potential Savings",columnBlockingTime:"Main-Thread Blocking Time",columnTimeSpent:"Time Spent",columnLocation:"Location",columnResourceType:"Resource Type",columnRequests:"Requests",columnName:"Name",columnSource:"Source",columnElement:"\
Element",columnStartTime:"Start Time",columnDuration:"Duration",columnFailingElem:"Failing Elements",columnDescription:"Description",totalResourceType:"Total",documentResourceType:"Document",scriptResourceType:"Script",stylesheetResourceType:"Stylesheet",imageResourceType:"Image",mediaResourceType:"Media",fontResourceType:"Font",otherResourceType:"Other",thirdPartyResourceType:"Third-party",otherResourcesLabel:"Other resources",firstContentfulPaintMetric:"First Contentful Paint",interactiveMetric:"Time to Interactive",firstMeaningfulPaintMetric:"First Meaningful Paint",totalBlockingTimeMetric:"Total Blocking Time",maxPotentialFIDMetric:"Max Potential First Input Delay",speedIndexMetric:"Speed Index",largestContentfulPaintMetric:"Largest Contentful Paint",cumulativeLayoutShiftMetric:"Cumulative Layout Shift",interactionToNextPaint:"Interaction to Next Paint",itemSeverityLow:"Low",itemSeverityMedium:"Medium",itemSeverityHigh:"High"};s(Mm,"lookupLocale");s(D,"createIcuMessageFn");s(kr,"is\
StringOrIcuMessage")});function pI(e){if(!e)return[];let t=[];for(let n of e){let r=og.find(u=>u.requiredStacks.includes(`${n.detector}:${n.id}`));if(!r)continue;let a=mI.default.find(u=>u.id===r.packId);if(!a){M.warn("StackPacks",`'${r.packId}' stack pack was matched but is not found in stack-packs lib`);continue}let o=D(`node_modules/lighthouse-stack-packs/packs/${a.id}.js`,a.UIStrings),i={},c=a.UIStrings;for(let u in c)c[u]&&(i[u]=o(c[u]));t.push({id:a.id,title:a.title,iconDataURL:a.icon,descriptions:i})}return t.sort((n,r)=>{let a=og.findIndex(i=>i.packId===n.id),o=og.findIndex(i=>i.packId===r.id);return a-o})}var mI,og,fI=g(()=>{"use strict";l();Me();mI=Bt(sI(),1);A();og=[{packId:"gatsby",requiredStacks:["js:gatsby"]},{packId:"wordpress",requiredStacks:["js:wordpress"]},{packId:"wix",requiredStacks:["js:wix"]},{packId:"wp-rocket",requiredStacks:["js:wp-rocket"]},{packId:"ezoic",requiredStacks:["js:ezoic"]},{packId:"drupal",requiredStacks:["js:drupal"]},{packId:"nitropack",requiredStacks:["js:nitropack"]},
{packId:"amp",requiredStacks:["js:amp"]},{packId:"magento",requiredStacks:["js:magento"]},{packId:"octobercms",requiredStacks:["js:octobercms"]},{packId:"joomla",requiredStacks:["js:joomla"]},{packId:"next.js",requiredStacks:["js:next"]},{packId:"nuxt",requiredStacks:["js:nuxt"]},{packId:"angular",requiredStacks:["js:@angular/core"]},{packId:"react",requiredStacks:["js:react"]}];s(pI,"getStackPacks")});var ig,At,hI=g(()=>{l();typeof Object.create=="function"?ig=s(function(t,n){t.super_=n,t.prototype=Object.create(n.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}})},"inherits"):ig=s(function(t,n){t.super_=n;var r=s(function(){},"TempCtor");r.prototype=n.prototype,t.prototype=new r,t.prototype.constructor=t},"inherits");At=ig});function KK(e){if(!hg(e)){for(var t=[],n=0;n<arguments.length;n++)t.push(_a(arguments[n]));return t.join(" ")}for(var n=1,r=arguments,a=r.length,o=String(e).replace(YK,function(c){if(c==="%%")return"%";if(n>=a)return c;switch(c){case"%s":return String(r[n++]);case"%d":return Number(r[n++]);case"%j":try{return JSON.stringify(r[n++])}catch{return"[Circular]"}default:return c}}),i=r[n];n<a;i=r[++n])fg(i)||!Wc(i)?o+=" "+i:o+=" "+_a(i);return o}function pg(e,t){if(Aa(globalThis.process))return function(){return pg(e,t).apply(this,arguments)};if(an.noDeprecation===!0)return e;var n=!1;function r(){if(!n){if(an.throwDeprecation)throw new Error(t);an.traceDeprecation?console.trace(t):console.error(t),n=!0}return e.apply(this,arguments)}return s(r,"deprecated"),r}function yI(e){if(Aa(sg)&&(sg=an.env.NODE_DEBUG||""),e=e.toUpperCase(),!Nm[e])if(new RegExp("\\b"+e+"\\b","i").test(sg)){var t=0;Nm[e]=function(){var n=KK.apply(null,arguments);console.error("%s %d: %s",e,t,n)}}else Nm[e]=function(){};
return Nm[e]}function _a(e,t){var n={seen:[],stylize:XK};return arguments.length>=3&&(n.depth=arguments[2]),arguments.length>=4&&(n.colors=arguments[3]),vI(t)?n.showHidden=t:t&&aJ(n,t),Aa(n.showHidden)&&(n.showHidden=!1),Aa(n.depth)&&(n.depth=2),Aa(n.colors)&&(n.colors=!1),Aa(n.customInspect)&&(n.customInspect=!0),n.colors&&(n.stylize=JK),Pm(n,e,n.depth)}function JK(e,t){var n=_a.styles[t];return n?"\x1B["+_a.colors[n][0]+"m"+e+"\x1B["+_a.colors[n][1]+"m":e}function XK(e,t){return e}function ZK(e){var t={};return e.forEach(function(n,r){t[n]=!0}),t}function Pm(e,t,n){if(e.customInspect&&t&&dg(t.inspect)&&t.inspect!==_a&&!(t.constructor&&t.constructor.prototype===t)){var r=t.inspect(n,e);return hg(r)||(r=Pm(e,r,n)),r}var a=QK(e,t);if(a)return a;var o=Object.keys(t),i=ZK(o);if(e.showHidden&&(o=Object.getOwnPropertyNames(t)),lg(t)&&(o.indexOf("message")>=0||o.indexOf("description")>=0))return cg(t);if(o.length===0){if(dg(t)){var c=t.name?": "+t.name:"";return e.stylize("[Function"+c+"]","\
special")}if(ug(t))return e.stylize(RegExp.prototype.toString.call(t),"regexp");if(gI(t))return e.stylize(Date.prototype.toString.call(t),"date");if(lg(t))return cg(t)}var u="",d=!1,m=["{","}"];if(nJ(t)&&(d=!0,m=["[","]"]),dg(t)){var p=t.name?": "+t.name:"";u=" [Function"+p+"]"}if(ug(t)&&(u=" "+RegExp.prototype.toString.call(t)),gI(t)&&(u=" "+Date.prototype.toUTCString.call(t)),lg(t)&&(u=" "+cg(t)),o.length===0&&(!d||t.length==0))return m[0]+u+m[1];if(n<0)return ug(t)?e.stylize(RegExp.prototype.toString.call(t),"regexp"):e.stylize("[Object]","special");e.seen.push(t);var h;return d?h=eJ(e,t,n,i,o):h=o.map(function(f){return mg(e,t,n,i,f,d)}),e.seen.pop(),tJ(h,u,m)}function QK(e,t){if(Aa(t))return e.stylize("undefined","undefined");if(hg(t)){var n="'"+JSON.stringify(t).replace(/^"|"$/g,"").replace(/'/g,"\\'").replace(/\\"/g,'"')+"'";return e.stylize(n,"string")}if(rJ(t))return e.stylize(""+t,"number");if(vI(t))return e.stylize(""+t,"boolean");if(fg(t))return e.stylize("null","null")}function cg(e){
return"["+Error.prototype.toString.call(e)+"]"}function eJ(e,t,n,r,a){for(var o=[],i=0,c=t.length;i<c;++i)bI(t,String(i))?o.push(mg(e,t,n,r,String(i),!0)):o.push("");return a.forEach(function(u){u.match(/^\d+$/)||o.push(mg(e,t,n,r,u,!0))}),o}function mg(e,t,n,r,a,o){var i,c,u;if(u=Object.getOwnPropertyDescriptor(t,a)||{value:t[a]},u.get?u.set?c=e.stylize("[Getter/Setter]","special"):c=e.stylize("[Getter]","special"):u.set&&(c=e.stylize("[Setter]","special")),bI(r,a)||(i="["+a+"]"),c||(e.seen.indexOf(u.value)<0?(fg(n)?c=Pm(e,u.value,null):c=Pm(e,u.value,n-1),c.indexOf(`
`)>-1&&(o?c=c.split(`
`).map(function(d){return"  "+d}).join(`
`).substr(2):c=`
`+c.split(`
`).map(function(d){return"   "+d}).join(`
`))):c=e.stylize("[Circular]","special")),Aa(i)){if(o&&a.match(/^\d+$/))return c;i=JSON.stringify(""+a),i.match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)?(i=i.substr(1,i.length-2),i=e.stylize(i,"name")):(i=i.replace(/'/g,"\\'").replace(/\\"/g,'"').replace(/(^"|"$)/g,"'"),i=e.stylize(i,"string"))}return i+": "+c}function tJ(e,t,n){var r=0,a=e.reduce(function(o,i){return r++,i.indexOf(`
`)>=0&&r++,o+i.replace(/\u001b\[\d\d?m/g,"").length+1},0);return a>60?n[0]+(t===""?"":t+`
 `)+" "+e.join(`,
  `)+" "+n[1]:n[0]+t+" "+e.join(", ")+" "+n[1]}function nJ(e){return Array.isArray(e)}function vI(e){return typeof e=="boolean"}function fg(e){return e===null}function rJ(e){return typeof e=="number"}function hg(e){return typeof e=="string"}function Aa(e){return e===void 0}function ug(e){return Wc(e)&&gg(e)==="[object RegExp]"}function Wc(e){return typeof e=="object"&&e!==null}function gI(e){return Wc(e)&&gg(e)==="[object Date]"}function lg(e){return Wc(e)&&(gg(e)==="[object Error]"||e instanceof Error)}function dg(e){return typeof e=="function"}function gg(e){return Object.prototype.toString.call(e)}function aJ(e,t){if(!t||!Wc(t))return e;for(var n=Object.keys(t),r=n.length;r--;)e[n[r]]=t[n[r]];return e}function bI(e,t){return Object.prototype.hasOwnProperty.call(e,t)}function oJ(e){if(typeof e!="function")throw new TypeError('The "original" argument must be of type Function');if(Mo&&e[Mo]){var t=e[Mo];if(typeof t!="function")throw new TypeError('The "util.promisify.custom" argument m\
ust be of type Function');return Object.defineProperty(t,Mo,{value:t,enumerable:!1,writable:!1,configurable:!0}),t}function t(){for(var n,r,a=new Promise(function(c,u){n=c,r=u}),o=[],i=0;i<arguments.length;i++)o.push(arguments[i]);o.push(function(c,u){c?r(c):n(u)});try{e.apply(this,o)}catch(c){r(c)}return a}return s(t,"fn"),Object.setPrototypeOf(t,Object.getPrototypeOf(e)),Mo&&Object.defineProperty(t,Mo,{value:t,enumerable:!1,writable:!1,configurable:!0}),Object.defineProperties(t,$K(e))}var $K,YK,Nm,sg,Mo,Ia=g(()=>{l();Sa();hI();$K=Object.getOwnPropertyDescriptors||s(function(t){for(var n=Object.keys(t),r={},a=0;a<n.length;a++)r[n[a]]=Object.getOwnPropertyDescriptor(t,n[a]);return r},"getOwnPropertyDescriptors"),YK=/%[sdj%]/g;s(KK,"format");s(pg,"deprecate");Nm={};s(yI,"debuglog");s(_a,"inspect");_a.colors={bold:[1,22],italic:[3,23],underline:[4,24],inverse:[7,27],white:[37,39],grey:[90,39],black:[30,39],blue:[34,39],cyan:[36,39],green:[32,39],magenta:[35,39],red:[31,39],yellow:[33,39]};
_a.styles={special:"cyan",number:"yellow",boolean:"yellow",undefined:"grey",null:"bold",string:"green",date:"magenta",regexp:"red"};s(JK,"stylizeWithColor");s(XK,"stylizeNoColor");s(ZK,"arrayToHash");s(Pm,"formatValue");s(QK,"formatPrimitive");s(cg,"formatError");s(eJ,"formatArray");s(mg,"formatProperty");s(tJ,"reduceToSingleString");s(nJ,"isArray");s(vI,"isBoolean");s(fg,"isNull");s(rJ,"isNumber");s(hg,"isString");s(Aa,"isUndefined");s(ug,"isRegExp");s(Wc,"isObject");s(gI,"isDate");s(lg,"isError");s(dg,"isFunction");s(gg,"objectToString");s(aJ,"_extend");s(bI,"hasOwnProperty");Mo=typeof Symbol<"u"?Symbol("util.promisify.custom"):void 0;s(oJ,"promisify");oJ.custom=Mo});function No(){this.head=null,this.tail=null,this.length=0}var wI,DI=g(()=>{l();Ei();wI=No;s(No,"BufferList");No.prototype.push=function(e){var t={data:e,next:null};this.length>0?this.tail.next=t:this.head=t,this.tail=t,++this.length};No.prototype.unshift=function(e){var t={data:e,next:this.head};this.length===0&&(this.tail=t),this.head=t,++this.length};No.prototype.shift=function(){if(this.length!==0){var e=this.head.data;return this.length===1?this.head=this.tail=null:this.head=this.head.next,--this.length,e}};No.prototype.clear=function(){this.head=this.tail=null,this.length=0};No.prototype.join=function(e){if(this.length===0)return"";for(var t=this.head,n=""+t.data;t=t.next;)n+=e+t.data;return n};No.prototype.concat=function(e){if(this.length===0)return z.alloc(0);if(this.length===1)return this.head.data;for(var t=z.allocUnsafe(e>>>0),n=this.head,r=0;n;)n.data.copy(t,r),r+=n.data.length,n=n.next;return t}});function sJ(e){if(e&&!iJ(e))throw new Error("Unknown encoding: "+e)}function ji(e){switch(this.encoding=(e||"utf8").toLowerCase().replace(/[-_]/,""),sJ(e),this.encoding){case"utf8":this.surrogateSize=3;break;case"ucs2":case"utf16le":this.surrogateSize=2,this.detectIncompleteChar=uJ;break;case"base64":this.surrogateSize=3,this.detectIncompleteChar=lJ;break;default:this.write=cJ;return}this.charBuffer=new z(6),this.charReceived=0,this.charLength=0}function cJ(e){return e.toString(this.encoding)}function uJ(e){this.charReceived=e.length%2,this.charLength=this.charReceived?2:0}function lJ(e){this.charReceived=e.length%3,this.charLength=this.charReceived?3:0}var iJ,EI=g(()=>{l();Ei();iJ=z.isEncoding||function(e){switch(e&&e.toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":case"raw":return!0;default:return!1}};s(sJ,"assertEncoding");s(ji,"StringDecoder");ji.prototype.write=function(e){for(var t="";this.charLength;){
var n=e.length>=this.charLength-this.charReceived?this.charLength-this.charReceived:e.length;if(e.copy(this.charBuffer,this.charReceived,0,n),this.charReceived+=n,this.charReceived<this.charLength)return"";e=e.slice(n,e.length),t=this.charBuffer.slice(0,this.charLength).toString(this.encoding);var a=t.charCodeAt(t.length-1);if(a>=55296&&a<=56319){this.charLength+=this.surrogateSize,t="";continue}if(this.charReceived=this.charLength=0,e.length===0)return t;break}this.detectIncompleteChar(e);var r=e.length;this.charLength&&(e.copy(this.charBuffer,0,e.length-this.charReceived,r),r-=this.charReceived),t+=e.toString(this.encoding,0,r);var r=t.length-1,a=t.charCodeAt(r);if(a>=55296&&a<=56319){var o=this.surrogateSize;return this.charLength+=o,this.charReceived+=o,this.charBuffer.copy(this.charBuffer,o,0,o),e.copy(this.charBuffer,0,0,o),t.substring(0,r)}return t};ji.prototype.detectIncompleteChar=function(e){for(var t=e.length>=3?3:e.length;t>0;t--){var n=e[e.length-t];if(t==1&&n>>5==6){this.
charLength=2;break}if(t<=2&&n>>4==14){this.charLength=3;break}if(t<=3&&n>>3==30){this.charLength=4;break}}this.charReceived=t};ji.prototype.end=function(e){var t="";if(e&&e.length&&(t=this.write(e)),this.charReceived){var n=this.charReceived,r=this.charBuffer,a=this.encoding;t+=r.slice(0,n).toString(a)}return t};s(cJ,"passThroughWrite");s(uJ,"utf16DetectIncompleteChar");s(lJ,"base64DetectIncompleteChar")});function dJ(e,t,n){if(typeof e.prependListener=="function")return e.prependListener(t,n);!e._events||!e._events[t]?e.on(t,n):Array.isArray(e._events[t])?e._events[t].unshift(n):e._events[t]=[n,e._events[t]]}function mJ(e,t){return e.listeners(t).length}function CI(e,t){e=e||{},this.objectMode=!!e.objectMode,t instanceof sn&&(this.objectMode=this.objectMode||!!e.readableObjectMode);var n=e.highWaterMark,r=this.objectMode?16:16*1024;this.highWaterMark=n||n===0?n:r,this.highWaterMark=~~this.highWaterMark,this.buffer=new wI,this.length=0,this.pipes=null,this.pipesCount=0,this.flowing=null,this.ended=!1,this.endEmitted=!1,this.reading=!1,this.sync=!0,this.needReadable=!1,this.emittedReadable=!1,this.readableListening=!1,this.resumeScheduled=!1,this.defaultEncoding=e.defaultEncoding||"utf8",this.ranOut=!1,this.awaitDrain=0,this.readingMore=!1,this.decoder=null,this.encoding=null,e.encoding&&(this.decoder=new ji(e.encoding),this.encoding=e.encoding)}function Tt(e){if(!(this instanceof Tt))return new Tt(
e);this._readableState=new CI(e,this),this.readable=!0,e&&typeof e.read=="function"&&(this._read=e.read),Un.call(this)}function kI(e,t,n,r,a){var o=hJ(t,n);if(o)e.emit("error",o);else if(n===null)t.reading=!1,gJ(e,t);else if(t.objectMode||n&&n.length>0)if(t.ended&&!a){var i=new Error("stream.push() after EOF");e.emit("error",i)}else if(t.endEmitted&&a){var c=new Error("stream.unshift() after end event");e.emit("error",c)}else{var u;t.decoder&&!a&&!r&&(n=t.decoder.write(n),u=!t.objectMode&&n.length===0),a||(t.reading=!1),u||(t.flowing&&t.length===0&&!t.sync?(e.emit("data",n),e.read(0)):(t.length+=t.objectMode?1:n.length,a?t.buffer.unshift(n):t.buffer.push(n),t.needReadable&&Lm(e))),yJ(e,t)}else a||(t.reading=!1);return pJ(t)}function pJ(e){return!e.ended&&(e.needReadable||e.length<e.highWaterMark||e.length===0)}function fJ(e){return e>=TI?e=TI:(e--,e|=e>>>1,e|=e>>>2,e|=e>>>4,e|=e>>>8,e|=e>>>16,e++),e}function xI(e,t){return e<=0||t.length===0&&t.ended?0:t.objectMode?1:e!==e?t.flowing&&t.
length?t.buffer.head.data.length:t.length:(e>t.highWaterMark&&(t.highWaterMark=fJ(e)),e<=t.length?e:t.ended?t.length:(t.needReadable=!0,0))}function hJ(e,t){var n=null;return!Buffer.isBuffer(t)&&typeof t!="string"&&t!==null&&t!==void 0&&!e.objectMode&&(n=new TypeError("Invalid non-string/buffer chunk")),n}function gJ(e,t){if(!t.ended){if(t.decoder){var n=t.decoder.end();n&&n.length&&(t.buffer.push(n),t.length+=t.objectMode?1:n.length)}t.ended=!0,Lm(e)}}function Lm(e){var t=e._readableState;t.needReadable=!1,t.emittedReadable||(dt("emitReadable",t.flowing),t.emittedReadable=!0,t.sync?rn(SI,e):SI(e))}function SI(e){dt("emit readable"),e.emit("readable"),vg(e)}function yJ(e,t){t.readingMore||(t.readingMore=!0,rn(vJ,e,t))}function vJ(e,t){for(var n=t.length;!t.reading&&!t.flowing&&!t.ended&&t.length<t.highWaterMark&&(dt("maybeReadMore read 0"),e.read(0),n!==t.length);)n=t.length;t.readingMore=!1}function bJ(e){return function(){var t=e._readableState;dt("pipeOnDrain",t.awaitDrain),t.awaitDrain&&
t.awaitDrain--,t.awaitDrain===0&&e.listeners("data").length&&(t.flowing=!0,vg(e))}}function wJ(e){dt("readable nexttick read 0"),e.read(0)}function DJ(e,t){t.resumeScheduled||(t.resumeScheduled=!0,rn(EJ,e,t))}function EJ(e,t){t.reading||(dt("resume read 0"),e.read(0)),t.resumeScheduled=!1,t.awaitDrain=0,e.emit("resume"),vg(e),t.flowing&&!t.reading&&e.read(0)}function vg(e){var t=e._readableState;for(dt("flow",t.flowing);t.flowing&&e.read()!==null;);}function FI(e,t){if(t.length===0)return null;var n;return t.objectMode?n=t.buffer.shift():!e||e>=t.length?(t.decoder?n=t.buffer.join(""):t.buffer.length===1?n=t.buffer.head.data:n=t.buffer.concat(t.length),t.buffer.clear()):n=TJ(e,t.buffer,t.decoder),n}function TJ(e,t,n){var r;return e<t.head.data.length?(r=t.head.data.slice(0,e),t.head.data=t.head.data.slice(e)):e===t.head.data.length?r=t.shift():r=n?xJ(e,t):SJ(e,t),r}function xJ(e,t){var n=t.head,r=1,a=n.data;for(e-=a.length;n=n.next;){var o=n.data,i=e>o.length?o.length:e;if(i===o.length?
a+=o:a+=o.slice(0,e),e-=i,e===0){i===o.length?(++r,n.next?t.head=n.next:t.head=t.tail=null):(t.head=n,n.data=o.slice(i));break}++r}return t.length-=r,a}function SJ(e,t){var n=Buffer.allocUnsafe(e),r=t.head,a=1;for(r.data.copy(n),e-=r.data.length;r=r.next;){var o=r.data,i=e>o.length?o.length:e;if(o.copy(n,n.length-e,0,i),e-=i,e===0){i===o.length?(++a,r.next?t.head=r.next:t.head=t.tail=null):(t.head=r,r.data=o.slice(i));break}++a}return t.length-=a,n}function yg(e){var t=e._readableState;if(t.length>0)throw new Error('"endReadable()" called on non-empty stream');t.endEmitted||(t.ended=!0,rn(CJ,t,e))}function CJ(e,t){!e.endEmitted&&e.length===0&&(e.endEmitted=!0,t.readable=!1,t.emit("end"))}function kJ(e,t){for(var n=0,r=e.length;n<r;n++)t(e[n],n)}function RI(e,t){for(var n=0,r=e.length;n<r;n++)if(e[n]===t)return n;return-1}var dt,TI,bg=g(()=>{"use strict";l();ta();Ia();DI();EI();Gc();Sa();Tt.ReadableState=CI;dt=yI("stream");At(Tt,Un);s(dJ,"prependListener");s(mJ,"listenerCount");s(CI,"Re\
adableState");s(Tt,"Readable");Tt.prototype.push=function(e,t){var n=this._readableState;return!n.objectMode&&typeof e=="string"&&(t=t||n.defaultEncoding,t!==n.encoding&&(e=Buffer.from(e,t),t="")),kI(this,n,e,t,!1)};Tt.prototype.unshift=function(e){var t=this._readableState;return kI(this,t,e,"",!0)};Tt.prototype.isPaused=function(){return this._readableState.flowing===!1};s(kI,"readableAddChunk");s(pJ,"needMoreData");Tt.prototype.setEncoding=function(e){return this._readableState.decoder=new ji(e),this._readableState.encoding=e,this};TI=8388608;s(fJ,"computeNewHighWaterMark");s(xI,"howMuchToRead");Tt.prototype.read=function(e){dt("read",e),e=parseInt(e,10);var t=this._readableState,n=e;if(e!==0&&(t.emittedReadable=!1),e===0&&t.needReadable&&(t.length>=t.highWaterMark||t.ended))return dt("read: emitReadable",t.length,t.ended),t.length===0&&t.ended?yg(this):Lm(this),null;if(e=xI(e,t),e===0&&t.ended)return t.length===0&&yg(this),null;var r=t.needReadable;dt("need readable",r),(t.length===
0||t.length-e<t.highWaterMark)&&(r=!0,dt("length less than watermark",r)),t.ended||t.reading?(r=!1,dt("reading or ended",r)):r&&(dt("do read"),t.reading=!0,t.sync=!0,t.length===0&&(t.needReadable=!0),this._read(t.highWaterMark),t.sync=!1,t.reading||(e=xI(n,t)));var a;return e>0?a=FI(e,t):a=null,a===null?(t.needReadable=!0,e=0):t.length-=e,t.length===0&&(t.ended||(t.needReadable=!0),n!==e&&t.ended&&yg(this)),a!==null&&this.emit("data",a),a};s(hJ,"chunkInvalid");s(gJ,"onEofChunk");s(Lm,"emitReadable");s(SI,"emitReadable_");s(yJ,"maybeReadMore");s(vJ,"maybeReadMore_");Tt.prototype._read=function(e){this.emit("error",new Error("not implemented"))};Tt.prototype.pipe=function(e,t){var n=this,r=this._readableState;switch(r.pipesCount){case 0:r.pipes=e;break;case 1:r.pipes=[r.pipes,e];break;default:r.pipes.push(e);break}r.pipesCount+=1,dt("pipe count=%d opts=%j",r.pipesCount,t);var a=!t||t.end!==!1,o=a?c:m;r.endEmitted?rn(o):n.once("end",o),e.on("unpipe",i);function i(E){dt("onunpipe"),E===n&&
m()}s(i,"onunpipe");function c(){dt("onend"),e.end()}s(c,"onend");var u=bJ(n);e.on("drain",u);var d=!1;function m(){dt("cleanup"),e.removeListener("close",y),e.removeListener("finish",v),e.removeListener("drain",u),e.removeListener("error",f),e.removeListener("unpipe",i),n.removeListener("end",c),n.removeListener("end",m),n.removeListener("data",h),d=!0,r.awaitDrain&&(!e._writableState||e._writableState.needDrain)&&u()}s(m,"cleanup");var p=!1;n.on("data",h);function h(E){dt("ondata"),p=!1;var T=e.write(E);T===!1&&!p&&((r.pipesCount===1&&r.pipes===e||r.pipesCount>1&&RI(r.pipes,e)!==-1)&&!d&&(dt("false write response, pause",n._readableState.awaitDrain),n._readableState.awaitDrain++,p=!0),n.pause())}s(h,"ondata");function f(E){dt("onerror",E),w(),e.removeListener("error",f),mJ(e,"error")===0&&e.emit("error",E)}s(f,"onerror"),dJ(e,"error",f);function y(){e.removeListener("finish",v),w()}s(y,"onclose"),e.once("close",y);function v(){dt("onfinish"),e.removeListener("close",y),w()}s(v,"onfin\
ish"),e.once("finish",v);function w(){dt("unpipe"),n.unpipe(e)}return s(w,"unpipe"),e.emit("pipe",n),r.flowing||(dt("pipe resume"),n.resume()),e};s(bJ,"pipeOnDrain");Tt.prototype.unpipe=function(e){var t=this._readableState;if(t.pipesCount===0)return this;if(t.pipesCount===1)return e&&e!==t.pipes?this:(e||(e=t.pipes),t.pipes=null,t.pipesCount=0,t.flowing=!1,e&&e.emit("unpipe",this),this);if(!e){var n=t.pipes,r=t.pipesCount;t.pipes=null,t.pipesCount=0,t.flowing=!1;for(var a=0;a<r;a++)n[a].emit("unpipe",this);return this}var o=RI(t.pipes,e);return o===-1?this:(t.pipes.splice(o,1),t.pipesCount-=1,t.pipesCount===1&&(t.pipes=t.pipes[0]),e.emit("unpipe",this),this)};Tt.prototype.on=function(e,t){var n=Un.prototype.on.call(this,e,t);if(e==="data")this._readableState.flowing!==!1&&this.resume();else if(e==="readable"){var r=this._readableState;!r.endEmitted&&!r.readableListening&&(r.readableListening=r.needReadable=!0,r.emittedReadable=!1,r.reading?r.length&&Lm(this,r):rn(wJ,this))}return n};Tt.
prototype.addListener=Tt.prototype.on;s(wJ,"nReadingNextTick");Tt.prototype.resume=function(){var e=this._readableState;return e.flowing||(dt("resume"),e.flowing=!0,DJ(this,e)),this};s(DJ,"resume");s(EJ,"resume_");Tt.prototype.pause=function(){return dt("call pause flowing=%j",this._readableState.flowing),this._readableState.flowing!==!1&&(dt("pause"),this._readableState.flowing=!1,this.emit("pause")),this};s(vg,"flow");Tt.prototype.wrap=function(e){var t=this._readableState,n=!1,r=this;e.on("end",function(){if(dt("wrapped end"),t.decoder&&!t.ended){var i=t.decoder.end();i&&i.length&&r.push(i)}r.push(null)}),e.on("data",function(i){if(dt("wrapped data"),t.decoder&&(i=t.decoder.write(i)),!(t.objectMode&&i==null)&&!(!t.objectMode&&(!i||!i.length))){var c=r.push(i);c||(n=!0,e.pause())}});for(var a in e)this[a]===void 0&&typeof e[a]=="function"&&(this[a]=function(i){return function(){return e[i].apply(e,arguments)}}(a));var o=["error","close","destroy","pause","resume"];return kJ(o,function(i){
e.on(i,r.emit.bind(r,i))}),r._read=function(i){dt("wrapped _read",i),n&&(n=!1,e.resume())},r};Tt._fromList=FI;s(FI,"fromList");s(TJ,"fromListPartial");s(xJ,"copyFromBufferString");s(SJ,"copyFromBuffer");s(yg,"endReadable");s(CJ,"endReadableNT");s(kJ,"forEach");s(RI,"indexOf")});function FJ(){}function RJ(e,t,n){this.chunk=e,this.encoding=t,this.callback=n,this.next=null}function Dg(e,t){Object.defineProperty(this,"buffer",{get:pg(function(){return this.getBuffer()},"_writableState.buffer is deprecated. Use _writableState.getBuffer instead.")}),e=e||{},this.objectMode=!!e.objectMode,t instanceof sn&&(this.objectMode=this.objectMode||!!e.writableObjectMode);var n=e.highWaterMark,r=this.objectMode?16:16*1024;this.highWaterMark=n||n===0?n:r,this.highWaterMark=~~this.highWaterMark,this.needDrain=!1,this.ending=!1,this.ended=!1,this.finished=!1;var a=e.decodeStrings===!1;this.decodeStrings=!a,this.defaultEncoding=e.defaultEncoding||"utf8",this.length=0,this.writing=!1,this.corked=0,this.sync=!0,this.bufferProcessing=!1,this.onwrite=function(o){LJ(t,o)},this.writecb=null,this.writelen=0,this.bufferedRequest=null,this.lastBufferedRequest=null,this.pendingcb=0,this.prefinished=!1,this.errorEmitted=!1,this.bufferedRequestCount=0,this.corkedRequestsFree=new PI(this)}function Wt(e){
if(!(this instanceof Wt)&&!(this instanceof sn))return new Wt(e);this._writableState=new Dg(e,this),this.writable=!0,e&&(typeof e.write=="function"&&(this._write=e.write),typeof e.writev=="function"&&(this._writev=e.writev)),qe.call(this)}function AJ(e,t){var n=new Error("write after end");e.emit("error",n),rn(t,n)}function _J(e,t,n,r){var a=!0,o=!1;return n===null?o=new TypeError("May not write null values to stream"):!z.isBuffer(n)&&typeof n!="string"&&n!==void 0&&!t.objectMode&&(o=new TypeError("Invalid non-string/buffer chunk")),o&&(e.emit("error",o),rn(r,o),a=!1),a}function IJ(e,t,n){return!e.objectMode&&e.decodeStrings!==!1&&typeof t=="string"&&(t=z.from(t,n)),t}function MJ(e,t,n,r,a){n=IJ(t,n,r),z.isBuffer(n)&&(r="buffer");var o=t.objectMode?1:n.length;t.length+=o;var i=t.length<t.highWaterMark;if(i||(t.needDrain=!0),t.writing||t.corked){var c=t.lastBufferedRequest;t.lastBufferedRequest=new RJ(n,r,a),c?c.next=t.lastBufferedRequest:t.bufferedRequest=t.lastBufferedRequest,t.bufferedRequestCount+=
1}else wg(e,t,!1,o,n,r,a);return i}function wg(e,t,n,r,a,o,i){t.writelen=r,t.writecb=i,t.writing=!0,t.sync=!0,n?e._writev(a,t.onwrite):e._write(a,o,t.onwrite),t.sync=!1}function NJ(e,t,n,r,a){--t.pendingcb,n?rn(a,r):a(r),e._writableState.errorEmitted=!0,e.emit("error",r)}function PJ(e){e.writing=!1,e.writecb=null,e.length-=e.writelen,e.writelen=0}function LJ(e,t){var n=e._writableState,r=n.sync,a=n.writecb;if(PJ(n),t)NJ(e,n,r,t,a);else{var o=MI(n);!o&&!n.corked&&!n.bufferProcessing&&n.bufferedRequest&&II(e,n),r?rn(AI,e,n,o,a):AI(e,n,o,a)}}function AI(e,t,n,r){n||OJ(e,t),t.pendingcb--,r(),NI(e,t)}function OJ(e,t){t.length===0&&t.needDrain&&(t.needDrain=!1,e.emit("drain"))}function II(e,t){t.bufferProcessing=!0;var n=t.bufferedRequest;if(e._writev&&n&&n.next){var r=t.bufferedRequestCount,a=new Array(r),o=t.corkedRequestsFree;o.entry=n;for(var i=0;n;)a[i]=n,n=n.next,i+=1;wg(e,t,!0,t.length,a,"",o.finish),t.pendingcb++,t.lastBufferedRequest=null,o.next?(t.corkedRequestsFree=o.next,o.next=null):
t.corkedRequestsFree=new PI(t)}else{for(;n;){var c=n.chunk,u=n.encoding,d=n.callback,m=t.objectMode?1:c.length;if(wg(e,t,!1,m,c,u,d),n=n.next,t.writing)break}n===null&&(t.lastBufferedRequest=null)}t.bufferedRequestCount=0,t.bufferedRequest=n,t.bufferProcessing=!1}function MI(e){return e.ending&&e.length===0&&e.bufferedRequest===null&&!e.finished&&!e.writing}function _I(e,t){t.prefinished||(t.prefinished=!0,e.emit("prefinish"))}function NI(e,t){var n=MI(t);return n&&(t.pendingcb===0?(_I(e,t),t.finished=!0,e.emit("finish")):_I(e,t)),n}function BJ(e,t,n){t.ending=!0,NI(e,t),n&&(t.finished?rn(n):e.once("finish",n)),t.ended=!0,e.writable=!1}function PI(e){var t=this;this.next=null,this.entry=null,this.finish=function(n){var r=t.entry;for(t.entry=null;r;){var a=r.callback;e.pendingcb--,a(n),r=r.next}e.corkedRequestsFree?e.corkedRequestsFree.next=t:e.corkedRequestsFree=t}}var Eg=g(()=>{l();Ia();Ei();ta();Gc();Sa();Wt.WritableState=Dg;At(Wt,qe);s(FJ,"nop");s(RJ,"WriteReq");s(Dg,"WritableState");
Dg.prototype.getBuffer=s(function(){for(var t=this.bufferedRequest,n=[];t;)n.push(t),t=t.next;return n},"writableStateGetBuffer");s(Wt,"Writable");Wt.prototype.pipe=function(){this.emit("error",new Error("Cannot pipe, not readable"))};s(AJ,"writeAfterEnd");s(_J,"validChunk");Wt.prototype.write=function(e,t,n){var r=this._writableState,a=!1;return typeof t=="function"&&(n=t,t=null),z.isBuffer(e)?t="buffer":t||(t=r.defaultEncoding),typeof n!="function"&&(n=FJ),r.ended?AJ(this,n):_J(this,r,e,n)&&(r.pendingcb++,a=MJ(this,r,e,t,n)),a};Wt.prototype.cork=function(){var e=this._writableState;e.corked++};Wt.prototype.uncork=function(){var e=this._writableState;e.corked&&(e.corked--,!e.writing&&!e.corked&&!e.finished&&!e.bufferProcessing&&e.bufferedRequest&&II(this,e))};Wt.prototype.setDefaultEncoding=s(function(t){if(typeof t=="string"&&(t=t.toLowerCase()),!(["hex","utf8","utf-8","ascii","binary","base64","ucs2","ucs-2","utf16le","utf-16le","raw"].indexOf((t+"").toLowerCase())>-1))throw new TypeError(
"Unknown encoding: "+t);return this._writableState.defaultEncoding=t,this},"setDefaultEncoding");s(IJ,"decodeChunk");s(MJ,"writeOrBuffer");s(wg,"doWrite");s(NJ,"onwriteError");s(PJ,"onwriteStateUpdate");s(LJ,"onwrite");s(AI,"afterWrite");s(OJ,"onwriteDrain");s(II,"clearBuffer");Wt.prototype._write=function(e,t,n){n(new Error("not implemented"))};Wt.prototype._writev=null;Wt.prototype.end=function(e,t,n){var r=this._writableState;typeof e=="function"?(n=e,e=null,t=null):typeof t=="function"&&(n=t,t=null),e!=null&&this.write(e,t),r.corked&&(r.corked=1,this.uncork()),!r.ending&&!r.finished&&BJ(this,r,n)};s(MI,"needFinish");s(_I,"prefinish");s(NI,"finishMaybe");s(BJ,"endWritable");s(PI,"CorkedRequest")});function sn(e){if(!(this instanceof sn))return new sn(e);Tt.call(this,e),Wt.call(this,e),e&&e.readable===!1&&(this.readable=!1),e&&e.writable===!1&&(this.writable=!1),this.allowHalfOpen=!0,e&&e.allowHalfOpen===!1&&(this.allowHalfOpen=!1),this.once("end",UJ)}function UJ(){this.allowHalfOpen||this._writableState.ended||rn(jJ,this)}function jJ(e){e.end()}var LI,Bm,Om,Gc=g(()=>{l();Ia();Sa();bg();Eg();At(sn,Tt);LI=Object.keys(Wt.prototype);for(Om=0;Om<LI.length;Om++)Bm=LI[Om],sn.prototype[Bm]||(sn.prototype[Bm]=Wt.prototype[Bm]);s(sn,"Duplex");s(UJ,"onend");s(jJ,"onEndNT")});function qJ(e){this.afterTransform=function(t,n){return zJ(e,t,n)},this.needTransform=!1,this.transforming=!1,this.writecb=null,this.writechunk=null,this.writeencoding=null}function zJ(e,t,n){var r=e._transformState;r.transforming=!1;var a=r.writecb;if(!a)return e.emit("error",new Error("no writecb in Transform class"));r.writechunk=null,r.writecb=null,n!=null&&e.push(n),a(t);var o=e._readableState;o.reading=!1,(o.needReadable||o.length<o.highWaterMark)&&e._read(o.highWaterMark)}function gn(e){if(!(this instanceof gn))return new gn(e);sn.call(this,e),this._transformState=new qJ(this);var t=this;this._readableState.needReadable=!0,this._readableState.sync=!1,e&&(typeof e.transform=="function"&&(this._transform=e.transform),typeof e.flush=="function"&&(this._flush=e.flush)),this.once("prefinish",function(){typeof this._flush=="function"?this._flush(function(n){OI(t,n)}):OI(t)})}function OI(e,t){if(t)return e.emit("error",t);var n=e._writableState,r=e._transformState;if(n.length)throw new Error(
"Calling transform done when ws.length != 0");if(r.transforming)throw new Error("Calling transform done when still transforming");return e.push(null)}var Tg=g(()=>{l();Gc();Ia();At(gn,sn);s(qJ,"TransformState");s(zJ,"afterTransform");s(gn,"Transform");gn.prototype.push=function(e,t){return this._transformState.needTransform=!1,sn.prototype.push.call(this,e,t)};gn.prototype._transform=function(e,t,n){throw new Error("Not implemented")};gn.prototype._write=function(e,t,n){var r=this._transformState;if(r.writecb=n,r.writechunk=e,r.writeencoding=t,!r.transforming){var a=this._readableState;(r.needTransform||a.needReadable||a.length<a.highWaterMark)&&this._read(a.highWaterMark)}};gn.prototype._read=function(e){var t=this._transformState;t.writechunk!==null&&t.writecb&&!t.transforming?(t.transforming=!0,this._transform(t.writechunk,t.writeencoding,t.afterTransform)):t.needTransform=!0};s(OI,"done")});function qi(e){if(!(this instanceof qi))return new qi(e);gn.call(this,e)}var BI=g(()=>{l();Tg();Ia();At(qi,gn);s(qi,"PassThrough");qi.prototype._transform=function(e,t,n){n(null,e)}});function Fr(){Un.call(this)}var xg,Sg=g(()=>{l();ta();Ia();Gc();bg();Eg();Tg();BI();At(Fr,Un);Fr.Readable=Tt;Fr.Writable=Wt;Fr.Duplex=sn;Fr.Transform=gn;Fr.PassThrough=qi;Fr.Stream=Fr;xg=Fr;s(Fr,"Stream");Fr.prototype.pipe=function(e,t){var n=this;function r(m){e.writable&&e.write(m)===!1&&n.pause&&n.pause()}s(r,"ondata"),n.on("data",r);function a(){n.readable&&n.resume&&n.resume()}s(a,"ondrain"),e.on("drain",a),!e._isStdio&&(!t||t.end!==!1)&&(n.on("end",i),n.on("close",c));var o=!1;function i(){o||(o=!0,e.end())}s(i,"onend");function c(){o||(o=!0,typeof e.destroy=="function"&&e.destroy())}s(c,"onclose");function u(m){if(d(),Un.listenerCount(this,"error")===0)throw m}s(u,"onerror"),n.on("error",u),e.on("error",u);function d(){n.removeListener("data",r),e.removeListener("drain",a),n.removeListener("end",i),n.removeListener("close",c),n.removeListener("error",u),e.removeListener("error",u),n.removeListener("end",d),n.removeListener("close",d),e.removeListener("close",d)}return s(d,"clean\
up"),n.on("end",d),n.on("close",d),e.on("close",d),e.emit("pipe",n),e}});var Jt=g(()=>{"use strict";l();});var Be,jn=g(()=>{"use strict";l();Be=class e{static{s(this,"BaseNode")}constructor(t){this._id=t,this._isMainDocument=!1,this._dependents=[],this._dependencies=[]}get id(){return this._id}get type(){throw new Error("Unimplemented")}get startTime(){throw new Error("Unimplemented")}get endTime(){throw new Error("Unimplemented")}setIsMainDocument(t){this._isMainDocument=t}isMainDocument(){return this._isMainDocument}getDependents(){return this._dependents.slice()}getNumberOfDependents(){return this._dependents.length}getDependencies(){return this._dependencies.slice()}getNumberOfDependencies(){return this._dependencies.length}getRootNode(){let t=this;for(;t._dependencies.length;)t=t._dependencies[0];return t}addDependent(t){t.addDependency(this)}addDependency(t){if(t===this)throw new Error("Cannot add dependency on itself");this._dependencies.includes(t)||(t._dependents.push(this),this._dependencies.push(t))}removeDependent(t){t.removeDependency(this)}removeDependency(t){if(!this._dependencies.
includes(t))return;let n=t._dependents.indexOf(this);t._dependents.splice(n,1),this._dependencies.splice(this._dependencies.indexOf(t),1)}removeAllDependencies(){for(let t of this._dependencies.slice())this.removeDependency(t)}isDependentOn(t){let n=!1;return this.traverse(r=>{n||(n=r===t)},r=>n?[]:r.getDependencies()),n}cloneWithoutRelationships(){let t=new e(this.id);return t.setIsMainDocument(this._isMainDocument),t}cloneWithRelationships(t){let n=this.getRootNode(),r=new Map;n.traverse(o=>{if(!r.has(o.id)){if(t===void 0){r.set(o.id,o.cloneWithoutRelationships());return}t(o)&&o.traverse(i=>r.set(i.id,i.cloneWithoutRelationships()),i=>i._dependencies.filter(c=>!r.has(c.id)))}}),n.traverse(o=>{let i=r.get(o.id);if(i)for(let c of o._dependencies){let u=r.get(c.id);if(!u)throw new Error("Dependency somehow not cloned");i.addDependency(u)}});let a=r.get(this.id);if(!a)throw new Error("Cloned graph missing node");return a}traverse(t,n){for(let{node:r,traversalPath:a}of this.traverseGenerator(
n))t(r,a)}*traverseGenerator(t){t||(t=s(a=>a.getDependents(),"getNextNodes"));let n=[[this]],r=new Set([this.id]);for(;n.length;){let a=n.shift(),o=a[0];yield{node:o,traversalPath:a};for(let i of t(o))r.has(i.id)||(r.add(i.id),n.push([i,...a]))}}static hasCycle(t,n="both"){if(n==="both")return e.hasCycle(t,"dependents")||e.hasCycle(t,"dependencies");let r=new Set,a=[],o=[t],i=new Map([[t,0]]);for(;o.length;){let c=o.pop();if(a.includes(c))return!0;if(r.has(c))continue;for(;a.length>i.get(c);)a.pop();r.add(c),a.push(c);let u=n==="dependents"?c._dependents:c._dependencies;for(let d of u)o.includes(d)||(o.push(d),i.set(d,a.length))}return!1}canDependOn(t){return t.startTime<=this.startTime}};Be.TYPES={NETWORK:"network",CPU:"cpu"}});var zi,Cg=g(()=>{"use strict";l();zi=class e{static{s(this,"TcpConnection")}constructor(t,n,r=0,a=!0,o=!1){this._warmed=!1,this._ssl=a,this._h2=o,this._rtt=t,this._throughput=n,this._serverLatency=r,this._congestionWindow=10,this._h2OverflowBytesDownloaded=0}static maximumSaturatedConnections(t,n){let i=1e3/t*1460*8;return Math.floor(n/i)}_computeMaximumCongestionWindowInSegments(){let t=this._throughput/8,n=this._rtt/1e3,r=t*n;return Math.floor(r/1460)}setThroughput(t){this._throughput=t}setCongestionWindow(t){this._congestionWindow=t}setWarmed(t){this._warmed=t}isWarm(){return this._warmed}isH2(){return this._h2}get congestionWindow(){return this._congestionWindow}setH2OverflowBytesDownloaded(t){this._h2&&(this._h2OverflowBytesDownloaded=t)}clone(){return Object.assign(new e(this._rtt,this._throughput),this)}simulateDownloadUntil(t,n){let{timeAlreadyElapsed:r=0,maximumTimeToElapse:a=1/0,dnsResolutionTime:o=0}=n||{};this._warmed&&this._h2&&(t-=this._h2OverflowBytesDownloaded);let i=this.
_rtt,c=i/2,u=this._computeMaximumCongestionWindowInSegments(),d=c;this._warmed||(d=o+c+c+c+(this._ssl?i:0));let m=Math.ceil(d/i),p=d+this._serverLatency+c;this._warmed&&this._h2&&(p=0);let h=Math.max(p-r,0),f=a-h,y=Math.min(this._congestionWindow,u),v=0;h>0?v=y*1460:m=0;let w=0,E=t-v;for(;E>0&&w<=f;){m++,w+=i,y=Math.max(Math.min(u,y*2),1);let L=y*1460;v+=L,E-=L}let T=h+w,S=this._h2?Math.max(v-t,0):0,C=Math.max(Math.min(v,t),0),F;return this._warmed?this._h2?F={timeToFirstByte:p}:F={connectionTime:d,timeToFirstByte:p}:F={dnsResolutionTime:o,connectionTime:d-o,sslTime:this._ssl?i:void 0,timeToFirstByte:p},{roundTrips:m,timeElapsed:T,bytesDownloaded:C,extraBytesDownloaded:S,congestionWindow:y,connectionTiming:F}}}});function HJ(e,t){return e.endsWith(t)?e.length===t.length||e[e.length-t.length-1]===".":!1}function WJ(e,t){let n=e.length-t.length-2,r=e.lastIndexOf(".",n);return r===-1?e:e.slice(r+1)}function kg(e,t,n){if(n.validHosts!==null){let a=n.validHosts;for(let o of a)if(HJ(t,o))return o}let r=0;if(t.startsWith("."))for(;r<t.length&&t[r]===".";)r+=1;return e.length===t.length-r?null:WJ(t,e)}var UI=g(()=>{l();s(HJ,"shareSameDomainSuffix");s(WJ,"extractDomainWithSuffix");s(kg,"getDomain")});function Fg(e,t){return e.slice(0,-t.length-1)}var jI=g(()=>{l();s(Fg,"getDomainWithoutSuffix")});function Um(e,t){let n=0,r=e.length,a=!1;if(!t){if(e.startsWith("data:"))return null;for(;n<e.length&&e.charCodeAt(n)<=32;)n+=1;for(;r>n+1&&e.charCodeAt(r-1)<=32;)r-=1;if(e.charCodeAt(n)===47&&e.charCodeAt(n+1)===47)n+=2;else{let d=e.indexOf(":/",n);if(d!==-1){let m=d-n,p=e.charCodeAt(n),h=e.charCodeAt(n+1),f=e.charCodeAt(n+2),y=e.charCodeAt(n+3),v=e.charCodeAt(n+4);if(!(m===5&&p===104&&h===116&&f===116&&y===112&&v===115)){if(!(m===4&&p===104&&h===116&&f===116&&y===112)){if(!(m===3&&p===119&&h===115&&f===115)){if(!(m===2&&p===119&&h===115))for(let w=n;w<d;w+=1){let E=e.charCodeAt(w)|32;if(!(E>=97&&E<=122||E>=48&&E<=57||E===46||E===45||E===43))return null}}}}for(n=d+2;e.charCodeAt(n)===47;)n+=1}}let i=-1,c=-1,u=-1;for(let d=n;d<r;d+=1){let m=e.charCodeAt(d);if(m===35||m===47||m===63){r=d;break}else m===64?i=d:m===93?c=d:m===58?u=d:m>=65&&m<=90&&(a=!0)}if(i!==-1&&i>n&&i<r&&(n=i+1),e.charCodeAt(n)===91)return c!==-1?e.slice(n+1,c).toLowerCase():null;u!==-1&&u>n&&u<r&&(r=u)}for(;r>n+1&&e.charCodeAt(
r-1)===46;)r-=1;let o=n!==0||r!==e.length?e.slice(n,r):e;return a?o.toLowerCase():o}var qI=g(()=>{l();s(Um,"extractHostname")});function GJ(e){if(e.length<7||e.length>15)return!1;let t=0;for(let n=0;n<e.length;n+=1){let r=e.charCodeAt(n);if(r===46)t+=1;else if(r<48||r>57)return!1}return t===3&&e.charCodeAt(0)!==46&&e.charCodeAt(e.length-1)!==46}function VJ(e){if(e.length<3)return!1;let t=e.startsWith("[")?1:0,n=e.length;if(e[n-1]==="]"&&(n-=1),n-t>39)return!1;let r=!1;for(;t<n;t+=1){let a=e.charCodeAt(t);if(a===58)r=!0;else if(!(a>=48&&a<=57||a>=97&&a<=102||a>=65&&a<=90))return!1}return r}function Rg(e){return VJ(e)||GJ(e)}var zI=g(()=>{l();s(GJ,"isProbablyIpv4");s(VJ,"isProbablyIpv6");s(Rg,"isIp")});function HI(e){return e>=97&&e<=122||e>=48&&e<=57||e>127}function jm(e){if(e.length>255||e.length===0||!HI(e.charCodeAt(0))&&e.charCodeAt(0)!==46&&e.charCodeAt(0)!==95)return!1;let t=-1,n=-1,r=e.length;for(let a=0;a<r;a+=1){let o=e.charCodeAt(a);if(o===46){if(a-t>64||n===46||n===45||n===95)return!1;t=a}else if(!(HI(o)||o===45||o===95))return!1;n=o}return r-t-1<=63&&n!==45}var WI=g(()=>{l();s(HI,"isValidAscii");s(jm,"default")});function GI({allowIcannDomains:e=!0,allowPrivateDomains:t=!1,detectIp:n=!0,extractHostname:r=!0,mixedInputs:a=!0,validHosts:o=null,validateHostname:i=!0}){return{allowIcannDomains:e,allowPrivateDomains:t,detectIp:n,extractHostname:r,mixedInputs:a,validHosts:o,validateHostname:i}}function Ag(e){return e===void 0?$J:GI(e)}var $J,_g=g(()=>{l();s(GI,"setDefaultsImpl");$J=GI({});s(Ag,"setDefaults")});function Ig(e,t){return t.length===e.length?"":e.slice(0,-t.length-1)}var VI=g(()=>{l();s(Ig,"getSubdomain")});function Mg(){return{domain:null,domainWithoutSuffix:null,hostname:null,isIcann:null,isIp:null,isPrivate:null,publicSuffix:null,subdomain:null}}function Ng(e){e.domain=null,e.domainWithoutSuffix=null,e.hostname=null,e.isIcann=null,e.isIp=null,e.isPrivate=null,e.publicSuffix=null,e.subdomain=null}function Pg(e,t,n,r,a){let o=Ag(r);return typeof e!="string"||(o.extractHostname?o.mixedInputs?a.hostname=Um(e,jm(e)):a.hostname=Um(e,!1):a.hostname=e,t===0||a.hostname===null)||o.detectIp&&(a.isIp=Rg(a.hostname),a.isIp)?a:o.validateHostname&&o.extractHostname&&!jm(a.hostname)?(a.hostname=null,a):(n(a.hostname,o,a),t===2||a.publicSuffix===null||(a.domain=kg(a.publicSuffix,a.hostname,o),t===3||a.domain===null)||(a.subdomain=Ig(a.hostname,a.domain),t===4)||(a.domainWithoutSuffix=Fg(a.domain,a.publicSuffix)),a)}var $I=g(()=>{l();UI();jI();qI();zI();WI();_g();VI();s(Mg,"getEmptyResult");s(Ng,"resetResult");s(Pg,"parseImpl")});function qm(e,t,n){if(!t.allowPrivateDomains&&e.length>3){let r=e.length-1,a=e.charCodeAt(r),o=e.charCodeAt(r-1),i=e.charCodeAt(r-2),c=e.charCodeAt(r-3);if(a===109&&o===111&&i===99&&c===46)return n.isIcann=!0,n.isPrivate=!1,n.publicSuffix="com",!0;if(a===103&&o===114&&i===111&&c===46)return n.isIcann=!0,n.isPrivate=!1,n.publicSuffix="org",!0;if(a===117&&o===100&&i===101&&c===46)return n.isIcann=!0,n.isPrivate=!1,n.publicSuffix="edu",!0;if(a===118&&o===111&&i===103&&c===46)return n.isIcann=!0,n.isPrivate=!1,n.publicSuffix="gov",!0;if(a===116&&o===101&&i===110&&c===46)return n.isIcann=!0,n.isPrivate=!1,n.publicSuffix="net",!0;if(a===101&&o===100&&i===46)return n.isIcann=!0,n.isPrivate=!1,n.publicSuffix="de",!0}return!1}var YI=g(()=>{l();s(qm,"default")});var Lg=g(()=>{l();$I();YI();_g()});var KI,JI,XI=g(()=>{l();KI=function(){let e=[1,{}],t=[0,{city:e}];return[0,{ck:[0,{www:e}],jp:[0,{kawasaki:t,kitakyushu:t,kobe:t,nagoya:t,sapporo:t,sendai:t,yokohama:t}]}]}(),JI=function(){let e=[1,{}],t=[1,{com:e,edu:e,gov:e,net:e,mil:e,org:e}],n=[1,{gov:e,com:e,org:e,net:e,edu:e}],r=[1,{gov:e}],a=[1,{com:e}],o=[0,{"*":e}],i=[1,{com:e,edu:e,net:e,org:e}],c=[1,{co:e,net:e,org:e}],u=[1,{co:e,com:e,edu:e,gov:e,net:e,org:e}],d=[1,{com:e,org:e,net:e,edu:e,sch:e,gov:e,mil:e,name:e}],m=[1,{edu:e,biz:e,net:e,org:e,gov:e,info:e,com:e}],p=[1,{gs:e}],h=[0,{nes:e}],f=[1,{k12:e,cc:e,lib:e}],y=[1,{cc:e}],v=[1,{cc:e,lib:e}];return[0,{ac:t,ad:[1,{nom:e}],ae:[1,{co:e,net:e,org:e,sch:e,ac:e,gov:e,mil:e}],aero:[1,{"accident-investigation":e,"accident-prevention":e,aerobatic:e,aeroclub:e,aerodrome:e,agents:e,aircraft:e,airline:e,airport:e,"air-surveillance":e,airtraffic:e,"air-traffic-control":e,ambulance:e,amusement:e,association:e,author:e,ballooning:e,broker:e,caa:e,cargo:e,catering:e,certification:e,
championship:e,charter:e,civilaviation:e,club:e,conference:e,consultant:e,consulting:e,control:e,council:e,crew:e,design:e,dgca:e,educator:e,emergency:e,engine:e,engineer:e,entertainment:e,equipment:e,exchange:e,express:e,federation:e,flight:e,fuel:e,gliding:e,government:e,groundhandling:e,group:e,hanggliding:e,homebuilt:e,insurance:e,journal:e,journalist:e,leasing:e,logistics:e,magazine:e,maintenance:e,media:e,microlight:e,modelling:e,navigation:e,parachuting:e,paragliding:e,"passenger-association":e,pilot:e,press:e,production:e,recreation:e,repbody:e,res:e,research:e,rotorcraft:e,safety:e,scientist:e,services:e,show:e,skydiving:e,software:e,student:e,trader:e,trading:e,trainer:e,union:e,workinggroup:e,works:e}],af:n,ag:[1,{com:e,org:e,net:e,co:e,nom:e}],ai:[1,{off:e,com:e,net:e,org:e}],al:t,am:[1,{co:e,com:e,commune:e,net:e,org:e}],ao:[1,{ed:e,gv:e,og:e,co:e,pb:e,it:e}],aq:e,ar:[1,{bet:e,com:e,coop:e,edu:e,gob:e,gov:e,int:e,mil:e,musica:e,mutual:e,net:e,org:e,senasa:e,tur:e}],arpa:[1,
{e164:e,"in-addr":e,ip6:e,iris:e,uri:e,urn:e}],as:r,asia:e,at:[1,{ac:[1,{sth:e}],co:e,gv:e,or:e}],au:[1,{com:e,net:e,org:e,edu:[1,{act:e,catholic:e,nsw:[1,{schools:e}],nt:e,qld:e,sa:e,tas:e,vic:e,wa:e}],gov:[1,{qld:e,sa:e,tas:e,vic:e,wa:e}],asn:e,id:e,info:e,conf:e,oz:e,act:e,nsw:e,nt:e,qld:e,sa:e,tas:e,vic:e,wa:e}],aw:a,ax:e,az:[1,{com:e,net:e,int:e,gov:e,org:e,edu:e,info:e,pp:e,mil:e,name:e,pro:e,biz:e}],ba:t,bb:[1,{biz:e,co:e,com:e,edu:e,gov:e,info:e,net:e,org:e,store:e,tv:e}],bd:o,be:[1,{ac:e}],bf:r,bg:[1,{0:e,1:e,2:e,3:e,4:e,5:e,6:e,7:e,8:e,9:e,a:e,b:e,c:e,d:e,e,f:e,g:e,h:e,i:e,j:e,k:e,l:e,m:e,n:e,o:e,p:e,q:e,r:e,s:e,t:e,u:e,v:e,w:e,x:e,y:e,z:e}],bh:n,bi:[1,{co:e,com:e,edu:e,or:e,org:e}],biz:e,bj:[1,{africa:e,agro:e,architectes:e,assur:e,avocats:e,co:e,com:e,eco:e,econo:e,edu:e,info:e,loisirs:e,money:e,net:e,org:e,ote:e,resto:e,restaurant:e,tourism:e,univ:e}],bm:n,bn:n,bo:[1,{com:e,edu:e,gob:e,int:e,org:e,net:e,mil:e,tv:e,web:e,academia:e,agro:e,arte:e,blog:e,bolivia:e,ciencia:e,cooperativa:e,
democracia:e,deporte:e,ecologia:e,economia:e,empresa:e,indigena:e,industria:e,info:e,medicina:e,movimiento:e,musica:e,natural:e,nombre:e,noticias:e,patria:e,politica:e,profesional:e,plurinacional:e,pueblo:e,revista:e,salud:e,tecnologia:e,tksat:e,transporte:e,wiki:e}],br:[1,{"9guacu":e,abc:e,adm:e,adv:e,agr:e,aju:e,am:e,anani:e,aparecida:e,app:e,arq:e,art:e,ato:e,b:e,barueri:e,belem:e,bhz:e,bib:e,bio:e,blog:e,bmd:e,boavista:e,bsb:e,campinagrande:e,campinas:e,caxias:e,cim:e,cng:e,cnt:e,com:e,contagem:e,coop:e,coz:e,cri:e,cuiaba:e,curitiba:e,def:e,des:e,det:e,dev:e,ecn:e,eco:e,edu:e,emp:e,enf:e,eng:e,esp:e,etc:e,eti:e,far:e,feira:e,flog:e,floripa:e,fm:e,fnd:e,fortal:e,fot:e,foz:e,fst:e,g12:e,geo:e,ggf:e,goiania:e,gov:[1,{ac:e,al:e,am:e,ap:e,ba:e,ce:e,df:e,es:e,go:e,ma:e,mg:e,ms:e,mt:e,pa:e,pb:e,pe:e,pi:e,pr:e,rj:e,rn:e,ro:e,rr:e,rs:e,sc:e,se:e,sp:e,to:e}],gru:e,imb:e,ind:e,inf:e,jab:e,jampa:e,jdf:e,joinville:e,jor:e,jus:e,leg:e,lel:e,log:e,londrina:e,macapa:e,maceio:e,manaus:e,maringa:e,mat:e,
med:e,mil:e,morena:e,mp:e,mus:e,natal:e,net:e,niteroi:e,nom:o,not:e,ntr:e,odo:e,ong:e,org:e,osasco:e,palmas:e,poa:e,ppg:e,pro:e,psc:e,psi:e,pvh:e,qsl:e,radio:e,rec:e,recife:e,rep:e,ribeirao:e,rio:e,riobranco:e,riopreto:e,salvador:e,sampa:e,santamaria:e,santoandre:e,saobernardo:e,saogonca:e,seg:e,sjc:e,slg:e,slz:e,sorocaba:e,srv:e,taxi:e,tc:e,tec:e,teo:e,the:e,tmp:e,trd:e,tur:e,tv:e,udi:e,vet:e,vix:e,vlog:e,wiki:e,zlg:e}],bs:n,bt:n,bv:e,bw:[1,{co:e,org:e}],by:[1,{gov:e,mil:e,com:e,of:e}],bz:n,ca:[1,{ab:e,bc:e,mb:e,nb:e,nf:e,nl:e,ns:e,nt:e,nu:e,on:e,pe:e,qc:e,sk:e,yk:e,gc:e}],cat:e,cc:e,cd:r,cf:e,cg:e,ch:e,ci:[1,{org:e,or:e,com:e,co:e,edu:e,ed:e,ac:e,net:e,go:e,asso:e,"xn--aroport-bya":e,aéroport:e,int:e,presse:e,md:e,gouv:e}],ck:o,cl:[1,{co:e,gob:e,gov:e,mil:e}],cm:[1,{co:e,com:e,gov:e,net:e}],cn:[1,{ac:e,com:e,edu:e,gov:e,net:e,org:e,mil:e,"xn--55qx5d":e,公司:e,"xn--io0a7i":e,网络:e,"xn--od0alg":e,網絡:e,ah:e,bj:e,cq:e,fj:e,gd:e,gs:e,gz:e,gx:e,ha:e,hb:e,he:e,hi:e,hl:e,hn:e,jl:e,
js:e,jx:e,ln:e,nm:e,nx:e,qh:e,sc:e,sd:e,sh:e,sn:e,sx:e,tj:e,xj:e,xz:e,yn:e,zj:e,hk:e,mo:e,tw:e}],co:[1,{arts:e,com:e,edu:e,firm:e,gov:e,info:e,int:e,mil:e,net:e,nom:e,org:e,rec:e,web:e}],com:e,coop:e,cr:[1,{ac:e,co:e,ed:e,fi:e,go:e,or:e,sa:e}],cu:[1,{com:e,edu:e,org:e,net:e,gov:e,inf:e}],cv:[1,{com:e,edu:e,int:e,nome:e,org:e}],cw:i,cx:r,cy:[1,{ac:e,biz:e,com:e,ekloges:e,gov:e,ltd:e,mil:e,net:e,org:e,press:e,pro:e,tm:e}],cz:e,de:e,dj:e,dk:e,dm:n,do:[1,{art:e,com:e,edu:e,gob:e,gov:e,mil:e,net:e,org:e,sld:e,web:e}],dz:[1,{art:e,asso:e,com:e,edu:e,gov:e,org:e,net:e,pol:e,soc:e,tm:e}],ec:[1,{com:e,info:e,net:e,fin:e,k12:e,med:e,pro:e,org:e,edu:e,gov:e,gob:e,mil:e}],edu:e,ee:[1,{edu:e,gov:e,riik:e,lib:e,med:e,com:e,pri:e,aip:e,org:e,fie:e}],eg:[1,{com:e,edu:e,eun:e,gov:e,mil:e,name:e,net:e,org:e,sci:e}],er:o,es:[1,{com:e,nom:e,org:e,gob:e,edu:e}],et:[1,{com:e,gov:e,org:e,edu:e,biz:e,name:e,info:e,net:e}],eu:e,fi:[1,{aland:e}],fj:[1,{ac:e,biz:e,com:e,gov:e,info:e,mil:e,name:e,net:e,org:e,pro:e}],
fk:o,fm:i,fo:e,fr:[1,{asso:e,com:e,gouv:e,nom:e,prd:e,tm:e,avoues:e,cci:e,greta:e,"huissier-justice":e}],ga:e,gb:e,gd:[1,{edu:e,gov:e}],ge:[1,{com:e,edu:e,gov:e,org:e,mil:e,net:e,pvt:e}],gf:e,gg:c,gh:[1,{com:e,edu:e,gov:e,org:e,mil:e}],gi:[1,{com:e,ltd:e,gov:e,mod:e,edu:e,org:e}],gl:[1,{co:e,com:e,edu:e,net:e,org:e}],gm:e,gn:[1,{ac:e,com:e,edu:e,gov:e,org:e,net:e}],gov:e,gp:[1,{com:e,net:e,mobi:e,edu:e,org:e,asso:e}],gq:e,gr:n,gs:e,gt:[1,{com:e,edu:e,gob:e,ind:e,mil:e,net:e,org:e}],gu:[1,{com:e,edu:e,gov:e,guam:e,info:e,net:e,org:e,web:e}],gw:e,gy:u,hk:[1,{com:e,edu:e,gov:e,idv:e,net:e,org:e,"xn--55qx5d":e,公司:e,"xn--wcvs22d":e,教育:e,"xn--lcvr32d":e,敎育:e,"xn--mxtq1m":e,政府:e,"xn--gmqw5a":e,個人:e,"xn--ciqpn":e,个人:e,"xn--gmq050i":e,箇人:e,"xn--zf0avx":e,網络:e,"xn--io0a7i":e,网络:e,"xn--mk0axi":e,组織:e,"xn--od0alg":e,網絡:e,"xn--od0aq3b":e,网絡:e,"xn--tn0ag":e,组织:e,"xn--uc0atv":e,組織:e,"xn--uc0ay4a":e,組织:e}],hm:e,hn:[1,{com:e,edu:e,org:e,net:e,
mil:e,gob:e}],hr:[1,{iz:e,from:e,name:e,com:e}],ht:[1,{com:e,shop:e,firm:e,info:e,adult:e,net:e,pro:e,org:e,med:e,art:e,coop:e,pol:e,asso:e,edu:e,rel:e,gouv:e,perso:e}],hu:[1,{2e3:e,co:e,info:e,org:e,priv:e,sport:e,tm:e,agrar:e,bolt:e,casino:e,city:e,erotica:e,erotika:e,film:e,forum:e,games:e,hotel:e,ingatlan:e,jogasz:e,konyvelo:e,lakas:e,media:e,news:e,reklam:e,sex:e,shop:e,suli:e,szex:e,tozsde:e,utazas:e,video:e}],id:[1,{ac:e,biz:e,co:e,desa:e,go:e,mil:e,my:e,net:e,or:e,ponpes:e,sch:e,web:e}],ie:r,il:[1,{ac:e,co:e,gov:e,idf:e,k12:e,muni:e,net:e,org:e}],"xn--4dbrk0ce":[1,{"xn--4dbgdty6c":e,"xn--5dbhl8d":e,"xn--8dbq2a":e,"xn--hebda8b":e}],ישראל:[1,{אקדמיה:e,ישוב:e,צהל:e,ממשל:e}],im:[1,{ac:e,co:[1,{ltd:e,plc:e}],com:e,net:e,org:e,tt:e,tv:e}],in:[1,{"5g":e,"6g":e,ac:e,ai:e,am:e,bihar:e,biz:e,business:e,ca:e,cn:e,co:e,com:e,coop:e,cs:e,delhi:e,dr:e,edu:e,er:e,firm:e,gen:e,gov:e,gujarat:e,ind:e,info:e,int:e,internet:e,io:e,me:e,mil:e,net:e,nic:e,org:e,pg:e,post:e,pro:e,
res:e,travel:e,tv:e,uk:e,up:e,us:e}],info:e,int:[1,{eu:e}],io:a,iq:t,ir:[1,{ac:e,co:e,gov:e,id:e,net:e,org:e,sch:e,"xn--mgba3a4f16a":e,ایران:e,"xn--mgba3a4fra":e,ايران:e}],is:[1,{net:e,com:e,edu:e,gov:e,org:e,int:e}],it:[1,{gov:e,edu:e,abr:e,abruzzo:e,"aosta-valley":e,aostavalley:e,bas:e,basilicata:e,cal:e,calabria:e,cam:e,campania:e,"emilia-romagna":e,emiliaromagna:e,emr:e,"friuli-v-giulia":e,"friuli-ve-giulia":e,"friuli-vegiulia":e,"friuli-venezia-giulia":e,"friuli-veneziagiulia":e,"friuli-vgiulia":e,"friuliv-giulia":e,"friulive-giulia":e,friulivegiulia:e,"friulivenezia-giulia":e,friuliveneziagiulia:e,friulivgiulia:e,fvg:e,laz:e,lazio:e,lig:e,liguria:e,lom:e,lombardia:e,lombardy:e,lucania:e,mar:e,marche:e,mol:e,molise:e,piedmont:e,piemonte:e,pmn:e,pug:e,puglia:e,sar:e,sardegna:e,sardinia:e,sic:e,sicilia:e,sicily:e,taa:e,tos:e,toscana:e,"trentin-sud-tirol":e,"xn--trentin-sd-tirol-rzb":e,"trentin-süd-tirol":e,"trentin-sudtirol":e,"xn--trentin-sdtirol-7vb":e,"trentin-südtirol":e,
"trentin-sued-tirol":e,"trentin-suedtirol":e,"trentino-a-adige":e,"trentino-aadige":e,"trentino-alto-adige":e,"trentino-altoadige":e,"trentino-s-tirol":e,"trentino-stirol":e,"trentino-sud-tirol":e,"xn--trentino-sd-tirol-c3b":e,"trentino-süd-tirol":e,"trentino-sudtirol":e,"xn--trentino-sdtirol-szb":e,"trentino-südtirol":e,"trentino-sued-tirol":e,"trentino-suedtirol":e,trentino:e,"trentinoa-adige":e,trentinoaadige:e,"trentinoalto-adige":e,trentinoaltoadige:e,"trentinos-tirol":e,trentinostirol:e,"trentinosud-tirol":e,"xn--trentinosd-tirol-rzb":e,"trentinosüd-tirol":e,trentinosudtirol:e,"xn--trentinosdtirol-7vb":e,trentinosüdtirol:e,"trentinosued-tirol":e,trentinosuedtirol:e,"trentinsud-tirol":e,"xn--trentinsd-tirol-6vb":e,"trentinsüd-tirol":e,trentinsudtirol:e,"xn--trentinsdtirol-nsb":e,trentinsüdtirol:e,"trentinsued-tirol":e,trentinsuedtirol:e,tuscany:e,umb:e,umbria:e,"val-d-aosta":e,"val-daosta":e,"vald-aosta":e,valdaosta:e,"valle-aosta":e,"valle-d-aosta":e,"valle-daosta":e,valleaosta:e,
"valled-aosta":e,valledaosta:e,"vallee-aoste":e,"xn--valle-aoste-ebb":e,"vallée-aoste":e,"vallee-d-aoste":e,"xn--valle-d-aoste-ehb":e,"vallée-d-aoste":e,valleeaoste:e,"xn--valleaoste-e7a":e,valléeaoste:e,valleedaoste:e,"xn--valledaoste-ebb":e,valléedaoste:e,vao:e,vda:e,ven:e,veneto:e,ag:e,agrigento:e,al:e,alessandria:e,"alto-adige":e,altoadige:e,an:e,ancona:e,"andria-barletta-trani":e,"andria-trani-barletta":e,andriabarlettatrani:e,andriatranibarletta:e,ao:e,aosta:e,aoste:e,ap:e,aq:e,aquila:e,ar:e,arezzo:e,"ascoli-piceno":e,ascolipiceno:e,asti:e,at:e,av:e,avellino:e,ba:e,"balsan-sudtirol":e,"xn--balsan-sdtirol-nsb":e,"balsan-südtirol":e,"balsan-suedtirol":e,balsan:e,bari:e,"barletta-trani-andria":e,barlettatraniandria:e,belluno:e,benevento:e,bergamo:e,bg:e,bi:e,biella:e,bl:e,bn:e,bo:e,bologna:e,"bolzano-altoadige":e,bolzano:e,"bozen-sudtirol":e,"xn--bozen-sdtirol-2ob":e,"bozen-südtirol":e,"bozen-suedtirol":e,bozen:e,br:e,brescia:e,brindisi:e,bs:e,bt:e,"bulsan-sudtirol":e,"xn--bul\
san-sdtirol-nsb":e,"bulsan-südtirol":e,"bulsan-suedtirol":e,bulsan:e,bz:e,ca:e,cagliari:e,caltanissetta:e,"campidano-medio":e,campidanomedio:e,campobasso:e,"carbonia-iglesias":e,carboniaiglesias:e,"carrara-massa":e,carraramassa:e,caserta:e,catania:e,catanzaro:e,cb:e,ce:e,"cesena-forli":e,"xn--cesena-forl-mcb":e,"cesena-forlì":e,cesenaforli:e,"xn--cesenaforl-i8a":e,cesenaforlì:e,ch:e,chieti:e,ci:e,cl:e,cn:e,co:e,como:e,cosenza:e,cr:e,cremona:e,crotone:e,cs:e,ct:e,cuneo:e,cz:e,"dell-ogliastra":e,dellogliastra:e,en:e,enna:e,fc:e,fe:e,fermo:e,ferrara:e,fg:e,fi:e,firenze:e,florence:e,fm:e,foggia:e,"forli-cesena":e,"xn--forl-cesena-fcb":e,"forlì-cesena":e,forlicesena:e,"xn--forlcesena-c8a":e,forlìcesena:e,fr:e,frosinone:e,ge:e,genoa:e,genova:e,go:e,gorizia:e,gr:e,grosseto:e,"iglesias-carbonia":e,iglesiascarbonia:e,im:e,imperia:e,is:e,isernia:e,kr:e,"la-spezia":e,laquila:e,laspezia:e,latina:e,lc:e,le:e,lecce:e,lecco:e,li:e,livorno:e,lo:e,lodi:e,lt:e,lu:e,lucca:e,macerata:e,mantova:e,"mas\
sa-carrara":e,massacarrara:e,matera:e,mb:e,mc:e,me:e,"medio-campidano":e,mediocampidano:e,messina:e,mi:e,milan:e,milano:e,mn:e,mo:e,modena:e,"monza-brianza":e,"monza-e-della-brianza":e,monza:e,monzabrianza:e,monzaebrianza:e,monzaedellabrianza:e,ms:e,mt:e,na:e,naples:e,napoli:e,no:e,novara:e,nu:e,nuoro:e,og:e,ogliastra:e,"olbia-tempio":e,olbiatempio:e,or:e,oristano:e,ot:e,pa:e,padova:e,padua:e,palermo:e,parma:e,pavia:e,pc:e,pd:e,pe:e,perugia:e,"pesaro-urbino":e,pesarourbino:e,pescara:e,pg:e,pi:e,piacenza:e,pisa:e,pistoia:e,pn:e,po:e,pordenone:e,potenza:e,pr:e,prato:e,pt:e,pu:e,pv:e,pz:e,ra:e,ragusa:e,ravenna:e,rc:e,re:e,"reggio-calabria":e,"reggio-emilia":e,reggiocalabria:e,reggioemilia:e,rg:e,ri:e,rieti:e,rimini:e,rm:e,rn:e,ro:e,roma:e,rome:e,rovigo:e,sa:e,salerno:e,sassari:e,savona:e,si:e,siena:e,siracusa:e,so:e,sondrio:e,sp:e,sr:e,ss:e,suedtirol:e,"xn--sdtirol-n2a":e,südtirol:e,sv:e,ta:e,taranto:e,te:e,"tempio-olbia":e,tempioolbia:e,teramo:e,terni:e,tn:e,to:e,torino:e,tp:e,tr:e,"tra\
ni-andria-barletta":e,"trani-barletta-andria":e,traniandriabarletta:e,tranibarlettaandria:e,trapani:e,trento:e,treviso:e,trieste:e,ts:e,turin:e,tv:e,ud:e,udine:e,"urbino-pesaro":e,urbinopesaro:e,va:e,varese:e,vb:e,vc:e,ve:e,venezia:e,venice:e,verbania:e,vercelli:e,verona:e,vi:e,"vibo-valentia":e,vibovalentia:e,vicenza:e,viterbo:e,vr:e,vs:e,vt:e,vv:e}],je:c,jm:o,jo:d,jobs:e,jp:[1,{ac:e,ad:e,co:e,ed:e,go:e,gr:e,lg:e,ne:e,or:e,aichi:[1,{aisai:e,ama:e,anjo:e,asuke:e,chiryu:e,chita:e,fuso:e,gamagori:e,handa:e,hazu:e,hekinan:e,higashiura:e,ichinomiya:e,inazawa:e,inuyama:e,isshiki:e,iwakura:e,kanie:e,kariya:e,kasugai:e,kira:e,kiyosu:e,komaki:e,konan:e,kota:e,mihama:e,miyoshi:e,nishio:e,nisshin:e,obu:e,oguchi:e,oharu:e,okazaki:e,owariasahi:e,seto:e,shikatsu:e,shinshiro:e,shitara:e,tahara:e,takahama:e,tobishima:e,toei:e,togo:e,tokai:e,tokoname:e,toyoake:e,toyohashi:e,toyokawa:e,toyone:e,toyota:e,tsushima:e,yatomi:e}],akita:[1,{akita:e,daisen:e,fujisato:e,gojome:e,hachirogata:e,happou:e,higashinaruse:e,
honjo:e,honjyo:e,ikawa:e,kamikoani:e,kamioka:e,katagami:e,kazuno:e,kitaakita:e,kosaka:e,kyowa:e,misato:e,mitane:e,moriyoshi:e,nikaho:e,noshiro:e,odate:e,oga:e,ogata:e,semboku:e,yokote:e,yurihonjo:e}],aomori:[1,{aomori:e,gonohe:e,hachinohe:e,hashikami:e,hiranai:e,hirosaki:e,itayanagi:e,kuroishi:e,misawa:e,mutsu:e,nakadomari:e,noheji:e,oirase:e,owani:e,rokunohe:e,sannohe:e,shichinohe:e,shingo:e,takko:e,towada:e,tsugaru:e,tsuruta:e}],chiba:[1,{abiko:e,asahi:e,chonan:e,chosei:e,choshi:e,chuo:e,funabashi:e,futtsu:e,hanamigawa:e,ichihara:e,ichikawa:e,ichinomiya:e,inzai:e,isumi:e,kamagaya:e,kamogawa:e,kashiwa:e,katori:e,katsuura:e,kimitsu:e,kisarazu:e,kozaki:e,kujukuri:e,kyonan:e,matsudo:e,midori:e,mihama:e,minamiboso:e,mobara:e,mutsuzawa:e,nagara:e,nagareyama:e,narashino:e,narita:e,noda:e,oamishirasato:e,omigawa:e,onjuku:e,otaki:e,sakae:e,sakura:e,shimofusa:e,shirako:e,shiroi:e,shisui:e,sodegaura:e,sosa:e,tako:e,tateyama:e,togane:e,tohnosho:e,tomisato:e,urayasu:e,yachimata:e,yachiyo:e,yokaichiba:e,
yokoshibahikari:e,yotsukaido:e}],ehime:[1,{ainan:e,honai:e,ikata:e,imabari:e,iyo:e,kamijima:e,kihoku:e,kumakogen:e,masaki:e,matsuno:e,matsuyama:e,namikata:e,niihama:e,ozu:e,saijo:e,seiyo:e,shikokuchuo:e,tobe:e,toon:e,uchiko:e,uwajima:e,yawatahama:e}],fukui:[1,{echizen:e,eiheiji:e,fukui:e,ikeda:e,katsuyama:e,mihama:e,minamiechizen:e,obama:e,ohi:e,ono:e,sabae:e,sakai:e,takahama:e,tsuruga:e,wakasa:e}],fukuoka:[1,{ashiya:e,buzen:e,chikugo:e,chikuho:e,chikujo:e,chikushino:e,chikuzen:e,chuo:e,dazaifu:e,fukuchi:e,hakata:e,higashi:e,hirokawa:e,hisayama:e,iizuka:e,inatsuki:e,kaho:e,kasuga:e,kasuya:e,kawara:e,keisen:e,koga:e,kurate:e,kurogi:e,kurume:e,minami:e,miyako:e,miyama:e,miyawaka:e,mizumaki:e,munakata:e,nakagawa:e,nakama:e,nishi:e,nogata:e,ogori:e,okagaki:e,okawa:e,oki:e,omuta:e,onga:e,onojo:e,oto:e,saigawa:e,sasaguri:e,shingu:e,shinyoshitomi:e,shonai:e,soeda:e,sue:e,tachiarai:e,tagawa:e,takata:e,toho:e,toyotsu:e,tsuiki:e,ukiha:e,umi:e,usui:e,yamada:e,yame:e,yanagawa:e,yukuhashi:e}],fukushima:[
1,{aizubange:e,aizumisato:e,aizuwakamatsu:e,asakawa:e,bandai:e,date:e,fukushima:e,furudono:e,futaba:e,hanawa:e,higashi:e,hirata:e,hirono:e,iitate:e,inawashiro:e,ishikawa:e,iwaki:e,izumizaki:e,kagamiishi:e,kaneyama:e,kawamata:e,kitakata:e,kitashiobara:e,koori:e,koriyama:e,kunimi:e,miharu:e,mishima:e,namie:e,nango:e,nishiaizu:e,nishigo:e,okuma:e,omotego:e,ono:e,otama:e,samegawa:e,shimogo:e,shirakawa:e,showa:e,soma:e,sukagawa:e,taishin:e,tamakawa:e,tanagura:e,tenei:e,yabuki:e,yamato:e,yamatsuri:e,yanaizu:e,yugawa:e}],gifu:[1,{anpachi:e,ena:e,gifu:e,ginan:e,godo:e,gujo:e,hashima:e,hichiso:e,hida:e,higashishirakawa:e,ibigawa:e,ikeda:e,kakamigahara:e,kani:e,kasahara:e,kasamatsu:e,kawaue:e,kitagata:e,mino:e,minokamo:e,mitake:e,mizunami:e,motosu:e,nakatsugawa:e,ogaki:e,sakahogi:e,seki:e,sekigahara:e,shirakawa:e,tajimi:e,takayama:e,tarui:e,toki:e,tomika:e,wanouchi:e,yamagata:e,yaotsu:e,yoro:e}],gunma:[1,{annaka:e,chiyoda:e,fujioka:e,higashiagatsuma:e,isesaki:e,itakura:e,kanna:e,kanra:e,katashina:e,
kawaba:e,kiryu:e,kusatsu:e,maebashi:e,meiwa:e,midori:e,minakami:e,naganohara:e,nakanojo:e,nanmoku:e,numata:e,oizumi:e,ora:e,ota:e,shibukawa:e,shimonita:e,shinto:e,showa:e,takasaki:e,takayama:e,tamamura:e,tatebayashi:e,tomioka:e,tsukiyono:e,tsumagoi:e,ueno:e,yoshioka:e}],hiroshima:[1,{asaminami:e,daiwa:e,etajima:e,fuchu:e,fukuyama:e,hatsukaichi:e,higashihiroshima:e,hongo:e,jinsekikogen:e,kaita:e,kui:e,kumano:e,kure:e,mihara:e,miyoshi:e,naka:e,onomichi:e,osakikamijima:e,otake:e,saka:e,sera:e,seranishi:e,shinichi:e,shobara:e,takehara:e}],hokkaido:[1,{abashiri:e,abira:e,aibetsu:e,akabira:e,akkeshi:e,asahikawa:e,ashibetsu:e,ashoro:e,assabu:e,atsuma:e,bibai:e,biei:e,bifuka:e,bihoro:e,biratori:e,chippubetsu:e,chitose:e,date:e,ebetsu:e,embetsu:e,eniwa:e,erimo:e,esan:e,esashi:e,fukagawa:e,fukushima:e,furano:e,furubira:e,haboro:e,hakodate:e,hamatonbetsu:e,hidaka:e,higashikagura:e,higashikawa:e,hiroo:e,hokuryu:e,hokuto:e,honbetsu:e,horokanai:e,horonobe:e,ikeda:e,imakane:e,ishikari:e,iwamizawa:e,iwanai:e,
kamifurano:e,kamikawa:e,kamishihoro:e,kamisunagawa:e,kamoenai:e,kayabe:e,kembuchi:e,kikonai:e,kimobetsu:e,kitahiroshima:e,kitami:e,kiyosato:e,koshimizu:e,kunneppu:e,kuriyama:e,kuromatsunai:e,kushiro:e,kutchan:e,kyowa:e,mashike:e,matsumae:e,mikasa:e,minamifurano:e,mombetsu:e,moseushi:e,mukawa:e,muroran:e,naie:e,nakagawa:e,nakasatsunai:e,nakatombetsu:e,nanae:e,nanporo:e,nayoro:e,nemuro:e,niikappu:e,niki:e,nishiokoppe:e,noboribetsu:e,numata:e,obihiro:e,obira:e,oketo:e,okoppe:e,otaru:e,otobe:e,otofuke:e,otoineppu:e,oumu:e,ozora:e,pippu:e,rankoshi:e,rebun:e,rikubetsu:e,rishiri:e,rishirifuji:e,saroma:e,sarufutsu:e,shakotan:e,shari:e,shibecha:e,shibetsu:e,shikabe:e,shikaoi:e,shimamaki:e,shimizu:e,shimokawa:e,shinshinotsu:e,shintoku:e,shiranuka:e,shiraoi:e,shiriuchi:e,sobetsu:e,sunagawa:e,taiki:e,takasu:e,takikawa:e,takinoue:e,teshikaga:e,tobetsu:e,tohma:e,tomakomai:e,tomari:e,toya:e,toyako:e,toyotomi:e,toyoura:e,tsubetsu:e,tsukigata:e,urakawa:e,urausu:e,uryu:e,utashinai:e,wakkanai:e,wassamu:e,
yakumo:e,yoichi:e}],hyogo:[1,{aioi:e,akashi:e,ako:e,amagasaki:e,aogaki:e,asago:e,ashiya:e,awaji:e,fukusaki:e,goshiki:e,harima:e,himeji:e,ichikawa:e,inagawa:e,itami:e,kakogawa:e,kamigori:e,kamikawa:e,kasai:e,kasuga:e,kawanishi:e,miki:e,minamiawaji:e,nishinomiya:e,nishiwaki:e,ono:e,sanda:e,sannan:e,sasayama:e,sayo:e,shingu:e,shinonsen:e,shiso:e,sumoto:e,taishi:e,taka:e,takarazuka:e,takasago:e,takino:e,tamba:e,tatsuno:e,toyooka:e,yabu:e,yashiro:e,yoka:e,yokawa:e}],ibaraki:[1,{ami:e,asahi:e,bando:e,chikusei:e,daigo:e,fujishiro:e,hitachi:e,hitachinaka:e,hitachiomiya:e,hitachiota:e,ibaraki:e,ina:e,inashiki:e,itako:e,iwama:e,joso:e,kamisu:e,kasama:e,kashima:e,kasumigaura:e,koga:e,miho:e,mito:e,moriya:e,naka:e,namegata:e,oarai:e,ogawa:e,omitama:e,ryugasaki:e,sakai:e,sakuragawa:e,shimodate:e,shimotsuma:e,shirosato:e,sowa:e,suifu:e,takahagi:e,tamatsukuri:e,tokai:e,tomobe:e,tone:e,toride:e,tsuchiura:e,tsukuba:e,uchihara:e,ushiku:e,yachiyo:e,yamagata:e,yawara:e,yuki:e}],ishikawa:[1,{anamizu:e,hakui:e,
hakusan:e,kaga:e,kahoku:e,kanazawa:e,kawakita:e,komatsu:e,nakanoto:e,nanao:e,nomi:e,nonoichi:e,noto:e,shika:e,suzu:e,tsubata:e,tsurugi:e,uchinada:e,wajima:e}],iwate:[1,{fudai:e,fujisawa:e,hanamaki:e,hiraizumi:e,hirono:e,ichinohe:e,ichinoseki:e,iwaizumi:e,iwate:e,joboji:e,kamaishi:e,kanegasaki:e,karumai:e,kawai:e,kitakami:e,kuji:e,kunohe:e,kuzumaki:e,miyako:e,mizusawa:e,morioka:e,ninohe:e,noda:e,ofunato:e,oshu:e,otsuchi:e,rikuzentakata:e,shiwa:e,shizukuishi:e,sumita:e,tanohata:e,tono:e,yahaba:e,yamada:e}],kagawa:[1,{ayagawa:e,higashikagawa:e,kanonji:e,kotohira:e,manno:e,marugame:e,mitoyo:e,naoshima:e,sanuki:e,tadotsu:e,takamatsu:e,tonosho:e,uchinomi:e,utazu:e,zentsuji:e}],kagoshima:[1,{akune:e,amami:e,hioki:e,isa:e,isen:e,izumi:e,kagoshima:e,kanoya:e,kawanabe:e,kinko:e,kouyama:e,makurazaki:e,matsumoto:e,minamitane:e,nakatane:e,nishinoomote:e,satsumasendai:e,soo:e,tarumizu:e,yusui:e}],kanagawa:[1,{aikawa:e,atsugi:e,ayase:e,chigasaki:e,ebina:e,fujisawa:e,hadano:e,hakone:e,hiratsuka:e,isehara:e,
kaisei:e,kamakura:e,kiyokawa:e,matsuda:e,minamiashigara:e,miura:e,nakai:e,ninomiya:e,odawara:e,oi:e,oiso:e,sagamihara:e,samukawa:e,tsukui:e,yamakita:e,yamato:e,yokosuka:e,yugawara:e,zama:e,zushi:e}],kochi:[1,{aki:e,geisei:e,hidaka:e,higashitsuno:e,ino:e,kagami:e,kami:e,kitagawa:e,kochi:e,mihara:e,motoyama:e,muroto:e,nahari:e,nakamura:e,nankoku:e,nishitosa:e,niyodogawa:e,ochi:e,okawa:e,otoyo:e,otsuki:e,sakawa:e,sukumo:e,susaki:e,tosa:e,tosashimizu:e,toyo:e,tsuno:e,umaji:e,yasuda:e,yusuhara:e}],kumamoto:[1,{amakusa:e,arao:e,aso:e,choyo:e,gyokuto:e,kamiamakusa:e,kikuchi:e,kumamoto:e,mashiki:e,mifune:e,minamata:e,minamioguni:e,nagasu:e,nishihara:e,oguni:e,ozu:e,sumoto:e,takamori:e,uki:e,uto:e,yamaga:e,yamato:e,yatsushiro:e}],kyoto:[1,{ayabe:e,fukuchiyama:e,higashiyama:e,ide:e,ine:e,joyo:e,kameoka:e,kamo:e,kita:e,kizu:e,kumiyama:e,kyotamba:e,kyotanabe:e,kyotango:e,maizuru:e,minami:e,minamiyamashiro:e,miyazu:e,muko:e,nagaokakyo:e,nakagyo:e,nantan:e,oyamazaki:e,sakyo:e,seika:e,tanabe:e,uji:e,
ujitawara:e,wazuka:e,yamashina:e,yawata:e}],mie:[1,{asahi:e,inabe:e,ise:e,kameyama:e,kawagoe:e,kiho:e,kisosaki:e,kiwa:e,komono:e,kumano:e,kuwana:e,matsusaka:e,meiwa:e,mihama:e,minamiise:e,misugi:e,miyama:e,nabari:e,shima:e,suzuka:e,tado:e,taiki:e,taki:e,tamaki:e,toba:e,tsu:e,udono:e,ureshino:e,watarai:e,yokkaichi:e}],miyagi:[1,{furukawa:e,higashimatsushima:e,ishinomaki:e,iwanuma:e,kakuda:e,kami:e,kawasaki:e,marumori:e,matsushima:e,minamisanriku:e,misato:e,murata:e,natori:e,ogawara:e,ohira:e,onagawa:e,osaki:e,rifu:e,semine:e,shibata:e,shichikashuku:e,shikama:e,shiogama:e,shiroishi:e,tagajo:e,taiwa:e,tome:e,tomiya:e,wakuya:e,watari:e,yamamoto:e,zao:e}],miyazaki:[1,{aya:e,ebino:e,gokase:e,hyuga:e,kadogawa:e,kawaminami:e,kijo:e,kitagawa:e,kitakata:e,kitaura:e,kobayashi:e,kunitomi:e,kushima:e,mimata:e,miyakonojo:e,miyazaki:e,morotsuka:e,nichinan:e,nishimera:e,nobeoka:e,saito:e,shiiba:e,shintomi:e,takaharu:e,takanabe:e,takazaki:e,tsuno:e}],nagano:[1,{achi:e,agematsu:e,anan:e,aoki:e,asahi:e,azumino:e,
chikuhoku:e,chikuma:e,chino:e,fujimi:e,hakuba:e,hara:e,hiraya:e,iida:e,iijima:e,iiyama:e,iizuna:e,ikeda:e,ikusaka:e,ina:e,karuizawa:e,kawakami:e,kiso:e,kisofukushima:e,kitaaiki:e,komagane:e,komoro:e,matsukawa:e,matsumoto:e,miasa:e,minamiaiki:e,minamimaki:e,minamiminowa:e,minowa:e,miyada:e,miyota:e,mochizuki:e,nagano:e,nagawa:e,nagiso:e,nakagawa:e,nakano:e,nozawaonsen:e,obuse:e,ogawa:e,okaya:e,omachi:e,omi:e,ookuwa:e,ooshika:e,otaki:e,otari:e,sakae:e,sakaki:e,saku:e,sakuho:e,shimosuwa:e,shinanomachi:e,shiojiri:e,suwa:e,suzaka:e,takagi:e,takamori:e,takayama:e,tateshina:e,tatsuno:e,togakushi:e,togura:e,tomi:e,ueda:e,wada:e,yamagata:e,yamanouchi:e,yasaka:e,yasuoka:e}],nagasaki:[1,{chijiwa:e,futsu:e,goto:e,hasami:e,hirado:e,iki:e,isahaya:e,kawatana:e,kuchinotsu:e,matsuura:e,nagasaki:e,obama:e,omura:e,oseto:e,saikai:e,sasebo:e,seihi:e,shimabara:e,shinkamigoto:e,togitsu:e,tsushima:e,unzen:e}],nara:[1,{ando:e,gose:e,heguri:e,higashiyoshino:e,ikaruga:e,ikoma:e,kamikitayama:e,kanmaki:e,kashiba:e,
kashihara:e,katsuragi:e,kawai:e,kawakami:e,kawanishi:e,koryo:e,kurotaki:e,mitsue:e,miyake:e,nara:e,nosegawa:e,oji:e,ouda:e,oyodo:e,sakurai:e,sango:e,shimoichi:e,shimokitayama:e,shinjo:e,soni:e,takatori:e,tawaramoto:e,tenkawa:e,tenri:e,uda:e,yamatokoriyama:e,yamatotakada:e,yamazoe:e,yoshino:e}],niigata:[1,{aga:e,agano:e,gosen:e,itoigawa:e,izumozaki:e,joetsu:e,kamo:e,kariwa:e,kashiwazaki:e,minamiuonuma:e,mitsuke:e,muika:e,murakami:e,myoko:e,nagaoka:e,niigata:e,ojiya:e,omi:e,sado:e,sanjo:e,seiro:e,seirou:e,sekikawa:e,shibata:e,tagami:e,tainai:e,tochio:e,tokamachi:e,tsubame:e,tsunan:e,uonuma:e,yahiko:e,yoita:e,yuzawa:e}],oita:[1,{beppu:e,bungoono:e,bungotakada:e,hasama:e,hiji:e,himeshima:e,hita:e,kamitsue:e,kokonoe:e,kuju:e,kunisaki:e,kusu:e,oita:e,saiki:e,taketa:e,tsukumi:e,usa:e,usuki:e,yufu:e}],okayama:[1,{akaiwa:e,asakuchi:e,bizen:e,hayashima:e,ibara:e,kagamino:e,kasaoka:e,kibichuo:e,kumenan:e,kurashiki:e,maniwa:e,misaki:e,nagi:e,niimi:e,nishiawakura:e,okayama:e,satosho:e,setouchi:e,shinjo:e,
shoo:e,soja:e,takahashi:e,tamano:e,tsuyama:e,wake:e,yakage:e}],okinawa:[1,{aguni:e,ginowan:e,ginoza:e,gushikami:e,haebaru:e,higashi:e,hirara:e,iheya:e,ishigaki:e,ishikawa:e,itoman:e,izena:e,kadena:e,kin:e,kitadaito:e,kitanakagusuku:e,kumejima:e,kunigami:e,minamidaito:e,motobu:e,nago:e,naha:e,nakagusuku:e,nakijin:e,nanjo:e,nishihara:e,ogimi:e,okinawa:e,onna:e,shimoji:e,taketomi:e,tarama:e,tokashiki:e,tomigusuku:e,tonaki:e,urasoe:e,uruma:e,yaese:e,yomitan:e,yonabaru:e,yonaguni:e,zamami:e}],osaka:[1,{abeno:e,chihayaakasaka:e,chuo:e,daito:e,fujiidera:e,habikino:e,hannan:e,higashiosaka:e,higashisumiyoshi:e,higashiyodogawa:e,hirakata:e,ibaraki:e,ikeda:e,izumi:e,izumiotsu:e,izumisano:e,kadoma:e,kaizuka:e,kanan:e,kashiwara:e,katano:e,kawachinagano:e,kishiwada:e,kita:e,kumatori:e,matsubara:e,minato:e,minoh:e,misaki:e,moriguchi:e,neyagawa:e,nishi:e,nose:e,osakasayama:e,sakai:e,sayama:e,sennan:e,settsu:e,shijonawate:e,shimamoto:e,suita:e,tadaoka:e,taishi:e,tajiri:e,takaishi:e,takatsuki:e,tondabayashi:e,
toyonaka:e,toyono:e,yao:e}],saga:[1,{ariake:e,arita:e,fukudomi:e,genkai:e,hamatama:e,hizen:e,imari:e,kamimine:e,kanzaki:e,karatsu:e,kashima:e,kitagata:e,kitahata:e,kiyama:e,kouhoku:e,kyuragi:e,nishiarita:e,ogi:e,omachi:e,ouchi:e,saga:e,shiroishi:e,taku:e,tara:e,tosu:e,yoshinogari:e}],saitama:[1,{arakawa:e,asaka:e,chichibu:e,fujimi:e,fujimino:e,fukaya:e,hanno:e,hanyu:e,hasuda:e,hatogaya:e,hatoyama:e,hidaka:e,higashichichibu:e,higashimatsuyama:e,honjo:e,ina:e,iruma:e,iwatsuki:e,kamiizumi:e,kamikawa:e,kamisato:e,kasukabe:e,kawagoe:e,kawaguchi:e,kawajima:e,kazo:e,kitamoto:e,koshigaya:e,kounosu:e,kuki:e,kumagaya:e,matsubushi:e,minano:e,misato:e,miyashiro:e,miyoshi:e,moroyama:e,nagatoro:e,namegawa:e,niiza:e,ogano:e,ogawa:e,ogose:e,okegawa:e,omiya:e,otaki:e,ranzan:e,ryokami:e,saitama:e,sakado:e,satte:e,sayama:e,shiki:e,shiraoka:e,soka:e,sugito:e,toda:e,tokigawa:e,tokorozawa:e,tsurugashima:e,urawa:e,warabi:e,yashio:e,yokoze:e,yono:e,yorii:e,yoshida:e,yoshikawa:e,yoshimi:e}],shiga:[1,{aisho:e,gamo:e,
higashiomi:e,hikone:e,koka:e,konan:e,kosei:e,koto:e,kusatsu:e,maibara:e,moriyama:e,nagahama:e,nishiazai:e,notogawa:e,omihachiman:e,otsu:e,ritto:e,ryuoh:e,takashima:e,takatsuki:e,torahime:e,toyosato:e,yasu:e}],shimane:[1,{akagi:e,ama:e,gotsu:e,hamada:e,higashiizumo:e,hikawa:e,hikimi:e,izumo:e,kakinoki:e,masuda:e,matsue:e,misato:e,nishinoshima:e,ohda:e,okinoshima:e,okuizumo:e,shimane:e,tamayu:e,tsuwano:e,unnan:e,yakumo:e,yasugi:e,yatsuka:e}],shizuoka:[1,{arai:e,atami:e,fuji:e,fujieda:e,fujikawa:e,fujinomiya:e,fukuroi:e,gotemba:e,haibara:e,hamamatsu:e,higashiizu:e,ito:e,iwata:e,izu:e,izunokuni:e,kakegawa:e,kannami:e,kawanehon:e,kawazu:e,kikugawa:e,kosai:e,makinohara:e,matsuzaki:e,minamiizu:e,mishima:e,morimachi:e,nishiizu:e,numazu:e,omaezaki:e,shimada:e,shimizu:e,shimoda:e,shizuoka:e,susono:e,yaizu:e,yoshida:e}],tochigi:[1,{ashikaga:e,bato:e,haga:e,ichikai:e,iwafune:e,kaminokawa:e,kanuma:e,karasuyama:e,kuroiso:e,mashiko:e,mibu:e,moka:e,motegi:e,nasu:e,nasushiobara:e,nikko:e,nishikata:e,nogi:e,
ohira:e,ohtawara:e,oyama:e,sakura:e,sano:e,shimotsuke:e,shioya:e,takanezawa:e,tochigi:e,tsuga:e,ujiie:e,utsunomiya:e,yaita:e}],tokushima:[1,{aizumi:e,anan:e,ichiba:e,itano:e,kainan:e,komatsushima:e,matsushige:e,mima:e,minami:e,miyoshi:e,mugi:e,nakagawa:e,naruto:e,sanagochi:e,shishikui:e,tokushima:e,wajiki:e}],tokyo:[1,{adachi:e,akiruno:e,akishima:e,aogashima:e,arakawa:e,bunkyo:e,chiyoda:e,chofu:e,chuo:e,edogawa:e,fuchu:e,fussa:e,hachijo:e,hachioji:e,hamura:e,higashikurume:e,higashimurayama:e,higashiyamato:e,hino:e,hinode:e,hinohara:e,inagi:e,itabashi:e,katsushika:e,kita:e,kiyose:e,kodaira:e,koganei:e,kokubunji:e,komae:e,koto:e,kouzushima:e,kunitachi:e,machida:e,meguro:e,minato:e,mitaka:e,mizuho:e,musashimurayama:e,musashino:e,nakano:e,nerima:e,ogasawara:e,okutama:e,ome:e,oshima:e,ota:e,setagaya:e,shibuya:e,shinagawa:e,shinjuku:e,suginami:e,sumida:e,tachikawa:e,taito:e,tama:e,toshima:e}],tottori:[1,{chizu:e,hino:e,kawahara:e,koge:e,kotoura:e,misasa:e,nanbu:e,nichinan:e,sakaiminato:e,tottori:e,
wakasa:e,yazu:e,yonago:e}],toyama:[1,{asahi:e,fuchu:e,fukumitsu:e,funahashi:e,himi:e,imizu:e,inami:e,johana:e,kamiichi:e,kurobe:e,nakaniikawa:e,namerikawa:e,nanto:e,nyuzen:e,oyabe:e,taira:e,takaoka:e,tateyama:e,toga:e,tonami:e,toyama:e,unazuki:e,uozu:e,yamada:e}],wakayama:[1,{arida:e,aridagawa:e,gobo:e,hashimoto:e,hidaka:e,hirogawa:e,inami:e,iwade:e,kainan:e,kamitonda:e,katsuragi:e,kimino:e,kinokawa:e,kitayama:e,koya:e,koza:e,kozagawa:e,kudoyama:e,kushimoto:e,mihama:e,misato:e,nachikatsuura:e,shingu:e,shirahama:e,taiji:e,tanabe:e,wakayama:e,yuasa:e,yura:e}],yamagata:[1,{asahi:e,funagata:e,higashine:e,iide:e,kahoku:e,kaminoyama:e,kaneyama:e,kawanishi:e,mamurogawa:e,mikawa:e,murayama:e,nagai:e,nakayama:e,nanyo:e,nishikawa:e,obanazawa:e,oe:e,oguni:e,ohkura:e,oishida:e,sagae:e,sakata:e,sakegawa:e,shinjo:e,shirataka:e,shonai:e,takahata:e,tendo:e,tozawa:e,tsuruoka:e,yamagata:e,yamanobe:e,yonezawa:e,yuza:e}],yamaguchi:[1,{abu:e,hagi:e,hikari:e,hofu:e,iwakuni:e,kudamatsu:e,mitou:e,nagato:e,oshima:e,
shimonoseki:e,shunan:e,tabuse:e,tokuyama:e,toyota:e,ube:e,yuu:e}],yamanashi:[1,{chuo:e,doshi:e,fuefuki:e,fujikawa:e,fujikawaguchiko:e,fujiyoshida:e,hayakawa:e,hokuto:e,ichikawamisato:e,kai:e,kofu:e,koshu:e,kosuge:e,"minami-alps":e,minobu:e,nakamichi:e,nanbu:e,narusawa:e,nirasaki:e,nishikatsura:e,oshino:e,otsuki:e,showa:e,tabayama:e,tsuru:e,uenohara:e,yamanakako:e,yamanashi:e}],"xn--4pvxs":e,栃木:e,"xn--vgu402c":e,愛知:e,"xn--c3s14m":e,愛媛:e,"xn--f6qx53a":e,兵庫:e,"xn--8pvr4u":e,熊本:e,"xn--uist22h":e,茨城:e,"xn--djrs72d6uy":e,北海道:e,"xn--mkru45i":e,千葉:e,"xn--0trq7p7nn":e,和歌山:e,"xn--8ltr62k":e,長崎:e,"xn--2m4a15e":e,長野:e,"xn--efvn9s":e,新潟:e,"xn--32vp30h":e,青森:e,"xn--4it797k":e,静岡:e,"xn--1lqs71d":e,東京:e,"xn--5rtp49c":e,石川:e,"xn--5js045d":e,埼玉:e,"xn--ehqz56n":e,三重:e,"xn--1lqs03n":e,京都:e,"xn--qqqt11m":e,佐賀:e,"xn--kbrq7o":e,大分:e,"xn--pssu33l":e,大阪:e,"xn--ntsq17g":e,奈良:e,"xn--uisz3g":e,宮城:e,"xn--6btw5a":e,宮崎:e,
"xn--1ctwo":e,富山:e,"xn--6orx2r":e,山口:e,"xn--rht61e":e,山形:e,"xn--rht27z":e,山梨:e,"xn--djty4k":e,岩手:e,"xn--nit225k":e,岐阜:e,"xn--rht3d":e,岡山:e,"xn--klty5x":e,島根:e,"xn--kltx9a":e,広島:e,"xn--kltp7d":e,徳島:e,"xn--uuwu58a":e,沖縄:e,"xn--zbx025d":e,滋賀:e,"xn--ntso0iqx3a":e,神奈川:e,"xn--elqq16h":e,福井:e,"xn--4it168d":e,福岡:e,"xn--klt787d":e,福島:e,"xn--rny31h":e,秋田:e,"xn--7t0a264c":e,群馬:e,"xn--5rtq34k":e,香川:e,"xn--k7yn95e":e,高知:e,"xn--tor131o":e,鳥取:e,"xn--d5qv7z876c":e,鹿児島:e,kawasaki:o,kitakyushu:o,kobe:o,nagoya:o,sapporo:o,sendai:o,yokohama:o}],ke:[1,{ac:e,co:e,go:e,info:e,me:e,mobi:e,ne:e,or:e,sc:e}],kg:t,kh:o,ki:m,km:[1,{org:e,nom:e,gov:e,prd:e,tm:e,edu:e,mil:e,ass:e,com:e,coop:e,asso:e,presse:e,medecin:e,notaires:e,pharmaciens:e,veterinaire:e,gouv:e}],kn:[1,{net:e,org:e,edu:e,gov:e}],kp:[1,{com:e,edu:e,gov:e,org:e,rep:e,tra:e}],kr:[1,{ac:e,co:e,es:e,go:e,hs:e,kg:e,mil:e,ms:e,ne:e,or:e,pe:e,re:e,sc:e,busan:e,chungbuk:e,
chungnam:e,daegu:e,daejeon:e,gangwon:e,gwangju:e,gyeongbuk:e,gyeonggi:e,gyeongnam:e,incheon:e,jeju:e,jeonbuk:e,jeonnam:e,seoul:e,ulsan:e}],kw:[1,{com:e,edu:e,emb:e,gov:e,ind:e,net:e,org:e}],ky:i,kz:t,la:[1,{int:e,net:e,info:e,edu:e,gov:e,per:e,com:e,org:e}],lb:n,lc:u,li:e,lk:[1,{gov:e,sch:e,net:e,int:e,com:e,org:e,edu:e,ngo:e,soc:e,web:e,ltd:e,assn:e,grp:e,hotel:e,ac:e}],lr:n,ls:[1,{ac:e,biz:e,co:e,edu:e,gov:e,info:e,net:e,org:e,sc:e}],lt:r,lu:e,lv:[1,{com:e,edu:e,gov:e,org:e,mil:e,id:e,net:e,asn:e,conf:e}],ly:[1,{com:e,net:e,gov:e,plc:e,edu:e,sch:e,med:e,org:e,id:e}],ma:[1,{co:e,net:e,gov:e,org:e,ac:e,press:e}],mc:[1,{tm:e,asso:e}],md:e,me:[1,{co:e,net:e,org:e,edu:e,ac:e,gov:e,its:e,priv:e}],mg:[1,{org:e,nom:e,gov:e,prd:e,tm:e,edu:e,mil:e,com:e,co:e}],mh:e,mil:e,mk:[1,{com:e,org:e,net:e,edu:e,gov:e,inf:e,name:e}],ml:[1,{com:e,edu:e,gouv:e,gov:e,net:e,org:e,presse:e}],mm:o,mn:[1,{gov:e,edu:e,org:e}],mo:n,mobi:e,mp:e,mq:e,mr:r,ms:n,mt:i,mu:[1,{com:e,net:e,org:e,gov:e,ac:e,co:e,or:e}],museum:e,
mv:[1,{aero:e,biz:e,com:e,coop:e,edu:e,gov:e,info:e,int:e,mil:e,museum:e,name:e,net:e,org:e,pro:e}],mw:[1,{ac:e,biz:e,co:e,com:e,coop:e,edu:e,gov:e,int:e,museum:e,net:e,org:e}],mx:[1,{com:e,org:e,gob:e,edu:e,net:e}],my:[1,{biz:e,com:e,edu:e,gov:e,mil:e,name:e,net:e,org:e}],mz:[1,{ac:e,adv:e,co:e,edu:e,gov:e,mil:e,net:e,org:e}],na:[1,{info:e,pro:e,name:e,school:e,or:e,dr:e,us:e,mx:e,ca:e,in:e,cc:e,tv:e,ws:e,mobi:e,co:e,com:e,org:e}],name:e,nc:[1,{asso:e,nom:e}],ne:e,net:e,nf:[1,{com:e,net:e,per:e,rec:e,web:e,arts:e,firm:e,info:e,other:e,store:e}],ng:[1,{com:e,edu:e,gov:e,i:e,mil:e,mobi:e,name:e,net:e,org:e,sch:e}],ni:[1,{ac:e,biz:e,co:e,com:e,edu:e,gob:e,in:e,info:e,int:e,mil:e,net:e,nom:e,org:e,web:e}],nl:e,no:[1,{fhs:e,vgs:e,fylkesbibl:e,folkebibl:e,museum:e,idrett:e,priv:e,mil:e,stat:e,dep:e,kommune:e,herad:e,aa:p,ah:p,bu:p,fm:p,hl:p,hm:p,"jan-mayen":p,mr:p,nl:p,nt:p,of:p,ol:p,oslo:p,rl:p,sf:p,st:p,svalbard:p,tm:p,tr:p,va:p,vf:p,akrehamn:e,"xn--krehamn-dxa":e,åkrehamn:e,algard:e,"xn\
--lgrd-poac":e,ålgård:e,arna:e,brumunddal:e,bryne:e,bronnoysund:e,"xn--brnnysund-m8ac":e,brønnøysund:e,drobak:e,"xn--drbak-wua":e,drøbak:e,egersund:e,fetsund:e,floro:e,"xn--flor-jra":e,florø:e,fredrikstad:e,hokksund:e,honefoss:e,"xn--hnefoss-q1a":e,hønefoss:e,jessheim:e,jorpeland:e,"xn--jrpeland-54a":e,jørpeland:e,kirkenes:e,kopervik:e,krokstadelva:e,langevag:e,"xn--langevg-jxa":e,langevåg:e,leirvik:e,mjondalen:e,"xn--mjndalen-64a":e,mjøndalen:e,"mo-i-rana":e,mosjoen:e,"xn--mosjen-eya":e,mosjøen:e,nesoddtangen:e,orkanger:e,osoyro:e,"xn--osyro-wua":e,osøyro:e,raholt:e,"xn--rholt-mra":e,råholt:e,sandnessjoen:e,"xn--sandnessjen-ogb":e,sandnessjøen:e,skedsmokorset:e,slattum:e,spjelkavik:e,stathelle:e,stavern:e,stjordalshalsen:e,"xn--stjrdalshalsen-sqb":e,stjørdalshalsen:e,tananger:e,tranby:e,vossevangen:e,afjord:e,"xn--fjord-lra":e,åfjord:e,agdenes:e,al:e,"xn--l-1fa":e,ål:e,alesund:e,"xn--lesund-hua":e,ålesund:e,alstahaug:e,alta:e,"xn--lt-liac":e,áltá:e,alaheadju:e,"xn-\
-laheadju-7ya":e,álaheadju:e,alvdal:e,amli:e,"xn--mli-tla":e,åmli:e,amot:e,"xn--mot-tla":e,åmot:e,andebu:e,andoy:e,"xn--andy-ira":e,andøy:e,andasuolo:e,ardal:e,"xn--rdal-poa":e,årdal:e,aremark:e,arendal:e,"xn--s-1fa":e,ås:e,aseral:e,"xn--seral-lra":e,åseral:e,asker:e,askim:e,askvoll:e,askoy:e,"xn--asky-ira":e,askøy:e,asnes:e,"xn--snes-poa":e,åsnes:e,audnedaln:e,aukra:e,aure:e,aurland:e,"aurskog-holand":e,"xn--aurskog-hland-jnb":e,"aurskog-høland":e,austevoll:e,austrheim:e,averoy:e,"xn--avery-yua":e,averøy:e,balestrand:e,ballangen:e,balat:e,"xn--blt-elab":e,bálát:e,balsfjord:e,bahccavuotna:e,"xn--bhccavuotna-k7a":e,báhccavuotna:e,bamble:e,bardu:e,beardu:e,beiarn:e,bajddar:e,"xn--bjddar-pta":e,bájddar:e,baidar:e,"xn--bidr-5nac":e,báidár:e,berg:e,bergen:e,berlevag:e,"xn--berlevg-jxa":e,berlevåg:e,bearalvahki:e,"xn--bearalvhki-y4a":e,bearalváhki:e,bindal:e,birkenes:e,bjarkoy:e,"xn--bjarky-fya":e,bjarkøy:e,bjerkreim:e,bjugn:e,bodo:e,"xn--bod-2na":e,bodø:e,badaddja:e,"xn\
--bdddj-mrabd":e,bådåddjå:e,budejju:e,bokn:e,bremanger:e,bronnoy:e,"xn--brnny-wuac":e,brønnøy:e,bygland:e,bykle:e,barum:e,"xn--brum-voa":e,bærum:e,telemark:[0,{bo:e,"xn--b-5ga":e,bø:e}],nordland:[0,{bo:e,"xn--b-5ga":e,bø:e,heroy:e,"xn--hery-ira":e,herøy:e}],bievat:e,"xn--bievt-0qa":e,bievát:e,bomlo:e,"xn--bmlo-gra":e,bømlo:e,batsfjord:e,"xn--btsfjord-9za":e,båtsfjord:e,bahcavuotna:e,"xn--bhcavuotna-s4a":e,báhcavuotna:e,dovre:e,drammen:e,drangedal:e,dyroy:e,"xn--dyry-ira":e,dyrøy:e,donna:e,"xn--dnna-gra":e,dønna:e,eid:e,eidfjord:e,eidsberg:e,eidskog:e,eidsvoll:e,eigersund:e,elverum:e,enebakk:e,engerdal:e,etne:e,etnedal:e,evenes:e,evenassi:e,"xn--eveni-0qa01ga":e,evenášši:e,"evje-og-hornnes":e,farsund:e,fauske:e,fuossko:e,fuoisku:e,fedje:e,fet:e,finnoy:e,"xn--finny-yua":e,finnøy:e,fitjar:e,fjaler:e,fjell:e,flakstad:e,flatanger:e,flekkefjord:e,flesberg:e,flora:e,fla:e,"xn--fl-zia":e,flå:e,folldal:e,forsand:e,fosnes:e,frei:e,frogn:e,froland:e,frosta:e,frana:e,"xn--frna-\
woa":e,fræna:e,froya:e,"xn--frya-hra":e,frøya:e,fusa:e,fyresdal:e,forde:e,"xn--frde-gra":e,førde:e,gamvik:e,gangaviika:e,"xn--ggaviika-8ya47h":e,gáŋgaviika:e,gaular:e,gausdal:e,gildeskal:e,"xn--gildeskl-g0a":e,gildeskål:e,giske:e,gjemnes:e,gjerdrum:e,gjerstad:e,gjesdal:e,gjovik:e,"xn--gjvik-wua":e,gjøvik:e,gloppen:e,gol:e,gran:e,grane:e,granvin:e,gratangen:e,grimstad:e,grong:e,kraanghke:e,"xn--kranghke-b0a":e,kråanghke:e,grue:e,gulen:e,hadsel:e,halden:e,halsa:e,hamar:e,hamaroy:e,habmer:e,"xn--hbmer-xqa":e,hábmer:e,hapmir:e,"xn--hpmir-xqa":e,hápmir:e,hammerfest:e,hammarfeasta:e,"xn--hmmrfeasta-s4ac":e,hámmárfeasta:e,haram:e,hareid:e,harstad:e,hasvik:e,aknoluokta:e,"xn--koluokta-7ya57h":e,ákŋoluokta:e,hattfjelldal:e,aarborte:e,haugesund:e,hemne:e,hemnes:e,hemsedal:e,"more-og-romsdal":[0,{heroy:e,sande:e}],"xn--mre-og-romsdal-qqb":[0,{"xn--hery-ira":e,sande:e}],"møre-og-romsdal":[0,{herøy:e,sande:e}],hitra:e,hjartdal:e,hjelmeland:e,hobol:e,"xn--hobl-ira":e,hobøl:e,hof:e,hol:e,
hole:e,holmestrand:e,holtalen:e,"xn--holtlen-hxa":e,holtålen:e,hornindal:e,horten:e,hurdal:e,hurum:e,hvaler:e,hyllestad:e,hagebostad:e,"xn--hgebostad-g3a":e,hægebostad:e,hoyanger:e,"xn--hyanger-q1a":e,høyanger:e,hoylandet:e,"xn--hylandet-54a":e,høylandet:e,ha:e,"xn--h-2fa":e,hå:e,ibestad:e,inderoy:e,"xn--indery-fya":e,inderøy:e,iveland:e,jevnaker:e,jondal:e,jolster:e,"xn--jlster-bya":e,jølster:e,karasjok:e,karasjohka:e,"xn--krjohka-hwab49j":e,kárášjohka:e,karlsoy:e,galsa:e,"xn--gls-elac":e,gálsá:e,karmoy:e,"xn--karmy-yua":e,karmøy:e,kautokeino:e,guovdageaidnu:e,klepp:e,klabu:e,"xn--klbu-woa":e,klæbu:e,kongsberg:e,kongsvinger:e,kragero:e,"xn--krager-gya":e,kragerø:e,kristiansand:e,kristiansund:e,krodsherad:e,"xn--krdsherad-m8a":e,krødsherad:e,kvalsund:e,rahkkeravju:e,"xn--rhkkervju-01af":e,ráhkkerávju:e,kvam:e,kvinesdal:e,kvinnherad:e,kviteseid:e,kvitsoy:e,"xn--kvitsy-fya":e,kvitsøy:e,kvafjord:e,"xn--kvfjord-nxa":e,kvæfjord:e,giehtavuoatna:e,kvanangen:e,"xn--kvnangen\
-k0a":e,kvænangen:e,navuotna:e,"xn--nvuotna-hwa":e,návuotna:e,kafjord:e,"xn--kfjord-iua":e,kåfjord:e,gaivuotna:e,"xn--givuotna-8ya":e,gáivuotna:e,larvik:e,lavangen:e,lavagis:e,loabat:e,"xn--loabt-0qa":e,loabát:e,lebesby:e,davvesiida:e,leikanger:e,leirfjord:e,leka:e,leksvik:e,lenvik:e,leangaviika:e,"xn--leagaviika-52b":e,leaŋgaviika:e,lesja:e,levanger:e,lier:e,lierne:e,lillehammer:e,lillesand:e,lindesnes:e,lindas:e,"xn--linds-pra":e,lindås:e,lom:e,loppa:e,lahppi:e,"xn--lhppi-xqa":e,láhppi:e,lund:e,lunner:e,luroy:e,"xn--lury-ira":e,lurøy:e,luster:e,lyngdal:e,lyngen:e,ivgu:e,lardal:e,lerdal:e,"xn--lrdal-sra":e,lærdal:e,lodingen:e,"xn--ldingen-q1a":e,lødingen:e,lorenskog:e,"xn--lrenskog-54a":e,lørenskog:e,loten:e,"xn--lten-gra":e,løten:e,malvik:e,masoy:e,"xn--msy-ula0h":e,måsøy:e,muosat:e,"xn--muost-0qa":e,muosát:e,mandal:e,marker:e,marnardal:e,masfjorden:e,meland:e,meldal:e,melhus:e,meloy:e,"xn--mely-ira":e,meløy:e,meraker:e,"xn--merker-kua":e,meråker:e,moareke:e,"xn--mo\
reke-jua":e,moåreke:e,midsund:e,"midtre-gauldal":e,modalen:e,modum:e,molde:e,moskenes:e,moss:e,mosvik:e,malselv:e,"xn--mlselv-iua":e,målselv:e,malatvuopmi:e,"xn--mlatvuopmi-s4a":e,málatvuopmi:e,namdalseid:e,aejrie:e,namsos:e,namsskogan:e,naamesjevuemie:e,"xn--nmesjevuemie-tcba":e,nååmesjevuemie:e,laakesvuemie:e,nannestad:e,narvik:e,narviika:e,naustdal:e,"nedre-eiker":e,akershus:h,buskerud:h,nesna:e,nesodden:e,nesseby:e,unjarga:e,"xn--unjrga-rta":e,unjárga:e,nesset:e,nissedal:e,nittedal:e,"nord-aurdal":e,"nord-fron":e,"nord-odal":e,norddal:e,nordkapp:e,davvenjarga:e,"xn--davvenjrga-y4a":e,davvenjárga:e,"nordre-land":e,nordreisa:e,raisa:e,"xn--risa-5na":e,ráisa:e,"nore-og-uvdal":e,notodden:e,naroy:e,"xn--nry-yla5g":e,nærøy:e,notteroy:e,"xn--nttery-byae":e,nøtterøy:e,odda:e,oksnes:e,"xn--ksnes-uua":e,øksnes:e,oppdal:e,oppegard:e,"xn--oppegrd-ixa":e,oppegård:e,orkdal:e,orland:e,"xn--rland-uua":e,ørland:e,orskog:e,"xn--rskog-uua":e,ørskog:e,orsta:e,"xn--rsta-fra":e,ørsta:e,
hedmark:[0,{os:e,valer:e,"xn--vler-qoa":e,våler:e}],hordaland:[0,{os:e}],osen:e,osteroy:e,"xn--ostery-fya":e,osterøy:e,"ostre-toten":e,"xn--stre-toten-zcb":e,"østre-toten":e,overhalla:e,"ovre-eiker":e,"xn--vre-eiker-k8a":e,"øvre-eiker":e,oyer:e,"xn--yer-zna":e,øyer:e,oygarden:e,"xn--ygarden-p1a":e,øygarden:e,"oystre-slidre":e,"xn--ystre-slidre-ujb":e,"øystre-slidre":e,porsanger:e,porsangu:e,"xn--porsgu-sta26f":e,porsáŋgu:e,porsgrunn:e,radoy:e,"xn--rady-ira":e,radøy:e,rakkestad:e,rana:e,ruovat:e,randaberg:e,rauma:e,rendalen:e,rennebu:e,rennesoy:e,"xn--rennesy-v1a":e,rennesøy:e,rindal:e,ringebu:e,ringerike:e,ringsaker:e,rissa:e,risor:e,"xn--risr-ira":e,risør:e,roan:e,rollag:e,rygge:e,ralingen:e,"xn--rlingen-mxa":e,rælingen:e,rodoy:e,"xn--rdy-0nab":e,rødøy:e,romskog:e,"xn--rmskog-bya":e,rømskog:e,roros:e,"xn--rros-gra":e,røros:e,rost:e,"xn--rst-0na":e,røst:e,royken:e,"xn--ryken-vua":e,røyken:e,royrvik:e,"xn--ryrvik-bya":e,røyrvik:e,rade:e,"xn--rde-ula":e,råde:e,salangen:e,
siellak:e,saltdal:e,salat:e,"xn--slt-elab":e,sálát:e,"xn--slat-5na":e,sálat:e,samnanger:e,vestfold:[0,{sande:e}],sandefjord:e,sandnes:e,sandoy:e,"xn--sandy-yua":e,sandøy:e,sarpsborg:e,sauda:e,sauherad:e,sel:e,selbu:e,selje:e,seljord:e,sigdal:e,siljan:e,sirdal:e,skaun:e,skedsmo:e,ski:e,skien:e,skiptvet:e,skjervoy:e,"xn--skjervy-v1a":e,skjervøy:e,skierva:e,"xn--skierv-uta":e,skiervá:e,skjak:e,"xn--skjk-soa":e,skjåk:e,skodje:e,skanland:e,"xn--sknland-fxa":e,skånland:e,skanit:e,"xn--sknit-yqa":e,skánit:e,smola:e,"xn--smla-hra":e,smøla:e,snillfjord:e,snasa:e,"xn--snsa-roa":e,snåsa:e,snoasa:e,snaase:e,"xn--snase-nra":e,snåase:e,sogndal:e,sokndal:e,sola:e,solund:e,songdalen:e,sortland:e,spydeberg:e,stange:e,stavanger:e,steigen:e,steinkjer:e,stjordal:e,"xn--stjrdal-s1a":e,stjørdal:e,stokke:e,"stor-elvdal":e,stord:e,stordal:e,storfjord:e,omasvuotna:e,strand:e,stranda:e,stryn:e,sula:e,suldal:e,sund:e,sunndal:e,surnadal:e,sveio:e,svelvik:e,sykkylven:e,sogne:e,"xn--sgne-gra":e,søgne:e,
somna:e,"xn--smna-gra":e,sømna:e,"sondre-land":e,"xn--sndre-land-0cb":e,"søndre-land":e,"sor-aurdal":e,"xn--sr-aurdal-l8a":e,"sør-aurdal":e,"sor-fron":e,"xn--sr-fron-q1a":e,"sør-fron":e,"sor-odal":e,"xn--sr-odal-q1a":e,"sør-odal":e,"sor-varanger":e,"xn--sr-varanger-ggb":e,"sør-varanger":e,"matta-varjjat":e,"xn--mtta-vrjjat-k7af":e,"mátta-várjjat":e,sorfold:e,"xn--srfold-bya":e,sørfold:e,sorreisa:e,"xn--srreisa-q1a":e,sørreisa:e,sorum:e,"xn--srum-gra":e,sørum:e,tana:e,deatnu:e,time:e,tingvoll:e,tinn:e,tjeldsund:e,dielddanuorri:e,tjome:e,"xn--tjme-hra":e,tjøme:e,tokke:e,tolga:e,torsken:e,tranoy:e,"xn--trany-yua":e,tranøy:e,tromso:e,"xn--troms-zua":e,tromsø:e,tromsa:e,romsa:e,trondheim:e,troandin:e,trysil:e,trana:e,"xn--trna-woa":e,træna:e,trogstad:e,"xn--trgstad-r1a":e,trøgstad:e,tvedestrand:e,tydal:e,tynset:e,tysfjord:e,divtasvuodna:e,divttasvuotna:e,tysnes:e,tysvar:e,"xn--tysvr-vra":e,tysvær:e,tonsberg:e,"xn--tnsberg-q1a":e,tønsberg:e,ullensaker:e,ullensvang:e,ulvik:e,
utsira:e,vadso:e,"xn--vads-jra":e,vadsø:e,cahcesuolo:e,"xn--hcesuolo-7ya35b":e,čáhcesuolo:e,vaksdal:e,valle:e,vang:e,vanylven:e,vardo:e,"xn--vard-jra":e,vardø:e,varggat:e,"xn--vrggt-xqad":e,várggát:e,vefsn:e,vaapste:e,vega:e,vegarshei:e,"xn--vegrshei-c0a":e,vegårshei:e,vennesla:e,verdal:e,verran:e,vestby:e,vestnes:e,"vestre-slidre":e,"vestre-toten":e,vestvagoy:e,"xn--vestvgy-ixa6o":e,vestvågøy:e,vevelstad:e,vik:e,vikna:e,vindafjord:e,volda:e,voss:e,varoy:e,"xn--vry-yla5g":e,værøy:e,vagan:e,"xn--vgan-qoa":e,vågan:e,voagat:e,vagsoy:e,"xn--vgsy-qoa0j":e,vågsøy:e,vaga:e,"xn--vg-yiab":e,vågå:e,ostfold:[0,{valer:e}],"xn--stfold-9xa":[0,{"xn--vler-qoa":e}],østfold:[0,{våler:e}]}],np:o,nr:m,nu:e,nz:[1,{ac:e,co:e,cri:e,geek:e,gen:e,govt:e,health:e,iwi:e,kiwi:e,maori:e,mil:e,"xn--mori-qsa":e,māori:e,net:e,org:e,parliament:e,school:e}],om:[1,{co:e,com:e,edu:e,gov:e,med:e,museum:e,net:e,org:e,pro:e}],onion:e,org:e,pa:[1,{ac:e,gob:e,com:e,org:e,sld:e,edu:e,net:e,ing:e,abo:e,med:e,
nom:e}],pe:[1,{edu:e,gob:e,nom:e,mil:e,org:e,com:e,net:e}],pf:[1,{com:e,org:e,edu:e}],pg:o,ph:[1,{com:e,net:e,org:e,gov:e,edu:e,ngo:e,mil:e,i:e}],pk:[1,{com:e,net:e,edu:e,org:e,fam:e,biz:e,web:e,gov:e,gob:e,gok:e,gon:e,gop:e,gos:e,info:e}],pl:[1,{com:e,net:e,org:e,aid:e,agro:e,atm:e,auto:e,biz:e,edu:e,gmina:e,gsm:e,info:e,mail:e,miasta:e,media:e,mil:e,nieruchomosci:e,nom:e,pc:e,powiat:e,priv:e,realestate:e,rel:e,sex:e,shop:e,sklep:e,sos:e,szkola:e,targi:e,tm:e,tourism:e,travel:e,turystyka:e,gov:[1,{ap:e,griw:e,ic:e,is:e,kmpsp:e,konsulat:e,kppsp:e,kwp:e,kwpsp:e,mup:e,mw:e,oia:e,oirm:e,oke:e,oow:e,oschr:e,oum:e,pa:e,pinb:e,piw:e,po:e,pr:e,psp:e,psse:e,pup:e,rzgw:e,sa:e,sdn:e,sko:e,so:e,sr:e,starostwo:e,ug:e,ugim:e,um:e,umig:e,upow:e,uppo:e,us:e,uw:e,uzs:e,wif:e,wiih:e,winb:e,wios:e,witd:e,wiw:e,wkz:e,wsa:e,wskr:e,wsse:e,wuoz:e,wzmiuw:e,zp:e,zpisdn:e}],augustow:e,"babia-gora":e,bedzin:e,beskidy:e,bialowieza:e,bialystok:e,bielawa:e,bieszczady:e,boleslawiec:e,bydgoszcz:e,bytom:e,cieszyn:e,czeladz:e,
czest:e,dlugoleka:e,elblag:e,elk:e,glogow:e,gniezno:e,gorlice:e,grajewo:e,ilawa:e,jaworzno:e,"jelenia-gora":e,jgora:e,kalisz:e,"kazimierz-dolny":e,karpacz:e,kartuzy:e,kaszuby:e,katowice:e,kepno:e,ketrzyn:e,klodzko:e,kobierzyce:e,kolobrzeg:e,konin:e,konskowola:e,kutno:e,lapy:e,lebork:e,legnica:e,lezajsk:e,limanowa:e,lomza:e,lowicz:e,lubin:e,lukow:e,malbork:e,malopolska:e,mazowsze:e,mazury:e,mielec:e,mielno:e,mragowo:e,naklo:e,nowaruda:e,nysa:e,olawa:e,olecko:e,olkusz:e,olsztyn:e,opoczno:e,opole:e,ostroda:e,ostroleka:e,ostrowiec:e,ostrowwlkp:e,pila:e,pisz:e,podhale:e,podlasie:e,polkowice:e,pomorze:e,pomorskie:e,prochowice:e,pruszkow:e,przeworsk:e,pulawy:e,radom:e,"rawa-maz":e,rybnik:e,rzeszow:e,sanok:e,sejny:e,slask:e,slupsk:e,sosnowiec:e,"stalowa-wola":e,skoczow:e,starachowice:e,stargard:e,suwalki:e,swidnica:e,swiebodzin:e,swinoujscie:e,szczecin:e,szczytno:e,tarnobrzeg:e,tgory:e,turek:e,tychy:e,ustka:e,walbrzych:e,warmia:e,warszawa:e,waw:e,wegrow:e,wielun:e,wlocl:e,wloclawek:e,wodzislaw:e,
wolomin:e,wroclaw:e,zachpomor:e,zagan:e,zarow:e,zgora:e,zgorzelec:e}],pm:e,pn:[1,{gov:e,co:e,org:e,edu:e,net:e}],post:e,pr:[1,{com:e,net:e,org:e,gov:e,edu:e,isla:e,pro:e,biz:e,info:e,name:e,est:e,prof:e,ac:e}],pro:[1,{aaa:e,aca:e,acct:e,avocat:e,bar:e,cpa:e,eng:e,jur:e,law:e,med:e,recht:e}],ps:[1,{edu:e,gov:e,sec:e,plo:e,com:e,org:e,net:e}],pt:[1,{net:e,gov:e,org:e,edu:e,int:e,publ:e,com:e,nome:e}],pw:[1,{co:e,ne:e,or:e,ed:e,go:e,belau:e}],py:[1,{com:e,coop:e,edu:e,gov:e,mil:e,net:e,org:e}],qa:d,re:[1,{asso:e,com:e,nom:e}],ro:[1,{arts:e,com:e,firm:e,info:e,nom:e,nt:e,org:e,rec:e,store:e,tm:e,www:e}],rs:[1,{ac:e,co:e,edu:e,gov:e,in:e,org:e}],ru:e,rw:[1,{ac:e,co:e,coop:e,gov:e,mil:e,net:e,org:e}],sa:[1,{com:e,net:e,org:e,gov:e,med:e,pub:e,edu:e,sch:e}],sb:n,sc:n,sd:[1,{com:e,net:e,org:e,edu:e,med:e,tv:e,gov:e,info:e}],se:[1,{a:e,ac:e,b:e,bd:e,brand:e,c:e,d:e,e,f:e,fh:e,fhsk:e,fhv:e,g:e,h:e,i:e,k:e,komforb:e,kommunalforbund:e,komvux:e,l:e,lanbib:e,m:e,n:e,naturbruksgymn:e,o:e,org:e,p:e,parti:e,
pp:e,press:e,r:e,s:e,t:e,tm:e,u:e,w:e,x:e,y:e,z:e}],sg:[1,{com:e,net:e,org:e,gov:e,edu:e,per:e}],sh:[1,{com:e,net:e,gov:e,org:e,mil:e}],si:e,sj:e,sk:e,sl:n,sm:e,sn:[1,{art:e,com:e,edu:e,gouv:e,org:e,perso:e,univ:e}],so:[1,{com:e,edu:e,gov:e,me:e,net:e,org:e}],sr:e,ss:[1,{biz:e,com:e,edu:e,gov:e,me:e,net:e,org:e,sch:e}],st:[1,{co:e,com:e,consulado:e,edu:e,embaixada:e,mil:e,net:e,org:e,principe:e,saotome:e,store:e}],su:e,sv:[1,{com:e,edu:e,gob:e,org:e,red:e}],sx:r,sy:t,sz:[1,{co:e,ac:e,org:e}],tc:e,td:e,tel:e,tf:e,tg:e,th:[1,{ac:e,co:e,go:e,in:e,mi:e,net:e,or:e}],tj:[1,{ac:e,biz:e,co:e,com:e,edu:e,go:e,gov:e,int:e,mil:e,name:e,net:e,nic:e,org:e,test:e,web:e}],tk:e,tl:r,tm:[1,{com:e,co:e,org:e,net:e,nom:e,gov:e,mil:e,edu:e}],tn:[1,{com:e,ens:e,fin:e,gov:e,ind:e,info:e,intl:e,mincom:e,nat:e,net:e,org:e,perso:e,tourism:e}],to:t,tr:[1,{av:e,bbs:e,bel:e,biz:e,com:e,dr:e,edu:e,gen:e,gov:e,info:e,mil:e,k12:e,kep:e,name:e,net:e,org:e,pol:e,tel:e,tsk:e,tv:e,web:e,nc:r}],tt:[1,{co:e,com:e,org:e,net:e,
biz:e,info:e,pro:e,int:e,coop:e,jobs:e,mobi:e,travel:e,museum:e,aero:e,name:e,gov:e,edu:e}],tv:e,tw:[1,{edu:e,gov:e,mil:e,com:e,net:e,org:e,idv:e,game:e,ebiz:e,club:e,"xn--zf0ao64a":e,網路:e,"xn--uc0atv":e,組織:e,"xn--czrw28b":e,商業:e}],tz:[1,{ac:e,co:e,go:e,hotel:e,info:e,me:e,mil:e,mobi:e,ne:e,or:e,sc:e,tv:e}],ua:[1,{com:e,edu:e,gov:e,in:e,net:e,org:e,cherkassy:e,cherkasy:e,chernigov:e,chernihiv:e,chernivtsi:e,chernovtsy:e,ck:e,cn:e,cr:e,crimea:e,cv:e,dn:e,dnepropetrovsk:e,dnipropetrovsk:e,donetsk:e,dp:e,if:e,"ivano-frankivsk":e,kh:e,kharkiv:e,kharkov:e,kherson:e,khmelnitskiy:e,khmelnytskyi:e,kiev:e,kirovograd:e,km:e,kr:e,kropyvnytskyi:e,krym:e,ks:e,kv:e,kyiv:e,lg:e,lt:e,lugansk:e,luhansk:e,lutsk:e,lv:e,lviv:e,mk:e,mykolaiv:e,nikolaev:e,od:e,odesa:e,odessa:e,pl:e,poltava:e,rivne:e,rovno:e,rv:e,sb:e,sebastopol:e,sevastopol:e,sm:e,sumy:e,te:e,ternopil:e,uz:e,uzhgorod:e,uzhhorod:e,vinnica:e,vinnytsia:e,vn:e,volyn:e,yalta:e,zakarpattia:e,zaporizhzhe:e,zaporizhzhia:e,zhitomir:e,zhytomyr:e,
zp:e,zt:e}],ug:[1,{co:e,or:e,ac:e,sc:e,go:e,ne:e,com:e,org:e}],uk:[1,{ac:e,co:e,gov:e,ltd:e,me:e,net:e,nhs:e,org:e,plc:e,police:e,sch:o}],us:[1,{dni:e,fed:e,isa:e,kids:e,nsn:e,ak:f,al:f,ar:f,as:f,az:f,ca:f,co:f,ct:f,dc:f,de:y,fl:f,ga:f,gu:f,hi:v,ia:f,id:f,il:f,in:f,ks:f,ky:f,la:f,ma:[1,{k12:[1,{pvt:e,chtr:e,paroch:e}],cc:e,lib:e}],md:f,me:f,mi:[1,{k12:e,cc:e,lib:e,"ann-arbor":e,cog:e,dst:e,eaton:e,gen:e,mus:e,tec:e,washtenaw:e}],mn:f,mo:f,ms:f,mt:f,nc:f,nd:v,ne:f,nh:f,nj:f,nm:f,nv:f,ny:f,oh:f,ok:f,or:f,pa:f,pr:f,ri:v,sc:f,sd:v,tn:f,tx:f,ut:f,vi:f,vt:f,va:f,wa:f,wi:f,wv:y,wy:f}],uy:[1,{com:e,edu:e,gub:e,mil:e,net:e,org:e}],uz:[1,{co:e,com:e,net:e,org:e}],va:e,vc:t,ve:[1,{arts:e,bib:e,co:e,com:e,e12:e,edu:e,firm:e,gob:e,gov:e,info:e,int:e,mil:e,net:e,nom:e,org:e,rar:e,rec:e,store:e,tec:e,web:e}],vg:e,vi:[1,{co:e,com:e,k12:e,net:e,org:e}],vn:[1,{ac:e,ai:e,biz:e,com:e,edu:e,gov:e,health:e,id:e,info:e,int:e,io:e,name:e,net:e,org:e,pro:e,angiang:e,bacgiang:e,backan:e,baclieu:e,bacninh:e,"bar\
ia-vungtau":e,bentre:e,binhdinh:e,binhduong:e,binhphuoc:e,binhthuan:e,camau:e,cantho:e,caobang:e,daklak:e,daknong:e,danang:e,dienbien:e,dongnai:e,dongthap:e,gialai:e,hagiang:e,haiduong:e,haiphong:e,hanam:e,hanoi:e,hatinh:e,haugiang:e,hoabinh:e,hungyen:e,khanhhoa:e,kiengiang:e,kontum:e,laichau:e,lamdong:e,langson:e,laocai:e,longan:e,namdinh:e,nghean:e,ninhbinh:e,ninhthuan:e,phutho:e,phuyen:e,quangbinh:e,quangnam:e,quangngai:e,quangninh:e,quangtri:e,soctrang:e,sonla:e,tayninh:e,thaibinh:e,thainguyen:e,thanhhoa:e,thanhphohochiminh:e,thuathienhue:e,tiengiang:e,travinh:e,tuyenquang:e,vinhlong:e,vinhphuc:e,yenbai:e}],vu:i,wf:e,ws:n,yt:e,"xn--mgbaam7a8h":e,امارات:e,"xn--y9a3aq":e,հայ:e,"xn--54b7fta0cc":e,বাংলা:e,"xn--90ae":e,бг:e,"xn--mgbcpq6gpa1a":e,البحرين:e,"xn--90ais":e,бел:e,"xn--fiqs8s":e,中国:e,"xn--fiqz9s":e,中國:e,"xn--lgbbat1ad8j":e,الجزائر:e,"xn--wgbh1c":e,مصر:e,"xn--e1a4c":e,ею:e,"xn--qxa6a":e,ευ:e,"xn--mgbah1a3hjkrd":e,موريتانيا:e,
"xn--node":e,გე:e,"xn--qxam":e,ελ:e,"xn--j6w193g":[1,{"xn--55qx5d":e,"xn--wcvs22d":e,"xn--mxtq1m":e,"xn--gmqw5a":e,"xn--od0alg":e,"xn--uc0atv":e}],香港:[1,{公司:e,教育:e,政府:e,個人:e,網絡:e,組織:e}],"xn--2scrj9c":e,ಭಾರತ:e,"xn--3hcrj9c":e,ଭାରତ:e,"xn--45br5cyl":e,ভাৰত:e,"xn--h2breg3eve":e,भारतम्:e,"xn--h2brj9c8c":e,भारोत:e,"xn--mgbgu82a":e,ڀارت:e,"xn--rvc1e0am3e":e,ഭാരതം:e,"xn--h2brj9c":e,भारत:e,"xn--mgbbh1a":e,بارت:e,"xn--mgbbh1a71e":e,بھارت:e,"xn--fpcrj9c3d":e,భారత్:e,"xn--gecrj9c":e,ભારત:e,"xn--s9brj9c":e,ਭਾਰਤ:e,"xn--45brj9c":e,ভারত:e,"xn--xkc2dl3a5ee0h":e,இந்தியா:e,"xn--mgba3a4f16a":e,ایران:e,"xn--mgba3a4fra":e,ايران:e,"xn--mgbtx2b":e,عراق:e,"xn--mgbayh7gpa":e,الاردن:e,"xn--3e0b707e":e,한국:e,"xn--80ao21a":e,қаз:e,"xn--q7ce6a":e,ລາວ:e,"xn--fzc2c9e2c":e,ලංකා:e,"xn--xkc2al3hye2a":e,இலங்கை:e,"\
xn--mgbc0a9azcg":e,المغرب:e,"xn--d1alf":e,мкд:e,"xn--l1acc":e,мон:e,"xn--mix891f":e,澳門:e,"xn--mix082f":e,澳门:e,"xn--mgbx4cd0ab":e,مليسيا:e,"xn--mgb9awbf":e,عمان:e,"xn--mgbai9azgqp6j":e,پاکستان:e,"xn--mgbai9a5eva00b":e,پاكستان:e,"xn--ygbi2ammx":e,فلسطين:e,"xn--90a3ac":[1,{"xn--o1ac":e,"xn--c1avg":e,"xn--90azh":e,"xn--d1at":e,"xn--o1ach":e,"xn--80au":e}],срб:[1,{пр:e,орг:e,обр:e,од:e,упр:e,ак:e}],"xn--p1ai":e,рф:e,"xn--wgbl6a":e,قطر:e,"xn--mgberp4a5d4ar":e,السعودية:e,"xn--mgberp4a5d4a87g":e,السعودیة:e,"xn--mgbqly7c0a67fbc":e,السعودیۃ:e,"xn--mgbqly7cvafr":e,السعوديه:e,"xn--mgbpl2fh":e,سودان:e,"xn--yfro4i67o":e,新加坡:e,"xn--clchc0ea0b2g2a9gcd":e,சிங்கப்பூர்:e,"xn--ogbpf8fl":e,سورية:e,"xn--mgbtf8fl":e,سوريا:e,"xn--o3cw4h":[1,{"xn--12c1fe0br":e,"xn--12co0c3b4eva":e,"xn--h3cuzk1di":e,"xn--o3cyx2a":e,"xn--m3ch0j3a":e,"xn--12cfi8ixb8l":e}],ไทย:[1,
{ศึกษา:e,ธุรกิจ:e,รัฐบาล:e,ทหาร:e,เน็ต:e,องค์กร:e}],"xn--pgbs0dh":e,تونس:e,"xn--kpry57d":e,台灣:e,"xn--kprw13d":e,台湾:e,"xn--nnx388a":e,臺灣:e,"xn--j1amh":e,укр:e,"xn--mgb2ddes":e,اليمن:e,xxx:e,ye:t,za:[0,{ac:e,agric:e,alt:e,co:e,edu:e,gov:e,grondar:e,law:e,mil:e,net:e,ngo:e,nic:e,nis:e,nom:e,org:e,school:e,tm:e,web:e}],zm:[1,{ac:e,biz:e,co:e,com:e,edu:e,gov:e,info:e,mil:e,net:e,org:e,sch:e}],zw:[1,{ac:e,co:e,gov:e,mil:e,org:e}],aaa:e,aarp:e,abb:e,abbott:e,abbvie:e,abc:e,able:e,abogado:e,abudhabi:e,academy:e,accenture:e,accountant:e,accountants:e,aco:e,actor:e,ads:e,adult:e,aeg:e,aetna:e,afl:e,africa:e,agakhan:e,agency:e,aig:e,airbus:e,airforce:e,airtel:e,akdn:e,alibaba:e,alipay:e,allfinanz:e,allstate:e,ally:e,alsace:e,alstom:e,amazon:e,americanexpress:e,americanfamily:e,amex:e,amfam:e,amica:e,amsterdam:e,analytics:e,android:e,anquan:e,anz:e,aol:e,apartments:e,app:e,apple:e,aquarelle:e,arab:e,aramco:e,archi:e,
army:e,art:e,arte:e,asda:e,associates:e,athleta:e,attorney:e,auction:e,audi:e,audible:e,audio:e,auspost:e,author:e,auto:e,autos:e,aws:e,axa:e,azure:e,baby:e,baidu:e,banamex:e,band:e,bank:e,bar:e,barcelona:e,barclaycard:e,barclays:e,barefoot:e,bargains:e,baseball:e,basketball:e,bauhaus:e,bayern:e,bbc:e,bbt:e,bbva:e,bcg:e,bcn:e,beats:e,beauty:e,beer:e,bentley:e,berlin:e,best:e,bestbuy:e,bet:e,bharti:e,bible:e,bid:e,bike:e,bing:e,bingo:e,bio:e,black:e,blackfriday:e,blockbuster:e,blog:e,bloomberg:e,blue:e,bms:e,bmw:e,bnpparibas:e,boats:e,boehringer:e,bofa:e,bom:e,bond:e,boo:e,book:e,booking:e,bosch:e,bostik:e,boston:e,bot:e,boutique:e,box:e,bradesco:e,bridgestone:e,broadway:e,broker:e,brother:e,brussels:e,build:e,builders:e,business:e,buy:e,buzz:e,bzh:e,cab:e,cafe:e,cal:e,call:e,calvinklein:e,cam:e,camera:e,camp:e,canon:e,capetown:e,capital:e,capitalone:e,car:e,caravan:e,cards:e,care:e,career:e,careers:e,cars:e,casa:e,case:e,cash:e,casino:e,catering:e,catholic:e,cba:e,cbn:e,cbre:e,center:e,
ceo:e,cern:e,cfa:e,cfd:e,chanel:e,channel:e,charity:e,chase:e,chat:e,cheap:e,chintai:e,christmas:e,chrome:e,church:e,cipriani:e,circle:e,cisco:e,citadel:e,citi:e,citic:e,city:e,claims:e,cleaning:e,click:e,clinic:e,clinique:e,clothing:e,cloud:e,club:e,clubmed:e,coach:e,codes:e,coffee:e,college:e,cologne:e,commbank:e,community:e,company:e,compare:e,computer:e,comsec:e,condos:e,construction:e,consulting:e,contact:e,contractors:e,cooking:e,cool:e,corsica:e,country:e,coupon:e,coupons:e,courses:e,cpa:e,credit:e,creditcard:e,creditunion:e,cricket:e,crown:e,crs:e,cruise:e,cruises:e,cuisinella:e,cymru:e,cyou:e,dabur:e,dad:e,dance:e,data:e,date:e,dating:e,datsun:e,day:e,dclk:e,dds:e,deal:e,dealer:e,deals:e,degree:e,delivery:e,dell:e,deloitte:e,delta:e,democrat:e,dental:e,dentist:e,desi:e,design:e,dev:e,dhl:e,diamonds:e,diet:e,digital:e,direct:e,directory:e,discount:e,discover:e,dish:e,diy:e,dnp:e,docs:e,doctor:e,dog:e,domains:e,dot:e,download:e,drive:e,dtv:e,dubai:e,dunlop:e,dupont:e,durban:e,dvag:e,
dvr:e,earth:e,eat:e,eco:e,edeka:e,education:e,email:e,emerck:e,energy:e,engineer:e,engineering:e,enterprises:e,epson:e,equipment:e,ericsson:e,erni:e,esq:e,estate:e,eurovision:e,eus:e,events:e,exchange:e,expert:e,exposed:e,express:e,extraspace:e,fage:e,fail:e,fairwinds:e,faith:e,family:e,fan:e,fans:e,farm:e,farmers:e,fashion:e,fast:e,fedex:e,feedback:e,ferrari:e,ferrero:e,fidelity:e,fido:e,film:e,final:e,finance:e,financial:e,fire:e,firestone:e,firmdale:e,fish:e,fishing:e,fit:e,fitness:e,flickr:e,flights:e,flir:e,florist:e,flowers:e,fly:e,foo:e,food:e,football:e,ford:e,forex:e,forsale:e,forum:e,foundation:e,fox:e,free:e,fresenius:e,frl:e,frogans:e,frontier:e,ftr:e,fujitsu:e,fun:e,fund:e,furniture:e,futbol:e,fyi:e,gal:e,gallery:e,gallo:e,gallup:e,game:e,games:e,gap:e,garden:e,gay:e,gbiz:e,gdn:e,gea:e,gent:e,genting:e,george:e,ggee:e,gift:e,gifts:e,gives:e,giving:e,glass:e,gle:e,global:e,globo:e,gmail:e,gmbh:e,gmo:e,gmx:e,godaddy:e,gold:e,goldpoint:e,golf:e,goo:e,goodyear:e,goog:e,google:e,
gop:e,got:e,grainger:e,graphics:e,gratis:e,green:e,gripe:e,grocery:e,group:e,gucci:e,guge:e,guide:e,guitars:e,guru:e,hair:e,hamburg:e,hangout:e,haus:e,hbo:e,hdfc:e,hdfcbank:e,health:e,healthcare:e,help:e,helsinki:e,here:e,hermes:e,hiphop:e,hisamitsu:e,hitachi:e,hiv:e,hkt:e,hockey:e,holdings:e,holiday:e,homedepot:e,homegoods:e,homes:e,homesense:e,honda:e,horse:e,hospital:e,host:e,hosting:e,hot:e,hotels:e,hotmail:e,house:e,how:e,hsbc:e,hughes:e,hyatt:e,hyundai:e,ibm:e,icbc:e,ice:e,icu:e,ieee:e,ifm:e,ikano:e,imamat:e,imdb:e,immo:e,immobilien:e,inc:e,industries:e,infiniti:e,ing:e,ink:e,institute:e,insurance:e,insure:e,international:e,intuit:e,investments:e,ipiranga:e,irish:e,ismaili:e,ist:e,istanbul:e,itau:e,itv:e,jaguar:e,java:e,jcb:e,jeep:e,jetzt:e,jewelry:e,jio:e,jll:e,jmp:e,jnj:e,joburg:e,jot:e,joy:e,jpmorgan:e,jprs:e,juegos:e,juniper:e,kaufen:e,kddi:e,kerryhotels:e,kerrylogistics:e,kerryproperties:e,kfh:e,kia:e,kids:e,kim:e,kindle:e,kitchen:e,kiwi:e,koeln:e,komatsu:e,kosher:e,kpmg:e,kpn:e,
krd:e,kred:e,kuokgroup:e,kyoto:e,lacaixa:e,lamborghini:e,lamer:e,lancaster:e,land:e,landrover:e,lanxess:e,lasalle:e,lat:e,latino:e,latrobe:e,law:e,lawyer:e,lds:e,lease:e,leclerc:e,lefrak:e,legal:e,lego:e,lexus:e,lgbt:e,lidl:e,life:e,lifeinsurance:e,lifestyle:e,lighting:e,like:e,lilly:e,limited:e,limo:e,lincoln:e,link:e,lipsy:e,live:e,living:e,llc:e,llp:e,loan:e,loans:e,locker:e,locus:e,lol:e,london:e,lotte:e,lotto:e,love:e,lpl:e,lplfinancial:e,ltd:e,ltda:e,lundbeck:e,luxe:e,luxury:e,madrid:e,maif:e,maison:e,makeup:e,man:e,management:e,mango:e,map:e,market:e,marketing:e,markets:e,marriott:e,marshalls:e,mattel:e,mba:e,mckinsey:e,med:e,media:e,meet:e,melbourne:e,meme:e,memorial:e,men:e,menu:e,merckmsd:e,miami:e,microsoft:e,mini:e,mint:e,mit:e,mitsubishi:e,mlb:e,mls:e,mma:e,mobile:e,moda:e,moe:e,moi:e,mom:e,monash:e,money:e,monster:e,mormon:e,mortgage:e,moscow:e,moto:e,motorcycles:e,mov:e,movie:e,msd:e,mtn:e,mtr:e,music:e,nab:e,nagoya:e,natura:e,navy:e,nba:e,nec:e,netbank:e,netflix:e,network:e,
neustar:e,new:e,news:e,next:e,nextdirect:e,nexus:e,nfl:e,ngo:e,nhk:e,nico:e,nike:e,nikon:e,ninja:e,nissan:e,nissay:e,nokia:e,norton:e,now:e,nowruz:e,nowtv:e,nra:e,nrw:e,ntt:e,nyc:e,obi:e,observer:e,office:e,okinawa:e,olayan:e,olayangroup:e,ollo:e,omega:e,one:e,ong:e,onl:e,online:e,ooo:e,open:e,oracle:e,orange:e,organic:e,origins:e,osaka:e,otsuka:e,ott:e,ovh:e,page:e,panasonic:e,paris:e,pars:e,partners:e,parts:e,party:e,pay:e,pccw:e,pet:e,pfizer:e,pharmacy:e,phd:e,philips:e,phone:e,photo:e,photography:e,photos:e,physio:e,pics:e,pictet:e,pictures:e,pid:e,pin:e,ping:e,pink:e,pioneer:e,pizza:e,place:e,play:e,playstation:e,plumbing:e,plus:e,pnc:e,pohl:e,poker:e,politie:e,porn:e,pramerica:e,praxi:e,press:e,prime:e,prod:e,productions:e,prof:e,progressive:e,promo:e,properties:e,property:e,protection:e,pru:e,prudential:e,pub:e,pwc:e,qpon:e,quebec:e,quest:e,racing:e,radio:e,read:e,realestate:e,realtor:e,realty:e,recipes:e,red:e,redstone:e,redumbrella:e,rehab:e,reise:e,reisen:e,reit:e,reliance:e,
ren:e,rent:e,rentals:e,repair:e,report:e,republican:e,rest:e,restaurant:e,review:e,reviews:e,rexroth:e,rich:e,richardli:e,ricoh:e,ril:e,rio:e,rip:e,rocks:e,rodeo:e,rogers:e,room:e,rsvp:e,rugby:e,ruhr:e,run:e,rwe:e,ryukyu:e,saarland:e,safe:e,safety:e,sakura:e,sale:e,salon:e,samsclub:e,samsung:e,sandvik:e,sandvikcoromant:e,sanofi:e,sap:e,sarl:e,sas:e,save:e,saxo:e,sbi:e,sbs:e,scb:e,schaeffler:e,schmidt:e,scholarships:e,school:e,schule:e,schwarz:e,science:e,scot:e,search:e,seat:e,secure:e,security:e,seek:e,select:e,sener:e,services:e,seven:e,sew:e,sex:e,sexy:e,sfr:e,shangrila:e,sharp:e,shaw:e,shell:e,shia:e,shiksha:e,shoes:e,shop:e,shopping:e,shouji:e,show:e,silk:e,sina:e,singles:e,site:e,ski:e,skin:e,sky:e,skype:e,sling:e,smart:e,smile:e,sncf:e,soccer:e,social:e,softbank:e,software:e,sohu:e,solar:e,solutions:e,song:e,sony:e,soy:e,spa:e,space:e,sport:e,spot:e,srl:e,stada:e,staples:e,star:e,statebank:e,statefarm:e,stc:e,stcgroup:e,stockholm:e,storage:e,store:e,stream:e,studio:e,study:e,style:e,
sucks:e,supplies:e,supply:e,support:e,surf:e,surgery:e,suzuki:e,swatch:e,swiss:e,sydney:e,systems:e,tab:e,taipei:e,talk:e,taobao:e,target:e,tatamotors:e,tatar:e,tattoo:e,tax:e,taxi:e,tci:e,tdk:e,team:e,tech:e,technology:e,temasek:e,tennis:e,teva:e,thd:e,theater:e,theatre:e,tiaa:e,tickets:e,tienda:e,tips:e,tires:e,tirol:e,tjmaxx:e,tjx:e,tkmaxx:e,tmall:e,today:e,tokyo:e,tools:e,top:e,toray:e,toshiba:e,total:e,tours:e,town:e,toyota:e,toys:e,trade:e,trading:e,training:e,travel:e,travelers:e,travelersinsurance:e,trust:e,trv:e,tube:e,tui:e,tunes:e,tushu:e,tvs:e,ubank:e,ubs:e,unicom:e,university:e,uno:e,uol:e,ups:e,vacations:e,vana:e,vanguard:e,vegas:e,ventures:e,verisign:e,versicherung:e,vet:e,viajes:e,video:e,vig:e,viking:e,villas:e,vin:e,vip:e,virgin:e,visa:e,vision:e,viva:e,vivo:e,vlaanderen:e,vodka:e,volvo:e,vote:e,voting:e,voto:e,voyage:e,wales:e,walmart:e,walter:e,wang:e,wanggou:e,watch:e,watches:e,weather:e,weatherchannel:e,webcam:e,weber:e,website:e,wed:e,wedding:e,weibo:e,weir:e,whoswho:e,
wien:e,wiki:e,williamhill:e,win:e,windows:e,wine:e,winners:e,wme:e,wolterskluwer:e,woodside:e,work:e,works:e,world:e,wow:e,wtc:e,wtf:e,xbox:e,xerox:e,xihuan:e,xin:e,"xn--11b4c3d":e,कॉम:e,"xn--1ck2e1b":e,セール:e,"xn--1qqw23a":e,佛山:e,"xn--30rr7y":e,慈善:e,"xn--3bst00m":e,集团:e,"xn--3ds443g":e,在线:e,"xn--3pxu8k":e,点看:e,"xn--42c2d9a":e,คอม:e,"xn--45q11c":e,八卦:e,"xn--4gbrim":e,موقع:e,"xn--55qw42g":e,公益:e,"xn--55qx5d":e,公司:e,"xn--5su34j936bgsg":e,香格里拉:e,"xn--5tzm5g":e,网站:e,"xn--6frz82g":e,移动:e,"xn--6qq986b3xl":e,我爱你:e,"xn--80adxhks":e,москва:e,"xn--80aqecdr1a":e,католик:e,"xn--80asehdb":e,онлайн:e,"xn--80aswg":e,сайт:e,"xn--8y0a063a":e,联通:e,"xn--9dbq2a":e,קום:e,"xn--9et52u":e,时尚:e,"xn--9krt00a":e,微博:e,"xn--b4w605ferd":e,淡马锡:e,"xn--bck1b9a5dre4c":e,ファッション:e,"xn--c1avg":e,орг:e,"xn--c2br7g":e,नेट:e,"xn--cck2b3b":e,ストア:e,"xn--cckwcxetd":e,アマゾン:e,"x\
n--cg4bki":e,삼성:e,"xn--czr694b":e,商标:e,"xn--czrs0t":e,商店:e,"xn--czru2d":e,商城:e,"xn--d1acj3b":e,дети:e,"xn--eckvdtc9d":e,ポイント:e,"xn--efvy88h":e,新闻:e,"xn--fct429k":e,家電:e,"xn--fhbei":e,كوم:e,"xn--fiq228c5hs":e,中文网:e,"xn--fiq64b":e,中信:e,"xn--fjq720a":e,娱乐:e,"xn--flw351e":e,谷歌:e,"xn--fzys8d69uvgm":e,電訊盈科:e,"xn--g2xx48c":e,购物:e,"xn--gckr3f0f":e,クラウド:e,"xn--gk3at1e":e,通販:e,"xn--hxt814e":e,网店:e,"xn--i1b6b1a6a2e":e,संगठन:e,"xn--imr513n":e,餐厅:e,"xn--io0a7i":e,网络:e,"xn--j1aef":e,ком:e,"xn--jlq480n2rg":e,亚马逊:e,"xn--jvr189m":e,食品:e,"xn--kcrx77d1x4a":e,飞利浦:e,"xn--kput3i":e,手机:e,"xn--mgba3a3ejt":e,ارامكو:e,"xn--mgba7c0bbn0a":e,العليان:e,"xn--mgbab2bd":e,بازار:e,"xn--mgbca7dzdo":e,ابوظبي:e,"xn--mgbi4ecexp":e,كاثوليك:e,"xn--mgbt3dhd":e,همراه:e,"xn--mk1bu44c":e,닷컴:e,"xn--mxtq1m":e,政府:e,"xn--ngbc5azd":e,شبكة:e,"xn--ngbe9e0a":e,بيتك:e,
"xn--ngbrx":e,عرب:e,"xn--nqv7f":e,机构:e,"xn--nqv7fs00ema":e,组织机构:e,"xn--nyqy26a":e,健康:e,"xn--otu796d":e,招聘:e,"xn--p1acf":e,рус:e,"xn--pssy2u":e,大拿:e,"xn--q9jyb4c":e,みんな:e,"xn--qcka1pmc":e,グーグル:e,"xn--rhqv96g":e,世界:e,"xn--rovu88b":e,書籍:e,"xn--ses554g":e,网址:e,"xn--t60b56a":e,닷넷:e,"xn--tckwe":e,コム:e,"xn--tiq49xqyj":e,天主教:e,"xn--unup4y":e,游戏:e,"xn--vermgensberater-ctb":e,vermögensberater:e,"xn--vermgensberatung-pwb":e,vermögensberatung:e,"xn--vhquv":e,企业:e,"xn--vuq861b":e,信息:e,"xn--w4r85el8fhu5dnra":e,嘉里大酒店:e,"xn--w4rs40l":e,嘉里:e,"xn--xhq521b":e,广东:e,"xn--zfr164b":e,政务:e,xyz:e,yachts:e,yahoo:e,yamaxun:e,yandex:e,yodobashi:e,yoga:e,yokohama:e,you:e,youtube:e,yun:e,zappos:e,zara:e,zero:e,zip:e,zone:e,zuerich:e}]}()});function ZI(e,t,n){let r=null,a=t;for(;a!==void 0&&(a[0]===1&&(r={index:n+1}),n!==-1);){let o=a[1];a=Object.prototype.hasOwnProperty.call(o,e[n])?o[e[n]]:o["*"],n-=1}return r}function Og(e,t,n){var r;if(qm(e,t,n))return;let a=e.split("."),o=ZI(a,KI,a.length-1);if(o!==null){n.publicSuffix=a.slice(o.index+1).join(".");return}let i=ZI(a,JI,a.length-1);if(i!==null){n.publicSuffix=a.slice(i.index).join(".");return}n.publicSuffix=(r=a[a.length-1])!==null&&r!==void 0?r:null}var QI=g(()=>{l();Lg();XI();s(ZI,"lookupInTrie");s(Og,"suffixLookup")});function tM(e,t={}){return Ng(eM),Pg(e,3,Og,t,eM).domain}var eM,nM=g(()=>{l();Lg();QI();eM=Mg();s(tM,"getDomain")});var Ze,YJ,rM,aM,H,KJ,_t=g(()=>{"use strict";l();A();Ze={didntCollectScreenshots:"Chrome didn't collect any screenshots during the page load. Please make sure there is content visible on the page, and then try re-running Lighthouse. ({errorCode})",badTraceRecording:"Something went wrong with recording the trace over your page load. Please run Lighthouse again. ({errorCode})",noFcp:"The page did not paint any content. Please ensure you keep the browser window in the foreground during the load and try again. ({errorCode})",noLcp:"The page did not display content that qualifies as a Largest Contentful Paint (LCP). Ensure the page has a valid LCP element and then try again. ({errorCode})",pageLoadTookTooLong:"Your page took too long to load. Please follow the opportunities in the report to reduce your page load time, and then try re-running Lighthouse. ({errorCode})",pageLoadFailed:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and \
that the server is properly responding to all requests.",pageLoadFailedWithStatusCode:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Status code: {statusCode})",pageLoadFailedWithDetails:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Details: {errorDetails})",pageLoadFailedInsecure:"The URL you have provided does not have a valid security certificate. {securityMessages}",pageLoadFailedInterstitial:"Chrome prevented page load with an interstitial. Make sure you are testing the correct URL and that the server is properly responding to all requests.",internalChromeError:"An internal Chrome error occurred. Please restart Chrome and try re-running Lighthouse.",requestContentTimeout:"Fetching resource content has exceeded the allotted time",notHtml:"The pa\
ge provided is not HTML (served as MIME type {mimeType}).",urlInvalid:"The URL you have provided appears to be invalid.",protocolTimeout:"Waiting for DevTools protocol response has exceeded the allotted time. (Method: {protocolMethod})",dnsFailure:"DNS servers could not resolve the provided domain.",pageLoadFailedHung:"Lighthouse was unable to reliably load the URL you requested because the page stopped responding.",criTimeout:"Timeout waiting for initial Debugger Protocol connection.",missingRequiredArtifact:"Required {artifactName} gatherer did not run.",erroredRequiredArtifact:"Required {artifactName} gatherer encountered an error: {errorMessage}",oldChromeDoesNotSupportFeature:"This version of Chrome is too old to support '{featureName}'. Use a newer version to see full results.",targetCrashed:"Browser tab has unexpectedly crashed."},YJ=D("core/lib/lh-error.js",Ze),rM="__LighthouseErrorSentinel",aM="__ErrorSentinel",H=class e extends Error{static{s(this,"LighthouseError")}constructor(t,n,r){
super(t.code,r),this.name="LighthouseError",this.code=t.code,this.friendlyMessage=YJ(t.message,{errorCode:this.code,...n}),this.lhrRuntimeError=!!t.lhrRuntimeError,n&&Object.assign(this,n),Error.captureStackTrace(this,e)}static fromProtocolMessage(t,n){let r=Object.values(e.errors).filter(i=>i.pattern).find(i=>i.pattern&&i.pattern.test(n.message));if(r)return new e(r);let a=`(${t}): ${n.message}`;n.data&&(a+=` (${n.data})`);let o=new Error(`Protocol error ${a}`);return Object.assign(o,{protocolMethod:t,protocolError:n.message})}static stringifyReplacer(t){if(t instanceof e){let{name:n,code:r,message:a,friendlyMessage:o,lhrRuntimeError:i,stack:c,cause:u,...d}=t;return{sentinel:rM,code:r,stack:c,cause:u,properties:d}}if(t instanceof Error){let{message:n,stack:r,cause:a}=t,o=t.code;return{sentinel:aM,message:n,code:o,stack:r,cause:a}}throw new Error("Invalid value for LighthouseError stringification")}static parseReviver(t,n){if(typeof n=="object"&&n!==null){if(n.sentinel===rM){let{code:r,
stack:a,cause:o,properties:i}=n,c=e.errors[r],u=new e(c,i,{cause:o});return u.stack=a,u}if(n.sentinel===aM){let{message:r,code:a,stack:o,cause:i}=n,c=i?{cause:i}:void 0,u=new Error(r,c);return Object.assign(u,{code:a,stack:o}),u}}return n}},KJ={NO_SPEEDLINE_FRAMES:{code:"NO_SPEEDLINE_FRAMES",message:Ze.didntCollectScreenshots,lhrRuntimeError:!0},SPEEDINDEX_OF_ZERO:{code:"SPEEDINDEX_OF_ZERO",message:Ze.didntCollectScreenshots,lhrRuntimeError:!0},NO_SCREENSHOTS:{code:"NO_SCREENSHOTS",message:Ze.didntCollectScreenshots,lhrRuntimeError:!0},INVALID_SPEEDLINE:{code:"INVALID_SPEEDLINE",message:Ze.didntCollectScreenshots,lhrRuntimeError:!0},NO_TRACING_STARTED:{code:"NO_TRACING_STARTED",message:Ze.badTraceRecording,lhrRuntimeError:!0},NO_RESOURCE_REQUEST:{code:"NO_RESOURCE_REQUEST",message:Ze.badTraceRecording,lhrRuntimeError:!0},NO_NAVSTART:{code:"NO_NAVSTART",message:Ze.badTraceRecording,lhrRuntimeError:!0},NO_FCP:{code:"NO_FCP",message:Ze.noFcp,lhrRuntimeError:!0},NO_DCL:{code:"NO_DCL",message:Ze.
badTraceRecording,lhrRuntimeError:!0},NO_FMP:{code:"NO_FMP",message:Ze.badTraceRecording},NO_LCP:{code:"NO_LCP",message:Ze.noLcp},NO_LCP_ALL_FRAMES:{code:"NO_LCP_ALL_FRAMES",message:Ze.noLcp},UNSUPPORTED_OLD_CHROME:{code:"UNSUPPORTED_OLD_CHROME",message:Ze.oldChromeDoesNotSupportFeature},NO_TTI_CPU_IDLE_PERIOD:{code:"NO_TTI_CPU_IDLE_PERIOD",message:Ze.pageLoadTookTooLong},NO_TTI_NETWORK_IDLE_PERIOD:{code:"NO_TTI_NETWORK_IDLE_PERIOD",message:Ze.pageLoadTookTooLong},NO_DOCUMENT_REQUEST:{code:"NO_DOCUMENT_REQUEST",message:Ze.pageLoadFailed,lhrRuntimeError:!0},FAILED_DOCUMENT_REQUEST:{code:"FAILED_DOCUMENT_REQUEST",message:Ze.pageLoadFailedWithDetails,lhrRuntimeError:!0},ERRORED_DOCUMENT_REQUEST:{code:"ERRORED_DOCUMENT_REQUEST",message:Ze.pageLoadFailedWithStatusCode,lhrRuntimeError:!0},INSECURE_DOCUMENT_REQUEST:{code:"INSECURE_DOCUMENT_REQUEST",message:Ze.pageLoadFailedInsecure,lhrRuntimeError:!0},CHROME_INTERSTITIAL_ERROR:{code:"CHROME_INTERSTITIAL_ERROR",message:Ze.pageLoadFailedInterstitial,
lhrRuntimeError:!0},PAGE_HUNG:{code:"PAGE_HUNG",message:Ze.pageLoadFailedHung,lhrRuntimeError:!0},NOT_HTML:{code:"NOT_HTML",message:Ze.notHtml,lhrRuntimeError:!0},TRACING_ALREADY_STARTED:{code:"TRACING_ALREADY_STARTED",message:Ze.internalChromeError,pattern:/Tracing.*started/,lhrRuntimeError:!0},PARSING_PROBLEM:{code:"PARSING_PROBLEM",message:Ze.internalChromeError,pattern:/Parsing problem/,lhrRuntimeError:!0},READ_FAILED:{code:"READ_FAILED",message:Ze.internalChromeError,pattern:/Read failed/,lhrRuntimeError:!0},INVALID_URL:{code:"INVALID_URL",message:Ze.urlInvalid},PROTOCOL_TIMEOUT:{code:"PROTOCOL_TIMEOUT",message:Ze.protocolTimeout,lhrRuntimeError:!0},DNS_FAILURE:{code:"DNS_FAILURE",message:Ze.dnsFailure,lhrRuntimeError:!0},CRI_TIMEOUT:{code:"CRI_TIMEOUT",message:Ze.criTimeout,lhrRuntimeError:!0},MISSING_REQUIRED_ARTIFACT:{code:"MISSING_REQUIRED_ARTIFACT",message:Ze.missingRequiredArtifact},ERRORED_REQUIRED_ARTIFACT:{code:"ERRORED_REQUIRED_ARTIFACT",message:Ze.erroredRequiredArtifact},
TARGET_CRASHED:{code:"TARGET_CRASHED",message:Ze.targetCrashed,lhrRuntimeError:!0}};H.errors=KJ;H.NO_ERROR="NO_ERROR";H.UNKNOWN_ERROR="UNKNOWN_ERROR"});function eX(e){return!e||!e.startsWith("chrome://")?e:(e.endsWith("/")&&(e=e.replace(/\/$/,"")),e.replace(/^chrome:\/\/chrome\//,"chrome://"))}var JJ,XJ,ZJ,QJ,zm,K,tt=g(()=>{"use strict";l();nM();Nn();_t();JJ=["https:","http:","chrome:","chrome-extension:"],XJ=["data","https","wss","blob","chrome","chrome-extension","about","filesystem"],ZJ=["localhost","127.0.0.1"],QJ=["blob","data","intent","file","filesystem","chrome-extension"];s(eX,"rewriteChromeInternalUrl");zm=class e{static{s(this,"UrlUtils")}static isValid(t){try{return new URL(t),!0}catch{return!1}}static hostsMatch(t,n){try{return new URL(t).host===new URL(n).host}catch{return!1}}static originsMatch(t,n){try{return new URL(t).origin===new URL(n).origin}catch{return!1}}static getOrigin(t){try{let n=new URL(t);return n.protocol==="chrome-extension:"?Ne.getChromeExtensionOrigin(t):n.host&&n.origin||null}catch{return null}}static getRootDomain(t){let n=Ne.createOrReturnURL(t);return tM(n.href)||n.hostname}static rootDomainsMatch(t,n){
let r,a;try{r=Ne.createOrReturnURL(t),a=Ne.createOrReturnURL(n)}catch{return!1}if(!r.hostname||!a.hostname)return!1;let o=e.getRootDomain(r),i=e.getRootDomain(a);return o===i}static getURLDisplayName(t,n){return Ne.getURLDisplayName(new URL(t),n)}static elideDataURI(t){try{return new URL(t).protocol==="data:"?Ne.truncate(t,100):t}catch{return t}}static equalWithExcludedFragments(t,n){[t,n]=[t,n].map(eX);try{let r=new URL(t);r.hash="";let a=new URL(n);return a.hash="",r.href===a.href}catch{return!1}}static isProtocolAllowed(t){try{let n=new URL(t);return JJ.includes(n.protocol)}catch{return!1}}static isLikeLocalhost(t){return ZJ.includes(t)||t.endsWith(".localhost")}static isSecureScheme(t){return XJ.includes(t)}static isNonNetworkProtocol(t){let n=t.includes(":")?t.slice(0,t.indexOf(":")):t;return QJ.includes(n)}static guessMimeType(t){let n;try{n=new URL(t)}catch{return}if(n.protocol==="data:"){let o=n.pathname.match(/^(image\/(png|jpeg|svg\+xml|webp|gif|avif))[;,]/);return o?o[1]:void 0}
let r=n.pathname.toLowerCase().match(/\.(png|jpeg|jpg|svg|webp|gif|avif)$/);if(!r)return;let a=r[1];return a==="svg"?"image/svg+xml":a==="jpg"?"image/jpeg":`image/${a}`}static normalizeUrl(t){if(t&&this.isValid(t)&&this.isProtocolAllowed(t))return new URL(t).href;throw new H(H.errors.INVALID_URL)}};zm.INVALID_URL_DEBUG_STRING="Lighthouse was unable to determine the URL of some script executions. It's possible a Chrome extension or other eval'd code is the source.";K=zm});var oM,tX,nX,Xt,Hi=g(()=>{"use strict";l();Jt();tt();oM=14*1024,tX=.4,nX={Document:.9,XHR:.9,Fetch:.9},Xt=class e{static{s(this,"NetworkAnalyzer")}static get SUMMARY(){return"__SUMMARY__"}static groupByOrigin(t){let n=new Map;return t.forEach(r=>{let a=r.parsedURL.securityOrigin,o=n.get(a)||[];o.push(r),n.set(a,o)}),n}static getSummary(t){t.sort((r,a)=>r-a);let n;if(t.length===0)n=t[0];else if(t.length%2===0){let r=t[Math.floor((t.length-1)/2)],a=t[Math.floor((t.length-1)/2)+1];n=(r+a)/2}else n=t[Math.floor((t.length-1)/2)];return{min:t[0],max:t[t.length-1],avg:t.reduce((r,a)=>r+a,0)/t.length,median:n}}static summarize(t){let n=new Map,r=[];for(let[a,o]of t)n.set(a,e.getSummary(o)),r.push(...o);return n.set(e.SUMMARY,e.getSummary(r)),n}static _estimateValueByOrigin(t,n){let r=e.estimateIfConnectionWasReused(t),a=e.groupByOrigin(t),o=new Map;for(let[i,c]of a.entries()){let u=[];for(let d of c){let m=d.timing;if(!m)continue;let p=n({record:d,timing:m,connectionReused:r.get(d.requestId)});
typeof p<"u"&&(u=u.concat(p))}u.length&&o.set(i,u)}return o}static _estimateRTTViaConnectionTiming(t){let{timing:n,connectionReused:r,record:a}=t;if(r)return;let{connectStart:o,sslStart:i,sslEnd:c,connectEnd:u}=n;if(u>=0&&o>=0&&a.protocol.startsWith("h3"))return u-o;if(i>=0&&c>=0&&i!==o)return[u-i,i-o];if(o>=0&&u>=0)return u-o}static _estimateRTTViaDownloadTiming(t){let{timing:n,connectionReused:r,record:a}=t;if(r||a.transferSize<=oM||!Number.isFinite(n.receiveHeadersEnd)||n.receiveHeadersEnd<0)return;let i=a.networkEndTime-a.networkRequestTime-n.receiveHeadersEnd,c=Math.log2(a.transferSize/oM);if(!(c>5))return i/c}static _estimateRTTViaSendStartTiming(t){let{timing:n,connectionReused:r,record:a}=t;if(r||!Number.isFinite(n.sendStart)||n.sendStart<0)return;let o=1;return a.protocol.startsWith("h3")||(o+=1),a.parsedURL.scheme==="https"&&(o+=1),n.sendStart/o}static _estimateRTTViaHeadersEndTiming(t){let{timing:n,connectionReused:r,record:a}=t;if(!Number.isFinite(n.receiveHeadersEnd)||n.receiveHeadersEnd<
0||!a.resourceType)return;let o=nX[a.resourceType]||tX,i=n.receiveHeadersEnd*o,c=1;return r||(c+=1,a.protocol.startsWith("h3")||(c+=1),a.parsedURL.scheme==="https"&&(c+=1)),Math.max((n.receiveHeadersEnd-i)/c,3)}static _estimateResponseTimeByOrigin(t,n){return e._estimateValueByOrigin(t,({record:r,timing:a})=>{if(r.serverResponseTime!==void 0)return r.serverResponseTime;if(!Number.isFinite(a.receiveHeadersEnd)||a.receiveHeadersEnd<0||!Number.isFinite(a.sendEnd)||a.sendEnd<0)return;let o=a.receiveHeadersEnd-a.sendEnd,i=r.parsedURL.securityOrigin,c=n.get(i)||n.get(e.SUMMARY)||0;return Math.max(o-c,0)})}static canTrustConnectionInformation(t){let n=new Map;for(let r of t){let a=n.get(r.connectionId)||!r.connectionReused;n.set(r.connectionId,a)}return n.size<=1?!1:Array.from(n.values()).every(r=>r)}static estimateIfConnectionWasReused(t,n){let{forceCoarseEstimates:r=!1}=n||{};if(!r&&e.canTrustConnectionInformation(t))return new Map(t.map(i=>[i.requestId,!!i.connectionReused]));let a=new Map,
o=e.groupByOrigin(t);for(let[i,c]of o.entries()){let u=c.map(m=>m.networkEndTime).reduce((m,p)=>Math.min(m,p),1/0);for(let m of c)a.set(m.requestId,m.networkRequestTime>=u||m.protocol==="h2");let d=c.reduce((m,p)=>m.networkRequestTime>p.networkRequestTime?p:m);a.set(d.requestId,!1)}return a}static estimateRTTByOrigin(t,n){let{forceCoarseEstimates:r=!1,coarseEstimateMultiplier:a=.3,useDownloadEstimates:o=!0,useSendStartEstimates:i=!0,useHeadersEndEstimates:c=!0}=n||{},u=e.estimateIfConnectionWasReused(t),d=e.groupByOrigin(t),m=new Map;for(let[h,f]of d.entries()){let v=function(w,E=1){for(let T of f){let S=T.timing;if(!S)continue;let C=w({record:T,timing:S,connectionReused:u.get(T.requestId)});C!==void 0&&(Array.isArray(C)?y.push(...C.map(F=>F*E)):y.push(C*E))}};var p=v;s(v,"collectEstimates");let y=[];r||v(this._estimateRTTViaConnectionTiming),y.length||(o&&v(this._estimateRTTViaDownloadTiming,a),i&&v(this._estimateRTTViaSendStartTiming,a),c&&v(this._estimateRTTViaHeadersEndTiming,a)),y.
length&&m.set(h,y)}if(!m.size)throw new Error("No timing information available");return e.summarize(m)}static estimateServerResponseTimeByOrigin(t,n){let r=(n||{}).rttByOrigin;if(!r){r=new Map;let o=e.estimateRTTByOrigin(t,n);for(let[i,c]of o.entries())r.set(i,c.min)}let a=e._estimateResponseTimeByOrigin(t,r);return e.summarize(a)}static estimateThroughput(t){let n=0,r=t.reduce((c,u)=>(u.parsedURL?.scheme==="data"||u.failed||!u.finished||u.statusCode>300||!u.transferSize||(n+=u.transferSize,c.push({time:u.responseHeadersEndTime/1e3,isStart:!0}),c.push({time:u.networkEndTime/1e3,isStart:!1})),c),[]).sort((c,u)=>c.time-u.time);if(!r.length)return 1/0;let a=0,o=0,i=0;return r.forEach(c=>{c.isStart?(a===0&&(o=c.time),a++):(a--,a===0&&(i+=c.time-o))}),n*8/i}static findResourceForUrl(t,n){return t.find(r=>n.startsWith(r.url)&&K.equalWithExcludedFragments(r.url,n))}static findLastDocumentForUrl(t,n){let r=t.filter(a=>a.resourceType==="Document"&&n.startsWith(a.url)&&K.equalWithExcludedFragments(
a.url,n));return r[r.length-1]}static resolveRedirects(t){for(;t.redirectDestination;)t=t.redirectDestination;return t}}});var rX,aX,oX,Hm,iM=g(()=>{"use strict";l();Jt();Hi();Cg();rX=30,aX=["https","wss"],oX=6,Hm=class{static{s(this,"ConnectionPool")}constructor(t,n){this._options=n,this._records=t,this._connectionsByOrigin=new Map,this._connectionsByRecord=new Map,this._connectionsInUse=new Set,this._connectionReusedByRequestId=Xt.estimateIfConnectionWasReused(t,{forceCoarseEstimates:!0}),this._initializeConnections()}connectionsInUse(){return Array.from(this._connectionsInUse)}_initializeConnections(){let t=this._connectionReusedByRequestId,n=this._options.additionalRttByOrigin,r=this._options.serverResponseTimeByOrigin,a=Xt.groupByOrigin(this._records);for(let[o,i]of a.entries()){let c=[],u=n.get(o)||0,d=r.get(o)||rX;for(let p of i){if(t.get(p.requestId))continue;let h=aX.includes(p.parsedURL.scheme),f=p.protocol==="h2",y=new zi(this._options.rtt+u,this._options.throughput,d,h,f);c.push(y)}if(!c.length)throw new Error(`Could not find a connection for origin: ${o}`);let m=c[0].isH2()?1:oX;for(;c.length<
m;)c.push(c[0].clone());this._connectionsByOrigin.set(o,c)}}_findAvailableConnectionWithLargestCongestionWindow(t){let n=null;for(let r=0;r<t.length;r++){let a=t[r];if(this._connectionsInUse.has(a))continue;let o=n?.congestionWindow||-1/0;a.congestionWindow>o&&(n=a)}return n}acquire(t){if(this._connectionsByRecord.has(t))throw new Error("Record already has a connection");let n=t.parsedURL.securityOrigin,r=this._connectionsByOrigin.get(n)||[],a=this._findAvailableConnectionWithLargestCongestionWindow(r);return a?(this._connectionsInUse.add(a),this._connectionsByRecord.set(t,a),a):null}acquireActiveConnectionFromRecord(t){let n=this._connectionsByRecord.get(t);if(!n)throw new Error("Could not find an active connection for record");return n}release(t){let n=this._connectionsByRecord.get(t);this._connectionsByRecord.delete(t),this._connectionsInUse.delete(n)}}});var iX,Wi,sM=g(()=>{"use strict";l();Jt();iX=2,Wi=class e{static{s(this,"DNSCache")}constructor({rtt:t}){this._rtt=t,this._resolvedDomainNames=new Map}getTimeUntilResolution(t,n){let{requestedAt:r=0,shouldUpdateCache:a=!1}=n||{},o=t.parsedURL.host,i=this._resolvedDomainNames.get(o),c=this._rtt*e.RTT_MULTIPLIER;if(i){let d=Math.max(i.resolvedAt-r,0);c=Math.min(d,c)}let u=r+c;return a&&this._updateCacheResolvedAtIfNeeded(t,u),c}_updateCacheResolvedAtIfNeeded(t,n){let r=t.parsedURL.host,a=this._resolvedDomainNames.get(r)||{resolvedAt:n};a.resolvedAt=Math.min(a.resolvedAt,n),this._resolvedDomainNames.set(r,a)}setResolvedAt(t,n){this._resolvedDomainNames.set(t,{resolvedAt:n})}};Wi.RTT_MULTIPLIER=iX});var Vc,cM=g(()=>{"use strict";l();jn();Vc=class{static{s(this,"SimulatorTimingMap")}constructor(){this._nodeTimings=new Map}getNodes(){return Array.from(this._nodeTimings.keys())}setReadyToStart(t,n){this._nodeTimings.set(t,n)}setInProgress(t,n){let r={...this.getQueued(t),startTime:n.startTime,timeElapsed:0};this._nodeTimings.set(t,t.type===Be.TYPES.NETWORK?{...r,timeElapsedOvershoot:0,bytesDownloaded:0}:r)}setCompleted(t,n){let r={...this.getInProgress(t),endTime:n.endTime,connectionTiming:n.connectionTiming};this._nodeTimings.set(t,r)}setCpu(t,n){let r={...this.getCpuStarted(t),timeElapsed:n.timeElapsed};this._nodeTimings.set(t,r)}setCpuEstimated(t,n){let r={...this.getCpuStarted(t),estimatedTimeElapsed:n.estimatedTimeElapsed};this._nodeTimings.set(t,r)}setNetwork(t,n){let r={...this.getNetworkStarted(t),timeElapsed:n.timeElapsed,timeElapsedOvershoot:n.timeElapsedOvershoot,bytesDownloaded:n.bytesDownloaded};this._nodeTimings.set(t,r)}setNetworkEstimated(t,n){let r={...this.getNetworkStarted(
t),estimatedTimeElapsed:n.estimatedTimeElapsed};this._nodeTimings.set(t,r)}getQueued(t){let n=this._nodeTimings.get(t);if(!n)throw new Error(`Node ${t.id} not yet queued`);return n}getCpuStarted(t){let n=this._nodeTimings.get(t);if(!n)throw new Error(`Node ${t.id} not yet queued`);if(!("startTime"in n))throw new Error(`Node ${t.id} not yet started`);if("bytesDownloaded"in n)throw new Error(`Node ${t.id} timing not valid`);return n}getNetworkStarted(t){let n=this._nodeTimings.get(t);if(!n)throw new Error(`Node ${t.id} not yet queued`);if(!("startTime"in n))throw new Error(`Node ${t.id} not yet started`);if(!("bytesDownloaded"in n))throw new Error(`Node ${t.id} timing not valid`);return n}getInProgress(t){let n=this._nodeTimings.get(t);if(!n)throw new Error(`Node ${t.id} not yet queued`);if(!("startTime"in n))throw new Error(`Node ${t.id} not yet started`);if(!("estimatedTimeElapsed"in n))throw new Error(`Node ${t.id} not yet in progress`);return n}getCompleted(t){let n=this._nodeTimings.
get(t);if(!n)throw new Error(`Node ${t.id} not yet queued`);if(!("startTime"in n))throw new Error(`Node ${t.id} not yet started`);if(!("estimatedTimeElapsed"in n))throw new Error(`Node ${t.id} not yet in progress`);if(!("endTime"in n))throw new Error(`Node ${t.id} not yet completed`);return n}}});var Rr={};x(Rr,{defaultSettings:()=>qn,nonSimulatedSettingsOverrides:()=>Gi,screenEmulationMetrics:()=>Wm,throttling:()=>sr,userAgents:()=>Ma});var sr,sX,cX,Wm,uX,lX,Ma,qn,Gi,cr=g(()=>{"use strict";l();sr={DEVTOOLS_RTT_ADJUSTMENT_FACTOR:3.75,DEVTOOLS_THROUGHPUT_ADJUSTMENT_FACTOR:.9,mobileSlow4G:{rttMs:150,throughputKbps:1638.4,requestLatencyMs:562.5,downloadThroughputKbps:1474.5600000000002,uploadThroughputKbps:675,cpuSlowdownMultiplier:4},mobileRegular3G:{rttMs:300,throughputKbps:700,requestLatencyMs:1125,downloadThroughputKbps:630,uploadThroughputKbps:630,cpuSlowdownMultiplier:4},desktopDense4G:{rttMs:40,throughputKbps:10240,cpuSlowdownMultiplier:1,requestLatencyMs:0,downloadThroughputKbps:0,uploadThroughputKbps:0}},sX={mobile:!0,width:412,height:823,deviceScaleFactor:1.75,disabled:!1},cX={mobile:!1,width:1350,height:940,deviceScaleFactor:1,disabled:!1},Wm={mobile:sX,desktop:cX},uX="Mozilla/5.0 (Linux; Android 11; moto g power (2022)) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119\
.0.0.0 Mobile Safari/537.36",lX="Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36",Ma={mobile:uX,desktop:lX},qn={output:"json",maxWaitForFcp:30*1e3,maxWaitForLoad:45*1e3,pauseAfterFcpMs:1e3,pauseAfterLoadMs:1e3,networkQuietThresholdMs:1e3,cpuQuietThresholdMs:1e3,formFactor:"mobile",throttling:sr.mobileSlow4G,throttlingMethod:"simulate",screenEmulation:Wm.mobile,emulatedUserAgent:Ma.mobile,auditMode:!1,gatherMode:!1,clearStorageTypes:["file_systems","shader_cache","service_workers","cache_storage"],disableStorageReset:!1,debugNavigation:!1,channel:"node",usePassiveGathering:!1,disableFullPageScreenshot:!1,skipAboutBlank:!1,blankPage:"about:blank",ignoreStatusCode:!1,locale:"en-US",blockedUrlPatterns:null,additionalTraceCategories:null,extraHeaders:null,precomputedLanternData:null,onlyAudits:null,onlyCategories:null,skipAudits:null},Gi={pauseAfterFcpMs:5250,pauseAfterLoadMs:5250,networkQuietThresholdMs:5250,cpuQuietThresholdMs:5250}});var Bg,dX,mX,pX,zn,fX,uM,$c,Ug=g(()=>{"use strict";l();Jt();jn();Cg();iM();sM();cM();cr();Bg=sr.mobileSlow4G,dX=10,mX=.5,pX=1e4,zn={NotReadyToStart:0,ReadyToStart:1,InProgress:2,Complete:3},fX={VeryHigh:0,High:.25,Medium:.5,Low:1,VeryLow:2},uM=new Map,$c=class e{static{s(this,"Simulator")}constructor(t){if(this._options=Object.assign({rtt:Bg.rttMs,throughput:Bg.throughputKbps*1024,maximumConcurrentRequests:dX,cpuSlowdownMultiplier:Bg.cpuSlowdownMultiplier,layoutTaskMultiplier:mX,additionalRttByOrigin:new Map,serverResponseTimeByOrigin:new Map},t),this._rtt=this._options.rtt,this._throughput=this._options.throughput,this._maximumConcurrentRequests=Math.max(Math.min(zi.maximumSaturatedConnections(this._rtt,this._throughput),this._options.maximumConcurrentRequests),1),this._cpuSlowdownMultiplier=this._options.cpuSlowdownMultiplier,this._layoutTaskMultiplier=this._cpuSlowdownMultiplier*this._options.layoutTaskMultiplier,this._cachedNodeListByStartPosition=[],this._nodeTimings=new Vc,this._numberInProgressByType=
new Map,this._nodes={},this._dns=new Wi({rtt:this._rtt}),this._connectionPool=null,!Number.isFinite(this._rtt))throw new Error(`Invalid rtt ${this._rtt}`);if(!Number.isFinite(this._throughput))throw new Error(`Invalid rtt ${this._throughput}`)}get rtt(){return this._rtt}_initializeConnectionPool(t){let n=[];t.getRootNode().traverse(r=>{r.type===Be.TYPES.NETWORK&&n.push(r.request)}),this._connectionPool=new Hm(n,this._options)}_initializeAuxiliaryData(){this._nodeTimings=new Vc,this._numberInProgressByType=new Map,this._nodes={},this._cachedNodeListByStartPosition=[];for(let t of Object.values(zn))this._nodes[t]=new Set}_numberInProgress(t){return this._numberInProgressByType.get(t)||0}_markNodeAsReadyToStart(t,n){let r=e._computeNodeStartPosition(t),a=this._cachedNodeListByStartPosition.findIndex(i=>e._computeNodeStartPosition(i)>r),o=a===-1?this._cachedNodeListByStartPosition.length:a;this._cachedNodeListByStartPosition.splice(o,0,t),this._nodes[zn.ReadyToStart].add(t),this._nodes[zn.
NotReadyToStart].delete(t),this._nodeTimings.setReadyToStart(t,{queuedTime:n})}_markNodeAsInProgress(t,n){let r=this._cachedNodeListByStartPosition.indexOf(t);this._cachedNodeListByStartPosition.splice(r,1),this._nodes[zn.InProgress].add(t),this._nodes[zn.ReadyToStart].delete(t),this._numberInProgressByType.set(t.type,this._numberInProgress(t.type)+1),this._nodeTimings.setInProgress(t,{startTime:n})}_markNodeAsComplete(t,n,r){this._nodes[zn.Complete].add(t),this._nodes[zn.InProgress].delete(t),this._numberInProgressByType.set(t.type,this._numberInProgress(t.type)-1),this._nodeTimings.setCompleted(t,{endTime:n,connectionTiming:r});for(let a of t.getDependents())a.getDependencies().some(i=>!this._nodes[zn.Complete].has(i))||this._markNodeAsReadyToStart(a,n)}_acquireConnection(t){return this._connectionPool.acquire(t)}_getNodesSortedByStartPosition(){return Array.from(this._cachedNodeListByStartPosition)}_startNodeIfPossible(t,n){if(t.type===Be.TYPES.CPU){this._numberInProgress(t.type)===
0&&this._markNodeAsInProgress(t,n);return}if(t.type!==Be.TYPES.NETWORK)throw new Error("Unsupported");!t.isConnectionless&&(this._numberInProgress(t.type)>=this._maximumConcurrentRequests||!this._acquireConnection(t.request))||this._markNodeAsInProgress(t,n)}_updateNetworkCapacity(){let t=this._numberInProgress(Be.TYPES.NETWORK);if(t!==0)for(let n of this._connectionPool.connectionsInUse())n.setThroughput(this._throughput/t)}_estimateTimeRemaining(t){if(t.type===Be.TYPES.CPU)return this._estimateCPUTimeRemaining(t);if(t.type===Be.TYPES.NETWORK)return this._estimateNetworkTimeRemaining(t);throw new Error("Unsupported")}_estimateCPUTimeRemaining(t){let n=this._nodeTimings.getCpuStarted(t),r=t.didPerformLayout()?this._layoutTaskMultiplier:this._cpuSlowdownMultiplier,o=Math.min(Math.round(t.duration/1e3*r),pX)-n.timeElapsed;return this._nodeTimings.setCpuEstimated(t,{estimatedTimeElapsed:o}),o}_estimateNetworkTimeRemaining(t){let n=t.request,r=this._nodeTimings.getNetworkStarted(t),a=0;if(t.
fromDiskCache)a=8+20*((n.resourceSize||0)/1024/1024)-r.timeElapsed;else if(t.isNonNetworkProtocol)a=2+10*((n.resourceSize||0)/1024/1024)-r.timeElapsed;else{let i=this._connectionPool.acquireActiveConnectionFromRecord(n),c=this._dns.getTimeUntilResolution(n,{requestedAt:r.startTime,shouldUpdateCache:!0}),u=r.timeElapsed;a=i.simulateDownloadUntil(n.transferSize-r.bytesDownloaded,{timeAlreadyElapsed:u,dnsResolutionTime:c,maximumTimeToElapse:1/0}).timeElapsed}let o=a+r.timeElapsedOvershoot;return this._nodeTimings.setNetworkEstimated(t,{estimatedTimeElapsed:o}),o}_findNextNodeCompletionTime(){let t=1/0;for(let n of this._nodes[zn.InProgress])t=Math.min(t,this._estimateTimeRemaining(n));return t}_updateProgressMadeInTimePeriod(t,n,r){let a=this._nodeTimings.getInProgress(t),o=a.estimatedTimeElapsed===n;if(t.type===Be.TYPES.CPU||t.isConnectionless)return o?this._markNodeAsComplete(t,r):a.timeElapsed+=n;if(t.type!==Be.TYPES.NETWORK)throw new Error("Unsupported");if(!("bytesDownloaded"in a))throw new Error(
"Invalid timing data");let i=t.request,c=this._connectionPool.acquireActiveConnectionFromRecord(i),u=this._dns.getTimeUntilResolution(i,{requestedAt:a.startTime,shouldUpdateCache:!0}),d=c.simulateDownloadUntil(i.transferSize-a.bytesDownloaded,{dnsResolutionTime:u,timeAlreadyElapsed:a.timeElapsed,maximumTimeToElapse:n-a.timeElapsedOvershoot});c.setCongestionWindow(d.congestionWindow),c.setH2OverflowBytesDownloaded(d.extraBytesDownloaded),o?(c.setWarmed(!0),this._connectionPool.release(i),this._markNodeAsComplete(t,r,d.connectionTiming)):(a.timeElapsed+=d.timeElapsed,a.timeElapsedOvershoot+=d.timeElapsed-n,a.bytesDownloaded+=d.bytesDownloaded)}_computeFinalNodeTimings(){let t=this._nodeTimings.getNodes().map(r=>[r,this._nodeTimings.getCompleted(r)]);t.sort((r,a)=>r[1].startTime-a[1].startTime);let n=t.map(([r,a])=>[r,{startTime:a.startTime,endTime:a.endTime,duration:a.endTime-a.startTime}]);return{nodeTimings:new Map(n),completeNodeTimings:new Map(t)}}getOptions(){return this._options}simulate(t,n){
if(Be.hasCycle(t))throw new Error("Cannot simulate graph with cycle");n=Object.assign({label:void 0},n),this._dns=new Wi({rtt:this._rtt}),this._initializeConnectionPool(t),this._initializeAuxiliaryData();let r=this._nodes[zn.NotReadyToStart],a=this._nodes[zn.ReadyToStart],o=this._nodes[zn.InProgress],i=t.getRootNode();i.traverse(p=>r.add(p));let c=0,u=0;for(this._markNodeAsReadyToStart(i,c);a.size||o.size;){for(let h of this._getNodesSortedByStartPosition())this._startNodeIfPossible(h,c);if(!o.size)throw new Error("Failed to start a node");this._updateNetworkCapacity();let p=this._findNextNodeCompletionTime();if(c+=p,!Number.isFinite(p)||u>1e5)throw new Error("Simulation failed, depth exceeded");u++;for(let h of o)this._updateProgressMadeInTimePeriod(h,p,c)}let{nodeTimings:d,completeNodeTimings:m}=this._computeFinalNodeTimings();return uM.set(n.label||"unlabeled",m),{timeInMs:c,nodeTimings:d}}computeWastedMsFromWastedBytes(t){let{throughput:n,observedThroughput:r}=this._options,a=n===0?
r:n;if(a===0)return 0;let i=t*8/a*1e3;return Math.round(i/10)*10}static get ALL_NODE_TIMINGS(){return uM}static _computeNodeStartPosition(t){return t.type==="cpu"?t.startTime:t.startTime+(fX[t.request.priority]*1e3*1e3||0)}}});var lM=g(()=>{"use strict";l();});var dM=g(()=>{"use strict";l();Me();Sr();});var mM,Gm,pM=g(()=>{"use strict";l();mM=Bt(Lc(),1);Gm=class e{static{s(this,"ArbitraryEqualityMap")}constructor(){this._equalsFn=e.deepEquals,this._entries=[]}setEqualityFn(t){this._equalsFn=t}has(t){return this._findIndexOf(t)!==-1}get(t){return this._entries[this._findIndexOf(t)]?.value}set(t,n){let r=this._findIndexOf(t);r===-1&&(r=this._entries.length),this._entries[r]={key:t,value:n}}_findIndexOf(t){for(let n=0;n<this._entries.length;n++)if(this._equalsFn(t,this._entries[n].key))return n;return-1}static deepEquals(t,n){return(0,mM.default)(t,n)}}});function G(e,t){return Object.assign(e,{request:s((r,a)=>{let o=t?Object.fromEntries(t.map(h=>[h,r[h]])):r,i=a.computedCache,c=e.name,u=i.get(c)||new Gm;i.set(c,u);let d=u.get(o);if(d)return d;let m={msg:`Computing artifact: ${c}`,id:`lh:computed:${c}`};M.time(m,"verbose");let p=e.compute_(o,a);return u.set(o,p),p.then(()=>M.timeEnd(m)).catch(()=>M.timeEnd(m)),p},"request")})}var ye=g(()=>{"use strict";l();Me();pM();s(G,"makeComputedArtifact")});var fM,hM,gM,yM,vM,bM,wM,Vm,J,Ct=g(()=>{"use strict";l();Kt();Jt();tt();fM="X-TCPMs",hM="X-SSLMs",gM="X-RequestMs",yM="X-ResponseMs",vM="X-TotalMs",bM="X-TotalFetchedSize",wM="X-ProtocolIsH2",Vm={XHR:"XHR",Fetch:"Fetch",EventSource:"EventSource",Script:"Script",Stylesheet:"Stylesheet",Image:"Image",Media:"Media",Font:"Font",Document:"Document",TextTrack:"TextTrack",WebSocket:"WebSocket",Other:"Other",Manifest:"Manifest",SignedExchange:"SignedExchange",Ping:"Ping",Preflight:"Preflight",CSPViolationReport:"CSPViolationReport",Prefetch:"Prefetch"},J=class e{static{s(this,"NetworkRequest")}constructor(){this.requestId="",this.connectionId="0",this.connectionReused=!1,this.url="",this.protocol="",this.isSecure=!1,this.isValid=!1,this.parsedURL={scheme:""},this.documentURL="",this.rendererStartTime=-1,this.networkRequestTime=-1,this.responseHeadersEndTime=-1,this.networkEndTime=-1,this.transferSize=0,this.responseHeadersTransferSize=0,this.resourceSize=0,this.fromDiskCache=!1,this.fromMemoryCache=
!1,this.fromPrefetchCache=!1,this.lrStatistics=void 0,this.finished=!1,this.requestMethod="",this.statusCode=-1,this.redirectSource=void 0,this.redirectDestination=void 0,this.redirects=void 0,this.failed=!1,this.localizedFailDescription="",this.initiator={type:"other"},this.timing=void 0,this.resourceType=void 0,this.mimeType="",this.priority="Low",this.initiatorRequest=void 0,this.responseHeaders=[],this.responseHeadersText="",this.fetchedViaServiceWorker=!1,this.frameId="",this.sessionId=void 0,this.sessionTargetType=void 0,this.isLinkPreload=!1}hasErrorStatusCode(){return this.statusCode>=400}setInitiatorRequest(t){this.initiatorRequest=t}onRequestWillBeSent(t){this.requestId=t.requestId;let n;try{n=new URL(t.request.url)}catch{return}this.url=t.request.url,this.documentURL=t.documentURL,this.parsedURL={scheme:n.protocol.split(":")[0],host:n.hostname,securityOrigin:n.origin},this.isSecure=K.isSecureScheme(this.parsedURL.scheme),this.rendererStartTime=t.timestamp*1e3,this.networkRequestTime=
this.rendererStartTime,this.requestMethod=t.request.method,this.initiator=t.initiator,this.resourceType=t.type&&Vm[t.type],this.priority=t.request.initialPriority,this.frameId=t.frameId,this.isLinkPreload=t.initiator.type==="preload"||!!t.request.isLinkPreload,this.isValid=!0}onRequestServedFromCache(){this.fromMemoryCache=!0}onResponseReceived(t){this._onResponse(t.response,t.timestamp,t.type),this._updateProtocolForLightrider(),this.frameId=t.frameId}onResponseReceivedExtraInfo(t){this.responseHeadersText=t.headersText||""}onDataReceived(t){this.resourceSize+=t.dataLength,t.encodedDataLength!==-1&&(this.transferSize+=t.encodedDataLength)}onLoadingFinished(t){this.finished||(this.finished=!0,this.networkEndTime=t.timestamp*1e3,t.encodedDataLength>=0&&(this.transferSize=t.encodedDataLength),this._updateResponseHeadersEndTimeIfNecessary(),this._backfillReceiveHeaderStartTiming(),this._updateTransferSizeForLightrider(),this._updateTimingsForLightrider())}onLoadingFailed(t){this.finished||
(this.finished=!0,this.networkEndTime=t.timestamp*1e3,this.failed=!0,this.resourceType=t.type&&Vm[t.type],this.localizedFailDescription=t.errorText,this._updateResponseHeadersEndTimeIfNecessary(),this._backfillReceiveHeaderStartTiming(),this._updateTransferSizeForLightrider(),this._updateTimingsForLightrider())}onResourceChangedPriority(t){this.priority=t.newPriority}onRedirectResponse(t){if(!t.redirectResponse)throw new Error("Missing redirectResponse data");this._onResponse(t.redirectResponse,t.timestamp,t.type),this.resourceType=void 0,this.finished=!0,this.networkEndTime=t.timestamp*1e3,this._updateResponseHeadersEndTimeIfNecessary(),this._backfillReceiveHeaderStartTiming()}setSession(t){this.sessionId=t}get isOutOfProcessIframe(){return this.sessionTargetType==="iframe"}_onResponse(t,n,r){this.url=t.url,this.connectionId=String(t.connectionId),this.connectionReused=t.connectionReused,t.protocol&&(this.protocol=t.protocol),this.responseHeadersEndTime=n*1e3,this.transferSize=t.encodedDataLength,
this.responseHeadersTransferSize=t.encodedDataLength,typeof t.fromDiskCache=="boolean"&&(this.fromDiskCache=t.fromDiskCache),typeof t.fromPrefetchCache=="boolean"&&(this.fromPrefetchCache=t.fromPrefetchCache),this.statusCode=t.status,this.timing=t.timing,r&&(this.resourceType=Vm[r]),this.mimeType=t.mimeType,this.responseHeaders=e._headersDictToHeadersArray(t.headers),this.fetchedViaServiceWorker=!!t.fromServiceWorker,this.fromMemoryCache&&(this.timing=void 0),this.timing&&this._recomputeTimesWithResourceTiming(this.timing)}_recomputeTimesWithResourceTiming(t){if(t.requestTime===0||t.receiveHeadersEnd===-1)return;this.networkRequestTime=t.requestTime*1e3;let n=this.networkRequestTime+t.receiveHeadersEnd,r=this.responseHeadersEndTime;this.responseHeadersEndTime=n,this.responseHeadersEndTime=Math.min(this.responseHeadersEndTime,r),this.responseHeadersEndTime=Math.max(this.responseHeadersEndTime,this.networkRequestTime),this.networkEndTime=Math.max(this.networkEndTime,this.responseHeadersEndTime)}_updateResponseHeadersEndTimeIfNecessary(){
this.responseHeadersEndTime=Math.min(this.networkEndTime,this.responseHeadersEndTime)}_updateTransferSizeForLightrider(){if(!globalThis.isLightrider)return;let t=this.responseHeaders.find(r=>r.name===bM);if(!t)return;let n=parseFloat(t.value);isNaN(n)||(this.transferSize=n)}_updateProtocolForLightrider(){globalThis.isLightrider&&this.responseHeaders.some(t=>t.name===wM)&&(this.protocol="h2")}_backfillReceiveHeaderStartTiming(){!this.timing||this.timing.receiveHeadersStart!==void 0||(this.timing.receiveHeadersStart=this.timing.receiveHeadersEnd)}_updateTimingsForLightrider(){if(!globalThis.isLightrider)return;let t=this.responseHeaders.find(p=>p.name===vM);if(!t)return;let n=parseInt(t.value),r=this.responseHeaders.find(p=>p.name===fM),a=this.responseHeaders.find(p=>p.name===hM),o=this.responseHeaders.find(p=>p.name===gM),i=this.responseHeaders.find(p=>p.name===yM),c=r?Math.max(0,parseInt(r.value)):0,u=a?Math.max(0,parseInt(a.value)):0,d=o?Math.max(0,parseInt(o.value)):0,m=i?Math.max(0,
parseInt(i.value)):0;if(!Number.isNaN(c+d+m+n)){if(c+d+m!==n){if(Math.abs(c+d+m-n)>=25)return;n=c+d+m}u>c||(this.lrStatistics={endTimeDeltaMs:this.networkEndTime-(this.networkRequestTime+n),TCPMs:c,requestMs:d,responseMs:m},this.serverResponseTime=m)}}static getRequestIdForBackend(t){return t.replace(/(:redirect)+$/,"")}static _headersDictToHeadersArray(t){let n=[];for(let r of Object.keys(t)){let a=t[r].split(`
`);for(let o=0;o<a.length;++o)n.push({name:r,value:a[o]})}return n}static get TYPES(){return Vm}static asLanternNetworkRequest(t){let n=t.timing,r;return globalThis.isLightrider&&t.lrStatistics&&(t.protocol.startsWith("h3")?n={connectStart:0,connectEnd:t.lrStatistics.TCPMs}:(n={connectStart:0,sslStart:t.lrStatistics.TCPMs/2,connectEnd:t.lrStatistics.TCPMs,sslEnd:t.lrStatistics.TCPMs},r=t.lrStatistics.requestMs)),{...t,timing:n,serverResponseTime:r,record:t}}static isNonNetworkRequest(t){return K.isNonNetworkProtocol(t.protocol)||K.isNonNetworkProtocol(t.parsedURL.scheme)}static isSecureRequest(t){return K.isSecureScheme(t.parsedURL.scheme)||K.isSecureScheme(t.protocol)||K.isLikeLocalhost(t.parsedURL.host)||e.isHstsRequest(t)}static isHstsRequest(t){let n=t.redirectDestination;return n?t.responseHeaders.find(o=>o.name==="Non-Authoritative-Reason")?.value==="HSTS"&&e.isSecureRequest(n):!1}static isContentEncoded(t){let n=globalThis.isLightrider?[/^x-original-content-encoding$/i]:[/^content-encoding$/i,
/^x-content-encoding-over-network$/i],r=["gzip","br","deflate","zstd"];return t.responseHeaders.some(a=>n.some(o=>a.name.match(o))&&r.includes(a.value))}static getResourceSizeOnNetwork(t){return Math.min(t.resourceSize||0,t.transferSize||1/0)}};J.HEADER_TCP=fM;J.HEADER_SSL=hM;J.HEADER_REQ=gM;J.HEADER_RES=yM;J.HEADER_TOTAL=vM;J.HEADER_FETCHED_SIZE=bM;J.HEADER_PROTOCOL_IS_H2=wM});var ur,$m=g(()=>{"use strict";l();ur={XHR:"XHR",Fetch:"Fetch",EventSource:"EventSource",Script:"Script",Stylesheet:"Stylesheet",Image:"Image",Media:"Media",Font:"Font",Document:"Document",TextTrack:"TextTrack",WebSocket:"WebSocket",Other:"Other",Manifest:"Manifest",SignedExchange:"SignedExchange",Ping:"Ping",Preflight:"Preflight",CSPViolationReport:"CSPViolationReport",Prefetch:"Prefetch"}});function DM(e){let t=e.includes(":")?e.slice(0,e.indexOf(":")):e;return hX.includes(t)}var hX,Yc,EM=g(()=>{"use strict";l();Jt();$m();jn();hX=["blob","data","intent","file","filesystem","chrome-extension"];s(DM,"isNonNetworkProtocol");Yc=class e extends Be{static{s(this,"NetworkNode")}constructor(t){super(t.requestId),this._request=t}get type(){return Be.TYPES.NETWORK}get startTime(){return this._request.rendererStartTime*1e3}get endTime(){return this._request.networkEndTime*1e3}get record(){return this._request.record}get request(){return this._request}get initiatorType(){return this._request.initiator&&this._request.initiator.type}get fromDiskCache(){return!!this._request.fromDiskCache}get isNonNetworkProtocol(){return DM(this.request.protocol)||DM(this.request.parsedURL.scheme)}get isConnectionless(){return this.fromDiskCache||this.isNonNetworkProtocol}hasRenderBlockingPriority(){let t=this._request.priority,n=this._request.resourceType===ur.Script,r=this._request.resourceType===ur.
Document;return t==="VeryHigh"||t==="High"&&n||t==="High"&&r}cloneWithoutRelationships(){let t=new e(this._request);return t.setIsMainDocument(this._isMainDocument),t}}});var Ym,TM=g(()=>{"use strict";l();Kt();jn();Ym=class e extends Be{static{s(this,"CPUNode")}constructor(t,n=[],r){let a=`${t.tid}.${t.ts}`;super(a),this._event=t,this._childEvents=n,this._correctedEndTs=r}get type(){return Be.TYPES.CPU}get startTime(){return this._event.ts}get endTime(){return this._correctedEndTs?this._correctedEndTs:this._event.ts+this._event.dur}get duration(){return this.endTime-this.startTime}get event(){return this._event}get childEvents(){return this._childEvents}didPerformLayout(){return this._childEvents.some(t=>t.name==="Layout")}getEvaluateScriptURLs(){let t=new Set;for(let n of this._childEvents)n.name==="EvaluateScript"&&(!n.args.data||!n.args.data.url||t.add(n.args.data.url));return t}cloneWithoutRelationships(){return new e(this._event,this._childEvents,this._correctedEndTs)}}});var gX,yX,Vi,jg=g(()=>{"use strict";l();Jt();$m();EM();TM();Sr();Hi();gX=10,yX=/^video/,Vi=class e{static{s(this,"PageDependencyGraph")}static getNetworkInitiators(t){if(!t.initiator)return[];if(t.initiator.url)return[t.initiator.url];if(t.initiator.type==="script"){let n=new Set,r=t.initiator.stack;for(;r;){let a=r.callFrames||[];for(let o of a)o.url&&n.add(o.url);r=r.parent}return Array.from(n)}return[]}static getNetworkNodeOutput(t){let n=[],r=new Map,a=new Map,o=new Map;return t.forEach(i=>{if(yX.test(i.mimeType)||i.sessionTargetType==="worker")return;for(;r.has(i.requestId);)i.requestId+=":duplicate";let c=new Yc(i);n.push(c);let u=a.get(i.url)||[];if(u.push(c),r.set(i.requestId,c),a.set(i.url,u),i.frameId&&i.resourceType===ur.Document&&i.documentURL===i.url){let d=o.has(i.frameId)?null:c;o.set(i.frameId,d)}}),{nodes:n,idToNodeMap:r,urlToNodeMap:a,frameIdToNodeMap:o}}static getCPUNodes(t){let n=[],r=0;for(Lt.assertHasToplevelEvents(t);r<t.length;){let a=t[r];if(r++,!Lt.isScheduleableTask(
a)||!a.dur)continue;let o,i=[];for(let c=a.ts+a.dur;r<t.length&&t[r].ts<c;r++){if(Lt.isScheduleableTask(t[r])&&t[r].dur){o=t[r].ts-1;break}i.push(t[r])}n.push(new Ym(a,i,o))}return n}static linkNetworkNodes(t,n){n.nodes.forEach(r=>{let a=r.request.initiatorRequest||t.request,o=n.idToNodeMap.get(a.requestId)||t,i=!o.isDependentOn(r)&&r.canDependOn(o),c=e.getNetworkInitiators(r.request);if(c.length?c.forEach(d=>{let m=n.urlToNodeMap.get(d)||[];m.length===1&&m[0].startTime<=r.startTime&&!m[0].isDependentOn(r)?r.addDependency(m[0]):i&&o.addDependent(r)}):i&&o.addDependent(r),r!==t&&r.getDependencies().length===0&&r.canDependOn(t)&&r.addDependency(t),!r.request.redirects)return;let u=[...r.request.redirects,r.request];for(let d=1;d<u.length;d++){let m=n.idToNodeMap.get(u[d-1].requestId),p=n.idToNodeMap.get(u[d].requestId);p&&m&&p.addDependency(m)}})}static linkCPUNodes(t,n,r){let a=new Set([ur.XHR,ur.Fetch,ur.Script]);function o(f,y){let v=n.idToNodeMap.get(y);if(!v||v.startTime<=f.startTime)
return;let{request:w}=v,E=w.resourceType||w.redirectDestination?.resourceType;a.has(E)&&f.addDependent(v)}s(o,"addDependentNetworkRequest");function i(f,y){if(!y)return;let v=n.frameIdToNodeMap.get(y);v&&(v.startTime>=f.startTime||f.addDependency(v))}s(i,"addDependencyOnFrame");function c(f,y){if(!y)return;let v=-100*1e3,w=n.urlToNodeMap.get(y)||[],E=null,T=1/0;for(let S of w){if(f.startTime<=S.startTime)return;let C=f.startTime-S.endTime;C>=v&&C<T&&(E=S,T=C)}E&&f.addDependency(E)}s(c,"addDependencyOnUrl");let u=new Map;for(let f of r){for(let y of f.childEvents){if(!y.args.data)continue;let v=y.args.data.url,w=(y.args.data.stackTrace||[]).map(E=>E.url).filter(Boolean);switch(y.name){case"TimerInstall":u.set(y.args.data.timerId,f),w.forEach(E=>c(f,E));break;case"TimerFire":{let E=u.get(y.args.data.timerId);if(!E||E.endTime>f.startTime)break;E.addDependent(f);break}case"InvalidateLayout":case"ScheduleStyleRecalculation":i(f,y.args.data.frame),w.forEach(E=>c(f,E));break;case"EvaluateScri\
pt":i(f,y.args.data.frame),c(f,v),w.forEach(E=>c(f,E));break;case"XHRReadyStateChange":if(y.args.data.readyState!==4)break;c(f,v),w.forEach(E=>c(f,E));break;case"FunctionCall":case"v8.compile":i(f,y.args.data.frame),c(f,v);break;case"ParseAuthorStyleSheet":i(f,y.args.data.frame),c(f,y.args.data.styleSheetUrl);break;case"ResourceSendRequest":i(f,y.args.data.frame),o(f,y.args.data.requestId),w.forEach(E=>c(f,E));break}}f.getNumberOfDependencies()===0&&f.canDependOn(t)&&f.addDependency(t)}let d=gX*1e3,m=!1,p=!1,h=!1;for(let f of r){let y=!1;!m&&f.childEvents.some(v=>v.name==="Layout")&&(y=m=!0),!p&&f.childEvents.some(v=>v.name==="Paint")&&(y=p=!0),!h&&f.childEvents.some(v=>v.name==="ParseHTML")&&(y=h=!0),!(y||f.duration>=d)&&(f.getNumberOfDependencies()===1||f.getNumberOfDependents()<=1)&&e._pruneNode(f)}}static _pruneNode(t){let n=t.getDependencies(),r=t.getDependents();for(let a of n){t.removeDependency(a);for(let o of r)a.addDependent(o)}for(let a of r)t.removeDependent(a)}static createGraph(t,n,r){
let a=e.getNetworkNodeOutput(n),o=e.getCPUNodes(t),{requestedUrl:i,mainDocumentUrl:c}=r;if(!i)throw new Error("requestedUrl is required to get the root request");if(!c)throw new Error("mainDocumentUrl is required to get the main resource");let u=Xt.findResourceForUrl(n,i);if(!u)throw new Error("rootRequest not found");let d=a.idToNodeMap.get(u.requestId);if(!d)throw new Error("rootNode not found");let m=Xt.findLastDocumentForUrl(n,c);if(!m)throw new Error("mainDocumentRequest not found");let p=a.idToNodeMap.get(m.requestId);if(!p)throw new Error("mainDocumentNode not found");if(e.linkNetworkNodes(d,a),e.linkCPUNodes(d,a,o),p.setIsMainDocument(!0),Yc.hasCycle(d))throw new Error("Invalid dependency graph created, cycle detected");return d}static printGraph(t,n=100){function r(d,m,p=" "){return d+p.repeat(Math.max(m-d.length,0))}s(r,"padRight");let a=[];t.traverse(d=>a.push(d)),a.sort((d,m)=>d.startTime-m.startTime);let o=a[0].startTime,u=(a.reduce((d,m)=>Math.max(d,m.endTime),0)-o)/n;a.forEach(
d=>{let m=Math.round((d.startTime-o)/u),p=Math.ceil((d.endTime-d.startTime)/u),h=r("",m)+r("",p,"="),f=d.request?d.request.url:d.type;console.log(r(h,n),`| ${f.slice(0,30)}`)})}}});var vX,$i,qg=g(()=>{"use strict";l();ta();Me();Kt();Ct();jg();vX=qe,$i=class e extends vX{static{s(this,"NetworkRecorder")}constructor(){super(),this._records=[],this._recordsById=new Map}getRawRecords(){return Array.from(this._records)}onRequestStarted(t){this._records.push(t),this._recordsById.set(t.requestId,t),this.emit("requeststarted",t)}onRequestFinished(t){this.emit("requestfinished",t)}onRequestWillBeSent(t){let n=t.params,r=this._findRealRequestAndSetSession(n.requestId,t.targetType,t.sessionId);if(!r){let i=new J;i.onRequestWillBeSent(n),i.sessionId=t.sessionId,i.sessionTargetType=t.targetType,this.onRequestStarted(i),M.verbose("network",`request will be sent to ${i.url}`);return}if(!n.redirectResponse)return;let a={...n,initiator:r.initiator,requestId:`${r.requestId}:redirect`},o=new J;o.onRequestWillBeSent(a),r.onRedirectResponse(n),M.verbose("network",`${r.url} redirected to ${o.url}`),r.redirectDestination=o,o.redirectSource=r,this.onRequestStarted(o),this.onRequestFinished(
r)}onRequestServedFromCache(t){let n=t.params,r=this._findRealRequestAndSetSession(n.requestId,t.targetType,t.sessionId);r&&(M.verbose("network",`${r.url} served from cache`),r.onRequestServedFromCache())}onResponseReceived(t){let n=t.params,r=this._findRealRequestAndSetSession(n.requestId,t.targetType,t.sessionId);r&&(M.verbose("network",`${r.url} response received`),r.onResponseReceived(n))}onResponseReceivedExtraInfo(t){let n=t.params,r=this._findRealRequestAndSetSession(n.requestId,t.targetType,t.sessionId);r&&(M.verbose("network",`${r.url} response received extra info`),r.onResponseReceivedExtraInfo(n))}onDataReceived(t){let n=t.params,r=this._findRealRequestAndSetSession(n.requestId,t.targetType,t.sessionId);r&&(M.verbose("network",`${r.url} data received`),r.onDataReceived(n))}onLoadingFinished(t){let n=t.params,r=this._findRealRequestAndSetSession(n.requestId,t.targetType,t.sessionId);r&&(M.verbose("network",`${r.url} loading finished`),r.onLoadingFinished(n),this.onRequestFinished(
r))}onLoadingFailed(t){let n=t.params,r=this._findRealRequestAndSetSession(n.requestId,t.targetType,t.sessionId);r&&(M.verbose("network",`${r.url} loading failed`),r.onLoadingFailed(n),this.onRequestFinished(r))}onResourceChangedPriority(t){let n=t.params,r=this._findRealRequestAndSetSession(n.requestId,t.targetType,t.sessionId);r&&r.onResourceChangedPriority(n)}dispatch(t){switch(t.method){case"Network.requestWillBeSent":return this.onRequestWillBeSent(t);case"Network.requestServedFromCache":return this.onRequestServedFromCache(t);case"Network.responseReceived":return this.onResponseReceived(t);case"Network.responseReceivedExtraInfo":return this.onResponseReceivedExtraInfo(t);case"Network.dataReceived":return this.onDataReceived(t);case"Network.loadingFinished":return this.onLoadingFinished(t);case"Network.loadingFailed":return this.onLoadingFailed(t);case"Network.resourceChangedPriority":return this.onResourceChangedPriority(t);default:return}}_findRealRequestAndSetSession(t,n,r){let a=this.
_recordsById.get(t);if(!(!a||!a.isValid)){for(;a.redirectDestination;)a=a.redirectDestination;return a.setSession(r),a.sessionTargetType=n,a}}static _chooseInitiatorRequest(t,n){if(t.redirectSource)return t.redirectSource;let r=Vi.getNetworkInitiators(t)[0],a=n.get(r)||[];if(a=a.filter(o=>o.responseHeadersEndTime<=t.rendererStartTime&&o.finished&&!o.failed),a.length>1){let o=a.filter(i=>i.resourceType!==J.TYPES.Other);o.length&&(a=o)}if(a.length>1){let o=a.filter(i=>i.frameId===t.frameId);o.length&&(a=o)}if(a.length>1&&t.initiator.type==="parser"){let o=a.filter(i=>i.resourceType===J.TYPES.Document);o.length&&(a=o)}if(a.length>1){let o=a.filter(i=>i.isLinkPreload);if(o.length){let i=a.filter(u=>!u.isLinkPreload),c=i.every(u=>u.fromDiskCache||u.fromMemoryCache);i.length&&c&&(a=o)}}return a.length===1?a[0]:null}static recordsFromLogs(t){let n=new e;t.forEach(o=>n.dispatch(o));let r=n.getRawRecords().filter(o=>o.isValid),a=new Map;for(let o of r){let i=a.get(o.url)||[];i.push(o),a.set(o.url,
i)}for(let o of r){let i=e._chooseInitiatorRequest(o,a);i&&o.setInitiatorRequest(i);let c=o;for(;c.redirectDestination;)c=c.redirectDestination;if(c===o||c.redirects)continue;let u=[];for(let d=c.redirectSource;d;d=d.redirectSource)u.unshift(d);c.redirects=u}return r}}});var zg,ae,nt=g(()=>{"use strict";l();Kt();ye();qg();zg=class{static{s(this,"NetworkRecords")}static async compute_(t){return $i.recordsFromLogs(t)}},ae=G(zg,null)});var Hg,lr,Po=g(()=>{"use strict";l();ye();Hi();nt();Hg=class e{static{s(this,"NetworkAnalysis")}static computeRTTAndServerResponseTime(t){let n=new Map;for(let[c,u]of Xt.estimateRTTByOrigin(t).entries())n.set(c,u.min);let r=Math.min(...Array.from(n.values())),a=Xt.estimateServerResponseTimeByOrigin(t,{rttByOrigin:n}),o=new Map,i=new Map;for(let[c,u]of a.entries()){let d=n.get(c)||r;o.set(c,d-r),i.set(c,u.median)}return{rtt:r,additionalRttByOrigin:o,serverResponseTimeByOrigin:i}}static async compute_(t,n){let r=await ae.request(t,n),a=Xt.estimateThroughput(r),o=e.computeRTTAndServerResponseTime(r);return{throughput:a,...o}}},lr=G(Hg,null)});var Wg,Zt,Ar=g(()=>{"use strict";l();Jt();ye();cr();Ug();Po();Wg=class{static{s(this,"LoadSimulator")}static async compute_(t,n){let{throttlingMethod:r,throttling:a,precomputedLanternData:o}=t.settings,i=await lr.request(t.devtoolsLog,n),c={additionalRttByOrigin:i.additionalRttByOrigin,serverResponseTimeByOrigin:i.serverResponseTimeByOrigin,observedThroughput:i.throughput};switch(o&&(c.additionalRttByOrigin=new Map(Object.entries(o.additionalRttByOrigin)),c.serverResponseTimeByOrigin=new Map(Object.entries(o.serverResponseTimeByOrigin))),r){case"provided":c.rtt=i.rtt,c.throughput=i.throughput,c.cpuSlowdownMultiplier=1,c.layoutTaskMultiplier=1;break;case"devtools":a&&(c.rtt=a.requestLatencyMs/sr.DEVTOOLS_RTT_ADJUSTMENT_FACTOR,c.throughput=a.downloadThroughputKbps*1024/sr.DEVTOOLS_THROUGHPUT_ADJUSTMENT_FACTOR),c.cpuSlowdownMultiplier=1,c.layoutTaskMultiplier=1;break;case"simulate":a&&(c.rtt=a.rttMs,c.throughput=a.throughputKbps*1024,c.cpuSlowdownMultiplier=a.cpuSlowdownMultiplier);break;default:
break}return new $c(c)}static convertAnalysisToSaveableLanternData(t){let n={additionalRttByOrigin:{},serverResponseTimeByOrigin:{}};for(let[r,a]of t.additionalRttByOrigin.entries())r.startsWith("http")&&(n.additionalRttByOrigin[r]=a);for(let[r,a]of t.serverResponseTimeByOrigin.entries())r.startsWith("http")&&(n.serverResponseTimeByOrigin[r]=a);return n}},Zt=G(Wg,["devtoolsLog","settings"])});function CM(e){if(M.log("Reading artifacts from disk:",e),!Tn.existsSync(e))throw new Error("No saved artifacts found at "+e);let t=Tn.readFileSync(Et.join(e,Gg),"utf8"),n=JSON.parse(t,H.parseReviver),r=Tn.readdirSync(e);return r.filter(a=>a.endsWith(Jc)).forEach(a=>{n.devtoolsLogs||(n.devtoolsLogs={});let o=a.replace(Jc,""),i=JSON.parse(Tn.readFileSync(Et.join(e,a),"utf8"));n.devtoolsLogs[o]=i,o===Km&&(n.DevtoolsLog=i),o===Jm&&(n.DevtoolsLogError=i)}),r.filter(a=>a.endsWith(Kc)).forEach(a=>{n.traces||(n.traces={});let o=Tn.readFileSync(Et.join(e,a),{encoding:"utf-8"}),i=JSON.parse(o),c=a.replace(Kc,"");n.traces[c]=Array.isArray(i)?{traceEvents:i}:i,c===Km&&(n.Trace=n.traces[c]),c===Jm&&(n.TraceError=n.traces[c])}),Array.isArray(n.Timing)&&n.Timing.forEach(a=>a.gather=!0),n}function bX(e,t){return t instanceof Error?H.stringifyReplacer(t):t}async function kM(e,t){let n={msg:"Saving artifacts",id:"lh:assetSaver:saveArtifacts"};M.time(n),Tn.mkdirSync(t,{recursive:!0});let r=Tn.readdirSync(
t);for(let h of r)(h.endsWith(Kc)||h.endsWith(Jc)||h===Gg)&&Tn.unlinkSync(`${t}/${h}`);let{traces:a,devtoolsLogs:o,DevtoolsLog:i,Trace:c,DevtoolsLogError:u,TraceError:d,...m}=e;c&&await xM(c,`${t}/${Km}${Kc}`),d&&await xM(d,`${t}/${Jm}${Kc}`),i&&await SM(i,`${t}/${Km}${Jc}`),u&&await SM(u,`${t}/${Jm}${Jc}`);let p=JSON.stringify(m,bX,2)+`
`;Tn.writeFileSync(`${t}/${Gg}`,p,"utf8"),M.log("Artifacts saved to disk in folder:",t),M.timeEnd(n)}function FM(e,t){Tn.writeFileSync(`${t}/lhr.report.json`,JSON.stringify(e,null,2))}function*RM(e){if(yield`[
`,e.length>0){let n=e[Symbol.iterator](),r=n.next().value;yield`  ${JSON.stringify(r)}`;let a=500,o="";for(let i of n)o+=`,
  ${JSON.stringify(i)}`,a--,a===0&&(yield o,a=500,o="");yield o}yield`
]`}function*wX(e){let{traceEvents:t,...n}=e;yield`{
`,yield'"traceEvents": ',yield*RM(t);for(let[r,a]of Object.entries(n))yield`,
"${r}": ${JSON.stringify(a,null,2)}`;yield`}
`}async function xM(e,t){let n=wX(e),r=Tn.createWriteStream(t);return xg.promises.pipeline(n,r)}function SM(e,t){let n=Tn.createWriteStream(t);return xg.promises.pipeline(function*(){yield*RM(e),yield`
`},n)}var Gg,Kc,Jc,Km,Jm,AM=g(()=>{"use strict";l();na();Ra();Sg();zc();Me();Ug();lM();dM();Po();Ar();_t();Hc();Gg="artifacts.json",Kc=".trace.json",Jc=".devtoolslog.json",Km="defaultPass",Jm="pageLoadError-defaultPass";s(CM,"loadArtifacts");s(bX,"stringifyReplacer");s(kM,"saveArtifacts");s(FM,"saveLhr");s(RM,"arrayOfObjectsJsonGenerator");s(wX,"traceJsonGenerator");s(xM,"saveTrace");s(SM,"saveDevtoolsLog")});var Pe,He,_M,Xm,Vg=g(()=>{"use strict";l();Kt();cr();A();Pe={performanceCategoryTitle:"Performance",metricGroupTitle:"Metrics",firstPaintImprovementsGroupTitle:"First Paint Improvements",firstPaintImprovementsGroupDescription:"The most critical aspect of performance is how quickly pixels are rendered onscreen. Key metrics: First Contentful Paint, First Meaningful Paint",overallImprovementsGroupTitle:"Overall Improvements",overallImprovementsGroupDescription:"Enhance the overall loading experience, so the page is responsive and ready to use as soon as possible. Key metrics: Time to Interactive, Speed Index",diagnosticsGroupTitle:"Diagnostics",diagnosticsGroupDescription:"More information about the performance of your application. These numbers don't [directly affect](https://developer.chrome.com/docs/lighthouse/performance/performance-scoring/) the Performance score.",a11yCategoryTitle:"Accessibility",a11yCategoryDescription:"These checks highlight opportunities to [improve the accessib\
ility of your web app](https://developer.chrome.com/docs/lighthouse/accessibility/). Automatic detection can only detect a subset of issues and does not guarantee the accessibility of your web app, so [manual testing](https://web.dev/articles/how-to-review) is also encouraged.",a11yCategoryManualDescription:"These items address areas which an automated testing tool cannot cover. Learn more in our guide on [conducting an accessibility review](https://web.dev/articles/how-to-review).",a11yBestPracticesGroupTitle:"Best practices",a11yBestPracticesGroupDescription:"These items highlight common accessibility best practices.",a11yColorContrastGroupTitle:"Contrast",a11yColorContrastGroupDescription:"These are opportunities to improve the legibility of your content.",a11yNamesLabelsGroupTitle:"Names and labels",a11yNamesLabelsGroupDescription:"These are opportunities to improve the semantics of the controls in your application. This may enhance the experience for users of assistive technology,\
 like a screen reader.",a11yNavigationGroupTitle:"Navigation",a11yNavigationGroupDescription:"These are opportunities to improve keyboard navigation in your application.",a11yAriaGroupTitle:"ARIA",a11yAriaGroupDescription:"These are opportunities to improve the usage of ARIA in your application which may enhance the experience for users of assistive technology, like a screen reader.",a11yLanguageGroupTitle:"Internationalization and localization",a11yLanguageGroupDescription:"These are opportunities to improve the interpretation of your content by users in different locales.",a11yAudioVideoGroupTitle:"Audio and video",a11yAudioVideoGroupDescription:"These are opportunities to provide alternative content for audio and video. This may improve the experience for users with hearing or vision impairments.",a11yTablesListsVideoGroupTitle:"Tables and lists",a11yTablesListsVideoGroupDescription:"These are opportunities to improve the experience of reading tabular or list data using assistive te\
chnology, like a screen reader.",seoCategoryTitle:"SEO",seoCategoryDescription:"These checks ensure that your page is following basic search engine optimization advice. There are many additional factors Lighthouse does not score here that may affect your search ranking, including performance on [Core Web Vitals](https://web.dev/explore/vitals). [Learn more about Google Search Essentials](https://support.google.com/webmasters/answer/35769).",seoCategoryManualDescription:"Run these additional validators on your site to check additional SEO best practices.",seoMobileGroupTitle:"Mobile Friendly",seoMobileGroupDescription:"Make sure your pages are mobile friendly so users don’t have to pinch or zoom in order to read the content pages. [Learn how to make pages mobile-friendly](https://developers.google.com/search/mobile-sites/).",seoContentGroupTitle:"Content Best Practices",seoContentGroupDescription:"Format your HTML in a way that enables crawlers to better understand your app’s content.",
seoCrawlingGroupTitle:"Crawling and Indexing",seoCrawlingGroupDescription:"To appear in search results, crawlers need access to your app.",bestPracticesCategoryTitle:"Best Practices",bestPracticesTrustSafetyGroupTitle:"Trust and Safety",bestPracticesUXGroupTitle:"User Experience",bestPracticesBrowserCompatGroupTitle:"Browser Compatibility",bestPracticesGeneralGroupTitle:"General"},He=D("core/config/default-config.js",Pe),_M={settings:qn,artifacts:[{id:"DevtoolsLog",gatherer:"devtools-log"},{id:"Trace",gatherer:"trace"},{id:"RootCauses",gatherer:"root-causes"},{id:"Accessibility",gatherer:"accessibility"},{id:"AnchorElements",gatherer:"anchor-elements"},{id:"CacheContents",gatherer:"cache-contents"},{id:"ConsoleMessages",gatherer:"console-messages"},{id:"CSSUsage",gatherer:"css-usage"},{id:"Doctype",gatherer:"dobetterweb/doctype"},{id:"DOMStats",gatherer:"dobetterweb/domstats"},{id:"FontSize",gatherer:"seo/font-size"},{id:"Inputs",gatherer:"inputs"},{id:"IFrameElements",gatherer:"iframe\
-elements"},{id:"ImageElements",gatherer:"image-elements"},{id:"InspectorIssues",gatherer:"inspector-issues"},{id:"JsUsage",gatherer:"js-usage"},{id:"LinkElements",gatherer:"link-elements"},{id:"MainDocumentContent",gatherer:"main-document-content"},{id:"MetaElements",gatherer:"meta-elements"},{id:"NetworkUserAgent",gatherer:"network-user-agent"},{id:"OptimizedImages",gatherer:"dobetterweb/optimized-images"},{id:"ResponseCompression",gatherer:"dobetterweb/response-compression"},{id:"RobotsTxt",gatherer:"seo/robots-txt"},{id:"Scripts",gatherer:"scripts"},{id:"SourceMaps",gatherer:"source-maps"},{id:"Stacks",gatherer:"stacks"},{id:"Stylesheets",gatherer:"stylesheets"},{id:"TraceElements",gatherer:"trace-elements"},{id:"ViewportDimensions",gatherer:"viewport-dimensions"},{id:"devtoolsLogs",gatherer:"devtools-log-compat"},{id:"traces",gatherer:"trace-compat"},{id:"FullPageScreenshot",gatherer:"full-page-screenshot"},{id:"BFCacheFailures",gatherer:"bf-cache-failures"}],audits:["is-on-https",
"redirects-http","viewport","metrics/first-contentful-paint","metrics/largest-contentful-paint","metrics/first-meaningful-paint","metrics/speed-index","screenshot-thumbnails","final-screenshot","metrics/total-blocking-time","metrics/max-potential-fid","metrics/cumulative-layout-shift","metrics/interaction-to-next-paint","errors-in-console","server-response-time","metrics/interactive","user-timings","critical-request-chains","redirects","image-aspect-ratio","image-size-responsive","deprecations","third-party-cookies","mainthread-work-breakdown","bootup-time","uses-rel-preconnect","font-display","diagnostics","network-requests","network-rtt","network-server-latency","main-thread-tasks","metrics","resource-summary","third-party-summary","third-party-facades","largest-contentful-paint-element","lcp-lazy-loaded","layout-shifts","long-tasks","non-composited-animations","unsized-images","valid-source-maps","prioritize-lcp-image","csp-xss","script-treemap-data","accessibility/accesskeys","acce\
ssibility/aria-allowed-attr","accessibility/aria-allowed-role","accessibility/aria-command-name","accessibility/aria-conditional-attr","accessibility/aria-deprecated-role","accessibility/aria-dialog-name","accessibility/aria-hidden-body","accessibility/aria-hidden-focus","accessibility/aria-input-field-name","accessibility/aria-meter-name","accessibility/aria-progressbar-name","accessibility/aria-prohibited-attr","accessibility/aria-required-attr","accessibility/aria-required-children","accessibility/aria-required-parent","accessibility/aria-roles","accessibility/aria-text","accessibility/aria-toggle-field-name","accessibility/aria-tooltip-name","accessibility/aria-treeitem-name","accessibility/aria-valid-attr-value","accessibility/aria-valid-attr","accessibility/button-name","accessibility/bypass","accessibility/color-contrast","accessibility/definition-list","accessibility/dlitem","accessibility/document-title","accessibility/duplicate-id-aria","accessibility/empty-heading","accessib\
ility/form-field-multiple-labels","accessibility/frame-title","accessibility/heading-order","accessibility/html-has-lang","accessibility/html-lang-valid","accessibility/html-xml-lang-mismatch","accessibility/identical-links-same-purpose","accessibility/image-alt","accessibility/image-redundant-alt","accessibility/input-button-name","accessibility/input-image-alt","accessibility/label-content-name-mismatch","accessibility/label","accessibility/landmark-one-main","accessibility/link-name","accessibility/link-in-text-block","accessibility/list","accessibility/listitem","accessibility/meta-refresh","accessibility/meta-viewport","accessibility/object-alt","accessibility/select-name","accessibility/skip-link","accessibility/tabindex","accessibility/table-duplicate-name","accessibility/table-fake-caption","accessibility/target-size","accessibility/td-has-header","accessibility/td-headers-attr","accessibility/th-has-data-cells","accessibility/valid-lang","accessibility/video-caption","accessib\
ility/manual/custom-controls-labels","accessibility/manual/custom-controls-roles","accessibility/manual/focus-traps","accessibility/manual/focusable-controls","accessibility/manual/interactive-element-affordance","accessibility/manual/logical-tab-order","accessibility/manual/managed-focus","accessibility/manual/offscreen-content-hidden","accessibility/manual/use-landmarks","accessibility/manual/visual-order-follows-dom","byte-efficiency/uses-long-cache-ttl","byte-efficiency/total-byte-weight","byte-efficiency/offscreen-images","byte-efficiency/render-blocking-resources","byte-efficiency/unminified-css","byte-efficiency/unminified-javascript","byte-efficiency/unused-css-rules","byte-efficiency/unused-javascript","byte-efficiency/modern-image-formats","byte-efficiency/uses-optimized-images","byte-efficiency/uses-text-compression","byte-efficiency/uses-responsive-images","byte-efficiency/efficient-animated-content","byte-efficiency/duplicated-javascript","byte-efficiency/legacy-javascript",
"byte-efficiency/uses-responsive-images-snapshot","dobetterweb/doctype","dobetterweb/charset","dobetterweb/dom-size","dobetterweb/geolocation-on-start","dobetterweb/inspector-issues","dobetterweb/no-document-write","dobetterweb/js-libraries","dobetterweb/notification-on-start","dobetterweb/paste-preventing-inputs","dobetterweb/uses-http2","dobetterweb/uses-passive-event-listeners","seo/meta-description","seo/http-status-code","seo/font-size","seo/link-text","seo/crawlable-anchors","seo/is-crawlable","seo/robots-txt","seo/hreflang","seo/canonical","seo/manual/structured-data","work-during-interaction","bf-cache"],groups:{metrics:{title:He(Pe.metricGroupTitle)},diagnostics:{title:He(Pe.diagnosticsGroupTitle),description:He(Pe.diagnosticsGroupDescription)},"a11y-best-practices":{title:He(Pe.a11yBestPracticesGroupTitle),description:He(Pe.a11yBestPracticesGroupDescription)},"a11y-color-contrast":{title:He(Pe.a11yColorContrastGroupTitle),description:He(Pe.a11yColorContrastGroupDescription)},
"a11y-names-labels":{title:He(Pe.a11yNamesLabelsGroupTitle),description:He(Pe.a11yNamesLabelsGroupDescription)},"a11y-navigation":{title:He(Pe.a11yNavigationGroupTitle),description:He(Pe.a11yNavigationGroupDescription)},"a11y-aria":{title:He(Pe.a11yAriaGroupTitle),description:He(Pe.a11yAriaGroupDescription)},"a11y-language":{title:He(Pe.a11yLanguageGroupTitle),description:He(Pe.a11yLanguageGroupDescription)},"a11y-audio-video":{title:He(Pe.a11yAudioVideoGroupTitle),description:He(Pe.a11yAudioVideoGroupDescription)},"a11y-tables-lists":{title:He(Pe.a11yTablesListsVideoGroupTitle),description:He(Pe.a11yTablesListsVideoGroupDescription)},"seo-mobile":{title:He(Pe.seoMobileGroupTitle),description:He(Pe.seoMobileGroupDescription)},"seo-content":{title:He(Pe.seoContentGroupTitle),description:He(Pe.seoContentGroupDescription)},"seo-crawl":{title:He(Pe.seoCrawlingGroupTitle),description:He(Pe.seoCrawlingGroupDescription)},"best-practices-trust-safety":{title:He(Pe.bestPracticesTrustSafetyGroupTitle)},
"best-practices-ux":{title:He(Pe.bestPracticesUXGroupTitle)},"best-practices-browser-compat":{title:He(Pe.bestPracticesBrowserCompatGroupTitle)},"best-practices-general":{title:He(Pe.bestPracticesGeneralGroupTitle)},hidden:{title:""}},categories:{performance:{title:He(Pe.performanceCategoryTitle),supportedModes:["navigation","timespan","snapshot"],auditRefs:[{id:"first-contentful-paint",weight:10,group:"metrics",acronym:"FCP"},{id:"largest-contentful-paint",weight:25,group:"metrics",acronym:"LCP"},{id:"total-blocking-time",weight:30,group:"metrics",acronym:"TBT"},{id:"cumulative-layout-shift",weight:25,group:"metrics",acronym:"CLS"},{id:"speed-index",weight:10,group:"metrics",acronym:"SI"},{id:"interaction-to-next-paint",weight:0,group:"metrics",acronym:"INP"},{id:"interactive",weight:0,group:"hidden",acronym:"TTI"},{id:"max-potential-fid",weight:0,group:"hidden"},{id:"first-meaningful-paint",weight:0,acronym:"FMP",group:"hidden"},{id:"render-blocking-resources",weight:0,group:"diagnos\
tics"},{id:"uses-responsive-images",weight:0,group:"diagnostics"},{id:"offscreen-images",weight:0,group:"diagnostics"},{id:"unminified-css",weight:0,group:"diagnostics"},{id:"unminified-javascript",weight:0,group:"diagnostics"},{id:"unused-css-rules",weight:0,group:"diagnostics"},{id:"unused-javascript",weight:0,group:"diagnostics"},{id:"uses-optimized-images",weight:0,group:"diagnostics"},{id:"modern-image-formats",weight:0,group:"diagnostics"},{id:"uses-text-compression",weight:0,group:"diagnostics"},{id:"uses-rel-preconnect",weight:0,group:"diagnostics"},{id:"server-response-time",weight:0,group:"diagnostics"},{id:"redirects",weight:0,group:"diagnostics"},{id:"uses-http2",weight:0,group:"diagnostics"},{id:"efficient-animated-content",weight:0,group:"diagnostics"},{id:"duplicated-javascript",weight:0,group:"diagnostics"},{id:"legacy-javascript",weight:0,group:"diagnostics"},{id:"prioritize-lcp-image",weight:0,group:"diagnostics"},{id:"total-byte-weight",weight:0,group:"diagnostics"},
{id:"uses-long-cache-ttl",weight:0,group:"diagnostics"},{id:"dom-size",weight:0,group:"diagnostics"},{id:"critical-request-chains",weight:0,group:"diagnostics"},{id:"user-timings",weight:0,group:"diagnostics"},{id:"bootup-time",weight:0,group:"diagnostics"},{id:"mainthread-work-breakdown",weight:0,group:"diagnostics"},{id:"font-display",weight:0,group:"diagnostics"},{id:"third-party-summary",weight:0,group:"diagnostics"},{id:"third-party-facades",weight:0,group:"diagnostics"},{id:"largest-contentful-paint-element",weight:0,group:"diagnostics"},{id:"lcp-lazy-loaded",weight:0,group:"diagnostics"},{id:"layout-shifts",weight:0,group:"diagnostics"},{id:"uses-passive-event-listeners",weight:0,group:"diagnostics"},{id:"no-document-write",weight:0,group:"diagnostics"},{id:"long-tasks",weight:0,group:"diagnostics"},{id:"non-composited-animations",weight:0,group:"diagnostics"},{id:"unsized-images",weight:0,group:"diagnostics"},{id:"viewport",weight:0,group:"diagnostics"},{id:"uses-responsive-ima\
ges-snapshot",weight:0,group:"diagnostics"},{id:"work-during-interaction",weight:0,group:"diagnostics"},{id:"bf-cache",weight:0,group:"diagnostics"},{id:"network-requests",weight:0,group:"hidden"},{id:"network-rtt",weight:0,group:"hidden"},{id:"network-server-latency",weight:0,group:"hidden"},{id:"main-thread-tasks",weight:0,group:"hidden"},{id:"diagnostics",weight:0,group:"hidden"},{id:"metrics",weight:0,group:"hidden"},{id:"screenshot-thumbnails",weight:0,group:"hidden"},{id:"final-screenshot",weight:0,group:"hidden"},{id:"script-treemap-data",weight:0,group:"hidden"},{id:"resource-summary",weight:0,group:"hidden"}]},accessibility:{title:He(Pe.a11yCategoryTitle),description:He(Pe.a11yCategoryDescription),manualDescription:He(Pe.a11yCategoryManualDescription),supportedModes:["navigation","snapshot"],auditRefs:[{id:"accesskeys",weight:7,group:"a11y-navigation"},{id:"aria-allowed-attr",weight:10,group:"a11y-aria"},{id:"aria-allowed-role",weight:1,group:"a11y-aria"},{id:"aria-command-nam\
e",weight:7,group:"a11y-aria"},{id:"aria-conditional-attr",weight:7,group:"a11y-aria"},{id:"aria-deprecated-role",weight:1,group:"a11y-aria"},{id:"aria-dialog-name",weight:7,group:"a11y-aria"},{id:"aria-hidden-body",weight:10,group:"a11y-aria"},{id:"aria-hidden-focus",weight:7,group:"a11y-aria"},{id:"aria-input-field-name",weight:7,group:"a11y-aria"},{id:"aria-meter-name",weight:7,group:"a11y-aria"},{id:"aria-progressbar-name",weight:7,group:"a11y-aria"},{id:"aria-prohibited-attr",weight:7,group:"a11y-aria"},{id:"aria-required-attr",weight:10,group:"a11y-aria"},{id:"aria-required-children",weight:10,group:"a11y-aria"},{id:"aria-required-parent",weight:10,group:"a11y-aria"},{id:"aria-roles",weight:7,group:"a11y-aria"},{id:"aria-text",weight:7,group:"a11y-aria"},{id:"aria-toggle-field-name",weight:7,group:"a11y-aria"},{id:"aria-tooltip-name",weight:7,group:"a11y-aria"},{id:"aria-treeitem-name",weight:7,group:"a11y-aria"},{id:"aria-valid-attr-value",weight:10,group:"a11y-aria"},{id:"aria-\
valid-attr",weight:10,group:"a11y-aria"},{id:"button-name",weight:10,group:"a11y-names-labels"},{id:"bypass",weight:7,group:"a11y-navigation"},{id:"color-contrast",weight:7,group:"a11y-color-contrast"},{id:"definition-list",weight:7,group:"a11y-tables-lists"},{id:"dlitem",weight:7,group:"a11y-tables-lists"},{id:"document-title",weight:7,group:"a11y-names-labels"},{id:"duplicate-id-aria",weight:10,group:"a11y-aria"},{id:"form-field-multiple-labels",weight:3,group:"a11y-names-labels"},{id:"frame-title",weight:7,group:"a11y-names-labels"},{id:"heading-order",weight:3,group:"a11y-navigation"},{id:"html-has-lang",weight:7,group:"a11y-language"},{id:"html-lang-valid",weight:7,group:"a11y-language"},{id:"html-xml-lang-mismatch",weight:3,group:"a11y-language"},{id:"image-alt",weight:10,group:"a11y-names-labels"},{id:"image-redundant-alt",weight:1,group:"a11y-names-labels"},{id:"input-button-name",weight:10,group:"a11y-names-labels"},{id:"input-image-alt",weight:10,group:"a11y-names-labels"},{id:"\
label",weight:7,group:"a11y-names-labels"},{id:"link-in-text-block",weight:7,group:"a11y-color-contrast"},{id:"link-name",weight:7,group:"a11y-names-labels"},{id:"list",weight:7,group:"a11y-tables-lists"},{id:"listitem",weight:7,group:"a11y-tables-lists"},{id:"meta-refresh",weight:10,group:"a11y-best-practices"},{id:"meta-viewport",weight:10,group:"a11y-best-practices"},{id:"object-alt",weight:7,group:"a11y-names-labels"},{id:"select-name",weight:7,group:"a11y-names-labels"},{id:"skip-link",weight:3,group:"a11y-names-labels"},{id:"tabindex",weight:7,group:"a11y-navigation"},{id:"table-duplicate-name",weight:1,group:"a11y-tables-lists"},{id:"target-size",weight:7,group:"a11y-best-practices"},{id:"td-headers-attr",weight:7,group:"a11y-tables-lists"},{id:"th-has-data-cells",weight:7,group:"a11y-tables-lists"},{id:"valid-lang",weight:7,group:"a11y-language"},{id:"video-caption",weight:10,group:"a11y-audio-video"},{id:"focusable-controls",weight:0},{id:"interactive-element-affordance",weight:0},
{id:"logical-tab-order",weight:0},{id:"visual-order-follows-dom",weight:0},{id:"focus-traps",weight:0},{id:"managed-focus",weight:0},{id:"use-landmarks",weight:0},{id:"offscreen-content-hidden",weight:0},{id:"custom-controls-labels",weight:0},{id:"custom-controls-roles",weight:0},{id:"empty-heading",weight:0,group:"hidden"},{id:"identical-links-same-purpose",weight:0,group:"hidden"},{id:"landmark-one-main",weight:0,group:"hidden"},{id:"label-content-name-mismatch",weight:0,group:"hidden"},{id:"table-fake-caption",weight:0,group:"hidden"},{id:"td-has-header",weight:0,group:"hidden"}]},"best-practices":{title:He(Pe.bestPracticesCategoryTitle),supportedModes:["navigation","timespan","snapshot"],auditRefs:[{id:"is-on-https",weight:5,group:"best-practices-trust-safety"},{id:"redirects-http",weight:1,group:"best-practices-trust-safety"},{id:"geolocation-on-start",weight:1,group:"best-practices-trust-safety"},{id:"notification-on-start",weight:1,group:"best-practices-trust-safety"},{id:"csp-x\
ss",weight:0,group:"best-practices-trust-safety"},{id:"paste-preventing-inputs",weight:3,group:"best-practices-ux"},{id:"image-aspect-ratio",weight:1,group:"best-practices-ux"},{id:"image-size-responsive",weight:1,group:"best-practices-ux"},{id:"viewport",weight:1,group:"best-practices-ux"},{id:"font-size",weight:1,group:"best-practices-ux"},{id:"doctype",weight:1,group:"best-practices-browser-compat"},{id:"charset",weight:1,group:"best-practices-browser-compat"},{id:"js-libraries",weight:0,group:"best-practices-general"},{id:"deprecations",weight:5,group:"best-practices-general"},{id:"third-party-cookies",weight:5,group:"best-practices-general"},{id:"errors-in-console",weight:1,group:"best-practices-general"},{id:"valid-source-maps",weight:0,group:"best-practices-general"},{id:"inspector-issues",weight:1,group:"best-practices-general"}]},seo:{title:He(Pe.seoCategoryTitle),description:He(Pe.seoCategoryDescription),manualDescription:He(Pe.seoCategoryManualDescription),supportedModes:["n\
avigation","snapshot"],auditRefs:[{id:"is-crawlable",weight:93/23,group:"seo-crawl"},{id:"document-title",weight:1,group:"seo-content"},{id:"meta-description",weight:1,group:"seo-content"},{id:"http-status-code",weight:1,group:"seo-crawl"},{id:"link-text",weight:1,group:"seo-content"},{id:"crawlable-anchors",weight:1,group:"seo-crawl"},{id:"robots-txt",weight:1,group:"seo-crawl"},{id:"image-alt",weight:1,group:"seo-content"},{id:"hreflang",weight:1,group:"seo-content"},{id:"canonical",weight:1,group:"seo-content"},{id:"structured-data",weight:0}]}}};Object.defineProperty(_M,"UIStrings",{enumerable:!1,get:()=>Pe});Xm=_M});function IM(e,t){let n={timespan:0,snapshot:1,navigation:2},r=Math.min(...e.instance.meta.supportedModes.map(o=>n[o])),a=Math.min(...t.instance.meta.supportedModes.map(o=>n[o]));return r===n.timespan?a===n.timespan:r===n.snapshot?a===n.snapshot:!0}function MM(e,t){if(!t.startsWith("lighthouse-plugin-"))throw new Error(`plugin name '${t}' does not start with 'lighthouse-plugin-'`);if(e.categories?.[t])throw new Error(`plugin name '${t}' not allowed because it is the id of a category already found in config`)}function EX(e){let t=e.gatherer.instance;if(typeof t.meta!="object")throw new Error(`Gatherer for ${e.id} did not provide a meta object.`);if(t.meta.supportedModes.length===0)throw new Error(`Gatherer for ${e.id} did not support any gather modes.`);if(typeof t.getArtifact!="function"||t.getArtifact===Z.prototype.getArtifact)throw new Error(`Gatherer for ${e.id} did not define a "getArtifact" method.`)}function $g(e){let{implementation:t,path:n}=e,r=n||t?.meta?.id||"Unknown audit";if(typeof t.
audit!="function"||t.audit===b.audit)throw new Error(`${r} has no audit() method.`);if(typeof t.meta.id!="string")throw new Error(`${r} has no meta.id property, or the property is not a string.`);if(!kr(t.meta.title))throw new Error(`${r} has no meta.title property, or the property is not a string.`);let a=t.meta.scoreDisplayMode||b.SCORING_MODES.BINARY;if(!kr(t.meta.failureTitle)&&a===b.SCORING_MODES.BINARY)throw new Error(`${r} has no meta.failureTitle and should.`);if(kr(t.meta.description)){if(t.meta.description==="")throw new Error(`${r} has an empty meta.description string. Please add a description for the UI.`)}else throw new Error(`${r} has no meta.description property, or the property is not a string.`);if(!Array.isArray(t.meta.requiredArtifacts))throw new Error(`${r} has no meta.requiredArtifacts property, or the property is not an array.`)}function TX(e,t,n){if(!e)return;let r=new Map((t||[]).map(a=>[a.implementation.meta.id,a]));Object.keys(e).forEach(a=>{e[a].auditRefs.forEach(
(o,i)=>{if(!o.id)throw new Error(`missing an audit id at ${a}[${i}]`);let c=r.get(o.id);if(!c)throw new Error(`could not find ${o.id} audit for category ${a}`);let d=c.implementation.meta.scoreDisplayMode==="manual";if(a==="accessibility"&&!o.group&&!d)throw new Error(`${o.id} accessibility audit does not have a group`);if(o.weight>0&&d)throw new Error(`${o.id} is manual but has a positive weight`);if(o.group&&(!n||!n[o.group]))throw new Error(`${o.id} references unknown group ${o.group}`)})})}function Yg(e){if(!e.formFactor)throw new Error("`settings.formFactor` must be defined as 'mobile' or 'desktop'. See https://github.com/GoogleChrome/lighthouse/blob/main/docs/emulation.md");if(!e.screenEmulation.disabled&&e.screenEmulation.mobile!==(e.formFactor==="mobile"))throw new Error(`Screen emulation mobile setting (${e.screenEmulation.mobile}) does not match formFactor setting (${e.formFactor}). See https://github.com/GoogleChrome/lighthouse/blob/main/docs/emulation.md`);let t=e.skipAudits?.
find(n=>e.onlyAudits?.includes(n));if(t)throw new Error(`${t} appears in both skipAudits and onlyAudits`)}function xX(e){let t=new Set;for(let n of e){if(EX(n),t.has(n.id))throw new Error(`Config defined multiple artifacts with id '${n.id}'`);if(t.add(n.id),!!n.dependencies)for(let[r,{id:a}]of Object.entries(n.dependencies))t.has(a)||Kg(n.id,r)}}function NM(e){xX(e.artifacts||[]);for(let t of e.audits||[])$g(t);TX(e.categories,e.audits,e.groups),Yg(e.settings)}function Kg(e,t){throw new Error([`Failed to find dependency "${t}" for "${e}" artifact`,"Check that...",`  1. A gatherer exposes a matching Symbol that satisfies "${t}".`,`  2. "${t}" is configured to run before "${e}"`].join(`
`))}function PM(e,t){throw new Error([`Dependency "${t}" for "${e}" artifact is invalid.`,"The dependency must be collected before the dependent."].join(`
`))}var Jg=g(()=>{"use strict";l();$();Ge();A();s(IM,"isValidArtifactDependency");s(MM,"assertValidPluginName");s(EX,"assertValidArtifact");s($g,"assertValidAudit");s(TX,"assertValidCategories");s(Yg,"assertValidSettings");s(xX,"assertValidArtifacts");s(NM,"assertValidConfig");s(Kg,"throwInvalidDependencyOrder");s(PM,"throwInvalidArtifactDependency")});function LM(e,t){if(!e)return new Set;t=t||Object.keys(e);let r=t.map(a=>e[a]).flatMap(a=>a?.auditRefs||[]);return new Set(r.map(a=>a.id))}function AX(e,t){if(!e)return null;if(!t)return e;let n=new Map(e.map(o=>[o.id,o])),r=new Set([...RX,...t.flatMap(o=>o.implementation.meta.requiredArtifacts)]),a=0;for(;a!==r.size;){a=r.size;for(let o of r){let i=n.get(o);if(i&&i.dependencies)for(let c of Object.values(i.dependencies))r.add(c.id)}}return e.filter(o=>r.has(o.id))}function _X(e,t){return e?e.filter(n=>n.gatherer.instance.meta.supportedModes.includes(t)):null}function IX(e,t){if(!e)return null;let n=new Set(t.map(r=>r.id).concat(kX));return e.filter(r=>r.implementation.meta.requiredArtifacts.every(o=>n.has(o)))}function MX(e,t){return e?e.filter(n=>{let r=n.implementation.meta;return!r.supportedModes||r.supportedModes.includes(t)}):null}function NX(e,t){if(!e)return null;let n=Object.entries(e).filter(([r,a])=>!a.supportedModes||a.supportedModes.includes(t));return Object.fromEntries(n)}
function PX(e,t){if(!e||!t)return e;let n=Object.entries(e).filter(([r])=>t.includes(r));return Object.fromEntries(n)}function LX(e,t){if(t)for(let n of t)e?.[n]||M.warn("config",`unrecognized category in 'onlyCategories': ${n}`)}function OM(e,t){if(!e)return e;let n=new Map(t.map(a=>[a.implementation.meta.id,a.implementation.meta])),r=Object.entries(e).map(([a,o])=>{let i={...o,auditRefs:o.auditRefs.filter(d=>n.has(d.id))},c=i.auditRefs.length<o.auditRefs.length,u=i.auditRefs.every(d=>{let m=n.get(d.id);return m?m.scoreDisplayMode===b.SCORING_MODES.MANUAL:!1});return c&&u&&(i.auditRefs=[]),[a,i]}).filter(a=>typeof a[1]=="object"&&a[1].auditRefs.length);return Object.fromEntries(r)}function BM(e,t){let n=_X(e.artifacts,t),r=MX(e.audits,t),a=IX(r,n||[]),o=NX(e.categories,t),i=OM(o,a||[]);return{...e,artifacts:n,audits:a,categories:i}}function UM(e,t){let{onlyAudits:n,onlyCategories:r,skipAudits:a}=t;LX(e.categories,r);let o=LM(e.categories,void 0);r?o=LM(e.categories,r):n?o=new Set:(!e.
categories||!Object.keys(e.categories).length)&&(o=new Set(e.audits?.map(p=>p.implementation.meta.id)));let i=new Set([...o,...n||[],...FX].filter(p=>!a||!a.includes(p))),c=i.size&&e.audits?e.audits.filter(p=>i.has(p.implementation.meta.id)):e.audits,u=OM(e.categories,c||[]),d=PX(u,r),m=AX(e.artifacts,c);return m&&e.settings.disableFullPageScreenshot&&(m=m.filter(({id:p})=>p!=="FullPageScreenshot")),{...e,artifacts:m,audits:c,categories:d}}var CX,kX,FX,RX,jM=g(()=>{"use strict";l();Me();$();CX={fetchTime:"",LighthouseRunWarnings:"",BenchmarkIndex:"",settings:"",Timing:"",URL:"",PageLoadError:"",HostFormFactor:"",HostUserAgent:"",HostProduct:"",GatherContext:""},kX=Object.keys(CX),FX=[],RX=["Stacks","NetworkUserAgent","FullPageScreenshot"];s(LM,"getAuditIdsInCategories");s(AX,"filterArtifactsByAvailableAudits");s(_X,"filterArtifactsByGatherMode");s(IX,"filterAuditsByAvailableArtifacts");s(MX,"filterAuditsByGatherMode");s(NX,"filterCategoriesByGatherMode");s(PX,"filterCategoriesByExplici\
tFilters");s(LX,"warnOnUnknownOnlyCategories");s(OM,"filterCategoriesByAvailableAudits");s(BM,"filterConfigByGatherMode");s(UM,"filterConfigByExplicitFilters")});function qM(e){return Array.isArray(e)&&e.every(Zc)}function Zc(e){return typeof e=="object"&&e!==null&&!Array.isArray(e)}function OX(e){return typeof e!="string"?!1:e==="navigation"||e==="timespan"||e==="snapshot"}function BX(e){return Array.isArray(e)?e.every(OX):!1}function Xc(e,t,n=""){n&&(n+=" ");let r=Object.keys(e);if(r.length>0){let a=r.join(", ");throw new Error(`${t} has unrecognized ${n}properties: [${a}]`)}}var Xg,zM,HM=g(()=>{"use strict";l();A();s(qM,"isArrayOfUnknownObjects");s(Zc,"isObjectOfUnknownProperties");s(OX,"objectIsGatherMode");s(BX,"isArrayOfGatherModes");s(Xc,"assertNoExcessProperties");Xg=class e{static{s(this,"ConfigPlugin")}static _parseAuditsList(t,n){if(t!==void 0){if(!qM(t))throw new Error(`${n} has an invalid audits array.`);return t.map(r=>{let{path:a,...o}=r;if(Xc(o,n,"audit"),typeof a!="string")throw new Error(`${n} has a missing audit path.`);return{path:a}})}}static _parseAuditRefsList(t,n){if(!qM(t))throw new Error(`${n} has no valid auditsRefs.`);
return t.map(r=>{let{id:a,weight:o,group:i,...c}=r;if(Xc(c,n,"auditRef"),typeof a!="string")throw new Error(`${n} has an invalid auditRef id.`);if(typeof o!="number")throw new Error(`${n} has an invalid auditRef weight.`);if(typeof i!="string"&&typeof i<"u")throw new Error(`${n} has an invalid auditRef group.`);let u=i&&`${n}-${i}`;return{id:a,weight:o,group:u}})}static _parseCategory(t,n){if(!Zc(t))throw new Error(`${n} has no valid category.`);let{title:r,description:a,manualDescription:o,auditRefs:i,supportedModes:c,...u}=t;if(Xc(u,n,"category"),!kr(r))throw new Error(`${n} has an invalid category tile.`);if(!kr(a)&&a!==void 0)throw new Error(`${n} has an invalid category description.`);if(!kr(o)&&o!==void 0)throw new Error(`${n} has an invalid category manualDescription.`);if(!BX(c)&&c!==void 0)throw new Error(`${n} supportedModes must be an array, valid array values are "navigation", "timespan", and "snapshot".`);let d=e._parseAuditRefsList(i,n);return{title:r,auditRefs:d,description:a,
manualDescription:o,supportedModes:c}}static _parseGroups(t,n){if(t===void 0)return;if(!Zc(t))throw new Error(`${n} groups json is not defined as an object.`);let r=Object.entries(t),a={};return r.forEach(([o,i])=>{if(!Zc(i))throw new Error(`${n} has a group not defined as an object.`);let{title:c,description:u,...d}=i;if(Xc(d,n,"group"),!kr(c))throw new Error(`${n} has an invalid group title.`);if(!kr(u)&&u!==void 0)throw new Error(`${n} has an invalid group description.`);a[`${n}-${o}`]={title:c,description:u}}),a}static parsePlugin(t,n){if(t=JSON.parse(JSON.stringify(t)),!Zc(t))throw new Error(`${n} is not defined as an object.`);let{audits:r,category:a,groups:o,...i}=t;return Xc(i,n),{audits:e._parseAuditsList(r,n),categories:{[n]:e._parseCategory(a,n)},groups:e._parseGroups(o,n)}}},zM=Xg});var WM,GM=g(()=>{"use strict";l();na();Oi();WM=`/*! axe v4.9.0
 * Copyright (c) 2015 - 2024 Deque Systems, Inc.
 *
 * Your use of this Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This entire copyright notice must appear in every copy of this file you
 * distribute or in any file that contains substantial portions of this source
 * code.
 */
!function e(t){var n=t,r=t.document;function a(e){return(a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e})(e)}var o=o||{};function u(e){this.name="SupportError",this.cause=e.cause,this.message="\`".concat(e.cause,"\` - feature unsupported in your environment."),e.ruleId&&(this.ruleId=e.ruleId,this.message+=" Skipping ".concat(this.ruleId," rule.")),this.stack=(new Error).stack}o.version="4.9.0","function"==typeof define&&define.amd&&define("axe-core",[],(function(){return o})),"object"===("undefined"==typeof module?"undefined":a(module))&&module.exports&&"function"==typeof e.toString&&(o.source="("+e.toString()+')(typeof window === "object" ? window : this);',module.exports=o),"function"==typeof t.getComputedStyle&&(t.axe=o),(u.prototype=Object.create(Error.prototype)).constructor=u;var i=["node"],s=["relatedNodes"],l=["node"],c=["vari\
ant"],d=["matches"],p=["chromium"],f=["noImplicit"],D=["noPresentational"],m=["precision","format","inGamut"],h=["space"],g=["algorithm"],b=["method"],v=["maxDeltaE","deltaEMethod","steps","maxSteps"],y=["node"],F=["environmentData"],w=["environmentData"],E=["environmentData"],C=["environmentData"],x=["environmentData"];function A(e,t,n){N(e,t),t.set(e,n)}function N(e,t){if(t.has(e))throw new TypeError("Cannot initialize the same private elements twice on an object")}function k(e,t,n){if((t=T(t,e)).set)t.set.call(e,n);else{if(!t.writable)throw new TypeError("attempted to set read only private field");t.value=n}}function B(e,t){return(t=T(t,e)).get?t.get.call(e):t.value}function T(e,t){return e.get(R(e,t))}function R(e,t,n){if("function"==typeof e?e===t:e.has(t))return arguments.length<3?t:n;throw new TypeError("Private element is not present on this object")}function S(e,t,n){t=M(t);var r=e;if((t=_()?Reflect.construct(t,n||[],M(e).constructor):t.apply(e,n))&&("object"===a(t)||"function\
"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return O(r)}function O(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function _(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(_=function(){return!!e})()}function M(e){return(M=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)})(e)}function I(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&P(e,t)}function P(e,t){return(P=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e})(e,t)}function j(e,t){if(null==e)return{};var n,r=function(e,t){if(null==e)\
return{};var n,r,a={},o=Object.keys(e);for(r=0;r<o.length;r++)n=o[r],0<=t.indexOf(n)||(a[n]=e[n]);return a}(e,t);if(Object.getOwnPropertySymbols)for(var a=Object.getOwnPropertySymbols(e),o=0;o<a.length;o++)n=a[o],0<=t.indexOf(n)||Object.prototype.propertyIsEnumerable.call(e,n)&&(r[n]=e[n]);return r}function L(e){return function(e){if(Array.isArray(e))return Z(e)}(e)||q(e)||X(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function q(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}function z(){return(z=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n,r=arguments[t];for(n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e}).apply(this,arguments)}function V(e,t){return $(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]|\
|e["@@iterator"];if(null!=n){var r,a,o,u,i=[],s=!0,l=!1;try{if(o=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;s=!1}else for(;!(s=(r=o.call(n)).done)&&(i.push(r.value),i.length!==t);s=!0);}catch(e){l=!0,a=e}finally{try{if(!s&&null!=n.return&&(u=n.return(),Object(u)!==u))return}finally{if(l)throw a}}return i}}(e,t)||X(e,t)||H()}function H(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function $(e){if(Array.isArray(e))return e}function U(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function W(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,Y(r.key),r)}}function G(e,t,n){return t&&W(e.prototype,t),n&&W(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}function Y(e){return e=function(e,t){if("object"!=a(e)||!e)return e;var n=e[Sym\
bol.toPrimitive];if(void 0===n)return String(e);if(n=n.call(e,"string"),"object"==a(n))throw new TypeError("@@toPrimitive must return a primitive value.");return n}(e),"symbol"==a(e)?e:String(e)}function K(e,t){var n,r,a,o,u="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(u)return r=!(n=!0),{s:function(){u=u.call(e)},n:function(){var e=u.next();return n=e.done,e},e:function(e){r=!0,a=e},f:function(){try{n||null==u.return||u.return()}finally{if(r)throw a}}};if(Array.isArray(e)||(u=X(e))||t&&e&&"number"==typeof e.length)return u&&(e=u),o=0,{s:t=function(){},n:function(){return o>=e.length?{done:!0}:{done:!1,value:e[o++]}},e:function(e){throw e},f:t};throw new TypeError("Invalid attempt to iterate non-iterable instance.\\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function X(e,t){var n;if(e)return"string"==typeof e?Z(e,t):"Map"===(n="Object"===(n=Object.prototype.toString.call(e).slice(8,-1))&&e.constructor?e.constructor.name:n)|\
|"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?Z(e,t):void 0}function Z(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=new Array(t);n<t;n++)r[n]=e[n];return r}function a(e){return(a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e})(e)}var J,Q,ee,te,ne,re,ae,oe=void 0;function ue(e,t){return function(){return t||e((t={exports:{}}).exports,t),t.exports}}function ie(e,t){for(var n in t)de(e,n,{get:t[n],enumerable:!0})}function se(e){return function(e,t,n){if(t&&"object"===a(t)||"function"==typeof t){var r,o=K(De(t));try{for(o.s();!(r=o.n()).done;)!function(){var a=r.value;fe.call(e,a)||"default"===a||de(e,a,{get:function(){return t[a]},enumerable:!(n=me(t,a))||n.enumerable})}()}catch(e){o.e(e)}finally{o.f()}}return e}((t=de(null!=e?ce(pe(e)):{},"default",e&&e.__esModule&&"default"in e?\
{get:function(){return e.default},enumerable:!0}:{value:e,enumerable:!0}),de(t,"__esModule",{value:!0})),e);var t}function le(e,t,n){(t="symbol"!==a(t)?t+"":t)in e?de(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n}var ce=Object.create,de=Object.defineProperty,pe=Object.getPrototypeOf,fe=Object.prototype.hasOwnProperty,De=Object.getOwnPropertyNames,me=Object.getOwnPropertyDescriptor,he=ue((function(e,t){"use strict";t.exports=function(){}})),ge=ue((function(e,t){"use strict";var n=he()();t.exports=function(e){return e!==n&&null!==e}})),be=ue((function(e,t){"use strict";var n=ge(),r=Array.prototype.forEach,a=Object.create;t.exports=function(e){var t=a(null);return r.call(arguments,(function(e){if(n(e)){var r,a=Object(e),o=t;for(r in a)o[r]=a[r]}})),t}})),ve=ue((function(e,t){"use strict";t.exports=function(){var e=Math.sign;return"function"==typeof e&&1===e(10)&&-1===e(-20)}})),ye=ue((function(e,t){"use strict";t.exports=function(e){return e=Number(e),isNaN(e)||0===e?e:0\
<e?1:-1}})),Fe=ue((function(e,t){"use strict";t.exports=ve()()?Math.sign:ye()})),we=ue((function(e,t){"use strict";var n=Fe(),r=Math.abs,a=Math.floor;t.exports=function(e){return isNaN(e)?0:0!==(e=Number(e))&&isFinite(e)?n(e)*a(r(e)):e}})),Ee=ue((function(e,t){"use strict";var n=we(),r=Math.max;t.exports=function(e){return r(0,n(e))}})),Ce=ue((function(e,t){"use strict";var n=Ee();t.exports=function(e,t,r){return isNaN(e)?0<=t?r&&t?t-1:t:1:!1!==e&&n(e)}})),xe=ue((function(e,t){"use strict";t.exports=function(e){if("function"!=typeof e)throw new TypeError(e+" is not a function");return e}})),Ae=ue((function(e,t){"use strict";var n=ge();t.exports=function(e){if(n(e))return e;throw new TypeError("Cannot use null or undefined")}})),Ne=ue((function(e,t){"use strict";var n=xe(),r=Ae(),a=Function.prototype.bind,o=Function.prototype.call,u=Object.keys,i=Object.prototype.propertyIsEnumerable;t.exports=function(e,t){return function(s,l){var c,d=arguments[2],p=arguments[3];return s=Object(r(s)),n\
(l),c=u(s),p&&c.sort("function"==typeof p?a.call(p,s):void 0),"function"!=typeof e&&(e=c[e]),o.call(e,c,(function(e,n){return i.call(s,e)?o.call(l,d,s[e],e,s,n):t}))}}})),ke=ue((function(e,t){"use strict";t.exports=Ne()("forEach")})),Be=ue((function(){})),Te=ue((function(e,t){"use strict";t.exports=function(){var e=Object.assign;return"function"==typeof e&&(e(e={foo:"raz"},{bar:"dwa"},{trzy:"trzy"}),e.foo+e.bar+e.trzy==="razdwatrzy")}})),Re=ue((function(e,t){"use strict";t.exports=function(){try{return Object.keys("primitive"),!0}catch(e){return!1}}})),Se=ue((function(e,t){"use strict";var n=ge(),r=Object.keys;t.exports=function(e){return r(n(e)?Object(e):e)}})),Oe=ue((function(e,t){"use strict";t.exports=Re()()?Object.keys:Se()})),_e=ue((function(e,t){"use strict";var n=Oe(),r=Ae(),a=Math.max;t.exports=function(e,t){var o,u,i,s=a(arguments.length,2);for(e=Object(r(e)),i=function(n){try{e[n]=t[n]}catch(n){o=o||n}},u=1;u<s;++u)n(t=arguments[u]).forEach(i);if(void 0!==o)throw o;return e}\
})),Me=ue((function(e,t){"use strict";t.exports=Te()()?Object.assign:_e()})),Ie=ue((function(e,t){"use strict";var n=ge(),r={function:!0,object:!0};t.exports=function(e){return n(e)&&r[a(e)]||!1}})),Pe=ue((function(e,t){"use strict";var n=Me(),r=Ie(),a=ge(),o=Error.captureStackTrace;t.exports=function(e){e=new Error(e);var u=arguments[1],i=arguments[2];return a(i)||r(u)&&(i=u,u=null),a(i)&&n(e,i),a(u)&&(e.code=u),o&&o(e,t.exports),e}})),je=ue((function(e,t){"use strict";var n=Ae(),r=Object.defineProperty,a=Object.getOwnPropertyDescriptor,o=Object.getOwnPropertyNames,u=Object.getOwnPropertySymbols;t.exports=function(e,t){var i,s=Object(n(t));if(e=Object(n(e)),o(s).forEach((function(n){try{r(e,n,a(t,n))}catch(n){i=n}})),"function"==typeof u&&u(s).forEach((function(n){try{r(e,n,a(t,n))}catch(n){i=n}})),void 0!==i)throw i;return e}})),Le=ue((function(e,t){"use strict";function n(e,t){return t}var r,a,o,u,i,s=Ee();try{Object.defineProperty(n,"length",{configurable:!0,writable:!1,enumerable:\
!1,value:1})}catch(e){}1===n.length?(r={configurable:!0,writable:!1,enumerable:!1},a=Object.defineProperty,t.exports=function(e,t){return t=s(t),e.length===t?e:(r.value=t,a(e,"length",r))}):(u=je(),i=[],o=function(e){var t,n=0;if(i[e])return i[e];for(t=[];e--;)t.push("a"+(++n).toString(36));return new Function("fn","return function ("+t.join(", ")+") { return fn.apply(this, arguments); };")},t.exports=function(e,t){if(t=s(t),e.length===t)return e;t=o(t)(e);try{u(t,e)}catch(e){}return t})})),qe=ue((function(e,t){"use strict";t.exports=function(e){return null!=e}})),ze=ue((function(e,t){"use strict";var n=qe(),r={object:!0,function:!0,undefined:!0};t.exports=function(e){return!!n(e)&&hasOwnProperty.call(r,a(e))}})),Ve=ue((function(e,t){"use strict";var n=ze();t.exports=function(e){if(!n(e))return!1;try{return!!e.constructor&&e.constructor.prototype===e}catch(e){return!1}}})),He=ue((function(e,t){"use strict";var n=Ve();t.exports=function(e){if("function"!=typeof e)return!1;if(!hasOwnProp\
erty.call(e,"length"))return!1;try{if("number"!=typeof e.length)return!1;if("function"!=typeof e.call)return!1;if("function"!=typeof e.apply)return!1}catch(e){return!1}return!n(e)}})),$e=ue((function(e,t){"use strict";var n=He(),r=/^\\s*class[\\s{/}]/,a=Function.prototype.toString;t.exports=function(e){return!!n(e)&&!r.test(a.call(e))}})),Ue=ue((function(e,t){"use strict";var n="razdwatrzy";t.exports=function(){return"function"==typeof n.contains&&!0===n.contains("dwa")&&!1===n.contains("foo")}})),We=ue((function(e,t){"use strict";var n=String.prototype.indexOf;t.exports=function(e){return-1<n.call(this,e,arguments[1])}})),Ge=ue((function(e,t){"use strict";t.exports=Ue()()?String.prototype.contains:We()})),Ye=ue((function(e,t){"use strict";var n=qe(),r=$e(),a=Me(),o=be(),u=Ge();(t.exports=function(e,t){var r,i,s,l;return arguments.length<2||"string"!=typeof e?(l=t,t=e,e=null):l=arguments[2],n(e)?(r=u.call(e,"c"),i=u.call(e,"e"),s=u.call(e,"w")):i=!(r=s=!0),e={value:t,configurable:r,enume\
rable:i,writable:s},l?a(o(l),e):e}).gs=function(e,t,i){var s,l;return"string"!=typeof e?(l=i,i=t,t=e,e=null):l=arguments[3],n(t)?r(t)?n(i)?r(i)||(l=i,i=void 0):i=void 0:(l=t,t=i=void 0):t=void 0,e=n(e)?(s=u.call(e,"c"),u.call(e,"e")):!(s=!0),t={get:t,set:i,configurable:s,enumerable:e},l?a(o(l),t):t}})),Ke=ue((function(e,t){"use strict";var n=Ye(),r=xe(),o=Function.prototype.apply,u=Function.prototype.call,i=Object.create,s=Object.defineProperty,l=Object.defineProperties,c=Object.prototype.hasOwnProperty,d={configurable:!0,enumerable:!1,writable:!0},p=function(e,t){var n;return r(t),c.call(this,"__ee__")?n=this.__ee__:(n=d.value=i(null),s(this,"__ee__",d),d.value=null),n[e]?"object"===a(n[e])?n[e].push(t):n[e]=[n[e],t]:n[e]=t,this},f=function(e,t){var n,a;return r(t),a=this,p.call(this,e,n=function(){D.call(a,e,n),o.call(t,this,arguments)}),n.__eeOnceListener__=t,this},D=function(e,t){var n,o,u,i;if(r(t),c.call(this,"__ee__")&&(n=this.__ee__)[e])if(o=n[e],"object"===a(o))for(i=0;u=o[i];\
++i)u!==t&&u.__eeOnceListener__!==t||(2===o.length?n[e]=o[i?0:1]:o.splice(i,1));else o!==t&&o.__eeOnceListener__!==t||delete n[e];return this},m=function(e){var t,n,r,i,s;if(c.call(this,"__ee__")&&(i=this.__ee__[e]))if("object"===a(i)){for(n=arguments.length,s=new Array(n-1),t=1;t<n;++t)s[t-1]=arguments[t];for(i=i.slice(),t=0;r=i[t];++t)o.call(r,this,s)}else switch(arguments.length){case 1:u.call(i,this);break;case 2:u.call(i,this,arguments[1]);break;case 3:u.call(i,this,arguments[1],arguments[2]);break;default:for(n=arguments.length,s=new Array(n-1),t=1;t<n;++t)s[t-1]=arguments[t];o.call(i,this,s)}},h={on:p,once:f,off:D,emit:m},g={on:n(p),once:n(f),off:n(D),emit:n(m)},b=l({},g);t.exports=e=function(e){return null==e?i(b):l(Object(e),g)},e.methods=h})),Xe=ue((function(e,t){"use strict";t.exports=function(){var e,t=Array.from;return"function"==typeof t&&(e=t(t=["raz","dwa"]),Boolean(e&&e!==t&&"dwa"===e[1]))}})),Ze=ue((function(e,t){"use strict";t.exports=function(){return"object"===("un\
defined"==typeof globalThis?"undefined":a(globalThis))&&!!globalThis&&globalThis.Array===Array}})),Je=ue((function(e,n){function r(){if("object"===("undefined"==typeof self?"undefined":a(self))&&self)return self;if("object"===(void 0===t?"undefined":a(t))&&t)return t;throw new Error("Unable to resolve global \`this\`")}n.exports=function(){if(this)return this;try{Object.defineProperty(Object.prototype,"__global__",{get:function(){return this},configurable:!0})}catch(e){return r()}try{return __global__||r()}finally{delete Object.prototype.__global__}}()})),Qe=ue((function(e,t){"use strict";t.exports=Ze()()?globalThis:Je()})),et=ue((function(e,t){"use strict";var n=Qe(),r={object:!0,symbol:!0};t.exports=function(){var e,t=n.Symbol;if("function"!=typeof t)return!1;e=t("test symbol");try{String(e)}catch(e){return!1}return!!r[a(t.iterator)]&&!!r[a(t.toPrimitive)]&&!!r[a(t.toStringTag)]}})),tt=ue((function(e,t){"use strict";t.exports=function(e){return!!e&&("symbol"===a(e)||!!e.constructor&&"S\
ymbol"===e.constructor.name&&"Symbol"===e[e.constructor.toStringTag])}})),nt=ue((function(e,t){"use strict";var n=tt();t.exports=function(e){if(n(e))return e;throw new TypeError(e+" is not a symbol")}})),rt=ue((function(e,t){"use strict";var n=Ye(),r=Object.create,a=Object.defineProperty,o=Object.prototype,u=r(null);t.exports=function(e){for(var t,r,i=0;u[e+(i||"")];)++i;return u[e+=i||""]=!0,a(o,t="@@"+e,n.gs(null,(function(e){r||(r=!0,a(this,t,n(e)),r=!1)}))),t}})),at=ue((function(e,t){"use strict";var n=Ye(),r=Qe().Symbol;t.exports=function(e){return Object.defineProperties(e,{hasInstance:n("",r&&r.hasInstance||e("hasInstance")),isConcatSpreadable:n("",r&&r.isConcatSpreadable||e("isConcatSpreadable")),iterator:n("",r&&r.iterator||e("iterator")),match:n("",r&&r.match||e("match")),replace:n("",r&&r.replace||e("replace")),search:n("",r&&r.search||e("search")),species:n("",r&&r.species||e("species")),split:n("",r&&r.split||e("split")),toPrimitive:n("",r&&r.toPrimitive||e("toPrimitive"))\
,toStringTag:n("",r&&r.toStringTag||e("toStringTag")),unscopables:n("",r&&r.unscopables||e("unscopables"))})}})),ot=ue((function(e,t){"use strict";var n=Ye(),r=nt(),a=Object.create(null);t.exports=function(e){return Object.defineProperties(e,{for:n((function(t){return a[t]||(a[t]=e(String(t)))})),keyFor:n((function(e){for(var t in r(e),a)if(a[t]===e)return t}))})}})),ut=ue((function(e,t){"use strict";var n,r,o,u=Ye(),i=nt(),s=Qe().Symbol,l=rt(),c=at(),d=ot(),p=Object.create,f=Object.defineProperties,D=Object.defineProperty;if("function"==typeof s)try{String(s()),o=!0}catch(e){}else s=null;r=function(e){if(this instanceof r)throw new TypeError("Symbol is not a constructor");return n(e)},t.exports=n=function e(t){var n;if(this instanceof e)throw new TypeError("Symbol is not a constructor");return o?s(t):(n=p(r.prototype),t=void 0===t?"":String(t),f(n,{__description__:u("",t),__name__:u("",l(t))}))},c(n),d(n),f(r.prototype,{constructor:u(n),toString:u("",(function(){return this.__name__})\
)}),f(n.prototype,{toString:u((function(){return"Symbol ("+i(this).__description__+")"})),valueOf:u((function(){return i(this)}))}),D(n.prototype,n.toPrimitive,u("",(function(){var e=i(this);return"symbol"===a(e)?e:e.toString()}))),D(n.prototype,n.toStringTag,u("c","Symbol")),D(r.prototype,n.toStringTag,u("c",n.prototype[n.toStringTag])),D(r.prototype,n.toPrimitive,u("c",n.prototype[n.toPrimitive]))})),it=ue((function(e,t){"use strict";t.exports=et()()?Qe().Symbol:ut()})),st=ue((function(e,t){"use strict";var n=Object.prototype.toString,r=n.call(function(){return arguments}());t.exports=function(e){return n.call(e)===r}})),lt=ue((function(e,t){"use strict";var n=Object.prototype.toString,r=RegExp.prototype.test.bind(/^[object [A-Za-z0-9]*Function]$/);t.exports=function(e){return"function"==typeof e&&r(n.call(e))}})),ct=ue((function(e,t){"use strict";var n=Object.prototype.toString,r=n.call("");t.exports=function(e){return"string"==typeof e||e&&"object"===a(e)&&(e instanceof String||n.c\
all(e)===r)||!1}})),dt=ue((function(e,t){"use strict";var n=it().iterator,r=st(),a=lt(),o=Ee(),u=xe(),i=Ae(),s=ge(),l=ct(),c=Array.isArray,d=Function.prototype.call,p={configurable:!0,enumerable:!0,writable:!0,value:null},f=Object.defineProperty;t.exports=function(e){var t,D,m,h,g,b,v,y,F,w,E=arguments[1],C=arguments[2];if(e=Object(i(e)),s(E)&&u(E),this&&this!==Array&&a(this))t=this;else{if(!E){if(r(e))return 1!==(g=e.length)?Array.apply(null,e):((h=new Array(1))[0]=e[0],h);if(c(e)){for(h=new Array(g=e.length),D=0;D<g;++D)h[D]=e[D];return h}}h=[]}if(!c(e))if(void 0!==(F=e[n])){for(v=u(F).call(e),t&&(h=new t),y=v.next(),D=0;!y.done;)w=E?d.call(E,C,y.value,D):y.value,t?(p.value=w,f(h,D,p)):h[D]=w,y=v.next(),++D;g=D}else if(l(e)){for(g=e.length,t&&(h=new t),m=D=0;D<g;++D)w=e[D],D+1<g&&55296<=(b=w.charCodeAt(0))&&b<=56319&&(w+=e[++D]),w=E?d.call(E,C,w,m):w,t?(p.value=w,f(h,m,p)):h[m]=w,++m;g=m}if(void 0===g)for(g=o(e.length),t&&(h=new t(g)),D=0;D<g;++D)w=E?d.call(E,C,e[D],D):e[D],t?(p.valu\
e=w,f(h,D,p)):h[D]=w;return t&&(p.value=null,h.length=g),h}})),pt=ue((function(e,t){"use strict";t.exports=Xe()()?Array.from:dt()})),ft=ue((function(e,t){"use strict";var n=pt(),r=Array.isArray;t.exports=function(e){return r(e)?e:n(e)}})),Dt=ue((function(e,t){"use strict";var n=ft(),r=ge(),a=xe(),o=Array.prototype.slice,u=function(e){return this.map((function(t,n){return t?t(e[n]):e[n]})).concat(o.call(e,this.length))};t.exports=function(e){return(e=n(e)).forEach((function(e){r(e)&&a(e)})),u.bind(e)}})),mt=ue((function(e,t){"use strict";var n=xe();t.exports=function(e){var t;return"function"==typeof e?{set:e,get:e}:(t={get:n(e.get)},void 0!==e.set?(t.set=n(e.set),e.delete&&(t.delete=n(e.delete)),e.clear&&(t.clear=n(e.clear))):t.set=t.get,t)}})),ht=ue((function(e,t){"use strict";var n=Pe(),r=Le(),a=Ye(),o=Ke().methods,u=Dt(),i=mt(),s=Function.prototype.apply,l=Function.prototype.call,c=Object.create,d=Object.defineProperties,p=o.on,f=o.emit;t.exports=function(e,t,o){var D,m,h,g,b,v,y,F,\
w,E,C,x=c(null),A=!1!==t?t:isNaN(e.length)?1:e.length;return o.normalizer&&(E=i(o.normalizer),m=E.get,h=E.set,g=E.delete,b=E.clear),null!=o.resolvers&&(C=u(o.resolvers)),E=m?r((function(t){var r,a,o=arguments;if(C&&(o=C(o)),null!==(r=m(o))&&hasOwnProperty.call(x,r))return y&&D.emit("get",r,o,this),x[r];if(a=1===o.length?l.call(e,this,o[0]):s.call(e,this,o),null===r){if(null!==(r=m(o)))throw n("Circular invocation","CIRCULAR_INVOCATION");r=h(o)}else if(hasOwnProperty.call(x,r))throw n("Circular invocation","CIRCULAR_INVOCATION");return x[r]=a,F&&D.emit("set",r,null,a),a}),A):0===t?function(){var t;if(hasOwnProperty.call(x,"data"))return y&&D.emit("get","data",arguments,this),x.data;if(t=arguments.length?s.call(e,this,arguments):l.call(e,this),hasOwnProperty.call(x,"data"))throw n("Circular invocation","CIRCULAR_INVOCATION");return x.data=t,F&&D.emit("set","data",null,t),t}:function(t){var r,a=arguments;if(C&&(a=C(arguments)),r=String(a[0]),hasOwnProperty.call(x,r))return y&&D.emit("get"\
,r,a,this),x[r];if(a=1===a.length?l.call(e,this,a[0]):s.call(e,this,a),hasOwnProperty.call(x,r))throw n("Circular invocation","CIRCULAR_INVOCATION");return x[r]=a,F&&D.emit("set",r,null,a),a},D={original:e,memoized:E,profileName:o.profileName,get:function(e){return C&&(e=C(e)),m?m(e):String(e[0])},has:function(e){return hasOwnProperty.call(x,e)},delete:function(e){var t;hasOwnProperty.call(x,e)&&(g&&g(e),t=x[e],delete x[e],w)&&D.emit("delete",e,t)},clear:function(){var e=x;b&&b(),x=c(null),D.emit("clear",e)},on:function(e,t){return"get"===e?y=!0:"set"===e?F=!0:"delete"===e&&(w=!0),p.call(this,e,t)},emit:f,updateEnv:function(){e=D.original}},o=m?r((function(e){var t=arguments;C&&(t=C(t)),null!==(t=m(t))&&D.delete(t)}),A):0===t?function(){return D.delete("data")}:function(e){return C&&(e=C(arguments)[0]),D.delete(e)},A=r((function(){var e=arguments;return 0===t?x.data:(C&&(e=C(e)),e=m?m(e):String(e[0]),x[e])})),v=r((function(){var e=arguments;return 0===t?D.has("data"):(C&&(e=C(e)),null!\
==(e=m?m(e):String(e[0]))&&D.has(e))})),d(E,{__memoized__:a(!0),delete:a(o),clear:a(D.clear),_get:a(A),_has:a(v)}),D}})),gt=ue((function(e,t){"use strict";var n=xe(),r=ke(),a=Be(),o=ht(),u=Ce();t.exports=function e(t){var i,s,l;if(n(t),(i=Object(arguments[1])).async&&i.promise)throw new Error("Options 'async' and 'promise' cannot be used together");return hasOwnProperty.call(t,"__memoized__")&&!i.force?t:(s=u(i.length,t.length,i.async&&a.async),l=o(t,s,i),r(a,(function(e,t){i[t]&&e(i[t],l,i)})),e.__profiler__&&e.__profiler__(l),l.updateEnv(),l.memoized)}})),bt=ue((function(e,t){"use strict";t.exports=function(e){var t,n,r=e.length;if(!r)return"";for(t=String(e[n=0]);--r;)t+=""+e[++n];return t}})),vt=ue((function(e,t){"use strict";t.exports=function(e){return e?function(t){for(var n=String(t[0]),r=0,a=e;--a;)n+=""+t[++r];return n}:function(){return""}}})),yt=ue((function(e,t){"use strict";t.exports=function(){var e=Number.isNaN;return"function"==typeof e&&!e({})&&e(NaN)&&!e(34)}})),F\
t=ue((function(e,t){"use strict";t.exports=function(e){return e!=e}})),wt=ue((function(e,t){"use strict";t.exports=yt()()?Number.isNaN:Ft()})),Et=ue((function(e,t){"use strict";var n=wt(),r=Ee(),a=Ae(),o=Array.prototype.indexOf,u=Object.prototype.hasOwnProperty,i=Math.abs,s=Math.floor;t.exports=function(e){var t,l,c;if(!n(e))return o.apply(this,arguments);for(l=r(a(this).length),e=arguments[1],t=e=isNaN(e)?0:0<=e?s(e):r(this.length)-s(i(e));t<l;++t)if(u.call(this,t)&&(c=this[t],n(c)))return t;return-1}})),Ct=ue((function(e,t){"use strict";var n=Et(),r=Object.create;t.exports=function(){var e=0,t=[],a=r(null);return{get:function(e){var r,a=0,o=t,u=e.length;if(0===u)return o[u]||null;if(o=o[u]){for(;a<u-1;){if(-1===(r=n.call(o[0],e[a])))return null;o=o[1][r],++a}return-1===(r=n.call(o[0],e[a]))?null:o[1][r]||null}return null},set:function(r){var o,u=0,i=t,s=r.length;if(0===s)i[s]=++e;else{for(i[s]||(i[s]=[[],[]]),i=i[s];u<s-1;)-1===(o=n.call(i[0],r[u]))&&(o=i[0].push(r[u])-1,i[1].push([[\
],[]])),i=i[1][o],++u;-1===(o=n.call(i[0],r[u]))&&(o=i[0].push(r[u])-1),i[1][o]=++e}return a[e]=r,e},delete:function(e){var r,o=0,u=t,i=a[e],s=i.length,l=[];if(0===s)delete u[s];else if(u=u[s]){for(;o<s-1;){if(-1===(r=n.call(u[0],i[o])))return;l.push(u,r),u=u[1][r],++o}if(-1===(r=n.call(u[0],i[o])))return;for(e=u[1][r],u[0].splice(r,1),u[1].splice(r,1);!u[0].length&&l.length;)r=l.pop(),(u=l.pop())[0].splice(r,1),u[1].splice(r,1)}delete a[e]},clear:function(){t=[],a=r(null)}}}})),xt=ue((function(e,t){"use strict";var n=Et();t.exports=function(){var e=0,t=[],r=[];return{get:function(e){return-1===(e=n.call(t,e[0]))?null:r[e]},set:function(n){return t.push(n[0]),r.push(++e),e},delete:function(e){-1!==(e=n.call(r,e))&&(t.splice(e,1),r.splice(e,1))},clear:function(){t=[],r=[]}}}})),At=ue((function(e,t){"use strict";var n=Et(),r=Object.create;t.exports=function(e){var t=0,a=[[],[]],o=r(null);return{get:function(t){for(var r,o=0,u=a;o<e-1;){if(-1===(r=n.call(u[0],t[o])))return null;u=u[1][r],\
++o}return-1!==(r=n.call(u[0],t[o]))&&u[1][r]||null},set:function(r){for(var u,i=0,s=a;i<e-1;)-1===(u=n.call(s[0],r[i]))&&(u=s[0].push(r[i])-1,s[1].push([[],[]])),s=s[1][u],++i;return-1===(u=n.call(s[0],r[i]))&&(u=s[0].push(r[i])-1),s[1][u]=++t,o[t]=r,t},delete:function(t){for(var r,u=0,i=a,s=[],l=o[t];u<e-1;){if(-1===(r=n.call(i[0],l[u])))return;s.push(i,r),i=i[1][r],++u}if(-1!==(r=n.call(i[0],l[u]))){for(t=i[1][r],i[0].splice(r,1),i[1].splice(r,1);!i[0].length&&s.length;)r=s.pop(),(i=s.pop())[0].splice(r,1),i[1].splice(r,1);delete o[t]}},clear:function(){a=[[],[]],o=r(null)}}}})),Nt=ue((function(e,t){"use strict";var n=xe(),r=ke(),a=Function.prototype.call;t.exports=function(e,t){var o={},u=arguments[2];return n(t),r(e,(function(e,n,r,i){o[n]=a.call(t,u,e,n,r,i)})),o}})),kt=ue((function(e,t){"use strict";function n(e){if("function"!=typeof e)throw new TypeError(e+" is not a function");return e}function o(e){var t,a,o=r.createTextNode(""),u=0;return new e((function(){var e;if(t)a&&(t=\
a.concat(t));else{if(!a)return;t=a}if(a=t,t=null,"function"==typeof a)e=a,a=null,e();else for(o.data=u=++u%2;a;)e=a.shift(),a.length||(a=null),e()})).observe(o,{characterData:!0}),function(e){n(e),t?"function"==typeof t?t=[t,e]:t.push(e):(t=e,o.data=u=++u%2)}}t.exports=function(){if("object"===("undefined"==typeof process?"undefined":a(process))&&process&&"function"==typeof process.nextTick)return process.nextTick;if("function"==typeof queueMicrotask)return function(e){queueMicrotask(n(e))};if("object"===(void 0===r?"undefined":a(r))&&r){if("function"==typeof MutationObserver)return o(MutationObserver);if("function"==typeof WebKitMutationObserver)return o(WebKitMutationObserver)}return"function"==typeof setImmediate?function(e){setImmediate(n(e))}:"function"==typeof setTimeout||"object"===("undefined"==typeof setTimeout?"undefined":a(setTimeout))?function(e){setTimeout(n(e),0)}:null}()})),Bt=ue((function(){"use strict";var e=pt(),t=Nt(),n=je(),r=Le(),a=kt(),o=Array.prototype.slice,u=Fu\
nction.prototype.apply,i=Object.create;Be().async=function(s,l){var c,d,p,f=i(null),D=i(null),m=l.memoized,h=l.original;l.memoized=r((function(e){var t=arguments,n=t[t.length-1];return"function"==typeof n&&(c=n,t=o.call(t,0,-1)),m.apply(d=this,p=t)}),m);try{n(l.memoized,m)}catch(s){}l.on("get",(function(e){var t,n,r;c&&(f[e]?("function"==typeof f[e]?f[e]=[f[e],c]:f[e].push(c),c=null):(t=c,n=d,r=p,c=d=p=null,a((function(){var a;hasOwnProperty.call(D,e)?(a=D[e],l.emit("getasync",e,r,n),u.call(t,a.context,a.args)):(c=t,d=n,p=r,m.apply(n,r))}))))})),l.original=function(){var t,n,r,o;return c?(t=e(arguments),r=c,c=d=p=null,t.push(n=function t(n){var r,i,s=t.id;if(null==s)a(u.bind(t,this,arguments));else if(delete t.id,r=f[s],delete f[s],r)return i=e(arguments),l.has(s)&&(n?l.delete(s):(D[s]={context:this,args:i},l.emit("setasync",s,"function"==typeof r?1:r.length))),"function"==typeof r?o=u.call(r,this,i):r.forEach((function(e){o=u.call(e,this,i)}),this),o}),o=u.call(h,this,t),n.cb=r,c=n,o)\
:u.call(h,this,arguments)},l.on("set",(function(e){c?(f[e]?"function"==typeof f[e]?f[e]=[f[e],c.cb]:f[e].push(c.cb):f[e]=c.cb,delete c.cb,c.id=e,c=null):l.delete(e)})),l.on("delete",(function(e){var t;hasOwnProperty.call(f,e)||D[e]&&(t=D[e],delete D[e],l.emit("deleteasync",e,o.call(t.args,1)))})),l.on("clear",(function(){var e=D;D=i(null),l.emit("clearasync",t(e,(function(e){return o.call(e.args,1)})))}))}})),Tt=ue((function(e,t){"use strict";var n=Array.prototype.forEach,r=Object.create;t.exports=function(e){var t=r(null);return n.call(arguments,(function(e){t[e]=!0})),t}})),Rt=ue((function(e,t){"use strict";t.exports=function(e){return"function"==typeof e}})),St=ue((function(e,t){"use strict";var n=Rt();t.exports=function(e){try{return e&&n(e.toString)?e.toString():String(e)}catch(e){throw new TypeError("Passed argument cannot be stringifed")}}})),Ot=ue((function(e,t){"use strict";var n=Ae(),r=St();t.exports=function(e){return r(n(e))}})),_t=ue((function(e,t){"use strict";var n=Rt();\
t.exports=function(e){try{return e&&n(e.toString)?e.toString():String(e)}catch(e){return"<Non-coercible to string value>"}}})),Mt=ue((function(e,t){"use strict";var n=_t(),r=/[\\n\\r\\u2028\\u2029]/g;t.exports=function(e){return(e=100<(e=n(e)).length?e.slice(0,99)+"…":e).replace(r,(function(e){return JSON.stringify(e).slice(1,-1)}))}})),It=ue((function(e,t){function n(e){return!!e&&("object"===a(e)||"function"==typeof e)&&"function"==typeof e.then}t.exports=n,t.exports.default=n})),Pt=ue((function(){"use strict";var e=Nt(),t=Tt(),n=Ot(),r=Mt(),a=It(),o=kt(),u=Object.create,i=t("then","then:finally","done","done:finally");Be().promise=function(t,s){var l=u(null),c=u(null),d=u(null);if(!0===t)t=null;else if(t=n(t),!i[t])throw new TypeError("'"+r(t)+"' is not valid promise mode");s.on("set",(function(e,n,r){var u=!1;if(a(r)){l[e]=1,d[e]=r;var i=function(t){var n=l[e];if(u)throw new Error("Memoizee error: Detected unordered then|done & finally resolution, which in turn makes proper detection o\
f success/failure impossible (when in 'done:finally' mode)\\nConsider to rely on 'then' or 'done' mode instead.");n&&(delete l[e],c[e]=t,s.emit("setasync",e,n))},p=function(){u=!0,l[e]&&(delete l[e],delete d[e],s.delete(e))},f=t;if("then"===(f=f||"then")){var D=function(){o(p)};"function"==typeof(r=r.then((function(e){o(i.bind(this,e))}),D)).finally&&r.finally(D)}else if("done"===f){if("function"!=typeof r.done)throw new Error("Memoizee error: Retrieved promise does not implement 'done' in 'done' mode");r.done(i,p)}else if("done:finally"===f){if("function"!=typeof r.done)throw new Error("Memoizee error: Retrieved promise does not implement 'done' in 'done:finally' mode");if("function"!=typeof r.finally)throw new Error("Memoizee error: Retrieved promise does not implement 'finally' in 'done:finally' mode");r.done(i),r.finally(p)}}else c[e]=r,s.emit("setasync",e,1)})),s.on("get",(function(e,t,n){var r,u;l[e]?++l[e]:(r=d[e],u=function(){s.emit("getasync",e,t,n)},a(r)?"function"==typeof r.d\
one?r.done(u):r.then((function(){o(u)})):u())})),s.on("delete",(function(e){var t;delete d[e],l[e]?delete l[e]:hasOwnProperty.call(c,e)&&(t=c[e],delete c[e],s.emit("deleteasync",e,[t]))})),s.on("clear",(function(){var t=c;c=u(null),l=u(null),d=u(null),s.emit("clearasync",e(t,(function(e){return[e]})))}))}})),jt=ue((function(){"use strict";var e=xe(),t=ke(),n=Be(),r=Function.prototype.apply;n.dispose=function(a,o,u){var i;e(a),u.async&&n.async||u.promise&&n.promise?(o.on("deleteasync",i=function(e,t){r.call(a,null,t)}),o.on("clearasync",(function(e){t(e,(function(e,t){i(t,e)}))}))):(o.on("delete",i=function(e,t){a(t)}),o.on("clear",(function(e){t(e,(function(e,t){i(t,e)}))})))}})),Lt=ue((function(e,t){"use strict";t.exports=2147483647})),qt=ue((function(e,t){"use strict";var n=Ee(),r=Lt();t.exports=function(e){if(e=n(e),r<e)throw new TypeError(e+" exceeds maximum possible timeout");return e}})),zt=ue((function(){"use strict";var e=pt(),t=ke(),n=kt(),r=It(),a=qt(),o=Be(),u=Function.proto\
type,i=Math.max,s=Math.min,l=Object.create;o.maxAge=function(c,d,p){var f,D,m,h;(c=a(c))&&(f=l(null),D=p.async&&o.async||p.promise&&o.promise?"async":"",d.on("set"+D,(function(e){f[e]=setTimeout((function(){d.delete(e)}),c),"function"==typeof f[e].unref&&f[e].unref(),h&&(h[e]&&"nextTick"!==h[e]&&clearTimeout(h[e]),h[e]=setTimeout((function(){delete h[e]}),m),"function"==typeof h[e].unref)&&h[e].unref()})),d.on("delete"+D,(function(e){clearTimeout(f[e]),delete f[e],h&&("nextTick"!==h[e]&&clearTimeout(h[e]),delete h[e])})),p.preFetch&&(m=!0===p.preFetch||isNaN(p.preFetch)?.333:i(s(Number(p.preFetch),1),0))&&(h={},m=(1-m)*c,d.on("get"+D,(function(t,a,o){h[t]||(h[t]="nextTick",n((function(){var n;"nextTick"===h[t]&&(delete h[t],d.delete(t),p.async&&(a=e(a)).push(u),n=d.memoized.apply(o,a),p.promise)&&r(n)&&("function"==typeof n.done?n.done(u,u):n.then(u,u))})))}))),d.on("clear"+D,(function(){t(f,(function(e){clearTimeout(e)})),f={},h&&(t(h,(function(e){"nextTick"!==e&&clearTimeout(e)})),h=\
{})})))}})),Vt=ue((function(e,t){"use strict";var n=Ee(),r=Object.create,a=Object.prototype.hasOwnProperty;t.exports=function(e){var t,o=0,u=1,i=r(null),s=r(null),l=0;return e=n(e),{hit:function(n){var r=s[n],c=++l;if(i[c]=n,s[n]=c,!r)return++o<=e?void 0:(n=i[u],t(n),n);if(delete i[r],u===r)for(;!a.call(i,++u););},delete:t=function(e){var t=s[e];if(t&&(delete i[t],delete s[e],--o,u===t))if(o)for(;!a.call(i,++u););else l=0,u=1},clear:function(){o=0,u=1,i=r(null),s=r(null),l=0}}}})),Ht=ue((function(){"use strict";var e=Ee(),t=Vt(),n=Be();n.max=function(r,a,o){var u;(r=e(r))&&(u=t(r),r=o.async&&n.async||o.promise&&n.promise?"async":"",a.on("set"+r,o=function(e){void 0!==(e=u.hit(e))&&a.delete(e)}),a.on("get"+r,o),a.on("delete"+r,u.delete),a.on("clear"+r,u.clear))}})),$t=ue((function(){"use strict";var e=Ye(),t=Be(),n=Object.create,r=Object.defineProperties;t.refCounter=function(a,o,u){var i=n(null);u=u.async&&t.async||u.promise&&t.promise?"async":"";o.on("set"+u,(function(e,t){i[e]=t||1})\
),o.on("get"+u,(function(e){++i[e]})),o.on("delete"+u,(function(e){delete i[e]})),o.on("clear"+u,(function(){i={}})),r(o.memoized,{deleteRef:e((function(){var e=o.get(arguments);return null!==e&&i[e]?!--i[e]&&(o.delete(e),!0):null})),getRefCount:e((function(){var e=o.get(arguments);return null!==e&&i[e]||0}))})}})),Ut=ue((function(e,t){"use strict";var n=be(),r=Ce(),a=gt();t.exports=function(e){var t,o=n(arguments[1]);return o.normalizer||0!==(t=o.length=r(o.length,e.length,o.async))&&(o.primitive?!1===t?o.normalizer=bt():1<t&&(o.normalizer=vt()(t)):o.normalizer=!1===t?Ct()():1===t?xt()():At()(t)),o.async&&Bt(),o.promise&&Pt(),o.dispose&&jt(),o.maxAge&&zt(),o.max&&Ht(),o.refCounter&&$t(),a(e,o)}})),Wt=ue((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isIdentStart=function(e){return"a"<=e&&e<="z"||"A"<=e&&e<="Z"||"-"===e||"_"===e},e.isIdent=function(e){return"a"<=e&&e<="z"||"A"<=e&&e<="Z"||"0"<=e&&e<="9"||"-"===e||"_"===e},e.isHex=function(e){return"a"<=e&&\
e<="f"||"A"<=e&&e<="F"||"0"<=e&&e<="9"},e.escapeIdentifier=function(t){for(var n=t.length,r="",a=0;a<n;){var o=t.charAt(a);if(e.identSpecialChars[o])r+="\\\\"+o;else if("_"===o||"-"===o||"A"<=o&&o<="Z"||"a"<=o&&o<="z"||0!==a&&"0"<=o&&o<="9")r+=o;else{if(55296==(63488&(o=o.charCodeAt(0)))){var u=t.charCodeAt(a++);if(55296!=(64512&o)||56320!=(64512&u))throw Error("UCS-2(decode): illegal sequence");o=((1023&o)<<10)+(1023&u)+65536}r+="\\\\"+o.toString(16)+" "}a++}return r},e.escapeStr=function(t){for(var n,r=t.length,a="",o=0;o<r;){var u=t.charAt(o);'"'===u?u='\\\\"':"\\\\"===u?u="\\\\\\\\":void 0!==(n=e.strReplacementsRev[u])&&(u=n),a+=u,o++}return'"'+a+'"'},e.identSpecialChars={"!":!0,'"':!0,"#":!0,$:!0,"%":!0,"&":!0,"'":!0,"(":!0,")":!0,"*":!0,"+":!0,",":!0,".":!0,"/":!0,";":!0,"<":!0,"=":!0,">":!0,"?":!0,"@":!0,"[":!0,"\\\\":!0,"]":!0,"^":!0,"\`":!0,"{":!0,"|":!0,"}":!0,"~":!0},e.strReplacementsRev={"\\n":"\\\\n","\\r":"\\\\r","\\t":"\\\\t","\\f":"\\\\f","\\v":"\\\\v"},e.singleQuoteEscapeChars={n:"\\n",r:"\\r",t:"\\t"\
,f:"\\f","\\\\":"\\\\","'":"'"},e.doubleQuotesEscapeChars={n:"\\n",r:"\\r",t:"\\t",f:"\\f","\\\\":"\\\\",'"':'"'}})),Gt=ue((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=Wt();e.parseCssSelector=function(e,n,r,a,o,u){var i=e.length,s="";function l(r,a){var o="";for(n++,s=e.charAt(n);n<i;){if(s===r)return n++,o;var u;if("\\\\"===s)if(n++,(s=e.charAt(n))===r)o+=r;else if(void 0!==(u=a[s]))o+=u;else{if(t.isHex(s)){var l=s;for(n++,s=e.charAt(n);t.isHex(s);)l+=s,n++,s=e.charAt(n);" "===s&&(n++,s=e.charAt(n)),o+=String.fromCharCode(parseInt(l,16));continue}o+=s}else o+=s;n++,s=e.charAt(n)}return o}function c(){var r="";for(s=e.charAt(n);n<i;){if(!t.isIdent(s)){if("\\\\"!==s)return r;if(i<=++n)throw Error("Expected symbol but end of file reached.");if(s=e.charAt(n),!t.identSpecialChars[s]&&t.isHex(s)){var a=s;for(n++,s=e.charAt(n);t.isHex(s);)a+=s,n++,s=e.charAt(n);" "===s&&(n++,s=e.charAt(n)),r+=String.fromCharCode(parseInt(a,16));continue}}r+=s,n++,s=e.charAt(n)}return r}fun\
ction d(){for(s=e.charAt(n);" "===s||"\\t"===s||"\\n"===s||"\\r"===s||"\\f"===s;)n++,s=e.charAt(n)}function p(){var t=f();if(!t)return null;var r=t;for(s=e.charAt(n);","===s;){if(n++,d(),"selectors"!==r.type&&(r={type:"selectors",selectors:[t]}),!(t=f()))throw Error('Rule expected after ",".');r.selectors.push(t)}return r}function f(){d();var t={type:"ruleSet"},r=D();if(!r)return null;for(var a=t;r&&(r.type="rule",a.rule=r,a=r,d(),s=e.charAt(n),!(i<=n||","===s||")"===s));)if(o[s]){var u=s;if(n++,d(),!(r=D()))throw Error('Rule expected after "'+u+'".');r.nestingOperator=u}else(r=D())&&(r.nestingOperator=null);return t}function D(){for(var o=null;n<i;)if("*"===(s=e.charAt(n)))n++,(o=o||{}).tagName="*";else if(t.isIdentStart(s)||"\\\\"===s)(o=o||{}).tagName=c();else if("."===s)n++,((o=o||{}).classNames=o.classNames||[]).push(c());else if("#"===s)n++,(o=o||{}).id=c();else if("["===s){n++,d();var f={name:c()};if(d(),"]"===s)n++;else{var D="";if(a[s]&&(D=s,n++,s=e.charAt(n)),i<=n)throw Error('Expe\
cted "=" but end of file reached.');if("="!==s)throw Error('Expected "=" but "'+s+'" found.');f.operator=D+"=",n++,d();var m="";if(f.valueType="string",'"'===s)m=l('"',t.doubleQuotesEscapeChars);else if("'"===s)m=l("'",t.singleQuoteEscapeChars);else if(u&&"$"===s)n++,m=c(),f.valueType="substitute";else{for(;n<i&&"]"!==s;)m+=s,n++,s=e.charAt(n);m=m.trim()}if(d(),i<=n)throw Error('Expected "]" but end of file reached.');if("]"!==s)throw Error('Expected "]" but "'+s+'" found.');n++,f.value=m}((o=o||{}).attrs=o.attrs||[]).push(f)}else{if(":"!==s)break;if(n++,f={name:D=c()},"("===s){n++;var h="";if(d(),"selector"===r[D])f.valueType="selector",h=p();else{if(f.valueType=r[D]||"string",'"'===s)h=l('"',t.doubleQuotesEscapeChars);else if("'"===s)h=l("'",t.singleQuoteEscapeChars);else if(u&&"$"===s)n++,h=c(),f.valueType="substitute";else{for(;n<i&&")"!==s;)h+=s,n++,s=e.charAt(n);h=h.trim()}d()}if(i<=n)throw Error('Expected ")" but end of file reached.');if(")"!==s)throw Error('Expected ")" but "'\
+s+'" found.');n++,f.value=h}((o=o||{}).pseudos=o.pseudos||[]).push(f)}return o}var m=p();if(n<i)throw Error('Rule expected but "'+e.charAt(n)+'" found.');return m}})),Yt=ue((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=Wt();e.renderEntity=function e(n){var r="";switch(n.type){case"ruleSet":for(var a=n.rule,o=[];a;)a.nestingOperator&&o.push(a.nestingOperator),o.push(e(a)),a=a.rule;r=o.join(" ");break;case"selectors":r=n.selectors.map(e).join(", ");break;case"rule":n.tagName&&(r="*"===n.tagName?"*":t.escapeIdentifier(n.tagName)),n.id&&(r+="#"+t.escapeIdentifier(n.id)),n.classNames&&(r+=n.classNames.map((function(e){return"."+t.escapeIdentifier(e)})).join("")),n.attrs&&(r+=n.attrs.map((function(e){return"operator"in e?"substitute"===e.valueType?"["+t.escapeIdentifier(e.name)+e.operator+"$"+e.value+"]":"["+t.escapeIdentifier(e.name)+e.operator+t.escapeStr(e.value)+"]":"["+t.escapeIdentifier(e.name)+"]"})).join("")),n.pseudos&&(r+=n.pseudos.map((function(\
n){return n.valueType?"selector"===n.valueType?":"+t.escapeIdentifier(n.name)+"("+e(n.value)+")":"substitute"===n.valueType?":"+t.escapeIdentifier(n.name)+"($"+n.value+")":"numeric"===n.valueType?":"+t.escapeIdentifier(n.name)+"("+n.value+")":":"+t.escapeIdentifier(n.name)+"("+t.escapeIdentifier(n.value)+")":":"+t.escapeIdentifier(n.name)})).join(""));break;default:throw Error('Unknown entity type: "'+n.type+'".')}return r}})),Kt=ue((function(e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=Gt(),n=Yt();function r(){this.pseudos={},this.attrEqualityMods={},this.ruleNestingOperators={},this.substitutesEnabled=!1}r.prototype.registerSelectorPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,r=e;n<r.length;n++)this.pseudos[r[n]]="selector";return this},r.prototype.unregisterSelectorPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,r=e;n<r.length;n++)delete this.pseudos[r[n]];return this},r.pr\
ototype.registerNumericPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,r=e;n<r.length;n++)this.pseudos[r[n]]="numeric";return this},r.prototype.unregisterNumericPseudos=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,r=e;n<r.length;n++)delete this.pseudos[r[n]];return this},r.prototype.registerNestingOperators=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,r=e;n<r.length;n++)this.ruleNestingOperators[r[n]]=!0;return this},r.prototype.unregisterNestingOperators=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,r=e;n<r.length;n++)delete this.ruleNestingOperators[r[n]];return this},r.prototype.registerAttrEqualityMods=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,r=e;n<r.length;n++)this.attrEqualityMods[r[n]]=!0;return this},r.prototype.unregisterAttrEqualityMods=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]\
=arguments[t];for(var n=0,r=e;n<r.length;n++)delete this.attrEqualityMods[r[n]];return this},r.prototype.enableSubstitutes=function(){return this.substitutesEnabled=!0,this},r.prototype.disableSubstitutes=function(){return this.substitutesEnabled=!1,this},r.prototype.parse=function(e){return t.parseCssSelector(e,0,this.pseudos,this.attrEqualityMods,this.ruleNestingOperators,this.substitutesEnabled)},r.prototype.render=function(e){return n.renderEntity(e).trim()},e.CssSelectorParser=r})),Xt=ue((function(e,o){var u;u=function(){"use strict";function e(e){return"function"==typeof e}var o=Array.isArray||function(e){return"[object Array]"===Object.prototype.toString.call(e)},u=0,i=void 0,s=void 0,l=function(e,t){m[u]=e,m[u+1]=t,2===(u+=2)&&(s?s(h):y())},c=void 0!==t?t:void 0,d=(d=c||{}).MutationObserver||d.WebKitMutationObserver,p="undefined"==typeof self&&"undefined"!=typeof process&&"[object process]"==={}.toString.call(process),f="undefined"!=typeof Uint8ClampedArray&&"undefined"!=typeof\
 importScripts&&"undefined"!=typeof MessageChannel;function D(){var e=setTimeout;return function(){return e(h,1)}}var m=new Array(1e3);function h(){for(var e=0;e<u;e+=2)(0,m[e])(m[e+1]),m[e]=void 0,m[e+1]=void 0;u=0}var g,b,v,y=void 0;function F(e,t){var n,r=this,a=new this.constructor(C),o=(void 0===a[E]&&P(a),r._state);return o?(n=arguments[o-1],l((function(){return M(o,a,n,r._result)}))):O(r,a,e,t),a}function w(e){var t;return e&&"object"===a(e)&&e.constructor===this?e:(B(t=new this(C),e),t)}y=p?function(){return process.nextTick(h)}:d?(b=0,p=new d(h),v=r.createTextNode(""),p.observe(v,{characterData:!0}),function(){v.data=b=++b%2}):f?((g=new MessageChannel).port1.onmessage=h,function(){return g.port2.postMessage(0)}):(void 0===c?function(){try{var e=Function("return this")().require("vertx");return void 0!==(i=e.runOnLoop||e.runOnContext)?function(){i(h)}:D()}catch(e){return D()}}:D)();var E=Math.random().toString(36).substring(2);function C(){}var x=void 0,A=1,N=2;function k(t,n,r\
){var a,o;n.constructor===t.constructor&&r===F&&n.constructor.resolve===w?(a=t,(o=n)._state===A?R(a,o._result):o._state===N?S(a,o._result):O(o,void 0,(function(e){return B(a,e)}),(function(e){return S(a,e)}))):void 0!==r&&e(r)?function(e,t,n){l((function(e){var r=!1,a=function(e,t,n,r){try{e.call(t,n,r)}catch(e){return e}}(n,t,(function(n){r||(r=!0,(t!==n?B:R)(e,n))}),(function(t){r||(r=!0,S(e,t))}),e._label);!r&&a&&(r=!0,S(e,a))}),e)}(t,n,r):R(t,n)}function B(e,t){if(e===t)S(e,new TypeError("You cannot resolve a promise with itself"));else if(r=a(n=t),null===n||"object"!==r&&"function"!==r)R(e,t);else{n=void 0;try{n=t.then}catch(t){return void S(e,t)}k(e,t,n)}var n,r}function T(e){e._onerror&&e._onerror(e._result),_(e)}function R(e,t){e._state===x&&(e._result=t,e._state=A,0!==e._subscribers.length)&&l(_,e)}function S(e,t){e._state===x&&(e._state=N,e._result=t,l(T,e))}function O(e,t,n,r){var a=e._subscribers,o=a.length;e._onerror=null,a[o]=t,a[o+A]=n,a[o+N]=r,0===o&&e._state&&l(_,e)}fu\
nction _(e){var t=e._subscribers,n=e._state;if(0!==t.length){for(var r,a=void 0,o=e._result,u=0;u<t.length;u+=3)r=t[u],a=t[u+n],r?M(n,r,a,o):a(o);e._subscribers.length=0}}function M(t,n,r,a){var o=e(r),u=void 0,i=void 0,s=!0;if(o){try{u=r(a)}catch(t){s=!1,i=t}if(n===u)return void S(n,new TypeError("A promises callback cannot return that same promise."))}else u=a;n._state===x&&(o&&s?B(n,u):!1===s?S(n,i):t===A?R(n,u):t===N&&S(n,u))}var I=0;function P(e){e[E]=I++,e._state=void 0,e._result=void 0,e._subscribers=[]}L.prototype._enumerate=function(e){for(var t=0;this._state===x&&t<e.length;t++)this._eachEntry(e[t],t)},L.prototype._eachEntry=function(e,t){var n=this._instanceConstructor,r=n.resolve;if(r===w){var a,o=void 0,u=void 0,i=!1;try{o=e.then}catch(t){i=!0,u=t}o===F&&e._state!==x?this._settledAt(e._state,t,e._result):"function"!=typeof o?(this._remaining--,this._result[t]=e):n===q?(a=new n(C),i?S(a,u):k(a,e,o),this._willSettleAt(a,t)):this._willSettleAt(new n((function(t){return t(e)})\
),t)}else this._willSettleAt(r(e),t)},L.prototype._settledAt=function(e,t,n){var r=this.promise;r._state===x&&(this._remaining--,e===N?S(r,n):this._result[t]=n),0===this._remaining&&R(r,this._result)},L.prototype._willSettleAt=function(e,t){var n=this;O(e,void 0,(function(e){return n._settledAt(A,t,e)}),(function(e){return n._settledAt(N,t,e)}))};var j=L;function L(e,t){this._instanceConstructor=e,this.promise=new e(C),this.promise[E]||P(this.promise),o(t)?(this.length=t.length,this._remaining=t.length,this._result=new Array(this.length),0!==this.length&&(this.length=this.length||0,this._enumerate(t),0!==this._remaining)||R(this.promise,this._result)):S(this.promise,new Error("Array Methods must be provided an Array"))}z.prototype.catch=function(e){return this.then(null,e)},z.prototype.finally=function(t){var n=this.constructor;return e(t)?this.then((function(e){return n.resolve(t()).then((function(){return e}))}),(function(e){return n.resolve(t()).then((function(){throw e}))})):this.t\
hen(t,t)};var q=z;function z(e){if(this[E]=I++,this._result=this._state=void 0,this._subscribers=[],C!==e){if("function"!=typeof e)throw new TypeError("You must pass a resolver function as the first argument to the promise constructor");if(!(this instanceof z))throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.");var t=this;try{e((function(e){B(t,e)}),(function(e){S(t,e)}))}catch(e){S(t,e)}}}return q.prototype.then=F,q.all=function(e){return new j(this,e).promise},q.race=function(e){var t=this;return o(e)?new t((function(n,r){for(var a=e.length,o=0;o<a;o++)t.resolve(e[o]).then(n,r)})):new t((function(e,t){return t(new TypeError("You must pass an array to race."))}))},q.resolve=w,q.reject=function(e){var t=new this(C);return S(t,e),t},q._setScheduler=function(e){s=e},q._setAsap=function(e){l=e},q._asap=l,q.polyfill=function(){var e=void 0;if(void 0!==n)e=n;else if("undefined"!=typeof self)e=self;else \
try{e=Function("return this")()}catch(e){throw new Error("polyfill failed because global object is unavailable in this environment")}var t=e.Promise;if(t){var r=null;try{r=Object.prototype.toString.call(t.resolve())}catch(e){}if("[object Promise]"===r&&!t.cast)return}e.Promise=q},q.Promise=q},"object"===a(e)&&void 0!==o?o.exports=u():"function"==typeof define&&define.amd?define(u):e.ES6Promise=u()})),Zt=ue((function(e){var t,n,r=1e5,o=(t=Object.prototype.toString,n=Object.prototype.hasOwnProperty,{Class:function(e){return t.call(e).replace(/^\\[object *|\\]$/g,"")},HasProperty:function(e,t){return t in e},HasOwnProperty:function(e,t){return n.call(e,t)},IsCallable:function(e){return"function"==typeof e},ToInt32:function(e){return e>>0},ToUint32:function(e){return e>>>0}}),u=Math.LN2,i=Math.abs,s=Math.floor,l=Math.log,c=Math.min,d=Math.pow,p=Math.round;function f(e,t,n){return e<t?t:n<e?n:e}var D,m,h,g,b,v,y,F,w,E,C,x=Object.getOwnPropertyNames||function(e){if(e!==Object(e))throw new Type\
Error("Object.getOwnPropertyNames called on non-object");var t,n=[];for(t in e)o.HasOwnProperty(e,t)&&n.push(t);return n};function A(e){if(x&&D)for(var t=x(e),n=0;n<t.length;n+=1)D(e,t[n],{value:e[t[n]],writable:!1,enumerable:!1,configurable:!1})}function N(e){if(D){if(e.length>r)throw new RangeError("Array too large for polyfill");for(var t=0;t<e.length;t+=1)!function(t){D(e,t,{get:function(){return e._getter(t)},set:function(n){e._setter(t,n)},enumerable:!0,configurable:!1})}(t)}}function k(e,t){return e<<(t=32-t)>>t}function B(e,t){return e<<(t=32-t)>>>t}function T(e){return B(e[0],8)}function R(e,t,n){var r,a,o,p,f,D,m,h=(1<<t-1)-1;function g(e){var t=s(e);return(e=e-t)<.5||!(.5<e||t%2)?t:t+1}for(e!=e?(a=(1<<t)-1,o=d(2,n-1),r=0):e===1/0||e===-1/0?(a=(1<<t)-1,r=e<(o=0)?1:0):0===e?r=1/e==-1/(o=a=0)?1:0:(r=e<0,(e=i(e))>=d(2,1-h)?(a=c(s(l(e)/u),1023),2<=(o=g(e/d(2,a)*d(2,n)))/d(2,n)&&(a+=1,o=1),h<a?(a=(1<<t)-1,o=0):(a+=h,o-=d(2,n))):(a=0,o=g(e/d(2,1-h-n)))),f=[],p=n;p;--p)f.push(o%2?1:\
0),o=s(o/2);for(p=t;p;--p)f.push(a%2?1:0),a=s(a/2);for(f.push(r?1:0),f.reverse(),D=f.join(""),m=[];D.length;)m.push(parseInt(D.substring(0,8),2)),D=D.substring(8);return m}function S(e,t,n){for(var r,a,o,u,i,s,l=[],c=e.length;c;--c)for(a=e[c-1],r=8;r;--r)l.push(a%2?1:0),a>>=1;return l.reverse(),s=l.join(""),o=(1<<t-1)-1,u=parseInt(s.substring(0,1),2)?-1:1,i=parseInt(s.substring(1,1+t),2),s=parseInt(s.substring(1+t),2),i===(1<<t)-1?0===s?1/0*u:NaN:0<i?u*d(2,i-o)*(1+s/d(2,n)):0!==s?u*d(2,-(o-1))*(s/d(2,n)):u<0?-0:0}function O(e){if((e=o.ToInt32(e))<0)throw new RangeError("ArrayBuffer size is not a small enough positive integer");var t;for(this.byteLength=e,this._bytes=[],this._bytes.length=e,t=0;t<this.byteLength;t+=1)this._bytes[t]=0;A(this)}function _(){}function M(e,t,n){var r=function(e,t,n){var u,i,s,l;if(arguments.length&&"number"!=typeof e)if("object"===a(e)&&e.constructor===r)for(this.length=(u=e).length,this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new O(this.by\
teLength),s=this.byteOffset=0;s<this.length;s+=1)this._setter(s,u._getter(s));else if("object"!==a(e)||e instanceof O||"ArrayBuffer"===o.Class(e)){if("object"!==a(e)||!(e instanceof O||"ArrayBuffer"===o.Class(e)))throw new TypeError("Unexpected argument type(s)");if(this.buffer=e,this.byteOffset=o.ToUint32(t),this.byteOffset>this.buffer.byteLength)throw new RangeError("byteOffset out of range");if(this.byteOffset%this.BYTES_PER_ELEMENT)throw new RangeError("ArrayBuffer length minus the byteOffset is not a multiple of the element size.");if(arguments.length<3){if(this.byteLength=this.buffer.byteLength-this.byteOffset,this.byteLength%this.BYTES_PER_ELEMENT)throw new RangeError("length of buffer minus byteOffset not a multiple of the element size");this.length=this.byteLength/this.BYTES_PER_ELEMENT}else this.length=o.ToUint32(n),this.byteLength=this.length*this.BYTES_PER_ELEMENT;if(this.byteOffset+this.byteLength>this.buffer.byteLength)throw new RangeError("byteOffset and length reference\
 an area beyond the end of the buffer")}else for(this.length=o.ToUint32((i=e).length),this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new O(this.byteLength),s=this.byteOffset=0;s<this.length;s+=1)l=i[s],this._setter(s,Number(l));else{if(this.length=o.ToInt32(e),n<0)throw new RangeError("ArrayBufferView size is not a small enough positive integer");this.byteLength=this.length*this.BYTES_PER_ELEMENT,this.buffer=new O(this.byteLength),this.byteOffset=0}this.constructor=r,A(this),N(this)};return(r.prototype=new _).BYTES_PER_ELEMENT=e,r.prototype._pack=t,r.prototype._unpack=n,r.BYTES_PER_ELEMENT=e,r.prototype.get=r.prototype._getter=function(e){if(arguments.length<1)throw new SyntaxError("Not enough arguments");if(!((e=o.ToUint32(e))>=this.length)){for(var t=[],n=0,r=this.byteOffset+e*this.BYTES_PER_ELEMENT;n<this.BYTES_PER_ELEMENT;n+=1,r+=1)t.push(this.buffer._bytes[r]);return this._unpack(t)}},r.prototype._setter=function(e,t){if(arguments.length<2)throw new SyntaxError("No\
t enough arguments");if((e=o.ToUint32(e))<this.length)for(var n=this._pack(t),r=0,a=this.byteOffset+e*this.BYTES_PER_ELEMENT;r<this.BYTES_PER_ELEMENT;r+=1,a+=1)this.buffer._bytes[a]=n[r]},r.prototype.set=function(e,t){if(arguments.length<1)throw new SyntaxError("Not enough arguments");var n,r,u,i,s,l,c,d,p,f;if("object"===a(e)&&e.constructor===this.constructor){if(n=e,(u=o.ToUint32(t))+n.length>this.length)throw new RangeError("Offset plus length of array is out of range");if(d=this.byteOffset+u*this.BYTES_PER_ELEMENT,p=n.length*this.BYTES_PER_ELEMENT,n.buffer===this.buffer){for(f=[],s=0,l=n.byteOffset;s<p;s+=1,l+=1)f[s]=n.buffer._bytes[l];for(s=0,c=d;s<p;s+=1,c+=1)this.buffer._bytes[c]=f[s]}else for(s=0,l=n.byteOffset,c=d;s<p;s+=1,l+=1,c+=1)this.buffer._bytes[c]=n.buffer._bytes[l]}else{if("object"!==a(e)||void 0===e.length)throw new TypeError("Unexpected argument type(s)");if(i=o.ToUint32((r=e).length),(u=o.ToUint32(t))+i>this.length)throw new RangeError("Offset plus length of array i\
s out of range");for(s=0;s<i;s+=1)l=r[s],this._setter(u+s,Number(l))}},r.prototype.subarray=function(e,t){e=o.ToInt32(e),t=o.ToInt32(t),arguments.length<1&&(e=0),arguments.length<2&&(t=this.length),e<0&&(e=this.length+e),t<0&&(t=this.length+t),e=f(e,0,this.length);var n=(t=f(t,0,this.length))-e;return new this.constructor(this.buffer,this.byteOffset+e*this.BYTES_PER_ELEMENT,n=n<0?0:n)},r}function I(e,t){return o.IsCallable(e.get)?e.get(t):e[t]}function P(t,n,r){if(0===arguments.length)t=new e.ArrayBuffer(0);else if(!(t instanceof e.ArrayBuffer||"ArrayBuffer"===o.Class(t)))throw new TypeError("TypeError");if(this.buffer=t||new e.ArrayBuffer(0),this.byteOffset=o.ToUint32(n),this.byteOffset>this.buffer.byteLength)throw new RangeError("byteOffset out of range");if(this.byteLength=arguments.length<3?this.buffer.byteLength-this.byteOffset:o.ToUint32(r),this.byteOffset+this.byteLength>this.buffer.byteLength)throw new RangeError("byteOffset and length reference an area beyond the end of the bu\
ffer");A(this)}function j(t){return function(n,r){if((n=o.ToUint32(n))+t.BYTES_PER_ELEMENT>this.byteLength)throw new RangeError("Array index out of range");n+=this.byteOffset;for(var a=new e.Uint8Array(this.buffer,n,t.BYTES_PER_ELEMENT),u=[],i=0;i<t.BYTES_PER_ELEMENT;i+=1)u.push(I(a,i));return Boolean(r)===Boolean(C)&&u.reverse(),I(new t(new e.Uint8Array(u).buffer),0)}}function L(t){return function(n,r,a){if((n=o.ToUint32(n))+t.BYTES_PER_ELEMENT>this.byteLength)throw new RangeError("Array index out of range");r=new t([r]);for(var u=new e.Uint8Array(r.buffer),i=[],s=0;s<t.BYTES_PER_ELEMENT;s+=1)i.push(I(u,s));Boolean(a)===Boolean(C)&&i.reverse(),new e.Uint8Array(this.buffer,n,t.BYTES_PER_ELEMENT).set(i)}}D=Object.defineProperty&&function(){try{return Object.defineProperty({},"x",{}),1}catch(e){}}()?Object.defineProperty:function(e,t,n){if(!e===Object(e))throw new TypeError("Object.defineProperty called on non-object");return o.HasProperty(n,"get")&&Object.prototype.__defineGetter__&&Obj\
ect.prototype.__defineGetter__.call(e,t,n.get),o.HasProperty(n,"set")&&Object.prototype.__defineSetter__&&Object.prototype.__defineSetter__.call(e,t,n.set),o.HasProperty(n,"value")&&(e[t]=n.value),e},e.ArrayBuffer=e.ArrayBuffer||O,E=M(1,(function(e){return[255&e]}),(function(e){return k(e[0],8)})),m=M(1,(function(e){return[255&e]}),T),h=M(1,(function(e){return[(e=p(Number(e)))<0?0:255<e?255:255&e]}),T),g=M(2,(function(e){return[e>>8&255,255&e]}),(function(e){return k(e[0]<<8|e[1],16)})),b=M(2,(function(e){return[e>>8&255,255&e]}),(function(e){return B(e[0]<<8|e[1],16)})),v=M(4,(function(e){return[e>>24&255,e>>16&255,e>>8&255,255&e]}),(function(e){return k(e[0]<<24|e[1]<<16|e[2]<<8|e[3],32)})),y=M(4,(function(e){return[e>>24&255,e>>16&255,e>>8&255,255&e]}),(function(e){return B(e[0]<<24|e[1]<<16|e[2]<<8|e[3],32)})),F=M(4,(function(e){return R(e,8,23)}),(function(e){return S(e,8,23)})),w=M(8,(function(e){return R(e,11,52)}),(function(e){return S(e,11,52)})),e.Int8Array=e.Int8Array||E,e.U\
int8Array=e.Uint8Array||m,e.Uint8ClampedArray=e.Uint8ClampedArray||h,e.Int16Array=e.Int16Array||g,e.Uint16Array=e.Uint16Array||b,e.Int32Array=e.Int32Array||v,e.Uint32Array=e.Uint32Array||y,e.Float32Array=e.Float32Array||F,e.Float64Array=e.Float64Array||w,E=new e.Uint16Array([4660]),C=18===I(new e.Uint8Array(E.buffer),0),P.prototype.getUint8=j(e.Uint8Array),P.prototype.getInt8=j(e.Int8Array),P.prototype.getUint16=j(e.Uint16Array),P.prototype.getInt16=j(e.Int16Array),P.prototype.getUint32=j(e.Uint32Array),P.prototype.getInt32=j(e.Int32Array),P.prototype.getFloat32=j(e.Float32Array),P.prototype.getFloat64=j(e.Float64Array),P.prototype.setUint8=L(e.Uint8Array),P.prototype.setInt8=L(e.Int8Array),P.prototype.setUint16=L(e.Uint16Array),P.prototype.setInt16=L(e.Int16Array),P.prototype.setUint32=L(e.Uint32Array),P.prototype.setInt32=L(e.Int32Array),P.prototype.setFloat32=L(e.Float32Array),P.prototype.setFloat64=L(e.Float64Array),e.DataView=e.DataView||P})),Jt=ue((function(e){!function(e){"use s\
trict";var t,n,r;function o(){if(void 0===this)throw new TypeError("Constructor WeakMap requires 'new'");if(r(this,"_id","_WeakMap_"+i()+"."+i()),0<arguments.length)throw new TypeError("WeakMap iterable is not supported")}function u(e,n){if(!s(e)||!t.call(e,"_id"))throw new TypeError(n+" method called on incompatible receiver "+a(e))}function i(){return Math.random().toString().substring(2)}function s(e){return Object(e)===e}e.WeakMap||(t=Object.prototype.hasOwnProperty,n=Object.defineProperty&&function(){try{return 1===Object.defineProperty({},"x",{value:1}).x}catch(e){}}(),e.WeakMap=((r=function(e,t,r){n?Object.defineProperty(e,t,{configurable:!0,writable:!0,value:r}):e[t]=r})(o.prototype,"delete",(function(e){var t;return u(this,"delete"),!!s(e)&&!(!(t=e[this._id])||t[0]!==e||(delete e[this._id],0))})),r(o.prototype,"get",(function(e){var t;return u(this,"get"),s(e)&&(t=e[this._id])&&t[0]===e?t[1]:void 0})),r(o.prototype,"has",(function(e){var t;return u(this,"has"),!!s(e)&&!(!(t=e[\
this._id])||t[0]!==e)})),r(o.prototype,"set",(function(e,t){var n;if(u(this,"set"),s(e))return(n=e[this._id])&&n[0]===e?n[1]=t:r(e,this._id,[e,t]),this;throw new TypeError("Invalid value used as weak map key")})),r(o,"_polyfill",!0),o))}("undefined"!=typeof globalThis?globalThis:"undefined"!=typeof self?self:void 0!==t?t:void 0!==n?n:e)})),Qt=ue((function(e,r){"use strict";function o(e){return e&&e.Math===Math&&e}r.exports=o("object"==("undefined"==typeof globalThis?"undefined":a(globalThis))&&globalThis)||o("object"==(void 0===t?"undefined":a(t))&&t)||o("object"==("undefined"==typeof self?"undefined":a(self))&&self)||o("object"==(void 0===n?"undefined":a(n))&&n)||function(){return this}()||e||Function("return this")()})),en=ue((function(e,t){"use strict";t.exports=function(e){try{return!!e()}catch(e){return!0}}})),tn=ue((function(e,t){"use strict";var n=en();t.exports=!n((function(){var e=function(){}.bind();return"function"!=typeof e||e.hasOwnProperty("prototype")}))})),nn=ue((functi\
on(e,t){"use strict";var n=tn(),r=Function.prototype,o=r.apply,u=r.call;t.exports="object"==("undefined"==typeof Reflect?"undefined":a(Reflect))&&Reflect.apply||(n?u.bind(o):function(){return u.apply(o,arguments)})})),rn=ue((function(e,t){"use strict";var n=tn(),r=(a=Function.prototype).call,a=n&&a.bind.bind(r,r);t.exports=n?a:function(e){return function(){return r.apply(e,arguments)}}})),an=ue((function(e,t){"use strict";var n=rn(),r=n({}.toString),a=n("".slice);t.exports=function(e){return a(r(e),8,-1)}})),on=ue((function(e,t){"use strict";var n=an(),r=rn();t.exports=function(e){if("Function"===n(e))return r(e)}})),un=ue((function(e,t){"use strict";var n="object"==(void 0===r?"undefined":a(r))&&r.all;t.exports={all:n,IS_HTMLDDA:void 0===n&&void 0!==n}})),sn=ue((function(e,t){"use strict";var n=un(),r=n.all;t.exports=n.IS_HTMLDDA?function(e){return"function"==typeof e||e===r}:function(e){return"function"==typeof e}})),ln=ue((function(e,t){"use strict";var n=en();t.exports=!n((function\
(){return 7!==Object.defineProperty({},1,{get:function(){return 7}})[1]}))})),cn=ue((function(e,t){"use strict";var n=tn(),r=Function.prototype.call;t.exports=n?r.bind(r):function(){return r.apply(r,arguments)}})),dn=ue((function(e){"use strict";var t={}.propertyIsEnumerable,n=Object.getOwnPropertyDescriptor,r=n&&!t.call({1:2},1);e.f=r?function(e){return!!(e=n(this,e))&&e.enumerable}:t})),pn=ue((function(e,t){"use strict";t.exports=function(e,t){return{enumerable:!(1&e),configurable:!(2&e),writable:!(4&e),value:t}}})),fn=ue((function(e,t){"use strict";var n=rn(),r=en(),a=an(),o=Object,u=n("".split);t.exports=r((function(){return!o("z").propertyIsEnumerable(0)}))?function(e){return"String"===a(e)?u(e,""):o(e)}:o})),Dn=ue((function(e,t){"use strict";t.exports=function(e){return null==e}})),mn=ue((function(e,t){"use strict";var n=Dn(),r=TypeError;t.exports=function(e){if(n(e))throw new r("Can't call method on "+e);return e}})),hn=ue((function(e,t){"use strict";var n=fn(),r=mn();t.exports=\
function(e){return n(r(e))}})),gn=ue((function(e,t){"use strict";var n=sn(),r=un(),o=r.all;t.exports=r.IS_HTMLDDA?function(e){return"object"==a(e)?null!==e:n(e)||e===o}:function(e){return"object"==a(e)?null!==e:n(e)}})),bn=ue((function(e,t){"use strict";t.exports={}})),vn=ue((function(e,t){"use strict";function n(e){return o(e)?e:void 0}var r=bn(),a=Qt(),o=sn();t.exports=function(e,t){return arguments.length<2?n(r[e])||n(a[e]):r[e]&&r[e][t]||a[e]&&a[e][t]}})),yn=ue((function(e,t){"use strict";var n=rn();t.exports=n({}.isPrototypeOf)})),Fn=ue((function(e,t){"use strict";t.exports="undefined"!=typeof navigator&&String(navigator.userAgent)||""})),wn=ue((function(e,t){"use strict";var n,r,a=Qt(),o=Fn(),u=a.process;a=a.Deno;!(r=(a=(u=u&&u.versions||a&&a.version)&&u.v8)?0<(n=a.split("."))[0]&&n[0]<4?1:+(n[0]+n[1]):r)&&o&&(!(n=o.match(/Edge\\/(\\d+)/))||74<=n[1])&&(n=o.match(/Chrome\\/(\\d+)/))&&(r=+n[1]),t.exports=r})),En=ue((function(e,t){"use strict";var n=wn(),r=en(),a=Qt().String;t.exports=!\
!Object.getOwnPropertySymbols&&!r((function(){var e=Symbol("symbol detection");return!a(e)||!(Object(e)instanceof Symbol)||!Symbol.sham&&n&&n<41}))})),Cn=ue((function(e,t){"use strict";var n=En();t.exports=n&&!Symbol.sham&&"symbol"==a(Symbol.iterator)})),xn=ue((function(e,t){"use strict";var n=vn(),r=sn(),o=yn(),u=Cn(),i=Object;t.exports=u?function(e){return"symbol"==a(e)}:function(e){var t=n("Symbol");return r(t)&&o(t.prototype,i(e))}})),An=ue((function(e,t){"use strict";var n=String;t.exports=function(e){try{return n(e)}catch(e){return"Object"}}})),Nn=ue((function(e,t){"use strict";var n=sn(),r=An(),a=TypeError;t.exports=function(e){if(n(e))return e;throw new a(r(e)+" is not a function")}})),kn=ue((function(e,t){"use strict";var n=Nn(),r=Dn();t.exports=function(e,t){return e=e[t],r(e)?void 0:n(e)}})),Bn=ue((function(e,t){"use strict";var n=cn(),r=sn(),a=gn(),o=TypeError;t.exports=function(e,t){var u,i;if("string"===t&&r(u=e.toString)&&!a(i=n(u,e)))return i;if(r(u=e.valueOf)&&!a(i=n(u\
,e)))return i;if("string"!==t&&r(u=e.toString)&&!a(i=n(u,e)))return i;throw new o("Can't convert object to primitive value")}})),Tn=ue((function(e,t){"use strict";t.exports=!0})),Rn=ue((function(e,t){"use strict";var n=Qt(),r=Object.defineProperty;t.exports=function(e,t){try{r(n,e,{value:t,configurable:!0,writable:!0})}catch(r){n[e]=t}return t}})),Sn=ue((function(e,t){"use strict";var n=Qt(),r=Rn(),a="__core-js_shared__";n=n[a]||r(a,{});t.exports=n})),On=ue((function(e,t){"use strict";var n=Tn(),r=Sn();(t.exports=function(e,t){return r[e]||(r[e]=void 0!==t?t:{})})("versions",[]).push({version:"3.33.0",mode:n?"pure":"global",copyright:"© 2014-2023 Denis Pushkarev (zloirock.ru)",license:"https://github.com/zloirock/core-js/blob/v3.33.0/LICENSE",source:"https://github.com/zloirock/core-js"})})),_n=ue((function(e,t){"use strict";var n=mn(),r=Object;t.exports=function(e){return r(n(e))}})),Mn=ue((function(e,t){"use strict";var n=rn(),r=_n(),a=n({}.hasOwnProperty);t.exports=Object.hasOwn||fu\
nction(e,t){return a(r(e),t)}})),In=ue((function(e,t){"use strict";var n=rn(),r=0,a=Math.random(),o=n(1..toString);t.exports=function(e){return"Symbol("+(void 0===e?"":e)+")_"+o(++r+a,36)}})),Pn=ue((function(e,t){"use strict";var n=Qt(),r=On(),a=Mn(),o=In(),u=En(),i=Cn(),s=n.Symbol,l=r("wks"),c=i?s.for||s:s&&s.withoutSetter||o;t.exports=function(e){return a(l,e)||(l[e]=u&&a(s,e)?s[e]:c("Symbol."+e)),l[e]}})),jn=ue((function(e,t){"use strict";var n=cn(),r=gn(),a=xn(),o=kn(),u=Bn(),i=Pn(),s=TypeError,l=i("toPrimitive");t.exports=function(e,t){if(!r(e)||a(e))return e;var i=o(e,l);if(i){if(i=n(i,e,t=void 0===t?"default":t),!r(i)||a(i))return i;throw new s("Can't convert object to primitive value")}return u(e,t=void 0===t?"number":t)}})),Ln=ue((function(e,t){"use strict";var n=jn(),r=xn();t.exports=function(e){return e=n(e,"string"),r(e)?e:e+""}})),qn=ue((function(e,t){"use strict";var n=Qt(),r=gn(),a=n.document,o=r(a)&&r(a.createElement);t.exports=function(e){return o?a.createElement(e):{}\
}})),zn=ue((function(e,t){"use strict";var n=ln(),r=en(),a=qn();t.exports=!n&&!r((function(){return 7!==Object.defineProperty(a("div"),"a",{get:function(){return 7}}).a}))})),Vn=ue((function(e){"use strict";var t=ln(),n=cn(),r=dn(),a=pn(),o=hn(),u=Ln(),i=Mn(),s=zn(),l=Object.getOwnPropertyDescriptor;e.f=t?l:function(e,t){if(e=o(e),t=u(t),s)try{return l(e,t)}catch(e){}if(i(e,t))return a(!n(r.f,e,t),e[t])}})),Hn=ue((function(e,t){"use strict";function n(e,t){return(e=i[u(e)])===l||e!==s&&(a(t)?r(t):!!t)}var r=en(),a=sn(),o=/#|\\.prototype\\./,u=n.normalize=function(e){return String(e).replace(o,".").toLowerCase()},i=n.data={},s=n.NATIVE="N",l=n.POLYFILL="P";t.exports=n})),$n=ue((function(e,t){"use strict";var n=on(),r=Nn(),a=tn(),o=n(n.bind);t.exports=function(e,t){return r(e),void 0===t?e:a?o(e,t):function(){return e.apply(t,arguments)}}})),Un=ue((function(e,t){"use strict";var n=ln(),r=en();t.exports=n&&r((function(){return 42!==Object.defineProperty((function(){}),"prototype",{value:42,\
writable:!1}).prototype}))})),Wn=ue((function(e,t){"use strict";var n=gn(),r=String,a=TypeError;t.exports=function(e){if(n(e))return e;throw new a(r(e)+" is not an object")}})),Gn=ue((function(e){"use strict";var t=ln(),n=zn(),r=Un(),a=Wn(),o=Ln(),u=TypeError,i=Object.defineProperty,s=Object.getOwnPropertyDescriptor,l="enumerable",c="configurable",d="writable";e.f=t?r?function(e,t,n){var r;return a(e),t=o(t),a(n),"function"==typeof e&&"prototype"===t&&"value"in n&&d in n&&!n[d]&&(r=s(e,t))&&r[d]&&(e[t]=n.value,n={configurable:(c in n?n:r)[c],enumerable:(l in n?n:r)[l],writable:!1}),i(e,t,n)}:i:function(e,t,r){if(a(e),t=o(t),a(r),n)try{return i(e,t,r)}catch(e){}if("get"in r||"set"in r)throw new u("Accessors not supported");return"value"in r&&(e[t]=r.value),e}})),Yn=ue((function(e,t){"use strict";var n=ln(),r=Gn(),a=pn();t.exports=n?function(e,t,n){return r.f(e,t,a(1,n))}:function(e,t,n){return e[t]=n,e}})),Kn=ue((function(e,t){"use strict";function n(e){function t(n,r,a){if(this instanc\
eof t){switch(arguments.length){case 0:return new e;case 1:return new e(n);case 2:return new e(n,r)}return new e(n,r,a)}return o(e,this,arguments)}return t.prototype=e.prototype,t}var r=Qt(),o=nn(),u=on(),i=sn(),s=Vn().f,l=Hn(),c=bn(),d=$n(),p=Yn(),f=Mn();t.exports=function(e,t){var o,D,m,h,g,b,v=e.target,y=e.global,F=e.stat,w=e.proto,E=y?r:F?r[v]:(r[v]||{}).prototype,C=y?c:c[v]||p(c,v,{})[v],x=C.prototype;for(D in t)g=!(o=l(y?D:v+(F?".":"#")+D,e.forced))&&E&&f(E,D),h=C[D],g&&(b=e.dontCallGetSet?(b=s(E,D))&&b.value:E[D]),m=g&&b?b:t[D],g&&a(h)==a(m)||(g=e.bind&&g?d(m,r):e.wrap&&g?n(m):w&&i(m)?u(m):m,(e.sham||m&&m.sham||h&&h.sham)&&p(g,"sham",!0),p(C,D,g),w&&(f(c,h=v+"Prototype")||p(c,h,{}),p(c[h],D,m),e.real)&&x&&(o||!x[D])&&p(x,D,m))}})),Xn=ue((function(){"use strict";Kn()({target:"Object",stat:!0},{hasOwn:Mn()})})),Zn=ue((function(e,t){"use strict";Xn();var n=bn();t.exports=n.Object.hasOwn})),Jn=ue((function(e,t){"use strict";var n=Zn();t.exports=n})),Qn=ue((function(e,t){"use strict"\
;var n=Jn();t.exports=n})),er=ue((function(e,t){"use strict";var n=On(),r=In(),a=n("keys");t.exports=function(e){return a[e]||(a[e]=r(e))}})),tr=ue((function(e,t){"use strict";var n=en();t.exports=!n((function(){function e(){}return e.prototype.constructor=null,Object.getPrototypeOf(new e)!==e.prototype}))})),nr=ue((function(e,t){"use strict";var n=Mn(),r=sn(),a=_n(),o=er(),u=tr(),i=o("IE_PROTO"),s=Object,l=s.prototype;t.exports=u?s.getPrototypeOf:function(e){var t;e=a(e);return n(e,i)?e[i]:(t=e.constructor,r(t)&&e instanceof t?t.prototype:e instanceof s?l:null)}})),rr=ue((function(e,t){"use strict";var n=Math.ceil,r=Math.floor;t.exports=Math.trunc||function(e){return(0<(e=+e)?r:n)(e)}})),ar=ue((function(e,t){"use strict";var n=rr();t.exports=function(e){return(e=+e)!=e||0==e?0:n(e)}})),or=ue((function(e,t){"use strict";var n=ar(),r=Math.max,a=Math.min;t.exports=function(e,t){return(e=n(e))<0?r(e+t,0):a(e,t)}})),ur=ue((function(e,t){"use strict";var n=ar(),r=Math.min;t.exports=function\
(e){return 0<e?r(n(e),9007199254740991):0}})),ir=ue((function(e,t){"use strict";var n=ur();t.exports=function(e){return n(e.length)}})),sr=ue((function(e,t){"use strict";function n(e){return function(t,n,u){var i,s=r(t),l=o(s),c=a(u,l);if(e&&n!=n){for(;c<l;)if((i=s[c++])!=i)return!0}else for(;c<l;c++)if((e||c in s)&&s[c]===n)return e||c||0;return!e&&-1}}var r=hn(),a=or(),o=ir();t.exports={includes:n(!0),indexOf:n(!1)}})),lr=ue((function(e,t){"use strict";t.exports={}})),cr=ue((function(e,t){"use strict";var n=rn(),r=Mn(),a=hn(),o=sr().indexOf,u=lr(),i=n([].push);t.exports=function(e,t){var n,s=a(e),l=0,c=[];for(n in s)!r(u,n)&&r(s,n)&&i(c,n);for(;t.length>l;)!r(s,n=t[l++])||~o(c,n)||i(c,n);return c}})),dr=ue((function(e,t){"use strict";t.exports=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"]})),pr=ue((function(e,t){"use strict";var n=cr(),r=dr();t.exports=Object.keys||function(e){return n(e,r)}})),fr=ue((function(e,t){"use \
strict";function n(e){return function(t){for(var n,a=s(t),o=i(a),p=d&&null===u(a),f=o.length,D=0,m=[];D<f;)n=o[D++],r&&!(p?n in a:l(a,n))||c(m,e?[n,a[n]]:a[n]);return m}}var r=ln(),a=en(),o=rn(),u=nr(),i=pr(),s=hn(),l=o(dn().f),c=o([].push),d=r&&a((function(){var e=Object.create(null);return e[2]=2,!l(e,2)}));t.exports={entries:n(!0),values:n(!1)}})),Dr=ue((function(){"use strict";var e=Kn(),t=fr().values;e({target:"Object",stat:!0},{values:function(e){return t(e)}})})),mr=ue((function(e,t){"use strict";Dr();var n=bn();t.exports=n.Object.values})),hr=ue((function(e,t){"use strict";var n=mr();t.exports=n})),gr=ue((function(e,t){"use strict";var n=hr();t.exports=n})),br=ue((function(e,r){!function(){"use strict";var e={name:"doT",version:"1.1.1",templateSettings:{evaluate:/\\{\\{([\\s\\S]+?(\\}?)+)\\}\\}/g,interpolate:/\\{\\{=([\\s\\S]+?)\\}\\}/g,encode:/\\{\\{!([\\s\\S]+?)\\}\\}/g,use:/\\{\\{#([\\s\\S]+?)\\}\\}/g,useParams:/(^|[^\\w$])def(?:\\.|\\[[\\'\\"])([\\w$\\.]+)(?:[\\'\\"]\\])?\\s*\\:\\s*([\\w$\\.]+|\\"[^\\"]+\\"|\\'[^\\']+\
\\'|\\{[^\\}]+\\})/g,define:/\\{\\{##\\s*([\\w\\.$]+)\\s*(\\:|=)([\\s\\S]+?)#\\}\\}/g,defineParams:/^\\s*([\\w$]+):([\\s\\S]+)/,conditional:/\\{\\{\\?(\\?)?\\s*([\\s\\S]*?)\\s*\\}\\}/g,iterate:/\\{\\{~\\s*(?:\\}\\}|([\\s\\S]+?)\\s*\\:\\s*([\\w$]+)\\s*(?:\\:\\s*([\\w$]+))?\\s*\\}\\})/g,varname:"it",strip:!0,append:!0,selfcontained:!1,doNotSkipEncoded:!1},template:void 0,compile:void 0,log:!0};if("object"!==("undefined"==typeof globalThis?"undefined":a(globalThis)))try{Object.defineProperty(Object.prototype,"__magic__",{get:function(){return this},configurable:!0}),__magic__.globalThis=__magic__,delete Object.prototype.__magic__}catch(e){t.globalThis=function(){if("undefined"!=typeof self)return self;if(void 0!==t)return t;if(void 0!==n)return n;if(void 0!==this)return this;throw new Error("Unable to locate global \`this\`")}()}e.encodeHTMLSource=function(e){var t={"&":"&#38;","<":"&#60;",">":"&#62;",'"':"&#34;","'":"&#39;","/":"&#47;"},n=e?/[&<>"'\\/]/g:/&(?!#?\\w+;)|<|>|"|'|\\//g;return function(e){return e?e.toString().replace(n,(funct\
ion(e){return t[e]||e})):""}},void 0!==r&&r.exports?r.exports=e:"function"==typeof define&&define.amd?define((function(){return e})):globalThis.doT=e;var o={append:{start:"'+(",end:")+'",startencode:"'+encodeHTML("},split:{start:"';out+=(",end:");out+='",startencode:"';out+=encodeHTML("}},u=/$^/;function i(e){return e.replace(/\\\\('|\\\\)/g,"$1").replace(/[\\r\\t\\n]/g," ")}e.template=function(t,n,r){var a,s,l=(n=n||e.templateSettings).append?o.append:o.split,c=0;r=n.use||n.define?function e(t,n,r){return("string"==typeof n?n:n.toString()).replace(t.define||u,(function(e,n,a,o){return(n=0===n.indexOf("def.")?n.substring(4):n)in r||(":"===a?(t.defineParams&&o.replace(t.defineParams,(function(e,t,a){r[n]={arg:t,text:a}})),n in r||(r[n]=o)):new Function("def","def['"+n+"']="+o)(r)),""})).replace(t.use||u,(function(n,a){return t.useParams&&(a=a.replace(t.useParams,(function(e,t,n,a){var o;if(r[n]&&r[n].arg&&a)return o=(n+":"+a).replace(/'|\\\\/g,"_"),r.__exp=r.__exp||{},r.__exp[o]=r[n].text.replac\
e(new RegExp("(^|[^\\\\w$])"+r[n].arg+"([^\\\\w$])","g"),"$1"+a+"$2"),t+"def.__exp['"+o+"']"}))),(a=new Function("def","return "+a)(r))&&e(t,a,r)}))}(n,t,r||{}):t,r=("var out='"+(n.strip?r.replace(/(^|\\r|\\n)\\t* +| +\\t*(\\r|\\n|$)/g," ").replace(/\\r|\\n|\\t|\\/\\*[\\s\\S]*?\\*\\//g,""):r).replace(/'|\\\\/g,"\\\\$&").replace(n.interpolate||u,(function(e,t){return l.start+i(t)+l.end})).replace(n.encode||u,(function(e,t){return a=!0,l.startencode+i(t)+l.end})).replace(n.conditional||u,(function(e,t,n){return t?n?"';}else if("+i(n)+"){out+='":"';}else{out+='":n?"';if("+i(n)+"){out+='":"';}out+='"})).replace(n.iterate||u,(function(e,t,n,r){return t?(c+=1,s=r||"i"+c,t=i(t),"';var arr"+c+"="+t+";if(arr"+c+"){var "+n+","+s+"=-1,l"+c+"=arr"+c+".length-1;while("+s+"<l"+c+"){"+n+"=arr"+c+"["+s+"+=1];out+='"):"';} } out+='"})).replace(n.evaluate||u,(function(e,t){return"';"+i(t)+"out+='"}))+"';return out;").replace(/\\n/g,"\\\\n").replace(/\\t/g,"\\\\t").replace(/\\r/g,"\\\\r").replace(/(\\s|;|\\}|^|\\{)out\\+='';/g,"$1").replac\
e(/\\+''/g,"");a&&(n.selfcontained||!globalThis||globalThis._encodeHTML||(globalThis._encodeHTML=e.encodeHTMLSource(n.doNotSkipEncoded)),r="var encodeHTML = typeof _encodeHTML !== 'undefined' ? _encodeHTML : ("+e.encodeHTMLSource.toString()+"("+(n.doNotSkipEncoded||"")+"));"+r);try{return new Function(n.varname,r)}catch(t){throw"undefined"!=typeof console&&console.log("Could not create a template function: "+r),t}},e.compile=function(t,n){return e.template(t,null,n)}}()})),vr={helpUrlBase:"https://dequeuniversity.com/rules/",gridSize:200,results:[],resultGroups:[],resultGroupMap:{},impact:Object.freeze(["minor","moderate","serious","critical"]),preload:Object.freeze({assets:["cssom","media"],timeout:1e4}),allOrigins:"<unsafe_all_origins>",sameOrigin:"<same_origin>"},yr=([{name:"NA",value:"inapplicable",priority:0,group:"inapplicable"},{name:"PASS",value:"passed",priority:1,group:"passes"},{name:"CANTTELL",value:"cantTell",priority:2,group:"incomplete"},{name:"FAIL",value:"failed",priori\
ty:3,group:"violations"}].forEach((function(e){var t=e.name,n=e.value,r=e.priority;e=e.group;vr[t]=n,vr[t+"_PRIO"]=r,vr[t+"_GROUP"]=e,vr.results[r]=n,vr.resultGroups[r]=e,vr.resultGroupMap[n]=e})),Object.freeze(vr.results),Object.freeze(vr.resultGroups),Object.freeze(vr.resultGroupMap),Object.freeze(vr),vr),Fr=function(){"object"===("undefined"==typeof console?"undefined":a(console))&&console.log&&Function.prototype.apply.call(console.log,console,arguments)},wr=/[\\t\\r\\n\\f]/g;function Er(){U(this,Er),this.parent=void 0}G(Er,[{key:"props",get:function(){throw new Error('VirtualNode class must have a "props" object consisting of "nodeType" and "nodeName" properties')}},{key:"attrNames",get:function(){throw new Error('VirtualNode class must have an "attrNames" property')}},{key:"attr",value:function(){throw new Error('VirtualNode class must have an "attr" function')}},{key:"hasAttr",value:function(){throw new Error('VirtualNode class must have a "hasAttr" function')}},{key:"hasClass",value\
:function(e){var t=this.attr("class");return!!t&&(e=" "+e+" ",0<=(" "+t+" ").replace(wr," ").indexOf(e))}}]);var Cr=Er,xr={},Ar=(ie(xr,{DqElement:function(){return ba},aggregate:function(){return Ar},aggregateChecks:function(){return Sr},aggregateNodeResults:function(){return _r},aggregateResult:function(){return Ir},areStylesSet:function(){return Pr},assert:function(){return jr},checkHelper:function(){return va},clone:function(){return ya},closest:function(){return Ta},collectResultsFromFrames:function(){return xo},contains:function(){return Ao},convertSelector:function(){return ka},cssParser:function(){return Fa},deepMerge:function(){return No},escapeSelector:function(){return qr},extendMetaData:function(){return ko},filterHtmlAttrs:function(){return _D},finalizeRuleResult:function(){return Or},findBy:function(){return wo},getAllChecks:function(){return Fo},getAncestry:function(){return da},getBaseLang:function(){return Af},getCheckMessage:function(){return Mf},getCheckOption:functio\
n(){return If},getEnvironmentData:function(){return Pf},getFlattenedTree:function(){return Cf},getFrameContexts:function(){return Kf},getFriendlyUriEnd:function(){return $r},getNodeAttributes:function(){return Ur},getNodeFromTree:function(){return ma},getPreloadConfig:function(){return kD},getRootNode:function(){return So},getRule:function(){return Xf},getScroll:function(){return Jf},getScrollState:function(){return Qf},getSelector:function(){return la},getSelectorData:function(){return oa},getShadowSelector:function(){return Xr},getStandards:function(){return eD},getStyleSheetFactory:function(){return nD},getXpath:function(){return pa},injectStyle:function(){return rD},isHidden:function(){return aD},isHtmlElement:function(){return oD},isNodeInContext:function(){return uD},isShadowRoot:function(){return To},isValidLang:function(){return HD},isXHTML:function(){return Kr},matchAncestry:function(){return sD},matches:function(){return wa},matchesExpression:function(){return Ba},matchesSele\
ctor:function(){return Wr},memoize:function(){return Yr},mergeResults:function(){return Co},nodeLookup:function(){return cD},nodeSerializer:function(){return yo},nodeSorter:function(){return lD},parseCrossOriginStylesheet:function(){return mD},parseSameOriginStylesheet:function(){return fD},parseStylesheet:function(){return DD},performanceTimer:function(){return gD},pollyfillElementsFromPoint:function(){return bD},preload:function(){return AD},preloadCssom:function(){return wD},preloadMedia:function(){return xD},processMessage:function(){return _f},publishMetaData:function(){return BD},querySelectorAll:function(){return RD},querySelectorAllFilter:function(){return FD},queue:function(){return Ia},respondable:function(){return fo},ruleShouldRun:function(){return OD},select:function(){return ID},sendCommandToFrame:function(){return mo},setScrollState:function(){return PD},shadowSelect:function(){return jD},shadowSelectAll:function(){return LD},shouldPreload:function(){return ND},toArray:f\
unction(){return Lr},tokenList:function(){return gf},uniqueArray:function(){return vD},uuid:function(){return Ka},validInputTypes:function(){return qD},validLangs:function(){return VD}}),function(e,t,n){return t=t.slice(),n&&t.push(n),n=t.map((function(t){return e.indexOf(t)})).sort(),e[n.pop()]}),Nr=yr.CANTTELL_PRIO,kr=yr.FAIL_PRIO,Br=[],Tr=(Br[yr.PASS_PRIO]=!0,Br[yr.CANTTELL_PRIO]=null,Br[yr.FAIL_PRIO]=!1,["any","all","none"]);function Rr(e,t){Tr.reduce((function(n,r){return n[r]=(e[r]||[]).map((function(e){return t(e,r)})),n}),{})}var Sr=function(e){var t=Object.assign({},e),n=(Rr(t,(function(e,t){var n=void 0===e.result?-1:Br.indexOf(e.result);e.priority=-1!==n?n:yr.CANTTELL_PRIO,"none"===t&&(e.priority===yr.PASS_PRIO?e.priority=yr.FAIL_PRIO:e.priority===yr.FAIL_PRIO&&(e.priority=yr.PASS_PRIO))})),{all:t.all.reduce((function(e,t){return Math.max(e,t.priority)}),0),none:t.none.reduce((function(e,t){return Math.max(e,t.priority)}),0),any:t.any.reduce((function(e,t){return Math.min(e,\
t.priority)}),4)%4}),r=(t.priority=Math.max(n.all,n.none,n.any),[]);return Tr.forEach((function(e){t[e]=t[e].filter((function(r){return r.priority===t.priority&&r.priority===n[e]})),t[e].forEach((function(e){return r.push(e.impact)}))})),[Nr,kr].includes(t.priority)?t.impact=Ar(yr.impact,r):t.impact=null,Rr(t,(function(e){delete e.result,delete e.priority})),t.result=yr.results[t.priority],delete t.priority,t};function Or(e){var t=o._audit.rules.find((function(t){return t.id===e.id}));return t&&t.impact&&e.nodes.forEach((function(e){["any","all","none"].forEach((function(n){(e[n]||[]).forEach((function(e){e.impact=t.impact}))}))})),Object.assign(e,_r(e.nodes)),delete e.nodes,e}var _r=function(e){var t={},n=((e=e.map((function(e){if(e.any&&e.all&&e.none)return Sr(e);if(Array.isArray(e.node))return Or(e);throw new TypeError("Invalid Result type")})))&&e.length?(n=e.map((function(e){return e.result})),t.result=Ar(yr.results,n,t.result)):t.result="inapplicable",yr.resultGroups.forEach((fun\
ction(e){return t[e]=[]})),e.forEach((function(e){var n=yr.resultGroupMap[e.result];t[n].push(e)})),yr.FAIL_GROUP);return 0===t[n].length&&(n=yr.CANTTELL_GROUP),0<t[n].length?(e=t[n].map((function(e){return e.impact})),t.impact=Ar(yr.impact,e)||null):t.impact=null,t};function Mr(e,t,n){var r=Object.assign({},t);r.nodes=(r[n]||[]).concat(),yr.resultGroups.forEach((function(e){delete r[e]})),e[n].push(r)}var Ir=function(e){var t={};return yr.resultGroups.forEach((function(e){return t[e]=[]})),e.forEach((function(e){e.error?Mr(t,e,yr.CANTTELL_GROUP):e.result===yr.NA?Mr(t,e,yr.NA_GROUP):yr.resultGroups.forEach((function(n){Array.isArray(e[n])&&0<e[n].length&&Mr(t,e,n)}))})),t},Pr=function e(n,r,a){var o=t.getComputedStyle(n,null);if(!o)return!1;for(var u=0;u<r.length;++u){var i=r[u];if(o.getPropertyValue(i.property)===i.value)return!0}return!(!n.parentNode||n.nodeName.toUpperCase()===a.toUpperCase())&&e(n.parentNode,r,a)},jr=function(e,t){if(!e)throw new Error(t)},Lr=function(e){return Arr\
ay.prototype.slice.call(e)},qr=function(e){for(var t,n=String(e),r=n.length,a=-1,o="",u=n.charCodeAt(0);++a<r;)0==(t=n.charCodeAt(a))?o+="�":o+=1<=t&&t<=31||127==t||0==a&&48<=t&&t<=57||1==a&&48<=t&&t<=57&&45==u?"\\\\"+t.toString(16)+" ":0==a&&1==r&&45==t||!(128<=t||45==t||95==t||48<=t&&t<=57||65<=t&&t<=90||97<=t&&t<=122)?"\\\\"+n.charAt(a):n.charAt(a);return o};function zr(e,t){return[e.substring(0,t),e.substring(t)]}function Vr(e){return e.replace(/\\s+$/,"")}var Hr,$r=function(){var e,t,n,r,a,o,u,i,s=0<arguments.length&&void 0!==arguments[0]?arguments[0]:"",l=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{};if(!(s.length<=1||"data:"===s.substr(0,5)||"javascript:"===s.substr(0,11)||s.includes("?")))return e=l.currentDomain,l=void 0===(l=l.maxLength)?25:l,u=o=i=a=r="",(n=s).includes("#")&&(s=(t=V(zr(s,s.indexOf("#")),2))[0],u=t[1]),s.includes("?")&&(s=(t=V(zr(s,s.indexOf("?")),2))[0],o=t[1]),s.includes("://")?(r=(t=V(s.split("://"),2))[0],a=(t=V(zr(s=t[1],s.indexOf("/")),2))[0],s=t\
[1]):"//"===s.substr(0,2)&&(a=(t=V(zr(s=s.substr(2),s.indexOf("/")),2))[0],s=t[1]),(a="www."===a.substr(0,4)?a.substr(4):a)&&a.includes(":")&&(a=(t=V(zr(a,a.indexOf(":")),2))[0],i=t[1]),n=(t={original:n,protocol:r,domain:a,port:i,path:s,query:o,hash:u}).domain,r=t.hash,i=(a=t.path).substr(a.substr(0,a.length-2).lastIndexOf("/")+1),r?i&&(i+r).length<=l?Vr(i+r):i.length<2&&2<r.length&&r.length<=l?Vr(r):void 0:n&&n.length<l&&a.length<=1||a==="/"+i&&n&&e&&n!==e&&(n+a).length<=l?Vr(n+a):(-1===(s=i.lastIndexOf("."))||1<s)&&(-1!==s||2<i.length)&&i.length<=l&&!i.match(/index(\\.[a-zA-Z]{2-4})?/)&&!function(e){var t=0<arguments.length&&void 0!==e?e:"";return 0!==t.length&&(t.match(/[0-9]/g)||"").length>=t.length/2}(i)?Vr(i):void 0},Ur=function(e){return(e.attributes instanceof t.NamedNodeMap?e:e.cloneNode(!1)).attributes},Wr=function(e,t){return!!e[Hr=Hr&&e[Hr]?Hr:function(e){for(var t,n=["matches","matchesSelector","mozMatchesSelector","webkitMatchesSelector","msMatchesSelector"],r=n.length,a=0\
;a<r;a++)if(e[t=n[a]])return t}(e)]&&e[Hr](t)},Gr=se(Ut()),Yr=(o._memoizedFns=[],function(e){return e=(0,Gr.default)(e),o._memoizedFns.push(e),e}),Kr=Yr((function(e){return!(null==e||!e.createElement)&&"A"===e.createElement("A").localName}));function Xr(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{};if(!t)return"";var a=t.getRootNode&&t.getRootNode()||r;if(11!==a.nodeType)return e(t,n,a);for(var o=[];11===a.nodeType;){if(!a.host)return"";o.unshift({elm:t,doc:a}),a=(t=a.host).getRootNode()}return o.unshift({elm:t,doc:a}),o.map((function(t){return e(t.elm,n,t.doc)}))}var Zr=["class","style","id","selected","checked","disabled","tabindex","aria-checked","aria-selected","aria-invalid","aria-activedescendant","aria-busy","aria-disabled","aria-expanded","aria-grabbed","aria-pressed","aria-valuenow","xmlns"],Jr=31,Qr=/([\\\\"])/g,ea=/(\\r\\n|\\r|\\n)/g;function ta(e){return e.replace(Qr,"\\\\$1").replace(ea,"\\\\a ")}function na(e,t){var n,r=t.name;return-1!==r.indexOf("href")||-1\
!==r.indexOf("src")?(n=$r(e.getAttribute(r)))?qr(t.name)+'$="'+ta(n)+'"':qr(t.name)+'="'+ta(e.getAttribute(r))+'"':qr(r)+'="'+ta(t.value)+'"'}function ra(e,t){return e.count<t.count?-1:e.count===t.count?0:1}function aa(e){return!Zr.includes(e.name)&&-1===e.name.indexOf(":")&&(!e.value||e.value.length<Jr)}function oa(e){for(var t={classes:{},tags:{},attributes:{}},n=(e=Array.isArray(e)?e:[e]).slice(),r=[];n.length;)!function(){var e,a=n.pop(),o=a.actualNode;for(o.querySelectorAll&&(e=o.nodeName,t.tags[e]?t.tags[e]++:t.tags[e]=1,o.classList&&Array.from(o.classList).forEach((function(e){e=qr(e),t.classes[e]?t.classes[e]++:t.classes[e]=1})),o.hasAttributes())&&Array.from(Ur(o)).filter(aa).forEach((function(e){(e=na(o,e))&&(t.attributes[e]?t.attributes[e]++:t.attributes[e]=1)})),a.children.length&&(r.push(n),n=a.children.slice());!n.length&&r.length;)n=r.pop()}();return t}function ua(e){var t=Kr(r);return qr(t?e.localName:e.nodeName.toLowerCase())}function ia(e,t){var n,r,a,o,u,i,s,l,c,d=""\
,p=(r=e,a=[],o=t.classes,u=t.tags,r.classList&&Array.from(r.classList).forEach((function(e){e=qr(e),o[e]<u[r.nodeName]&&a.push({name:e,count:o[e],species:"class"})})),a.sort(ra));i=e,s=[],l=t.attributes,c=t.tags,i.hasAttributes()&&Array.from(Ur(i)).filter(aa).forEach((function(e){(e=na(i,e))&&l[e]<c[i.nodeName]&&s.push({name:e,count:l[e],species:"attribute"})})),t=s.sort(ra);return p.length&&1===p[0].count?n=[p[0]]:t.length&&1===t[0].count?(n=[t[0]],d=ua(e)):((n=p.concat(t)).sort(ra),(n=n.slice(0,3)).some((function(e){return"class"===e.species}))?n.sort((function(e,t){return e.species!==t.species&&"class"===e.species?-1:e.species===t.species?0:1})):d=ua(e)),d+n.reduce((function(e,t){switch(t.species){case"class":return e+"."+t.name;case"attribute":return e+"["+t.name+"]"}return e}),"")}function sa(e,t,n){if(!o._selectorData)throw new Error("Expect axe._selectorData to be set up");var a,u,i=void 0!==(t=t.toRoot)&&t;do{var s=function(e){var t;if(e.getAttribute("id"))return t=e.getRootNod\
e&&e.getRootNode()||r,(e="#"+qr(e.getAttribute("id")||"")).match(/player_uid_/)||1!==t.querySelectorAll(e).length?void 0:e}(e);s||(s=ia(e,o._selectorData),s+=function(e,t){var n=e.parentNode&&Array.from(e.parentNode.children||"")||[];return n.find((function(n){return n!==e&&Wr(n,t)}))?":nth-child("+(1+n.indexOf(e))+")":""}(e,s)),a=a?s+" > "+a:s,u=u?u.filter((function(e){return Wr(e,a)})):Array.from(n.querySelectorAll(a)),e=e.parentElement}while((1<u.length||i)&&e&&11!==e.nodeType);return 1===u.length?a:-1!==a.indexOf(" > ")?":root"+a.substring(a.indexOf(" > ")):":root"}function la(e,t){return Xr(sa,e,t)}function ca(e){var t,n=e.nodeName.toLowerCase(),r=e.parentElement;return r?(t="","head"!==n&&"body"!==n&&1<r.children.length&&(e=Array.prototype.indexOf.call(r.children,e)+1,t=":nth-child(".concat(e,")")),ca(r)+" > "+n+t):n}function da(e,t){return Xr(ca,e,t)}var pa=function(e){return function e(t,n){var r,a,o,u;if(!t)return[];if(!n&&9===t.nodeType)return[{str:"html"}];if(n=n||[],t.paren\
tNode&&t.parentNode!==t&&(n=e(t.parentNode,n)),t.previousSibling){for(a=1,r=t.previousSibling;1===r.nodeType&&r.nodeName===t.nodeName&&a++,r=r.previousSibling;);1===a&&(a=null)}else if(t.nextSibling)for(r=t.nextSibling;r=1===r.nodeType&&r.nodeName===t.nodeName?(a=1,null):(a=null,r.previousSibling););return 1===t.nodeType&&((o={}).str=t.nodeName.toLowerCase(),(u=t.getAttribute&&qr(t.getAttribute("id")))&&1===t.ownerDocument.querySelectorAll("#"+u).length&&(o.id=t.getAttribute("id")),1<a&&(o.count=a),n.push(o)),n}(e).reduce((function(e,t){return t.id?"/".concat(t.str,"[@id='").concat(t.id,"']"):e+"/".concat(t.str)+(0<t.count?"[".concat(t.count,"]"):"")}),"")},fa={},Da={set:function(e,t){var n;jr("string"==typeof(n=e),"key must be a string, "+a(n)+" given"),jr(""!==n,"key must not be empty"),fa[e]=t},get:function(e,t){var n;return jr("function"==typeof(n=t)||void 0===n,"creator must be a function or undefined, "+a(n)+" given"),e in fa?fa[e]:"function"==typeof t?(n=t(),jr(void 0!==n,"Cache\
 creator function should not return undefined"),this.set(e,n),fa[e]):void 0},clear:function(){fa={}}},ma=function(e,t){return t=t||e,Da.get("nodeMap")?Da.get("nodeMap").get(t):null},ha="DqElm.RunOptions";function ga(e){var n,r,a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:null,u=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{};a=a||(null!=(n=Da.get(ha))?n:{}),this.spec=u,e instanceof Cr?(this._virtualNode=e,this._element=e.actualNode):(this._element=e,this._virtualNode=ma(e)),this.fromFrame=1<(null==(n=this.spec.selector)?void 0:n.length),this._includeElementInJson=a.elementRef,a.absolutePaths&&(this._options={toRoot:!0}),this.nodeIndexes=[],Array.isArray(this.spec.nodeIndexes)?this.nodeIndexes=this.spec.nodeIndexes:"number"==typeof(null==(u=this._virtualNode)?void 0:u.nodeIndex)&&(this.nodeIndexes=[this._virtualNode.nodeIndex]),this.source=null,o._audit.noHtml||(this.source=null!=(n=this.spec.source)?n:null!=(a=this._element)&&a.outerHTML?((u=a.outerHTML)||"functio\
n"!=typeof t.XMLSerializer||(u=(new t.XMLSerializer).serializeToString(a)),(a=u||"").length>(r=r||300)&&(r=a.indexOf(">"),a=a.substring(0,r+1)),a):"")}ga.prototype={get selector(){return this.spec.selector||[la(this.element,this._options)]},get ancestry(){return this.spec.ancestry||[da(this.element)]},get xpath(){return this.spec.xpath||[pa(this.element)]},get element(){return this._element},toJSON:function(){var e={selector:this.selector,source:this.source,xpath:this.xpath,ancestry:this.ancestry,nodeIndexes:this.nodeIndexes,fromFrame:this.fromFrame};return this._includeElementInJson&&(e.element=this._element),e}},ga.fromFrame=function(e,t,n){return e=ga.mergeSpecs(e,n),new ga(n.element,t,e)},ga.mergeSpecs=function(e,t){return z({},e,{selector:[].concat(L(t.selector),L(e.selector)),ancestry:[].concat(L(t.ancestry),L(e.ancestry)),xpath:[].concat(L(t.xpath),L(e.xpath)),nodeIndexes:[].concat(L(t.nodeIndexes),L(e.nodeIndexes)),fromFrame:!0})},ga.setRunOptions=function(e){var t=e.elementRef\
;e=e.absolutePaths;Da.set(ha,{elementRef:t,absolutePaths:e})};var ba=ga,va=function(e,n,r,a){return{isAsync:!1,async:function(){return this.isAsync=!0,function(t){t instanceof Error==0?(e.result=t,r(e)):a(t)}},data:function(t){e.data=t},relatedNodes:function(n){t.Node&&(n=n instanceof t.Node||n instanceof Cr?[n]:Lr(n),e.relatedNodes=[],n.forEach((function(n){(n=n instanceof Cr?n.actualNode:n)instanceof t.Node&&(n=new ba(n),e.relatedNodes.push(n))})))}}};function ya(e){return function e(n,r){var o,u;if(null===n||"object"!==a(n))return n;if(null!=(o=t)&&o.Node&&n instanceof t.Node||null!=(o=t)&&o.HTMLCollection&&n instanceof t.HTMLCollection||"nodeName"in n&&"nodeType"in n&&"ownerDocument"in n)return n;if(r.has(n))return r.get(n);if(Array.isArray(n))return u=[],r.set(n,u),n.forEach((function(t){u.push(e(t,r))})),u;var i={};for(var s in r.set(n,i),n)i[s]=e(n[s],r);return i}(e,new Map)}(pi=new(se(Kt()).CssSelectorParser)).registerSelectorPseudos("not"),pi.registerSelectorPseudos("is"),pi.r\
egisterNestingOperators(">"),pi.registerAttrEqualityMods("^","$","*","~");var Fa=pi;function wa(e,t){return ka(t).some((function(t){return Ba(e,t)}))}function Ea(e,t){return u=t,1===(o=e).props.nodeType&&("*"===u.tag||o.props.nodeName===u.tag)&&(a=e,!(o=t).classes||o.classes.every((function(e){return a.hasClass(e.value)})))&&(r=e,!(u=t).attributes||u.attributes.every((function(e){var t=r.attr(e.key);return null!==t&&e.test(t)})))&&(o=e,!(u=t).id||o.props.id===u.id)&&(n=e,!((o=t).pseudos&&!o.pseudos.every((function(e){if("not"===e.name)return!e.expressions.some((function(e){return Ba(n,e)}));if("is"===e.name)return e.expressions.some((function(e){return Ba(n,e)}));throw new Error("the pseudo selector "+e.name+" has not yet been implemented")}))));var n,r,a,o,u}Ca=/(?=[\\-\\[\\]{}()*+?.\\\\\\^$|,#\\s])/g;var Ca,xa=function(e){return e.replace(Ca,"\\\\")},Aa=/\\\\/g;function Na(e){return e.map((function(e){for(var t=[],n=e.rule;n;)t.push({tag:n.tagName?n.tagName.toLowerCase():"*",combinator:n.nestin\
gOperator||" ",id:n.id,attributes:function(e){if(e)return e.map((function(e){var t,n,r=e.name.replace(Aa,""),a=(e.value||"").replace(Aa,"");switch(e.operator){case"^=":n=new RegExp("^"+xa(a));break;case"$=":n=new RegExp(xa(a)+"$");break;case"~=":n=new RegExp("(^|\\\\s)"+xa(a)+"(\\\\s|$)");break;case"|=":n=new RegExp("^"+xa(a)+"(-|$)");break;case"=":t=function(e){return a===e};break;case"*=":t=function(e){return e&&e.includes(a)};break;case"!=":t=function(e){return a!==e};break;default:t=function(e){return null!==e}}return""===a&&/^[*$^]=$/.test(e.operator)&&(t=function(){return!1}),{key:r,value:a,type:void 0===e.value?"attrExist":"attrValue",test:t=t||function(e){return e&&n.test(e)}}}))}(n.attrs),classes:function(e){if(e)return e.map((function(e){return{value:e=e.replace(Aa,""),regexp:new RegExp("(^|\\\\s)"+xa(e)+"(\\\\s|$)")}}))}(n.classNames),pseudos:function(e){if(e)return e.map((function(e){var t;return["is","not"].includes(e.name)&&(t=Na(t=(t=e.value).selectors||[t])),{name:e.name,expres\
sions:t,value:e.value}}))}(n.pseudos)}),n=n.rule;return t}))}function ka(e){return Na((e=Fa.parse(e)).selectors||[e])}function Ba(e,t,n){return function e(t,n,r,a){if(!t)return!1;for(var o=Array.isArray(n)?n[r]:n,u=Ea(t,o);!u&&a&&t.parent;)u=Ea(t=t.parent,o);if(0<r){if(!1===[" ",">"].includes(o.combinator))throw new Error("axe.utils.matchesExpression does not support the combinator: "+o.combinator);u=u&&e(t.parent,n,r-1," "===o.combinator)}return u}(e,t,t.length-1,n)}var Ta=function(e,t){for(;e;){if(wa(e,t))return e;if(void 0===e.parent)throw new TypeError("Cannot resolve parent for non-DOM nodes");e=e.parent}return null};function Ra(){}function Sa(e){if("function"!=typeof e)throw new TypeError("Queue methods require functions as arguments")}for(var Oa,_a,Ma,Ia=function(){function e(e){t=e,setTimeout((function(){null!=t&&Fr("Uncaught error (of queue)",t)}),1)}var t,n=[],r=0,o=0,u=Ra,i=!1,s=e;function l(e){return u=Ra,s(e),n}function c(){for(var e=n.length;r<e;r++){var t=n[r];try{t.call\
(null,function(e){return function(t){n[e]=t,--o||u===Ra||(i=!0,u(n))}}(r),l)}catch(e){l(e)}}}var d={defer:function(e){var r;if("object"===a(e)&&e.then&&e.catch&&(r=e,e=function(e,t){r.then(e).catch(t)}),Sa(e),void 0===t){if(i)throw new Error("Queue already completed");return n.push(e),++o,c(),d}},then:function(e){if(Sa(e),u!==Ra)throw new Error("queue \`then\` already set");return t||(u=e,o)||(i=!0,u(n)),d},catch:function(n){if(Sa(n),s!==e)throw new Error("queue \`catch\` already set");return t?(n(t),t=null):s=n,d},abort:l};return d},Pa=t.crypto||t.msCrypto,ja=(!Oa&&Pa&&Pa.getRandomValues&&(_a=new Uint8Array(16),Oa=function(){return Pa.getRandomValues(_a),_a}),Oa||(Ma=new Array(16),Oa=function(){for(var e,t=0;t<16;t++)0==(3&t)&&(e=4294967296*Math.random()),Ma[t]=e>>>((3&t)<<3)&255;return Ma}),"function"==typeof t.Buffer?t.Buffer:Array),La=[],qa={},za=0;za<256;za++)La[za]=(za+256).toString(16).substr(1),qa[La[za]]=za;function Va(e,t){return t=t||0,La[e[t++]]+La[e[t++]]+La[e[t++]]+La[e[t++]]\
+"-"+La[e[t++]]+La[e[t++]]+"-"+La[e[t++]]+La[e[t++]]+"-"+La[e[t++]]+La[e[t++]]+"-"+La[e[t++]]+La[e[t++]]+La[e[t++]]+La[e[t++]]+La[e[t++]]+La[e[+t]]}var Ha=[1|(pi=Oa())[0],pi[1],pi[2],pi[3],pi[4],pi[5]],$a=16383&(pi[6]<<8|pi[7]),Ua=0,Wa=0;function Ga(e,t,n){var r=t&&n||0,a=t||[],o=(n=null!=(e=e||{}).clockseq?e.clockseq:$a,null!=e.msecs?e.msecs:(new Date).getTime()),u=null!=e.nsecs?e.nsecs:Wa+1;if((i=o-Ua+(u-Wa)/1e4)<0&&null==e.clockseq&&(n=n+1&16383),1e4<=(u=(i<0||Ua<o)&&null==e.nsecs?0:u))throw new Error("uuid.v1(): Can't create more than 10M uuids/sec");Ua=o,$a=n;for(var i=(1e4*(268435455&(o+=122192928e5))+(Wa=u))%4294967296,s=(u=(a[r++]=i>>>24&255,a[r++]=i>>>16&255,a[r++]=i>>>8&255,a[r++]=255&i,o/4294967296*1e4&268435455),a[r++]=u>>>8&255,a[r++]=255&u,a[r++]=u>>>24&15|16,a[r++]=u>>>16&255,a[r++]=n>>>8|128,a[r++]=255&n,e.node||Ha),l=0;l<6;l++)a[r+l]=s[l];return t||Va(a)}function Ya(e,t,n){var r=t&&n||0,a=("string"==typeof e&&(t="binary"==e?new ja(16):null,e=null),(e=e||{}).random||(e.\
rng||Oa)());if(a[6]=15&a[6]|64,a[8]=63&a[8]|128,t)for(var o=0;o<16;o++)t[r+o]=a[o];return t||Va(a)}(pi=Ya).v1=Ga,pi.v4=Ya,pi.parse=function(e,t,n){var r=t&&n||0,a=0;for(t=t||[],e.toLowerCase().replace(/[0-9a-f]{2}/g,(function(e){a<16&&(t[r+a++]=qa[e])}));a<16;)t[r+a++]=0;return t},pi.unparse=Va,pi.BufferClass=ja,o._uuid=Ga();var Ka=Ya,Xa=Object.freeze(["EvalError","RangeError","ReferenceError","SyntaxError","TypeError","URIError"]);function Za(){var e="axeAPI",t="";return(e=void 0!==o&&o._audit&&o._audit.application?o._audit.application:e)+"."+(void 0!==o?o.version:t)}function Ja(e){eo(e),jr(t.parent===e,"Source of the response must be the parent window.")}function Qa(e){eo(e),jr(e.parent===t,"Respondable target must be a frame in the current window")}function eo(e){jr(t!==e,"Messages can not be sent to the same window.")}var to={},no=[];function ro(){var e="".concat(Ya(),":").concat(Ya());return no.includes(e)?ro():(no.push(e),e)}function ao(e,t,n,r){var a,u,i,s,l;return(n?Ja:Qa)(e),t\
.message instanceof Error&&!n?(o.log(t.message),!1):(l=(u=z({messageId:ro()},t)).topic,i=u.channelId,s=u.message,i={channelId:i,topic:l,messageId:u.messageId,keepalive:!!u.keepalive,source:Za()},s instanceof Error?i.error={name:s.name,message:s.message,stack:s.stack}:i.payload=s,a=JSON.stringify(i),!(!(l=o._audit.allowedOrigins)||!l.length||("function"==typeof r&&function(e,t,n){var r=!(2<arguments.length&&void 0!==n)||n;jr(!to[e],"A replyHandler already exists for this message channel."),to[e]={replyHandler:t,sendToParent:r}}(t.channelId,r,n),l.forEach((function(t){try{e.postMessage(a,t)}catch(n){if(n instanceof e.DOMException)throw new Error('allowedOrigins value "'.concat(t,'" is not a valid origin'));throw n}})),0)))}function oo(e,t,n){var r=!(2<arguments.length&&void 0!==n)||n;return function(n,a,o){ao(e,{channelId:t,message:n,keepalive:a},r,o)}}function uo(e,n){var r,u,i,s=e.origin,l=e.data;e=e.source;try{var c=function(e){var n,r,o,u;try{n=JSON.parse(e)}catch(e){return}if(null!=\
=(e=n)&&"object"===a(e)&&"string"==typeof e.channelId&&e.source===Za())return r=(e=n).topic,o=e.channelId,u=e.messageId,e=e.keepalive,{topic:r,message:"object"===a(n.error)?function(e){var n=e.message||"Unknown error occurred",r=Xa.includes(e.name)?e.name:"Error";return r=t[r]||Error,e.stack&&(n+="\\n"+e.stack.replace(e.message,"")),new r(n)}(n.error):n.payload,messageId:u,channelId:o,keepalive:!!e}}(l)||{},d=c.channelId,p=c.message,f=c.messageId;if(u=s,((i=o._audit.allowedOrigins)&&i.includes("*")||i.includes(u))&&(r=f,!no.includes(r))&&(no.push(r),1))if(p instanceof Error&&e.parent!==t)o.log(p);else try{if(c.topic){var D=oo(e,d);Ja(e),n(c,D)}else{var m=e,h=(b=c).channelId,g=b.message,b=b.keepalive,v=(y=function(e){return to[e]}(h)||{}).replyHandler,y=y.sendToParent;if(v){(y?Ja:Qa)(m),m=oo(m,h,y),!b&&h&&function(e){delete to[e]}(h);try{v(g,b,m)}catch(n){o.log(n),m(n,b)}}}}catch(n){var F=e,w=n,E=d;if(!F.parent!==t)o.log(w);else try{ao(F,{topic:null,channelId:E,message:w,messageId:ro(),k\
eepalive:!0},!0)}catch(n){return void o.log(n)}}}catch(n){o.log(n)}}var io,so,lo={open:function(e){var n;if("function"==typeof t.addEventListener)return t.addEventListener("message",n=function(t){uo(t,e)},!1),function(){t.removeEventListener("message",n,!1)}},post:function(e,n,r){return"function"==typeof t.addEventListener&&ao(e,n,!1,r)}};function co(e){e.updateMessenger(lo)}var po={};function fo(e,t,n,r,a){return t={topic:t,message:n,channelId:"".concat(Ya(),":").concat(Ya()),keepalive:r},so(e,t,a)}function Do(e,t){var n=e.topic,r=e.message;e=e.keepalive;if(n=po[n])try{n(r,e,t)}catch(n){o.log(n),t(n,e)}}function mo(e,t,n,r){var a,o=e.contentWindow,u=null!=(u=null==(u=t.options)?void 0:u.pingWaitTime)?u:500;o?0===u?ho(e,t,n,r):(a=setTimeout((function(){a=setTimeout((function(){t.debug?r(go("No response from frame",e)):n(null)}),0)}),u),fo(o,"axe.ping",null,void 0,(function(){clearTimeout(a),ho(e,t,n,r)}))):(Fr("Frame does not have a content window",e),n(null))}function ho(e,t,n,r){var \
a=null!=(a=null==(a=t.options)?void 0:a.frameWaitTime)?a:6e4,o=e.contentWindow,u=setTimeout((function(){r(go("Axe in frame timed out",e))}),a);fo(o,"axe.start",t,void 0,(function(e){clearTimeout(u),(e instanceof Error==0?n:r)(e)}))}function go(e,t){var n;return o._tree&&(n=la(t)),new Error(e+": "+(n||t))}fo.updateMessenger=function(e){var t=e.open;e=e.post,jr("function"==typeof t,"open callback must be a function"),jr("function"==typeof e,"post callback must be a function"),io&&io(),t=t(Do);io=t?(jr("function"==typeof t,"open callback must return a cleanup function"),t):null,so=e},fo.subscribe=function(e,t){jr("function"==typeof t,"Subscriber callback must be a function"),jr(!po[e],"Topic ".concat(e," is already registered to.")),po[e]=t},fo.isInFrame=function(){return!!(0<arguments.length&&void 0!==arguments[0]?arguments[0]:t).frameElement},co(fo);var bo=null,vo={update:function(e){jr("object"===a(e),"serializer must be an object"),bo=e},toSpec:function(e){return vo.dqElmToSpec(new ba\
(e))},dqElmToSpec:function(e,t){var n,r,a,o,u;return e instanceof ba==0?e:(t&&(r=(n=e).fromFrame,a=t.ancestry,o=t.xpath,u=!1!==t.selectors||r,(n=new ba(n.element,t,{source:n.source,nodeIndexes:n.nodeIndexes,selector:u?n.selector:[":root"],ancestry:a?n.ancestry:[":root"],xpath:o?n.xpath:"/"})).fromFrame=r,e=n),"function"==typeof(null==(t=bo)?void 0:t.toSpec)?bo.toSpec(e):e.toJSON())},mergeSpecs:function(e,t){var n;return("function"==typeof(null==(n=bo)?void 0:n.mergeSpecs)?bo:ba).mergeSpecs(e,t)},mapRawResults:function(e){return e.map((function(e){return z({},e,{nodes:vo.mapRawNodeResults(e.nodes)})}))},mapRawNodeResults:function(e){return null==e?void 0:e.map((function(e){var t=e.node,n=j(e,i);n.node=vo.dqElmToSpec(t);for(var r=0,a=["any","all","none"];r<a.length;r++){var o=a[r];n[o]=n[o].map((function(e){var t=e.relatedNodes;return(e=j(e,s)).relatedNodes=t.map(vo.dqElmToSpec),e}))}return n}))}},yo=vo,Fo=function(e){return[].concat(e.any||[]).concat(e.all||[]).concat(e.none||[])},wo=fu\
nction(e,t,n){if(Array.isArray(e))return e.find((function(e){return null!==e&&"object"===a(e)&&Object.hasOwn(e,t)&&e[t]===n}))};function Eo(e,t){for(var n=0<arguments.length&&void 0!==e?e:[],r=1<arguments.length&&void 0!==t?t:[],a=Math.max(null==n?void 0:n.length,null==r?void 0:r.length),o=0;o<a;o++){var u=null==n?void 0:n[o],i=null==r?void 0:r[o];if("number"!=typeof u||isNaN(u))return 0===o?1:-1;if("number"!=typeof i||isNaN(i))return 0===o?-1:1;if(u!==i)return u-i}return 0}var Co=function(e,t){var n=[];return e.forEach((function(e){var t,r=(r=e)&&r.results?Array.isArray(r.results)?r.results.length?r.results:null:[r.results]:null;r&&r.length&&(t=function(e){return e.frameElement?yo.toSpec(e.frameElement):e.frameSpec?e.frameSpec:null}(e),r.forEach((function(e){e.nodes&&t&&(a=e.nodes,r=t,a.forEach((function(e){e.node=yo.mergeSpecs(e.node,r),Fo(e).forEach((function(e){e.relatedNodes=e.relatedNodes.map((function(e){return yo.mergeSpecs(e,r)}))}))})));var r,a=wo(n,"id",e.id);if(a){if(e.node\
s.length){for(var o=a.nodes,u=e.nodes,i=u[0].node,s=0;s<o.length;s++){var l=o[s].node,c=Eo(l.nodeIndexes,i.nodeIndexes);if(0<c||0===c&&i.selector.length<l.selector.length)return void o.splice.apply(o,[s,0].concat(L(u)))}o.push.apply(o,L(u))}}else n.push(e)})))})),n.forEach((function(e){e.nodes&&e.nodes.sort((function(e,t){return Eo(e.node.nodeIndexes,t.node.nodeIndexes)}))})),n};function xo(e,t,n,r,a,o){t=z({},t,{elementRef:!1});var u=Ia();e.frames.forEach((function(e){var a=e.node,o=j(e,l);u.defer((function(e,u){mo(a,{options:t,command:n,parameter:r,context:o},(function(t){return e(t?{results:t,frameElement:a}:null)}),u)}))})),u.then((function(e){a(Co(e,t))})).catch(o)}function Ao(e,t){if(!e.shadowId&&!t.shadowId&&e.actualNode&&"function"==typeof e.actualNode.contains)return e.actualNode.contains(t.actualNode);do{if(e===t)return!0;if(t.nodeIndex<e.nodeIndex)return!1}while(t=t.parent);return!1}var No=function e(){for(var t={},n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments\
[o];return r.forEach((function(n){if(n&&"object"===a(n)&&!Array.isArray(n))for(var r=0,o=Object.keys(n);r<o.length;r++){var u=o[r];!t.hasOwnProperty(u)||"object"!==a(n[u])||Array.isArray(t[u])?t[u]=n[u]:t[u]=e(t[u],n[u])}})),t},ko=function(e,t){Object.assign(e,t),Object.keys(t).filter((function(e){return"function"==typeof t[e]})).forEach((function(n){e[n]=null;try{e[n]=t[n](e)}catch(n){}}))},Bo=["article","aside","blockquote","body","div","footer","h1","h2","h3","h4","h5","h6","header","main","nav","p","section","span"],To=function(e){return!!(e.shadowRoot&&(e=e.nodeName.toLowerCase(),Bo.includes(e)||/^[a-z][a-z0-9_.-]*-[a-z0-9_.-]*$/.test(e)))},Ro={},So=(ie(Ro,{createGrid:function(){return Bu},findElmsInContext:function(){return _o},findNearbyElms:function(){return Pu},findUp:function(){return Io},findUpVirtual:function(){return Mo},focusDisabled:function(){return $u},getComposedParent:function(){return ru},getElementByReference:function(){return Yu},getElementCoordinates:function(){r\
eturn ou},getElementStack:function(){return Ju},getModalDialog:function(){return Lu},getOverflowHiddenAncestors:function(){return Lo},getRootNode:function(){return Oo},getScrollOffset:function(){return au},getTabbableElements:function(){return Qu},getTargetRects:function(){return ri},getTargetSize:function(){return ai},getTextElementStack:function(){return zs},getViewportSize:function(){return uu},getVisibleChildTextRects:function(){return Ls},hasContent:function(){return Gs},hasContentVirtual:function(){return Ws},hasLangText:function(){return Ys},idrefs:function(){return ui},insertedIntoFocusOrder:function(){return Ks},isCurrentPageLink:function(){return Gu},isFocusable:function(){return ti},isHTML5:function(){return Qs},isHiddenForEveryone:function(){return eu},isHiddenWithCSS:function(){return Js},isInTabOrder:function(){return ni},isInTextBlock:function(){return rl},isInert:function(){return qu},isModalOpen:function(){return al},isMultiline:function(){return ol},isNativelyFocusabl\
e:function(){return ei},isNode:function(){return sl},isOffscreen:function(){return iu},isOpaque:function(){return ef},isSkipLink:function(){return tf},isVisible:function(){return of},isVisibleOnScreen:function(){return lu},isVisibleToScreenReaders:function(){return ts},isVisualContent:function(){return Hs},reduceToElementsBelowFloating:function(){return uf},shadowElementsFromPoint:function(){return cf},urlPropsFromAttribute:function(){return df},visuallyContains:function(){return sf},visuallyOverlaps:function(){return pf},visuallySort:function(){return Ku}}),function(e){var t=e.getRootNode&&e.getRootNode()||r;return t===e?r:t}),Oo=So,_o=function(e){var t=e.context,n=e.value,r=e.attr;e=void 0===(e=e.elm)?"":e,n=qr(n),t=9===t.nodeType||11===t.nodeType?t:Oo(t);return Array.from(t.querySelectorAll(e+"["+r+"="+n+"]"))},Mo=function(e,t){var n=e.actualNode;if(!e.shadowId&&"function"==typeof e.actualNode.closest)return e.actualNode.closest(t)||null;for(;(n=(n=n.assignedSlot||n.parentNode)&&11=\
==n.nodeType?n.host:n)&&!Wr(n,t)&&n!==r.documentElement;);return n&&Wr(n,t)?n:null},Io=function(e,t){return Mo(ma(e),t)};function Po(e,t){return(0|e.left)<(0|t.right)&&(0|e.right)>(0|t.left)&&(0|e.top)<(0|t.bottom)&&(0|e.bottom)>(0|t.top)}var jo=Yr((function(e){var t=[];return e?("hidden"===e.getComputedStylePropertyValue("overflow")&&t.push(e),t.concat(jo(e.parent))):t})),Lo=jo,qo=/rect\\s*\\(([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px\\s*\\)/,zo=/(\\w+)\\((\\d+)/;function Vo(e){return["style","script","noscript","template"].includes(e.props.nodeName)}function Ho(e){return"area"!==e.props.nodeName&&"none"===e.getComputedStylePropertyValue("display")}function $o(e){return!(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).isAncestor&&["hidden","collapse"].includes(e.getComputedStylePropertyValue("visibility"))}function Uo(e){return!!(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).isAncestor&&"hidden"===e.getComputedStylePropertyValue("content-visibility")}func\
tion Wo(e){return"true"===e.attr("aria-hidden")}function Go(e){return"0"===e.getComputedStylePropertyValue("opacity")}function Yo(e){var t=Jf(e.actualNode),n=parseInt(e.getComputedStylePropertyValue("height"));e=parseInt(e.getComputedStylePropertyValue("width"));return!!t&&(0===n||0===e)}function Ko(e){var t,n;return!(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).isAncestor&&(t=e.boundingClientRect,!!(n=Lo(e)).length)&&n.some((function(e){return(e=e.boundingClientRect).width<2||e.height<2||!Po(t,e)}))}function Xo(e){var t=e.getComputedStylePropertyValue("clip").match(qo),n=e.getComputedStylePropertyValue("clip-path").match(zo);if(t&&5===t.length&&(e=e.getComputedStylePropertyValue("position"),["fixed","absolute"].includes(e)))return t[3]-t[1]<=0&&t[2]-t[4]<=0;if(n){e=n[1];var r=parseInt(n[2],10);switch(e){case"inset":return 50<=r;case"circle":return 0===r}}return!1}function Zo(e,t){var n,r=Ta(e,"map");return!r||!((r=r.attr("name"))&&(e=So(e.actualNode))&&9===e.nodeType&&(n\
=RD(o._tree,'img[usemap="#'.concat(qr(r),'"]')))&&n.length)||n.some((function(e){return!t(e)}))}function Jo(e){var t;return"details"===(null==(t=e.parent)?void 0:t.props.nodeName)&&(("summary"!==e.props.nodeName||e.parent.children.find((function(e){return"summary"===e.props.nodeName}))!==e)&&!e.parent.hasAttr("open"))}var Qo=[Ho,$o,Uo,Jo];function eu(e){var t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).skipAncestors,n=void 0!==(n=n.isAncestor)&&n;return e=cD(e).vNode,(t?tu:nu)(e,n)}var tu=Yr((function(e,t){return!!Vo(e)||!(!e.actualNode||!Qo.some((function(n){return n(e,{isAncestor:t})}))&&e.actualNode.isConnected)})),nu=Yr((function(e,t){return!!tu(e,t)||!!e.parent&&nu(e.parent,!0)})),ru=function e(t){if(t.assignedSlot)return e(t.assignedSlot);if(t.parentNode){if(1===(t=t.parentNode).nodeType)return t;if(t.host)return t.host}return null},au=function(e){var t,n;return 9===(e=!e.nodeType&&e.document?e.document:e).nodeType?(t=e.documentElement,n=e.body,{left:t&&t.scroll\
Left||n&&n.scrollLeft||0,top:t&&t.scrollTop||n&&n.scrollTop||0}):{left:e.scrollLeft,top:e.scrollTop}},ou=function(e){var t=(n=au(r)).left,n=n.top;return{top:(e=e.getBoundingClientRect()).top+n,right:e.right+t,bottom:e.bottom+n,left:e.left+t,width:e.right-e.left,height:e.bottom-e.top}},uu=function(e){var t=e.document,n=t.documentElement;return e.innerWidth?{width:e.innerWidth,height:e.innerHeight}:n?{width:n.clientWidth,height:n.clientHeight}:{width:(e=t.body).clientWidth,height:e.clientHeight}},iu=function(e){if((1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).isAncestor)return!1;var n=cD(e).domNode;if(n){var a=r.documentElement,o=t.getComputedStyle(n),u=t.getComputedStyle(r.body||a).getPropertyValue("direction"),i=ou(n);if(i.bottom<0&&(function(e,t){for(e=ru(e);e&&"html"!==e.nodeName.toLowerCase();){if(e.scrollTop&&0<=(t+=e.scrollTop))return;e=ru(e)}return 1}(n,i.bottom)||"absolute"===o.position))return!0;if(0!==i.left||0!==i.right)if("ltr"===u){if(i.right<=0)return!0}else \
if(n=Math.max(a.scrollWidth,uu(t).width),i.left>=n)return!0;return!1}},su=[Go,Yo,Ko,Xo,iu];function lu(e){return e=cD(e).vNode,cu(e)}var cu=Yr((function(e,t){return e.actualNode&&"area"===e.props.nodeName?!Zo(e,cu):!(eu(e,{skipAncestors:!0,isAncestor:t})||e.actualNode&&su.some((function(n){return n(e,{isAncestor:t})})))&&(!e.parent||cu(e.parent,!0))}));function du(e,n){var r=Math.min(e.top,n.top),a=Math.max(e.right,n.right),o=Math.max(e.bottom,n.bottom);e=Math.min(e.left,n.left);return new t.DOMRect(e,r,a-e,o-r)}function pu(e,t){var n=e.x,r=(e=e.y,t.top),a=t.right,o=t.bottom;t=t.left;return r<=e&&n<=a&&e<=o&&t<=n}var fu={};function Du(e,n){var r=Math.max(e.left,n.left),a=Math.min(e.right,n.right),o=Math.max(e.top,n.top);e=Math.min(e.bottom,n.bottom);return a<=r||e<=o?null:new t.DOMRect(r,o,a-r,e-o)}function mu(e){var n=e.left,r=e.top,a=e.width;e=e.height;return new t.DOMPoint(n+a/2,r+e/2)}ie(fu,{getBoundingRect:function(){return du},getIntersectionRect:function(){return Du},getOffset:f\
unction(){return bu},getRectCenter:function(){return mu},hasVisualOverlap:function(){return yu},isPointInRect:function(){return pu},rectHasMinimumSize:function(){return gu},rectsOverlap:function(){return Po},splitRects:function(){return Fu}});var hu=.05;function gu(e,t){var n=t.width;t=t.height;return e<=n+hu&&e<=t+hu}function bu(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:12,r=ri(e),a=ri(t);if(!r.length||!a.length)return 0;var o,u=mu(r.reduce(du)),i=1/0,s=K(a);try{for(s.s();!(o=s.n()).done;){var l=o.value;if(pu(u,l))return 0;var c=vu(u,function(e,t){return{x:e.x<t.left?t.left:e.x>t.right?t.right:e.x,y:t=e.y<t.top?t.top:e.y>t.bottom?t.bottom:e.y}}(u,l));i=Math.min(i,c)}}catch(e){s.e(e)}finally{s.f()}return gu(2*n,ai(t))?i:(r=vu(u,mu(a.reduce(du)))-n,Math.max(0,Math.min(i,r)))}function vu(e,t){return Math.hypot(e.x-t.x,e.y-t.y)}function yu(e,t){var n=e.boundingClientRect,r=t.boundingClientRect;return!(n.left>=r.right||n.right<=r.left||n.top>=r.bottom||n.bottom<=r.t\
op)&&0<Ku(e,t)}function Fu(e,t){var n,r=[e],a=K(t);try{function o(){var e=n.value;if(4e3<(r=r.reduce((function(t,n){return t.concat(function(e,t){var n=e.top,r=e.left,a=e.bottom,o=e.right,u=n<t.bottom&&a>t.top,i=r<t.right&&o>t.left,s=[];if(wu(t.top,n,a)&&i&&s.push({top:n,left:r,bottom:t.top,right:o}),wu(t.right,r,o)&&u&&s.push({top:n,left:t.right,bottom:a,right:o}),wu(t.bottom,n,a)&&i&&s.push({top:t.bottom,right:o,bottom:a,left:r}),wu(t.left,r,o)&&u&&s.push({top:n,left:r,bottom:a,right:t.left}),0===s.length){if(function(e,t){return e.top>=t.top&&e.left>=t.left&&e.bottom<=t.bottom&&e.right<=t.right}(e,t))return[];s.push(e)}return s.map(Eu)}(n,e))}),[])).length)return{v:[]}}var u;for(a.s();!(n=a.n()).done;)if(u=o())return u.v}catch(e){a.e(e)}finally{a.f()}return r}var wu=function(e,t,n){return t<e&&e<n};function Eu(e){return new t.DOMRect(e.left,e.top,e.right-e.left,e.bottom-e.top)}var Cu=0,xu=.1,Au=.2,Nu=.3,ku=0;function Bu(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:\
r.body,n=1<arguments.length?arguments[1]:void 0,a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:null;if(!Da.get("gridCreated")||a){Da.set("gridCreated",!0),a||(i=(i=ma(r.documentElement))||new hf(r.documentElement),ku=0,i._stackingOrder=[Su(Cu,ku++,null)],Ou(n=null!=n?n:new _u,i),Jf(i.actualNode)&&(u=new _u(i),i._subGrid=u));for(var u,i,s=r.createTreeWalker(e,t.NodeFilter.SHOW_ELEMENT,null,!1),l=a?s.nextNode():s.currentNode;l;){var c=ma(l),d=(c&&c.parent?a=c.parent:l.assignedSlot?a=ma(l.assignedSlot):l.parentElement?a=ma(l.parentElement):l.parentNode&&ma(l.parentNode)&&(a=ma(l.parentNode)),(c=c||new o.VirtualNode(l,a))._stackingOrder=function(e,t,n){var r=t._stackingOrder.slice();Tu(e,t)&&-1!==(a=r.findIndex((function(e){return e=e.stackLevel,[Cu,Au,Nu].includes(e)})))&&r.splice(a,r.length-a);var a=function(e,t){var n=function(e,t){return"static"!==e.getComputedStylePropertyValue("position")||Ru(t)?e.getComputedStylePropertyValue("z-index"):"auto"}(e,t);return["auto","0"].incl\
udes(n)?"static"!==e.getComputedStylePropertyValue("position")?Nu:"none"!==e.getComputedStylePropertyValue("float")?Au:Tu(e,t)?xu:null:parseInt(n)}(e,t);return null!==a&&r.push(Su(a,n,e)),r}(c,a,ku++),function(e,t){for(var n=null,r=[e];t;){if(Jf(t.actualNode)){n=t;break}if(t._scrollRegionParent){n=t._scrollRegionParent;break}r.push(t),t=ma(t.actualNode.parentElement||t.actualNode.parentNode)}return r.forEach((function(e){return e._scrollRegionParent=n})),n}(c,a)),p=(d=d?d._subGrid:n,Jf(c.actualNode)&&(p=new _u(c),c._subGrid=p),c.boundingClientRect);0!==p.width&&0!==p.height&&lu(l)&&Ou(d,c),To(l)&&Bu(l.shadowRoot,d,c),l=s.nextNode()}}return yr.gridSize}function Tu(e,t){var n=e.getComputedStylePropertyValue("position"),r=e.getComputedStylePropertyValue("z-index");return"fixed"===n||"sticky"===n||"auto"!==r&&"static"!==n||"1"!==e.getComputedStylePropertyValue("opacity")||"none"!==(e.getComputedStylePropertyValue("-webkit-transform")||e.getComputedStylePropertyValue("-ms-transform")||e.get\
ComputedStylePropertyValue("transform")||"none")||(n=e.getComputedStylePropertyValue("mix-blend-mode"))&&"normal"!==n||(n=e.getComputedStylePropertyValue("filter"))&&"none"!==n||(n=e.getComputedStylePropertyValue("perspective"))&&"none"!==n||(n=e.getComputedStylePropertyValue("clip-path"))&&"none"!==n||"none"!==(e.getComputedStylePropertyValue("-webkit-mask")||e.getComputedStylePropertyValue("mask")||"none")||"none"!==(e.getComputedStylePropertyValue("-webkit-mask-image")||e.getComputedStylePropertyValue("mask-image")||"none")||"none"!==(e.getComputedStylePropertyValue("-webkit-mask-border")||e.getComputedStylePropertyValue("mask-border")||"none")||"isolate"===e.getComputedStylePropertyValue("isolation")||"transform"===(n=e.getComputedStylePropertyValue("will-change"))||"opacity"===n||"touch"===e.getComputedStylePropertyValue("-webkit-overflow-scrolling")||(n=e.getComputedStylePropertyValue("contain"),["layout","paint","strict","content"].includes(n))||!("auto"===r||!Ru(t))}function Ru\
(e){if(e)return e=e.getComputedStylePropertyValue("display"),["flex","inline-flex","grid","inline-grid"].includes(e)}function Su(e,t,n){return{stackLevel:e,treeOrder:t,vNode:n}}function Ou(e,t){var n=Lo(t);t.clientRects.forEach((function(r){r=n.reduce((function(e,t){return e&&Du(e,t.boundingClientRect)}),r);r&&(null==t._grid&&(t._grid=e),r=e.getGridPositionOfRect(r),e.loopGridPosition(r,(function(e){e.includes(t)||e.push(t)})))}))}G(Mu,[{key:"toGridIndex",value:function(e){return Math.floor(e/yr.gridSize)}},{key:"getCellFromPoint",value:function(e){var t=e.x;e=e.y,jr(this.boundaries,"Grid does not have cells added"),e=this.toGridIndex(e),t=this.toGridIndex(t);return null!=(t=(e=(jr(pu({y:e,x:t},this.boundaries),"Element midpoint exceeds the grid bounds"),null!=(e=this.cells[e-this.cells._negativeIndex])?e:[]))[t-e._negativeIndex])?t:[]}},{key:"loopGridPosition",value:function(e,t){var n=(o=e).left,r=o.right,a=o.top,o=o.bottom;this.boundaries&&(e=du(this.boundaries,e)),this.boundaries=e\
,Iu(this.cells,a,o,(function(e,a){Iu(e,n,r,(function(e,n){t(e,{row:a,col:n})}))}))}},{key:"getGridPositionOfRect",value:function(e){var n=e.top,r=e.right,a=e.bottom,o=e.left,u=1<arguments.length&&void 0!==arguments[1]?arguments[1]:0;n=this.toGridIndex(n-u),r=this.toGridIndex(r+u-1),a=this.toGridIndex(a+u-1),o=this.toGridIndex(o-u);return new t.DOMRect(o,n,r-o,a-n)}}]);var _u=Mu;function Mu(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:null;U(this,Mu),this.container=e,this.cells=[]}function Iu(e,t,n,r){if(null!=e._negativeIndex||(e._negativeIndex=0),t<e._negativeIndex){for(var a=0;a<e._negativeIndex-t;a++)e.splice(0,0,[]);e._negativeIndex=t}for(var o,u=t-e._negativeIndex,i=n-e._negativeIndex,s=u;s<=i;s++)null==e[o=s]&&(e[o]=[]),r(e[s],s+e._negativeIndex)}function Pu(e){var t,n,r,a,o=1<arguments.length&&void 0!==arguments[1]?arguments[1]:0;return Bu(),null!=(r=e._grid)&&null!=(r=r.cells)&&r.length?(r=e.boundingClientRect,t=e._grid,n=ju(e),r=t.getGridPositionOfRect(r,o),a\
=[],t.loopGridPosition(r,(function(t){var r,o=K(t);try{for(o.s();!(r=o.n()).done;){var u=r.value;u&&u!==e&&!a.includes(u)&&n===ju(u)&&a.push(u)}}catch(t){o.e(t)}finally{o.f()}})),a):[]}var ju=Yr((function(e){return!!e&&("fixed"===e.getComputedStylePropertyValue("position")||ju(e.parent))})),Lu=Yr((function(){var e;return o._tree&&(e=FD(o._tree[0],"dialog[open]",(function(e){var t=e.boundingClientRect;return r.elementsFromPoint(t.left+1,t.top+1).includes(e.actualNode)&&lu(e)}))).length?e.find((function(e){var t=e.boundingClientRect;return r.elementsFromPoint(t.left-10,t.top-10).includes(e.actualNode)}))||(null!=(e=e.find((function(e){e=null!=(e=function(e){Bu();var n=o._tree[0]._grid,r=new t.DOMRect(0,0,t.innerWidth,t.innerHeight);if(n)for(var a=0;a<n.cells.length;a++){var u=n.cells[a];if(u)for(var i=0;i<u.length;i++){var s=u[i];if(s)for(var l=0;l<s.length;l++){var c=s[l],d=Du(c.boundingClientRect,r);if("html"!==c.props.nodeName&&c!==e&&"none"!==c.getComputedStylePropertyValue("pointer-\
events")&&d)return{vNode:c,rect:d}}}}}(e))?e:{};var n=e.vNode;e=e.rect;return!!n&&!r.elementsFromPoint(e.left+1,e.top+1).includes(n.actualNode)})))?e:null):null}));function qu(e){var t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).skipAncestors,n=n.isAncestor;return(t?zu:Vu)(e,n)}var zu=Yr((function(e,t){return!!e.hasAttr("inert")||!(t||!e.actualNode||!(t=Lu())||Ao(t,e))})),Vu=Yr((function(e,t){return!!zu(e,t)||!!e.parent&&Vu(e.parent,!0)})),Hu=["button","command","fieldset","keygen","optgroup","option","select","textarea","input"],$u=function(e){var t=cD(e).vNode;if(e=t.props.nodeName,Hu.includes(e)&&t.hasAttr("disabled")||qu(t))return!0;for(var n=t.parent,r=[],a=!1;n&&n.shadowId===t.shadowId&&!a&&(r.push(n),"legend"!==n.props.nodeName);){if(void 0!==n._inDisabledFieldset){a=n._inDisabledFieldset;break}"fieldset"===n.props.nodeName&&n.hasAttr("disabled")&&(a=!0),n=n.parent}return r.forEach((function(e){return e._inDisabledFieldset=a})),!!a||"area"!==t.props.nodeName&&!\
!t.actualNode&&eu(t)},Uu=/^\\/\\#/,Wu=/^#[!/]/;function Gu(e){var n,r,a,o,u=e.getAttribute("href");return!(!u||"#"===u)&&(!!Uu.test(u)||(o=e.hash,n=e.protocol,r=e.hostname,a=e.port,e=e.pathname,!Wu.test(o)&&("#"===u.charAt(0)||("string"!=typeof(null==(o=t.location)?void 0:o.origin)||-1===t.location.origin.indexOf("://")?null:(u=t.location.origin+t.location.pathname,o=r?"".concat(n,"//").concat(r).concat(a?":".concat(a):""):t.location.origin,(o+=e?("/"!==e[0]?"/":"")+e:t.location.pathname)===u)))))}var Yu=function(e,t){var n=e.getAttribute(t);return n&&("href"!==t||Gu(e))?(-1!==n.indexOf("#")&&(n=decodeURIComponent(n.substr(n.indexOf("#")+1))),(t=r.getElementById(n))||((t=r.getElementsByName(n)).length?t[0]:null)):null};function Ku(e,n){Bu();for(var r=Math.max(e._stackingOrder.length,n._stackingOrder.length),a=0;a<r;a++){if(void 0===n._stackingOrder[a])return-1;if(void 0===e._stackingOrder[a])return 1;if(n._stackingOrder[a].stackLevel>e._stackingOrder[a].stackLevel)return 1;if(n._stacking\
Order[a].stackLevel<e._stackingOrder[a].stackLevel)return-1;if(n._stackingOrder[a].treeOrder!==e._stackingOrder[a].treeOrder)return n._stackingOrder[a].treeOrder-e._stackingOrder[a].treeOrder}var o=e.actualNode,u=n.actualNode;if(o.getRootNode&&o.getRootNode()!==u.getRootNode()){for(var i=[];o;)i.push({root:o.getRootNode(),node:o}),o=o.getRootNode().host;for(;u&&!i.find((function(e){return e.root===u.getRootNode()}));)u=u.getRootNode().host;if((o=i.find((function(e){return e.root===u.getRootNode()})).node)===u)return e.actualNode.getRootNode()!==o.getRootNode()?-1:1}var s,l=(d=t.Node).DOCUMENT_POSITION_FOLLOWING,c=d.DOCUMENT_POSITION_CONTAINS,d=d.DOCUMENT_POSITION_CONTAINED_BY;l=(s=o.compareDocumentPosition(u))&l?1:-1,c=s&c||s&d;return(s=Xu(e))===(d=Xu(n))||c?l:d-s}function Xu(e){return-1!==e.getComputedStylePropertyValue("display").indexOf("inline")?2:function e(t){if(!t)return!1;if(void 0!==t._isFloated)return t._isFloated;var n=t.getComputedStylePropertyValue("float");return"none"!==\
n?t._isFloated=!0:(n=e(t.parent),t._isFloated=n,n)}(e)?1:0}function Zu(e,t,n){var a=2<arguments.length&&void 0!==n&&n,o=mu(t),u=e.getCellFromPoint(o)||[],i=Math.floor(o.x),s=Math.floor(o.y);o=u.filter((function(e){return e.clientRects.some((function(e){var t=e.left,n=e.top;return i<Math.floor(t+e.width)&&i>=Math.floor(t)&&s<Math.floor(n+e.height)&&s>=Math.floor(n)}))}));return(u=e.container)&&(o=Zu(u._grid,u.boundingClientRect,!0).concat(o)),a?o:o.sort(Ku).map((function(e){return e.actualNode})).concat(r.documentElement).filter((function(e,t,n){return n.indexOf(e)===t}))}var Ju=function(e){Bu();var t=(e=ma(e))._grid;return t?Zu(t,e.boundingClientRect):[]},Qu=function(e){return RD(e,"*").filter((function(e){var t=e.isFocusable;return(e=(e=e.actualNode.getAttribute("tabindex"))&&!isNaN(parseInt(e,10))?parseInt(e):null)?t&&0<=e:t}))},ei=function(e){var t=cD(e).vNode;if(t&&!$u(t))switch(t.props.nodeName){case"a":case"area":if(t.hasAttr("href"))return!0;break;case"input":return"hidden"!==t.\
props.type;case"textarea":case"select":case"summary":case"button":return!0;case"details":return!RD(t,"summary").length}return!1};function ti(e){return 1===(e=cD(e).vNode).props.nodeType&&!($u(e)||!ei(e)&&(!(e=e.attr("tabindex"))||isNaN(parseInt(e,10))))}function ni(e){return 1===(e=cD(e).vNode).props.nodeType&&!(parseInt(e.attr("tabindex",10))<=-1)&&ti(e)}var ri=Yr((function(e){var t=e.boundingClientRect,n=Pu(e).filter((function(t){return yu(e,t)&&"none"!==t.getComputedStylePropertyValue("pointer-events")&&!(e.actualNode.contains(t.actualNode)&&!ni(t))}));return n.length?(n=n.map((function(e){return e.boundingClientRect})),Fu(t,n)):[t]})),ai=Yr((function(e,t){return function(e,t){return e.reduce((function(e,n){var r=gu(t,e);return r!==gu(t,n)?r?e:n:(r=e.width*e.height,n.width*n.height<r?e:n)}))}(ri(e),t)})),oi={},ui=(ie(oi,{accessibleText:function(){return ii},accessibleTextVirtual:function(){return Ns},autocomplete:function(){return Rs},formControlValue:function(){return ms},formContr\
olValueMethods:function(){return fs},hasUnicode:function(){return xs},isHumanInterpretable:function(){return Ts},isIconLigature:function(){return As},isValidAutocomplete:function(){return Ss},label:function(){return Is},labelText:function(){return bs},labelVirtual:function(){return Ms},nativeElementType:function(){return Ps},nativeTextAlternative:function(){return Es},nativeTextMethods:function(){return ws},removeUnicode:function(){return Bs},sanitize:function(){return ki},subtreeText:function(){return gs},titleText:function(){return Zi},unsupported:function(){return es},visible:function(){return _s},visibleTextNodes:function(){return js},visibleVirtual:function(){return rs}}),function(e,t){e=e.actualNode||e;try{var n=Oo(e),r=[];if(a=e.getAttribute(t))for(var a=gf(a),o=0;o<a.length;o++)r.push(n.getElementById(a[o]));return r}catch(e){throw new TypeError("Cannot resolve id references for non-DOM nodes")}}),ii=function(e,t){return Ns(ma(e),t)},si=function(e){var t=1<arguments.length&&voi\
d 0!==arguments[1]?arguments[1]:{},n=cD(e).vNode;return 1!==(null==n?void 0:n.props.nodeType)||1!==n.props.nodeType||t.inLabelledByContext||t.inControlContext||!n.attr("aria-labelledby")?"":ui(n,"aria-labelledby").filter((function(e){return e})).reduce((function(e,r){return r=ii(r,z({inLabelledByContext:!0,startNode:t.startNode||n},t)),e?"".concat(e," ").concat(r):r}),"")};function li(e){return 1===(null==(e=cD(e).vNode)?void 0:e.props.nodeType)&&e.attr("aria-label")||""}var ci={"aria-activedescendant":{type:"idref",allowEmpty:!0},"aria-atomic":{type:"boolean",global:!0},"aria-autocomplete":{type:"nmtoken",values:["inline","list","both","none"]},"aria-braillelabel":{type:"string",allowEmpty:!0,global:!0},"aria-brailleroledescription":{type:"string",allowEmpty:!0,global:!0},"aria-busy":{type:"boolean",global:!0},"aria-checked":{type:"nmtoken",values:["false","mixed","true","undefined"]},"aria-colcount":{type:"int",minValue:-1},"aria-colindex":{type:"int",minValue:1},"aria-colspan":{type\
:"int",minValue:1},"aria-controls":{type:"idrefs",allowEmpty:!0,global:!0},"aria-current":{type:"nmtoken",allowEmpty:!0,values:["page","step","location","date","time","true","false"],global:!0},"aria-describedby":{type:"idrefs",allowEmpty:!0,global:!0},"aria-description":{type:"string",allowEmpty:!0,global:!0},"aria-details":{type:"idref",allowEmpty:!0,global:!0},"aria-disabled":{type:"boolean",global:!0},"aria-dropeffect":{type:"nmtokens",values:["copy","execute","link","move","none","popup"],global:!0},"aria-errormessage":{type:"idref",allowEmpty:!0,global:!0},"aria-expanded":{type:"nmtoken",values:["true","false","undefined"]},"aria-flowto":{type:"idrefs",allowEmpty:!0,global:!0},"aria-grabbed":{type:"nmtoken",values:["true","false","undefined"],global:!0},"aria-haspopup":{type:"nmtoken",allowEmpty:!0,values:["true","false","menu","listbox","tree","grid","dialog"],global:!0},"aria-hidden":{type:"nmtoken",values:["true","false","undefined"],global:!0},"aria-invalid":{type:"nmtoken",v\
alues:["grammar","false","spelling","true"],global:!0},"aria-keyshortcuts":{type:"string",allowEmpty:!0,global:!0},"aria-label":{type:"string",allowEmpty:!0,global:!0},"aria-labelledby":{type:"idrefs",allowEmpty:!0,global:!0},"aria-level":{type:"int",minValue:1},"aria-live":{type:"nmtoken",values:["assertive","off","polite"],global:!0},"aria-modal":{type:"boolean"},"aria-multiline":{type:"boolean"},"aria-multiselectable":{type:"boolean"},"aria-orientation":{type:"nmtoken",values:["horizontal","undefined","vertical"]},"aria-owns":{type:"idrefs",allowEmpty:!0,global:!0},"aria-placeholder":{type:"string",allowEmpty:!0},"aria-posinset":{type:"int",minValue:1},"aria-pressed":{type:"nmtoken",values:["false","mixed","true","undefined"]},"aria-readonly":{type:"boolean"},"aria-relevant":{type:"nmtokens",values:["additions","all","removals","text"],global:!0},"aria-required":{type:"boolean"},"aria-roledescription":{type:"string",allowEmpty:!0,global:!0},"aria-rowcount":{type:"int",minValue:-1},"\
aria-rowindex":{type:"int",minValue:1},"aria-rowspan":{type:"int",minValue:0},"aria-selected":{type:"nmtoken",values:["false","true","undefined"]},"aria-setsize":{type:"int",minValue:-1},"aria-sort":{type:"nmtoken",values:["ascending","descending","none","other"]},"aria-valuemax":{type:"decimal"},"aria-valuemin":{type:"decimal"},"aria-valuenow":{type:"decimal"},"aria-valuetext":{type:"string",allowEmpty:!0}},di={alert:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},alertdialog:{type:"widget",allowedAttrs:["aria-expanded","aria-modal"],superclassRole:["alert","dialog"],accessibleNameRequired:!0},application:{type:"landmark",allowedAttrs:["aria-activedescendant","aria-expanded"],superclassRole:["structure"],accessibleNameRequired:!0},article:{type:"structure",allowedAttrs:["aria-posinset","aria-setsize","aria-expanded"],superclassRole:["document"]},banner:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},blockquote:{type:"structure",su\
perclassRole:["section"]},button:{type:"widget",allowedAttrs:["aria-expanded","aria-pressed"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},caption:{type:"structure",requiredContext:["figure","table","grid","treegrid"],superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},cell:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-colindex","aria-colspan","aria-rowindex","aria-rowspan","aria-expanded"],superclassRole:["section"],nameFromContent:!0},checkbox:{type:"widget",requiredAttrs:["aria-checked"],allowedAttrs:["aria-readonly","aria-expanded","aria-required"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},code:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},columnheader:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-sort","aria-colindex","aria-colspan","aria-expanded","aria-readonly","aria\
-required","aria-rowindex","aria-rowspan","aria-selected"],superclassRole:["cell","gridcell","sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},combobox:{type:"widget",requiredAttrs:["aria-expanded","aria-controls"],allowedAttrs:["aria-owns","aria-autocomplete","aria-readonly","aria-required","aria-activedescendant","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!0},command:{type:"abstract",superclassRole:["widget"]},complementary:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},composite:{type:"abstract",superclassRole:["widget"]},contentinfo:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},comment:{type:"structure",allowedAttrs:["aria-level","aria-posinset","aria-setsize"],superclassRole:["article"]},definition:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"]},deletion:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},dialog:{\
type:"widget",allowedAttrs:["aria-expanded","aria-modal"],superclassRole:["window"],accessibleNameRequired:!0},directory:{type:"structure",deprecated:!0,allowedAttrs:["aria-expanded"],superclassRole:["list"],nameFromContent:!0},document:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["structure"]},emphasis:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},feed:{type:"structure",requiredOwned:["article"],allowedAttrs:["aria-expanded"],superclassRole:["list"]},figure:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},form:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},grid:{type:"composite",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-level","aria-multiselectable","aria-readonly","aria-activedescendant","aria-colcount","aria-expanded","aria-rowcount"],superclassRole:["composite","table"],accessibleNameRequired:!1},gridcell:{type:"widget",require\
dContext:["row"],allowedAttrs:["aria-readonly","aria-required","aria-selected","aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan"],superclassRole:["cell","widget"],nameFromContent:!0},group:{type:"structure",allowedAttrs:["aria-activedescendant","aria-expanded"],superclassRole:["section"]},heading:{type:"structure",requiredAttrs:["aria-level"],allowedAttrs:["aria-expanded"],superclassRole:["sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},img:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],accessibleNameRequired:!0,childrenPresentational:!0},input:{type:"abstract",superclassRole:["widget"]},insertion:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},landmark:{type:"abstract",superclassRole:["section"]},link:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0},list:{type:"structure",requiredOwned:["listitem"],all\
owedAttrs:["aria-expanded"],superclassRole:["section"]},listbox:{type:"widget",requiredOwned:["group","option"],allowedAttrs:["aria-multiselectable","aria-readonly","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!0},listitem:{type:"structure",requiredContext:["list"],allowedAttrs:["aria-level","aria-posinset","aria-setsize","aria-expanded"],superclassRole:["section"],nameFromContent:!0},log:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},main:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},marquee:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},math:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],childrenPresentational:!0},menu:{type:"composite",requiredOwned:["group","menuitemradio","menuitem","menuitemcheckbox","menu","separator"],allowedAttrs:["aria-activedescendant","aria-expanded","aria-orientatio\
n"],superclassRole:["select"]},menubar:{type:"composite",requiredOwned:["group","menuitemradio","menuitem","menuitemcheckbox","menu","separator"],allowedAttrs:["aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["menu"]},menuitem:{type:"widget",requiredContext:["menu","menubar","group"],allowedAttrs:["aria-posinset","aria-setsize","aria-expanded"],superclassRole:["command"],accessibleNameRequired:!0,nameFromContent:!0},menuitemcheckbox:{type:"widget",requiredContext:["menu","menubar","group"],requiredAttrs:["aria-checked"],allowedAttrs:["aria-expanded","aria-posinset","aria-readonly","aria-setsize"],superclassRole:["checkbox","menuitem"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},menuitemradio:{type:"widget",requiredContext:["menu","menubar","group"],requiredAttrs:["aria-checked"],allowedAttrs:["aria-expanded","aria-posinset","aria-readonly","aria-setsize"],superclassRole:["menuitemcheckbox","radio"],accessibleNameRequired:!0,nameFro\
mContent:!0,childrenPresentational:!0},meter:{type:"structure",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-valuetext"],superclassRole:["range"],accessibleNameRequired:!0,childrenPresentational:!0},mark:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},navigation:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},none:{type:"structure",superclassRole:["structure"],prohibitedAttrs:["aria-label","aria-labelledby"]},note:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"]},option:{type:"widget",requiredContext:["group","listbox"],allowedAttrs:["aria-selected","aria-checked","aria-posinset","aria-setsize"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},paragraph:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},presentation:{type:"structure",superclassRole:["struct\
ure"],prohibitedAttrs:["aria-label","aria-labelledby"]},progressbar:{type:"widget",allowedAttrs:["aria-expanded","aria-valuemax","aria-valuemin","aria-valuenow","aria-valuetext"],superclassRole:["range"],accessibleNameRequired:!0,childrenPresentational:!0},radio:{type:"widget",requiredAttrs:["aria-checked"],allowedAttrs:["aria-posinset","aria-setsize","aria-required"],superclassRole:["input"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},radiogroup:{type:"composite",allowedAttrs:["aria-readonly","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!1},range:{type:"abstract",superclassRole:["widget"]},region:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"],accessibleNameRequired:!1},roletype:{type:"abstract",superclassRole:[]},row:{type:"structure",requiredContext:["grid","rowgroup","table","treegrid"],requiredOwned:["cell","columnheader","gridcell","rowheader"],a\
llowedAttrs:["aria-colindex","aria-level","aria-rowindex","aria-selected","aria-activedescendant","aria-expanded","aria-posinset","aria-setsize"],superclassRole:["group","widget"],nameFromContent:!0},rowgroup:{type:"structure",requiredContext:["grid","table","treegrid"],requiredOwned:["row"],superclassRole:["structure"],nameFromContent:!0},rowheader:{type:"structure",requiredContext:["row"],allowedAttrs:["aria-sort","aria-colindex","aria-colspan","aria-expanded","aria-readonly","aria-required","aria-rowindex","aria-rowspan","aria-selected"],superclassRole:["cell","gridcell","sectionhead"],accessibleNameRequired:!1,nameFromContent:!0},scrollbar:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-controls","aria-orientation","aria-valuemax","aria-valuemin","aria-valuetext"],superclassRole:["range"],childrenPresentational:!0},search:{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},searchbox:{type:"widget",allowedAttrs:["aria-activedescendant","ar\
ia-autocomplete","aria-multiline","aria-placeholder","aria-readonly","aria-required"],superclassRole:["textbox"],accessibleNameRequired:!0},section:{type:"abstract",superclassRole:["structure"],nameFromContent:!0},sectionhead:{type:"abstract",superclassRole:["structure"],nameFromContent:!0},select:{type:"abstract",superclassRole:["composite","group"]},separator:{type:"structure",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-orientation","aria-valuetext"],superclassRole:["structure","widget"],childrenPresentational:!0},slider:{type:"widget",requiredAttrs:["aria-valuenow"],allowedAttrs:["aria-valuemax","aria-valuemin","aria-orientation","aria-readonly","aria-required","aria-valuetext"],superclassRole:["input","range"],accessibleNameRequired:!0,childrenPresentational:!0},spinbutton:{type:"widget",allowedAttrs:["aria-valuemax","aria-valuemin","aria-readonly","aria-required","aria-activedescendant","aria-valuetext","aria-valuenow"],superclassRole:["comp\
osite","input","range"],accessibleNameRequired:!0},status:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"]},strong:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},structure:{type:"abstract",superclassRole:["roletype"]},subscript:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},superscript:{type:"structure",superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},switch:{type:"widget",requiredAttrs:["aria-checked"],allowedAttrs:["aria-expanded","aria-readonly","aria-required"],superclassRole:["checkbox"],accessibleNameRequired:!0,nameFromContent:!0,childrenPresentational:!0},suggestion:{type:"structure",requiredOwned:["insertion","deletion"],superclassRole:["section"],prohibitedAttrs:["aria-label","aria-labelledby"]},tab:{type:"widget",requiredContext:["tablist"],allowedAttrs:["aria-posinset","aria-selected","aria-setsize","aria-expanded"],superclassRo\
le:["sectionhead","widget"],nameFromContent:!0,childrenPresentational:!0},table:{type:"structure",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-colcount","aria-rowcount","aria-expanded"],superclassRole:["section"],accessibleNameRequired:!1,nameFromContent:!0},tablist:{type:"composite",requiredOwned:["tab"],allowedAttrs:["aria-level","aria-multiselectable","aria-orientation","aria-activedescendant","aria-expanded"],superclassRole:["composite"]},tabpanel:{type:"widget",allowedAttrs:["aria-expanded"],superclassRole:["section"],accessibleNameRequired:!1},term:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},text:{type:"structure",superclassRole:["section"],nameFromContent:!0},textbox:{type:"widget",allowedAttrs:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-placeholder","aria-readonly","aria-required"],superclassRole:["input"],accessibleNameRequired:!0},time:{type:"structure",superclassRole:["section"]},timer:{type:\
"widget",allowedAttrs:["aria-expanded"],superclassRole:["status"]},toolbar:{type:"structure",allowedAttrs:["aria-orientation","aria-activedescendant","aria-expanded"],superclassRole:["group"],accessibleNameRequired:!0},tooltip:{type:"structure",allowedAttrs:["aria-expanded"],superclassRole:["section"],nameFromContent:!0},tree:{type:"composite",requiredOwned:["group","treeitem"],allowedAttrs:["aria-multiselectable","aria-required","aria-activedescendant","aria-expanded","aria-orientation"],superclassRole:["select"],accessibleNameRequired:!1},treegrid:{type:"composite",requiredOwned:["rowgroup","row"],allowedAttrs:["aria-activedescendant","aria-colcount","aria-expanded","aria-level","aria-multiselectable","aria-orientation","aria-readonly","aria-required","aria-rowcount"],superclassRole:["grid","tree"],accessibleNameRequired:!1},treeitem:{type:"widget",requiredContext:["group","tree"],allowedAttrs:["aria-checked","aria-expanded","aria-level","aria-posinset","aria-selected","aria-setsize"\
],superclassRole:["listitem","option"],accessibleNameRequired:!0,nameFromContent:!0},widget:{type:"abstract",superclassRole:["roletype"]},window:{type:"abstract",superclassRole:["roletype"]}},pi={a:{variant:{href:{matches:"[href]",contentTypes:["interactive","phrasing","flow"],allowedRoles:["button","checkbox","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab","treeitem","doc-backlink","doc-biblioref","doc-glossref","doc-noteref"],namingMethods:["subtreeText"]},default:{contentTypes:["phrasing","flow"],allowedRoles:!0}}},abbr:{contentTypes:["phrasing","flow"],allowedRoles:!0},address:{contentTypes:["flow"],allowedRoles:!0},area:{variant:{href:{matches:"[href]",allowedRoles:!1},default:{allowedRoles:["button","link"]}},contentTypes:["phrasing","flow"],namingMethods:["altText"]},article:{contentTypes:["sectioning","flow"],allowedRoles:["feed","presentation","none","document","application","main","region"],shadowRoot:!0},aside:{contentTypes:["sectioning","flow"]\
,allowedRoles:["feed","note","presentation","none","region","search","doc-dedication","doc-example","doc-footnote","doc-glossary","doc-pullquote","doc-tip"]},audio:{variant:{controls:{matches:"[controls]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application"],chromiumRole:"Audio"},b:{contentTypes:["phrasing","flow"],allowedRoles:!0},base:{allowedRoles:!1,noAriaAttrs:!0},bdi:{contentTypes:["phrasing","flow"],allowedRoles:!0},bdo:{contentTypes:["phrasing","flow"],allowedRoles:!0},blockquote:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},body:{allowedRoles:!1,shadowRoot:!0},br:{contentTypes:["phrasing","flow"],allowedRoles:["presentation","none"],namingMethods:["titleText","singleSpace"]},button:{contentTypes:["interactive","phrasing","flow"],allowedRoles:["checkbox","combobox","link","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab"],namingMethods:["subtreeText"]},ca\
nvas:{allowedRoles:!0,contentTypes:["embedded","phrasing","flow"],chromiumRole:"Canvas"},caption:{allowedRoles:!1},cite:{contentTypes:["phrasing","flow"],allowedRoles:!0},code:{contentTypes:["phrasing","flow"],allowedRoles:!0},col:{allowedRoles:!1,noAriaAttrs:!0},colgroup:{allowedRoles:!1,noAriaAttrs:!0},data:{contentTypes:["phrasing","flow"],allowedRoles:!0},datalist:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0,implicitAttrs:{"aria-multiselectable":"false"}},dd:{allowedRoles:!1},del:{contentTypes:["phrasing","flow"],allowedRoles:!0},dfn:{contentTypes:["phrasing","flow"],allowedRoles:!0},details:{contentTypes:["interactive","flow"],allowedRoles:!1},dialog:{contentTypes:["flow"],allowedRoles:["alertdialog"]},div:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},dl:{contentTypes:["flow"],allowedRoles:["group","list","presentation","none"],chromiumRole:"DescriptionList"},dt:{allowedRoles:["listitem"]},em:{contentTypes:["phrasing","flow"],allowedRoles:!0},embed:{con\
tentTypes:["interactive","embedded","phrasing","flow"],allowedRoles:["application","document","img","presentation","none"],chromiumRole:"EmbeddedObject"},fieldset:{contentTypes:["flow"],allowedRoles:["none","presentation","radiogroup"],namingMethods:["fieldsetLegendText"]},figcaption:{allowedRoles:["group","none","presentation"]},figure:{contentTypes:["flow"],allowedRoles:!0,namingMethods:["figureText","titleText"]},footer:{contentTypes:["flow"],allowedRoles:["group","none","presentation","doc-footnote"],shadowRoot:!0},form:{contentTypes:["flow"],allowedRoles:["search","none","presentation"]},h1:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"1"}},h2:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"2"}},h3:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicit\
Attrs:{"aria-level":"3"}},h4:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"4"}},h5:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"5"}},h6:{contentTypes:["heading","flow"],allowedRoles:["none","presentation","tab","doc-subtitle"],shadowRoot:!0,implicitAttrs:{"aria-level":"6"}},head:{allowedRoles:!1,noAriaAttrs:!0},header:{contentTypes:["flow"],allowedRoles:["group","none","presentation","doc-footnote"],shadowRoot:!0},hgroup:{contentTypes:["heading","flow"],allowedRoles:!0},hr:{contentTypes:["flow"],allowedRoles:["none","presentation","doc-pagebreak"],namingMethods:["titleText","singleSpace"]},html:{allowedRoles:!1,noAriaAttrs:!0},i:{contentTypes:["phrasing","flow"],allowedRoles:!0},iframe:{contentTypes:["interactive","embedded","phrasing","flow"],allowedRoles:["application","document","img","none","presentation"],c\
hromiumRole:"Iframe"},img:{variant:{nonEmptyAlt:{matches:[{attributes:{alt:"/.+/"}},{hasAccessibleName:!0}],allowedRoles:["button","checkbox","link","menuitem","menuitemcheckbox","menuitemradio","meter","option","progressbar","radio","scrollbar","separator","slider","switch","tab","treeitem","doc-cover"]},usemap:{matches:"[usemap]",contentTypes:["interactive","embedded","flow"]},default:{allowedRoles:["presentation","none"],contentTypes:["embedded","flow"]}},namingMethods:["altText"]},input:{variant:{button:{matches:{properties:{type:"button"}},allowedRoles:["checkbox","combobox","link","menuitem","menuitemcheckbox","menuitemradio","option","radio","switch","tab"]},buttonType:{matches:{properties:{type:["button","submit","reset"]}},namingMethods:["valueText","titleText","buttonDefaultText"]},checkboxPressed:{matches:{properties:{type:"checkbox"},attributes:{"aria-pressed":"/.*/"}},allowedRoles:["button","menuitemcheckbox","option","switch"],implicitAttrs:{"aria-checked":"false"}},check\
box:{matches:{properties:{type:"checkbox"},attributes:{"aria-pressed":null}},allowedRoles:["menuitemcheckbox","option","switch"],implicitAttrs:{"aria-checked":"false"}},noRoles:{matches:{properties:{type:["color","date","datetime-local","file","month","number","password","range","reset","submit","time","week"]}},allowedRoles:!1},hidden:{matches:{properties:{type:"hidden"}},contentTypes:["flow"],allowedRoles:!1,noAriaAttrs:!0},image:{matches:{properties:{type:"image"}},allowedRoles:["link","menuitem","menuitemcheckbox","menuitemradio","radio","switch"],namingMethods:["altText","valueText","labelText","titleText","buttonDefaultText"]},radio:{matches:{properties:{type:"radio"}},allowedRoles:["menuitemradio"],implicitAttrs:{"aria-checked":"false"}},textWithList:{matches:{properties:{type:"text"},attributes:{list:"/.*/"}},allowedRoles:!1},default:{contentTypes:["interactive","flow"],allowedRoles:["combobox","searchbox","spinbutton"],implicitAttrs:{"aria-valuenow":""},namingMethods:["labelTe\
xt","placeholderText"]}}},ins:{contentTypes:["phrasing","flow"],allowedRoles:!0},kbd:{contentTypes:["phrasing","flow"],allowedRoles:!0},label:{contentTypes:["interactive","phrasing","flow"],allowedRoles:!1,chromiumRole:"Label"},legend:{allowedRoles:!1},li:{allowedRoles:["menuitem","menuitemcheckbox","menuitemradio","option","none","presentation","radio","separator","tab","treeitem","doc-biblioentry","doc-endnote"],implicitAttrs:{"aria-setsize":"1","aria-posinset":"1"}},link:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},main:{contentTypes:["flow"],allowedRoles:!1,shadowRoot:!0},map:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},math:{contentTypes:["embedded","phrasing","flow"],allowedRoles:!1},mark:{contentTypes:["phrasing","flow"],allowedRoles:!0},menu:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},meta:{variant:{itemprop:{matches:"[itemprop]",cont\
entTypes:["phrasing","flow"]}},allowedRoles:!1,noAriaAttrs:!0},meter:{contentTypes:["phrasing","flow"],allowedRoles:!1,chromiumRole:"progressbar"},nav:{contentTypes:["sectioning","flow"],allowedRoles:["doc-index","doc-pagelist","doc-toc","menu","menubar","none","presentation","tablist"],shadowRoot:!0},noscript:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},object:{variant:{usemap:{matches:"[usemap]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application","document","img"],chromiumRole:"PluginObject"},ol:{contentTypes:["flow"],allowedRoles:["directory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},optgroup:{allowedRoles:!1},option:{allowedRoles:!1,implicitAttrs:{"aria-selected":"false"}},output:{contentTypes:["phrasing","flow"],allowedRoles:!0,namingMethods:["subtreeText"]},p:{contentTypes:["flow"],allowedRoles:!0,shadowRoot:!0},pa\
ram:{allowedRoles:!1,noAriaAttrs:!0},picture:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},pre:{contentTypes:["flow"],allowedRoles:!0},progress:{contentTypes:["phrasing","flow"],allowedRoles:!1,implicitAttrs:{"aria-valuemax":"100","aria-valuemin":"0","aria-valuenow":"0"}},q:{contentTypes:["phrasing","flow"],allowedRoles:!0},rp:{allowedRoles:!0},rt:{allowedRoles:!0},ruby:{contentTypes:["phrasing","flow"],allowedRoles:!0},s:{contentTypes:["phrasing","flow"],allowedRoles:!0},samp:{contentTypes:["phrasing","flow"],allowedRoles:!0},script:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},search:{contentTypes:["flow"],allowedRoles:["form","group","none","presentation","region","search"]},section:{contentTypes:["sectioning","flow"],allowedRoles:["alert","alertdialog","application","banner","complementary","contentinfo","dialog","document","feed","group","log","main","marquee","navigation","none","note","presentation","search","status","tabpanel","doc-abstra\
ct","doc-acknowledgments","doc-afterword","doc-appendix","doc-bibliography","doc-chapter","doc-colophon","doc-conclusion","doc-credit","doc-credits","doc-dedication","doc-endnotes","doc-epigraph","doc-epilogue","doc-errata","doc-example","doc-foreword","doc-glossary","doc-index","doc-introduction","doc-notice","doc-pagelist","doc-part","doc-preface","doc-prologue","doc-pullquote","doc-qna","doc-toc"],shadowRoot:!0},select:{variant:{combobox:{matches:{attributes:{multiple:null,size:[null,"1"]}},allowedRoles:["menu"]},default:{allowedRoles:!1}},contentTypes:["interactive","phrasing","flow"],implicitAttrs:{"aria-valuenow":""},namingMethods:["labelText"]},slot:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},small:{contentTypes:["phrasing","flow"],allowedRoles:!0},source:{allowedRoles:!1,noAriaAttrs:!0},span:{contentTypes:["phrasing","flow"],allowedRoles:!0,shadowRoot:!0},strong:{contentTypes:["phrasing","flow"],allowedRoles:!0},style:{allowedRoles:!1,noAriaAttrs:!0},svg:{\
contentTypes:["embedded","phrasing","flow"],allowedRoles:!0,chromiumRole:"SVGRoot",namingMethods:["svgTitleText"]},sub:{contentTypes:["phrasing","flow"],allowedRoles:!0},summary:{allowedRoles:!1,namingMethods:["subtreeText"]},sup:{contentTypes:["phrasing","flow"],allowedRoles:!0},table:{contentTypes:["flow"],allowedRoles:!0,namingMethods:["tableCaptionText","tableSummaryText"]},tbody:{allowedRoles:!0},template:{contentTypes:["phrasing","flow"],allowedRoles:!1,noAriaAttrs:!0},textarea:{contentTypes:["interactive","phrasing","flow"],allowedRoles:!1,implicitAttrs:{"aria-valuenow":"","aria-multiline":"true"},namingMethods:["labelText","placeholderText"]},tfoot:{allowedRoles:!0},thead:{allowedRoles:!0},time:{contentTypes:["phrasing","flow"],allowedRoles:!0},title:{allowedRoles:!1,noAriaAttrs:!0},td:{allowedRoles:!0},th:{allowedRoles:!0},tr:{allowedRoles:!0},track:{allowedRoles:!1,noAriaAttrs:!0},u:{contentTypes:["phrasing","flow"],allowedRoles:!0},ul:{contentTypes:["flow"],allowedRoles:["di\
rectory","group","listbox","menu","menubar","none","presentation","radiogroup","tablist","toolbar","tree"]},var:{contentTypes:["phrasing","flow"],allowedRoles:!0},video:{variant:{controls:{matches:"[controls]",contentTypes:["interactive","embedded","phrasing","flow"]},default:{contentTypes:["embedded","phrasing","flow"]}},allowedRoles:["application"],chromiumRole:"video"},wbr:{contentTypes:["phrasing","flow"],allowedRoles:["presentation","none"]}},fi={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169]\
,darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,\
128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegree\
n:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},Di={ariaAttrs:ci,ariaRoles:z({},di,{"doc-abstract":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-acknowledgments":{\
type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-afterword":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-appendix":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-backlink":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-biblioentry":{type:"listitem",allowedAttrs:["aria-expanded","aria-level","aria-posinset","aria-setsize"],superclassRole:["listitem"],deprecated:!0},"doc-bibliography":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-biblioref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-chapter":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-colophon":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-conclusion":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-cov\
er":{type:"img",allowedAttrs:["aria-expanded"],superclassRole:["img"]},"doc-credit":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-credits":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-dedication":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-endnote":{type:"listitem",allowedAttrs:["aria-expanded","aria-level","aria-posinset","aria-setsize"],superclassRole:["listitem"],deprecated:!0},"doc-endnotes":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-epigraph":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-epilogue":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-errata":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-example":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-footnote":{type:"section",allowedAttrs:["aria-expan\
ded"],superclassRole:["section"]},"doc-foreword":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-glossary":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-glossref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-index":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]},"doc-introduction":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-noteref":{type:"link",allowedAttrs:["aria-expanded"],nameFromContent:!0,superclassRole:["link"]},"doc-notice":{type:"note",allowedAttrs:["aria-expanded"],superclassRole:["note"]},"doc-pagebreak":{type:"separator",allowedAttrs:["aria-expanded","aria-orientation"],superclassRole:["separator"],childrenPresentational:!0},"doc-pagelist":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]},"doc-part":{type:"landmark",allowedAttrs:["aria-expanded"],superclassR\
ole:["landmark"]},"doc-preface":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-prologue":{type:"landmark",allowedAttrs:["aria-expanded"],superclassRole:["landmark"]},"doc-pullquote":{type:"none",superclassRole:["none"]},"doc-qna":{type:"section",allowedAttrs:["aria-expanded"],superclassRole:["section"]},"doc-subtitle":{type:"sectionhead",allowedAttrs:["aria-expanded"],superclassRole:["sectionhead"]},"doc-tip":{type:"note",allowedAttrs:["aria-expanded"],superclassRole:["note"]},"doc-toc":{type:"navigation",allowedAttrs:["aria-expanded"],superclassRole:["navigation"]}},{"graphics-document":{type:"structure",superclassRole:["document"],accessibleNameRequired:!0},"graphics-object":{type:"structure",superclassRole:["group"],nameFromContent:!0},"graphics-symbol":{type:"structure",superclassRole:["img"],accessibleNameRequired:!0,childrenPresentational:!0}}),htmlElms:pi,cssColors:fi},mi=z({},Di),hi=mi,gi=function(e){return!!(e=hi.ariaRoles[e])&&!!e.unsupporte\
d},bi=function(e){var t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).allowAbstract,n=void 0!==(n=n.flagUnsupported)&&n,r=hi.ariaRoles[e],a=gi(e);return!(!r||n&&a||!t&&"abstract"===r.type)},vi=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=t.fallback,r=t.abstracts,a=t.dpub;return 1===(e=e instanceof Cr?e:ma(e)).props.nodeType&&(t=(e.attr("role")||"").trim().toLowerCase(),(n?gf(t):[t]).find((function(e){return!(!a&&"doc-"===e.substr(0,4))&&bi(e,{allowAbstract:r})})))||null},yi=function(e){return Object.keys(hi.htmlElms).filter((function(t){return(t=hi.htmlElms[t]).contentTypes?t.contentTypes.includes(e):!!t.variant&&!(!t.variant.default||!t.variant.default.contentTypes)&&t.variant.default.contentTypes.includes(e)}))},Fi=function(){return Da.get("globalAriaAttrs",(function(){return Object.keys(hi.ariaAttrs).filter((function(e){return hi.ariaAttrs[e].global}))}))},wi=Yr((function(e){for(var t=[],n=e.rows,r=0,a=n.length;r<a;r++)for(var o=n[r].\
cells,u=(t[r]=t[r]||[],0),i=0,s=o.length;i<s;i++)for(var l=0;l<o[i].colSpan;l++){for(var c=o[i].getAttribute("rowspan"),d=0===parseInt(c)||0===o[i].rowspan?n.length:o[i].rowSpan,p=0;p<d;p++){for(t[r+p]=t[r+p]||[];t[r+p][u];)u++;t[r+p][u]=o[i]}u++}return t})),Ei=Yr((function(e,t){var n,r;for(t=t||wi(Io(e,"table")),n=0;n<t.length;n++)if(t[n]&&-1!==(r=t[n].indexOf(e)))return{x:r,y:n}}));function Ci(e){var t,n=(e=cD(e)).vNode,r=(e=e.domNode,n.attr("scope")),a=n.attr("role");if(["td","th"].includes(n.props.nodeName))return"columnheader"===a?"col":"rowheader"===a?"row":"col"===r||"row"===r?r:"th"===n.props.nodeName&&(n.actualNode?(a=wi(Io(e,"table")))[(t=Ei(e,a)).y].every((function(e){return"TH"===e.nodeName.toUpperCase()}))?"col":a.map((function(e){return e[t.x]})).every((function(e){return e&&"TH"===e.nodeName.toUpperCase()}))?"row":"auto":"auto");throw new TypeError("Expected TD or TH element")}var xi=function(e){return-1!==["col","auto"].indexOf(Ci(e))},Ai=function(e){return["row","auto"\
].includes(Ci(e))};function Ni(){return Da.get("sectioningElementSelector",(function(){return yi("sectioning").map((function(e){return"".concat(e,":not([role])")})).join(", ")+" , main:not([role]), [role=article], [role=complementary], [role=main], [role=navigation], [role=region]"}))}var ki=function(e){return e?e.replace(/\\r\\n/g,"\\n").replace(/\\u00A0/g," ").replace(/[\\s]{2,}/g," ").trim():""};function Bi(e){var t=ki(si(e));e=ki(li(e));return t||e}var Ti={a:function(e){return e.hasAttr("href")?"link":null},area:function(e){return e.hasAttr("href")?"link":null},article:"article",aside:"complementary",body:"document",button:"button",datalist:"listbox",dd:"definition",dfn:"term",details:"group",dialog:"dialog",dt:"term",fieldset:"group",figure:"figure",footer:function(e){return Ta(e,Ni())?null:"contentinfo"},form:function(e){return Bi(e)?"form":null},h1:"heading",h2:"heading",h3:"heading",h4:"heading",h5:"heading",h6:"heading",header:function(e){return Ta(e,Ni())?null:"banner"},hr:"separa\
tor",img:function(e){var t=e.hasAttr("alt")&&!e.attr("alt"),n=Fi().find((function(t){return e.hasAttr(t)}));return!t||n||ti(e)?"img":"presentation"},input:function(e){var t,n;switch(e.hasAttr("list")&&(n=(t=ui(e.actualNode,"list").filter((function(e){return!!e}))[0])&&"datalist"===t.nodeName.toLowerCase()),e.props.type){case"checkbox":return"checkbox";case"number":return"spinbutton";case"radio":return"radio";case"range":return"slider";case"search":return n?"combobox":"searchbox";case"button":case"image":case"reset":case"submit":return"button";case"text":case"tel":case"url":case"email":case"":return n?"combobox":"textbox";default:return"textbox"}},li:"listitem",main:"main",math:"math",menu:"list",nav:"navigation",ol:"list",optgroup:"group",option:"option",output:"status",progress:"progressbar",search:"search",section:function(e){return Bi(e)?"region":null},select:function(e){return e.hasAttr("multiple")||1<parseInt(e.attr("size"))?"listbox":"combobox"},summary:"button",table:"table",tbo\
dy:"rowgroup",td:function(e){return e=Ta(e,"table"),e=vi(e),["grid","treegrid"].includes(e)?"gridcell":"cell"},textarea:"textbox",tfoot:"rowgroup",th:function(e){return xi(e)?"columnheader":Ai(e)?"rowheader":void 0},thead:"rowgroup",tr:"row",ul:"list"},Ri=function(e,t){var n=a(t);if(Array.isArray(t)&&void 0!==e)return t.includes(e);if("function"===n)return!!t(e);if(null!=e){if(t instanceof RegExp)return t.test(e);if(/^\\/.*\\/$/.test(t))return n=t.substring(1,t.length-1),new RegExp(n).test(e)}return t===e};function Si(e,t){return Ri(!!Ns(e),t)}var Oi=function(e,t){if("object"!==a(t)||Array.isArray(t)||t instanceof RegExp)throw new Error("Expect matcher to be an object");return Object.keys(t).every((function(n){return Ri(e(n),t[n])}))};function _i(e,t){return e=cD(e).vNode,Oi((function(t){return e.attr(t)}),t)}function Mi(e,t){return!!t(e)}function Ii(e,t){return Ri(vi(e),t)}function Pi(e,t){return Ri(Wi(e),t)}function ji(e,t){return e=cD(e).vNode,Ri(e.props.nodeName,t)}function Li(e,t){r\
eturn e=cD(e).vNode,Oi((function(t){return e.props[t]}),t)}function qi(e,t){return Ri(Ki(e),t)}var zi={hasAccessibleName:Si,attributes:_i,condition:Mi,explicitRole:Ii,implicitRole:Pi,nodeName:ji,properties:Li,semanticRole:qi},Vi=function e(t,n){return t=cD(t).vNode,Array.isArray(n)?n.some((function(n){return e(t,n)})):"string"==typeof n?wa(t,n):Object.keys(n).every((function(e){var r;if(zi[e])return r=n[e],(0,zi[e])(t,r);throw new Error('Unknown matcher type "'.concat(e,'"'))}))},Hi=function(e,t){return Vi(e,t)},$i=(Hi.hasAccessibleName=Si,Hi.attributes=_i,Hi.condition=Mi,Hi.explicitRole=Ii,Hi.fromDefinition=Vi,Hi.fromFunction=Oi,Hi.fromPrimative=Ri,Hi.implicitRole=Pi,Hi.nodeName=ji,Hi.properties=Li,Hi.semanticRole=qi,Hi),Ui=function(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).noMatchAccessibleName,n=void 0!==t&&t,r=hi.htmlElms[e.props.nodeName];if(!r)return{};if(!r.variant)return r;var a,o,u=r.variant,i=j(r,c);for(a in u)if(u.hasOwnProperty(a)&&"default"!==a){\
for(var s=u[a],l=s.matches,p=j(s,d),f=Array.isArray(l)?l:[l],D=0;D<f.length&&n;D++)if(f[D].hasOwnProperty("hasAccessibleName"))return r;if($i(e,l))for(var m in p)p.hasOwnProperty(m)&&(i[m]=p[m])}for(o in u.default)u.default.hasOwnProperty(o)&&void 0===i[o]&&(i[o]=u.default[o]);return i},Wi=function(e){var t,n=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).chromium,r=e instanceof Cr?e:ma(e);if(e=r.actualNode,r)return t=r.props.nodeName,!(t=Ti[t])&&n?Ui(r).chromiumRole||null:"function"==typeof t?t(r):t||null;throw new ReferenceError("Cannot get implicit role of a node outside the current scope.")},Gi={td:["tr"],th:["tr"],tr:["thead","tbody","tfoot","table"],thead:["table"],tbody:["table"],tfoot:["table"],li:["ol","ul"],dt:["dl","div"],dd:["dl","div"],div:["dl"]};function Yi(e){return Fi().some((function(t){return e.hasAttr(t)}))||ti(e)}var Ki=function(e){var t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).noPresentational,n=function(e,t){var n,r=(a=1<argument\
s.length&&void 0!==t?t:{}).noImplicit,a=j(a,f),o=cD(e).vNode;return 1!==o.props.nodeType?null:!(n=vi(o,a))||["presentation","none"].includes(n)&&Yi(o)?r?null:function(e,t){var n=t.chromium;return t=j(t,p),(n=Wi(e,{chromium:n}))?function e(t,n){var r=Gi[t.props.nodeName];if(r){if(t.parent)return r.includes(t.parent.props.nodeName)?(r=vi(t.parent,n),["none","presentation"].includes(r)&&!Yi(t.parent)?r:r?null:e(t.parent,n)):null;if(t.actualNode)throw new ReferenceError("Cannot determine role presentational inheritance of a required parent outside the current scope.")}return null}(e,t)||n:null}(o,a):n}(e,j(n,D));return t&&["presentation","none"].includes(n)?null:n},Xi=["iframe"],Zi=function(e){var t=cD(e).vNode;return 1!==t.props.nodeType||!e.hasAttr("title")||!Hi(t,Xi)&&["none","presentation"].includes(Ki(t))?"":t.attr("title")},Ji=function(e){var t,n,r=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).strict;return 1===(e=e instanceof Cr?e:ma(e)).props.nodeType&&(t=Ki(e),!(!(n=\
hi.ariaRoles[t])||!n.nameFromContent)||!r&&(!n||["presentation","none"].includes(t)))},Qi=function(e){var t=e.actualNode,n=e.children;if(n)return e.hasAttr("aria-owns")?(e=ui(t,"aria-owns").filter((function(e){return!!e})).map((function(e){return o.utils.getNodeFromTree(e)})),[].concat(L(n),L(e))):L(n);throw new Error("getOwnedVirtual requires a virtual node")},es={accessibleNameFromFieldValue:["progressbar"]};function ts(e){return e=cD(e).vNode,ns(e)}var ns=Yr((function(e,t){return!Wo(e)&&!qu(e,{skipAncestors:!0,isAncestor:t})&&(e.actualNode&&"area"===e.props.nodeName?!Zo(e,ns):!eu(e,{skipAncestors:!0,isAncestor:t})&&(!e.parent||ns(e.parent,!0)))})),rs=function e(t,n,r){var a=cD(t).vNode,o=n?ts:lu,u=!t.actualNode||t.actualNode&&o(t);o=a.children.map((function(t){var a=(o=t.props).nodeType,o=o.nodeValue;if(3===a){if(o&&u)return o}else if(!r)return e(t,n)})).join("");return ki(o)},as=["button","checkbox","color","file","hidden","image","password","radio","reset","submit"],os=function(e)\
{var t=(e=e instanceof Cr?e:ma(e)).props.nodeName;return"textarea"===t||"input"===t&&!as.includes((e.attr("type")||"").toLowerCase())},us=function(e){return"select"===(e=e instanceof Cr?e:ma(e)).props.nodeName},is=function(e){return"textbox"===vi(e)},ss=function(e){return"listbox"===vi(e)},ls=function(e){return"combobox"===vi(e)},cs=["progressbar","scrollbar","slider","spinbutton"],ds=function(e){return e=vi(e),cs.includes(e)},ps=["textbox","progressbar","scrollbar","slider","spinbutton","combobox","listbox"],fs={nativeTextboxValue:function(e){return e=cD(e).vNode,os(e)&&e.props.value||""},nativeSelectValue:function(e){if(e=cD(e).vNode,!us(e))return"";var t=(e=RD(e,"option")).filter((function(e){return e.props.selected}));return t.length||t.push(e[0]),t.map((function(e){return rs(e)})).join(" ")||""},ariaTextboxValue:function(e){var t=(e=cD(e)).vNode;e=e.domNode;return is(t)?e&&eu(e)?e.textContent:rs(t,!0):""},ariaListboxValue:Ds,ariaComboboxValue:function(e,t){e=cD(e).vNode;return ls(\
e)&&(e=Qi(e).filter((function(e){return"listbox"===Ki(e)}))[0])?Ds(e,t):""},ariaRangeValue:function(e){e=cD(e).vNode;return ds(e)&&e.hasAttr("aria-valuenow")?(e=+e.attr("aria-valuenow"),isNaN(e)?"0":String(e)):""}};function Ds(e,t){e=cD(e).vNode;return ss(e)&&0!==(e=Qi(e).filter((function(e){return"option"===Ki(e)&&"true"===e.attr("aria-selected")}))).length?Ns(e[0],t):""}var ms=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=e.actualNode,r=es.accessibleNameFromFieldValue||[],a=Ki(e);return t.startNode===e||!ps.includes(a)||r.includes(a)?"":(r=Object.keys(fs).map((function(e){return fs[e]})).reduce((function(n,r){return n||r(e,t)}),""),t.debug&&Fr(r||"{empty-value}",n,t),r)},hs=yi("phrasing").concat(["#text"]),gs=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=Ns.alreadyProcessed;t.startNode=t.startNode||e;var r=(o=t).strict,a=o.inControlContext,o=o.inLabelledByContext,u=Ki(e),i=Ui(e,{noMatchAccessibleName:!0}).contentTypes;re\
turn n(e,t)||1!==e.props.nodeType||null!=i&&i.includes("embedded")||ps.includes(u)||!(t.subtreeDescendant||t.inLabelledByContext||Ji(e,{strict:r}))?"":(r||(t=z({subtreeDescendant:!a&&!o},t)),Qi(e).reduce((function(e,n){var r=t,a=n.props.nodeName;return(n=Ns(n,r))?(hs.includes(a)||(" "!==n[0]&&(n+=" "),e&&" "!==e[e.length-1]&&(n=" "+n)),e+n):e}),""))},bs=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=Ns.alreadyProcessed;if(t.inControlContext||t.inLabelledByContext||n(e,t))return"";t.startNode||(t.startNode=e);var r,a=z({inControlContext:!0},t);n=function(e){if(!e.attr("id"))return[];if(e.actualNode)return _o({elm:"label",attr:"for",value:e.attr("id"),context:e.actualNode});throw new TypeError("Cannot resolve explicit label reference for non-DOM nodes")}(e);return(t=Ta(e,"label"))?(r=[].concat(L(n),[t.actualNode])).sort(lD):r=n,r.map((function(e){return ii(e,a)})).filter((function(e){return""!==e})).join(" ")},vs={submit:"Submit",image:"Submit",reset:"Reset\
",button:""};function ys(e,t){return t.attr(e)||""}function Fs(e,t,n){t=t.actualNode;var r=[e=e.toLowerCase(),t.nodeName.toLowerCase()].join(",");return(t=t.querySelector(r))&&t.nodeName.toLowerCase()===e?ii(t,n):""}var ws={valueText:function(e){return e.actualNode.value||""},buttonDefaultText:function(e){return e=e.actualNode,vs[e.type]||""},tableCaptionText:Fs.bind(null,"caption"),figureText:Fs.bind(null,"figcaption"),svgTitleText:Fs.bind(null,"title"),fieldsetLegendText:Fs.bind(null,"legend"),altText:ys.bind(null,"alt"),tableSummaryText:ys.bind(null,"summary"),titleText:Zi,subtreeText:gs,labelText:bs,singleSpace:function(){return" "},placeholderText:ys.bind(null,"placeholder")};function Es(e){var t,n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=e.actualNode;return 1!==e.props.nodeType||["presentation","none"].includes(Ki(e))?"":(t=(Ui(e,{noMatchAccessibleName:!0}).namingMethods||[]).map((function(e){return ws[e]})).reduce((function(t,r){return t||r(e,n)}),""),n.debug&\
&o.log(t||"{empty-value}",r,n),t)}function Cs(){return/[#*0-9]\\uFE0F?\\u20E3|[\\xA9\\xAE\\u203C\\u2049\\u2122\\u2139\\u2194-\\u2199\\u21A9\\u21AA\\u231A\\u231B\\u2328\\u23CF\\u23ED-\\u23EF\\u23F1\\u23F2\\u23F8-\\u23FA\\u24C2\\u25AA\\u25AB\\u25B6\\u25C0\\u25FB\\u25FC\\u25FE\\u2600-\\u2604\\u260E\\u2611\\u2614\\u2615\\u2618\\u2620\\u2622\\u2623\\u2626\\u262A\\u262E\\u262F\\u2638-\\u263A\\u2640\\u2642\\u2648-\\u2653\\u265F\\u2660\\u2663\\u2665\\u2666\\u2668\\u267B\\u267E\\u267F\\u2692\\u2694-\\u2697\\u2699\\u269B\\u269C\\u26A0\\u26A7\\u26AA\\u26B0\\u26B1\\u26BD\\u26BE\\u26C4\\u26C8\\u26CF\\u26D1\\u26E9\\u26F0-\\u26F5\\u26F7\\u26F8\\u26FA\\u2702\\u2708\\u2709\\u270F\\u2712\\u2714\\u2716\\u271D\\u2721\\u2733\\u2734\\u2744\\u2747\\u2757\\u2763\\u27A1\\u2934\\u2935\\u2B05-\\u2B07\\u2B1B\\u2B1C\\u2B55\\u3030\\u303D\\u3297\\u3299]\\uFE0F?|[\\u261D\\u270C\\u270D](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\u270A\\u270B](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\u23E9-\\u23EC\\u23F0\\u23F3\\u25FD\\u2693\\u26A1\\u26AB\\u26C5\\u26CE\\u26D4\\u26EA\\u26FD\\u2705\\u2728\\u274C\\u274E\\u2753-\\u2755\\u2795-\\u2797\\u27B0\\u27BF\\u2B50]|\\u26D3\\uFE0F?(?:\\u200D\
\\uD83D\\uDCA5)?|\\u26F9(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\u2764\\uFE0F?(?:\\u200D(?:\\uD83D\\uDD25|\\uD83E\\uDE79))?|\\uD83C(?:[\\uDC04\\uDD70\\uDD71\\uDD7E\\uDD7F\\uDE02\\uDE37\\uDF21\\uDF24-\\uDF2C\\uDF36\\uDF7D\\uDF96\\uDF97\\uDF99-\\uDF9B\\uDF9E\\uDF9F\\uDFCD\\uDFCE\\uDFD4-\\uDFDF\\uDFF5\\uDFF7]\\uFE0F?|[\\uDF85\\uDFC2\\uDFC7](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDFC4\\uDFCA](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDFCB\\uDFCC](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDCCF\\uDD8E\\uDD91-\\uDD9A\\uDE01\\uDE1A\\uDE2F\\uDE32-\\uDE36\\uDE38-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF20\\uDF2D-\\uDF35\\uDF37-\\uDF43\\uDF45-\\uDF4A\\uDF4C-\\uDF7C\\uDF7E-\\uDF84\\uDF86-\\uDF93\\uDFA0-\\uDFC1\\uDFC5\\uDFC6\\uDFC8\\uDFC9\\uDFCF-\\uDFD3\\uDFE0-\\uDFF0\\uDFF8-\\uDFFF]|\\uDDE6\\uD83C[\\uDDE8-\\uDDEC\\uDDEE\\uDDF1\\uDDF2\\uDDF4\\uDDF6-\\uDDFA\\uDDFC\\uDDFD\\uDDFF]|\\uDDE7\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEF\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9\\uDDFB\\uDDFC\\uDDFE\\uDDFF]|\\uDDE8\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDEE\\uDDF0-\\uDDF5\\uDDF7\\uDDFA\
-\\uDDFF]|\\uDDE9\\uD83C[\\uDDEA\\uDDEC\\uDDEF\\uDDF0\\uDDF2\\uDDF4\\uDDFF]|\\uDDEA\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDED\\uDDF7-\\uDDFA]|\\uDDEB\\uD83C[\\uDDEE-\\uDDF0\\uDDF2\\uDDF4\\uDDF7]|\\uDDEC\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEE\\uDDF1-\\uDDF3\\uDDF5-\\uDDFA\\uDDFC\\uDDFE]|\\uDDED\\uD83C[\\uDDF0\\uDDF2\\uDDF3\\uDDF7\\uDDF9\\uDDFA]|\\uDDEE\\uD83C[\\uDDE8-\\uDDEA\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9]|\\uDDEF\\uD83C[\\uDDEA\\uDDF2\\uDDF4\\uDDF5]|\\uDDF0\\uD83C[\\uDDEA\\uDDEC-\\uDDEE\\uDDF2\\uDDF3\\uDDF5\\uDDF7\\uDDFC\\uDDFE\\uDDFF]|\\uDDF1\\uD83C[\\uDDE6-\\uDDE8\\uDDEE\\uDDF0\\uDDF7-\\uDDFB\\uDDFE]|\\uDDF2\\uD83C[\\uDDE6\\uDDE8-\\uDDED\\uDDF0-\\uDDFF]|\\uDDF3\\uD83C[\\uDDE6\\uDDE8\\uDDEA-\\uDDEC\\uDDEE\\uDDF1\\uDDF4\\uDDF5\\uDDF7\\uDDFA\\uDDFF]|\\uDDF4\\uD83C\\uDDF2|\\uDDF5\\uD83C[\\uDDE6\\uDDEA-\\uDDED\\uDDF0-\\uDDF3\\uDDF7-\\uDDF9\\uDDFC\\uDDFE]|\\uDDF6\\uD83C\\uDDE6|\\uDDF7\\uD83C[\\uDDEA\\uDDF4\\uDDF8\\uDDFA\\uDDFC]|\\uDDF8\\uD83C[\\uDDE6-\\uDDEA\\uDDEC-\\uDDF4\\uDDF7-\\uDDF9\\uDDFB\\uDDFD-\\uDDFF]|\\uDDF9\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDED\\uDDEF-\\uDDF4\\uDDF7\\uDDF9\\uDDFB\\uDDFC\\uDDFF]|\\uDDFA\\uD83C[\\uDDE6\\uDDEC\\u\
DDF2\\uDDF3\\uDDF8\\uDDFE\\uDDFF]|\\uDDFB\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDEE\\uDDF3\\uDDFA]|\\uDDFC\\uD83C[\\uDDEB\\uDDF8]|\\uDDFD\\uD83C\\uDDF0|\\uDDFE\\uD83C[\\uDDEA\\uDDF9]|\\uDDFF\\uD83C[\\uDDE6\\uDDF2\\uDDFC]|\\uDF44(?:\\u200D\\uD83D\\uDFEB)?|\\uDF4B(?:\\u200D\\uD83D\\uDFE9)?|\\uDFC3(?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D(?:[\\u2640\\u2642]\\uFE0F?(?:\\u200D\\u27A1\\uFE0F?)?|\\u27A1\\uFE0F?))?|\\uDFF3\\uFE0F?(?:\\u200D(?:\\u26A7\\uFE0F?|\\uD83C\\uDF08))?|\\uDFF4(?:\\u200D\\u2620\\uFE0F?|\\uDB40\\uDC67\\uDB40\\uDC62\\uDB40(?:\\uDC65\\uDB40\\uDC6E\\uDB40\\uDC67|\\uDC73\\uDB40\\uDC63\\uDB40\\uDC74|\\uDC77\\uDB40\\uDC6C\\uDB40\\uDC73)\\uDB40\\uDC7F)?)|\\uD83D(?:[\\uDC3F\\uDCFD\\uDD49\\uDD4A\\uDD6F\\uDD70\\uDD73\\uDD76-\\uDD79\\uDD87\\uDD8A-\\uDD8D\\uDDA5\\uDDA8\\uDDB1\\uDDB2\\uDDBC\\uDDC2-\\uDDC4\\uDDD1-\\uDDD3\\uDDDC-\\uDDDE\\uDDE1\\uDDE3\\uDDE8\\uDDEF\\uDDF3\\uDDFA\\uDECB\\uDECD-\\uDECF\\uDEE0-\\uDEE5\\uDEE9\\uDEF0\\uDEF3]\\uFE0F?|[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66\\uDC67\\uDC6B-\\uDC6D\\uDC72\\uDC74-\\uDC76\\uDC78\\uDC7C\\uDC83\\uDC85\\uDC8F\\uDC91\\uDCAA\\uDD7A\\uDD95\\uDD96\\uDE4C\\uDE4F\\uDEC0\\uDECC](?:\\uD83C[\\\
uDFFB-\\uDFFF])?|[\\uDC6E\\uDC70\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\\uDE4D\\uDE4E\\uDEA3\\uDEB4\\uDEB5](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD74\\uDD90](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC00-\\uDC07\\uDC09-\\uDC14\\uDC16-\\uDC25\\uDC27-\\uDC3A\\uDC3C-\\uDC3E\\uDC40\\uDC44\\uDC45\\uDC51-\\uDC65\\uDC6A\\uDC79-\\uDC7B\\uDC7D-\\uDC80\\uDC84\\uDC88-\\uDC8E\\uDC90\\uDC92-\\uDCA9\\uDCAB-\\uDCFC\\uDCFF-\\uDD3D\\uDD4B-\\uDD4E\\uDD50-\\uDD67\\uDDA4\\uDDFB-\\uDE2D\\uDE2F-\\uDE34\\uDE37-\\uDE41\\uDE43\\uDE44\\uDE48-\\uDE4A\\uDE80-\\uDEA2\\uDEA4-\\uDEB3\\uDEB7-\\uDEBF\\uDEC1-\\uDEC5\\uDED0-\\uDED2\\uDED5-\\uDED7\\uDEDC-\\uDEDF\\uDEEB\\uDEEC\\uDEF4-\\uDEFC\\uDFE0-\\uDFEB\\uDFF0]|\\uDC08(?:\\u200D\\u2B1B)?|\\uDC15(?:\\u200D\\uD83E\\uDDBA)?|\\uDC26(?:\\u200D(?:\\u2B1B|\\uD83D\\uDD25))?|\\uDC3B(?:\\u200D\\u2744\\uFE0F?)?|\\uDC41\\uFE0F?(?:\\u200D\\uD83D\\uDDE8\\uFE0F?)?|\\uDC68(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDC68\\u\
DC69]\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2\
696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83\
C[\\uDFFB-\\uDFFE])))?))?|\\uDC69(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?[\\uDC68\\uDC69]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?|\\uDC69\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?))|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD8\
3C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uD\
FFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC6F(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDD75(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDE2E(?:\\u200D\\uD83D\\uDCA8)?|\\uDE35(?:\\u200D\\uD83D\\uDCAB)?|\\uDE36(?:\\u200D\\uD83C\\uDF2B\\uFE0F?)?|\\uDE42(?:\\u200D[\\u2194\\u2195]\\uFE0F?)?|\\uDEB6(?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D(?:[\\u2640\\u2642]\\uFE0F?(?:\\u200D\\u27A1\\uFE0F?)?|\\u27A1\\uFE0F?))?)|\\uD83E(?:[\\uDD0C\\uDD0F\\uDD18-\\uDD1F\\uDD30-\\uDD34\\uDD36\\uDD77\\uDDB5\\uDDB6\\uDDBB\\uDDD2\\uDDD3\\uDDD5\\uDEC3-\\uDEC5\\uDEF0\\uDEF2-\\uDEF8](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDD26\\uDD35\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD\\uDDCF\\uDDD4\\uDDD6-\\uDDDD](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u20\
0D[\\u2640\\u2642]\\uFE0F?)?|[\\uDDDE\\uDDDF](?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD0D\\uDD0E\\uDD10-\\uDD17\\uDD20-\\uDD25\\uDD27-\\uDD2F\\uDD3A\\uDD3F-\\uDD45\\uDD47-\\uDD76\\uDD78-\\uDDB4\\uDDB7\\uDDBA\\uDDBC-\\uDDCC\\uDDD0\\uDDE0-\\uDDFF\\uDE70-\\uDE7C\\uDE80-\\uDE88\\uDE90-\\uDEBD\\uDEBF-\\uDEC2\\uDECE-\\uDEDB\\uDEE0-\\uDEE8]|\\uDD3C(?:\\u200D[\\u2640\\u2642]\\uFE0F?|\\uD83C[\\uDFFB-\\uDFFF])?|\\uDDCE(?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D(?:[\\u2640\\u2642]\\uFE0F?(?:\\u200D\\u27A1\\uFE0F?)?|\\u27A1\\uFE0F?))?|\\uDDD1(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1|\\uDDD1\\u200D\\uD83E\\uDDD2(?:\\u200D\\uD83E\\uDDD2)?|\\uDDD2(?:\\u200D\\uD83E\\uDDD2)?))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFC-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\u\
DCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFD-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFD\\uDFFF]|\\uD83\
C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFE]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?))?|\\uDEF1(?:\\uD83C(?:\\uDFFB(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFC-\\uDFFF])?|\\uDFFC(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])?|\\uDFFD(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])?|\\uDFFE(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])?|\\uDFFF(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFE])?))?)/g}var xs=function(e,t){var n=t.emoji,r=t.nonBmp,a=(t=t.punctuations,!1);return n&&(a=a||/[#*0-9]\\uFE0F?\\u20E3|[\\xA9\\xAE\\u203\
C\\u2049\\u2122\\u2139\\u2194-\\u2199\\u21A9\\u21AA\\u231A\\u231B\\u2328\\u23CF\\u23ED-\\u23EF\\u23F1\\u23F2\\u23F8-\\u23FA\\u24C2\\u25AA\\u25AB\\u25B6\\u25C0\\u25FB\\u25FC\\u25FE\\u2600-\\u2604\\u260E\\u2611\\u2614\\u2615\\u2618\\u2620\\u2622\\u2623\\u2626\\u262A\\u262E\\u262F\\u2638-\\u263A\\u2640\\u2642\\u2648-\\u2653\\u265F\\u2660\\u2663\\u2665\\u2666\\u2668\\u267B\\u267E\\u267F\\u2692\\u2694-\\u2697\\u2699\\u269B\\u269C\\u26A0\\u26A7\\u26AA\\u26B0\\u26B1\\u26BD\\u26BE\\u26C4\\u26C8\\u26CF\\u26D1\\u26E9\\u26F0-\\u26F5\\u26F7\\u26F8\\u26FA\\u2702\\u2708\\u2709\\u270F\\u2712\\u2714\\u2716\\u271D\\u2721\\u2733\\u2734\\u2744\\u2747\\u2757\\u2763\\u27A1\\u2934\\u2935\\u2B05-\\u2B07\\u2B1B\\u2B1C\\u2B55\\u3030\\u303D\\u3297\\u3299]\\uFE0F?|[\\u261D\\u270C\\u270D](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\u270A\\u270B](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\u23E9-\\u23EC\\u23F0\\u23F3\\u25FD\\u2693\\u26A1\\u26AB\\u26C5\\u26CE\\u26D4\\u26EA\\u26FD\\u2705\\u2728\\u274C\\u274E\\u2753-\\u2755\\u2795-\\u2797\\u27B0\\u27BF\\u2B50]|\\u26D3\\uFE0F?(?:\\u200D\\uD83D\\uDCA5)?|\\u26F9(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\u2\
764\\uFE0F?(?:\\u200D(?:\\uD83D\\uDD25|\\uD83E\\uDE79))?|\\uD83C(?:[\\uDC04\\uDD70\\uDD71\\uDD7E\\uDD7F\\uDE02\\uDE37\\uDF21\\uDF24-\\uDF2C\\uDF36\\uDF7D\\uDF96\\uDF97\\uDF99-\\uDF9B\\uDF9E\\uDF9F\\uDFCD\\uDFCE\\uDFD4-\\uDFDF\\uDFF5\\uDFF7]\\uFE0F?|[\\uDF85\\uDFC2\\uDFC7](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDFC4\\uDFCA](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDFCB\\uDFCC](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDCCF\\uDD8E\\uDD91-\\uDD9A\\uDE01\\uDE1A\\uDE2F\\uDE32-\\uDE36\\uDE38-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF20\\uDF2D-\\uDF35\\uDF37-\\uDF43\\uDF45-\\uDF4A\\uDF4C-\\uDF7C\\uDF7E-\\uDF84\\uDF86-\\uDF93\\uDFA0-\\uDFC1\\uDFC5\\uDFC6\\uDFC8\\uDFC9\\uDFCF-\\uDFD3\\uDFE0-\\uDFF0\\uDFF8-\\uDFFF]|\\uDDE6\\uD83C[\\uDDE8-\\uDDEC\\uDDEE\\uDDF1\\uDDF2\\uDDF4\\uDDF6-\\uDDFA\\uDDFC\\uDDFD\\uDDFF]|\\uDDE7\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEF\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9\\uDDFB\\uDDFC\\uDDFE\\uDDFF]|\\uDDE8\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDEE\\uDDF0-\\uDDF5\\uDDF7\\uDDFA-\\uDDFF]|\\uDDE9\\uD83C[\\uDDEA\\uDDEC\\uDDEF\\uDDF0\\uDDF2\\uDDF4\\uDDFF]|\\uDDEA\\uD83C[\\uDDE6\\uDDE\
8\\uDDEA\\uDDEC\\uDDED\\uDDF7-\\uDDFA]|\\uDDEB\\uD83C[\\uDDEE-\\uDDF0\\uDDF2\\uDDF4\\uDDF7]|\\uDDEC\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEE\\uDDF1-\\uDDF3\\uDDF5-\\uDDFA\\uDDFC\\uDDFE]|\\uDDED\\uD83C[\\uDDF0\\uDDF2\\uDDF3\\uDDF7\\uDDF9\\uDDFA]|\\uDDEE\\uD83C[\\uDDE8-\\uDDEA\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9]|\\uDDEF\\uD83C[\\uDDEA\\uDDF2\\uDDF4\\uDDF5]|\\uDDF0\\uD83C[\\uDDEA\\uDDEC-\\uDDEE\\uDDF2\\uDDF3\\uDDF5\\uDDF7\\uDDFC\\uDDFE\\uDDFF]|\\uDDF1\\uD83C[\\uDDE6-\\uDDE8\\uDDEE\\uDDF0\\uDDF7-\\uDDFB\\uDDFE]|\\uDDF2\\uD83C[\\uDDE6\\uDDE8-\\uDDED\\uDDF0-\\uDDFF]|\\uDDF3\\uD83C[\\uDDE6\\uDDE8\\uDDEA-\\uDDEC\\uDDEE\\uDDF1\\uDDF4\\uDDF5\\uDDF7\\uDDFA\\uDDFF]|\\uDDF4\\uD83C\\uDDF2|\\uDDF5\\uD83C[\\uDDE6\\uDDEA-\\uDDED\\uDDF0-\\uDDF3\\uDDF7-\\uDDF9\\uDDFC\\uDDFE]|\\uDDF6\\uD83C\\uDDE6|\\uDDF7\\uD83C[\\uDDEA\\uDDF4\\uDDF8\\uDDFA\\uDDFC]|\\uDDF8\\uD83C[\\uDDE6-\\uDDEA\\uDDEC-\\uDDF4\\uDDF7-\\uDDF9\\uDDFB\\uDDFD-\\uDDFF]|\\uDDF9\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDED\\uDDEF-\\uDDF4\\uDDF7\\uDDF9\\uDDFB\\uDDFC\\uDDFF]|\\uDDFA\\uD83C[\\uDDE6\\uDDEC\\uDDF2\\uDDF3\\uDDF8\\uDDFE\\uDDFF]|\\uDDFB\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDEE\\uDDF3\\uDDFA]|\\uD\
DFC\\uD83C[\\uDDEB\\uDDF8]|\\uDDFD\\uD83C\\uDDF0|\\uDDFE\\uD83C[\\uDDEA\\uDDF9]|\\uDDFF\\uD83C[\\uDDE6\\uDDF2\\uDDFC]|\\uDF44(?:\\u200D\\uD83D\\uDFEB)?|\\uDF4B(?:\\u200D\\uD83D\\uDFE9)?|\\uDFC3(?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D(?:[\\u2640\\u2642]\\uFE0F?(?:\\u200D\\u27A1\\uFE0F?)?|\\u27A1\\uFE0F?))?|\\uDFF3\\uFE0F?(?:\\u200D(?:\\u26A7\\uFE0F?|\\uD83C\\uDF08))?|\\uDFF4(?:\\u200D\\u2620\\uFE0F?|\\uDB40\\uDC67\\uDB40\\uDC62\\uDB40(?:\\uDC65\\uDB40\\uDC6E\\uDB40\\uDC67|\\uDC73\\uDB40\\uDC63\\uDB40\\uDC74|\\uDC77\\uDB40\\uDC6C\\uDB40\\uDC73)\\uDB40\\uDC7F)?)|\\uD83D(?:[\\uDC3F\\uDCFD\\uDD49\\uDD4A\\uDD6F\\uDD70\\uDD73\\uDD76-\\uDD79\\uDD87\\uDD8A-\\uDD8D\\uDDA5\\uDDA8\\uDDB1\\uDDB2\\uDDBC\\uDDC2-\\uDDC4\\uDDD1-\\uDDD3\\uDDDC-\\uDDDE\\uDDE1\\uDDE3\\uDDE8\\uDDEF\\uDDF3\\uDDFA\\uDECB\\uDECD-\\uDECF\\uDEE0-\\uDEE5\\uDEE9\\uDEF0\\uDEF3]\\uFE0F?|[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66\\uDC67\\uDC6B-\\uDC6D\\uDC72\\uDC74-\\uDC76\\uDC78\\uDC7C\\uDC83\\uDC85\\uDC8F\\uDC91\\uDCAA\\uDD7A\\uDD95\\uDD96\\uDE4C\\uDE4F\\uDEC0\\uDECC](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC6E\\uDC70\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\
\\uDE4D\\uDE4E\\uDEA3\\uDEB4\\uDEB5](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD74\\uDD90](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC00-\\uDC07\\uDC09-\\uDC14\\uDC16-\\uDC25\\uDC27-\\uDC3A\\uDC3C-\\uDC3E\\uDC40\\uDC44\\uDC45\\uDC51-\\uDC65\\uDC6A\\uDC79-\\uDC7B\\uDC7D-\\uDC80\\uDC84\\uDC88-\\uDC8E\\uDC90\\uDC92-\\uDCA9\\uDCAB-\\uDCFC\\uDCFF-\\uDD3D\\uDD4B-\\uDD4E\\uDD50-\\uDD67\\uDDA4\\uDDFB-\\uDE2D\\uDE2F-\\uDE34\\uDE37-\\uDE41\\uDE43\\uDE44\\uDE48-\\uDE4A\\uDE80-\\uDEA2\\uDEA4-\\uDEB3\\uDEB7-\\uDEBF\\uDEC1-\\uDEC5\\uDED0-\\uDED2\\uDED5-\\uDED7\\uDEDC-\\uDEDF\\uDEEB\\uDEEC\\uDEF4-\\uDEFC\\uDFE0-\\uDFEB\\uDFF0]|\\uDC08(?:\\u200D\\u2B1B)?|\\uDC15(?:\\u200D\\uD83E\\uDDBA)?|\\uDC26(?:\\u200D(?:\\u2B1B|\\uD83D\\uDD25))?|\\uDC3B(?:\\u200D\\u2744\\uFE0F?)?|\\uDC41\\uFE0F?(?:\\u200D\\uD83D\\uDDE8\\uFE0F?)?|\\uDC68(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDC68\\uDC69]\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|[\
\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDF\
FF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC69(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\\
uD83D(?:\\uDC8B\\u200D\\uD83D)?[\\uDC68\\uDC69]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?|\\uDC69\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?))|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\
\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC\
8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC6F(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDD75(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDE2E(?:\\u200D\\uD83D\\uDCA8)?|\\uDE35(?:\\u200D\\uD83D\\uDCAB)?|\\uDE36(?:\\u200D\\uD83C\\uDF2B\\uFE0F?)?|\\uDE42(?:\\u200D[\\u2194\\u2195]\\uFE0F?)?|\\uDEB6(?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D(?:[\\u2640\\u2642]\\uFE0F?(?:\\u200D\\u27A1\\uFE0F?)?|\\u27A1\\uFE0F?))?)|\\uD83E(?:[\\uDD0C\\uDD0F\\uDD18-\\uDD1F\\uDD30-\\uDD34\\uDD36\\uDD77\\uDDB5\\uDDB6\\uDDBB\\uDDD2\\uDDD3\\uDDD5\\uDEC3-\\uDEC5\\uDEF0\\uDEF2-\\uDEF8](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDD26\\uDD35\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD\\uDDCF\\uDDD4\\uDDD6-\\uDDDD](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDDDE\\uDDDF](?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD0D\\uDD0E\\uDD\
10-\\uDD17\\uDD20-\\uDD25\\uDD27-\\uDD2F\\uDD3A\\uDD3F-\\uDD45\\uDD47-\\uDD76\\uDD78-\\uDDB4\\uDDB7\\uDDBA\\uDDBC-\\uDDCC\\uDDD0\\uDDE0-\\uDDFF\\uDE70-\\uDE7C\\uDE80-\\uDE88\\uDE90-\\uDEBD\\uDEBF-\\uDEC2\\uDECE-\\uDEDB\\uDEE0-\\uDEE8]|\\uDD3C(?:\\u200D[\\u2640\\u2642]\\uFE0F?|\\uD83C[\\uDFFB-\\uDFFF])?|\\uDDCE(?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D(?:[\\u2640\\u2642]\\uFE0F?(?:\\u200D\\u27A1\\uFE0F?)?|\\u27A1\\uFE0F?))?|\\uDDD1(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1|\\uDDD1\\u200D\\uD83E\\uDDD2(?:\\u200D\\uD83E\\uDDD2)?|\\uDDD2(?:\\u200D\\uD83E\\uDDD2)?))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFC-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB\
0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFD-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFD\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\\
uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFE]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?))?|\\uDEF1(?:\\uD83C(?:\\uDFFB(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFC-\\uDFFF])?|\\uDFFC(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])?|\\uDFFD(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])?|\\uDFFE(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])?|\\uDFFF(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFE])?))?)/g.test(e)),r&&(a=a||/[\\u1D00-\\u1D7F\\u1D80-\\u1DBF\\u1DC0-\\u1DFF\\u20A0-\\u20CF\\u20D0-\\u20FF\\u2100-\\u214F\\u2150-\\u218F\\u2190-\\u21FF\\u2200-\\u22FF\\u2300-\\u23FF\\u2400-\\u243F\\u2440-\\u245F\\u2460-\\u24FF\\u2500-\\u257F\\u2580-\\u2\
59F\\u25A0-\\u25FF\\u2600-\\u26FF\\u2700-\\u27BF\\uE000-\\uF8FF]/g.test(e)||/[\\uDB80-\\uDBBF][\\uDC00-\\uDFFF]/g.test(e)||/[\\xAD\\u0600-\\u0605\\u061C\\u06DD\\u070F\\u08E2\\u180E\\u200B-\\u200F\\u202A-\\u202E\\u2060-\\u2064\\u2066-\\u206F\\uFEFF\\uFFF9-\\uFFFB]|\\uD804[\\uDCBD\\uDCCD]|\\uD80D[\\uDC30-\\uDC38]|\\uD82F[\\uDCA0-\\uDCA3]|\\uD834[\\uDD73-\\uDD7A]|\\uDB40[\\uDC01\\uDC20-\\uDC7F]/g.test(e)),t?a||/[\\u2000-\\u206F\\u2E00-\\u2E7F\\\\'!"#$%&\\xa3\\xa2\\xa5\\xa7\\u20ac()*+,\\-.\\/:;<=>?@\\[\\]^_\`{|}~\\xb1]/g.test(e):a};function As(e){var n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:.15,a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:3,o=e.actualNode.nodeValue.trim();if(!ki(o)||xs(o,{emoji:!0,nonBmp:!0}))return!1;var u,i=Da.get("canvasContext",(function(){return r.createElement("canvas").getContext("2d",{willReadFrequently:!0})})),s=i.canvas;if((u=((u=Da.get("fonts",(function(){return{}})))[D=t.getComputedStyle(e.parent.actualNode).getPropertyValue("font-family")]||(u[D]={occurrences:0,numLigatures:0}),u[D])).occurrence\
s>=a){if(u.numLigatures/u.occurrences==1)return!0;if(0===u.numLigatures)return!1}u.occurrences++;var l="".concat(a=30,"px ").concat(D),c=(i.font=l,o.charAt(0)),d=i.measureText(c).width;if(0===d)return u.numLigatures++,!0;d<30&&(d*=p=30/d,l="".concat(a*=p,"px ").concat(D)),s.width=d,s.height=a,i.font=l,i.textAlign="left",i.textBaseline="top",i.fillText(c,0,0);var p=new Uint32Array(i.getImageData(0,0,d,a).data.buffer);if(!p.some((function(e){return e})))return u.numLigatures++,!0;i.clearRect(0,0,d,a),i.fillText(o,0,0);var f=new Uint32Array(i.getImageData(0,0,d,a).data.buffer),D=p.reduce((function(e,t,n){return 0===t&&0===f[n]||0!==t&&0!==f[n]?e:++e}),0);s=o.split("").reduce((function(e,t){return e+i.measureText(t).width}),0),l=i.measureText(o).width;return n<=D/p.length&&n<=1-l/s&&(u.numLigatures++,!0)}function Ns(e){var t,n,r,a,u,i=function(e,t){return t.startNode||(t=z({startNode:e},t)),1===e.props.nodeType&&t.inLabelledByContext&&void 0===t.includeHidden&&(t=z({includeHidden:!ts(e)},t\
)),t}(e,1<arguments.length&&void 0!==arguments[1]?arguments[1]:{});return function(e,t){if(e&&1===e.props.nodeType&&!t.includeHidden)return!ts(e)}(e,i)||(t=e,n=(u=i).ignoreIconLigature,r=u.pixelThreshold,a=null!=(a=u.occurrenceThreshold)?a:u.occuranceThreshold,3===t.props.nodeType&&n&&As(t,r,a))?"":(u=[si,li,Es,ms,gs,ks,Zi].reduce((function(t,n){return""!==(t=i.startNode===e?ki(t):t)?t:n(e,i)}),""),i.debug&&o.log(u||"{empty-value}",e.actualNode,i),u)}function ks(e){return 3!==e.props.nodeType?"":e.props.nodeValue}Ns.alreadyProcessed=function(e,t){return t.processed=t.processed||[],!!t.processed.includes(e)||(t.processed.push(e),!1)};var Bs=function(e,t){var n=t.emoji,r=t.nonBmp;t=t.punctuations;return n&&(e=e.replace(/[#*0-9]\\uFE0F?\\u20E3|[\\xA9\\xAE\\u203C\\u2049\\u2122\\u2139\\u2194-\\u2199\\u21A9\\u21AA\\u231A\\u231B\\u2328\\u23CF\\u23ED-\\u23EF\\u23F1\\u23F2\\u23F8-\\u23FA\\u24C2\\u25AA\\u25AB\\u25B6\\u25C0\\u25FB\\u25FC\\u25FE\\u2600-\\u2604\\u260E\\u2611\\u2614\\u2615\\u2618\\u2620\\u2622\\u2623\\u2626\\u262A\\u262E\\u26\
2F\\u2638-\\u263A\\u2640\\u2642\\u2648-\\u2653\\u265F\\u2660\\u2663\\u2665\\u2666\\u2668\\u267B\\u267E\\u267F\\u2692\\u2694-\\u2697\\u2699\\u269B\\u269C\\u26A0\\u26A7\\u26AA\\u26B0\\u26B1\\u26BD\\u26BE\\u26C4\\u26C8\\u26CF\\u26D1\\u26E9\\u26F0-\\u26F5\\u26F7\\u26F8\\u26FA\\u2702\\u2708\\u2709\\u270F\\u2712\\u2714\\u2716\\u271D\\u2721\\u2733\\u2734\\u2744\\u2747\\u2757\\u2763\\u27A1\\u2934\\u2935\\u2B05-\\u2B07\\u2B1B\\u2B1C\\u2B55\\u3030\\u303D\\u3297\\u3299]\\uFE0F?|[\\u261D\\u270C\\u270D](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\u270A\\u270B](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\u23E9-\\u23EC\\u23F0\\u23F3\\u25FD\\u2693\\u26A1\\u26AB\\u26C5\\u26CE\\u26D4\\u26EA\\u26FD\\u2705\\u2728\\u274C\\u274E\\u2753-\\u2755\\u2795-\\u2797\\u27B0\\u27BF\\u2B50]|\\u26D3\\uFE0F?(?:\\u200D\\uD83D\\uDCA5)?|\\u26F9(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\u2764\\uFE0F?(?:\\u200D(?:\\uD83D\\uDD25|\\uD83E\\uDE79))?|\\uD83C(?:[\\uDC04\\uDD70\\uDD71\\uDD7E\\uDD7F\\uDE02\\uDE37\\uDF21\\uDF24-\\uDF2C\\uDF36\\uDF7D\\uDF96\\uDF97\\uDF99-\\uDF9B\\uDF9E\\uDF9F\\uDFCD\\uDFCE\\uDFD4-\\uDFDF\\uDFF5\\uDFF7]\\uFE0F?|[\\uDF85\\uDFC2\\uDFC7]\
(?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDFC4\\uDFCA](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDFCB\\uDFCC](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDCCF\\uDD8E\\uDD91-\\uDD9A\\uDE01\\uDE1A\\uDE2F\\uDE32-\\uDE36\\uDE38-\\uDE3A\\uDE50\\uDE51\\uDF00-\\uDF20\\uDF2D-\\uDF35\\uDF37-\\uDF43\\uDF45-\\uDF4A\\uDF4C-\\uDF7C\\uDF7E-\\uDF84\\uDF86-\\uDF93\\uDFA0-\\uDFC1\\uDFC5\\uDFC6\\uDFC8\\uDFC9\\uDFCF-\\uDFD3\\uDFE0-\\uDFF0\\uDFF8-\\uDFFF]|\\uDDE6\\uD83C[\\uDDE8-\\uDDEC\\uDDEE\\uDDF1\\uDDF2\\uDDF4\\uDDF6-\\uDDFA\\uDDFC\\uDDFD\\uDDFF]|\\uDDE7\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEF\\uDDF1-\\uDDF4\\uDDF6-\\uDDF9\\uDDFB\\uDDFC\\uDDFE\\uDDFF]|\\uDDE8\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDEE\\uDDF0-\\uDDF5\\uDDF7\\uDDFA-\\uDDFF]|\\uDDE9\\uD83C[\\uDDEA\\uDDEC\\uDDEF\\uDDF0\\uDDF2\\uDDF4\\uDDFF]|\\uDDEA\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDED\\uDDF7-\\uDDFA]|\\uDDEB\\uD83C[\\uDDEE-\\uDDF0\\uDDF2\\uDDF4\\uDDF7]|\\uDDEC\\uD83C[\\uDDE6\\uDDE7\\uDDE9-\\uDDEE\\uDDF1-\\uDDF3\\uDDF5-\\uDDFA\\uDDFC\\uDDFE]|\\uDDED\\uD83C[\\uDDF0\\uDDF2\\uDDF3\\uDDF7\\uDDF9\\uDDFA]|\\uDDEE\\uD83C[\\uDDE8-\\uDDEA\\u\
DDF1-\\uDDF4\\uDDF6-\\uDDF9]|\\uDDEF\\uD83C[\\uDDEA\\uDDF2\\uDDF4\\uDDF5]|\\uDDF0\\uD83C[\\uDDEA\\uDDEC-\\uDDEE\\uDDF2\\uDDF3\\uDDF5\\uDDF7\\uDDFC\\uDDFE\\uDDFF]|\\uDDF1\\uD83C[\\uDDE6-\\uDDE8\\uDDEE\\uDDF0\\uDDF7-\\uDDFB\\uDDFE]|\\uDDF2\\uD83C[\\uDDE6\\uDDE8-\\uDDED\\uDDF0-\\uDDFF]|\\uDDF3\\uD83C[\\uDDE6\\uDDE8\\uDDEA-\\uDDEC\\uDDEE\\uDDF1\\uDDF4\\uDDF5\\uDDF7\\uDDFA\\uDDFF]|\\uDDF4\\uD83C\\uDDF2|\\uDDF5\\uD83C[\\uDDE6\\uDDEA-\\uDDED\\uDDF0-\\uDDF3\\uDDF7-\\uDDF9\\uDDFC\\uDDFE]|\\uDDF6\\uD83C\\uDDE6|\\uDDF7\\uD83C[\\uDDEA\\uDDF4\\uDDF8\\uDDFA\\uDDFC]|\\uDDF8\\uD83C[\\uDDE6-\\uDDEA\\uDDEC-\\uDDF4\\uDDF7-\\uDDF9\\uDDFB\\uDDFD-\\uDDFF]|\\uDDF9\\uD83C[\\uDDE6\\uDDE8\\uDDE9\\uDDEB-\\uDDED\\uDDEF-\\uDDF4\\uDDF7\\uDDF9\\uDDFB\\uDDFC\\uDDFF]|\\uDDFA\\uD83C[\\uDDE6\\uDDEC\\uDDF2\\uDDF3\\uDDF8\\uDDFE\\uDDFF]|\\uDDFB\\uD83C[\\uDDE6\\uDDE8\\uDDEA\\uDDEC\\uDDEE\\uDDF3\\uDDFA]|\\uDDFC\\uD83C[\\uDDEB\\uDDF8]|\\uDDFD\\uD83C\\uDDF0|\\uDDFE\\uD83C[\\uDDEA\\uDDF9]|\\uDDFF\\uD83C[\\uDDE6\\uDDF2\\uDDFC]|\\uDF44(?:\\u200D\\uD83D\\uDFEB)?|\\uDF4B(?:\\u200D\\uD83D\\uDFE9)?|\\uDFC3(?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D(?:[\\u2640\\u2642]\\uFE0F?(?:\\u200D\
\\u27A1\\uFE0F?)?|\\u27A1\\uFE0F?))?|\\uDFF3\\uFE0F?(?:\\u200D(?:\\u26A7\\uFE0F?|\\uD83C\\uDF08))?|\\uDFF4(?:\\u200D\\u2620\\uFE0F?|\\uDB40\\uDC67\\uDB40\\uDC62\\uDB40(?:\\uDC65\\uDB40\\uDC6E\\uDB40\\uDC67|\\uDC73\\uDB40\\uDC63\\uDB40\\uDC74|\\uDC77\\uDB40\\uDC6C\\uDB40\\uDC73)\\uDB40\\uDC7F)?)|\\uD83D(?:[\\uDC3F\\uDCFD\\uDD49\\uDD4A\\uDD6F\\uDD70\\uDD73\\uDD76-\\uDD79\\uDD87\\uDD8A-\\uDD8D\\uDDA5\\uDDA8\\uDDB1\\uDDB2\\uDDBC\\uDDC2-\\uDDC4\\uDDD1-\\uDDD3\\uDDDC-\\uDDDE\\uDDE1\\uDDE3\\uDDE8\\uDDEF\\uDDF3\\uDDFA\\uDECB\\uDECD-\\uDECF\\uDEE0-\\uDEE5\\uDEE9\\uDEF0\\uDEF3]\\uFE0F?|[\\uDC42\\uDC43\\uDC46-\\uDC50\\uDC66\\uDC67\\uDC6B-\\uDC6D\\uDC72\\uDC74-\\uDC76\\uDC78\\uDC7C\\uDC83\\uDC85\\uDC8F\\uDC91\\uDCAA\\uDD7A\\uDD95\\uDD96\\uDE4C\\uDE4F\\uDEC0\\uDECC](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC6E\\uDC70\\uDC71\\uDC73\\uDC77\\uDC81\\uDC82\\uDC86\\uDC87\\uDE45-\\uDE47\\uDE4B\\uDE4D\\uDE4E\\uDEA3\\uDEB4\\uDEB5](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD74\\uDD90](?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDC00-\\uDC07\\uDC09-\\uDC14\\uDC16-\\uDC25\\uDC27-\\uDC3A\\uDC3C-\\uDC3E\\uDC40\\uDC44\\uDC45\\uDC51-\\uDC65\\u\
DC6A\\uDC79-\\uDC7B\\uDC7D-\\uDC80\\uDC84\\uDC88-\\uDC8E\\uDC90\\uDC92-\\uDCA9\\uDCAB-\\uDCFC\\uDCFF-\\uDD3D\\uDD4B-\\uDD4E\\uDD50-\\uDD67\\uDDA4\\uDDFB-\\uDE2D\\uDE2F-\\uDE34\\uDE37-\\uDE41\\uDE43\\uDE44\\uDE48-\\uDE4A\\uDE80-\\uDEA2\\uDEA4-\\uDEB3\\uDEB7-\\uDEBF\\uDEC1-\\uDEC5\\uDED0-\\uDED2\\uDED5-\\uDED7\\uDEDC-\\uDEDF\\uDEEB\\uDEEC\\uDEF4-\\uDEFC\\uDFE0-\\uDFEB\\uDFF0]|\\uDC08(?:\\u200D\\u2B1B)?|\\uDC15(?:\\u200D\\uD83E\\uDDBA)?|\\uDC26(?:\\u200D(?:\\u2B1B|\\uD83D\\uDD25))?|\\uDC3B(?:\\u200D\\u2744\\uFE0F?)?|\\uDC41\\uFE0F?(?:\\u200D\\uD83D\\uDDE8\\uFE0F?)?|\\uDC68(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDC68\\uDC69]\\u200D\\uD83D(?:\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?)|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2\
764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\
\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?\\uDC68\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D\\uDC68\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC69(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:\\uDC8B\\u200D\\uD83D)?[\\uDC68\\uDC69]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D(?:[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?|\\uDC69\\u200D\\uD83D(?:\
\\uDC66(?:\\u200D\\uD83D\\uDC66)?|\\uDC67(?:\\u200D\\uD83D[\\uDC66\\uDC67])?))|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFC-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\
\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D\\uD83D(?:[\\uDC68\\uDC69]|\\uDC8B\\u200D\\uD83D[\\uDC68\\uDC69])\\uD83C[\\uDFFB-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\u\
D83D[\\uDC68\\uDC69]\\uD83C[\\uDFFB-\\uDFFE])))?))?|\\uDC6F(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDD75(?:\\uFE0F|\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|\\uDE2E(?:\\u200D\\uD83D\\uDCA8)?|\\uDE35(?:\\u200D\\uD83D\\uDCAB)?|\\uDE36(?:\\u200D\\uD83C\\uDF2B\\uFE0F?)?|\\uDE42(?:\\u200D[\\u2194\\u2195]\\uFE0F?)?|\\uDEB6(?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D(?:[\\u2640\\u2642]\\uFE0F?(?:\\u200D\\u27A1\\uFE0F?)?|\\u27A1\\uFE0F?))?)|\\uD83E(?:[\\uDD0C\\uDD0F\\uDD18-\\uDD1F\\uDD30-\\uDD34\\uDD36\\uDD77\\uDDB5\\uDDB6\\uDDBB\\uDDD2\\uDDD3\\uDDD5\\uDEC3-\\uDEC5\\uDEF0\\uDEF2-\\uDEF8](?:\\uD83C[\\uDFFB-\\uDFFF])?|[\\uDD26\\uDD35\\uDD37-\\uDD39\\uDD3D\\uDD3E\\uDDB8\\uDDB9\\uDDCD\\uDDCF\\uDDD4\\uDDD6-\\uDDDD](?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDDDE\\uDDDF](?:\\u200D[\\u2640\\u2642]\\uFE0F?)?|[\\uDD0D\\uDD0E\\uDD10-\\uDD17\\uDD20-\\uDD25\\uDD27-\\uDD2F\\uDD3A\\uDD3F-\\uDD45\\uDD47-\\uDD76\\uDD78-\\uDDB4\\uDDB7\\uDDBA\\uDDBC-\\uDDCC\\uDDD0\\uDDE0-\\uDDFF\\uDE70-\\uDE7C\\uDE80-\\uDE88\\uDE90-\\uDEBD\\uDEBF-\\uDEC2\\uDECE-\\uDEDB\\uDEE0-\\uDEE8]|\\uDD3C(?:\\u200D[\\u2640\\u2642]\\uFE\
0F?|\\uD83C[\\uDFFB-\\uDFFF])?|\\uDDCE(?:\\uD83C[\\uDFFB-\\uDFFF])?(?:\\u200D(?:[\\u2640\\u2642]\\uFE0F?(?:\\u200D\\u27A1\\uFE0F?)?|\\u27A1\\uFE0F?))?|\\uDDD1(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1|\\uDDD1\\u200D\\uD83E\\uDDD2(?:\\u200D\\uD83E\\uDDD2)?|\\uDDD2(?:\\u200D\\uD83E\\uDDD2)?))|\\uD83C(?:\\uDFFB(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFC-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFC(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFD-\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\
\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFD(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFE(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFD\\uDFFF]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?|\\uDFFF(?:\\u200D(?:[\\u2695\\u2696\\u2708]\\uFE0F?|\\u2764\\uFE0F?\\u200D(?:\\uD83D\\uDC8B\\u200D)?\\uD83E\\uDDD1\\uD8\
3C[\\uDFFB-\\uDFFE]|\\uD83C[\\uDF3E\\uDF73\\uDF7C\\uDF84\\uDF93\\uDFA4\\uDFA8\\uDFEB\\uDFED]|\\uD83D[\\uDCBB\\uDCBC\\uDD27\\uDD2C\\uDE80\\uDE92]|\\uD83E(?:[\\uDDAF\\uDDBC\\uDDBD](?:\\u200D\\u27A1\\uFE0F?)?|[\\uDDB0-\\uDDB3]|\\uDD1D\\u200D\\uD83E\\uDDD1\\uD83C[\\uDFFB-\\uDFFF])))?))?|\\uDEF1(?:\\uD83C(?:\\uDFFB(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFC-\\uDFFF])?|\\uDFFC(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFD-\\uDFFF])?|\\uDFFD(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB\\uDFFC\\uDFFE\\uDFFF])?|\\uDFFE(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFD\\uDFFF])?|\\uDFFF(?:\\u200D\\uD83E\\uDEF2\\uD83C[\\uDFFB-\\uDFFE])?))?)/g,"")),r&&(e=e.replace(/[\\u1D00-\\u1D7F\\u1D80-\\u1DBF\\u1DC0-\\u1DFF\\u20A0-\\u20CF\\u20D0-\\u20FF\\u2100-\\u214F\\u2150-\\u218F\\u2190-\\u21FF\\u2200-\\u22FF\\u2300-\\u23FF\\u2400-\\u243F\\u2440-\\u245F\\u2460-\\u24FF\\u2500-\\u257F\\u2580-\\u259F\\u25A0-\\u25FF\\u2600-\\u26FF\\u2700-\\u27BF\\uE000-\\uF8FF]/g,"").replace(/[\\uDB80-\\uDBBF][\\uDC00-\\uDFFF]/g,"").replace(/[\\xAD\\u0600-\\u0605\\u061C\\u06DD\\u070F\\u08E2\\u180E\\u200B-\\u200F\\u202A-\\u202E\\u2060-\\u2064\\u2066-\\u206F\\uFEFF\\uFFF9-\\uF\
FFB]|\\uD804[\\uDCBD\\uDCCD]|\\uD80D[\\uDC30-\\uDC38]|\\uD82F[\\uDCA0-\\uDCA3]|\\uD834[\\uDD73-\\uDD7A]|\\uDB40[\\uDC01\\uDC20-\\uDC7F]/g,"")),t?e.replace(/[\\u2000-\\u206F\\u2E00-\\u2E7F\\\\'!"#$%&\\xa3\\xa2\\xa5\\xa7\\u20ac()*+,\\-.\\/:;<=>?@\\[\\]^_\`{|}~\\xb1]/g,""):e},Ts=function(e){return e.length&&!["x","i"].includes(e)&&(e=Bs(e,{emoji:!0,nonBmp:!0,punctuations:!0}),ki(e))?1:0},Rs={stateTerms:["on","off"],standaloneTerms:["name","honorific-prefix","given-name","additional-name","family-name","honorific-suffix","nickname","username","new-password","current-password","organization-title","organization","street-address","address-line1","address-line2","address-line3","address-level4","address-level3","address-level2","address-level1","country","country-name","postal-code","cc-name","cc-given-name","cc-additional-name","cc-family-name","cc-number","cc-exp","cc-exp-month","cc-exp-year","cc-csc","cc-type","transaction-currency","transaction-amount","language","bday","bday-day","bday-month","bday-year","sex","url","ph\
oto","one-time-code"],qualifiers:["home","work","mobile","fax","pager"],qualifiedTerms:["tel","tel-country-code","tel-national","tel-area-code","tel-local","tel-local-prefix","tel-local-suffix","tel-extension","email","impp"],locations:["billing","shipping"]},Ss=function(e){var t=void 0!==(t=(u=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).looseTyped)&&t,n=void 0===(n=u.stateTerms)?[]:n,r=void 0===(r=u.locations)?[]:r,a=void 0===(a=u.qualifiers)?[]:a,o=void 0===(o=u.standaloneTerms)?[]:o,u=void 0===(u=u.qualifiedTerms)?[]:u;return e=e.toLowerCase().trim(),!(!(n=n.concat(Rs.stateTerms)).includes(e)&&""!==e)||(a=a.concat(Rs.qualifiers),r=r.concat(Rs.locations),o=o.concat(Rs.standaloneTerms),u=u.concat(Rs.qualifiedTerms),!("webauthn"===(n=e.split(/\\s+/g))[n.length-1]&&(n.pop(),0===n.length)||!t&&(8<n[0].length&&"section-"===n[0].substr(0,8)&&n.shift(),r.includes(n[0])&&n.shift(),a.includes(n[0])&&(n.shift(),o=[]),1!==n.length))&&(t=n[n.length-1],o.includes(t)||u.includes(t)))\
},Os=function(e){var t;return e.attr("aria-labelledby")&&(t=ui(e.actualNode,"aria-labelledby").map((function(e){return(e=ma(e))?rs(e):""})).join(" ").trim())?t:(t=(t=e.attr("aria-label"))&&ki(t))||null},_s=function(e,t,n){return e=ma(e),rs(e,t,n)},Ms=function(e){if(t=Os(e))return t;if(e.attr("id")){if(!e.actualNode)throw new TypeError("Cannot resolve explicit label reference for non-DOM nodes");var t,n=qr(e.attr("id"));if(t=(n=Oo(e.actualNode).querySelector('label[for="'+n+'"]'))&&_s(n,!0))return t}return(t=(n=Ta(e,"label"))&&rs(n,!0))||null},Is=function(e){return e=ma(e),Ms(e)},Ps=[{matches:[{nodeName:"textarea"},{nodeName:"input",properties:{type:["text","password","search","tel","email","url"]}}],namingMethods:"labelText"},{matches:{nodeName:"input",properties:{type:["button","submit","reset"]}},namingMethods:["valueText","titleText","buttonDefaultText"]},{matches:{nodeName:"input",properties:{type:"image"}},namingMethods:["altText","valueText","labelText","titleText","buttonDefault\
Text"]},{matches:"button",namingMethods:"subtreeText"},{matches:"fieldset",namingMethods:"fieldsetLegendText"},{matches:"OUTPUT",namingMethods:"subtreeText"},{matches:[{nodeName:"select"},{nodeName:"input",properties:{type:/^(?!text|password|search|tel|email|url|button|submit|reset)/}}],namingMethods:"labelText"},{matches:"summary",namingMethods:"subtreeText"},{matches:"figure",namingMethods:["figureText","titleText"]},{matches:"img",namingMethods:"altText"},{matches:"table",namingMethods:["tableCaptionText","tableSummaryText"]},{matches:["hr","br"],namingMethods:["titleText","singleSpace"]}],js=function e(t){var n=lu(t),r=[];return t.children.forEach((function(t){3===t.actualNode.nodeType?n&&r.push(t):r=r.concat(e(t))})),r},Ls=Yr((function(e){var t=ma(e),n=t.boundingClientRect,a=[],o=Lo(t);return e.childNodes.forEach((function(e){var t,u;3!==e.nodeType||""===ki(e.nodeValue)||((t=r.createRange()).selectNodeContents(e),e=Array.from(t.getClientRects()),u=n,e.some((function(e){return!pu(m\
u(e),u)})))||a.push.apply(a,L(qs(e,o)))})),a.length?a:qs([n],o)}));function qs(e,t){var n=[];return e.forEach((function(e){e.width<1||e.height<1||(e=t.reduce((function(e,t){return e&&Du(e,t.boundingClientRect)}),e))&&n.push(e)})),n}var zs=function(e){Bu();var t=ma(e)._grid;return t?Ls(e).map((function(e){return Zu(t,e)})):[]},Vs=["checkbox","img","meter","progressbar","scrollbar","radio","slider","spinbutton","textbox"],Hs=function(e){var t=cD(e).vNode;if(e=o.commons.aria.getExplicitRole(t))return-1!==Vs.indexOf(e);switch(t.props.nodeName){case"img":case"iframe":case"object":case"video":case"audio":case"canvas":case"svg":case"math":case"button":case"select":case"textarea":case"keygen":case"progress":case"meter":return!0;case"input":return"hidden"!==t.props.type;default:return!1}},$s=["head","title","template","script","style","iframe","object","video","audio","noscript"];function Us(e){return!$s.includes(e.props.nodeName)&&e.children.some((function(e){return 3===(e=e.props).nodeType&&e\
.nodeValue.trim()}))}var Ws=function e(t,n,r){return Us(t)||Hs(t.actualNode)||!r&&!!Os(t)||!n&&t.children.some((function(t){return 1===t.actualNode.nodeType&&e(t)}))},Gs=function(e,t,n){return e=ma(e),Ws(e,t,n)};function Ys(e){return!(void 0!==e.children&&!Us(e))||(1===e.props.nodeType&&Hs(e)?!!o.commons.text.accessibleTextVirtual(e):e.children.some((function(e){return!e.attr("lang")&&Ys(e)&&!eu(e)})))}var Ks=function(e){return-1<parseInt(e.getAttribute("tabindex"),10)&&ti(e)&&!ei(e)};function Xs(e,t){var n=(e=cD(e)).vNode;e=e.domNode;return n?(void 0===n._isHiddenWithCSS&&(n._isHiddenWithCSS=Zs(e,t)),n._isHiddenWithCSS):Zs(e,t)}function Zs(e,n){if(9===e.nodeType)return!1;if(11===e.nodeType&&(e=e.host),["STYLE","SCRIPT"].includes(e.nodeName.toUpperCase()))return!1;var r,a=t.getComputedStyle(e,null);if(a)return"none"===a.getPropertyValue("display")||(r=["hidden","collapse"],a=a.getPropertyValue("visibility"),!(!r.includes(a)||n))||!!(r.includes(a)&&n&&r.includes(n))||!(!(n=ru(e))||r.inc\
ludes(a))&&Xs(n,a);throw new Error("Style does not exist for the given element.")}var Js=Xs,Qs=function(e){return null!==(e=e.doctype)&&"html"===e.name&&!e.publicId&&!e.systemId},el=function(e){(e instanceof Cr||null!=(n=t)&&n.Node&&e instanceof t.Node)&&(e=o.commons.aria.getRole(e));var n=hi.ariaRoles[e];return(null==n?void 0:n.type)||null},tl=["block","list-item","table","flex","grid","inline-block"];function nl(e){return e=t.getComputedStyle(e).getPropertyValue("display"),tl.includes(e)||"table-"===e.substr(0,6)}var rl=function(e,t){var n,r,a,o;return!nl(e)&&(n=function(e){for(var t=ru(e);t&&!nl(t);)t=ru(t);return ma(t)}(e),a=r="",o=0,function e(t,n){!1!==n(t.actualNode)&&t.children.forEach((function(t){return e(t,n)}))}(n,(function(t){if(2===o)return!1;if(3===t.nodeType&&(r+=t.nodeValue),1===t.nodeType){var n=(t.nodeName||"").toUpperCase();if(t===e&&(o=1),!["BR","HR"].includes(n))return!("none"===t.style.display||"hidden"===t.style.overflow||!["",null,"none"].includes(t.style.float\
)||!["",null,"relative"].includes(t.style.position))&&("widget"===el(t)?(a+=t.textContent,!1):void 0);0===o?a=r="":o=2}})),r=ki(r),null!=t&&t.noLengthCompare?0!==r.length:(a=ki(a),r.length>a.length))},al=function(e){if(e=(e=e||{}).modalPercent||.75,Da.get("isModalOpen"))return Da.get("isModalOpen");if(FD(o._tree[0],"dialog, [role=dialog], [aria-modal=true]",lu).length)return Da.set("isModalOpen",!0),!0;for(var n,a=uu(t),u=a.width*e,i=a.height*e,s=(e=(a.width-u)/2,(a.height-i)/2),l=[{x:e,y:s},{x:a.width-e,y:s},{x:a.width/2,y:a.height/2},{x:e,y:a.height-s},{x:a.width-e,y:a.height-s}].map((function(e){return Array.from(r.elementsFromPoint(e.x,e.y))})),c=0;c<l.length;c++)if(n=function(){var e=l[c].find((function(e){return e=t.getComputedStyle(e),parseInt(e.width,10)>=u&&parseInt(e.height,10)>=i&&"none"!==e.getPropertyValue("pointer-events")&&("absolute"===e.position||"fixed"===e.position)}));if(e&&l.every((function(t){return t.includes(e)})))return Da.set("isModalOpen",!0),{v:!0}}())return\
 n.v;Da.set("isModalOpen",void 0)};function ol(e){var t,n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:2,r=e.ownerDocument.createRange(),a=(r.setStart(e,0),r.setEnd(e,e.childNodes.length),0),o=0,u=K(r.getClientRects());try{for(u.s();!(t=u.n()).done;){var i=t.value;if(!(i.height<=n))if(a>i.top+n)a=Math.max(a,i.bottom);else{if(0!==o)return!0;a=i.bottom,o++}}}catch(e){u.e(e)}finally{u.f()}return!1}var ul,il,sl=function(e){return e instanceof t.Node},ll="color.incompleteData",cl={set:function(e,t){if("string"!=typeof e)throw new Error("Incomplete data: key must be a string");var n=Da.get(ll,(function(){return{}}));return t&&(n[e]=t),n[e]},get:function(e){var t=Da.get(ll);return null==t?void 0:t[e]},clear:function(){Da.set(ll,{})}},dl=function(e,n){var r=e.nodeName.toUpperCase();return["IMG","CANVAS","OBJECT","IFRAME","VIDEO","SVG"].includes(r)?(cl.set("bgColor","imgNode"),!0):((e="none"!==(r=(n=n||t.getComputedStyle(e)).getPropertyValue("background-image")))&&(n=/gradient/.test(r\
),cl.set("bgColor",n?"bgGradient":"bgImage")),e)};ie(pi={},{Colorjs:function(){return qp},CssSelectorParser:function(){return fl.CssSelectorParser},doT:function(){return Dl.default},emojiRegexText:function(){return Cs},memoize:function(){return ml.default}}),fi=se(Xt()),Xt=se(Zt()),se(Jt()),Zt=se(Qn()),Jt=se(gr());function pl(e){return"function"==typeof e||"[object Function]"===ul.call(e)}"hasOwn"in Object||(Object.hasOwn=Zt.default),"values"in Object||(Object.values=Jt.default),"Promise"in t||fi.default.polyfill(),"Uint32Array"in t||(t.Uint32Array=Xt.Uint32Array),t.Uint32Array&&("some"in t.Uint32Array.prototype||Object.defineProperty(t.Uint32Array.prototype,"some",{value:Array.prototype.some}),"reduce"in t.Uint32Array.prototype||Object.defineProperty(t.Uint32Array.prototype,"reduce",{value:Array.prototype.reduce})),"function"!=typeof Object.assign&&(Object.assign=function(e){if(null==e)throw new TypeError("Cannot convert undefined or null to object");for(var t=Object(e),n=1;n<argument\
s.length;n++){var r=arguments[n];if(null!=r)for(var a in r)r.hasOwnProperty(a)&&(t[a]=r[a])}return t}),Array.prototype.find||Object.defineProperty(Array.prototype,"find",{value:function(e){if(null===this)throw new TypeError("Array.prototype.find called on null or undefined");if("function"!=typeof e)throw new TypeError("predicate must be a function");for(var t,n=Object(this),r=n.length>>>0,a=arguments[1],o=0;o<r;o++)if(t=n[o],e.call(a,t,o,n))return t}}),Array.prototype.findIndex||Object.defineProperty(Array.prototype,"findIndex",{value:function(e,t){if(null===this)throw new TypeError("Array.prototype.find called on null or undefined");if("function"!=typeof e)throw new TypeError("predicate must be a function");for(var n,r=Object(this),a=r.length>>>0,o=0;o<a;o++)if(n=r[o],e.call(t,n,o,r))return o;return-1}}),Array.prototype.includes||Object.defineProperty(Array.prototype,"includes",{value:function(e){var t=Object(this),n=parseInt(t.length,10)||0;if(0!==n){var r,a,o=parseInt(arguments[1],1\
0)||0;for(0<=o?r=o:(r=n+o)<0&&(r=0);r<n;){if(e===(a=t[r])||e!=e&&a!=a)return!0;r++}}return!1}}),Array.prototype.some||Object.defineProperty(Array.prototype,"some",{value:function(e){if(null==this)throw new TypeError("Array.prototype.some called on null or undefined");if("function"!=typeof e)throw new TypeError;for(var t=Object(this),n=t.length>>>0,r=2<=arguments.length?arguments[1]:void 0,a=0;a<n;a++)if(a in t&&e.call(r,t[a],a,t))return!0;return!1}}),Array.from||Object.defineProperty(Array,"from",{value:(ul=Object.prototype.toString,il=Math.pow(2,53)-1,function(e){var t=Object(e);if(null==e)throw new TypeError("Array.from requires an array-like object - not null or undefined");var n,r=1<arguments.length?arguments[1]:void 0;if(void 0!==r){if(!pl(r))throw new TypeError("Array.from: when provided, the second argument must be a function");2<arguments.length&&(n=arguments[2])}for(var a,o=function(e){return e=function(e){return e=Number(e),isNaN(e)?0:0!==e&&isFinite(e)?(0<e?1:-1)*Math.floor(\
Math.abs(e)):e}(e),Math.min(Math.max(e,0),il)}(t.length),u=pl(this)?Object(new this(o)):new Array(o),i=0;i<o;)a=t[i],u[i]=r?void 0===n?r(a,i):r.call(n,a,i):a,i+=1;return u.length=o,u})}),String.prototype.includes||(String.prototype.includes=function(e,t){return!((t="number"!=typeof t?0:t)+e.length>this.length)&&-1!==this.indexOf(e,t)}),Array.prototype.flat||Object.defineProperty(Array.prototype,"flat",{configurable:!0,value:function e(){var t=isNaN(arguments[0])?1:Number(arguments[0]);return t?Array.prototype.reduce.call(this,(function(n,r){return Array.isArray(r)?n.push.apply(n,e.call(r,t-1)):n.push(r),n}),[]):Array.prototype.slice.call(this)},writable:!0}),!t.Node||"isConnected"in t.Node.prototype||Object.defineProperty(t.Node.prototype,"isConnected",{get:function(){return!(this.ownerDocument&&this.ownerDocument.compareDocumentPosition(this)&this.DOCUMENT_POSITION_DISCONNECTED)}});var fl=se(Kt()),Dl=se(br()),ml=se(Ut());function hl(e,t){var n=e.length,r=(Array.isArray(e[0])||(e=[e]),\
(t=Array.isArray(t[0])?t:t.map((function(e){return[e]})))[0].length),a=t[0].map((function(e,n){return t.map((function(e){return e[n]}))}));e=e.map((function(e){return a.map((function(t){var n=0;if(Array.isArray(e))for(var r=0;r<e.length;r++)n+=e[r]*(t[r]||0);else{var a,o=K(t);try{for(o.s();!(a=o.n()).done;){var u=a.value;n+=e*u}}catch(t){o.e(t)}finally{o.f()}}return n}))}));return 1===n&&(e=e[0]),1===r?e.map((function(e){return e[0]})):e}function gl(e){return"string"===bl(e)}function bl(e){return(Object.prototype.toString.call(e).match(/^\\[object\\s+(.*?)\\]$/)[1]||"").toLowerCase()}function vl(e,t){var n=t.precision;t=t.unit;return yl(e)?"none":wl(e,n)+(null!=t?t:"")}function yl(e){return Number.isNaN(e)||e instanceof Number&&(null==e?void 0:e.none)}function Fl(e){return yl(e)?0:e}function wl(e,t){var n,r;return 0===e?0:(n=0,(r=~~e)&&t&&(n=1+~~Math.log10(Math.abs(r))),r=Math.pow(10,t-n),Math.floor(e*r+.5)/r)}var El={deg:1,grad:.9,rad:180/Math.PI,turn:360};function Cl(e){var t,n,r;if(e)r\
eturn e=e.trim(),t=/^-?[\\d.]+$/,n=/%|deg|g?rad|turn$/,(e=e.match(/^([a-z]+)\\((.+?)\\)$/i))?(r=[],e[2].replace(/\\/?\\s*(none|[-\\w.]+(?:%|deg|g?rad|turn)?)/g,(function(e,o){var u,i=o.match(n),s=o;i?(i=i[0],u=s.slice(0,-i.length),"%"===i?(s=new Number(u/100)).type="<percentage>":((s=new Number(u*El[i])).type="<angle>",s.unit=i)):t.test(s)?(s=new Number(s)).type="<number>":"none"===s&&((s=new Number(NaN)).none=!0),e.startsWith("/")&&((s=s instanceof Number?s:new Number(s)).alpha=!0),"object"===a(s)&&s instanceof Number&&(s.raw=o),r.push(s)})),{name:e[1].toLowerCase(),rawName:e[1],rawArgs:e[2],args:r}):void 0}function xl(e){return e[e.length-1]}function Al(e,t,n){return isNaN(e)?t:isNaN(t)?e:e+(t-e)*n}function Nl(e,t,n){return(n-e)/(t-e)}function kl(e,t,n){return Al(t[0],t[1],Nl(e[0],e[1],n))}function Bl(e){return e.map((function(e){return e.split("|").map((function(e){var t,n=(e=e.trim()).match(/^(<[a-z]+>)\\[(-?[.\\d]+),\\s*(-?[.\\d]+)\\]?$/);return n?((t=new String(n[1])).range=[+n[2],+n[3]],t)\
:e}))}))}function Tl(e,t,n){return Math.max(Math.min(n,t),e)}function Rl(e,t){return Math.sign(e)===Math.sign(t)?e:-e}function Sl(e,t){return Rl(Math.pow(Math.abs(e),t),e)}function Ol(e,t){return 0===t?0:e/t}function _l(e,t){for(var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:0,r=3<arguments.length&&void 0!==arguments[3]?arguments[3]:e.length;n<r;){var a=n+r>>1;e[a]<t?n=1+a:r=a}return n}function Ml(){U(this,Ml)}Qn=Object.freeze({__proto__:null,bisectLeft:_l,clamp:Tl,copySign:Rl,interpolate:Al,interpolateInv:Nl,isNone:yl,isString:gl,last:xl,mapRange:kl,multiplyMatrices:hl,parseCoordGrammar:Bl,parseFunction:Cl,serializeNumber:vl,skipNone:Fl,spow:Sl,toPrecision:wl,type:bl,zdiv:Ol}),G(Ml,[{key:"add",value:function(e,t,n){if("string"!=typeof arguments[0])for(var e in arguments[0])this.add(e,arguments[0][e],t);else(Array.isArray(e)?e:[e]).forEach((function(e){this[e]=this[e]||[],t&&this[e][n?"unshift":"push"](t)}),this)}},{key:"run",value:function(e,t){this[e]=this[e]||[],this[e\
].forEach((function(e){e.call(t&&t.context?t.context:t,t)}))}}]);var Il=new Ml,Pl={gamut_mapping:"css",precision:5,deltaE:"76",verbose:"test"!==(null===globalThis||void 0===globalThis||null==(oe=globalThis.process)||null==(oe=oe.env)||null==(oe=oe.NODE_ENV)?void 0:oe.toLowerCase()),warn:function(e){var t,n;this.verbose&&null!==globalThis&&void 0!==globalThis&&null!=(t=globalThis.console)&&null!=(n=t.warn)&&n.call(t,e)}},jl={D50:[.3457/.3585,1,.2958/.3585],D65:[.3127/.329,1,.3583/.329]};function Ll(e){return Array.isArray(e)?e:jl[e]}function ql(e,t,n,r){var a=3<arguments.length&&void 0!==r?r:{};if(e=Ll(e),t=Ll(t),!e||!t)throw new TypeError("Missing white point to convert ".concat(e?"":"from").concat(e||t?"":"/").concat(t?"":"to"));if(e===t)return n;if(a={W1:e,W2:t,XYZ:n,options:a},Il.run("chromatic-adaptation-start",a),a.M||(a.W1===jl.D65&&a.W2===jl.D50?a.M=[[1.0479297925449969,.022946870601609652,-.05019226628920524],[.02962780877005599,.9904344267538799,-.017073799063418826],[-.009243\
040646204504,.015055191490298152,.7518742814281371]]:a.W1===jl.D50&&a.W2===jl.D65&&(a.M=[[.955473421488075,-.02309845494876471,.06325924320057072],[-.0283697093338637,1.0099953980813041,.021041441191917323],[.012314014864481998,-.020507649298898964,1.330365926242124]])),Il.run("chromatic-adaptation-end",a),a.M)return hl(a.M,a.XYZ);throw new TypeError("Only Bradford CAT with white points D50 and D65 supported for now.")}var zl=new Set(["<number>","<percentage>","<angle>"]);function Vl(e,t,n,r){return Object.entries(e.coords).map((function(e,a){var o,u,i=(e=V(e,2))[0],s=(e=e[1],t.coordGrammar[a]),l=r[a],c=null==l?void 0:l.type;s=l.none?s.find((function(e){return zl.has(e)})):s.find((function(e){return e==c}));if(s)return o=s.range,u=e.range||e.refRange,(o="<percentage>"===c?o||[0,1]:o)&&u&&(r[a]=kl(o,u,r[a])),s;throw o=e.name||i,new TypeError("".concat(null!=c?c:l.raw," not allowed for ").concat(o," in ").concat(n,"()"))}))}function Hl(e){var t=(1<arguments.length&&void 0!==arguments[1]?\
arguments[1]:{}).meta,n={str:null==(u=String(e))?void 0:u.trim()};if(Il.run("parse-start",n),n.color)return n.color;if(n.parsed=Cl(n.str),n.parsed){var r=n.parsed.name;if("color"===r){var a,o=n.parsed.args.shift(),u=o.startsWith("--")?o.substring(2):"--".concat(o),i=[o,u],s=0<n.parsed.rawArgs.indexOf("/")?n.parsed.args.pop():1,l=K(Wl.all);try{for(l.s();!(a=l.n()).done;){var c,d,p,f=a.value,D=f.getFormat("color");if(D&&(i.includes(D.id)||null!=(c=D.ids)&&c.filter((function(e){return i.includes(e)})).length))return d=Object.keys(f.coords).map((function(e,t){return n.parsed.args[t]||0})),p=void 0,D.coordGrammar&&(p=Vl(f,D,"color",d)),t&&Object.assign(t,{formatId:"color",types:p}),D.id.startsWith("--")&&!o.startsWith("--")&&Pl.warn("".concat(f.name," is a non-standard space and not currently supported in the CSS spec. Use prefixed color(").concat(D.id,") instead of color(").concat(o,").")),o.startsWith("--")&&!D.id.startsWith("--")&&Pl.warn("".concat(f.name," is a standard space and suppor\
ted in the CSS spec. Use color(").concat(D.id,") instead of prefixed color(").concat(o,").")),{spaceId:f.id,coords:d,alpha:s}}}catch(e){l.e(e)}finally{l.f()}var m="";throw(u=o in Wl.registry?o:u)in Wl.registry&&(u=null==(u=Wl.registry[u].formats)||null==(u=u.color)?void 0:u.id)&&(m="Did you mean color(".concat(u,")?")),new TypeError("Cannot parse color(".concat(o,"). ")+(m||"Missing a plugin?"))}var h,g=K(Wl.all);try{for(g.s();!(h=g.n()).done;){var b,v,y,F=h.value,w=F.getFormat(r);if(w&&"function"===w.type)return b=1,(w.lastAlpha||xl(n.parsed.args).alpha)&&(b=n.parsed.args.pop()),v=n.parsed.args,y=void 0,w.coordGrammar&&(y=Vl(F,w,r,v)),t&&Object.assign(t,{formatId:w.name,types:y}),{spaceId:F.id,coords:v,alpha:b}}}catch(e){g.e(e)}finally{g.f()}}else{var E,C=K(Wl.all);try{for(C.s();!(E=C.n()).done;){var x,A=E.value;for(x in A.formats){var N=A.formats[x];if("custom"===N.type&&(!N.test||N.test(n.str))){var k=N.parse(n.str);if(k)return null==k.alpha&&(k.alpha=1),t&&(t.formatId=x),k}}}}catch\
(e){C.e(e)}finally{C.f()}}throw new TypeError("Could not parse ".concat(e," as a color. Missing a plugin?"))}function $l(e){if(Array.isArray(e))return e.map($l);var t;if(e)return(t=(e=gl(e)?Hl(e):e).space||e.spaceId)instanceof Wl||(e.space=Wl.get(t)),void 0===e.alpha&&(e.alpha=1),e;throw new TypeError("Empty color reference")}function Ul(e){U(this,Ul),this.id=e.id,this.name=e.name,this.base=e.base?Ul.get(e.base):null,this.aliases=e.aliases,this.base&&(this.fromBase=e.fromBase,this.toBase=e.toBase);var t,n=null!=(a=e.coords)?a:this.base.coords;for(t in n)"name"in n[t]||(n[t].name=t);this.coords=n;var r,a=null!=(a=null!=(a=e.white)?a:this.base.white)?a:"D65";for(r in this.white=Ll(a),this.formats=null!=(a=e.formats)?a:{},this.formats){var o=this.formats[r];o.type||(o.type="function"),o.name||(o.name=r)}null!=(a=this.formats.color)&&a.id||(this.formats.color=z({},null!=(a=this.formats.color)?a:{},{id:e.cssId||this.id})),e.gamutSpace?this.gamutSpace="self"===e.gamutSpace?this:Ul.get(e.gamu\
tSpace):this.isPolar?this.gamutSpace=this.base:this.gamutSpace=this,this.gamutSpace.isUnbounded&&(this.inGamut=function(e,t){return!0}),this.referred=e.referred,Object.defineProperty(this,"path",{value:function(e){for(var t=[e],n=e;n=n.base;)t.push(n);return t}(this).reverse(),writable:!1,enumerable:!0,configurable:!0}),Il.run("colorspace-init-end",this)}G(Ul,[{key:"inGamut",value:function(e){var t,n=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).epsilon,r=void 0===n?75e-6:n;return this.equals(this.gamutSpace)?(t=Object.values(this.coords),e.every((function(e,n){var a;return"angle"===(n=t[n]).type||!n.range||!!Number.isNaN(e)||(a=(n=V(n.range,2))[0],n=n[1],(void 0===a||a-r<=e)&&(void 0===n||e<=n+r))}))):(e=this.to(this.gamutSpace,e),this.gamutSpace.inGamut(e,{epsilon:r}))}},{key:"isUnbounded",get:function(){return Object.values(this.coords).every((function(e){return!("range"in e)}))}},{key:"cssId",get:function(){var e;return(null==(e=this.formats)||null==(e=e.color)?void 0\
:e.id)||this.id}},{key:"isPolar",get:function(){for(var e in this.coords)if("angle"===this.coords[e].type)return!0;return!1}},{key:"getFormat",value:function(e){return"object"===a(e)||(e="default"===e?Object.values(this.formats)[0]:this.formats[e])?function(e,t){var n,r=(1<arguments.length&&void 0!==t?t:{}).coords;return e.coords&&!e.coordGrammar&&(e.type||(e.type="function"),e.name||(e.name="color"),e.coordGrammar=Bl(e.coords),n=Object.entries(r).map((function(t,n){(t=V(t,2))[0],t=t[1],n=e.coordGrammar[n][0],t=t.range||t.refRange;var r=n.range,a="";return"<percentage>"==n?(r=[0,100],a="%"):"<angle>"==n&&(a="deg"),{fromRange:t,toRange:r,suffix:a}})),e.serializeCoords=function(e,t){return e.map((function(e,r){var a=(r=n[r]).fromRange,o=r.toRange;r=r.suffix;return vl(e=a&&o?kl(a,o,e):e,{precision:t,unit:r})}))}),e}(e,this):null}},{key:"equals",value:function(e){return!!e&&(this===e||this.id===e||this.id===e.id)}},{key:"to",value:function(e,t){var n;if(1===arguments.length&&(e=(n=[(n=$l(e\
)).space,n.coords])[0],t=n[1]),e=Ul.get(e),!this.equals(e)){t=t.map((function(e){return Number.isNaN(e)?0:e}));for(var r,a,o=this.path,u=e.path,i=0;i<o.length&&o[i].equals(u[i]);i++)r=o[i],a=i;if(!r)throw new Error("Cannot convert between color spaces ".concat(this," and ").concat(e,": no connection space was found"));for(var s=o.length-1;a<s;s--)t=o[s].toBase(t);for(var l=a+1;l<u.length;l++)t=u[l].fromBase(t)}return t}},{key:"from",value:function(e,t){var n;return 1===arguments.length&&(e=(n=[(n=$l(e)).space,n.coords])[0],t=n[1]),(e=Ul.get(e)).to(this,t)}},{key:"toString",value:function(){return"".concat(this.name," (").concat(this.id,")")}},{key:"getMinCoords",value:function(){var e,t=[];for(e in this.coords){var n=(n=this.coords[e]).range||n.refRange;t.push(null!=(n=null==n?void 0:n.min)?n:0)}return t}}],[{key:"all",get:function(){return L(new Set(Object.values(Ul.registry)))}},{key:"register",value:function(e,t){if(1===arguments.length&&(e=(t=arguments[0]).id),t=this.get(t),this.re\
gistry[e]&&this.registry[e]!==t)throw new Error("Duplicate color space registration: '".concat(e,"'"));if(this.registry[e]=t,1===arguments.length&&t.aliases){var n,r=K(t.aliases);try{for(r.s();!(n=r.n()).done;){var a=n.value;this.register(a,t)}}catch(e){r.e(e)}finally{r.f()}}return t}},{key:"get",value:function(e){if(!e||e instanceof Ul)return e;if("string"===bl(e)){var t=Ul.registry[e.toLowerCase()];if(t)return t;throw new TypeError('No color space found with id = "'.concat(e,'"'))}for(var n=arguments.length,r=new Array(1<n?n-1:0),a=1;a<n;a++)r[a-1]=arguments[a];if(r.length)return Ul.get.apply(Ul,r);throw new TypeError("".concat(e," is not a valid color space"))}},{key:"resolveCoord",value:function(e,t){var n,r;if(r="string"===bl(e)?e.includes(".")?(n=(r=V(e.split("."),2))[0],r[1]):(n=void 0,e):Array.isArray(e)?(n=(r=V(e,2))[0],r[1]):(n=e.space,e.coordId),!(n=(n=Ul.get(n))||t))throw new TypeError("Cannot resolve coordinate reference ".concat(e,": No color space specified and relative \
references are not allowed here"));if(("number"===(t=bl(r))||"string"===t&&0<=r)&&(e=Object.entries(n.coords)[r]))return z({space:n,id:e[0],index:r},e[1]);n=Ul.get(n);var a,o=r.toLowerCase(),u=0;for(a in n.coords){var i,s=n.coords[a];if(a.toLowerCase()===o||(null==(i=s.name)?void 0:i.toLowerCase())===o)return z({space:n,id:a,index:u},s);u++}throw new TypeError('No "'.concat(r,'" coordinate found in ').concat(n.name,". Its coordinates are: ").concat(Object.keys(n.coords).join(", ")))}}]);var Wl=Ul;le(Wl,"registry",{}),le(Wl,"DEFAULT_FORMAT",{type:"functions",name:"color"});var Gl=new Wl({id:"xyz-d65",name:"XYZ D65",coords:{x:{name:"X"},y:{name:"Y"},z:{name:"Z"}},white:"D65",formats:{color:{ids:["xyz-d65","xyz"]}},aliases:["xyz"]});I(Yl,Wl),gr=G(Yl);function Yl(e){var t;return U(this,Yl),e.coords||(e.coords={r:{range:[0,1],name:"Red"},g:{range:[0,1],name:"Green"},b:{range:[0,1],name:"Blue"}}),e.base||(e.base=Gl),e.toXYZ_M&&e.fromXYZ_M&&(null==e.toBase&&(e.toBase=function(n){return n=hl(e\
.toXYZ_M,n),t.white!==t.base.white?ql(t.white,t.base.white,n):n}),null==e.fromBase)&&(e.fromBase=function(n){return n=ql(t.base.white,t.white,n),hl(e.fromXYZ_M,n)}),null==e.referred&&(e.referred="display"),t=S(this,Yl,[e])}function Kl(e,t){return e=$l(e),!t||e.space.equals(t)?e.coords.slice():(t=Wl.get(t)).from(e)}function Xl(e,t){e=$l(e);var n=(t=Wl.resolveCoord(t,e.space)).space;t=t.index;return Kl(e,n)[t]}function Zl(e,t,n){return e=$l(e),t=Wl.get(t),e.coords=t.to(e.space,n),e}function Jl(e,t,n){if(e=$l(e),2===arguments.length&&"object"===bl(t)){var r,a=t;for(r in a)Jl(e,r,a[r])}else{"function"==typeof n&&(n=n(Xl(e,t)));var o=(u=Wl.resolveCoord(t,e.space)).space,u=u.index,i=Kl(e,o);i[u]=n,Zl(e,o,i)}return e}Jl.returns=Zl.returns="color";Zt=new Wl({id:"xyz-d50",name:"XYZ D50",white:"D50",base:Gl,fromBase:function(e){return ql(Gl.white,"D50",e)},toBase:function(e){return ql("D50",Gl.white,e)}});var Ql=24389/27,ec=jl.D50,tc=new Wl({id:"lab",name:"Lab",coords:{l:{refRange:[0,100],name:"\
Lightness"},a:{refRange:[-125,125]},b:{refRange:[-125,125]}},white:ec,base:Zt,fromBase:function(e){return e=e.map((function(e,t){return e/ec[t]})).map((function(e){return 216/24389<e?Math.cbrt(e):(Ql*e+16)/116})),[116*e[1]-16,500*(e[0]-e[1]),200*(e[1]-e[2])]},toBase:function(e){var t=[];return t[1]=(e[0]+16)/116,t[0]=e[1]/500+t[1],t[2]=t[1]-e[2]/200,[24/116<t[0]?Math.pow(t[0],3):(116*t[0]-16)/Ql,8<e[0]?Math.pow((e[0]+16)/116,3):e[0]/Ql,24/116<t[2]?Math.pow(t[2],3):(116*t[2]-16)/Ql].map((function(e,t){return e*ec[t]}))},formats:{lab:{coords:["<number> | <percentage>","<number> | <percentage>[-1,1]","<number> | <percentage>[-1,1]"]}}});function nc(e){return(e%360+360)%360}var rc=new Wl({id:"lch",name:"LCH",coords:{l:{refRange:[0,100],name:"Lightness"},c:{refRange:[0,150],name:"Chroma"},h:{refRange:[0,360],type:"angle",name:"Hue"}},base:tc,fromBase:function(e){var t=(e=V(e,3))[0],n=e[1],r=(e=e[2],Math.abs(n)<.02&&Math.abs(e)<.02?NaN:180*Math.atan2(e,n)/Math.PI);return[t,Math.sqrt(Math.pow\
(n,2)+Math.pow(e,2)),nc(r)]},toBase:function(e){var t=(e=V(e,3))[0],n=e[1];e=e[2];return n<0&&(n=0),isNaN(e)&&(e=0),[t,n*Math.cos(e*Math.PI/180),n*Math.sin(e*Math.PI/180)]},formats:{lch:{coords:["<number> | <percentage>","<number> | <percentage>","<number> | <angle>"]}}}),ac=Math.pow(25,7),oc=Math.PI,uc=180/oc,ic=oc/180;function sc(e){var t=e*e;return t*t*t*e}function lc(e,t){var n=void 0===(n=(a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{}).kL)?1:n,r=void 0===(r=a.kC)?1:r,a=void 0===(a=a.kH)?1:a;e=(i=V($l([e,t]),2))[0],t=i[1];var o=(i=V(tc.from(e),3))[0],u=i[1],i=i[2],s=rc.from(tc,[o,u,i])[1],l=(d=V(tc.from(t),3))[0],c=d[1],d=d[2],p=(s=sc(((s=s<0?0:s)+(p=(p=rc.from(tc,[l,c,d])[1])<0?0:p))/2),s=(1+(p=.5*(1-Math.sqrt(s/(s+ac)))))*u,u=(1+p)*c,Math.sqrt(Math.pow(s,2)+Math.pow(i,2))),f=(c=Math.sqrt(Math.pow(u,2)+Math.pow(d,2)),i=0==s&&0===i?0:Math.atan2(i,s),s=0==u&&0===d?0:Math.atan2(d,u),d=(i<0&&(i+=2*oc),s<0&&(s+=2*oc),l-o),u=c-p,(s*=uc)-(i*=uc)),D=(i=i+s,s=Math.abs(f),f=(p\
*c==0?m=0:s<=180?m=f:180<f?m=f-360:f<-180?m=360+f:Pl.warn("the unthinkable has happened"),2*Math.sqrt(c*p)*Math.sin(m*ic/2)),sc(m=(p+c)/2)),m=(p=p*c==0?i:s<=180?i/2:i<360?(i+360)/2:(i-360)/2,s=1+.015*(c=Math.pow((o+l)/2-50,2))/Math.sqrt(20+c),i=1+.045*m,o=1,l=1+.015*m*((o-=.17*Math.cos((p-30)*ic))+.24*Math.cos(2*p*ic)+.32*Math.cos((3*p+6)*ic)-.2*Math.cos((4*p-63)*ic)),c=30*Math.exp(-1*Math.pow((p-275)/25,2)),2*Math.sqrt(D/(D+ac)));o=-1*Math.sin(2*c*ic)*m,p=Math.pow(d/(n*s),2),p=(p+=Math.pow(u/(r*i),2))+Math.pow(f/(a*l),2)+u/(r*i)*o*(f/(a*l));return Math.sqrt(p)}var cc=[[.819022437996703,.3619062600528904,-.1288737815209879],[.0329836539323885,.9292868615863434,.0361446663506424],[.0481771893596242,.2642395317527308,.6335478284694309]],dc=[[1.2268798758459243,-.5578149944602171,.2813910456659647],[-.0405757452148008,1.112286803280317,-.0717110580655164],[-.0763729366746601,-.4214933324022432,1.5869240198367816]],pc=[[.210454268309314,.7936177747023054,-.0040720430116193],[1.977998532431\
1684,-2.42859224204858,.450593709617411],[.0259040424655478,.7827717124575296,-.8086757549230774]],fc=[[1,.3963377773761749,.2158037573099136],[1,-.1055613458156586,-.0638541728258133],[1,-.0894841775298119,-1.2914855480194092]],Dc=new Wl({id:"oklab",name:"Oklab",coords:{l:{refRange:[0,1],name:"Lightness"},a:{refRange:[-.4,.4]},b:{refRange:[-.4,.4]}},white:"D65",base:Gl,fromBase:function(e){return e=hl(cc,e).map((function(e){return Math.cbrt(e)})),hl(pc,e)},toBase:function(e){return e=hl(fc,e).map((function(e){return Math.pow(e,3)})),hl(dc,e)},formats:{oklab:{coords:["<percentage> | <number>","<number> | <percentage>[-1,1]","<number> | <percentage>[-1,1]"]}}});function mc(e,t){e=(r=V($l([e,t]),2))[0],t=r[1];e=(r=V(Dc.from(e),3))[0];var n=r[1],r=r[2],a=(t=V(Dc.from(t),3))[0];n-=t[1],r-=t[2];return Math.sqrt(Math.pow(e-a,2)+Math.pow(n,2)+Math.pow(r,2))}var hc=75e-6;function gc(e,t){var n=void 0===(n=(2<arguments.length&&void 0!==arguments[2]?arguments[2]:{}).epsilon)?hc:n,r=(e=$l(e),t=t|\
|e.space,t=Wl.get(t),e.coords);return t!==e.space&&(r=t.from(e)),t.inGamut(r,{epsilon:n})}function bc(e){return{space:e.space,coords:e.coords.slice(),alpha:e.alpha}}function vc(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:"lab",r=(n=Wl.get(n)).from(e),a=n.from(t);return Math.sqrt(r.reduce((function(e,t,n){return n=a[n],isNaN(t)||isNaN(n)?e:e+Math.pow(n-t,2)}),0))}var yc=Math.PI/180,Fc=(Jt=new Wl({id:"xyz-abs-d65",cssId:"--xyz-abs-d65",name:"Absolute XYZ D65",coords:{x:{refRange:[0,9504.7],name:"Xa"},y:{refRange:[0,1e4],name:"Ya"},z:{refRange:[0,10888.3],name:"Za"}},base:Gl,fromBase:function(e){return e.map((function(e){return Math.max(203*e,0)}))},toBase:function(e){return e.map((function(e){return Math.max(e/203,0)}))}}),2610/Math.pow(2,14)),wc=Math.pow(2,14)/2610,Ec=3424/Math.pow(2,12),Cc=2413/Math.pow(2,7),xc=2392/Math.pow(2,7),Ac=1.7*2523/Math.pow(2,5),Nc=Math.pow(2,5)/(1.7*2523),kc=16295499532821565e-27,Bc=[[.41478972,.579999,.014648],[-.20151,1.120649,.053100\
8],[-.0166008,.2648,.6684799]],Tc=[[1.9242264357876067,-1.0047923125953657,.037651404030618],[.35031676209499907,.7264811939316552,-.06538442294808501],[-.09098281098284752,-.3127282905230739,1.5227665613052603]],Rc=[[.5,.5,0],[3.524,-4.066708,.542708],[.199076,1.096799,-1.295875]],Sc=[[1,.1386050432715393,.05804731615611886],[.9999999999999999,-.1386050432715393,-.05804731615611886],[.9999999999999998,-.09601924202631895,-.8118918960560388]],Oc=(fi=new Wl({id:"jzazbz",name:"Jzazbz",coords:{jz:{refRange:[0,1],name:"Jz"},az:{refRange:[-.5,.5]},bz:{refRange:[-.5,.5]}},base:Jt,fromBase:function(e){var t=(e=V(e,3))[0],n=e[1];e=e[2],n=hl(Bc,[1.15*t-(1.15-1)*e,.66*n-(.66-1)*t,e]).map((function(e){var t=Ec+Cc*Math.pow(e/1e4,Fc);e=1+xc*Math.pow(e/1e4,Fc);return Math.pow(t/e,Ac)})),e=(t=V(hl(Rc,n),3))[0],n=t[1],t=t[2];return[(1-.56)*e/(1+-.56*e)-kc,n,t]},toBase:function(e){var t=(e=V(e,3))[0],n=e[1];e=e[2],t=hl(Sc,[(t+kc)/(1-.56- -.56*(t+kc)),n,e]).map((function(e){var t=Ec-Math.pow(e,Nc);e=xc*\
Math.pow(e,Nc)-Cc;return 1e4*Math.pow(t/e,wc)})),e=(n=V(hl(Tc,t),3))[0],t=n[1];return[e=(e+(1.15-1)*(n=n[2]))/1.15,(t+(.66-1)*e)/.66,n]},formats:{color:{coords:["<number> | <percentage>","<number> | <percentage>[-1,1]","<number> | <percentage>[-1,1]"]}}}),new Wl({id:"jzczhz",name:"JzCzHz",coords:{jz:{refRange:[0,1],name:"Jz"},cz:{refRange:[0,1],name:"Chroma"},hz:{refRange:[0,360],type:"angle",name:"Hue"}},base:fi,fromBase:function(e){var t=(e=V(e,3))[0],n=e[1],r=(e=e[2],Math.abs(n)<2e-4&&Math.abs(e)<2e-4?NaN:180*Math.atan2(e,n)/Math.PI);return[t,Math.sqrt(Math.pow(n,2)+Math.pow(e,2)),nc(r)]},toBase:function(e){return[e[0],e[1]*Math.cos(e[2]*Math.PI/180),e[1]*Math.sin(e[2]*Math.PI/180)]}})),_c=2610/16384,Mc=[[.3592832590121217,.6976051147779502,-.035891593232029],[-.1920808463704993,1.100476797037432,.0753748658519118],[.0070797844607479,.0748396662186362,.8433265453898765]],Ic=[[.5,.5,0],[6610/4096,-13613/4096,7003/4096],[17933/4096,-17390/4096,-543/4096]],Pc=[[.9999999999999998,.00860\
90370379328,.111029625003026],[.9999999999999998,-.0086090370379328,-.1110296250030259],[.9999999999999998,.5600313357106791,-.3206271749873188]],jc=[[2.0701522183894223,-1.3263473389671563,.2066510476294053],[.3647385209748072,.6805660249472273,-.0453045459220347],[-.0497472075358123,-.0492609666966131,1.1880659249923042]],Lc=new Wl({id:"ictcp",name:"ICTCP",coords:{i:{refRange:[0,1],name:"I"},ct:{refRange:[-.5,.5],name:"CT"},cp:{refRange:[-.5,.5],name:"CP"}},base:Jt,fromBase:function(e){var t=e=hl(Mc,e);return t=e.map((function(e){var t=.8359375+2413/128*Math.pow(e/1e4,_c);e=1+18.6875*Math.pow(e/1e4,_c);return Math.pow(t/e,2523/32)})),hl(Ic,t)},toBase:function(e){return e=hl(Pc,e).map((function(e){var t=Math.max(Math.pow(e,32/2523)-.8359375,0);e=2413/128-18.6875*Math.pow(e,32/2523);return 1e4*Math.pow(t/e,16384/2610)})),hl(jc,e)}}),qc=(Xt=jl.D65,.42),zc=1/qc,Vc=2*Math.PI,Hc=[[.401288,.650173,-.051461],[-.250268,1.204414,.045854],[-.002079,.048952,.953127]],$c=[[1.8620678550872327,-1.0\
112546305316843,.14918677544445175],[.38752654323613717,.6214474419314753,-.008973985167612518],[-.015841498849333856,-.03412293802851557,1.0499644368778496]],Uc=[[460,451,288],[460,-891,-261],[460,-220,-6300]],Wc={dark:[.8,.525,.8],dim:[.9,.59,.9],average:[1,.69,1]},Gc={h:[20.14,90,164.25,237.53,380.14],e:[.8,.7,1,1.2,.8],H:[0,100,200,300,400]},Yc=180/Math.PI,Kc=Math.PI/180;function Xc(e,t){return e.map((function(e){var n=Sl(t*Math.abs(e)*.01,qc);return 400*Rl(n,e)/(n+27.13)}))}function Zc(e,t,n,r,a){var o={},u=(e=(o.discounting=a,o.refWhite=e,o.surround=r,e.map((function(e){return 100*e}))),o.la=t,o.yb=n,e[1]);t=hl(Hc,e),n=(r=Wc[o.surround])[0];o.c=r[1],o.nc=r[2];e=Math.pow(1/(5*o.la+1),4);var i=(o.fl=e*o.la+.1*(1-e)*(1-e)*Math.cbrt(5*o.la),o.flRoot=Math.pow(o.fl,.25),o.n=o.yb/u,o.z=1.48+Math.sqrt(o.n),o.nbb=.725*Math.pow(o.n,-.2),o.ncb=o.nbb,a?1:Math.max(Math.min(n*(1-1/3.6*Math.exp((-o.la-42)/92)),1),0));return o.dRgb=t.map((function(e){return Al(1,u/e,i)})),o.dRgbInv=o.dRgb.map((f\
unction(e){return 1/e})),r=Xc(t.map((function(e,t){return e*o.dRgb[t]})),o.fl),o.aW=o.nbb*(2*r[0]+r[1]+.05*r[2]),o}var Jc=Zc(Xt,64/Math.PI*.2,20,"average",!1);function Qc(e,t){if(!(void 0!==e.J^void 0!==e.Q))throw new Error("Conversion requires one and only one: 'J' or 'Q'");if(!(void 0!==e.C^void 0!==e.M^void 0!==e.s))throw new Error("Conversion requires one and only one: 'C', 'M' or 's'");var n,r,a,o,u,i,s;if(void 0!==e.h^void 0!==e.H)return 0===e.J||0===e.Q?[0,0,0]:(i=void(i=0)!==e.h?nc(e.h)*Kc:(a=((a=e.H)%400+400)%400,u=Math.floor(.01*a),a%=100,r=(n=V(Gc.h.slice(u,u+2),2))[0],n=n[1],o=(u=V(Gc.e.slice(u,u+2),2))[0],nc((a*((u=u[1])*r-o*n)-100*r*u)/(a*(u-o)-100*u))*Kc),n=Math.cos(i),r=Math.sin(i),void(a=0)!==e.J?a=.1*Sl(e.J,.5):void 0!==e.Q&&(a=.25*t.c*e.Q/((t.aW+4)*t.flRoot)),void(o=0)!==e.C?o=e.C/a:void 0!==e.M?o=e.M/t.flRoot/a:void 0!==e.s&&(o=4e-4*Math.pow(e.s,2)*(t.aW+4)/t.c),u=Sl(o*Math.pow(1.64-Math.pow(.29,t.n),-.73),10/9),e=.25*(Math.cos(i+2)+3.8),i=t.aW*Sl(a,2/t.c/t.z),e=5e4\
/13*t.nc*t.ncb*e,e=23*(.305+(i/=t.nbb))*Ol(u,23*e+u*(11*n+108*r)),i=hl(Uc,[i,e*n,e*r]).map((function(e){return+e/1403})),e=t.fl,s=100/e*Math.pow(27.13,zc),e=i.map((function(e){var t=Math.abs(e);return Rl(s*Sl(t/(400-t),zc),e)})),hl($c,e.map((function(e,n){return e*t.dRgbInv[n]}))).map((function(e){return e/100})));throw new Error("Conversion requires one and only one: 'h' or 'H'")}function ed(e,t){e=e.map((function(e){return 100*e})),e=Xc(hl(Hc,e).map((function(e,n){return e*t.dRgb[n]})),t.fl);var n,r,a,o,u,i=e[0]+(-12*e[1]+e[2])/11,s=(e[0]+e[1]-2*e[2])/9,l=(Math.atan2(s,i)%Vc+Vc)%Vc,c=.25*(Math.cos(2+l)+3.8),d=(c=Sl(5e4/13*t.nc*t.ncb*Ol(c*Math.sqrt(Math.pow(i,2)+Math.pow(s,2)),e[0]+e[1]+1.05*e[2]+.305),.9)*Math.pow(1.64-Math.pow(.29,t.n),.73),i=Sl(t.nbb*(2*e[0]+e[1]+.05*e[2])/t.aW,.5*t.c*t.z),s=100*Sl(i,2),e=4/t.c*i*(t.aW+4)*t.flRoot,(i=c*i)*t.flRoot),p=(l=nc(l*Yc),(n=nc(n=l))<=Gc.h[0]&&(n+=360),r=_l(Gc.h,n)-1,a=(o=V(Gc.h.slice(r,2+r),2))[0],o=o[1],p=(u=V(Gc.e.slice(r,2+r),2))[0],u=u[\
1],a=(n-a)/p,Gc.H[r]+100*a/(a+(o-n)/u));return{J:s,C:i,h:l,s:50*Sl(t.c*c/(t.aW+4),.5),Q:e,M:d,H:p}}Kt=new Wl({id:"cam16-jmh",cssId:"--cam16-jmh",name:"CAM16-JMh",coords:{j:{refRange:[0,100],name:"J"},m:{refRange:[0,105],name:"Colorfulness"},h:{refRange:[0,360],type:"angle",name:"Hue"}},base:Gl,fromBase:function(e){return[(e=ed(e,Jc)).J,e.M,e.h]},toBase:function(e){return Qc({J:e[0],M:e[1],h:e[2]},Jc)}}),Ut=jl.D65;var td=24389/27;function nd(e){return 8<e?Math.pow((e+16)/116,3):e/td}var rd=Zc(Ut,200/Math.PI*nd(50),100*nd(50),"average",!1),ad=new Wl({id:"hct",name:"HCT",coords:{h:{refRange:[0,360],type:"angle",name:"Hue"},c:{refRange:[0,145],name:"Colorfulness"},t:{refRange:[0,100],name:"Tone"}},base:Gl,fromBase:function(e){var t=116*(.008856451679035631<(t=e[1])?Math.cbrt(t):(td*t+16)/116)-16;return 0==t?[0,0,0]:[nc((e=ed(e,rd)).h),e.C,t]},toBase:function(e){var t=rd,n=(e=V(e,3))[0],r=e[1],a=0;if(0===(e=e[2]))return[0,0,0];for(var o=nd(e),u=(a=0<e?.00379058511492914*Math.pow(e,2)+.60898\
3189401032*e+.9155088574762233:9514440756550361e-21*Math.pow(e,2)+.08693057439788597*e-21.928975842194614,0),i=1/0;u<=15;){var s=Qc({J:a,C:r,h:n},t),l=Math.abs(s[1]-o);if(l<i){if(l<=2e-12)return s;i=l}a-=(s[1]-o)*a/(2*s[1]),u+=1}return Qc({J:a,C:r,h:n},t)},formats:{color:{id:"--hct",coords:["<number> | <angle>","<percentage> | <number>","<percentage> | <number>"]}}}),od=Math.PI/180,ud=[1,.007,.0228];function id(e){e[1]<0&&(e=ad.fromBase(ad.toBase(e)));var t=Math.log(Math.max(1+ud[2]*e[1]*rd.flRoot,1))/ud[2],n=e[0]*od,r=t*Math.cos(n);t*=Math.sin(n);return[e[2],r,t]}var sd={deltaE76:function(e,t){return vc(e,t,"lab")},deltaECMC:function(e,t){var n=void 0===(n=(r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{}).l)?2:n,r=void 0===(r=r.c)?1:r;e=(u=V($l([e,t]),2))[0],t=u[1];var a=(u=V(tc.from(e),3))[0],o=u[1],u=u[2],i=(s=V(rc.from(tc,[a,o,u]),3))[1],s=s[2],l=(d=V(tc.from(t),3))[0],c=d[1],d=d[2],p=rc.from(tc,[l,c,d])[1];l=a-l,p=(i=i<0?0:i)-(p=p<0?0:p),u-=d,d=Math.pow(o-c,2)+Math.pow\
(u,2)-Math.pow(p,2),o=.511,16<=a&&(o=.040975*a/(1+.01765*a)),c=.0638*i/(1+.0131*i)+.638,u=164<=(s=Number.isNaN(s)?0:s)&&s<=345?.56+Math.abs(.2*Math.cos((s+168)*yc)):.36+Math.abs(.4*Math.cos((s+35)*yc)),a=Math.pow(i,4),i=c*((s=Math.sqrt(a/(a+1900)))*u+1-s),a=Math.pow(l/(n*o),2),a=(a+=Math.pow(p/(r*c),2))+d/Math.pow(i,2);return Math.sqrt(a)},deltaE2000:lc,deltaEJz:function(e,t){e=(r=V($l([e,t]),2))[0],t=r[1];e=(r=V(Oc.from(e),3))[0];var n=r[1],r=r[2],a=(t=V(Oc.from(t),3))[0],o=t[1];t=t[2],e-=a,a=n-o,Number.isNaN(r)&&Number.isNaN(t)?t=r=0:Number.isNaN(r)?r=t:Number.isNaN(t)&&(t=r),r-=t,t=2*Math.sqrt(n*o)*Math.sin(r/2*(Math.PI/180));return Math.sqrt(Math.pow(e,2)+Math.pow(a,2)+Math.pow(t,2))},deltaEITP:function(e,t){e=(r=V($l([e,t]),2))[0],t=r[1];e=(r=V(Lc.from(e),3))[0];var n=r[1],r=r[2],a=(t=V(Lc.from(t),3))[0],o=t[1];t=t[2];return 720*Math.sqrt(Math.pow(e-a,2)+.25*Math.pow(n-o,2)+Math.pow(r-t,2))},deltaEOK:mc,deltaEHCT:function(e,t){e=(r=V($l([e,t]),2))[0],t=r[1];e=(r=V(id(ad.from(e)),3\
))[0];var n=r[1],r=r[2],a=(t=V(id(ad.from(t)),3))[0],o=t[1];t=t[2];return Math.sqrt(Math.pow(e-a,2)+Math.pow(n-o,2)+Math.pow(r-t,2))}},ld={hct:{method:"hct.c",jnd:2,deltaEMethod:"hct",blackWhiteClamp:{}},"hct-tonal":{method:"hct.c",jnd:0,deltaEMethod:"hct",blackWhiteClamp:{channel:"hct.t",min:0,max:100}}};function cd(e){var t,n,r,a=void 0===(a=(s=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).method)?Pl.gamut_mapping:a,o=void 0===(r=s.space)?void 0:r,u=void 0===(r=s.deltaEMethod)?"":r,i=void 0===(r=s.jnd)?2:r,s=void 0===(r=s.blackWhiteClamp)?{}:r;if(e=$l(e),o=gl(arguments[1])?arguments[1]:o||e.space,!gc(e,o=Wl.get(o),{epsilon:0})){if("css"===a)t=function(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).space;e=$l(e),t=t||e.space,t=Wl.get(t);var n=Wl.get("oklch");if(t.isUnbounded)return pd(e,t);var r,a=(n=pd(e,n)).coords[0];if(1<=a)return(r=pd(dd.WHITE,t)).alpha=e.alpha,pd(r,t);if(a<=0)return(r=pd(dd.BLACK,t)).alpha=e.alpha,pd(r,t);if(gc(n,t,{epsilon:0}))\
return pd(n,t);function o(e){e=pd(e,t);var n=Object.values(t.coords);return e.coords=e.coords.map((function(e,t){return"range"in n[t]?Tl((t=V(n[t].range,2))[0],e,t[1]):e})),e}var u=0,i=n.coords[1],s=!0,l=bc(n),c=o(l),d=mc(c,l);if(!(d<.02))for(;1e-4<i-u;){var p=(u+i)/2;if(l.coords[1]=p,s&&gc(l,t,{epsilon:0}))u=p;else if((d=mc(c=o(l),l))<.02){if(.02-d<1e-4)break;s=!1,u=p}else i=p}return c}(e,{space:o});else{if("clip"===a||gc(e,o))t=pd(e,o);else{Object.prototype.hasOwnProperty.call(ld,a)&&(a=(r=ld[a]).method,i=r.jnd,u=r.deltaEMethod,s=r.blackWhiteClamp);var l=lc;if(""!==u)for(var c in sd)if("deltae"+u.toLowerCase()===c.toLowerCase()){l=sd[c];break}if(l(e,r=cd(pd(e,o),{method:"clip",space:o}))>i){if(3===Object.keys(s).length){if((d=yl(d=Xl(pd(e,(d=Wl.resolveCoord(s.channel)).space),d.id))?0:d)>=s.max)return pd({space:"xyz-d65",coords:jl.D65},e.space);if(d<=s.min)return pd({space:"xyz-d65",coords:[0,0,0]},e.space)}s=(d=Wl.resolveCoord(a)).space;var d,p=d.id,f=pd(e,s);f.coords.forEach((funct\
ion(e,t){yl(e)&&(f.coords[t]=0)}));s=(d.range||d.refRange)[0];for(var D=(d=(d=i)?Math.floor(Math.log10(Math.abs(d))):0,Math.max(parseFloat("1e".concat(d-2)),1e-6)),m=s,h=Xl(f,p);D<h-m;){var g=cd(bc(f),{space:o,method:"clip"});l(f,g)-i<D?m=Xl(f,p):h=Xl(f,p),Jl(f,p,(m+h)/2)}t=pd(f,o)}else t=r}"clip"!==a&&gc(t,o,{epsilon:0})||(n=Object.values(o.coords).map((function(e){return e.range||[]})),t.coords=t.coords.map((function(e,t){var r=(t=V(n[t],2))[0];t=t[1];return void 0!==r&&(e=Math.max(r,e)),void 0!==t?Math.min(e,t):e})))}o!==e.space&&(t=pd(t,e.space)),e.coords=t.coords}return e}var dd={WHITE:{space:Dc,coords:[1,0,0]},BLACK:{space:Dc,coords:[0,0,0]}};function pd(e,t){var n=(2<arguments.length&&void 0!==arguments[2]?arguments[2]:{}).inGamut,r=(e=$l(e),(t=Wl.get(t)).from(e));r={space:t,coords:r,alpha:e.alpha};return n?cd(r,!0===n?void 0:n):r}function fd(e){var t=void 0===(n=(a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).precision)?Pl.precision:n,n=void 0===(n=a.format)?"defa\
ult":n,r=void 0===(r=a.inGamut)||r,a=j(a,m),o=n,u=(n=null!=(u=null!=(u=(e=$l(e)).space.getFormat(n))?u:e.space.getFormat("default"))?u:Wl.DEFAULT_FORMAT,e.coords.slice());if((r=r||n.toGamut)&&!gc(e)&&(u=cd(bc(e),!0===r?void 0:r).coords),"custom"===n.type){if(a.precision=t,!n.serialize)throw new TypeError("format ".concat(o," can only be used to parse colors, not for serialization"));i=n.serialize(u,e.alpha,a)}else{r=n.name||"color",o=(n.serializeCoords?u=n.serializeCoords(u,t):null!==t&&(u=u.map((function(e){return vl(e,{precision:t})}))),L(u)),a=("color"===r&&(u=n.id||(null==(a=n.ids)?void 0:a[0])||e.space.id,o.unshift(u)),e.alpha),u=(null!==t&&(a=vl(a,{precision:t})),1<=e.alpha||n.noAlpha?"":"".concat(n.commas?",":" /"," ").concat(a));var i="".concat(r,"(").concat(o.join(n.commas?", ":" ")).concat(u,")")}return i}pd.returns=cd.returns="color";oe=new gr({id:"rec2020-linear",cssId:"--rec2020-linear",name:"Linear REC.2020",white:"D65",toXYZ_M:[[.6369580483012914,.14461690358620832,.1688\
809751641721],[.2627002120112671,.6779980715188708,.05930171646986196],[0,.028072693049087428,1.060985057710791]],fromXYZ_M:[[1.716651187971268,-.355670783776392,-.25336628137366],[-.666684351832489,1.616481236634939,.0157685458139111],[.017639857445311,-.042770613257809,.942103121235474]]});var Dd,md=1.09929682680944,hd=.018053968510807,gd=(Xt=new gr({id:"rec2020",name:"REC.2020",base:oe,toBase:function(e){return e.map((function(e){return e<4.5*hd?e/4.5:Math.pow((e+md-1)/md,1/.45)}))},fromBase:function(e){return e.map((function(e){return hd<=e?md*Math.pow(e,.45)-(md-1):4.5*e}))}}),Ut=new gr({id:"p3-linear",cssId:"--display-p3-linear",name:"Linear P3",white:"D65",toXYZ_M:[[.4865709486482162,.26566769316909306,.1982172852343625],[.2289745640697488,.6917385218365064,.079286914093745],[0,.04511338185890264,1.043944368900976]],fromXYZ_M:[[2.493496911941425,-.9313836179191239,-.40271078445071684],[-.8294889695615747,1.7626640603183463,.023624685841943577],[.03584583024378447,-.0761723892680\
4182,.9568845240076872]]}),new gr({id:"srgb-linear",name:"Linear sRGB",white:"D65",toXYZ_M:[[.41239079926595934,.357584339383878,.1804807884018343],[.21263900587151027,.715168678767756,.07219231536073371],[.01933081871559182,.11919477979462598,.9505321522496607]],fromXYZ_M:bp=[[3.2409699419045226,-1.537383177570094,-.4986107602930034],[-.9692436362808796,1.8759675015077202,.04155505740717559],[.05563007969699366,-.20397695888897652,1.0569715142428786]]})),bd={aliceblue:[240/255,248/255,1],antiquewhite:[250/255,235/255,215/255],aqua:[0,1,1],aquamarine:[127/255,1,212/255],azure:[240/255,1,1],beige:[245/255,245/255,220/255],bisque:[1,228/255,196/255],black:[0,0,0],blanchedalmond:[1,235/255,205/255],blue:[0,0,1],blueviolet:[138/255,43/255,226/255],brown:[165/255,42/255,42/255],burlywood:[222/255,184/255,135/255],cadetblue:[95/255,158/255,160/255],chartreuse:[127/255,1,0],chocolate:[210/255,105/255,30/255],coral:[1,127/255,80/255],cornflowerblue:[100/255,149/255,237/255],cornsilk:[1,248/255\
,220/255],crimson:[220/255,20/255,60/255],cyan:[0,1,1],darkblue:[0,0,139/255],darkcyan:[0,139/255,139/255],darkgoldenrod:[184/255,134/255,11/255],darkgray:[169/255,169/255,169/255],darkgreen:[0,100/255,0],darkgrey:[169/255,169/255,169/255],darkkhaki:[189/255,183/255,107/255],darkmagenta:[139/255,0,139/255],darkolivegreen:[85/255,107/255,47/255],darkorange:[1,140/255,0],darkorchid:[.6,50/255,.8],darkred:[139/255,0,0],darksalmon:[233/255,150/255,122/255],darkseagreen:[143/255,188/255,143/255],darkslateblue:[72/255,61/255,139/255],darkslategray:[47/255,79/255,79/255],darkslategrey:[47/255,79/255,79/255],darkturquoise:[0,206/255,209/255],darkviolet:[148/255,0,211/255],deeppink:[1,20/255,147/255],deepskyblue:[0,191/255,1],dimgray:[105/255,105/255,105/255],dimgrey:[105/255,105/255,105/255],dodgerblue:[30/255,144/255,1],firebrick:[178/255,34/255,34/255],floralwhite:[1,250/255,240/255],forestgreen:[34/255,139/255,34/255],fuchsia:[1,0,1],gainsboro:[220/255,220/255,220/255],ghostwhite:[248/255,2\
48/255,1],gold:[1,215/255,0],goldenrod:[218/255,165/255,32/255],gray:[128/255,128/255,128/255],green:[0,128/255,0],greenyellow:[173/255,1,47/255],grey:[128/255,128/255,128/255],honeydew:[240/255,1,240/255],hotpink:[1,105/255,180/255],indianred:[205/255,92/255,92/255],indigo:[75/255,0,130/255],ivory:[1,1,240/255],khaki:[240/255,230/255,140/255],lavender:[230/255,230/255,250/255],lavenderblush:[1,240/255,245/255],lawngreen:[124/255,252/255,0],lemonchiffon:[1,250/255,205/255],lightblue:[173/255,216/255,230/255],lightcoral:[240/255,128/255,128/255],lightcyan:[224/255,1,1],lightgoldenrodyellow:[250/255,250/255,210/255],lightgray:[211/255,211/255,211/255],lightgreen:[144/255,238/255,144/255],lightgrey:[211/255,211/255,211/255],lightpink:[1,182/255,193/255],lightsalmon:[1,160/255,122/255],lightseagreen:[32/255,178/255,170/255],lightskyblue:[135/255,206/255,250/255],lightslategray:[119/255,136/255,.6],lightslategrey:[119/255,136/255,.6],lightsteelblue:[176/255,196/255,222/255],lightyellow:[1,1\
,224/255],lime:[0,1,0],limegreen:[50/255,205/255,50/255],linen:[250/255,240/255,230/255],magenta:[1,0,1],maroon:[128/255,0,0],mediumaquamarine:[.4,205/255,170/255],mediumblue:[0,0,205/255],mediumorchid:[186/255,85/255,211/255],mediumpurple:[147/255,112/255,219/255],mediumseagreen:[60/255,179/255,113/255],mediumslateblue:[123/255,104/255,238/255],mediumspringgreen:[0,250/255,154/255],mediumturquoise:[72/255,209/255,.8],mediumvioletred:[199/255,21/255,133/255],midnightblue:[25/255,25/255,112/255],mintcream:[245/255,1,250/255],mistyrose:[1,228/255,225/255],moccasin:[1,228/255,181/255],navajowhite:[1,222/255,173/255],navy:[0,0,128/255],oldlace:[253/255,245/255,230/255],olive:[128/255,128/255,0],olivedrab:[107/255,142/255,35/255],orange:[1,165/255,0],orangered:[1,69/255,0],orchid:[218/255,112/255,214/255],palegoldenrod:[238/255,232/255,170/255],palegreen:[152/255,251/255,152/255],paleturquoise:[175/255,238/255,238/255],palevioletred:[219/255,112/255,147/255],papayawhip:[1,239/255,213/255],p\
eachpuff:[1,218/255,185/255],peru:[205/255,133/255,63/255],pink:[1,192/255,203/255],plum:[221/255,160/255,221/255],powderblue:[176/255,224/255,230/255],purple:[128/255,0,128/255],rebeccapurple:[.4,.2,.6],red:[1,0,0],rosybrown:[188/255,143/255,143/255],royalblue:[65/255,105/255,225/255],saddlebrown:[139/255,69/255,19/255],salmon:[250/255,128/255,114/255],sandybrown:[244/255,164/255,96/255],seagreen:[46/255,139/255,87/255],seashell:[1,245/255,238/255],sienna:[160/255,82/255,45/255],silver:[192/255,192/255,192/255],skyblue:[135/255,206/255,235/255],slateblue:[106/255,90/255,205/255],slategray:[112/255,128/255,144/255],slategrey:[112/255,128/255,144/255],snow:[1,250/255,250/255],springgreen:[0,1,127/255],steelblue:[70/255,130/255,180/255],tan:[210/255,180/255,140/255],teal:[0,128/255,128/255],thistle:[216/255,191/255,216/255],tomato:[1,99/255,71/255],turquoise:[64/255,224/255,208/255],violet:[238/255,130/255,238/255],wheat:[245/255,222/255,179/255],white:[1,1,1],whitesmoke:[245/255,245/255\
,245/255],yellow:[1,1,0],yellowgreen:[154/255,205/255,50/255]},vd=new gr({id:"srgb",name:"sRGB",base:gd,fromBase:function(e){return e.map((function(e){var t=e<0?-1:1,n=e*t;return.0031308<n?t*(1.055*Math.pow(n,1/2.4)-.055):12.92*e}))},toBase:function(e){return e.map((function(e){var t=e<0?-1:1,n=e*t;return n<=.04045?e/12.92:t*Math.pow((.055+n)/1.055,2.4)}))},formats:{rgb:{coords:vd=Array(3).fill("<percentage> | <number>[0, 255]")},rgb_number:{name:"rgb",commas:!0,coords:yd=Array(3).fill("<number>[0, 255]"),noAlpha:!0},color:{},rgba:{coords:vd,commas:!0,lastAlpha:!0},rgba_number:{name:"rgba",commas:!0,coords:yd},hex:{type:"custom",toGamut:!0,test:function(e){return/^#([a-f0-9]{3,4}){1,2}$/i.test(e)},parse:function(e){e.length<=5&&(e=e.replace(/[a-f0-9]/gi,"$&$&"));var t=[];return e.replace(/[a-f0-9]{2}/gi,(function(e){t.push(parseInt(e,16)/255)})),{spaceId:"srgb",coords:t.slice(0,3),alpha:t.slice(3)[0]}},serialize:function(e,t){var n=void 0===(n=(2<arguments.length&&void 0!==arguments[2]\
?arguments[2]:{}).collapse)||n,r=(t<1&&e.push(t),e=e.map((function(e){return Math.round(255*e)})),n&&e.every((function(e){return e%17==0})));return"#"+e.map((function(e){return r?(e/17).toString(16):e.toString(16).padStart(2,"0")})).join("")}},keyword:{type:"custom",test:function(e){return/^[a-z]+$/i.test(e)},parse:function(e){var t={spaceId:"srgb",coords:null,alpha:1};if("transparent"===(e=e.toLowerCase())?(t.coords=bd.black,t.alpha=0):t.coords=bd[e],t.coords)return t}}}}),yd=new gr({id:"p3",cssId:"display-p3",name:"P3",base:Ut,fromBase:vd.fromBase,toBase:vd.toBase});if(Pl.display_space=vd,"undefined"!=typeof CSS&&CSS.supports)for(var Fd=0,wd=[tc,Xt,yd];Fd<wd.length;Fd++){var Ed=wd[Fd],Cd=Ed.getMinCoords();Cd=fd({space:Ed,coords:Cd,alpha:1});if(CSS.supports("color",Cd)){Pl.display_space=Ed;break}}function xd(e){return Xl(e,[Gl,"y"])}function Ad(e,t){Jl(e,[Gl,"y"],t)}var Nd=Object.freeze({__proto__:null,getLuminance:xd,register:function(e){Object.defineProperty(e.prototype,"luminance",\
{get:function(){return xd(this)},set:function(e){Ad(this,e)}})},setLuminance:Ad});function kd(e){return.022<=e?e:e+Math.pow(.022-e,1.414)}function Bd(e){var t=e<0?-1:1;e=Math.abs(e);return t*Math.pow(e,2.4)}var Td=24389/27,Rd=jl.D65,Sd=new Wl({id:"lab-d65",name:"Lab D65",coords:{l:{refRange:[0,100],name:"Lightness"},a:{refRange:[-125,125]},b:{refRange:[-125,125]}},white:Rd,base:Gl,fromBase:function(e){return e=e.map((function(e,t){return e/Rd[t]})).map((function(e){return 216/24389<e?Math.cbrt(e):(Td*e+16)/116})),[116*e[1]-16,500*(e[0]-e[1]),200*(e[1]-e[2])]},toBase:function(e){var t=[];return t[1]=(e[0]+16)/116,t[0]=e[1]/500+t[1],t[2]=t[1]-e[2]/200,[24/116<t[0]?Math.pow(t[0],3):(116*t[0]-16)/Td,8<e[0]?Math.pow((e[0]+16)/116,3):e[0]/Td,24/116<t[2]?Math.pow(t[2],3):(116*t[2]-16)/Td].map((function(e,t){return e*Rd[t]}))},formats:{"lab-d65":{coords:["<number> | <percentage>","<number> | <percentage>[-1,1]","<number> | <percentage>[-1,1]"]}}}),Od=.5*Math.pow(5,.5)+.5,_d=Object.freeze({__pr\
oto__:null,contrastAPCA:function(e,t){t=$l(t),e=$l(e);var n=(t=V((t=pd(t,"srgb")).coords,3))[0],r=t[1],a=(t=t[2],.2126729*Bd(n)+.7151522*Bd(r)+.072175*Bd(t));n=(e=V((e=pd(e,"srgb")).coords,3))[0],r=e[1],t=e[2],e=.2126729*Bd(n)+.7151522*Bd(r)+.072175*Bd(t),t=(n=kd(a))<(r=kd(e)),a=Math.abs(r-n)<5e-4?0:t?1.14*(Math.pow(r,.56)-Math.pow(n,.57)):1.14*(Math.pow(r,.65)-Math.pow(n,.62));return 100*(Math.abs(a)<.1?0:0<a?a-.027:a+.027)},contrastDeltaPhi:function(e,t){return e=$l(e),t=$l(t),e=Xl(e,[Sd,"l"]),t=Xl(t,[Sd,"l"]),e=Math.abs(Math.pow(e,Od)-Math.pow(t,Od)),(t=Math.pow(e,1/Od)*Math.SQRT2-40)<7.5?0:t},contrastLstar:function(e,t){return e=$l(e),t=$l(t),e=Xl(e,[tc,"l"]),t=Xl(t,[tc,"l"]),Math.abs(e-t)},contrastMichelson:function(e,t){e=$l(e),t=$l(t);var n=((e=Math.max(xd(e),0))<(t=Math.max(xd(t),0))&&(e=(n=[t,e])[0],t=n[1]),e+t);return 0===n?0:(e-t)/n},contrastWCAG21:function(e,t){var n;return e=$l(e),t=$l(t),(e=Math.max(xd(e),0))<(t=Math.max(xd(t),0))&&(e=(n=[t,e])[0],t=n[1]),(e+.05)/(t+.05)}\
,contrastWeber:function(e,t){var n;return e=$l(e),t=$l(t),(e=Math.max(xd(e),0))<(t=Math.max(xd(t),0))&&(e=(n=[t,e])[0],t=n[1]),0===t?5e4:(e-t)/t}});function Md(e){var t=(e=V(Kl(e,Gl),3))[0],n=e[1];return[4*t/(e=t+15*n+3*e[2]),9*n/e]}function Id(e){var t=(e=V(Kl(e,Gl),3))[0],n=e[1];return[t/(e=t+n+e[2]),n/e]}var Pd=Object.freeze({__proto__:null,register:function(e){Object.defineProperty(e.prototype,"uv",{get:function(){return Md(this)}}),Object.defineProperty(e.prototype,"xy",{get:function(){return Id(this)}})},uv:Md,xy:Id});function jd(e,t){var n,r,a=(r=r=gl(r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{})?{method:r}:r).method,o=void 0===a?Pl.deltaE:a,u=j(r,b);for(n in sd)if("deltae"+o.toLowerCase()===n.toLowerCase())return sd[n](e,t,u);throw new TypeError("Unknown deltaE method: ".concat(o))}var Ld=Object.freeze({__proto__:null,darken:function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:.25;return Jl(e,[Wl.get("oklch","lch"),"l"],(function(e){return e*(\
1-t)}))},lighten:function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:.25;return Jl(e,[Wl.get("oklch","lch"),"l"],(function(e){return e*(1+t)}))}});function qd(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:.5,r=3<arguments.length&&void 0!==arguments[3]?arguments[3]:{},a=[$l(e),$l(t)];return e=a[0],t=a[1],"object"===bl(n)&&(n=(a=[.5,n])[0],r=a[1]),Vd(e,t,r)(n)}function zd(e,t){var n,r,a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{},o=(l=(Hd(e)&&(a=t,e=(l=V((n=e).rangeArgs.colors,2))[0],t=l[1]),a)).maxDeltaE,u=l.deltaEMethod,i=(a=void 0===(a=l.steps)?2:a,void 0===(s=l.maxSteps)?1e3:s),s=j(l,v),l=(n||(e=(l=[$l(e),$l(t)])[0],t=l[1],n=Vd(e,t,s)),jd(e,t)),c=(s=0<o?Math.max(a,Math.ceil(l/o)+1):a,[]);if(void 0!==i&&(s=Math.min(s,i)),c=1===s?[{p:.5,color:n(.5)}]:(r=1/(s-1),Array.from({length:s},(function(e,t){return{p:t*=r,color:n(t)}}))),0<o)for(var d=c.reduce((function(e,t,n){return 0===n?0:(t=jd(t.color,c[n-1].color,u),Math.max(e,t))}),0);o\
<d;){d=0;for(var p=1;p<c.length&&c.length<i;p++){var f=c[p-1],D=c[p],m=(D.p+f.p)/2,h=n(m);d=Math.max(d,jd(h,f.color),jd(h,D.color));c.splice(p,0,{p:m,color:n(m)}),p++}}return c=c.map((function(e){return e.color}))}function Vd(e,t){var n,r,a,o,u,i,s,l,c,d,p,f,D=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{};return Hd(e)?(a=e,o=t,Vd.apply(void 0,L(a.rangeArgs.colors).concat([z({},a.rangeArgs.options,o)]))):(p=D.space,f=D.outputSpace,n=D.progression,r=D.premultiplied,e=$l(e),t=$l(t),e=bc(e),t=bc(t),a={colors:[e,t],options:D},p=p?Wl.get(p):Wl.registry[Pl.interpolationSpace]||e.space,f=f?Wl.get(f):p,e=pd(e,p),t=pd(t,p),e=cd(e),t=cd(t),p.coords.h&&"angle"===p.coords.h.type&&(o=D.hue=D.hue||"shorter",u=(i=[Xl(e,D=[p,"h"]),Xl(t,D)])[0],i=i[1],isNaN(u)&&!isNaN(i)?u=i:isNaN(i)&&!isNaN(u)&&(i=u),l=[u,i],s="raw"===(s=o)?l:(c=(l=V(l.map(nc),2))[0],d=(l=l[1])-c,"increasing"===s?d<0&&(l+=360):"decreasing"===s?0<d&&(c+=360):"longer"===s?-180<d&&d<180&&(0<d?c+=360:l+=360):"shorter"===s&&(180\
<d?c+=360:d<-180&&(l+=360)),[c,l]),u=(d=V(s,2))[0],i=d[1],Jl(e,D,u),Jl(t,D,i)),r&&(e.coords=e.coords.map((function(t){return t*e.alpha})),t.coords=t.coords.map((function(e){return e*t.alpha}))),Object.assign((function(a){a=n?n(a):a;var o=e.coords.map((function(e,n){return Al(e,t.coords[n],a)})),u=Al(e.alpha,t.alpha,a);o={space:p,coords:o,alpha:u};return r&&(o.coords=o.coords.map((function(e){return e/u}))),f!==p?pd(o,f):o}),{rangeArgs:a}))}function Hd(e){return"function"===bl(e)&&!!e.rangeArgs}Pl.interpolationSpace="lab";var $d=Object.freeze({__proto__:null,isRange:Hd,mix:qd,range:Vd,register:function(e){e.defineFunction("mix",qd,{returns:"color"}),e.defineFunction("range",Vd,{returns:"function<color>"}),e.defineFunction("steps",zd,{returns:"array<color>"})},steps:zd}),Ud=new Wl({id:"hsl",name:"HSL",coords:{h:{refRange:[0,360],type:"angle",name:"Hue"},s:{range:[0,100],name:"Saturation"},l:{range:[0,100],name:"Lightness"}},base:vd,fromBase:function(e){var t=Math.max.apply(Math,L(e)),n=M\
ath.min.apply(Math,L(e)),r=(e=V(e,3))[0],a=e[1],o=e[2],u=NaN,i=(e=0,(n+t)/2),s=t-n;if(0!=s){switch(e=0==i||1==i?0:(t-i)/Math.min(i,1-i),t){case r:u=(a-o)/s+(a<o?6:0);break;case a:u=(o-r)/s+2;break;case o:u=(r-a)/s+4}u*=60}return e<0&&(u+=180,e=Math.abs(e)),360<=u&&(u-=360),[u,100*e,100*i]},toBase:function(e){var t=(e=V(e,3))[0],n=e[1],r=e[2];function a(e){e=(e+t/30)%12;var a=n*Math.min(r,1-r);return r-a*Math.max(-1,Math.min(e-3,9-e,1))}return(t%=360)<0&&(t+=360),n/=100,r/=100,[a(0),a(8),a(4)]},formats:{hsl:{coords:["<number> | <angle>","<percentage>","<percentage>"]},hsla:{coords:["<number> | <angle>","<percentage>","<percentage>"],commas:!0,lastAlpha:!0}}}),Wd=new Wl({id:"hsv",name:"HSV",coords:{h:{refRange:[0,360],type:"angle",name:"Hue"},s:{range:[0,100],name:"Saturation"},v:{range:[0,100],name:"Value"}},base:Ud,fromBase:function(e){var t=(e=V(e,3))[0],n=e[1];e=e[2];return[t,0==(n=(e/=100)+(n/=100)*Math.min(e,1-e))?0:200*(1-e/n),100*n]},toBase:function(e){var t=(e=V(e,3))[0],n=e[1];\
e=e[2];return[t,0==(n=(e/=100)*(1-(n/=100)/2))||1==n?0:(e-n)/Math.min(n,1-n)*100,100*n]},formats:{color:{id:"--hsv",coords:["<number> | <angle>","<percentage> | <number>","<percentage> | <number>"]}}}),Gd=new Wl({id:"hwb",name:"HWB",coords:{h:{refRange:[0,360],type:"angle",name:"Hue"},w:{range:[0,100],name:"Whiteness"},b:{range:[0,100],name:"Blackness"}},base:Wd,fromBase:function(e){var t=(e=V(e,3))[0],n=e[1];return[t,(e=e[2])*(100-n)/100,100-e]},toBase:function(e){var t=(e=V(e,3))[0],n=e[1],r=(e=e[2],(n/=100)+(e/=100));return 1<=r?[t,0,n/r*100]:[t,100*(0==(r=1-e)?0:1-n/r),100*r]},formats:{hwb:{coords:["<number> | <angle>","<percentage> | <number>","<percentage> | <number>"]}}}),Yd=new gr({id:"a98rgb-linear",cssId:"--a98-rgb-linear",name:"Linear Adobe® 98 RGB compatible",white:"D65",toXYZ_M:[[.5766690429101305,.1855582379065463,.1882286462349947],[.29734497525053605,.6273635662554661,.07529145849399788],[.02703136138641234,.07068885253582723,.9913375368376388]],fromXYZ_M:[[2.0415879038\
107465,-.5650069742788596,-.34473135077832956],[-.9692436362808795,1.8759675015077202,.04155505740717557],[.013444280632031142,-.11836239223101838,1.0151749943912054]]}),Kd=new gr({id:"a98rgb",cssId:"a98-rgb",name:"Adobe® 98 RGB compatible",base:Yd,toBase:function(e){return e.map((function(e){return Math.pow(Math.abs(e),563/256)*Math.sign(e)}))},fromBase:function(e){return e.map((function(e){return Math.pow(Math.abs(e),256/563)*Math.sign(e)}))}}),Xd=new gr({id:"prophoto-linear",cssId:"--prophoto-rgb-linear",name:"Linear ProPhoto",white:"D50",base:Zt,toXYZ_M:[[.7977666449006423,.13518129740053308,.0313477341283922],[.2880748288194013,.711835234241873,8993693872564e-17],[0,0,.8251046025104602]],fromXYZ_M:[[1.3457868816471583,-.25557208737979464,-.05110186497554526],[-.5446307051249019,1.5082477428451468,.02052744743642139],[0,0,1.2119675456389452]]}),Zd=new gr({id:"prophoto",cssId:"prophoto-rgb",name:"ProPhoto",base:Xd,toBase:function(e){return e.map((function(e){return e<.03125?e/16:Mat\
h.pow(e,1.8)}))},fromBase:function(e){return e.map((function(e){return 1/512<=e?Math.pow(e,1/1.8):16*e}))}}),Jd=new Wl({id:"oklch",name:"Oklch",coords:{l:{refRange:[0,1],name:"Lightness"},c:{refRange:[0,.4],name:"Chroma"},h:{refRange:[0,360],type:"angle",name:"Hue"}},white:"D65",base:Dc,fromBase:function(e){var t=(e=V(e,3))[0],n=e[1],r=(e=e[2],Math.abs(n)<2e-4&&Math.abs(e)<2e-4?NaN:180*Math.atan2(e,n)/Math.PI);return[t,Math.sqrt(Math.pow(n,2)+Math.pow(e,2)),nc(r)]},toBase:function(e){var t,n=(e=V(e,3))[0],r=e[1];e=e[2],r=isNaN(e)?t=0:(t=r*Math.cos(e*Math.PI/180),r*Math.sin(e*Math.PI/180));return[n,t,r]},formats:{oklch:{coords:["<percentage> | <number>","<number> | <percentage>[0,1]","<number> | <angle>"]}}}),Qd=jl.D65,ep=(np=V(Md({space:Gl,coords:Qd}),2))[0],tp=np[1],np=new Wl({id:"luv",name:"Luv",coords:{l:{refRange:[0,100],name:"Lightness"},u:{refRange:[-215,215]},v:{refRange:[-215,215]}},white:Qd,base:Gl,fromBase:function(e){var t=(e=[Fl(e[0]),Fl(e[1]),Fl(e[2])])[1],n=(e=V(Md({space\
:Gl,coords:e}),2))[0];e=e[1];return Number.isFinite(n)&&Number.isFinite(e)?[t=t<=216/24389?24389/27*t:116*Math.cbrt(t)-16,13*t*(n-ep),13*t*(e-tp)]:[0,0,0]},toBase:function(e){var t=(e=V(e,3))[0],n=e[1];e=e[2];return 0===t||yl(t)?[0,0,0]:(n=Fl(n),e=Fl(e),n=n/(13*t)+ep,e=e/(13*t)+tp,[(t=t<=8?t/(24389/27):Math.pow((t+16)/116,3))*(9*n/(4*e)),t,t*((12-3*n-20*e)/(4*e))])},formats:{color:{id:"--luv",coords:["<number> | <percentage>","<number> | <percentage>[-1,1]","<number> | <percentage>[-1,1]"]}}}),rp=(Qd=new Wl({id:"lchuv",name:"LChuv",coords:{l:{refRange:[0,100],name:"Lightness"},c:{refRange:[0,220],name:"Chroma"},h:{refRange:[0,360],type:"angle",name:"Hue"}},base:np,fromBase:function(e){var t=(e=V(e,3))[0],n=e[1],r=(e=e[2],Math.abs(n)<.02&&Math.abs(e)<.02?NaN:180*Math.atan2(e,n)/Math.PI);return[t,Math.sqrt(Math.pow(n,2)+Math.pow(e,2)),nc(r)]},toBase:function(e){var t=(e=V(e,3))[0],n=e[1];e=e[2];return n<0&&(n=0),isNaN(e)&&(e=0),[t,n*Math.cos(e*Math.PI/180),n*Math.sin(e*Math.PI/180)]},for\
mats:{color:{id:"--lchuv",coords:["<number> | <percentage>","<number> | <percentage>","<number> | <angle>"]}}}),bp[0][0]),ap=bp[0][1],op=bp[0][2],up=bp[1][0],ip=bp[1][1],sp=bp[1][2],lp=bp[2][0],cp=bp[2][1],dp=bp[2][2];function pp(e,t,n){return(t/=Math.sin(n)-e*Math.cos(n))<0?1/0:t}function fp(e){var t,n=(t=216/24389<(t=Math.pow(e+16,3)/1560896)?t:e/(24389/27))*(284517*rp-94839*op),r=t*(838422*op+769860*ap+731718*rp),a=t*(632260*op-126452*ap),o=t*(284517*up-94839*sp),u=t*(838422*sp+769860*ip+731718*up),i=t*(632260*sp-126452*ip),s=t*(284517*lp-94839*dp),l=t*(838422*dp+769860*cp+731718*lp);return{r0s:n/a,r0i:r*e/a,r1s:n/(126452+a),r1i:(r-769860)*e/(126452+a),g0s:o/i,g0i:u*e/i,g1s:o/(126452+i),g1i:(u-769860)*e/(126452+i),b0s:s/(t=t*(632260*dp-126452*cp)),b0i:l*e/t,b1s:s/(126452+t),b1i:(l-769860)*e/(126452+t)}}function Dp(e,t){t=t/360*Math.PI*2;var n=pp(e.r0s,e.r0i,t),r=pp(e.r1s,e.r1i,t),a=pp(e.g0s,e.g0i,t),o=pp(e.g1s,e.g1i,t),u=pp(e.b0s,e.b0i,t);e=pp(e.b1s,e.b1i,t);return Math.min(n,r,a,o,\
u,e)}var mp=new Wl({id:"hsluv",name:"HSLuv",coords:{h:{refRange:[0,360],type:"angle",name:"Hue"},s:{range:[0,100],name:"Saturation"},l:{range:[0,100],name:"Lightness"}},base:Qd,gamutSpace:vd,fromBase:function(e){var t,n=(e=[Fl(e[0]),Fl(e[1]),Fl(e[2])])[0],r=e[2];return 99.9999999<n?(t=0,n=100):n<1e-8?n=t=0:t=e[1]/Dp(fp(n),r)*100,[r,t,n]},toBase:function(e){var t=(e=[Fl(e[0]),Fl(e[1]),Fl(e[2])])[0],n=e[1];return n=99.9999999<(e=e[2])?(e=100,0):e<1e-8?e=0:Dp(fp(e),t)/100*n,[e,n,t]},formats:{color:{id:"--hsluv",coords:["<number> | <angle>","<percentage> | <number>","<percentage> | <number>"]}}});function hp(e,t){return Math.abs(t)/Math.sqrt(Math.pow(e,2)+1)}function gp(e){var t=hp(e.r0s,e.r0i),n=hp(e.r1s,e.r1i),r=hp(e.g0s,e.g0i),a=hp(e.g1s,e.g1i),o=hp(e.b0s,e.b0i);e=hp(e.b1s,e.b1i);return Math.min(t,n,r,a,o,e)}bp[0][0],bp[0][1],bp[0][2],bp[1][0],bp[1][1],bp[1][2],bp[2][0],bp[2][1],bp[2][2];var bp=new Wl({id:"hpluv",name:"HPLuv",coords:{h:{refRange:[0,360],type:"angle",name:"Hue"},s:{range\
:[0,100],name:"Saturation"},l:{range:[0,100],name:"Lightness"}},base:Qd,gamutSpace:"self",fromBase:function(e){var t,n=(e=[Fl(e[0]),Fl(e[1]),Fl(e[2])])[0],r=e[2];return 99.9999999<n?(t=0,n=100):n<1e-8?n=t=0:t=e[1]/gp(fp(n))*100,[r,t,n]},toBase:function(e){var t=(e=[Fl(e[0]),Fl(e[1]),Fl(e[2])])[0],n=e[1];return n=99.9999999<(e=e[2])?(e=100,0):e<1e-8?e=0:gp(fp(e))/100*n,[e,n,t]},formats:{color:{id:"--hpluv",coords:["<number> | <angle>","<percentage> | <number>","<percentage> | <number>"]}}}),vp=2610/Math.pow(2,14),yp=Math.pow(2,14)/2610,Fp=2523/Math.pow(2,5),wp=Math.pow(2,5)/2523,Ep=3424/Math.pow(2,12),Cp=2413/Math.pow(2,7),xp=2392/Math.pow(2,7),Ap=new gr({id:"rec2100pq",cssId:"rec2100-pq",name:"REC.2100-PQ",base:oe,toBase:function(e){return e.map((function(e){return 1e4*Math.pow(Math.max(Math.pow(e,wp)-Ep,0)/(Cp-xp*Math.pow(e,wp)),yp)/203}))},fromBase:function(e){return e.map((function(e){e=Math.max(203*e/1e4,0);var t=Ep+Cp*Math.pow(e,vp);e=1+xp*Math.pow(e,vp);return Math.pow(t/e,Fp)}))\
}}),Np=.17883277,kp=.28466892,Bp=.55991073,Tp=3.7743,Rp=new gr({id:"rec2100hlg",cssId:"rec2100-hlg",name:"REC.2100-HLG",referred:"scene",base:oe,toBase:function(e){return e.map((function(e){return e<=.5?Math.pow(e,2)/3*Tp:(Math.exp((e-Bp)/Np)+kp)/12*Tp}))},fromBase:function(e){return e.map((function(e){return(e/=Tp)<=1/12?Math.sqrt(3*e):Np*Math.log(12*e-kp)+Bp}))}}),Sp={};function Op(e){var t=e.id;e.toCone_M,e.fromCone_M,Sp[t]=e}function _p(e,t,n){var r=Sp[2<arguments.length&&void 0!==n?n:"Bradford"],a=(u=V(hl(r.toCone_M,e),3))[0],o=u[1],u=u[2],i=V(hl(r.toCone_M,t),3);a=hl([[i[0]/a,0,0],[0,i[1]/o,0],[0,0,i[2]/u]],r.toCone_M);return hl(r.fromCone_M,a)}Il.add("chromatic-adaptation-start",(function(e){e.options.method&&(e.M=_p(e.W1,e.W2,e.options.method))})),Il.add("chromatic-adaptation-end",(function(e){e.M||(e.M=_p(e.W1,e.W2,e.options.method))})),Op({id:"von Kries",toCone_M:[[.40024,.7076,-.08081],[-.2263,1.16532,.0457],[0,0,.91822]],fromCone_M:[[1.8599363874558397,-1.1293816185800916,.\
21989740959619328],[.3611914362417676,.6388124632850422,-6370596838649899e-21],[0,0,1.0890636230968613]]}),Op({id:"Bradford",toCone_M:[[.8951,.2664,-.1614],[-.7502,1.7135,.0367],[.0389,-.0685,1.0296]],fromCone_M:[[.9869929054667121,-.14705425642099013,.15996265166373122],[.4323052697233945,.5183602715367774,.049291228212855594],[-.00852866457517732,.04004282165408486,.96848669578755]]}),Op({id:"CAT02",toCone_M:[[.7328,.4296,-.1624],[-.7036,1.6975,.0061],[.003,.0136,.9834]],fromCone_M:[[1.0961238208355142,-.27886900021828726,.18274517938277307],[.4543690419753592,.4735331543074117,.07209780371722911],[-.009627608738429355,-.00569803121611342,1.0153256399545427]]}),Op({id:"CAT16",toCone_M:[[.401288,.650173,-.051461],[-.250268,1.204414,.045854],[-.002079,.048952,.953127]],fromCone_M:[[1.862067855087233,-1.0112546305316845,.14918677544445172],[.3875265432361372,.6214474419314753,-.008973985167612521],[-.01584149884933386,-.03412293802851557,1.0499644368778496]]}),Object.assign(jl,{A:[1.098\
5,1,.35585],C:[.98074,1,1.18232],D55:[.95682,1,.92149],D75:[.94972,1,1.22638],E:[1,1,1],F2:[.99186,1,.67393],F7:[.95041,1,1.08747],F11:[1.00962,1,.6435]}),jl.ACES=[.32168/.33767,1,.34065/.33767];var Mp=new gr({id:"acescg",cssId:"--acescg",name:"ACEScg",coords:{r:{range:[0,65504],name:"Red"},g:{range:[0,65504],name:"Green"},b:{range:[0,65504],name:"Blue"}},referred:"scene",white:jl.ACES,toXYZ_M:[[.6624541811085053,.13400420645643313,.1561876870049078],[.27222871678091454,.6740817658111484,.05368951740793705],[-.005574649490394108,.004060733528982826,1.0103391003129971]],fromXYZ_M:[[1.6410233796943257,-.32480329418479,-.23642469523761225],[-.6636628587229829,1.6153315916573379,.016756347685530137],[.011721894328375376,-.008284441996237409,.9883948585390215]]}),Ip=Math.pow(2,-16),Pp=-.35828683,jp=(Math.log2(65504)+9.72)/17.52,Lp=(gr=new gr({id:"acescc",cssId:"--acescc",name:"ACEScc",coords:{r:{range:[Pp,jp],name:"Red"},g:{range:[Pp,jp],name:"Green"},b:{range:[Pp,jp],name:"Blue"}},referred\
:"scene",base:Mp,toBase:function(e){return e.map((function(e){return e<=(9.72-15)/17.52?2*(Math.pow(2,17.52*e-9.72)-Ip):e<jp?Math.pow(2,17.52*e-9.72):65504}))},fromBase:function(e){return e.map((function(e){return e<=0?(Math.log2(Ip)+9.72)/17.52:e<Ip?(Math.log2(Ip+.5*e)+9.72)/17.52:(Math.log2(e)+9.72)/17.52}))}}),Object.freeze({__proto__:null,A98RGB:Kd,A98RGB_Linear:Yd,ACEScc:gr,ACEScg:Mp,CAM16_JMh:Kt,HCT:ad,HPLuv:bp,HSL:Ud,HSLuv:mp,HSV:Wd,HWB:Gd,ICTCP:Lc,JzCzHz:Oc,Jzazbz:fi,LCH:rc,LCHuv:Qd,Lab:tc,Lab_D65:Sd,Luv:np,OKLCH:Jd,OKLab:Dc,P3:yd,P3_Linear:Ut,ProPhoto:Zd,ProPhoto_Linear:Xd,REC_2020:Xt,REC_2020_Linear:oe,REC_2100_HLG:Rp,REC_2100_PQ:Ap,XYZ_ABS_D65:Jt,XYZ_D50:Zt,XYZ_D65:Gl,sRGB:vd,sRGB_Linear:gd})),qp=(G(zp,[{key:"spaceId",get:function(){return this.space.id}},{key:"clone",value:function(){return new zp(this.space,this.coords,this.alpha)}},{key:"toJSON",value:function(){return{spaceId:this.spaceId,coords:this.coords,alpha:this.alpha}}},{key:"display",value:function(){for(var e=ar\
guments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r=function(e){var t=void 0===(t=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).space)?Pl.display_space:t,n=j(n,h),r=fd(e,n);if("undefined"==typeof CSS||CSS.supports("color",r)||!Pl.display_space)(r=new String(r)).color=e;else{var a=e,o=e.coords.some(yl)||yl(e.alpha);if(o&&!(null!=(o=Dd)?o:Dd=CSS.supports("color","hsl(none 50% 50%)"))&&((a=bc(e)).coords=a.coords.map(Fl),a.alpha=Fl(a.alpha),r=fd(a,n),CSS.supports("color",r)))return(r=new String(r)).color=a,r;a=pd(a,t),(r=new String(fd(a,n))).color=a}return r}.apply(void 0,[this].concat(t));return r.color=new zp(r.color),r}}],[{key:"get",value:function(e){if(e instanceof zp)return e;for(var t=arguments.length,n=new Array(1<t?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];return function(e,t,n){var r;return _()?Reflect.construct.apply(null,arguments):((r=[null]).push.apply(r,t),r=new(e.bind.apply(e,r)),n&&P(r,n.prototype),r)}(zp,[e].concat(n))}},{key:"defineFunction",va\
lue:function(e,t){function n(){var e,n=t.apply(void 0,arguments);return"color"===o?n=zp.get(n):"function<color>"===o?(e=n,n=function(){var t=e.apply(void 0,arguments);return zp.get(t)},Object.assign(n,e)):"array<color>"===o&&(n=n.map((function(e){return zp.get(e)}))),n}var r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:t,a=void 0===(a=r.instance)||a,o=r.returns;e in zp||(zp[e]=n),a&&(zp.prototype[e]=function(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return n.apply(void 0,[this].concat(t))})}},{key:"defineFunctions",value:function(e){for(var t in e)zp.defineFunction(t,e[t],e[t])}},{key:"extend",value:function(e){if(e.register)e.register(zp);else for(var t in e)zp.defineFunction(t,e[t])}}]),zp);function zp(){var e=this;U(this,zp);for(var t,n,r,a=arguments.length,o=new Array(a),u=0;u<a;u++)o[u]=arguments[u];r=(r=1===o.length?$l(o[0]):r)?(t=r.space||r.spaceId,n=r.coords,r.alpha):(t=o[0],n=o[1],o[2]),Object.defineProperty(this,"space",{value:Wl.get(\
t),writable:!1,enumerable:!0,configurable:!0}),this.coords=n?n.slice():[0,0,0],this.alpha=1<r||void 0===r?1:r<0?0:r;for(var i=0;i<this.coords.length;i++)"NaN"===this.coords[i]&&(this.coords[i]=NaN);for(var s in this.space.coords)!function(t){Object.defineProperty(e,t,{get:function(){return e.get(t)},set:function(n){return e.set(t,n)}})}(s)}qp.defineFunctions({get:Xl,getAll:Kl,set:Jl,setAll:Zl,to:pd,equals:function(e,t){return e=$l(e),t=$l(t),e.space===t.space&&e.alpha===t.alpha&&e.coords.every((function(e,n){return e===t.coords[n]}))},inGamut:gc,toGamut:cd,distance:vc,toString:fd}),Object.assign(qp,{util:Qn,hooks:Il,WHITES:jl,Space:Wl,spaces:Wl.registry,parse:Hl,defaults:Pl});for(var Vp,Hp=0,$p=Object.keys(Lp);Hp<$p.length;Hp++){var Up=$p[Hp];Wl.register(Lp[Up])}for(Vp in Wl.registry)Wp(Vp,Wl.registry[Vp]);function Wp(e,t){var n=e.replace(/-/g,"_");Object.defineProperty(qp.prototype,n,{get:function(){var n=this,r=this.getAll(e);return"undefined"==typeof Proxy?r:new Proxy(r,{has:functio\
n(e,n){try{return Wl.resolveCoord([t,n]),!0}catch(e){}return Reflect.has(e,n)},get:function(e,n,r){if(n&&"symbol"!==a(n)&&!(n in e)){var o=Wl.resolveCoord([t,n]).index;if(0<=o)return e[o]}return Reflect.get(e,n,r)},set:function(r,o,u,i){if(o&&"symbol"!==a(o)&&!(o in r)||0<=o){var s=Wl.resolveCoord([t,o]).index;if(0<=s)return r[s]=u,n.setAll(e,r),!0}return Reflect.set(r,o,u,i)}})},set:function(t){this.setAll(e,t)},configurable:!0,enumerable:!0})}Il.add("colorspace-init-end",(function(e){var t;Wp(e.id,e),null!=(t=e.aliases)&&t.forEach((function(t){Wp(t,e)}))})),qp.extend(sd),qp.extend({deltaE:jd}),Object.assign(qp,{deltaEMethods:sd}),qp.extend(Ld),qp.extend({contrast:function(e,t){var n,r=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{},a=(r=r=gl(r)?{algorithm:r}:r).algorithm,o=j(r,g);if(!a)throw r=Object.keys(_d).map((function(e){return e.replace(/^contrast/,"")})).join(", "),new TypeError("contrast() function needs a contrast algorithm. Please specify one of: ".concat(r));for(\
n in e=$l(e),t=$l(t),_d)if("contrast"+a.toLowerCase()===n.toLowerCase())return _d[n](e,t,o);throw new TypeError("Unknown contrast algorithm: ".concat(a))}}),qp.extend(Pd),qp.extend(Nd),qp.extend($d),qp.extend(_d),Dl.default.templateSettings.strip=!1;var Gp=/^#[0-9a-f]{3,8}$/i,Yp=(J=new WeakMap,Q=new WeakMap,ee=new WeakMap,te=new WeakMap,ne=new WeakMap,re=new WeakMap,ae=new WeakSet,G(Kp,[{key:"r",get:function(){return B(this,J)},set:function(e){k(this,J,e),k(this,te,Math.round(255*Jp(e,0,1)))}},{key:"g",get:function(){return B(this,Q)},set:function(e){k(this,Q,e),k(this,ne,Math.round(255*Jp(e,0,1)))}},{key:"b",get:function(){return B(this,ee)},set:function(e){k(this,ee,e),k(this,re,Math.round(255*Jp(e,0,1)))}},{key:"red",get:function(){return B(this,te)},set:function(e){k(this,J,e/255),k(this,te,Jp(e,0,255))}},{key:"green",get:function(){return B(this,ne)},set:function(e){k(this,Q,e/255),k(this,ne,Jp(e,0,255))}},{key:"blue",get:function(){return B(this,re)},set:function(e){k(this,ee,e/2\
55),k(this,re,Jp(e,0,255))}},{key:"toHexString",value:function(){var e=Math.round(this.red).toString(16),t=Math.round(this.green).toString(16),n=Math.round(this.blue).toString(16);return"#"+(15.5<this.red?e:"0"+e)+(15.5<this.green?t:"0"+t)+(15.5<this.blue?n:"0"+n)}},{key:"toJSON",value:function(){return{red:this.red,green:this.green,blue:this.blue,alpha:this.alpha}}},{key:"parseString",value:function(e){try{var t=new qp(e).to("srgb");this.r=t.r,this.g=t.g,this.b=t.b,this.alpha=+t.alpha}catch(t){throw new Error('Unable to parse color "'.concat(e,'"'))}return this}},{key:"parseRgbString",value:function(e){this.parseString(e)}},{key:"parseHexString",value:function(e){e.match(Gp)&&![6,8].includes(e.length)&&this.parseString(e)}},{key:"parseColorFnString",value:function(e){this.parseString(e)}},{key:"getRelativeLuminance",value:function(){var e=this.r,t=this.g,n=this.b;return.2126*(e<=.03928?e/12.92:Math.pow((e+.055)/1.055,2.4))+.7152*(t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4))+.0722*(\
n<=.03928?n/12.92:Math.pow((n+.055)/1.055,2.4))}},{key:"getLuminosity",value:function(){return.3*this.r+.59*this.g+.11*this.b}},{key:"setLuminosity",value:function(e){var t;e-=this.getLuminosity();return t=Xp,R(ae,this),t.call(this,e).clip()}},{key:"getSaturation",value:function(){return Math.max(this.r,this.g,this.b)-Math.min(this.r,this.g,this.b)}},{key:"setSaturation",value:function(e){var t=new Kp(this),n=V([{name:"r",value:t.r},{name:"g",value:t.g},{name:"b",value:t.b}].sort((function(e,t){return e.value-t.value})),3),r=n[0],a=n[1];return(n=n[2]).value>r.value?(a.value=(a.value-r.value)*e/(n.value-r.value),n.value=e):a.value=n.value=0,r.value=0,t[n.name]=n.value,t[r.name]=r.value,t[a.name]=a.value,t}},{key:"clip",value:function(){var e=new Kp(this),t=e.getLuminosity(),n=Math.min(e.r,e.g,e.b),r=Math.max(e.r,e.g,e.b);return n<0&&(e.r=t+(e.r-t)*t/(t-n),e.g=t+(e.g-t)*t/(t-n),e.b=t+(e.b-t)*t/(t-n)),1<r&&(e.r=t+(e.r-t)*(1-t)/(r-t),e.g=t+(e.g-t)*(1-t)/(r-t),e.b=t+(e.b-t)*(1-t)/(r-t)),e}}\
]),Kp);function Kp(e,t,n){var r,a,o,u=3<arguments.length&&void 0!==arguments[3]?arguments[3]:1;U(this,Kp),N(a=this,r=ae),r.add(a),A(this,J,{writable:!0,value:void 0}),A(this,Q,{writable:!0,value:void 0}),A(this,ee,{writable:!0,value:void 0}),A(this,te,{writable:!0,value:void 0}),A(this,ne,{writable:!0,value:void 0}),A(this,re,{writable:!0,value:void 0}),e instanceof Kp?(r=e.r,a=e.g,o=e.b,this.r=r,this.g=a,this.b=o,this.alpha=e.alpha):(this.red=e,this.green=t,this.blue=n,this.alpha=u)}function Xp(e){var t=new Yp(this);return t.r+=e,t.g+=e,t.b+=e,t}var Zp=Yp;function Jp(e,t,n){return Math.min(Math.max(t,e),n)}var Qp=function(e){var t=new Zp;return t.parseString(e.getPropertyValue("background-color")),0!==t.alpha&&(e=e.getPropertyValue("opacity"),t.alpha=t.alpha*e),t},ef=function(e){var n=t.getComputedStyle(e);return dl(e,n)||1===Qp(n).alpha};function tf(e){var t;return!(!e.href||(t=Da.get("firstPageLink",nf))&&e.compareDocumentPosition(t.actualNode)!==e.DOCUMENT_POSITION_FOLLOWING)}funct\
ion nf(){return(t.location.origin?RD(o._tree,'a[href]:not([href^="javascript:"])').find((function(e){return!Gu(e.actualNode)})):RD(o._tree,'a:not([href^="#"]):not([href^="/#"]):not([href^="javascript:"])')[0])||null}var rf=/rect\\s*\\(([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px,?\\s*([0-9]+)px\\s*\\)/,af=/(\\w+)\\((\\d+)/;var of=function e(n,r,a){if(!n)throw new TypeError("Cannot determine if element is visible for non-DOM nodes");var u,i,s,l=n instanceof Cr?n:ma(n),c=(n=l?l.actualNode:n,"_isVisible"+(r?"ScreenReader":"")),d=(p=null!=(p=t.Node)?p:{}).DOCUMENT_NODE,p=p.DOCUMENT_FRAGMENT_NODE,f=(l?l.props:n).nodeType,D=l?l.props.nodeName:n.nodeName.toLowerCase();return l&&void 0!==l[c]?l[c]:f===d||!["style","script","noscript","template"].includes(D)&&(n&&f===p&&(n=n.host),(!r||"true"!==(l?l.attr("aria-hidden"):n.getAttribute("aria-hidden")))&&(n?null!==(d=t.getComputedStyle(n,null))&&("area"===D?(u=r,i=a,!!(p=Io(f=n,"map"))&&!!(p=p.getAttribute("name"))&&!(!(f=Oo(f))||9!==f.nodeType||!(s=RD(o._tre\
e,'img[usemap="#'.concat(qr(p),'"]')))||!s.length)&&s.some((function(t){return e(t.actualNode,u,i)}))):"none"!==d.getPropertyValue("display")&&(D=parseInt(d.getPropertyValue("height")),f=parseInt(d.getPropertyValue("width")),s=(p=Jf(n))&&0===D,p=p&&0===f,D="absolute"===d.getPropertyValue("position")&&(D<2||f<2)&&"hidden"===d.getPropertyValue("overflow"),!(!r&&(function(e){var t=e.getPropertyValue("clip").match(rf),n=e.getPropertyValue("clip-path").match(af);if(t&&5===t.length&&(e=e.getPropertyValue("position"),["fixed","absolute"].includes(e)))return t[3]-t[1]<=0&&t[2]-t[4]<=0;if(n){e=n[1];var r=parseInt(n[2],10);switch(e){case"inset":return 50<=r;case"circle":return 0===r}}}(d)||"0"===d.getPropertyValue("opacity")||s||p||D)||!a&&("hidden"===d.getPropertyValue("visibility")||!r&&iu(n))))&&(f=!1,(p=n.assignedSlot||n.parentNode)&&(f=e(p,r,!0)),l&&(l[c]=f),f)):(D=!0,(a=l.parent)&&(D=e(a,r,!0)),l&&(l[c]=D),D)))},uf=function(e,n){for(var r=["fixed","sticky"],a=[],o=!1,u=0;u<e.length;++u){va\
r i=e[u],s=(i===n&&(o=!0),t.getComputedStyle(i));o||-1===r.indexOf(s.position)?a.push(i):a=[]}return a};function sf(e,n){var r=lf(n);do{var a,o,u,i,s,l,c=lf(e);if(c===r||c===n)return i=e,a=n,u=(o=t.getComputedStyle(a)).getPropertyValue("overflow"),"inline"===o.getPropertyValue("display")||(i=Array.from(i.getClientRects()),s=a.getBoundingClientRect(),l={left:s.left,top:s.top,width:s.width,height:s.height},(["scroll","auto"].includes(u)||a instanceof t.HTMLHtmlElement)&&(l.width=a.scrollWidth,l.height=a.scrollHeight),1===i.length&&"hidden"===u&&"nowrap"===o.getPropertyValue("white-space")&&(i[0]=l),i.some((function(e){return!(Math.ceil(e.left)<Math.floor(l.left)||Math.ceil(e.top)<Math.floor(l.top)||Math.floor(e.left+e.width)>Math.ceil(l.left+l.width)||Math.floor(e.top+e.height)>Math.ceil(l.top+l.height))})))}while(e=c);return!1}function lf(e){for(var t=ma(e).parent;t;){if(Jf(t.actualNode))return t.actualNode;t=t.parent}}var cf=function e(t,n){var a=2<arguments.length&&void 0!==arguments[\
2]?arguments[2]:r,o=3<arguments.length&&void 0!==arguments[3]?arguments[3]:0;if(999<o)throw new Error("Infinite loop detected");return Array.from(a.elementsFromPoint(t,n)||[]).filter((function(e){return Oo(e)===a})).reduce((function(r,a){var u;return To(a)&&(u=e(t,n,a.shadowRoot,o+1),!(r=r.concat(u)).length||!sf(r[0],a))||r.push(a),r}),[])},df=function(e,t){var n,a;if(e.hasAttribute(t))return a=e.nodeName.toUpperCase(),n=e,["A","AREA"].includes(a)&&!e.ownerSVGElement||((n=r.createElement("a")).href=e.getAttribute(t)),a=["https:","ftps:"].includes(n.protocol)?n.protocol.replace(/s:$/,":"):n.protocol,t=(e=(e=(t=e=/^\\//.test(n.pathname)?n.pathname:"/".concat(n.pathname)).split("/").pop())&&-1!==e.indexOf(".")?{pathname:t.replace(e,""),filename:/index./.test(e)?"":e}:{pathname:t,filename:""}).pathname,e=e.filename,{protocol:a,hostname:n.hostname,port:(a=n.port,["443","80"].includes(a)?"":a),pathname:/\\/$/.test(t)?t:"".concat(t,"/"),search:function(e){var t={};if(e&&e.length){var n=e.substr\
ing(1).split("&");if(n&&n.length)for(var r=0;r<n.length;r++){var a=(o=V(n[r].split("="),2))[0],o=void 0===(o=o[1])?"":o;t[decodeURIComponent(a)]=decodeURIComponent(o)}}return t}(n.search),hash:(a=n.hash)&&(t=a.match(/#!?\\/?/g))&&"#"!==V(t,1)[0]?a:"",filename:e}},pf=function(e,n){var r=n.getBoundingClientRect(),a=r.top,o=r.left,u=a-n.scrollTop,i=(a=a-n.scrollTop+n.scrollHeight,o-n.scrollLeft);o=o-n.scrollLeft+n.scrollWidth;return!(e.left>o&&e.left>r.right||e.top>a&&e.top>r.bottom||e.right<i&&e.right<r.left||e.bottom<u&&e.bottom<r.top)&&(o=t.getComputedStyle(n),!(e.left>r.right||e.top>r.bottom)||"scroll"===o.overflow||"auto"===o.overflow||n instanceof t.HTMLBodyElement||n instanceof t.HTMLHtmlElement)},ff=0;function Df(e,t,n){var r;return U(this,Df),(r=S(this,Df)).shadowId=n,r.children=[],r.actualNode=e,(r.parent=t)||(ff=0),r.nodeIndex=ff++,r._isHidden=null,r._cache={},r._isXHTML=Kr(e.ownerDocument),"input"===e.nodeName.toLowerCase()&&(n=e.getAttribute("type"),n=r._isXHTML?n:(n||"").toLo\
werCase(),qD().includes(n)||(n="text"),r._type=n),Da.get("nodeMap")&&Da.get("nodeMap").set(e,O(r)),r}I(Df,Cr),G(Df,[{key:"props",get:function(){var e,t,n,r;return this._cache.hasOwnProperty("props")||(e=(r=this.actualNode).nodeType,t=r.nodeName,n=r.id,r=r.nodeValue,this._cache.props={nodeType:e,nodeName:this._isXHTML?t:t.toLowerCase(),id:n,type:this._type,nodeValue:r},1===e&&(this._cache.props.multiple=this.actualNode.multiple,this._cache.props.value=this.actualNode.value,this._cache.props.selected=this.actualNode.selected,this._cache.props.checked=this.actualNode.checked,this._cache.props.indeterminate=this.actualNode.indeterminate)),this._cache.props}},{key:"attr",value:function(e){return"function"!=typeof this.actualNode.getAttribute?null:this.actualNode.getAttribute(e)}},{key:"hasAttr",value:function(e){return"function"==typeof this.actualNode.hasAttribute&&this.actualNode.hasAttribute(e)}},{key:"attrNames",get:function(){var e;return this._cache.hasOwnProperty("attrNames")||(e=(th\
is.actualNode.attributes instanceof t.NamedNodeMap?this.actualNode:this.actualNode.cloneNode(!1)).attributes,this._cache.attrNames=Array.from(e).map((function(e){return e.name}))),this._cache.attrNames}},{key:"getComputedStylePropertyValue",value:function(e){var n="computedStyle_"+e;return this._cache.hasOwnProperty(n)||(this._cache.hasOwnProperty("computedStyle")||(this._cache.computedStyle=t.getComputedStyle(this.actualNode)),this._cache[n]=this._cache.computedStyle.getPropertyValue(e)),this._cache[n]}},{key:"isFocusable",get:function(){return this._cache.hasOwnProperty("isFocusable")||(this._cache.isFocusable=ti(this.actualNode)),this._cache.isFocusable}},{key:"tabbableElements",get:function(){return this._cache.hasOwnProperty("tabbableElements")||(this._cache.tabbableElements=Qu(this)),this._cache.tabbableElements}},{key:"clientRects",get:function(){return this._cache.hasOwnProperty("clientRects")||(this._cache.clientRects=Array.from(this.actualNode.getClientRects()).filter((functi\
on(e){return 0<e.width}))),this._cache.clientRects}},{key:"boundingClientRect",get:function(){return this._cache.hasOwnProperty("boundingClientRect")||(this._cache.boundingClientRect=this.actualNode.getBoundingClientRect()),this._cache.boundingClientRect}}]);var mf,hf=Df,gf=function(e){return(e||"").trim().replace(/\\s{2,}/g," ").split(" ")},bf=" [idsMap]";function vf(e,t,n){var r=e[0]._selectorMap;if(r){for(var a=e[0].shadowId,o=0;o<t.length;o++)if(1<t[o].length&&t[o].some(yf))return;var u=new Set,i=(t.forEach((function(e){var t,n=function(e,t,n){var r=e[e.length-1],a=null,o=1<e.length||!!r.pseudos||!!r.classes;if(yf(r))a=t["*"];else{if(r.id){if(!t[bf]||!Object.hasOwn(t[bf],r.id)||null==(e=t[bf][r.id])||!e.length)return;a=t[bf][r.id].filter((function(e){return e.shadowId===n}))}if(r.tag&&"*"!==r.tag){if(null==(e=t[r.tag])||!e.length)return;e=t[r.tag];a=a?Ff(e,a):e}if(r.classes){if(null==(e=t["[class]"])||!e.length)return;e=t["[class]"],a=a?Ff(e,a):e}if(r.attributes)for(var u=0;u<r.attr\
ibutes.length;u++){var i=r.attributes[u];if("attrValue"===i.type&&(o=!0),null==(s=t["[".concat(i.key,"]")])||!s.length)return;var s=t["[".concat(i.key,"]")];a=a?Ff(s,a):s}}return{nodes:a,isComplexSelector:o}}(e,r,a);null!=n&&null!=(t=n.nodes)&&t.forEach((function(t){n.isComplexSelector&&!Ba(t,e)||u.add(t)}))})),[]);return u.forEach((function(e){return i.push(e)})),(i=n?i.filter(n):i).sort((function(e,t){return e.nodeIndex-t.nodeIndex}))}}function yf(e){return"*"===e.tag&&!e.attributes&&!e.id&&!e.classes}function Ff(e,t){return e.filter((function(e){return t.includes(e)}))}function wf(e,t,n){Object.hasOwn(n,e)||(n[e]=[]),n[e].push(t)}function Ef(e,t){1===e.props.nodeType&&(wf(e.props.nodeName,e,t),wf("*",e,t),e.attrNames.forEach((function(n){"id"===n&&(t[bf]=t[bf]||{},gf(e.attr(n)).forEach((function(n){wf(n,e,t[bf])}))),wf("[".concat(n,"]"),e,t)})))}function Cf(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:r.documentElement,n=1<arguments.length?arguments[1]:void 0,a=(mf\
=!1,{});Da.set("nodeMap",new WeakMap),Da.set("selectorMap",a),e=function e(n,r,a){var o,u,i;function s(t,n,a){return(n=e(n,r,a))?t.concat(n):t}return n.documentElement&&(n=n.documentElement),i=n.nodeName.toLowerCase(),To(n)?(mf=!0,o=xf(n,a,r),r="a"+Math.random().toString().substring(2),u=Array.from(n.shadowRoot.childNodes),o.children=u.reduce((function(e,t){return s(e,t,o)}),[]),[o]):"content"===i&&"function"==typeof n.getDistributedNodes?(u=Array.from(n.getDistributedNodes())).reduce((function(e,t){return s(e,t,a)}),[]):"slot"===i&&"function"==typeof n.assignedNodes?((u=Array.from(n.assignedNodes())).length||(u=function(e){var t=[];for(e=e.firstChild;e;)t.push(e),e=e.nextSibling;return t}(n)),t.getComputedStyle(n),u.reduce((function(e,t){return s(e,t,a)}),[])):1===n.nodeType?(o=xf(n,a,r),u=Array.from(n.childNodes),o.children=u.reduce((function(e,t){return s(e,t,o)}),[]),[o]):3===n.nodeType?[xf(n,a)]:void 0}(e,n,null);return e[0]._selectorMap=a,e[0]._hasShadowRoot=mf,e}function xf(e,t,\
n){return Ef(e=new hf(e,t,n),Da.get("selectorMap")),e}var Af=function(e){return e?e.trim().split("-")[0].toLowerCase():""},Nf=function(e){var t={};return t.none=e.none.concat(e.all),t.any=e.any,Object.keys(t).map((function(e){var n;return t[e].length&&(n=o._audit.data.failureSummaries[e])&&"function"==typeof n.failureMessage?n.failureMessage(t[e].map((function(e){return e.message||""}))):void 0})).filter((function(e){return void 0!==e})).join("\\n\\n")};function kf(){var e=o._audit.data.incompleteFallbackMessage;return"string"!=typeof(e="function"==typeof e?e():e)?"":e}var Bf=yr.resultGroups;function Tf(e,t){var n=o.utils.aggregateResult(e);return Bf.forEach((function(e){t.resultTypes&&!t.resultTypes.includes(e)&&(n[e]||[]).forEach((function(e){Array.isArray(e.nodes)&&0<e.nodes.length&&(e.nodes=[e.nodes[0]])})),n[e]=(n[e]||[]).map((function(e){return e=Object.assign({},e),Array.isArray(e.nodes)&&0<e.nodes.length&&(e.nodes=e.nodes.map((function(e){var n,r,o;return"object"===a(e.node)&&(n=\
Rf(e.node,t),Object.assign(e,n)),delete e.result,delete e.node,r=e,o=t,["any","all","none"].forEach((function(e){Array.isArray(r[e])&&r[e].filter((function(e){return Array.isArray(e.relatedNodes)})).forEach((function(e){e.relatedNodes=e.relatedNodes.map((function(e){return Rf(e,o)}))}))})),e}))),Bf.forEach((function(t){return delete e[t]})),delete e.pageLevel,delete e.result,e}))})),n}function Rf(e,t){var n,r=0<arguments.length&&void 0!==e?e:{},a=1<arguments.length?t:void 0,u=(r=yo.dqElmToSpec(r,a),{});return o._audit.noHtml?u.html=null:u.html=null!=(n=r.source)?n:"Undefined",a.elementRef&&!r.fromFrame&&(u.element=null!=(n=r.element)?n:null),!1===a.selectors&&!r.fromFrame||(u.target=null!=(n=r.selector)?n:[":root"]),a.ancestry&&(u.ancestry=null!=(n=r.ancestry)?n:[":root"]),a.xpath&&(u.xpath=null!=(n=r.xpath)?n:["/"]),u}var Sf=/\\$\\{\\s?data\\s?\\}/g;function Of(e,t){if("string"==typeof t)return e.replace(Sf,t);for(var n in t){var r;t.hasOwnProperty(n)&&(r=new RegExp("\\\\\${\\\\s?data\\\\."+n+"\\\\\
s?}","g"),n=void 0===t[n]?"":String(t[n]),e=e.replace(r,n))}return e}var _f=function e(t,n){var r;if(t)return Array.isArray(n)?(n.values=n.join(", "),"string"==typeof t.singular&&"string"==typeof t.plural?Of(1===n.length?t.singular:t.plural,n):Of(t,n)):"string"==typeof t?Of(t,n):"string"==typeof n?Of(t[n],n):(r=t.default||kf(),e(r=n&&n.messageKey&&t[n.messageKey]?t[n.messageKey]:r,n))},Mf=function(e,t,n){var r=o._audit.data.checks[e];if(!r)throw new Error("Cannot get message for unknown check: ".concat(e,"."));if(r.messages[t])return _f(r.messages[t],n);throw new Error('Check "'.concat(e,'"" does not have a "').concat(t,'" message.'))},If=function(e,t,n){t=((n.rules&&n.rules[t]||{}).checks||{})[e.id];var r=(n.checks||{})[e.id],a=e.enabled;e=e.options;return r&&(r.hasOwnProperty("enabled")&&(a=r.enabled),r.hasOwnProperty("options"))&&(e=r.options),t&&(t.hasOwnProperty("enabled")&&(a=t.enabled),t.hasOwnProperty("options"))&&(e=t.options),{enabled:a,options:e,absolutePaths:n.absolutePaths\
}};function Pf(){var e,n,r,u,i=0<arguments.length&&void 0!==arguments[0]?arguments[0]:null,s=1<arguments.length&&void 0!==arguments[1]?arguments[1]:t;return i&&"object"===a(i)?i:"object"!==a(s)?{}:{testEngine:{name:"axe-core",version:o.version},testRunner:{name:o._audit.brand},testEnvironment:(i=s).navigator&&"object"===a(i.navigator)?(e=i.navigator,n=i.innerHeight,r=i.innerWidth,i=function(e){return(e=e.screen).orientation||e.msOrientation||e.mozOrientation}(i)||{},u=i.angle,i=i.type,{userAgent:e.userAgent,windowWidth:r,windowHeight:n,orientationAngle:u,orientationType:i}):{},timestamp:(new Date).toISOString(),url:null==(e=s.location)?void 0:e.href}}function jf(e,t){var n=t.focusable;t=t.page;return{node:e,include:[],exclude:[],initiator:!1,focusable:n&&(!(n=(n=e).getAttribute("tabindex"))||(n=parseInt(n,10),isNaN(n))||0<=n),size:function(e){var t=parseInt(e.getAttribute("width"),10),n=parseInt(e.getAttribute("height"),10);return(isNaN(t)||isNaN(n))&&(e=e.getBoundingClientRect(),t=isN\
aN(t)?e.width:t,n=isNaN(n)?e.height:n),{width:t,height:n}}(e),page:t}}function Lf(e){var n=0<arguments.length&&void 0!==e?e:[],r=[];$f(n)||(n=[n]);for(var a=0;a<n.length;a++){var o=function(e){return e instanceof t.Node?e:"string"==typeof e?[e]:(Vf(e)?(function(e){Uf(Array.isArray(e.fromFrames),"fromFrames property must be an array"),Uf(e.fromFrames.every((function(e){return!Wf(e,"fromFrames")})),"Invalid context; fromFrames selector must be appended, rather than nested"),Uf(!Wf(e,"fromShadowDom"),"fromFrames and fromShadowDom cannot be used on the same object")}(e),e=e.fromFrames):Hf(e)&&(e=[e]),function(e){if(Array.isArray(e)){var t,n=[],r=K(e);try{for(r.s();!(t=r.n()).done;){var a=t.value;if(Hf(a)&&(function(e){Uf(Array.isArray(e.fromShadowDom),"fromShadowDom property must be an array"),Uf(e.fromShadowDom.every((function(e){return!Wf(e,"fromFrames")})),"shadow selector must be inside fromFrame instead"),Uf(e.fromShadowDom.every((function(e){return!Wf(e,"fromShadowDom")})),"fromShado\
wDom selector must be appended, rather than nested")}(a),a=a.fromShadowDom),"string"!=typeof a&&!function(e){return Array.isArray(e)&&e.every((function(e){return"string"==typeof e}))}(a))return;n.push(a)}}catch(e){r.e(e)}finally{r.f()}return n}}(e))}(n[a]);o&&r.push(o)}return r}function qf(e){return["include","exclude"].some((function(t){return Wf(e,t)&&zf(e[t])}))}function zf(e){return"string"==typeof e||e instanceof t.Node||Vf(e)||Hf(e)||$f(e)}function Vf(e){return Wf(e,"fromFrames")}function Hf(e){return Wf(e,"fromShadowDom")}function $f(e){return e&&"object"===a(e)&&"number"==typeof e.length&&e instanceof t.Node==0}function Uf(e,t){jr(e,"Invalid context; ".concat(t,"\\nSee: https://github.com/dequelabs/axe-core/blob/master/doc/context.md"))}function Wf(e,t){return!(!e||"object"!==a(e))&&Object.prototype.hasOwnProperty.call(e,t)}function Gf(e,n){for(var r=[],a=0,o=e[n].length;a<o;a++){var u=e[n][a];u instanceof t.Node?u.documentElement instanceof t.Node?r.push(e.flatTree[0]):r.push(m\
a(u)):u&&u.length&&(1<u.length?function(e,t,n){e.frames=e.frames||[],LD(n.shift()).forEach((function(r){var a=e.frames.find((function(e){return e.node===r}));a||(a=jf(r,e),e.frames.push(a)),a[t].push(n)}))}(e,n,u):(u=LD(u[0]),r.push.apply(r,L(u.map((function(e){return ma(e)}))))))}return r.filter((function(e){return e}))}function Yf(e,n){var o=this,u=(e=ya(e),this.frames=[],this.page="boolean"==typeof(null==(u=e)?void 0:u.page)?e.page:void 0,this.initiator="boolean"!=typeof(null==(u=e)?void 0:u.initiator)||e.initiator,this.focusable="boolean"!=typeof(null==(u=e)?void 0:u.focusable)||e.focusable,this.size="object"===a(null==(u=e)?void 0:u.size)?e.size:{},e=function(e){if(qf(e)){var t=" must be used inside include or exclude. It should not be on the same object.";Uf(!Wf(e,"fromFrames"),"fromFrames"+t),Uf(!Wf(e,"fromShadowDom"),"fromShadowDom"+t)}else{if(!zf(e))return{include:[r],exclude:[]};e={include:e,exclude:[]}}return 0===(t=Lf(e.include)).length&&t.push(r),{include:t,exclude:e=Lf(e.\
exclude)}}(e),this.flatTree=null!=n?n:Cf(function(e){for(var n=e.include,a=(e=e.exclude,Array.from(n).concat(Array.from(e))),o=0;o<a.length;o++){var u=a[o];if(u instanceof t.Element)return u.ownerDocument.documentElement;if(u instanceof t.Document)return u.documentElement}return r.documentElement}(e)),this.exclude=e.exclude,this.include=e.include,this.include=Gf(this,"include"),this.exclude=Gf(this,"exclude"),ID("frame, iframe",this).forEach((function(e){var t;uD(e,o)&&(t=o,ts(e=e.actualNode))&&!wo(t.frames,"node",e)&&t.frames.push(jf(e,t))})),void 0===this.page&&(this.page=function(e){return 1===(e=e.include).length&&e[0].actualNode===r.documentElement}(this),this.frames.forEach((function(e){e.page=o.page}))),this);if(0===u.include.length&&0===u.frames.length)throw u=fo.isInFrame()?"frame":"page",new Error("No elements found for include in "+u+" Context");Array.isArray(this.include)||(this.include=Array.from(this.include)),this.include.sort(lD)}function Kf(e){return!1===(1<arguments.l\
ength&&void 0!==arguments[1]?arguments[1]:{}).iframes?[]:new Yf(e).frames.map((function(e){var t=e.node;return(e=j(e,y)).initiator=!1,{frameSelector:da(t),frameContext:e}}))}function Xf(e){var t=o._audit.rules.find((function(t){return t.id===e}));if(t)return t;throw new Error("Cannot find rule by id: ".concat(e))}function Zf(e,t){return e=e.getPropertyValue(t),["scroll","auto"].includes(e)}var Jf=Yr((function(e){var n,r,a=1<arguments.length&&void 0!==arguments[1]?arguments[1]:0,o=e.scrollWidth>e.clientWidth+a;a=e.scrollHeight>e.clientHeight+a;if(o||a)return n=Zf(r=t.getComputedStyle(e),"overflow-x"),r=Zf(r,"overflow-y"),o&&n||a&&r?{elm:e,top:e.scrollTop,left:e.scrollLeft}:void 0})),Qf=function(){var e=0<arguments.length&&void 0!==arguments[0]?arguments[0]:t,n=e.document.documentElement;return[void 0!==e.pageXOffset?{elm:e,top:e.pageYOffset,left:e.pageXOffset}:{elm:n,top:n.scrollTop,left:n.scrollLeft}].concat(function e(t){return Array.from(t.children||t.childNodes||[]).reduce((function\
(t,n){var r=Jf(n);return r&&t.push(r),t.concat(e(n))}),[])}(r.body))};function eD(){return ya(hi)}var tD,nD=function(e){if(e)return function(t){var n=t.data,r=void 0!==(r=t.isCrossOrigin)&&r,a=t.shadowId,o=t.root,u=t.priority,i=(t=void 0!==(t=t.isLink)&&t,e.createElement("style"));return t?(t=e.createTextNode('@import "'.concat(n.href,'"')),i.appendChild(t)):i.appendChild(e.createTextNode(n)),e.head.appendChild(i),{sheet:i.sheet,isCrossOrigin:r,shadowId:a,root:o,priority:u}};throw new Error("axe.utils.getStyleSheetFactory should be invoked with an argument")},rD=function(e){var t;return tD&&tD.parentNode?(void 0===tD.styleSheet?tD.appendChild(r.createTextNode(e)):tD.styleSheet.cssText+=e,tD):e?(t=r.head||r.getElementsByTagName("head")[0],(tD=r.createElement("style")).type="text/css",void 0===tD.styleSheet?tD.appendChild(r.createTextNode(e)):tD.styleSheet.cssText=e,t.appendChild(tD),tD):void 0},aD=function e(n,r){var a,o=ma(n);return 9!==n.nodeType&&(11===n.nodeType&&(n=n.host),o&&null!\
==o._isHidden?o._isHidden:!(a=t.getComputedStyle(n,null))||!n.parentNode||"none"===a.getPropertyValue("display")||!r&&"hidden"===a.getPropertyValue("visibility")||"true"===n.getAttribute("aria-hidden")||(r=e(n.assignedSlot||n.parentNode,!0),o&&(o._isHidden=r),r))},oD=function(e){var t=null!=(t=null==(t=e.props)?void 0:t.nodeName)?t:e.nodeName.toLowerCase();return"http://www.w3.org/2000/svg"!==e.namespaceURI&&!!hi.htmlElms[t]};function uD(e,t){var n=void 0===(n=t.include)?[]:n;t=void 0===(t=t.exclude)?[]:t,n=n.filter((function(t){return Ao(t,e)}));return 0!==n.length&&(0===(t=t.filter((function(t){return Ao(t,e)}))).length||(n=iD(n),Ao(iD(t),n)))}function iD(e){var t,n,r=K(e);try{for(r.s();!(n=r.n()).done;){var a=n.value;t&&Ao(a,t)||(t=a)}}catch(e){r.e(e)}finally{r.f()}return t}function sD(e,t){return e.length===t.length&&e.every((function(e,n){var r=t[n];return Array.isArray(e)?e.length===r.length&&e.every((function(e,t){return r[t]===e})):e===r}))}var lD=function(e,t){return(e=e.actua\
lNode||e)===(t=t.actualNode||t)?0:4&e.compareDocumentPosition(t)?-1:1};function cD(e){return e instanceof Cr?{vNode:e,domNode:e.actualNode}:{vNode:ma(e),domNode:e}}var dD,pD,fD=function(e,t,n,r){var a,o=4<arguments.length&&void 0!==arguments[4]&&arguments[4],u=Array.from(e.cssRules);return u?(a=u.filter((function(e){return 3===e.type}))).length?(a=a.filter((function(e){return e.href})).map((function(e){return e.href})).filter((function(e){return!r.includes(e)})).map((function(e,a){a=[].concat(L(n),[a]);var o=/^https?:\\/\\/|^\\/\\//i.test(e);return mD(e,t,a,r,o)})),(u=u.filter((function(e){return 3!==e.type}))).length&&a.push(Promise.resolve(t.convertDataToStylesheet({data:u.map((function(e){return e.cssText})).join(),isCrossOrigin:o,priority:n,root:t.rootNode,shadowId:t.shadowId}))),Promise.all(a)):Promise.resolve({isCrossOrigin:o,priority:n,root:t.rootNode,shadowId:t.shadowId,sheet:e}):Promise.resolve()},DD=function(e,t,n,r){var a=4<arguments.length&&void 0!==arguments[4]&&arguments[4];r\
eturn function(e){try{return!(!e.cssRules&&e.href)}catch(e){return!1}}(e)?fD(e,t,n,r,a):mD(e.href,t,n,r,!0)},mD=function(e,n,r,a,o){return a.push(e),new Promise((function(n,r){var a=new t.XMLHttpRequest;a.open("GET",e),a.timeout=yr.preload.timeout,a.addEventListener("error",r),a.addEventListener("timeout",r),a.addEventListener("loadend",(function(e){if(e.loaded&&a.responseText)return n(a.responseText);r(a.responseText)})),a.send()})).then((function(e){return e=n.convertDataToStylesheet({data:e,isCrossOrigin:o,priority:r,root:n.rootNode,shadowId:n.shadowId}),DD(e.sheet,n,r,a,e.isCrossOrigin)}))};function hD(){if(t.performance&&t.performance)return t.performance.now()}dD=null,pD=hD();var gD={start:function(){this.mark("mark_axe_start")},end:function(){this.mark("mark_axe_end"),this.measure("axe","mark_axe_start","mark_axe_end"),this.logMeasures("axe")},auditStart:function(){this.mark("mark_audit_start")},auditEnd:function(){this.mark("mark_audit_end"),this.measure("audit_start_to_end","m\
ark_audit_start","mark_audit_end"),this.logMeasures()},mark:function(e){t.performance&&void 0!==t.performance.mark&&t.performance.mark(e)},measure:function(e,n,r){t.performance&&void 0!==t.performance.measure&&t.performance.measure(e,n,r)},logMeasures:function(e){function n(e){Fr("Measure "+e.name+" took "+e.duration+"ms")}if(t.performance&&void 0!==t.performance.getEntriesByType)for(var r=t.performance.getEntriesByName("mark_axe_start")[0],a=t.performance.getEntriesByType("measure").filter((function(e){return e.startTime>=r.startTime})),o=0;o<a.length;++o){var u=a[o];if(u.name===e)return void n(u);n(u)}},timeElapsed:function(){return hD()-pD},reset:function(){dD=dD||hD(),pD=hD()}};function bD(){var e,t,n,a;return r.elementsFromPoint||r.msElementsFromPoint||((e=r.createElement("x")).style.cssText="pointer-events:auto",e="auto"===e.style.pointerEvents,t=e?"pointer-events":"visibility",n=e?"none":"hidden",(a=r.createElement("style")).innerHTML=e?"* { pointer-events: all }":"* { visibilit\
y: visible }",function(e,o){var u,i,s,l=[],c=[];for(r.head.appendChild(a);(u=r.elementFromPoint(e,o))&&-1===l.indexOf(u);)l.push(u),c.push({value:u.style.getPropertyValue(t),priority:u.style.getPropertyPriority(t)}),u.style.setProperty(t,n,"important");for(l.indexOf(r.documentElement)<l.length-1&&(l.splice(l.indexOf(r.documentElement),1),l.push(r.documentElement)),i=c.length;s=c[--i];)l[i].style.setProperty(t,s.value||"",s.priority);return r.head.removeChild(a),l})}"function"==typeof t.addEventListener&&(r.elementsFromPoint=bD());var vD=function(e,t){return e.concat(t).filter((function(e,t,n){return n.indexOf(e)===t}))};function yD(e,t,n,r,a){return(a=a||{}).vNodes=e,a.vNodesIndex=0,a.anyLevel=t,a.thisLevel=n,a.parentShadowId=r,a}var FD=function(e,t,n){if(r=vf(e=Array.isArray(e)?e:[e],t=ka(t),n))return r;for(var r=e,a=(e=t,n),o=Da.get("qsa.recycledLocalVariables",(function(){return[]})),u=[],i=yD(Array.isArray(r)?r:[r],e,null,r[0].shadowId,o.pop()),s=[];i.vNodesIndex<i.vNodes.length;){\
for(var l,c=i.vNodes[i.vNodesIndex++],d=null,p=null,f=((null==(l=i.anyLevel)?void 0:l.length)||0)+((null==(l=i.thisLevel)?void 0:l.length)||0),D=!1,m=0;m<f;m++){var h=m<((null==(h=i.anyLevel)?void 0:h.length)||0)?i.anyLevel[m]:i.thisLevel[m-((null==(h=i.anyLevel)?void 0:h.length)||0)];if((!h[0].id||c.shadowId===i.parentShadowId)&&Ba(c,h[0]))if(1===h.length)D||a&&!a(c)||(s.push(c),D=!0);else{var g=h.slice(1);if(!1===[" ",">"].includes(g[0].combinator))throw new Error("axe.utils.querySelectorAll does not support the combinator: "+h[1].combinator);(">"===g[0].combinator?d=d||[]:p=p||[]).push(g)}h[0].id&&c.shadowId!==i.parentShadowId||null==(g=i.anyLevel)||!g.includes(h)||(p=p||[]).push(h)}for(c.children&&c.children.length&&(u.push(i),i=yD(c.children,p,d,c.shadowId,o.pop()));i.vNodesIndex===i.vNodes.length&&u.length;)o.push(i),i=u.pop()}return s},wD=function(e){var t,n,a,u;e=void 0===(e=e.treeRoot)?o._tree[0]:e;return t=[],e=FD(e,"*",(function(e){return!t.includes(e.shadowId)&&(t.push(e.sh\
adowId),!0)})).map((function(e){return{shadowId:e.shadowId,rootNode:So(e.actualNode)}})),(e=vD(e,[])).length?(n=r.implementation.createHTMLDocument("Dynamic document for loading cssom"),n=nD(n),a=n,u=[],e.forEach((function(e,t){var n=e.rootNode,r=function(e,t,n){return t=11===e.nodeType&&t?function(e,t){return Array.from(e.children).filter(ED).reduce((function(n,r){var a=r.nodeName.toUpperCase();r="STYLE"===a?r.textContent:r;return(r=t({data:r,isLink:"LINK"===a,root:e})).sheet&&n.push(r.sheet),n}),[])}(e,n):function(e){return Array.from(e.styleSheets).filter((function(e){return!!e.media&&CD(e.media.mediaText)}))}(e),function(e){var t=[];return e.filter((function(e){if(e.href){if(t.includes(e.href))return!1;t.push(e.href)}return!0}))}(t)}(n,e=e.shadowId,a);if(!r)return Promise.all(u);var o=t+1,i={rootNode:n,shadowId:e,convertDataToStylesheet:a,rootIndex:o},s=[];t=Promise.all(r.map((function(e,t){return DD(e,i,[o,t],s)})));u.push(t)})),Promise.all(u).then((function e(t){return t.reduce((\
function(t,n){return Array.isArray(n)?t.concat(e(n)):t.concat(n)}),[])}))):Promise.resolve()};function ED(e){var t=e.nodeName.toUpperCase(),n=e.getAttribute("href"),r=e.getAttribute("rel");n="LINK"===t&&n&&r&&e.rel.toUpperCase().includes("STYLESHEET");return"STYLE"===t||n&&CD(e.media)}function CD(e){return!e||!e.toUpperCase().includes("PRINT")}var xD=function(e){return e=void 0===(e=e.treeRoot)?o._tree[0]:e,e=FD(e,"video, audio",(function(e){return(e=e.actualNode).hasAttribute("src")?!!e.getAttribute("src"):!(Array.from(e.getElementsByTagName("source")).filter((function(e){return!!e.getAttribute("src")})).length<=0)})),Promise.all(e.map((function(e){var t;e=e.actualNode;return t=e,new Promise((function(e){0<t.readyState&&e(t),t.addEventListener("loadedmetadata",(function n(){t.removeEventListener("loadedmetadata",n),e(t)}))}))})))};function AD(e){var t={cssom:wD,media:xD};return ND(e)?new Promise((function(n,r){var a=(o=kD(e)).assets,o=o.timeout,u=setTimeout((function(){return r(new Er\
ror("Preload assets timed out."))}),o);Promise.all(a.map((function(n){return t[n](e).then((function(e){return t={},(r=Y(r=n))in t?Object.defineProperty(t,r,{value:e,enumerable:!0,configurable:!0,writable:!0}):t[r]=e,t;var t,r}))}))).then((function(e){e=e.reduce((function(e,t){return z({},e,t)}),{}),clearTimeout(u),n(e)})).catch((function(e){clearTimeout(u),r(e)}))})):Promise.resolve()}function ND(e){return!e||void 0===e.preload||null===e.preload||("boolean"==typeof e.preload?e.preload:(e=e.preload,"object"===a(e)&&Array.isArray(e.assets)))}function kD(e){var t=(n=yr.preload).assets,n=n.timeout;n={assets:t,timeout:n};if(e.preload&&"boolean"!=typeof e.preload){if(!e.preload.assets.every((function(e){return t.includes(e.toLowerCase())})))throw new Error("Requested assets, not supported. Supported assets are: ".concat(t.join(", "),"."));n.assets=vD(e.preload.assets.map((function(e){return e.toLowerCase()})),[]),e.preload.timeout&&"number"==typeof e.preload.timeout&&!isNaN(e.preload.timeout\
)&&(n.timeout=e.preload.timeout)}return n}function BD(e){var t=o._audit.data.checks||{},n=o._audit.data.rules||{},r=wo(o._audit.rules,"id",e.id)||{},a=(e.tags=ya(r.tags||[]),TD(t,!0,r)),u=TD(t,!1,r);e.nodes.forEach((function(e){e.any.forEach(a),e.all.forEach(a),e.none.forEach(u)})),ko(e,ya(n[e.id]||{}))}function TD(e,t,n){return function(r){var o,u=(o=e[r.id]||{}).messages||{};delete(o=Object.assign({},o)).messages,n.reviewOnFail||void 0!==r.result?o.message=r.result===t?u.pass:u.fail:("object"!==a(u.incomplete)||Array.isArray(r.data)||(o.message=function(e,t){function n(e){return e.incomplete&&e.incomplete.default?e.incomplete.default:kf()}if(!e||!e.missingData)return e&&e.messageKey?t.incomplete[e.messageKey]:n(t);try{var r=t.incomplete[e.missingData[0].reason];if(r)return r;throw new Error}catch(r){return"string"==typeof e.missingData?t.incomplete[e.missingData]:n(t)}}(r.data,u)),o.message||(o.message=u.incomplete)),"function"!=typeof o.message&&(o.message=_f(o.message,r.data)),ko(r\
,o)}}var RD=function(e,t){return FD(e,t)};function SD(e,t){var n,r=o._audit&&o._audit.tagExclude?o._audit.tagExclude:[],a=t.hasOwnProperty("include")||t.hasOwnProperty("exclude")?(n=t.include||[],n=Array.isArray(n)?n:[n],a=t.exclude||[],(a=Array.isArray(a)?a:[a]).concat(r.filter((function(e){return-1===n.indexOf(e)})))):(n=Array.isArray(t)?t:[t],r.filter((function(e){return-1===n.indexOf(e)})));return!!(n.some((function(t){return-1!==e.tags.indexOf(t)}))||0===n.length&&!1!==e.enabled)&&a.every((function(t){return-1===e.tags.indexOf(t)}))}var OD=function(e,t,n){var r=n.runOnly||{};n=(n.rules||{})[e.id];return!(e.pageLevel&&!t.page)&&("rule"===r.type?-1!==r.values.indexOf(e.id):n&&"boolean"==typeof n.enabled?n.enabled:"tag"===r.type&&r.values?SD(e,r.values):SD(e,[]))};function _D(e,t){var n,r,a;return t?(a=e.cloneNode(!1),n=Ur(a),a=1===a.nodeType?(r=a.outerHTML,Da.get(r,(function(){return MD(a,n,e,t)}))):MD(a,n,e,t),Array.from(e.childNodes).forEach((function(e){a.appendChild(_D(e,t))})),\
a):e}function MD(e,t,n,a){return t&&(e=r.createElement(e.nodeName),Array.from(t).forEach((function(t){var r,o,u;r=n,o=t.name,void 0!==(u=a)[o]&&(!0===u[o]||Wr(r,u[o]))||e.setAttribute(t.name,t.value)}))),e}function ID(e,t){var n=[];if(o._selectCache)for(var r=0,a=o._selectCache.length;r<a;r++){var u=o._selectCache[r];if(u.selector===e)return u.result}for(var i,s=t.include.reduce((function(e,t){return e.length&&Ao(e[e.length-1],t)||e.push(t),e}),[]),l=(i=t).exclude&&0!==i.exclude.length?function(e){return uD(e,i)}:null,c=0;c<s.length;c++){var d=s[c];n=function(e,t){if(0===e.length)return t;var n;e.length<t.length&&(n=e,e=t,t=n);for(var r=0,a=t.length;r<a;r++)e.includes(t[r])||e.push(t[r]);return e}(n,FD(d,e,l))}return o._selectCache&&o._selectCache.push({selector:e,result:n}),n}var PD=function(e){e.forEach((function(e){var n=e.elm,r=e.top;e=e.left;if(n===t)return n.scroll(e,r);n.scrollTop=r,n.scrollLeft=e}))};function jD(e){return function e(t,n){var r=t.shift();return n=r?n.querySelect\
or(r):null,0===t.length?n:null!=n&&n.shadowRoot?e(t,n.shadowRoot):null}(Array.isArray(e)?L(e):[e],r)}function LD(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:r,n=Array.isArray(e)?L(e):[e];return 0===e.length?[]:function e(t,n){t=function(e){return $(e)||q(e)||X(e)||H()}(t);var r=t[0],a=t.slice(1);if(t=n.querySelectorAll(r),0===a.length)return Array.from(t);var o,u=[],i=K(t);try{for(i.s();!(o=i.n()).done;){var s=o.value;null!=s&&s.shadowRoot&&u.push.apply(u,L(e(a,s.shadowRoot)))}}catch(e){i.e(e)}finally{i.f()}return u}(n,t)}var qD=function(){return["hidden","text","search","tel","url","email","password","date","month","week","time","datetime-local","number","range","color","checkbox","radio","file","submit","image","reset","button"]},zD=[,[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,,,,,1,1\
,1,1,,,1,1,1,,1,,1,,1,1],[1,1,1,,1,1,,1,1,1,,1,,,1,1,1,,,1,1,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,,,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1],[,1,,,,,,1,,1,,,,,1,,1,,,,1,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,,,1,,,,,1,1,1,,1,,1,,1,,,,,,1],[1,,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,,1,,1,,,,,1,,1,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,,1,1,1,,1,,1,1,1,,,1,1,1,1,1,1,1,1],[,,1,,,1,,1,,,,1,1,1,,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1,1,1,1,1,,,1,1,1],[\
1,1,1,1,1,,,1,,,1,,,1,1,1,,,,,1,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1\
,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1],[,1,,1,1,1,,1,1,,1,,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,,,1,1,1,,,1,1,,,,,,1,1],[1,1,1,,,,,1,,,,1,1,,1,,,,,,1,,,,,1],[,1,,,1,,,1,,,,,,1],[,1,,1,,,,1,,,,1],[1,,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,,1,,,1,1,1,1],[,1,1,1,1,1,,,1,,,1,,1,1,,1,,1,,,,,1,,1],[,1,,,,1,,,1,1,,1,,1,1,1,1,,1,1,,,1,,,1],[,1,1,,,,,,1,,,,1,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,,1,1,1,,,1,1,1,1,1,1,,1,,,,,1,1,,1,,1],[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,1,1],[,1,1,1,,,,1,1,1,,1,1,,,1,1,,\
1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,,1,,,,,1,1,1,,,1,,1,,,1,1],[,,,,1,,,,,,,,,,,,,,,,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,,1,1,1,,1,1,,,,1,1,1,1,1,,,1,1,1,,,,,1],[1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,1,,,,,,,1],[,1,1,,1,1,,1,,,,,,,,,,,,,1],,[1,1,1,,,,,,,,,,,,,1],[,,,,,,,,1,,,1,,,1,1,,,,,1]],[,[1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,,1],[,,,1,,,,,,,,,,,,,,,1],[,1,,,1,1,,1,,1,1,,,,1,1,,,1,1,,,,1],[1,,,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,,,,1],,[,1,1,1,1,1,,1,1,1,,1,1,,1,1,,,1,1,1,1,,1,1,,1],[,1,,,1,,,1,,1,,,1,1,1,1,,,1,1,,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,,,1,1,1,1,1,1,1,,,1,,,1,,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,,,,1],[,,,,,,,1,,,,1,,1,1],[,1,1,1,1,1,1,1,,,,1,1,1,1,1,,,1,1,,1,1,1,1,1],[,1,,,1,1,,1,,1,1,1,,,1,1,,,1,,1,1,1,1,,1],[,1,1,1,,1,1,,1,1,,1,1\
,,1,1,1,1,1,1,1,,1,1,1,1,1],[,,,,,,,,,,,,,,,,1],,[,1,1,1,1,1,,1,1,1,,,1,,1,1,,1,1,1,1,1,,1,,1],[,,1,,,1,,,1,1,,,1,,1,1,,1],[,1,1,,1,,,,1,1,,1,,1,1,1,1,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,1,,1,,1,1],,[,1,1,,1,,,1,,1,,,,1,1,1,,,,,,1,,,,1],[1,1,,,1,1,,1,,,,,1,,1]],[,[,1],[,,,1,,,,1,,,,1,,,,1,,,1,,,1],[,,,,,,,,,,,,,,,,,,1,1,,,,,,1],,[1,,,,,1],[,1,,,,1,,,,1],[,1,,,,,,,,,,,1,,,1,,,,,,,,,1,1],[,,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,1,,1],[,1],[,1,,1,,1,,1,,1,,1,1,1,,1,1,,1,,,,,,,1],[1,,,,,1,,,1,1,,1,,1,,1,1,,,,,1,,,1],[,1,1,,,1,,1,,1,,1,,1,1,1,1,,,1,,1,,1,1,1],[1,1,1,1,1,,1,,1,,,,1,1,1,1,,1,1,,,1,1,1,1],[1,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],,[,1,,,,,,1,1,1,,1,,,,1,,,1,1,1,,,1],[1,,,,,1,,1,1,1,,1,1,1,1,1,,1,,1,,1,,,1,1],[1,,1,1,,,,,1,,,,,,1,1,,,1,1,1,1,,,1,,1],[1,,,,,,,,,,,,,,,,,1],[,,,,,1,,,1,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,,,1],[,1,,,,1]],[,[1,1,1,,1,,1,1,1,1,1,1,1,1,1,,1,,1,,1,1,,,1,1,\
1],[,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],,[,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1],,[1,1,,,,1,1,,,,,,1,,,,1,,1,,1,1,,1],[1],[,,,,,,,,,,,1,,,,,,,,,,,1],[,1,,,,,,,1,1,,,1,,1,,,,1,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,,1],[,,1,,,,,1,,1],[1,,,,1,,,,,1,,,,1,1,,,,1,1,,,,,1],[,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[1,,,1,1,,,,,,,1,,1,,1,1,1,1,1,1],[,,,,,1,,,,,,,1,,,,,,,1],,[,,1,1,1,1,1,,1,1,1,,,1,1,,,1,1,,1,1,1,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,,,,1],,[1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,,,1,1,1,1,,,,,,1,,1,,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,,,,1,,1,,,1,1,1,1,1],[,,,,,,,,,,,1,,,,,,,,,1,,,,1],[,1,1,,1,1,,1,,,,1,1,,1,1,,,1,,1,1,,1],[,1,,1,,1,,,1,,,1,1,,1,1,,,1,1,1],[,1,1,1,1,1,,1,1,,,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,,,,,,,,,1,,1,,1,1,,,,1,,,1],[,1,,,1,1,,,,,,,,,1,1,1,,,,,1],[1,,,1,1,,,,1,1,1,1,1,,,1,,,1,,,1,,1,,1],[,1,1,,1,1,,1,1,,,,1,1,1,,,1,1,,,1,1,1,1,1,1],\
[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,,,,1,,,,,,,,,1],[,1,,,,,,,,1,,,,,1,,,,1,,,1],[,1,1,1,1,,,1,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1],[,,,,,1,,1,,,,,1,1,1,1,1,,,1,,,,1],[,1,,,,,,,,1,,,,,,,,,,,,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,1,,,,1,,1,1,1,1,1,,1,1,,,,,,1],[,1,1,1,1,1,1,1,,1,1,,,1,1,,,,1,,1,1,,1,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,1,1,,1,,,1,1,1,1,,,1,,,,,,,1],[,1,,,,,,,,1,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1],[,1,1,,,,,,,,,,,,1,1,,,,,,1],[,1,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,,,,,1],[1,1,,,1,,,1,1,1,,,,1],,[,,,,,,,,,,,,,1,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,1,,,,,,,1],[1,1,1,,1,,1,1,1,1,1,1,1,1,,1,,,1,,1,,,1,1],[,,,,,,,,,1],[,1,,,,1,,,,,,1,,,1,,,,,1],[,1,1,,1,1,,,,,,,,,,,,,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,1,1,1,,,,1,1,,,,1,,1],[1,1,1,1,1,1,,,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,,1,1],[,,,,,,,,,,,,,,,1,,,,1],,[1,1,,1,,1,,,,,,\
1,,1,,1,1,,1,,1,1,,1,1,,1],[,,1,,,,,,1,,,,1,,1,,,,,1],[1,,,,,,,,,1,,,,,,1,,,,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,,1,,,,,,1,,,1,,,,,,,,1],[,1,,1,,,,,,,,,,,,1],,[1,1,,,,,,,,,,,,,,,,,,,,,,1,1],[1]],[,[1,,,,,,,,,1,,,,,1,,1,,1],[,1,1,,1,1,,1,1,1,,,1,1,1,,,,1,,,1,,,,1],[,1,,,,,,,1,,,,1,,,,,,1],[1,1,1,1,1,1,,,,1,,,,,,,,,1,1,1,1],[1],[,1,1,,,1,1,,,,,1,,1,,,,,,,,1,,,,1],[1,,1,,,1,,1,,,,,1,1,1,1,,,,1,,,,1],[,,1,,,,,,,1,,,,,,,1,,,,,,,1],[1,,,,,,,,,,,,,,1,,,,1],[,,,1,,1,,,,,1,,,,1,1,,,,1],[1,,,,,1,,,,1,,1,1,,,1,1,,1,1,1,,1,1,1,,1],[,1,1,,,,,1,,1,,1,1,1,,1,1,,,1,,1,1,1],[,1,,,,1,,,,1,,,1,,1,1,,,1,1,,,,,,1],[1,,1,1,,1,,1,1,,1,,1,1,1,1,1,,,1,1,,,,,,1],[1,,,,,,,,,,,,,,,,,,1,,,1,,1],[,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,,1,,1],[,1,,,,1,,,1,1,,1,,,1,1,,,1,,,1,,,1,1],[1,1,,1,1,1,,1,1,1,,1,,1,1,1,,,1,,1,1],[1,,1,1,1,1,,,,1,,1,1,1,,1,,,1,1,1,,1,1,1,1,1],[1,,,,,,,,,,,,,1],[,,1,,,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,,,1,,1,,1,,,,1],[,,,1,,,,,,,,,1],[,1,,,,,,,,,,,,,,1,,,,,,,,,1]\
,[,,,,,,,,1,1,,,,,,,,,1,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,,,1,1,1],[,,,,,1,,,,1,1,1,,,1,1,,,1,,1,1,,1],[,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,1,,,,,,,,,,,,,1],[,,1,,,1,,1,1,1,,1,1,,1,,,,1,,1,1],,[,,1,,,1,,,,,,1,,,,1],[,,,,,,,,,1,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,,1,1,,1,,1,,,1,1,1,,,1],[,,,,,1,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,1,,1,1,,1,,,1],[,,,,,1,,,,,,,,,,,,,,1],[,1,1,1,1,,,,,1,,,1,,1,,,,1,1,,,,1,1],[,1,,,1,,,1,,1,1,,1,,,,,,,1],[,,1,,1,,,1,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,,,,,,,,,,1,,1,1],[,,,,,,,,,,,,1],,[,1,1,1,1,,,,1,1,,1,1,1,1,1,1,,1,1,1,1,,1,,1],[1,,,,1,,,,,,,,,,1],[1,,,,,,,,,1],,[,1,,,,1,,,,,,,,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,\
1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[\
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,,1,,,,1,1,,,1,1,,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,1],[1,1,1,,,,,1,1,1,,1,1,1,1,,,1,1,,1,1,,,,,1],[,1,,,,,,,1,1,,,1,1,1,,1,,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,,,1,,,,1,,,1,,,,1,,,,,,,1,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1],[1,1,1,,1,,,1,1,1,1,,1,1,1,1,,,,1,,1,,1,,,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,,1,1,,,,,,,,,1],,[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,,1,,1,,,,1],[,1,,,1,1,,1,1,1,,,1,1,1,1,1,,1,1,1,,1,,,1],[1,,,1,,,,1,1,1,,,,,1,1,,,,1,,1],[1,1,,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,,1,,1,,,,,,,,1,\
,1],[,1,,,,1,,1,1,,,,1,1,,1,,,,1,1,1,,1],,[,1,,,,,,1,,,,,,,1],[,,,,,,,,1,,,,1,,1,,,,,,,,,,,,1]],[,[,1,1,,1,1,1,1,,1,1,1,,1,1,,1,1,,1,1,1,1,1,1,,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1\
,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,,,1,,,,,,,,1,,,,,,1,,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,1,1,1,,1,1,1,1,,,1,1\
,1,1,,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,,1,,1,1,1,1,1,1,1,,1,1,,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1],[,1,1,,,,,1,1,1,,,1,,1,1,,,,1,,1,,,1,1],[,,,,,,,1,,,,1,1,1,1,1,,1,,,,,,,,1],[1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,,1,,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,1,1,,1,,1,1,1,,1,,1,1,,1,1,,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,,1,,,,,1,,1],[,1,1,1,,1,,1,,1,,,,1,,1,,,1,,,,,,1,1],[,1,,,1,1,,1,,1,,1,1,1,1,1,,1,1,,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,,1,,1,,1,,,,,,1,,1,,,,1,1]],[,[,1,,1,,,,,,,,,,,,,,,1,,,,1],[,,,,,,,,,1,,1,1,1,,1,,,1,,1,1],[1,1,,,,,,,1,,,,,,,1,,,,,,1],[,1,,,,,,,,,,1,,,,,,,,,1,1],,[,,,,,,,,,,,,,,,1,,,,1,,1],[,,1,1,,1,,1,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,,,,,,,,1],[1,,1,1,,,,1,,,,,,,,,1,,,1\
,,,1,1],[,1,1,,1,1,,1,1,1,1,1,1,1,1,1,,,1,1,,1,1,,1],[,1,,,1,1,,,,,,1,,1,,1,,,1,,1,1],[1,1,1,1,,1,,1,,1,,1,1,,1,1,1,1,1,,1,1,1,1,1],[,1,1,,,1,,1,,1,1,1,,,1,1,1,,1,1,1,1,,1,1],[,,,,1,,,1,,,,,,,1,,,,1,1],[,1,,,,,,,,,,1,,1,,1,,,,,1,,,,,1],,[1,1,,1,,1,,1,1,,,,,,1,1,,,1,1,1,1,1,1,1,1,1],[1,1,,1,,,,,,1,,,,,,1,1,,,,1,1,,,1],[,1,1,,1,1,,,,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,,,1,,,,1,,,,1,1],[,,,,1],[,,,,,,,,,1,,,1],,[,,1,,1,,,,,,,,,1,,,,,,,,,,,,1],[,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,,,,,1],[,1,,1,,,,,,1,,,,,1,1,,,,,1,1],[,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,,,1,,1,1,1],[,1,,,,1,,,,,,,1],[,1,,,1,,,1,,1,,1,1,,1,,,,,1,,1,,,,1,1],[,1,,,1,,,1,1,1,,1,1,1,1,1,,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,1,1,,,,1,1,,,,,,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,1,1,1,1,\
1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,,1,1,,1,1,1,1,1],[,1,,,,1,,,,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,1,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,,1,1,1,,1,1,1,,,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,,,,,,,1,1,,,,,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,1,,1,1,1,1],,[,1,1,,,,,1,,1,,,,1,1,1,,,1,,,,,1],[,,,,,,,,,,,,,1],[,,,,,1,,,,,,,,1,1,,,,,1,,1,,,1,1],[,,,,,,,,,,,,,,1]],[,[,1],,,,,,,,,,,,,,,,,,,,[1,1,1,1,1,,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,1,1,1,1],[,1,,1,,1,,,1,1,1,,1,1,1,1,1,,,1,,,,1,,1,1],[,1,,1,,1,,,1,,,,,1,,,,,,1,1],[,1,,1,,,,,1,,,,1,,1,1,1,1,1,1,1,1,,1],[,1,,,,,,,,,,,,,,,1]],[,[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,,,,,,,,,1,1,,,,1],[,,,,,,1],[,,1],[,1,1,,,1,,1,,1,1,,1,1,1,,,,1,1,1,,,,,1],,[,1,,,,1,,,,,,1,,,1,,,,1,1,,1],[,,,,,,,1,,,,,,,,,1],[,1,,,,1,1,,,,,,1,1,1,,,,1,,1,1],[,,,,,,,1,,1,,,,,,,,,,1],[,1,1,,,,,,1,1,,,,1,,,,,,,1,,,1],,[1,1,1,1,1,1,1,1,1,1,,1,\
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,,1,,,1,,,,,1,,1,,1,,1,,,,,1],[1,1,1,1,1,1,1,1,,,,,1,1,,1,1,,1,,,1,,1],[,,,,,,,,,,,,,,1,,,,,,1],,[,,,,,,,,,1,,,,,,1,,,,,1],[,,1,,,,,,,1,,,1,1],[,,,1,,,,,1,,,,,1,,,,,,1,,,,1],[1,,1,1,,1,1,1,1,1,,1,,,,1,1,1,,,1,1,,,,1,1],,[1,1,,,,,,,,,,1,,1,,1,,,1],[,,,,1,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,1],[,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,,1,,,1,,,,,,,,1,,,,,,1,,,,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,1,,,,1,1,1,1,1,1,,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1\
,1,1,1,1,1],[1,,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,1,,1,1,,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,,1,,1,,1,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,,,,,,1,,1,,,,,1,1,,,,,1],[1,,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,,1,,,,1,1,1,1,1,,,1,1,,1,,1],[,1,1,1,1,,,,,1,,1,1,1,1,1,,,1,1,,,,1,1,1],[,1,1,1,1,1,,1,,,,,1,,1,,1,,,1,,,1,1,,1]],[,[1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,,,,,1,,,,,1,1,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,1,1,1,1,,1,1,,1,1,1,1,,\
1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,,,,1,,1,1,,1,1,1,1,1,,,1,,1,,1],[1,1,1,,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,,1,,,,,,,,,,1,1,1,1,1,1,1,,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,1,1,,,,,,1,1,1,1,1,,,,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,,1,1,1],[,1,1,1,,1,,1,1,1,1,,,1,1,1,,1,1,1,1,1,,,1,1],[1,1,,,,1,,,1,1,1,,1,,1,,1,,1,1,1,1,1,,1,,1],[,1,,,,,,,1,,1,,1,1,1,1,,,,,,,,,1]],[,[,,,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,1,,,1,,,,,,1,,,1,,,,1],,[,1,,,,1,,1,,1,1,,1,1,,,,,,,,1],[,,,\
,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],[1,1,1,,,1,,,,,,,,,1,1,,,,,,,,,,1],[,1,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1,,,1],[,,,,,,,,,1],[1,1,,,,,,1,1,1,,1,1,,,,1,1,,1,,1,1,1,,1],[,1,1,1,,1,1,,,1,,1,1,1,1,,,,,,,1,,1],[,1,1,1,1,,,1,,1,,,,1,1,1,1,,1,1,,1],[,1,,,1,1,,1,,,,1,,1,1,,1,,1,,,1,,,1,,1],[,,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,,,,,1],,[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1],[,1,,,,,,,1,1,,1,,,,,1,,,1,,1],[,1,,,,1,,,1,,,,,,,,1,,1,,,1],[,,,,,,,,,,,,,1,1,,,,1,,,1],[,,,,,1,,,1,,,,1],[,1],,[,1],[1,,,,,,,,,,,,,,1,,,,,1]],[,[,1,,,,1,1,1,1,1,1,,1,1,1,1,1,,1,1,,1,1,,,1],[,,1,,,,,,,,,1],,,[1,,,1,1,,,,,,,,1,1,,1,1,,1],,[,,,,,,,,,,,,,,,,,,1,,1],,[1,,,1,1,,1,1,,,,,1,,1,,,,,1,1,,1],,[,1,,,,,,,,1,1,1,1,1,,1,1,,,,1,1],[,,,,,,,,,,,,,,,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,,1,1,1,1,1,1],[,,,,,,,,,,,1,,1,,,1],[1,,,,,,,,,,,,,,,,,,1,,1],,,[,1,,,,,,,,,,,,,,1,,,,1,1],[,,,,,,,,,1,,,1,,,,,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,1,1,,,,,,1],,[,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1\
,1,1],[,1,1,,,1,1,,1,1,1,1,1,1,,,1,1,1,1,1,,1,1],[,1,,,,,,,,1],[,,,,1,,,1,,,1,1,,,,,,,,,,1,,,,1],[,1,,1,1,,,1,1,1,,,,1,1,1,1,,1,1,1,1,,1],[,,,,,,,1],[,1,1,,,,,1,,1,,,,,,1,,,,,,1,,1,,1],[,1,,,,,,1,,,,1,,,,,,,,,,1],[,,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1,1,1,1,,1],[,1,,,,,,,,1],[,1,1,,1,,,,,,,,1,,,,,,1,,,1,,1,,1],[,1,,1,,1,,1,1,1,,1,1,1,,1,,,1,1,,1,1,1,1,1],[,1,1,1,1,1,,,1,1,,,,1,1,1,,,,1,1,,,1,1],[,,1,1,1,1,,1,,1,,1,,1,1,1,1,,,,,1,,1,,1],[1,1,1,1,1,1,1,1,,1,,1,,1,1,1,,,1,1,,,,1,,1],[,,,1],,[,1,1,,1,,,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1],[,1,,,,,,1,,1,,1,,,,,,,1,1,,1,1],[,,,,,,1,,1,1,,1,,1,,,,,,,,,,1],[,1,1,,1,,,,1,,,,1,1,1,,,,1,,1,1,1,,1,1],,[,1,1,,,,,,,,,,,,,1,,,1,,,,,1],[,1,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,1,,,,1,,,,,1,,,,,,,1]],[,[,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[,1,1,1,1,1,,1,,1,1,,,1,1,1,1,,1,,,,,1,1,1],[,,1,1,,1,,1,1,,,,1,1,1,1,,,1,,1,1,1,1,,1],[,1,,1,,,,,,,,1,,1,,1,,,,,,,,,,1],[,,1,,1,,,1,,,,,1,1,,,1,,1,1,1,1],[,1],[,1,1,,1,,1,1,,1,,,1,1,1,,,,1,,,1,,1],[1,1,,1,1,\
1,,,,,,,,,,,,,1,,1,1,1],[,1,1,,,,,,,1,,,1,,1,,1,,1,1,,,1,,,1],[,,1,,,,,,,,,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,,1,,,,,1,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,,1,,1,1,1,,,1,1,1,1,,,,1,1],[,,,1,1,,,1,,1,,1,,1,1,1,1,,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,,1,,1,,,,1,1,,,1,1,,1,1,,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1,,1,1,,,1],[,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,,1,,,1,,,1,,1,1,1,1,1,,1,,1,1],[,,,,,1,,,,1,,,,,1,1,,,,1],[,1,,1,1,1,,1,,,1,1,1,,,1,,,1,,1,,,1],[,,1,,,,,,,,,1,,1,,,,,1,,1],[,1,1,,,,,,,,1,1,1,,,,,,,,1,,,,,1],[,,,,,,,,1,,,,,1,,,1]],[,[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,,1,1,1,1,1,1,1,1,,,,,,,,,1,1],[,,,,,,,,1,,,,1,,1,,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,1,,1,,1,,,,1,1,,1,,1,,,,1,1,1,1,1,,,1],,[,1,,,,,,,,1,,,1,1,,,1,,1,1,,1,,1],[,1,,,1,,,,,,,,1,,,,,,,1],[1,1,,,,,1,1,1,1,1,1,1,\
1,1,,1,1,1,1,1,1,1,,1,1,1],,[,1,,,,,,1,,1,,1,1,1,1,1,,,1,,1,1,,,,1],[,1,1,,,1,,1,,1,,,1,1,1,1,,,1,,,1,,,,1],[,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1],[,1,,,1,1,,1,1,,,1,1,,1,1,,1,,1,,1],[1,,1,,,,,1,,1,,1,1,1,1,,,,,1,1,,,,1,1],[,1,1,,,,,1,1,,,1,,1,1,1,1,,,,,,,,,,1],,[,1,1,,,1,,,,1,,1,1,1,1,1,,,,1,,,,1,,1],[,,,1,1,,,1,,,,,1,,1,1,1,,1,1,,,,,,1],[,1,,,,,,,,,,,1,,,,1,,,,,,,1,,1],[,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,1,,,,,1,,1,,,1,1,,1,1,,1],[,1,,,,,,1,,,,,1,1,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1,,,1,,,,,1],[,,,,,,,1,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,,1,,,,,,,1,,,,,,,,1,,,1],[,1,,,,,,,1],[,,,,,,,,,,1],[,1,,,,,,1,1,,,,,,1],,[,1,1,,,,,,1,,,,,1,1,,,,1],[1,,1,,1,,,,,1,,,,,1,,,,,,,,,1,1],[,1,1,,,,,,,,,1,1,1,1,,,,1,,,,,1,,,1],,[,1,1,,1,,,1,1,,,1,,,1,1,1,,1,,1,1,1,,,,1],[,,,,,1,,,,,1,,,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,,,1,,,,,1,,,,,1,,1,,1,1\
,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,1],[,1,,,,,,1,,,,,,,1,1,1,,,1],[,1,,,,,,,,,,1,1,1,,,,,1,,,1],[,,,,,1,,1,,,,,1,1,1,,1,1,,1,1,1,,,1,1],[1,1,,,,,,,1,,,,,1,1,,,,,,,,,,,1],,[,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,,1,,,,,1,,,1,,,,1,,1],[,1,,,,,,,,,1]]];function VD(e){e=Array.isArray(e)?e:zD;var t=[];return e.forEach((function(e,n){var r=String.fromCharCode(n+96).replace("\`","");Array.isArray(e)?t=t.concat(VD(e).map((function(e){return r+e}))):t.push(r)})),t}var HD=function(e){for(var t=zD;e.length<3;)e+="\`";for(var n=0;n<=e.length-1;n++)if(!(t=t[e.charCodeAt(n)-96]))return!1;return!0};I($D,Cr),G($D,[{key:"props",get:function(){return this._props}},{key:"attr",value:function(e){return null!=(e=this._attrs[e])?e:null}},{key:"hasAttr",value:function(e){return void 0!==this._attrs[e]}},{key:"attrNames",get:function(){return Object.keys(this._attrs)}}]),Pp=$D;function $D(e){var t,n,r;return U(this,$D),(t=S(this,$D))._props=function(e){var t=null!=(t=e.nodeName)?t:GD[e.\
nodeType],n=null!=(n=null!=(n=e.nodeType)?n:WD[e.nodeName])?n:1,r=(jr("number"==typeof n,"nodeType has to be a number, got '".concat(n,"'")),jr("string"==typeof t,"nodeName has to be a string, got '".concat(t,"'")),t=t.toLowerCase(),null);return"input"===t&&(r=(e.type||e.attributes&&e.attributes.type||"").toLowerCase(),qD().includes(r)||(r="text")),e=z({},e,{nodeType:n,nodeName:t}),r&&(e.type=r),delete e.attributes,Object.freeze(e)}(e),t._attrs=(e=e.attributes,n=void 0===e?{}:e,r={htmlFor:"for",className:"class"},Object.keys(n).reduce((function(e,t){var o=n[t];return jr("object"!==a(o)||null===o,"expects attributes not to be an object, '".concat(t,"' was")),void 0!==o&&(e[r[t]||t]=null!==o?String(o):null),e}),{})),t}var UD,WD={"#cdata-section":2,"#text":3,"#comment":8,"#document":9,"#document-fragment":11},GD={},YD=(Object.keys(WD).forEach((function(e){GD[WD[e]]=e})),Pp),KD=function(e,t){if(e=e||function(){},t=t||o.log,!o._audit)throw new Error("No audit configured");var n=o.utils.queu\
e(),a=[],u=(Object.keys(o.plugins).forEach((function(e){n.defer((function(t){function n(e){a.push(e),t()}try{o.plugins[e].cleanup(t,n)}catch(e){n(e)}}))})),o.utils.getFlattenedTree(r.body));o.utils.querySelectorAll(u,"iframe, frame").forEach((function(e){n.defer((function(t,n){return o.utils.sendCommandToFrame(e.actualNode,{command:"cleanup-plugin"},t,n)}))})),n.then((function(n){0===a.length?e(n):t(a)})).catch(t)},XD={};function ZD(e){return XD.hasOwnProperty(e)}function JD(e){return"string"==typeof e&&XD[e]?XD[e]:"function"==typeof e?e:UD}var QD={},em=(ie(QD,{getAllCells:function(){return em},getCellPosition:function(){return Ei},getHeaders:function(){return nm},getScope:function(){return Ci},isColumnHeader:function(){return xi},isDataCell:function(){return rm},isDataTable:function(){return am},isHeader:function(){return om},isRowHeader:function(){return Ai},toArray:function(){return wi},toGrid:function(){return wi},traverse:function(){return um}}),function(e){for(var t,n,r=[],a=0,o=\
e.rows.length;a<o;a++)for(t=0,n=e.rows[a].cells.length;t<n;t++)r.push(e.rows[a].cells[t]);return r});function tm(e,t,n){for(var r,a="row"===e?"_rowHeaders":"_colHeaders",u="row"===e?Ai:xi,i=(l=n[t.y][t.x]).colSpan-1,s=l.getAttribute("rowspan"),l=(s=0===parseInt(s)||0===l.rowspan?n.length:l.rowSpan,t.y+(s-1)),c=t.x+i,d="row"===e?t.y:0,p="row"===e?0:t.x,f=[],D=l;d<=D&&!r;D--)for(var m=c;p<=m;m--){var h=n[D]?n[D][m]:void 0;if(h){var g=o.utils.getNodeFromTree(h);if(g[a]){r=g[a];break}f.push(h)}}return r=(r||[]).concat(f.filter(u)),f.forEach((function(e){o.utils.getNodeFromTree(e)[a]=r})),r}var nm=function(e,t){if(e.getAttribute("headers")){var n=ui(e,"headers");if(n.filter((function(e){return e})).length)return n}return t=t||wi(Io(e,"table")),e=tm("row",n=Ei(e,t),t),n=tm("col",n,t),[].concat(e,n).reverse()},rm=function(e){var t;return!(!e.children.length&&!e.textContent.trim())&&(t=e.getAttribute("role"),bi(t)?["cell","gridcell"].includes(t):"TD"===e.nodeName.toUpperCase())},am=function(e)\
{var n=(e.getAttribute("role")||"").toLowerCase();if(("presentation"===n||"none"===n)&&!ti(e))return!1;if("true"===e.getAttribute("contenteditable")||Io(e,'[contenteditable="true"]'))return!0;if("grid"===n||"treegrid"===n||"table"===n)return!0;if("landmark"===el(n))return!0;if("0"===e.getAttribute("datatable"))return!1;if(e.getAttribute("summary"))return!0;if(e.tHead||e.tFoot||e.caption)return!0;for(var r=0,a=e.children.length;r<a;r++)if("COLGROUP"===e.children[r].nodeName.toUpperCase())return!0;for(var o,u,i,s=0,l=e.rows.length,c=!1,d=0;d<l;d++)for(var p,f=0,D=(p=e.rows[d]).cells.length;f<D;f++){if("TH"===(o=p.cells[f]).nodeName.toUpperCase())return!0;if(c||o.offsetWidth===o.clientWidth&&o.offsetHeight===o.clientHeight||(c=!0),o.getAttribute("scope")||o.getAttribute("headers")||o.getAttribute("abbr"))return!0;if(["columnheader","rowheader"].includes((o.getAttribute("role")||"").toLowerCase()))return!0;if(1===o.children.length&&"ABBR"===o.children[0].nodeName.toUpperCase())return!0;s++\
}if(e.getElementsByTagName("table").length)return!1;if(l<2)return!1;if(1===(n=e.rows[Math.ceil(l/2)]).cells.length&&1===n.cells[0].colSpan)return!1;if(5<=n.cells.length)return!0;if(c)return!0;for(d=0;d<l;d++){if(p=e.rows[d],u&&u!==t.getComputedStyle(p).getPropertyValue("background-color"))return!0;if(u=t.getComputedStyle(p).getPropertyValue("background-color"),i&&i!==t.getComputedStyle(p).getPropertyValue("background-image"))return!0;i=t.getComputedStyle(p).getPropertyValue("background-image")}return 20<=l||!(ou(e).width>.95*uu(t).width||s<10||e.querySelector("object, embed, iframe, applet"))},om=function(e){return!(!xi(e)&&!Ai(e))||!!e.getAttribute("id")&&(e=qr(e.getAttribute("id")),!!r.querySelector('[headers~="'.concat(e,'"]')))},um=function(e,t,n,r){if(Array.isArray(t)&&(r=n,n=t,t={x:0,y:0}),"string"==typeof e)switch(e){case"left":e={x:-1,y:0};break;case"up":e={x:0,y:-1};break;case"right":e={x:1,y:0};break;case"down":e={x:0,y:1}}return function e(t,n,r,a){var o,u=r[n.y]?r[n.y][n.x]\
:void 0;return u?"function"==typeof a&&!0===(o=a(u,n,r))?[u]:((o=e(t,{x:n.x+t.x,y:n.y+t.y},r,a)).unshift(u),o):[]}(e,{x:t.x+e.x,y:t.y+e.y},n,r)};var im={},sm=(ie(im,{allowedAttr:function(){return sm},arialabelText:function(){return li},arialabelledbyText:function(){return si},getAccessibleRefs:function(){return cm},getElementUnallowedRoles:function(){return Dm},getExplicitRole:function(){return vi},getImplicitRole:function(){return Wi},getOwnedVirtual:function(){return Qi},getRole:function(){return Ki},getRoleType:function(){return el},getRolesByType:function(){return hm},getRolesWithNameFromContents:function(){return ym},implicitNodes:function(){return wm},implicitRole:function(){return Wi},isAccessibleRef:function(){return Em},isAriaRoleAllowedOnElement:function(){return dm},isComboboxPopup:function(){return Cm},isUnsupportedRole:function(){return gi},isValidRole:function(){return bi},label:function(){return Am},labelVirtual:function(){return Os},lookupTable:function(){return Fm},nam\
edFromContents:function(){return Ji},requiredAttr:function(){return Nm},requiredContext:function(){return km},requiredOwned:function(){return Bm},validateAttr:function(){return Rm},validateAttrValue:function(){return Tm}}),function(e){e=hi.ariaRoles[e];var t=L(Fi());return e&&(e.allowedAttrs&&t.push.apply(t,L(e.allowedAttrs)),e.requiredAttrs)&&t.push.apply(t,L(e.requiredAttrs)),t}),lm=/^idrefs?$/,cm=function(e){e=e.actualNode||e;var t=(t=Oo(e)).documentElement||t,n=Da.get("idRefsByRoot",(function(){return new Map})),r=n.get(t);return r||(r=new Map,n.set(t,r),function e(t,n,r){if(t.hasAttribute){var a;"LABEL"===t.nodeName.toUpperCase()&&t.hasAttribute("for")&&(a=t.getAttribute("for"),n.has(a)?n.get(a).push(t):n.set(a,[t]));for(var o=0;o<r.length;++o){var u=r[o];if(u=ki(t.getAttribute(u)||"")){var i,s=K(gf(u));try{for(s.s();!(i=s.n()).done;){var l=i.value;n.has(l)?n.get(l).push(t):n.set(l,[t])}}catch(e){s.e(e)}finally{s.f()}}}}for(var c=0;c<t.childNodes.length;c++)1===t.childNodes[c].nod\
eType&&e(t.childNodes[c],n,r)}(t,r,Object.keys(hi.ariaAttrs).filter((function(e){return e=hi.ariaAttrs[e].type,lm.test(e)})))),null!=(n=r.get(e.id))?n:[]},dm=function(e,t){e=e instanceof Cr?e:ma(e);var n=Wi(e);e=Ui(e);return Array.isArray(e.allowedRoles)?e.allowedRoles.includes(t):t!==n&&!!e.allowedRoles},pm=["doc-backlink","doc-biblioentry","doc-biblioref","doc-cover","doc-endnote","doc-glossref","doc-noteref"],fm={header:"banner",footer:"contentinfo"},Dm=function(e){var t,n,r,a=!(1<arguments.length&&void 0!==arguments[1])||arguments[1],o=cD(e).vNode;return oD(o)?(r=o.props.nodeName,t=Wi(o)||fm[r],r=[],((n=o)?(n.hasAttr("role")&&(n=gf(n.attr("role").toLowerCase()),r=r.concat(n)),r.filter((function(e){return bi(e)}))):r).filter((function(e){var n=o,r=t;return!(a&&e===r||(!pm.includes(e)||el(e)===r)&&dm(n,e))}))):[]},mm=function(e){return Object.keys(hi.ariaRoles).filter((function(t){return hi.ariaRoles[t].type===e}))},hm=function(e){return mm(e)},gm=function(){return Da.get("ariaRolesN\
ameFromContent",(function(){return Object.keys(hi.ariaRoles).filter((function(e){return hi.ariaRoles[e].nameFromContent}))}))};function bm(e){return null===e}function vm(e){return null!==e}var ym=function(){return gm()},Fm=((Kd={attributes:{"aria-activedescendant":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-atomic":{type:"boolean",values:["true","false"],unsupported:!1},"aria-autocomplete":{type:"nmtoken",values:["inline","list","both","none"],unsupported:!1},"aria-busy":{type:"boolean",values:["true","false"],unsupported:!1},"aria-checked":{type:"nmtoken",values:["true","false","mixed","undefined"],unsupported:!1},"aria-colcount":{type:"int",unsupported:!1},"aria-colindex":{type:"int",unsupported:!1},"aria-colspan":{type:"int",unsupported:!1},"aria-controls":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-current":{type:"nmtoken",allowEmpty:!0,values:["page","step","location","date","time","true","false"],unsupported:!1},"aria-describedby":{type:"idrefs",allowEmpty:!0,unsuppo\
rted:!1},"aria-describedat":{unsupported:!0,unstandardized:!0},"aria-details":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-disabled":{type:"boolean",values:["true","false"],unsupported:!1},"aria-dropeffect":{type:"nmtokens",values:["copy","move","reference","execute","popup","none"],unsupported:!1},"aria-errormessage":{type:"idref",allowEmpty:!0,unsupported:!1},"aria-expanded":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-flowto":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-grabbed":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-haspopup":{type:"nmtoken",allowEmpty:!0,values:["true","false","menu","listbox","tree","grid","dialog"],unsupported:!1},"aria-hidden":{type:"boolean",values:["true","false"],unsupported:!1},"aria-invalid":{type:"nmtoken",allowEmpty:!0,values:["true","false","spelling","grammar"],unsupported:!1},"aria-keyshortcuts":{type:"string",allowEmpty:!0,unsupported:!1},"aria-label":{type:"string",allowEmpty\
:!0,unsupported:!1},"aria-labelledby":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-level":{type:"int",unsupported:!1},"aria-live":{type:"nmtoken",values:["off","polite","assertive"],unsupported:!1},"aria-modal":{type:"boolean",values:["true","false"],unsupported:!1},"aria-multiline":{type:"boolean",values:["true","false"],unsupported:!1},"aria-multiselectable":{type:"boolean",values:["true","false"],unsupported:!1},"aria-orientation":{type:"nmtoken",values:["horizontal","vertical"],unsupported:!1},"aria-owns":{type:"idrefs",allowEmpty:!0,unsupported:!1},"aria-placeholder":{type:"string",allowEmpty:!0,unsupported:!1},"aria-posinset":{type:"int",unsupported:!1},"aria-pressed":{type:"nmtoken",values:["true","false","mixed","undefined"],unsupported:!1},"aria-readonly":{type:"boolean",values:["true","false"],unsupported:!1},"aria-relevant":{type:"nmtokens",values:["additions","removals","text","all"],unsupported:!1},"aria-required":{type:"boolean",values:["true","false"],unsupported:!\
1},"aria-roledescription":{type:"string",allowEmpty:!0,unsupported:!1},"aria-rowcount":{type:"int",unsupported:!1},"aria-rowindex":{type:"int",unsupported:!1},"aria-rowspan":{type:"int",unsupported:!1},"aria-selected":{type:"nmtoken",values:["true","false","undefined"],unsupported:!1},"aria-setsize":{type:"int",unsupported:!1},"aria-sort":{type:"nmtoken",values:["ascending","descending","other","none"],unsupported:!1},"aria-valuemax":{type:"decimal",unsupported:!1},"aria-valuemin":{type:"decimal",unsupported:!1},"aria-valuenow":{type:"decimal",unsupported:!1},"aria-valuetext":{type:"string",unsupported:!1}},globalAttributes:["aria-atomic","aria-busy","aria-controls","aria-current","aria-describedby","aria-details","aria-disabled","aria-dropeffect","aria-flowto","aria-grabbed","aria-haspopup","aria-hidden","aria-invalid","aria-keyshortcuts","aria-label","aria-labelledby","aria-live","aria-owns","aria-relevant","aria-roledescription"]}).role={alert:{type:"widget",attributes:{allowed:["ar\
ia-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},alertdialog:{type:"widget",attributes:{allowed:["aria-expanded","aria-modal","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["dialog","section"]},application:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage","aria-activedescendant"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["article","audio","embed","iframe","object","section","svg","video"]},article:{type:"structure",attributes:{allowed:["aria-expanded","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["article"],unsupported:!1},banner:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["header"],unsupported:!1,allowedElements:["section"]},button:{type:"widget",attributes:{a\
llowed:["aria-expanded","aria-pressed","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["button",'input[type="button"]','input[type="image"]','input[type="reset"]','input[type="submit"]',"summary"],unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:vm}}]},cell:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-rowindex","aria-rowspan","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["td","th"],unsupported:!1},checkbox:{type:"widget",attributes:{allowed:["aria-checked","aria-required","aria-readonly","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:['input[type="checkbox"]'],unsupported:!1,allowedElements:["button"]},columnheader:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-required","aria-readonly","aria-selected","aria-sort","aria-errormessage"]},owned:null,\
nameFrom:["author","contents"],context:["row"],implicit:["th"],unsupported:!1},combobox:{type:"composite",attributes:{allowed:["aria-autocomplete","aria-required","aria-activedescendant","aria-orientation","aria-errormessage"],required:["aria-expanded"]},owned:{all:["listbox","tree","grid","dialog","textbox"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:"input",properties:{type:["text","search","tel","url","email"]}}]},command:{nameFrom:["author"],type:"abstract",unsupported:!1},complementary:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["aside"],unsupported:!1,allowedElements:["section"]},composite:{nameFrom:["author"],type:"abstract",unsupported:!1},contentinfo:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["footer"],unsupported:!1,allowedElements:["section"]},definition:{type:"structure",\
attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["dd","dfn"],unsupported:!1},dialog:{type:"widget",attributes:{allowed:["aria-expanded","aria-modal","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["dialog"],unsupported:!1,allowedElements:["section"]},directory:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:["ol","ul"]},document:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["body"],unsupported:!1,allowedElements:["article","embed","iframe","object","section","svg"]},"doc-abstract":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-acknowledgments":{type:"landmark",attributes:{allowed:\
["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-afterword":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-appendix":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-backlink":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:vm}}]},"doc-biblioentry":{type:"listitem",attributes:{allowed:["aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author"],context:["doc-bibliography"],unsupported:!1,allowedElements:["li"]},"doc-bibliography":{type:"landmark",attributes:{allowed:["aria-ex\
panded","aria-errormessage"]},owned:{one:["doc-biblioentry"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-biblioref":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:vm}}]},"doc-chapter":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-colophon":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-conclusion":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-cover":{type:"img",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author\
"],context:null,unsupported:!1},"doc-credit":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-credits":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-dedication":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-endnote":{type:"listitem",attributes:{allowed:["aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,namefrom:["author"],context:["doc-endnotes"],unsupported:!1,allowedElements:["li"]},"doc-endnotes":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["doc-endnote"]},namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-epig\
raph":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1},"doc-epilogue":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-errata":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-example":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","section"]},"doc-footnote":{type:"section",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","footer","header"]},"doc-foreword":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],co\
ntext:null,unsupported:!1,allowedElements:["section"]},"doc-glossary":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:["term","definition"],namefrom:["author"],context:null,unsupported:!1,allowedElements:["dl"]},"doc-glossref":{type:"link",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attributes:{href:vm}}]},"doc-index":{type:"navigation",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},"doc-introduction":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-noteref":{type:"link",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author","contents"],context:null,unsupported:!1,allowedElements:[{nodeName:"a",attribut\
es:{href:vm}}]},"doc-notice":{type:"note",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-pagebreak":{type:"separator",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["hr"]},"doc-pagelist":{type:"navigation",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},"doc-part":{type:"landmark",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-preface":{type:"landmark",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-prologue":{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-pullquote":\
{type:"none",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside","section"]},"doc-qna":{type:"section",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},"doc-subtitle":{type:"sectionhead",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["h1","h2","h3","h4","h5","h6"]}},"doc-tip":{type:"note",attributes:{allowed:["aria-expanded"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["aside"]},"doc-toc":{type:"navigation",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,namefrom:["author"],context:null,unsupported:!1,allowedElements:["nav","section"]},feed:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{one:["article"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["arti\
cle","aside","section"]},figure:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["figure"],unsupported:!1},form:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["form"],unsupported:!1},grid:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-colcount","aria-level","aria-multiselectable","aria-readonly","aria-rowcount","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author"],context:null,implicit:["table"],unsupported:!1},gridcell:{type:"widget",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-selected","aria-readonly","aria-required","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["td","th"],unsupported:!1},group:{type:"structure",attributes:{allowed:["aria-activedescend\
ant","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["details","optgroup"],unsupported:!1,allowedElements:["dl","figcaption","fieldset","figure","footer","header","ol","ul"]},heading:{type:"structure",attributes:{required:["aria-level"],allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["h1","h2","h3","h4","h5","h6"],unsupported:!1},img:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["img"],unsupported:!1,allowedElements:["embed","iframe","object","svg"]},input:{nameFrom:["author"],type:"abstract",unsupported:!1},landmark:{nameFrom:["author"],type:"abstract",unsupported:!1},link:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["a[href]","area[href]"],unsupported:!1,allowedElements:["button",{nodeName:"input",prop\
erties:{type:["image","button"]}}]},list:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:{all:["listitem"]},nameFrom:["author"],context:null,implicit:["ol","ul","dl"],unsupported:!1},listbox:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-multiselectable","aria-readonly","aria-required","aria-expanded","aria-orientation","aria-errormessage"]},owned:{all:["option"]},nameFrom:["author"],context:null,implicit:["select"],unsupported:!1,allowedElements:["ol","ul"]},listitem:{type:"structure",attributes:{allowed:["aria-level","aria-posinset","aria-setsize","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["list"],implicit:["li","dt"],unsupported:!1},log:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},main:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:\
null,nameFrom:["author"],context:null,implicit:["main"],unsupported:!1,allowedElements:["article","section"]},marquee:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["section"]},math:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["math"],unsupported:!1},menu:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:{one:["menuitem","menuitemradio","menuitemcheckbox"]},nameFrom:["author"],context:null,implicit:['menu[type="context"]'],unsupported:!1,allowedElements:["ol","ul"]},menubar:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:{one:["menuitem","menuitemradio","menuitemcheckbox"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]}\
,menuitem:{type:"widget",attributes:{allowed:["aria-posinset","aria-setsize","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:['menuitem[type="command"]'],unsupported:!1,allowedElements:["button","li",{nodeName:"iput",properties:{type:["image","button"]}},{nodeName:"a",attributes:{href:vm}}]},menuitemcheckbox:{type:"widget",attributes:{allowed:["aria-checked","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:['menuitem[type="checkbox"]'],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["checkbox","image","button"]}},{nodeName:"a",attributes:{href:vm}}]},menuitemradio:{type:"widget",attributes:{allowed:["aria-checked","aria-selected","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["menu","menubar"],implicit:['menuitem[type="radio"]'],unsuppo\
rted:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["image","button","radio"]}},{nodeName:"a",attributes:{href:vm}}]},navigation:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["nav"],unsupported:!1,allowedElements:["section"]},none:{type:"structure",attributes:null,owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:["article","aside","dl","embed","figcaption","fieldset","figure","footer","form","h1","h2","h3","h4","h5","h6","header","hr","iframe","li","ol","section","ul"]},{nodeName:"img",attributes:{alt:vm}}]},note:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:["aside"]},option:{type:"widget",attributes:{allowed:["aria-selected","aria-posinset","aria-setsize","aria-checked","aria-errormessage"]},owned:null,nameFrom:["author","con\
tents"],context:["listbox"],implicit:["option"],unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["checkbox","button"]}},{nodeName:"a",attributes:{href:vm}}]},presentation:{type:"structure",attributes:null,owned:null,nameFrom:["author"],context:null,unsupported:!1,allowedElements:[{nodeName:["article","aside","dl","embed","figcaption","fieldset","figure","footer","form","h1","h2","h3","h4","h5","h6","header","hr","iframe","li","ol","section","ul"]},{nodeName:"img",attributes:{alt:vm}}]},progressbar:{type:"widget",attributes:{allowed:["aria-valuetext","aria-valuenow","aria-valuemax","aria-valuemin","aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["progress"],unsupported:!1},radio:{type:"widget",attributes:{allowed:["aria-selected","aria-posinset","aria-setsize","aria-required","aria-errormessage","aria-checked"]},owned:null,nameFrom:["author","contents"],context:null,implicit:['input[type="radio"]'],\
unsupported:!1,allowedElements:[{nodeName:["button","li"]},{nodeName:"input",properties:{type:["image","button"]}}]},radiogroup:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-required","aria-expanded","aria-readonly","aria-errormessage","aria-orientation"]},owned:{all:["radio"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:{nodeName:["ol","ul","fieldset"]}},range:{nameFrom:["author"],type:"abstract",unsupported:!1},region:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["section[aria-label]","section[aria-labelledby]","section[title]"],unsupported:!1,allowedElements:{nodeName:["article","aside"]}},roletype:{type:"abstract",unsupported:!1},row:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-colindex","aria-expanded","aria-level","aria-selected","aria-rowindex","aria-errormessage"]},owned:{one:["cell","columnheader","rowheader","gridcell"]},nameFr\
om:["author","contents"],context:["rowgroup","grid","treegrid","table"],implicit:["tr"],unsupported:!1},rowgroup:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-errormessage"]},owned:{all:["row"]},nameFrom:["author","contents"],context:["grid","table","treegrid"],implicit:["tbody","thead","tfoot"],unsupported:!1},rowheader:{type:"structure",attributes:{allowed:["aria-colindex","aria-colspan","aria-expanded","aria-rowindex","aria-rowspan","aria-required","aria-readonly","aria-selected","aria-sort","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["row"],implicit:["th"],unsupported:!1},scrollbar:{type:"widget",attributes:{required:["aria-controls","aria-valuenow"],allowed:["aria-valuetext","aria-orientation","aria-errormessage","aria-valuemax","aria-valuemin"]},owned:null,nameFrom:["author"],context:null,unsupported:!1},search:{type:"landmark",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["autho\
r"],context:null,unsupported:!1,allowedElements:{nodeName:["aside","form","section"]}},searchbox:{type:"widget",attributes:{allowed:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-readonly","aria-required","aria-placeholder","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:['input[type="search"]'],unsupported:!1,allowedElements:{nodeName:"input",properties:{type:"text"}}},section:{nameFrom:["author","contents"],type:"abstract",unsupported:!1},sectionhead:{nameFrom:["author","contents"],type:"abstract",unsupported:!1},select:{nameFrom:["author"],type:"abstract",unsupported:!1},separator:{type:"structure",attributes:{allowed:["aria-expanded","aria-orientation","aria-valuenow","aria-valuemax","aria-valuemin","aria-valuetext","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["hr"],unsupported:!1,allowedElements:["li"]},slider:{type:"widget",attributes:{allowed:["aria-valuetext","aria-orientation","aria-readonly","aria-\
errormessage","aria-valuemax","aria-valuemin"],required:["aria-valuenow"]},owned:null,nameFrom:["author"],context:null,implicit:['input[type="range"]'],unsupported:!1},spinbutton:{type:"widget",attributes:{allowed:["aria-valuetext","aria-required","aria-readonly","aria-errormessage","aria-valuemax","aria-valuemin"],required:["aria-valuenow"]},owned:null,nameFrom:["author"],context:null,implicit:['input[type="number"]'],unsupported:!1,allowedElements:{nodeName:"input",properties:{type:["text","tel"]}}},status:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:["output"],unsupported:!1,allowedElements:["section"]},structure:{type:"abstract",unsupported:!1},switch:{type:"widget",attributes:{allowed:["aria-errormessage"],required:["aria-checked"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1,allowedElements:["button",{nodeName:"input",properties:{type:["checkbox","image","button"]}},{nodeNa\
me:"a",attributes:{href:vm}}]},tab:{type:"widget",attributes:{allowed:["aria-selected","aria-expanded","aria-setsize","aria-posinset","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["tablist"],unsupported:!1,allowedElements:[{nodeName:["button","h1","h2","h3","h4","h5","h6","li"]},{nodeName:"input",properties:{type:"button"}},{nodeName:"a",attributes:{href:vm}}]},table:{type:"structure",attributes:{allowed:["aria-colcount","aria-rowcount","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author","contents"],context:null,implicit:["table"],unsupported:!1},tablist:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-level","aria-multiselectable","aria-orientation","aria-errormessage"]},owned:{all:["tab"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},tabpanel:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:\
!1,allowedElements:["section"]},term:{type:"structure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,implicit:["dt"],unsupported:!1},textbox:{type:"widget",attributes:{allowed:["aria-activedescendant","aria-autocomplete","aria-multiline","aria-readonly","aria-required","aria-placeholder","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:['input[type="text"]','input[type="email"]','input[type="password"]','input[type="tel"]','input[type="url"]',"input:not([type])","textarea"],unsupported:!1},timer:{type:"widget",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,unsupported:!1},toolbar:{type:"structure",attributes:{allowed:["aria-activedescendant","aria-expanded","aria-orientation","aria-errormessage"]},owned:null,nameFrom:["author"],context:null,implicit:['menu[type="toolbar"]'],unsupported:!1,allowedElements:["ol","ul"]},tooltip:{type:"struct\
ure",attributes:{allowed:["aria-expanded","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:null,unsupported:!1},tree:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-multiselectable","aria-required","aria-expanded","aria-orientation","aria-errormessage"]},owned:{all:["treeitem"]},nameFrom:["author"],context:null,unsupported:!1,allowedElements:["ol","ul"]},treegrid:{type:"composite",attributes:{allowed:["aria-activedescendant","aria-colcount","aria-expanded","aria-level","aria-multiselectable","aria-readonly","aria-required","aria-rowcount","aria-orientation","aria-errormessage"]},owned:{one:["rowgroup","row"]},nameFrom:["author"],context:null,unsupported:!1},treeitem:{type:"widget",attributes:{allowed:["aria-checked","aria-selected","aria-expanded","aria-level","aria-posinset","aria-setsize","aria-errormessage"]},owned:null,nameFrom:["author","contents"],context:["group","tree"],unsupported:!1,allowedElements:["li",{nodeName:"a",attributes:{hr\
ef:vm}}]},widget:{type:"abstract",unsupported:!1},window:{nameFrom:["author"],type:"abstract",unsupported:!1}},Kd.implicitHtmlRole=Ti,Kd.elementsAllowedNoRole=[{nodeName:["base","body","caption","col","colgroup","datalist","dd","details","dt","head","html","keygen","label","legend","main","map","math","meta","meter","noscript","optgroup","param","picture","progress","script","source","style","template","textarea","title","track"]},{nodeName:"area",attributes:{href:vm}},{nodeName:"input",properties:{type:["color","data","datatime","file","hidden","month","number","password","range","reset","submit","time","week"]}},{nodeName:"link",attributes:{href:vm}},{nodeName:"menu",attributes:{type:"context"}},{nodeName:"menuitem",attributes:{type:["command","checkbox","radio"]}},{nodeName:"select",condition:function(e){return e instanceof o.AbstractVirtualNode||(e=o.utils.getNodeFromTree(e)),1<Number(e.attr("size"))},properties:{multiple:!0}},{nodeName:["clippath","cursor","defs","desc","feblend",\
"fecolormatrix","fecomponenttransfer","fecomposite","feconvolvematrix","fediffuselighting","fedisplacementmap","fedistantlight","fedropshadow","feflood","fefunca","fefuncb","fefuncg","fefuncr","fegaussianblur","feimage","femerge","femergenode","femorphology","feoffset","fepointlight","fespecularlighting","fespotlight","fetile","feturbulence","filter","hatch","hatchpath","lineargradient","marker","mask","meshgradient","meshpatch","meshrow","metadata","mpath","pattern","radialgradient","solidcolor","stop","switch","view"]}],Kd.elementsAllowedAnyRole=[{nodeName:"a",attributes:{href:bm}},{nodeName:"img",attributes:{alt:bm}},{nodeName:["abbr","address","canvas","div","p","pre","blockquote","ins","del","output","span","table","tbody","thead","tfoot","td","em","strong","small","s","cite","q","dfn","abbr","time","code","var","samp","kbd","sub","sup","i","b","u","mark","ruby","rt","rp","bdi","bdo","br","wbr","th","tr"]}],Kd.evaluateRoleForElement={A:function(e){var t=e.node;e=e.out;return"http:\
//www.w3.org/2000/svg"===t.namespaceURI||!t.href.length||e},AREA:function(e){return!e.node.href},BUTTON:function(e){var t=e.node,n=e.role;e=e.out;return"menu"===t.getAttribute("type")?"menuitem"===n:e},IMG:function(e){var t=e.node,n=e.role,r=e.out;switch(t.alt){case null:return r;case"":return"presentation"===n||"none"===n;default:return"presentation"!==n&&"none"!==n}},INPUT:function(e){var t=e.node,n=e.role,r=e.out;switch(t.type){case"button":case"image":return r;case"checkbox":return!("button"!==n||!t.hasAttribute("aria-pressed"))||r;case"radio":return"menuitemradio"===n;case"text":return"combobox"===n||"searchbox"===n||"spinbutton"===n;case"tel":return"combobox"===n||"spinbutton"===n;case"url":case"search":case"email":return"combobox"===n;default:return!1}},LI:function(e){var t=e.node;e=e.out;return!o.utils.matchesSelector(t,"ol li, ul li")||e},MENU:function(e){return"context"!==e.node.getAttribute("type")},OPTION:function(e){return e=e.node,!o.utils.matchesSelector(e,"select > opti\
on, datalist > option, optgroup > option")},SELECT:function(e){var t=e.node;e=e.role;return!t.multiple&&t.size<=1&&"menu"===e},SVG:function(e){var t=e.node;e=e.out;return!(!t.parentNode||"http://www.w3.org/2000/svg"!==t.parentNode.namespaceURI)||e}},Kd.rolesOfType={widget:["button","checkbox","dialog","gridcell","link","log","marquee","menuitem","menuitemcheckbox","menuitemradio","option","progressbar","radio","scrollbar","searchbox","slider","spinbutton","status","switch","tab","tabpanel","textbox","timer","tooltip","tree","treeitem"]},Kd),wm=function(e){var t=null;return(e=Fm.role[e])&&e.implicit?ya(e.implicit):t},Em=function(e){return!!cm(e).length};function Cm(e){var t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).popupRoles,n=Ki(e);if(!(t=null!=t?t:ci["aria-haspopup"].values).includes(n))return!1;if(t=function(e){for(;e=e.parent;)if(null!==Ki(e,{noPresentational:!0}))return e;return null}(e),xm(t))return!0;if(!(n=e.props.id))return!1;if(e.actualNode)return t=So(e.act\
ualNode).querySelectorAll('[aria-owns~="'.concat(n,'"][role~="combobox"]:not(select),\\n     [aria-controls~="').concat(n,'"][role~="combobox"]:not(select)')),Array.from(t).some(xm);throw new Error("Unable to determine combobox popup without an actualNode")}var xm=function(e){return e&&"combobox"===Ki(e)},Am=function(e){return e=ma(e),Os(e)},Nm=function(e){return(e=hi.ariaRoles[e])&&Array.isArray(e.requiredAttrs)?L(e.requiredAttrs):[]},km=function(e){return(e=hi.ariaRoles[e])&&Array.isArray(e.requiredContext)?L(e.requiredContext):null},Bm=function(e){return(e=hi.ariaRoles[e])&&Array.isArray(e.requiredOwned)?L(e.requiredOwned):null},Tm=function(e,t){var n,r=(e=e instanceof Cr?e:ma(e)).attr(t),a=hi.ariaAttrs[t];if(!a)return!0;if(a.allowEmpty&&(!r||""===r.trim()))return!0;switch(a.type){case"boolean":return["true","false"].includes(r.toLowerCase());case"nmtoken":return"string"==typeof r&&a.values.includes(r.toLowerCase());case"nmtokens":return(n=gf(r)).reduce((function(e,t){return e&&a.val\
ues.includes(t)}),0!==n.length);case"idref":try{var o=Oo(e.actualNode);return!(!r||!o.getElementById(r))}catch(e){throw new TypeError("Cannot resolve id references for partial DOM")}case"idrefs":return ui(e,t).some((function(e){return!!e}));case"string":return""!==r.trim();case"decimal":return!(!(n=r.match(/^[-+]?([0-9]*)\\.?([0-9]*)$/))||!n[1]&&!n[2]);case"int":return o=void 0!==a.minValue?a.minValue:-1/0,/^[-+]?[0-9]+$/.test(r)&&parseInt(r)>=o}},Rm=function(e){return!!hi.ariaAttrs[e]};function Sm(e){return"caption"===e.props.nodeName}var Om={};ie(Om,{getAriaRolesByType:function(){return mm},getAriaRolesSupportingNameFromContent:function(){return gm},getElementSpec:function(){return Ui},getElementsByContentType:function(){return yi},getGlobalAriaAttrs:function(){return Fi},implicitHtmlRoles:function(){return Ti}}),Yd=lu;var _m=["alert","log","status"];function Mm(e){return e=t.getComputedStyle(function(e){for(var t=e,n=e.textContent.trim(),r=n;r===n&&void 0!==t;){var a=-1;if(0===(e=t).\
children.length)return e;for(;a++,""===(r=e.children[a].textContent.trim())&&a+1<e.children.length;);t=e.children[a]}return e}(e)),{fontWeight:function(e){switch(e){case"lighter":return 100;case"normal":return 400;case"bold":return 700;case"bolder":return 900}return e=parseInt(e),isNaN(e)?400:e}(e.getPropertyValue("font-weight")),fontSize:parseInt(e.getPropertyValue("font-size")),isItalic:"italic"===e.getPropertyValue("font-style")}}function Im(e,t,n){return n.reduce((function(n,r){return n||(!r.size||e.fontSize/r.size>t.fontSize)&&(!r.weight||e.fontWeight-r.weight>t.fontWeight)&&(!r.italic||e.isItalic&&!t.isItalic)}),!1)}var Pm=/[;,\\s]/,jm=/^[0-9.]+$/;ie(gr={},{aria:function(){return im},color:function(){return Lm},dom:function(){return Ro},forms:function(){return hh},matches:function(){return $i},math:function(){return fu},standards:function(){return Om},table:function(){return QD},text:function(){return oi},utils:function(){return xr}});var Lm={},qm=(ie(Lm,{Color:function(){return Z\
p},centerPointOfRect:function(){return qm},elementHasImage:function(){return dl},elementIsDistinct:function(){return Vm},filteredRectStack:function(){return $m},flattenColors:function(){return Gm},flattenShadowColors:function(){return Km},getBackgroundColor:function(){return ch},getBackgroundStack:function(){return Xm},getContrast:function(){return fh},getForegroundColor:function(){return Dh},getOwnBackgroundColor:function(){return Qp},getRectStack:function(){return Hm},getStackingContext:function(){return oh},getStrokeColorsFromShadows:function(){return th},getTextShadowColors:function(){return ah},hasValidContrastRatio:function(){return mh},incompleteData:function(){return cl},parseTextShadows:function(){return rh},stackingContextToColor:function(){return uh}}),function(e){if(!(e.left>t.innerWidth||e.top>t.innerHeight))return{x:Math.min(Math.ceil(e.left+e.width/2),t.innerWidth-1),y:Math.min(Math.ceil(e.top+e.height/2),t.innerHeight-1)}});function zm(e){return e.getPropertyValue("font\
-family").split(/[,;]/g).map((function(e){return e.trim().toLowerCase()}))}var Vm=function(e,n){var r,a=t.getComputedStyle(e);return"none"!==a.getPropertyValue("background-image")||!!["border-bottom","border-top","outline"].reduce((function(e,t){var n=new Zp;return n.parseString(a.getPropertyValue(t+"-color")),e||"none"!==a.getPropertyValue(t+"-style")&&0<parseFloat(a.getPropertyValue(t+"-width"))&&0!==n.alpha}),!1)||(r=t.getComputedStyle(n),zm(a)[0]!==zm(r)[0])||(e=["text-decoration-line","text-decoration-style","font-weight","font-style","font-size"].reduce((function(e,t){return e||a.getPropertyValue(t)!==r.getPropertyValue(t)}),!1),(n=a.getPropertyValue("text-decoration")).split(" ").length<3?e||n!==r.getPropertyValue("text-decoration"):e)},Hm=function(e){var t=Ju(e);return!(e=zs(e))||e.length<=1?[t]:e.some((function(e){return void 0===e}))?null:(e.splice(0,0,t),e)},$m=function(e){var t,n,r=Hm(e);return r&&1===r.length?r[0]:r&&1<r.length?(t=r.shift(),r.forEach((function(a,o){var u,i\
;0!==o&&(u=r[o-1],i=r[o],n=u.every((function(e,t){return e===i[t]}))||t.includes(e))})),n?r[0]:(cl.set("bgColor","elmPartiallyObscuring"),null)):(cl.set("bgColor","outsideViewport"),null)},Um=["hue","saturation","color","luminosity"],Wm={normal:function(e,t){return t},multiply:function(e,t){return t*e},screen:function(e,t){return e+t-e*t},overlay:function(e,t){return this["hard-light"](t,e)},darken:function(e,t){return Math.min(e,t)},lighten:function(e,t){return Math.max(e,t)},"color-dodge":function(e,t){return 0===e?0:1===t?1:Math.min(1,e/(1-t))},"color-burn":function(e,t){return 1===e?1:0===t?0:1-Math.min(1,(1-e)/t)},"hard-light":function(e,t){return t<=.5?this.multiply(e,2*t):this.screen(e,2*t-1)},"soft-light":function(e,t){return t<=.5?e-(1-2*t)*e*(1-e):e+(2*t-1)*((e<=.25?((16*e-12)*e+4)*e:Math.sqrt(e))-e)},difference:function(e,t){return Math.abs(e-t)},exclusion:function(e,t){return e+t-2*e*t},hue:function(e,t){return t.setSaturation(e.getSaturation()).setLuminosity(e.getLuminosit\
y())},saturation:function(e,t){return e.setSaturation(t.getSaturation()).setLuminosity(e.getLuminosity())},color:function(e,t){return t.setLuminosity(e.getLuminosity())},luminosity:function(e,t){return e.setLuminosity(t.getLuminosity())}};function Gm(e,t){var n,r,a=function(e,t,n){if(Um.includes(n))return Wm[n](e,t);var r=new Zp;return["r","g","b"].forEach((function(a){r[a]=Wm[n](e[a],t[a])})),r}(t,e,2<arguments.length&&void 0!==arguments[2]?arguments[2]:"normal"),o=Ym(e.red,e.alpha,t.red,t.alpha,255*a.r),u=Ym(e.green,e.alpha,t.green,t.alpha,255*a.g),i=(a=Ym(e.blue,e.alpha,t.blue,t.alpha,255*a.b),n=e.alpha+t.alpha*(1-e.alpha),i=0,r=1,Math.min(Math.max(i,n),r));return 0===i?new Zp(o,u,a,i):(n=Math.round(o/i),r=Math.round(u/i),o=Math.round(a/i),new Zp(n,r,o,i))}function Ym(e,t,n,r,a){return t*(1-r)*e+t*r*a+(1-t)*r*n}function Km(e,t){var n=(1-(a=e.alpha))*t.red+a*e.red,r=(1-a)*t.green+a*e.green,a=(1-a)*t.blue+a*e.blue;t=e.alpha+t.alpha*(1-e.alpha);return new Zp(n,r,a,t)}function Xm(e){for\
(var n=zs(e).map((function(n){return function(e){var n=e.indexOf(r.body),a=Qp(t.getComputedStyle(r.documentElement));return 1<n&&0===a.alpha&&!dl(r.documentElement)&&(1<n&&(e.splice(n,1),e.push(r.body)),0<(a=e.indexOf(r.documentElement)))&&(e.splice(a,1),e.push(r.documentElement)),e}(n=uf(n,e))})),a=0;a<n.length;a++){var o=n[a];if(o[0]!==e)return cl.set("bgColor","bgOverlap"),null;if(0!==a&&!function(e,t){if(e!==t){if(null===e||null===t)return;if(e.length!==t.length)return;for(var n=0;n<e.length;++n)if(e[n]!==t[n])return}return 1}(o,n[0]))return cl.set("bgColor","elmPartiallyObscuring"),null}return n[0]||null}var Zm=.54,Jm=.5,Qm=1.5,eh=["top","right","bottom","left"];function th(e){var t=void 0!==(t=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).ignoreEdgeCount)&&t,n=function(e){var t,n={},r=K(e);try{for(r.s();!(t=r.n()).done;){var a=t.value,o=a.colorStr,u=a.pixels,i=(null!=n[o]||(n[o]={top:[],right:[],bottom:[],left:[]}),n[o]),s=V(u,2),l=s[0],c=s[1];Jm<l?i.right.push(l):J\
m<-l&&i.left.push(-l),Jm<c?i.bottom.push(c):Jm<-c&&i.top.push(-c)}}catch(e){r.e(e)}finally{r.f()}return n}(e);n=Object.entries(n).map((function(e){var t=(e=V(e,2))[0],n=e[1];e=eh.filter((function(e){return 0!==n[e].length})).length;return{colorStr:t,sides:n,edgeCount:e}}));return!t&&n.some((function(e){return 1<(e=e.edgeCount)&&e<4}))?null:n.map(nh).filter((function(e){return null!==e}))}function nh(e){var t,n,r=e.colorStr,a=e.sides;return 4!==e.edgeCount?null:((e=new Zp).parseString(r),n=!(t=0),eh.forEach((function(e){t+=a[e].length/4,n=n&&a[e].every((function(e){return Qm<e}))})),n||(e.alpha=1-Math.pow(Zm,t)),e)}function rh(e){var t={pixels:[]},n=[t];if(!(o=e.trim()))return[];for(;o;){var r=o.match(/^[a-z]+(\\([^)]+\\))?/i)||o.match(/^#[0-9a-f]+/i),a=o.match(/^([0-9.-]+)px/i)||o.match(/^(0)/);if(r)jr(!t.colorStr,"Multiple colors identified in text-shadow: ".concat(e)),o=o.replace(r[0],"").trim(),t.colorStr=r[0];else if(a){jr(t.pixels.length<3,"Too many pixel units in text-shadow: ".con\
cat(e));var o=o.replace(a[0],"").trim();r=parseFloat(("."===a[1][0]?"0":"")+a[1]);t.pixels.push(r)}else{if(","!==o[0])throw new Error("Unable to process text-shadows: ".concat(o));jr(2<=t.pixels.length,"Missing pixel value in text-shadow: ".concat(e)),n.push(t={pixels:[]}),o=o.substr(1).trim()}}return n.forEach((function(e){2===(e=e.pixels).length&&e.push(0)})),n}function ah(e){var n,r=(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).minRatio,a=n.maxRatio,o=n.ignoreEdgeCount,u=[],i=t.getComputedStyle(e);if("none"!==(n=i.getPropertyValue("text-shadow"))){var s,l=i.getPropertyValue("font-size"),c=parseInt(l),d=(jr(!1===isNaN(c),"Unable to determine font-size value ".concat(l)),[]),p=K(rh(n));try{for(p.s();!(s=p.n()).done;){var f=s.value,D=f.colorStr||i.getPropertyValue("color"),m=V(f.pixels,3),h=m[0],g=m[1],b=m[2],v=void 0===b?0:b;if(!(a&&c*a<=v))if(r&&v<c*r)d.push({colorStr:D,pixels:f.pixels});else{if(0<d.length){var y=th(d,{ignoreEdgeCount:o});if(null===y)return null;u.pus\
h.apply(u,L(y)),d.splice(0,d.length)}var F=function(e){var t=e.colorStr,n=e.offsetX,r=e.offsetY,a=e.blurRadius;e=e.fontSize;return a<n||a<r?new Zp(0,0,0,0):((n=new Zp).parseString(t),n.alpha*=function(e,t){return 0===e?1:.185/(e/t+.4)}(a,e),n)}({colorStr:D,offsetX:h,offsetY:g,blurRadius:v,fontSize:c});u.push(F)}}}catch(e){p.e(e)}finally{p.f()}if(0<d.length){if(null===(l=th(d,{ignoreEdgeCount:o})))return null;u.push.apply(u,L(l))}}return u}function oh(e,t){var n,r,a,o=ma(e);return o._stackingContext||(r=[],a=new Map,(t=null!=(n=t)?n:Xm(e)).forEach((function(e){var t=(t=e=ma(e),(o=new Zp).parseString(t.getComputedStylePropertyValue("background-color")),o),n=e._stackingOrder.filter((function(e){return!!e.vNode})),o=(n.forEach((function(e,t){e=e.vNode;var o=null==(o=n[t-1])?void 0:o.vNode;o=lh(a,e,o);0!==t||a.get(e)||r.unshift(o),a.set(e,o)})),null==(o=n[n.length-1])?void 0:o.vNode);e=lh(a,e,o);n.length||r.unshift(e),e.bgColor=t})),o._stackingContext=r)}function uh(e){var t;return null!=(t\
=e.descendants)&&t.length?(t=Gm(e.descendants.reduce(ih,sh()),e.bgColor,e.descendants[0].blendMode)).alpha*=e.opacity:(t=e.bgColor).alpha*=e.opacity,{color:t,blendMode:e.blendMode}}function ih(e,t){return e=e instanceof Zp?e:uh(e).color,Gm(uh(t).color,e,t.blendMode)}function sh(e,t){return{vNode:e,ancestor:t,opacity:parseFloat(null!=(t=null==e?void 0:e.getComputedStylePropertyValue("opacity"))?t:1),bgColor:new Zp(0,0,0,0),blendMode:(null==e?void 0:e.getComputedStylePropertyValue("mix-blend-mode"))||void 0,descendants:[]}}function lh(e,t,n){var r=e.get(n);e=null!=(e=e.get(t))?e:sh(t,r);return r&&n!==t&&!r.descendants.includes(e)&&r.descendants.unshift(e),e}function ch(e){var n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:[],a=2<arguments.length&&void 0!==arguments[2]?arguments[2]:.1,o=ma(e),u=o._cache.getBackgroundColor;return u?(n.push.apply(n,L(u.bgElms)),cl.set("bgColor",u.incompleteData),u.bgColor):(u=function(e,n,a){var o=Xm(e);if(!o)return null;var u=Ls(e);(a=null!=(a=ah\
(e,{minRatio:a,ignoreEdgeCount:!0}))?a:[]).length&&(a=[{color:a.reduce(Km)}]);for(var i=0;i<o.length;i++){var s=o[i],l=t.getComputedStyle(s);if(dl(s,l))return n.push(s),null;var c=Qp(l);if(0!==c.alpha){if("inline"!==l.getPropertyValue("display")&&!dh(s,u))return n.push(s),cl.set("bgColor","elmPartiallyObscured"),null;if(n.push(s),1===c.alpha)break}}var d=(a=(d=oh(e,o)).map(uh).concat(a),function(e,n){var a,o,u,i,s=[];return n||(n=r.documentElement,i=r.body,n=t.getComputedStyle(n),a=t.getComputedStyle(i),o=Qp(n),i=0!==(u=Qp(a)).alpha&&dh(i,e.getBoundingClientRect()),(0!==u.alpha&&0===o.alpha||i&&1!==u.alpha)&&s.unshift({color:u,blendMode:ph(a.getPropertyValue("mix-blend-mode"))}),0===o.alpha)||i&&1===u.alpha||s.unshift({color:o,blendMode:ph(n.getPropertyValue("mix-blend-mode"))}),s}(e,o.includes(r.body)));return a.unshift.apply(a,L(d)),0===a.length?new Zp(255,255,255,1):(e=a.reduce((function(e,t){return Gm(t.color,e.color instanceof Zp?e.color:e,t.blendMode)})),Gm(e.color instanceof Zp?\
e.color:e,new Zp(255,255,255,1)))}(e,n,a),o._cache.getBackgroundColor={bgColor:u,bgElms:n,incompleteData:cl.get("bgColor")},u)}function dh(e,n){n=Array.isArray(n)?n:[n];var r=e.getBoundingClientRect(),a=r.right,o=r.bottom,u=t.getComputedStyle(e).getPropertyValue("overflow");return(["scroll","auto"].includes(u)||e instanceof t.HTMLHtmlElement)&&(a=r.left+e.scrollWidth,o=r.top+e.scrollHeight),n.every((function(e){return e.top>=r.top&&e.bottom<=o&&e.left>=r.left&&e.right<=a}))}function ph(e){return e||void 0}var fh=function(e,t){return t&&e?(t.alpha<1&&(t=Gm(t,e)),e=e.getRelativeLuminance(),t=t.getRelativeLuminance(),(Math.max(t,e)+.05)/(Math.min(t,e)+.05)):null};function Dh(e,n,r){for(var a=3<arguments.length&&void 0!==arguments[3]?arguments[3]:{},o=t.getComputedStyle(e),u=[],i=0,s=[function(){var e,t,n=o,r=void 0===(r=(r=a).textStrokeEmMin)?0:r;return 0===(t=parseFloat(n.getPropertyValue("-webkit-text-stroke-width")))||(e=n.getPropertyValue("font-size"),t/=parseFloat(e),isNaN(t))||t<r?n\
ull:(e=n.getPropertyValue("-webkit-text-stroke-color"),(new Zp).parseString(e))},function(){return e=o,(new Zp).parseString(e.getPropertyValue("-webkit-text-fill-color")||e.getPropertyValue("color"));var e},function(){return ah(e,{minRatio:0})}];i<s.length;i++){var l=(0,s[i])();if(l&&(u=u.concat(l),1===l.alpha))break}var c,d=u.reduce((function(e,t){return Gm(e,t)}));return null===(r=null==r?ch(e,[]):r)?(c=cl.get("bgColor"),cl.set("fgColor",c),null):Gm(function(e,t,n){for(;t;){var r;1===t.opacity&&t.ancestor||(e.alpha*=t.opacity,r=(null==(r=t.ancestor)?void 0:r.descendants)||n,(r=(r=1!==t.opacity?r.slice(0,r.indexOf(t)):r).map(uh)).length&&(r=r.reduce((function(e,t){return Gm(t.color,e.color instanceof Zp?e.color:e)}),{color:new Zp(0,0,0,0),blendMode:"normal"}),e=Gm(e,r))),t=t.ancestor}return e}(d,function e(t,n){var r,a=K(t);try{for(a.s();!(r=a.n()).done;){var o,u=r.value;if((null==(o=u.vNode)?void 0:o.actualNode)===n)return u;var i=e(u.descendants,n);if(i)return i}}catch(e){a.e(e)}fin\
ally{a.f()}}(c=oh(e),e),c),new Zp(255,255,255,1))}var mh=function(e,t,n,r){return e=fh(e,t),{isValid:(t=r&&Math.ceil(72*n)/96<14||!r&&Math.ceil(72*n)/96<18?4.5:3)<e,contrastRatio:e,expectedContrastRatio:t}},hh={},gh=(ie(hh,{isAriaCombobox:function(){return ls},isAriaListbox:function(){return ss},isAriaRange:function(){return ds},isAriaTextbox:function(){return is},isDisabled:function(){return bh},isNativeSelect:function(){return us},isNativeTextbox:function(){return os}}),["fieldset","button","select","input","textarea"]),bh=function e(t){var n,r,a=t._isDisabled;return"boolean"!=typeof a&&(n=t.props.nodeName,r=t.attr("aria-disabled"),a=!(!gh.includes(n)||!t.hasAttr("disabled"))||(r?"true"===r.toLowerCase():!!t.parent&&e(t.parent)),t._isDisabled=a),a};function vh(e,t){var n=null==(n=t.data)?void 0:n.headingOrder,r=Fh(t.node.ancestry,1);return n&&(t=n.map((function(e){return z({},e,{ancestry:r.concat(e.ancestry)})})),-1===(n=function(e,t){for(;t.length;){var n=yh(e,t);if(-1!==n)return n;\
t=Fh(t,1)}return-1}(e,r))?e.push.apply(e,L(t)):e.splice.apply(e,[n,0].concat(L(t)))),e}function yh(e,t){return e.findIndex((function(e){return sD(e.ancestry,t)}))}function Fh(e,t){return e.slice(0,e.length-t)}function wh(e,t){return e=e.boundingClientRect,t=t.boundingClientRect,e.top>=t.top&&e.left>=t.left&&e.bottom<=t.bottom&&e.right<=t.right}function Eh(e){return{width:Math.round(10*e.width)/10,height:Math.round(10*e.height)/10}}function Ch(e,t){return e.actualNode.contains(t.actualNode)&&!ni(t)}function xh(e){return e.map((function(e){return e.actualNode}))}function Ah(e,t){var n=1<arguments.length&&void 0!==t&&t;return e.map((function(e){return{vChild:e,nested:n}}))}function Nh(e){return""!==(e||"").trim()}function kh(e,t){return t=Bh(t),e=Bh(e),!(!t||!e)&&t.includes(e)}function Bh(e){return e=Bs(e,{emoji:!0,nonBmp:!0,punctuations:!0}),ki(e)}function Th(e){return e=parseInt(e.attr("tabindex"),10),!isNaN(e)&&e<0}var Rh=["block","list-item","table","flex","grid","inline-block"];funct\
ion Sh(e){return e=t.getComputedStyle(e).getPropertyValue("display"),-1!==Rh.indexOf(e)||"table-"===e.substr(0,6)}function Oh(e,t){return e=e.getRelativeLuminance(),t=t.getRelativeLuminance(),(Math.max(e,t)+.05)/(Math.min(e,t)+.05)}var _h=["block","list-item","table","flex","grid","inline-block"];function Mh(e){return e=t.getComputedStyle(e).getPropertyValue("display"),-1!==_h.indexOf(e)||"table-"===e.substr(0,6)}var Ih=Yr((function(e,n){function r(e,t){return a.getPropertyValue(e)===t}var a=t.getComputedStyle(e,n);return r("content","none")||r("display","none")||r("visibility","hidden")||!1===r("position","absolute")||0===Qp(a).alpha&&r("background-image","none")?0:(e=Ph(a.getPropertyValue("width")),n=Ph(a.getPropertyValue("height")),"px"!==e.unit||"px"!==n.unit?0===e.value||0===n.value?0:1/0:e.value*n.value)}));function Ph(e){var t=(e=V(e.match(/^([0-9.]+)([a-z]+)$/i)||[],3))[1];e=void 0===(e=e[2])?"":e;return{value:parseFloat(void 0===t?"":t),unit:e.toLowerCase()}}var jh={ARTICLE:!0\
,ASIDE:!0,NAV:!0,SECTION:!0},Lh={application:!0,article:!0,banner:!1,complementary:!0,contentinfo:!0,form:!0,main:!0,navigation:!0,region:!0,search:!1};function qh(e,t,n,r){var a=vi(e);if(!(n=n||km(a)))return null;for(var o=n.includes("group"),u=r?e:e.parent;u;){var i=Ki(u,{noPresentational:!0});if(i){if("group"!==i||!o)return n.includes(i)?null:n;t.includes(a)&&n.push(a),n=n.filter((function(e){return"group"!==e}))}u=u.parent}return n}function zh(e){return 3===(e=e.vNode).props.nodeType?0<e.props.nodeValue.trim().length:Ws(e,!1,!0)}function Vh(e){var t,n,r=(1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).invalidTableRowAttrs,a=2<arguments.length?arguments[2]:void 0;r=null!=(t=null==r||null==(t=r.filter)?void 0:t.call(r,(function(e){return a.hasAttr(e)})))?t:[];return 0===r.length||!(t=(t=function(e){if(e.parent)return Ta(e,'table:not([role]), [role~="treegrid"], [role~="table"], [role~="grid"]')}(a))&&Ki(t))||"treegrid"===t||(n="row".concat(1<r.length?"Plural":"Singular"),t\
his.data({messageKey:n,invalidAttrs:r,ownerRole:t}),!1)}function Hh(e,t,n){var r=(a=n.props).nodeName,a=a.type,o=function(e){return e?(e=e.toLowerCase(),["mixed","true"].includes(e)?e:"false"):""}(n.attr("aria-checked"));return"input"!==r||"checkbox"!==a||!o||o===(r=function(e){return e.props.indeterminate?"mixed":e.props.checked?"true":"false"}(n))||(this.data({messageKey:"checkbox",checkState:r}),!1)}var $h={row:Vh,checkbox:Hh};var Uh=function(e,t){try{return"svg"===t.props.nodeName||!!Ta(t,"svg")}catch(e){return!1}},Wh=[function(e,t){return Gh(t)},function(e,t){return"area"!==t.props.nodeName},function(e,t){return!Uh(0,t)},function(e,t){return ti(t)},function(e,t){return ni(t)||!Yh(t)},function(e){return!rl(e,{noLengthCompare:!0})}];function Gh(e){return"widget"===el(e)}var Yh=Yr((function e(t){return!(null==t||!t.parent)&&(!(!Gh(t.parent)||!ni(t.parent))||e(t.parent))}));var Kh=function(e,t){var n=vi(t);return!(n&&!["none","presentation"].includes(n)&&!(di[n]||{}).accessibleNameReq\
uired&&!ti(t))};var Xh=["article","aside","main","nav","section"].join(","),Zh=function(e,t,n){return n.initiator},Jh={emoji:!0,nonBmp:!1,punctuations:!0},Qh={"abstractrole-evaluate":function(e,t,n){return 0<(n=gf(n.attr("role")).filter((function(e){return"abstract"===el(e)}))).length&&(this.data(n),!0)},"accesskeys-after":function(e){var t={};return e.filter((function(e){if(e.data){var n=e.data.toUpperCase();if(!t[n])return(t[n]=e).relatedNodes=[],!0;t[n].relatedNodes.push(e.relatedNodes[0])}return!1})).map((function(e){return e.result=!!e.relatedNodes.length,e}))},"accesskeys-evaluate":function(e,t,n){return eu(n)||(this.data(n.attr("accesskey")),this.relatedNodes([e])),!0},"alt-space-value-evaluate":function(e,t,n){return"string"==typeof(n=n.attr("alt"))&&/^\\s+$/.test(n)},"aria-allowed-attr-evaluate":function(e,t,n){var r,a=[],o=Ki(n),u=sm(o),i=(Array.isArray(t[o])&&(u=vD(t[o].concat(u))),K(n.attrNames));try{for(i.s();!(r=i.n()).done;){var s=r.value;Rm(s)&&!u.includes(s)&&a.push(s)}\
}catch(e){i.e(e)}finally{i.f()}return!a.length||(this.data(a.map((function(e){return e+'="'+n.attr(e)+'"'}))),!(o||oD(n)||ti(n))&&void 0)},"aria-allowed-attr-matches":function(e,t){var n=/^aria-/,r=t.attrNames;if(r.length)for(var a=0,o=r.length;a<o;a++)if(n.test(r[a]))return!0;return!1},"aria-allowed-role-evaluate":function(e){var t=2<arguments.length?arguments[2]:void 0,n=void 0===(n=(r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}).allowImplicit)||n,r=void 0===(r=r.ignoredTags)?[]:r,a=t.props.nodeName;return!!r.map((function(e){return e.toLowerCase()})).includes(a)||!(r=Dm(t,n)).length||(this.data(r),!ts(t)&&void 0)},"aria-allowed-role-matches":function(e,t){return null!==vi(t,{dpub:!0,fallback:!0})},"aria-busy-evaluate":function(e,t,n){return"true"===n.attr("aria-busy")},"aria-conditional-attr-evaluate":function(e,t,n){var r=Ki(n);return!$h[r]||$h[r].call(this,e,t,n)},"aria-conditional-checkbox-attr-evaluate":Hh,"aria-conditional-row-attr-evaluate":Vh,"aria-errormessage-\
evaluate":function(e,t,n){t=Array.isArray(t)?t:[];var r=n.attr("aria-errormessage"),a=n.hasAttr("aria-errormessage"),o=n.attr("aria-invalid");return!n.hasAttr("aria-invalid")||"false"===o||-1!==t.indexOf(r)||!a||(this.data(gf(r)),function(e){if(""===e.trim())return hi.ariaAttrs["aria-errormessage"].allowEmpty;var t;try{t=e&&ui(n,"aria-errormessage")[0]}catch(t){return void this.data({messageKey:"idrefs",values:gf(e)})}return t?ts(t)?"alert"===t.getAttribute("role")||"assertive"===t.getAttribute("aria-live")||"polite"===t.getAttribute("aria-live")||-1<gf(n.attr("aria-describedby")).indexOf(e):(this.data({messageKey:"hidden",values:gf(e)}),!1):void 0}.call(this,r))},"aria-has-attr-matches":function(e,t){var n=/^aria-/;return t.attrNames.some((function(e){return n.test(e)}))},"aria-hidden-body-evaluate":function(e,t,n){return"true"!==n.attr("aria-hidden")},"aria-hidden-focus-matches":function(e){return function e(t){return!t||"true"!==t.getAttribute("aria-hidden")&&e(ru(t))}(ru(e))},"aria\
-label-evaluate":function(e,t,n){return!!ki(li(n))},"aria-labelledby-evaluate":function(e,t,n){try{return!!ki(si(n))}catch(e){}},"aria-level-evaluate":function(e,t,n){if(n=n.attr("aria-level"),!(6<(n=parseInt(n,10))))return!0},"aria-prohibited-attr-evaluate":function(e){var t,n=2<arguments.length?arguments[2]:void 0,r=(null==(r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{})?void 0:r.elementsAllowedAriaLabel)||[],a=n.props.nodeName,o=Ki(n,{chromium:!0});return 0!==(r=function(e,t,n){var r=hi.ariaRoles[e];return r?r.prohibitedAttrs||[]:e||n.includes(t)?[]:["aria-label","aria-labelledby"]}(o,a,r).filter((function(e){return!!n.attrNames.includes(e)&&""!==ki(n.attr(e))}))).length&&(t=n.hasAttr("role")?"hasRole":"noRole",t+=1<r.length?"Plural":"Singular",this.data({role:o,nodeName:a,messageKey:t,prohibited:r}),o=gs(n,{subtreeDescendant:!0}),""===ki(o)||void 0)},"aria-required-attr-evaluate":function(e){var t,n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},r=2<argument\
s.length?arguments[2]:void 0,a=vi(r),o=r.attrNames,u=Nm(a);return Array.isArray(n[a])&&(u=vD(n[a],u)),!(a&&o.length&&u.length&&(n=r,"separator"!==a||ti(n))&&(o=r,"combobox"!==a||"false"!==o.attr("aria-expanded"))&&(t=Ui(r),(n=u.filter((function(e){return!(r.attr(e)||void 0!==(null==(n=(n=t).implicitAttrs)?void 0:n[e]));var n}))).length&&(this.data(n),1)))},"aria-required-children-evaluate":function(e,t,n){t=t&&Array.isArray(t.reviewEmpty)?t.reviewEmpty:[];var r,a,o,u=vi(n,{dpub:!0}),i=Bm(u);return null===i||((a=(r=function(e,t){function n(){if(3===r.props.nodeType&&a.push({vNode:r,role:null}),1!==r.props.nodeType||!ts(r))return 1;var e,n=Ki(r,{noPresentational:!0}),u=(e=r,Fi().find((function(t){return e.hasAttr(t)}))),i=!!u||ti(r);!n&&!i||["group","rowgroup"].includes(n)&&t.some((function(e){return e===n}))?o.push.apply(o,L(r.children)):(n||i)&&a.push({role:n,attr:u||"tabindex",vNode:r})}for(var r,a=[],o=Qi(e);r=o.shift();)n();return a}(n,i)).filter((function(e){var t=e.role;return 1==\
=e.vNode.props.nodeType&&!i.includes(t)}))).length?(this.relatedNodes(a.map((function(e){return e.vNode}))),this.data({messageKey:"unallowed",values:a.map((function(e){var t=e.vNode,n=(e=e.attr,t.props),r=n.nodeName;return 3===n.nodeType?"#text":(n=vi(t,{dpub:!0}))?"[role=".concat(n,"]"):e?r+"[".concat(e,"]"):r})).filter((function(e,t,n){return n.indexOf(e)===t})).join(", ")}),!1):(o=i,!!r.some((function(e){return(e=e.role)&&o.includes(e)}))||("true"===n.attr("aria-busy")?(this.data({messageKey:"aria-busy"}),!0):(this.data(i),!(!t.includes(u)||r.some(zh))&&void 0))))},"aria-required-children-matches":function(e,t){return t=vi(t,{dpub:!0}),!!Bm(t)},"aria-required-parent-evaluate":function(e,t,n){var r=t&&Array.isArray(t.ownGroupRoles)?t.ownGroupRoles:[],a=qh(n,r);if(!a)return!0;var o=function(e){for(var t,n=[];e;)e.getAttribute("id")&&(t=qr(e.getAttribute("id")),t=Oo(e).querySelector("[aria-owns~=".concat(t,"]")))&&n.push(t),e=e.parentElement;return n.length?n:null}(e);if(o)for(var u=0,\
i=o.length;u<i;u++)if(!(a=qh(ma(o[u]),r,a,!0)))return!0;return this.data(a),!1},"aria-required-parent-matches":function(e,t){return t=vi(t),!!km(t)},"aria-roledescription-evaluate":function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=Ki(2<arguments.length?arguments[2]:void 0);return!!(t.supportedRoles||[]).includes(n)||!(!n||"presentation"===n||"none"===n)&&void 0},"aria-unsupported-attr-evaluate":function(e,t,n){return!!(n=n.attrNames.filter((function(t){var n=hi.ariaAttrs[t];return!!Rm(t)&&(t=n.unsupported,"object"!==a(t)?!!t:!$i(e,t.exceptions))}))).length&&(this.data(n),!0)},"aria-valid-attr-evaluate":function(e,t,n){t=Array.isArray(t.value)?t.value:[];var r=[],a=/^aria-/;return n.attrNames.forEach((function(e){-1===t.indexOf(e)&&a.test(e)&&!Rm(e)&&r.push(e)})),!r.length||(this.data(r),!1)},"aria-valid-attr-value-evaluate":function(e,t,n){t=Array.isArray(t.value)?t.value:[];var r="",a="",u=[],i=/^aria-/,s=["aria-errormessage"],l={"aria-controls":function(){\
return"false"!==n.attr("aria-expanded")&&"false"!==n.attr("aria-selected")},"aria-current":function(e){e||(r='aria-current="'.concat(n.attr("aria-current"),'"'),a="ariaCurrent")},"aria-owns":function(){return"false"!==n.attr("aria-expanded")},"aria-describedby":function(e){e||(r='aria-describedby="'.concat(n.attr("aria-describedby"),'"'),a=o._tree&&o._tree[0]._hasShadowRoot?"noIdShadow":"noId")},"aria-labelledby":function(e){e||(r='aria-labelledby="'.concat(n.attr("aria-labelledby"),'"'),a=o._tree&&o._tree[0]._hasShadowRoot?"noIdShadow":"noId")}};return n.attrNames.forEach((function(e){if(!s.includes(e)&&!t.includes(e)&&i.test(e)){var o,c=n.attr(e);try{o=Tm(n,e)}catch(o){return r="".concat(e,'="').concat(c,'"'),void(a="idrefs")}l[e]&&!l[e](o)||o||(""===c&&(o=e,"string"!==(null==(o=hi.ariaAttrs[e])?void 0:o.type))?(r=e,a="empty"):u.push("".concat(e,'="').concat(c,'"')))}})),u.length?(this.data(u),!1):!r||void this.data({messageKey:a,needsReview:r})},"attr-non-space-content-evaluate":fun\
ction(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=2<arguments.length?arguments[2]:void 0;if(t.attribute&&"string"==typeof t.attribute)return n.hasAttr(t.attribute)?(n=n.attr(t.attribute),!!ki(n)||(this.data({messageKey:"emptyAttr"}),!1)):(this.data({messageKey:"noAttr"}),!1);throw new TypeError("attr-non-space-content requires options.attribute to be a string")},"autocomplete-appropriate-evaluate":function(e,t,n){var r,o,u;return"input"!==n.props.nodeName||(o={bday:["text","search","date"],email:["text","search","email"],username:["text","search","email"],"street-address":["text"],tel:["text","search","tel"],"tel-country-code":["text","search","tel"],"tel-national":["text","search","tel"],"tel-area-code":["text","search","tel"],"tel-local":["text","search","tel"],"tel-local-prefix":["text","search","tel"],"tel-local-suffix":["text","search","tel"],"tel-extension":["text","search","tel"],"cc-number":r=["text","search","number","tel"],"cc-exp":["text","search","m\
onth","tel"],"cc-exp-month":r,"cc-exp-year":r,"cc-csc":r,"transaction-amount":r,"bday-day":r,"bday-month":r,"bday-year":r,"new-password":["text","search","password"],"current-password":["text","search","password"],url:u=["text","search","url"],photo:u,impp:u},"object"===a(t)&&Object.keys(t).forEach((function(e){o[e]||(o[e]=[]),o[e]=o[e].concat(t[e])})),u=(r=n.attr("autocomplete").split(/\\s+/g).map((function(e){return e.toLowerCase()})))[r.length-1],!!Rs.stateTerms.includes(u))||(r=o[u],u=n.hasAttr("type")?ki(n.attr("type")).toLowerCase():"text",u=qD().includes(u)?u:"text",void 0===r?"text"===u:r.includes(u))},"autocomplete-matches":function(e,t){if(!(n=t.attr("autocomplete"))||""===ki(n))return!1;if(n=t.props.nodeName,!1===["textarea","input","select"].includes(n))return!1;if("input"===n&&["submit","reset","button","hidden"].includes(t.props.type))return!1;if(n=t.attr("aria-disabled")||"false",t.hasAttr("disabled")||"true"===n.toLowerCase())return!1;var n=t.attr("role"),r=t.attr("tabin\
dex");return("-1"!==r||!n||void 0!==(n=hi.ariaRoles[n])&&"widget"===n.type)&&!("-1"===r&&t.actualNode&&!lu(t)&&!ts(t))},"autocomplete-valid-evaluate":function(e,t,n){return n=n.attr("autocomplete")||"",Ss(n,t)},"avoid-inline-spacing-evaluate":function(e,t){return!(0<(t=t.cssProperties.filter((function(t){if("important"===e.style.getPropertyPriority(t))return t}))).length&&(this.data(t),1))},"braille-label-equivalent-evaluate":function(e,t,n){var r;if(!(null!=(r=n.attr("aria-braillelabel"))?r:"").trim())return!0;try{return""!==ki(Ns(n))}catch(e){}},"braille-roledescription-equivalent-evaluate":function(e,t,n){var r=null!=(r=n.attr("aria-brailleroledescription"))?r:"";return""===ki(r)||("string"!=typeof(r=n.attr("aria-roledescription"))?(this.data({messageKey:"noRoleDescription"}),!1):""!==ki(r)||(this.data({messageKey:"emptyRoleDescription"}),!1))},"bypass-matches":function(e,t,n){return!Zh(0,0,n)||!!e.querySelector("a[href]")},"caption-evaluate":function(e,t,n){return!RD(n,"track").som\
e((function(e){return"captions"===(e.attr("kind")||"").toLowerCase()}))&&void 0},"caption-faked-evaluate":function(e){var t=wi(e),n=t[0];return t.length<=1||n.length<=1||e.rows.length<=1||n.reduce((function(e,t,r){return e||t!==n[r+1]&&void 0!==n[r+1]}),!1)},"color-contrast-evaluate":function(e,n,r){var a=n.ignoreUnicode,o=n.ignoreLength,u=n.ignorePseudo,i=n.boldValue,s=n.boldTextPt,l=n.largeTextPt,c=n.contrastRatio,d=n.shadowOutlineEmMax,p=n.pseudoSizeThreshold;if(!lu(e))return this.data({messageKey:"hidden"}),!0;var f=rs(r,!1,!0);if(a&&(m=xs(a=f,D={nonBmp:!0}),a=""===ki(Bs(a,D)),m)&&a)this.data({messageKey:"nonBmp"});else{var D=t.getComputedStyle(e),m=parseFloat(D.getPropertyValue("font-size"));a=D.getPropertyValue("font-weight"),i=parseFloat(a)>=i||"bold"===a,a=Math.ceil(72*m)/96,a=(s=i&&a<s||!i&&a<l?c.normal:c.large).expected,l=s.minThreshold,c=s.maxThreshold,s=function(e,t){var n=void 0===(n=t.pseudoSizeThreshold)?.25:n;if(!(t=void 0!==(t=t.ignorePseudo)&&t)){var r=(t=e.boundingCl\
ientRect).width*t.height*n;do{if(r<Ih(e.actualNode,":before")+Ih(e.actualNode,":after"))return e}while(e=e.parent)}}(r,{ignorePseudo:u,pseudoSizeThreshold:p});if(s)this.data({fontSize:"".concat((72*m/96).toFixed(1),"pt (").concat(m,"px)"),fontWeight:i?"bold":"normal",messageKey:"pseudoContent",expectedContrastRatio:a+":1"}),this.relatedNodes(s.actualNode);else{var h,g,b;if(null!==(r=ah(e,{minRatio:.001,maxRatio:d})))return s=Dh(e,!(u=[]),p=ch(e,u,d),n),n=d=e=null,0===r.length?e=fh(p,s):s&&p&&(n=[].concat(L(r),[p]).reduce(Km),r=fh(p,s),b=fh(p,n),h=fh(n,s),(e=Math.max(r,b,h))!==r)&&(d=h<b?"shadowOnBgColor":"fgOnShadowColor"),r=a<e,"number"==typeof l&&("number"!=typeof e||e<l)||"number"==typeof c&&("number"!=typeof e||c<e)?(this.data({contrastRatio:e}),!0):(h=Math.floor(100*e)/100,null===p?g=cl.get("bgColor"):r||(g=d),b=1===f.length,(l=1==h)?g=cl.set("bgColor","equalRatio"):r||!b||o||(g="shortTextContent"),this.data({fgColor:s?s.toHexString():void 0,bgColor:p?p.toHexString():void 0,contra\
stRatio:h,fontSize:"".concat((72*m/96).toFixed(1),"pt (").concat(m,"px)"),fontWeight:i?"bold":"normal",messageKey:g,expectedContrastRatio:a+":1",shadowColor:n?n.toHexString():void 0}),null===s||null===p||l||b&&!o&&!r?(g=null,cl.clear(),void this.relatedNodes(u)):(r||this.relatedNodes(u),r));this.data({messageKey:"complexTextShadows"})}}},"color-contrast-matches":function(e,n){var a=(o=n.props).nodeName,o=o.type;if("option"===a)return!1;if("select"===a&&!e.options.length)return!1;if("input"===a&&["hidden","range","color","checkbox","radio","image"].includes(o))return!1;if(bh(n)||qu(n))return!1;if(["input","select","textarea"].includes(a)){if(o=t.getComputedStyle(e),o=parseInt(o.getPropertyValue("text-indent"),10)){var u={top:(u=e.getBoundingClientRect()).top,bottom:u.bottom,left:u.left+o,right:u.right+o};if(!pf(u,e))return!1}return!0}if(o=Mo(n,"label"),"label"===a||o){if(u=o||e,a=o?ma(o):n,u.htmlFor&&(u=(o=Oo(u).getElementById(u.htmlFor))&&ma(o))&&bh(u))return!1;if((o=RD(a,'input:not([t\
ype="hidden"],[type="image"],[type="button"],[type="submit"],[type="reset"]), select, textarea')[0])&&bh(o))return!1}for(var i,s=[],l=n;l;)l.props.id&&(i=cm(l).filter((function(e){return gf(e.getAttribute("aria-labelledby")||"").includes(l.props.id)})).map((function(e){return ma(e)})),s.push.apply(s,L(i))),l=l.parent;if(0<s.length&&s.every(bh))return!1;if(""===(a=rs(u=n,!1,!0))||""===Bs(a,Jh)||!u.children.some((function(e){return"#text"===e.props.nodeName&&!As(e)})))return!1;for(var c=r.createRange(),d=n.children,p=0;p<d.length;p++){var f=d[p];3===f.actualNode.nodeType&&""!==ki(f.actualNode.nodeValue)&&c.selectNodeContents(f.actualNode)}o=Array.from(c.getClientRects());var D=Lo(n);return o.some((function(t){var n,r=pf(t,e);return D.length?(n=D.some((function(e){return Po(t,e.boundingClientRect)})),r&&n):r}))},"css-orientation-lock-evaluate":function(e,t,n,r){r=void 0===(r=(r||{}).cssom)?void 0:r;var a=void 0===(t=(t||{}).degreeThreshold)?0:t;if(r&&r.length){function o(){var e=c[l],t=(e\
=s[e]).root;if(!(e=e.rules.filter(d)).length)return 1;e.forEach((function(e){e=e.cssRules,Array.from(e).forEach((function(e){var n=function(e){var t=e.selectorText;e=e.style;return!(!t||e.length<=0)&&(!(!(t=e.transform||e.webkitTransform||e.msTransform||!1)&&!e.rotate)&&(t=function(e){return e&&(e=e.match(/(rotate|rotateZ|rotate3d|matrix|matrix3d)\\(([^)]+)\\)(?!.*(rotate|rotateZ|rotate3d|matrix|matrix3d))/))?p((e=V(e,3))[1],e=e[2]):0}(t),!!(t+=e=p("rotate",e.rotate))&&(t=Math.abs(t),!(Math.abs(t-180)%180<=a)&&Math.abs(t-90)%90<=a)))}(e);n&&"HTML"!==e.selectorText.toUpperCase()&&(e=Array.from(t.querySelectorAll(e.selectorText))||[],i=i.concat(e)),u=u||n}))}))}for(var u=!1,i=[],s=r.reduce((function(e,t){var n=t.sheet,r=t.root;return e[t=(t=t.shadowId)||"topDocument"]||(e[t]={root:r,rules:[]}),n&&n.cssRules&&(r=Array.from(n.cssRules),e[t].rules=e[t].rules.concat(r)),e}),{}),l=0,c=Object.keys(s);l<c.length;l++)o();return!u||(i.length&&this.relatedNodes(i),!1)}function d(e){var t=e.type;e=e.\
cssText;return 4===t&&(/orientation:\\s*landscape/i.test(e)||/orientation:\\s*portrait/i.test(e))}function p(e,t){switch(e){case"rotate":case"rotateZ":return f(t);case"rotate3d":var n=V(t.split(",").map((function(e){return e.trim()})),4),r=n[2];n=n[3];return 0===parseInt(r)?void 0:f(n);case"matrix":case"matrix3d":var a,o;return(r=(r=t).split(",")).length<=6?(a=(o=V(r,2))[0],o=o[1],D(Math.atan2(parseFloat(o),parseFloat(a)))):(o=parseFloat(r[8]),a=Math.asin(o),o=Math.cos(a),D(Math.acos(parseFloat(r[0])/o)));default:return 0}}function f(e){var t=V(e.match(/(deg|grad|rad|turn)/)||[],1)[0];if(!t)return 0;var n=parseFloat(e.replace(t,""));switch(t){case"rad":return D(n);case"grad":var r=n;return(r%=400)<0&&(r+=400),Math.round(r/400*360);case"turn":return Math.round(360/(1/n));default:return parseInt(n)}}function D(e){return Math.round(e*(180/Math.PI))}},"data-table-large-matches":function(e){return!!am(e)&&3<=(e=wi(e)).length&&3<=e[0].length&&3<=e[1].length&&3<=e[2].length},"data-table-matches\
":function(e){return am(e)},"deprecatedrole-evaluate":function(e,t,n){n=Ki(n,{dpub:!0,fallback:!0});var r=hi.ariaRoles[n];return!(null==r||!r.deprecated||(this.data(n),0))},"dlitem-evaluate":function(e){var t=(e=ru(e)).nodeName.toUpperCase(),n=vi(e);return"DIV"===t&&["presentation","none",null].includes(n)&&(t=(e=ru(e)).nodeName.toUpperCase(),n=vi(e)),"DL"===t&&!(n&&!["presentation","none","list"].includes(n))},"doc-has-title-evaluate":function(){var e=r.title;return!!ki(e)},"duplicate-id-active-matches":function(e){var t=e.getAttribute("id").trim();t='*[id="'.concat(qr(t),'"]'),t=Array.from(Oo(e).querySelectorAll(t));return!Em(e)&&t.some(ti)},"duplicate-id-after":function(e){var t=[];return e.filter((function(e){return-1===t.indexOf(e.data)&&(t.push(e.data),!0)}))},"duplicate-id-aria-matches":function(e){return Em(e)},"duplicate-id-evaluate":function(e){var t,n=e.getAttribute("id").trim();return!n||(t=Oo(e),(t=Array.from(t.querySelectorAll('[id="'.concat(qr(n),'"]'))).filter((function\
(t){return t!==e}))).length&&this.relatedNodes(t),this.data(n),0===t.length)},"duplicate-id-misc-matches":function(e){var t=e.getAttribute("id").trim();t='*[id="'.concat(qr(t),'"]'),t=Array.from(Oo(e).querySelectorAll(t));return!Em(e)&&t.every((function(e){return!ti(e)}))},"duplicate-img-label-evaluate":function(e,t,n){return!["none","presentation"].includes(Ki(n))&&!!(t=Ta(n,t.parentSelector))&&""!==(t=rs(t,!0).toLowerCase())&&t===Ns(n).toLowerCase()},"exists-evaluate":function(){},"explicit-evaluate":function(e,t,n){var r=this;if(!n.attr("id"))return!1;if(n.actualNode){var a=Oo(n.actualNode),o=qr(n.attr("id"));a=Array.from(a.querySelectorAll('label[for="'.concat(o,'"]')));if(this.relatedNodes(a),!a.length)return!1;try{return a.some((function(e){return!lu(e)||(e=ki(ii(e,{inControlContext:!0,startNode:n})),r.data({explicitLabel:e}),!!e)}))}catch(e){}}},"fallbackrole-evaluate":function(e,t,n){var r=gf(n.attr("role"));return!(r.length<=1)&&(!(!Wi(n)&&2===r.length&&r.includes("none")&&r.i\
ncludes("presentation"))||void 0)},"focusable-content-evaluate":function(e,t,n){var r=n.tabbableElements;return!!r&&0<r.filter((function(e){return e!==n})).length},"focusable-disabled-evaluate":function(e,t,n){var r=["button","fieldset","input","select","textarea"];return!((n=n.tabbableElements)&&n.length&&(n=n.filter((function(e){return r.includes(e.props.nodeName)})),this.relatedNodes(n.map((function(e){return e.actualNode}))),0!==n.length)&&!al())||!!n.every((function(e){var t=e.getComputedStylePropertyValue("pointer-events"),n=parseInt(e.getComputedStylePropertyValue("width")),r=parseInt(e.getComputedStylePropertyValue("height"));return e.actualNode.onfocus||(0===n||0===r)&&"none"===t}))&&void 0},"focusable-element-evaluate":function(e,t,n){return!(!n.hasAttr("contenteditable")||!function e(t){return"true"===(t=t.attr("contenteditable"))||""===t||"false"!==t&&(!!(t=Ta(n.parent,"[contenteditable]"))&&e(t))}(n))||ni(n)},"focusable-modal-open-evaluate":function(e,t,n){return!(n=n.tabb\
ableElements.map((function(e){return e.actualNode})))||!n.length||!al()||void this.relatedNodes(n)},"focusable-no-name-evaluate":function(e,t,n){var r=n.attr("tabindex");if(!(ti(n)&&-1<r))return!1;try{return!Ns(n)}catch(e){}},"focusable-not-tabbable-evaluate":function(e,t,n){var r=["button","fieldset","input","select","textarea"];return!((n=n.tabbableElements)&&n.length&&(n=n.filter((function(e){return!r.includes(e.props.nodeName)})),this.relatedNodes(n.map((function(e){return e.actualNode}))),0!==n.length)&&!al())||!!n.every((function(e){var t=e.getComputedStylePropertyValue("pointer-events"),n=parseInt(e.getComputedStylePropertyValue("width")),r=parseInt(e.getComputedStylePropertyValue("height"));return e.actualNode.onfocus||(0===n||0===r)&&"none"===t}))&&void 0},"frame-focusable-content-evaluate":function(e,t,n){if(n.children)try{return!n.children.some((function e(t){if(ni(t))return!0;if(!t.children){if(1===t.props.nodeType)throw new Error("Cannot determine children");return!1}retur\
n t.children.some((function(t){return e(t)}))}))}catch(e){}},"frame-focusable-content-matches":function(e,t,n){var r;return!n.initiator&&!n.focusable&&1<(null==(r=n.size)?void 0:r.width)*(null==(r=n.size)?void 0:r.height)},"frame-tested-after":function(e){var t={};return e.filter((function(e){var n;return"html"!==e.node.ancestry[e.node.ancestry.length-1]?(n=e.node.ancestry.flat(1/0).join(" > "),t[n]=e,!0):(n=e.node.ancestry.slice(0,e.node.ancestry.length-1).flat(1/0).join(" > "),t[n]&&(t[n].result=!0),!1)}))},"frame-tested-evaluate":function(e,t){return!t.isViolation&&void 0},"frame-title-has-text-matches":function(e){return e=e.getAttribute("title"),!!ki(e)},"has-alt-evaluate":function(e,t,n){var r=n.props.nodeName;return!!["img","input","area"].includes(r)&&n.hasAttr("alt")},"has-descendant-after":function(e){return e.some((function(e){return!0===e.result}))&&e.forEach((function(e){e.result=!0})),e},"has-descendant-evaluate":function(e,t,n){if(t&&t.selector&&"string"==typeof t.select\
or)return!(!t.passForModal||!al())||(n=FD(n,t.selector,ts),this.relatedNodes(n.map((function(e){return e.actualNode}))),0<n.length);throw new TypeError("has-descendant requires options.selector to be a string")},"has-global-aria-attribute-evaluate":function(e,t,n){var r=Fi().filter((function(e){return n.hasAttr(e)}));return this.data(r),0<r.length},"has-implicit-chromium-role-matches":function(e,t){return null!==Wi(t,{chromium:!0})},"has-lang-evaluate":function(e,t,n){var a=void 0!==r&&Kr(r);return t.attributes.includes("xml:lang")&&t.attributes.includes("lang")&&Nh(n.attr("xml:lang"))&&!Nh(n.attr("lang"))&&!a?(this.data({messageKey:"noXHTML"}),!1):!!t.attributes.some((function(e){return Nh(n.attr(e))}))||(this.data({messageKey:"noLang"}),!1)},"has-text-content-evaluate":function(e,t,n){try{return""!==ki(gs(n))}catch(e){}},"has-widget-role-evaluate":function(e){return null!==(e=e.getAttribute("role"))&&("widget"===(e=el(e))||"composite"===e)},"heading-matches":function(e,t){return"head\
ing"===Ki(t)},"heading-order-after":function(e){(t=L(t=e)).sort((function(e,t){return e=e.node,t=t.node,e.ancestry.length-t.ancestry.length}));var t,n=t.reduce(vh,[]).filter((function(e){return-1!==e.level}));return e.forEach((function(e){e.result=function(e,t){var n=null!=(n=null==(n=t[e=yh(t,e.node.ancestry)])?void 0:n.level)?n:-1;t=null!=(t=null==(t=t[e-1])?void 0:t.level)?t:-1;return 0===e||(-1!==n?n-t<=1:void 0)}(e,n)})),e},"heading-order-evaluate":function(){var e,t=Da.get("headingOrder");return t||(t=(e=FD(o._tree[0],"h1, h2, h3, h4, h5, h6, [role=heading], iframe, frame",ts)).map((function(e){return{ancestry:[da(e.actualNode)],level:(t=(t=Ki(e))&&t.includes("heading"),n=e.attr("aria-level"),r=parseInt(n,10),e=V(e.props.nodeName.match(/h(\\d)/)||[],2)[1],t?e&&!n?parseInt(e,10):isNaN(r)||r<1?e?parseInt(e,10):2:r||-1:-1)};var t,n,r})),this.data({headingOrder:t}),Da.set("headingOrder",e)),!0},"help-same-as-label-evaluate":function(e,t,n){n=Ms(n);var r=e.getAttribute("title");return!\
!n&&(r||(r="",e.getAttribute("aria-describedby")&&(r=ui(e,"aria-describedby").map((function(e){return e?ii(e):""})).join(""))),ki(r)===ki(n))},"hidden-content-evaluate":function(e,n,r){if(!["SCRIPT","HEAD","TITLE","NOSCRIPT","STYLE","TEMPLATE"].includes(e.nodeName.toUpperCase())&&Ws(r)){if("none"===(r=t.getComputedStyle(e)).getPropertyValue("display"))return;if("hidden"===r.getPropertyValue("visibility")&&(!(e=(r=ru(e))&&t.getComputedStyle(r))||"hidden"!==e.getPropertyValue("visibility")))return}return!0},"hidden-explicit-label-evaluate":function(e,t,n){if(n.hasAttr("id")){if(!n.actualNode)return;var r,a=Oo(e);e=qr(e.getAttribute("id"));if((a=a.querySelector('label[for="'.concat(e,'"]')))&&!ts(a)){try{r=Ns(n).trim()}catch(e){return}return""===r}}return!1},"html-namespace-matches":function(e,t){return!Uh(0,t)},"html5-scope-evaluate":function(e){return!Qs(r)||"TH"===e.nodeName.toUpperCase()},"identical-links-same-purpose-after":function(e){if(e.length<2)return e;function t(e){var t=n[e],\
u=t.data,i=u.name,s=u.urlProps;if(o[i])return 1;var l=(u=n.filter((function(t,n){return t.data.name===i&&n!==e}))).every((function(e){return function e(t,n){var r,o;return!(!t||!n)&&(r=Object.getOwnPropertyNames(t),o=Object.getOwnPropertyNames(n),r.length===o.length)&&r.every((function(r){var o=t[r];r=n[r];return a(o)===a(r)&&("object"===a(o)||"object"===a(r)?e(o,r):o===r)}))}(e.data.urlProps,s)}));u.length&&!l&&(t.result=void 0),t.relatedNodes=[],(l=t.relatedNodes).push.apply(l,L(u.map((function(e){return e.relatedNodes[0]})))),o[i]=u,r.push(t)}for(var n=e.filter((function(e){return void 0!==e.result})),r=[],o={},u=0;u<n.length;u++)t(u);return r},"identical-links-same-purpose-evaluate":function(e,t,n){if(n=oi.accessibleTextVirtual(n),n=oi.sanitize(oi.removeUnicode(n,{emoji:!0,nonBmp:!0,punctuations:!0})).toLowerCase())return n={name:n,urlProps:Ro.urlPropsFromAttribute(e,"href")},this.data(n),this.relatedNodes([e]),!0},"identical-links-same-purpose-matches":function(e,t){return!(!Ns(t)\
||(t=Ki(e))&&"link"!==t)},"implicit-evaluate":function(e,t,n){try{var r,a=Ta(n,"label");return!!a&&(r=ki(Ns(a,{inControlContext:!0,startNode:n})),a.actualNode&&this.relatedNodes([a.actualNode]),this.data({implicitLabel:r}),!!r)}catch(e){}},"inline-style-property-evaluate":function(e,n){var r=n.cssProperty,a=n.absoluteValues,o=n.minValue,u=n.maxValue,i=void 0===(i=n.normalValue)?0:i,s=n.noImportant;n=n.multiLineOnly;return!!(!s&&"important"!==e.style.getPropertyPriority(r)||n&&!ol(e))||(s={},"number"==typeof o&&(s.minValue=o),"number"==typeof u&&(s.maxValue=u),n=e.style.getPropertyValue(r),["inherit","unset","revert","revert-layer"].includes(n)?(this.data(z({value:n},s)),!0):(n=function(e,n){var r=n.cssProperty,a=n.absoluteValues;n=n.normalValue;return"normal"===(r=(e=t.getComputedStyle(e)).getPropertyValue(r))?n:(n=parseFloat(r),a?n:(a=parseFloat(e.getPropertyValue("font-size")),e=Math.round(n/a*100)/100,isNaN(e)?r:e))}(e,{absoluteValues:a,cssProperty:r,normalValue:i}),this.data(z({val\
ue:n},s)),"number"==typeof n?("number"!=typeof o||o<=n)&&("number"!=typeof u||n<=u):void 0))},"inserted-into-focus-order-matches":function(e){return Ks(e)},"internal-link-present-evaluate":function(e,t,n){return RD(n,"a[href]").some((function(e){return/^#[^/!]/.test(e.attr("href"))}))},"invalid-children-evaluate":function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n=2<arguments.length?arguments[2]:void 0,r=[],a=[];if(n.children){for(var o=Ah(n.children);o.length;){var u=(i=o.shift()).vChild,i=i.nested;if(t.divGroups&&!i&&"div"===(s=u).props.nodeName&&null===vi(s)){if(!u.children)return;var s=Ah(u.children,!0);o.push.apply(o,L(s))}else s=function(e,t,n){var r=void 0===(r=n.validRoles)?[]:r,a=(n=void 0===(n=n.validNodeNames)?[]:n,(u=e.props).nodeName),o=u.nodeType,u=u.nodeValue;t=t?"div > ":"";return 3===o&&""!==u.trim()?t+"#text":!(1!==o||!ts(e))&&((u=vi(e))?!r.includes(u)&&t+"[role=".concat(u,"]"):!n.includes(a)&&t+a)}(u,i,t),s&&(a.includes(s)||a.push(s),1===(nu\
ll==u||null==(i=u.actualNode)?void 0:i.nodeType))&&r.push(u.actualNode)}return 0!==a.length&&(this.data({values:a.join(", ")}),this.relatedNodes(r),!0)}},"invalidrole-evaluate":function(e,t,n){return!!(n=gf(n.attr("role"))).every((function(e){return!bi(e,{allowAbstract:!0})}))&&(this.data(n),!0)},"is-element-focusable-evaluate":function(e,t,n){return ti(n)},"is-initiator-matches":Zh,"is-on-screen-evaluate":Yd,"is-visible-matches":lu,"is-visible-on-screen-matches":function(e,t){return lu(t)},"label-content-name-mismatch-evaluate":function(e,t,n){var r=null==t?void 0:t.pixelThreshold,a=null!=(a=null==t?void 0:t.occurrenceThreshold)?a:null==t?void 0:t.occuranceThreshold;if(t=ii(e).toLowerCase(),!(Ts(t)<1))return!(e=ki(gs(n,{subtreeDescendant:!0,ignoreIconLigature:!0,pixelThreshold:r,occurrenceThreshold:a})).toLowerCase())||(Ts(e)<1?!!kh(e,t)||void 0:kh(e,t))},"label-content-name-mismatch-matches":function(e,t){var n=Ki(e);return!!(n&&mm("widget").includes(n)&&gm().includes(n)&&(ki(li(t))|\
|ki(si(e)))&&ki(rs(t)))},"label-matches":function(e,t){return"input"!==t.props.nodeName||!1===t.hasAttr("type")||(t=t.attr("type").toLowerCase(),!1===["hidden","image","button","submit","reset"].includes(t))},"landmark-has-body-context-matches":function(e,t){return e.hasAttribute("role")||!Mo(t,"article, aside, main, nav, section")},"landmark-is-top-level-evaluate":function(e){var t=mm("landmark"),n=ru(e),r=Ki(e);for(this.data({role:r});n;){var a=n.getAttribute("role");if((a=a||"FORM"===n.nodeName.toUpperCase()?a:Wi(n))&&t.includes(a)&&("main"!==a||"complementary"!==r))return!1;n=ru(n)}return!0},"landmark-is-unique-after":function(e){var t=[];return e.filter((function(e){var n=t.find((function(t){return e.data.role===t.data.role&&e.data.accessibleText===t.data.accessibleText}));return n?(n.result=!1,n.relatedNodes.push(e.relatedNodes[0]),!1):(t.push(e),e.relatedNodes=[],!0)}))},"landmark-is-unique-evaluate":function(e,t,n){var r=Ki(e);return n=(n=Ns(n))?n.toLowerCase():null,this.data({\
role:r,accessibleText:n}),this.relatedNodes([e]),!0},"landmark-unique-matches":function(e,t){return n=t,a=mm("landmark"),!!(o=Ki(n))&&("header"!==(r=n.props.nodeName)&&"footer"!==r?"section"!==r&&"form"!==r?0<=a.indexOf(o)||"region"===o:!!Ns(n):!Ta(n,Xh))&&ts(t);var n,r,a,o},"layout-table-matches":function(e){return!am(e)&&!ti(e)},"link-in-text-block-evaluate":function(e,t){var n=t.requiredContrastRatio;if(t=t.allowSameColor,Mh(e))return!1;for(var r=ru(e);r&&1===r.nodeType&&!Mh(r);)r=ru(r);if(r){this.relatedNodes([r]);var a=Dh(e),o=Dh(r),u=(e=ch(e),ch(r)),i=a&&o?Oh(a,o):void 0;if((i=i&&Math.floor(100*i)/100)&&n<=i)return!0;var s=e&&u?Oh(e,u):void 0;if((s=s&&Math.floor(100*s)/100)&&n<=s)return!0;if(s){if(i)return!(!t||1!==i||1!==s)||(1===i&&1<s?this.data({messageKey:"bgContrast",contrastRatio:s,requiredContrastRatio:n,nodeBackgroundColor:e?e.toHexString():void 0,parentBackgroundColor:u?u.toHexString():void 0}):this.data({messageKey:"fgContrast",contrastRatio:i,requiredContrastRatio:n,no\
deColor:a?a.toHexString():void 0,parentColor:o?o.toHexString():void 0}),!1)}else s=null!=(t=cl.get("bgColor"))?t:"bgContrast",this.data({messageKey:s}),cl.clear()}},"link-in-text-block-matches":function(e){var t=ki(e.innerText),n=e.getAttribute("role");return!(n&&"link"!==n||!t||!lu(e))&&rl(e)},"link-in-text-block-style-evaluate":function(e){if(Sh(e))return!1;for(var n=ru(e);n&&1===n.nodeType&&!Sh(n);)n=ru(n);return n?(this.relatedNodes([n]),!!Vm(e,n)||!!function(e){for(var n=0,r=["before","after"];n<r.length;n++){var a=r[n];if("none"!==t.getComputedStyle(e,":".concat(a)).getPropertyValue("content"))return 1}}(e)&&void this.data({messageKey:"pseudoContent"})):void 0},"listitem-evaluate":function(e,t,n){var r;if(n=n.parent)return r=n.props.nodeName,n=vi(n),!!["presentation","none","list"].includes(n)||(n&&bi(n)?(this.data({messageKey:"roleNotValid"}),!1):["ul","ol","menu"].includes(r))},"matches-definition-evaluate":function(e,t,n){return $i(n,t.matcher)},"meta-refresh-evaluate":functio\
n(e,t,n){var r=(a=t||{}).minDelay,a=a.maxDelay;return!(n=V((n.attr("content")||"").trim().split(Pm),1)[0]).match(jm)||(n=parseFloat(n),this.data({redirectDelay:n}),"number"==typeof r&&n<=t.minDelay)||"number"==typeof a&&n>t.maxDelay},"meta-viewport-scale-evaluate":function(e,t,n){var r,a=void 0===(a=(t=t||{}).scaleMinimum)?2:a;return t=void 0!==(t=t.lowerBound)&&t,!((n=n.attr("content")||"")&&(n=n.split(/[;,]/).reduce((function(e,t){var n;return(t=t.trim())&&(n=(t=V(t.split("="),2))[0],t=t[1],n)&&t&&(n=n.toLowerCase().trim(),t=t.toLowerCase().trim(),"maximum-scale"===n&&"yes"===t&&(t=1),"maximum-scale"===n&&parseFloat(t)<0||(e[n]=t)),e}),{}),!(t&&n["maximum-scale"]&&parseFloat(n["maximum-scale"])<t))&&(t||"no"!==n["user-scalable"]?(r=parseFloat(n["user-scalable"]),!t&&n["user-scalable"]&&(r||0===r)&&-1<r&&r<1?(this.data("user-scalable"),1):n["maximum-scale"]&&parseFloat(n["maximum-scale"])<a&&(this.data("maximum-scale"),1)):(this.data("user-scalable=no"),1)))},"multiple-label-evaluate"\
:function(e){var t=qr(e.getAttribute("id")),n=e.parentNode,r=(r=Oo(e)).documentElement||r,a=Array.from(r.querySelectorAll('label[for="'.concat(t,'"]')));for(a.length&&(a=a.filter((function(e){return!eu(e)})));n;)"LABEL"===n.nodeName.toUpperCase()&&-1===a.indexOf(n)&&a.push(n),n=n.parentNode;return this.relatedNodes(a),1<a.length&&(1<(r=a.filter(ts)).length||!ui(e,"aria-labelledby").includes(r[0]))&&void 0},"nested-interactive-matches":function(e,t){return!!(t=Ki(t))&&!!hi.ariaRoles[t].childrenPresentational},"no-autoplay-audio-evaluate":function(e,t){var n,r;if(e.duration)return t=void 0===(t=t.allowedDuration)?3:t,((n=e).currentSrc?(r=function(e){if(e=e.match(/#t=(.*)/))return V(e,2)[1].split(",").map((function(e){if(/:/.test(e)){for(var t=e.split(":"),n=0,r=1;0<t.length;)n+=r*parseInt(t.pop(),10),r*=60;return parseFloat(n)}return parseFloat(e)}))}(n.currentSrc))?1!==r.length?Math.abs(r[1]-r[0]):Math.abs(n.duration-r[0]):Math.abs(n.duration-(n.currentTime||0)):0)<=t&&!e.hasAttribute("\
loop")||!!e.hasAttribute("controls");console.warn("axe.utils.preloadMedia did not load metadata")},"no-autoplay-audio-matches":function(e){return!!e.currentSrc&&!e.hasAttribute("paused")&&!e.hasAttribute("muted")},"no-empty-role-matches":function(e,t){return!!t.hasAttr("role")&&!!t.attr("role").trim()},"no-explicit-name-required-matches":Kh,"no-focusable-content-evaluate":function(e,t,n){if(n.children)try{var r,a=function e(t){if(!t.children){if(1===t.props.nodeType)throw new Error("Cannot determine children");return[]}var n=[];return t.children.forEach((function(t){"widget"===el(t)&&ti(t)?n.push(t):n.push.apply(n,L(e(t)))})),n}(n);return!a.length||(0<(r=a.filter(Th)).length?(this.data({messageKey:"notHidden"}),this.relatedNodes(r)):this.relatedNodes(a),!1)}catch(e){}},"no-implicit-explicit-label-evaluate":function(e,t,n){var r,a,o=Ki(n,{noImplicit:!0});this.data(o);try{r=ki(bs(n)).toLowerCase(),a=ki(Ns(n)).toLowerCase()}catch(e){return}return!(!a&&!r||(a||!r)&&a.includes(r))&&void 0},\
"no-naming-method-matches":function(e,t){var n=Ui(t).namingMethods;return!(n&&0!==n.length||"combobox"===vi(t)&&RD(t,'input:not([type="hidden"])').length||Cm(t,{popupRoles:["listbox"]}))},"no-negative-tabindex-matches":function(e,t){return t=parseInt(t.attr("tabindex"),10),isNaN(t)||0<=t},"no-role-matches":function(e,t){return!t.attr("role")},"non-empty-if-present-evaluate":function(e,t,n){var r=n.props.nodeName,a=(n.attr("type")||"").toLowerCase();return(n=n.attr("value"))&&this.data({messageKey:"has-label"}),!("input"!==r||!["submit","reset"].includes(a))&&null===n},"not-html-matches":function(e,t){return"html"!==t.props.nodeName},"object-is-loaded-matches":function(e,t){return[Kh,function(e){var t;return null==e||null==(t=e.ownerDocument)||!t.createRange||((t=e.ownerDocument.createRange()).setStart(e,0),t.setEnd(e,e.childNodes.length),0===t.getClientRects().length)}].every((function(n){return n(e,t)}))},"only-dlitems-evaluate":function(e,t,n){var r=["definition","term","list"];retur\
n(n=n.children.reduce((function(e,t){var n=t.actualNode;return"DIV"===n.nodeName.toUpperCase()&&null===Ki(n)?e.concat(t.children):e.concat(t)}),[]).reduce((function(e,t){var n,a=(t=t.actualNode).nodeName.toUpperCase();return 1===t.nodeType&&ts(t)?(n=vi(t),("DT"!==a&&"DD"!==a||n)&&!r.includes(n)&&e.badNodes.push(t)):3===t.nodeType&&""!==t.nodeValue.trim()&&(e.hasNonEmptyTextNode=!0),e}),{badNodes:[],hasNonEmptyTextNode:!1})).badNodes.length&&this.relatedNodes(n.badNodes),!!n.badNodes.length||n.hasNonEmptyTextNode},"only-listitems-evaluate":function(e,t,n){var r=!1,a=!1,o=!0,u=[],i=[],s=[];if(n.children.forEach((function(e){var t,n,l=e.actualNode;3===l.nodeType&&""!==l.nodeValue.trim()?r=!0:1===l.nodeType&&ts(l)&&(o=!1,t="LI"===l.nodeName.toUpperCase(),n="listitem"===(e=Ki(e)),t||n||u.push(l),t&&!n&&(i.push(l),s.includes(e)||s.push(e)),n)&&(a=!0)})),r||u.length)this.relatedNodes(u);else{if(o||a)return!1;this.relatedNodes(i),this.data({messageKey:"roleNotValid",roles:s.join(", ")})}return\
!0},"p-as-heading-evaluate":function(e,t,n){var r=(u=Array.from(e.parentNode.children)).indexOf(e),a=(t=t||{}).margins||[],o=u.slice(r+1).find((function(e){return"P"===e.nodeName.toUpperCase()})),u=u.slice(0,r).reverse().find((function(e){return"P"===e.nodeName.toUpperCase()})),i=(r=Mm(e),o?Mm(o):null),s=(u=u?Mm(u):null,t.passLength);return t=t.failLength,e=e.textContent.trim().length,(o=null==o?void 0:o.textContent.trim().length)*s<e||!i||!Im(r,i,a)||!!((s=Mo(n,"blockquote"))&&"BLOCKQUOTE"===s.nodeName.toUpperCase()||u&&!Im(r,u,a)||o*t<e)&&void 0},"p-as-heading-matches":function(e){var t=Array.from(e.parentNode.childNodes),n=e.textContent.trim();return!(0===n.length||2<=(n.match(/[.!?:;](?![.!?:;])/g)||[]).length)&&0!==t.slice(t.indexOf(e)+1).filter((function(e){return"P"===e.nodeName.toUpperCase()&&""!==e.textContent.trim()})).length},"page-no-duplicate-after":function(e){return e.filter((function(e){return"ignored"!==e.data}))},"page-no-duplicate-evaluate":function(e,t,n){if(!t||!t.\
selector||"string"!=typeof t.selector)throw new TypeError("page-no-duplicate requires options.selector to be a string");var r="page-no-duplicate;"+t.selector;if(!Da.get(r))return Da.set(r,!0),r=FD(o._tree[0],t.selector,ts),"string"==typeof t.nativeScopeFilter&&(r=r.filter((function(e){return e.actualNode.hasAttribute("role")||!Mo(e,t.nativeScopeFilter)}))),"string"==typeof t.role&&(r=r.filter((function(e){return Ki(e)===t.role}))),this.relatedNodes(r.filter((function(e){return e!==n})).map((function(e){return e.actualNode}))),r.length<=1;this.data("ignored")},"presentation-role-conflict-matches":function(e,t){return null!==Wi(t,{chromiumRoles:!0})},"presentational-role-evaluate":function(e,t,n){var r=vi(n);if(["presentation","none"].includes(r)&&["iframe","frame"].includes(n.props.nodeName)&&n.hasAttr("title"))this.data({messageKey:"iframe",nodeName:n.props.nodeName});else{var a,o=Ki(n);if(["presentation","none"].includes(o))return this.data({role:o}),!0;["presentation","none"].include\
s(r)&&(r=Fi().some((function(e){return n.hasAttr(e)})),a=ti(n),this.data({messageKey:r&&!a?"globalAria":!r&&a?"focusable":"both",role:o}))}return!1},"region-after":function(e){var t=e.filter((function(e){return e.data.isIframe}));return e.forEach((function(e){if(!e.result&&1!==e.node.ancestry.length){var n,r=e.node.ancestry.slice(0,-1),a=K(t);try{for(a.s();!(n=a.n()).done;){var o=n.value;if(sD(r,o.node.ancestry)){e.result=o.result;break}}}catch(e){a.e(e)}finally{a.f()}}})),t.forEach((function(e){e.result||(e.result=!0)})),e},"region-evaluate":function(e,t,n){return this.data({isIframe:["iframe","frame"].includes(n.props.nodeName)}),!Da.get("regionlessNodes",(function(){return function e(t,n){var a=t.actualNode;if("button"===Ki(t)||function(e,t){var n=e.actualNode,r=Ki(e),a=(n=(n.getAttribute("aria-live")||"").toLowerCase().trim(),mm("landmark"));return!!(["assertive","polite"].includes(n)||_m.includes(r)||a.includes(r)||t.regionMatcher&&$i(e,t.regionMatcher))}(t,n)||["iframe","frame"].\
includes(t.props.nodeName)||tf(t.actualNode)&&Yu(t.actualNode,"href")||!ts(a)){for(var o=t;o;)o._hasRegionDescendant=!0,o=o.parent;return["iframe","frame"].includes(t.props.nodeName)?[t]:[]}return a!==r.body&&Gs(a,!0)?[t]:t.children.filter((function(e){return 1===(e=e.actualNode).nodeType})).map((function(t){return e(t,n)})).reduce((function(e,t){return e.concat(t)}),[])}(o._tree[0],t).map((function(e){for(;e.parent&&!e.parent._hasRegionDescendant&&e.parent.actualNode!==r.body;)e=e.parent;return e})).filter((function(e,t,n){return n.indexOf(e)===t}))})).includes(n)},"same-caption-summary-evaluate":function(e,t,n){var r;if(void 0!==n.children)return r=n.attr("summary"),!(!(n=!!(n=n.children.find(Sm))&&ki(gs(n)))||!r)&&ki(r).toLowerCase()===ki(n).toLowerCase()},"scope-value-evaluate":function(e,t){return e=e.getAttribute("scope").toLowerCase(),-1!==t.values.indexOf(e)},"scrollable-region-focusable-matches":function(e,t){return void 0!==Jf(e,13)&&!1===Cm(t)&&RD(t,"*").some((function(e){re\
turn Ws(e,!0,!0)}))},"skip-link-evaluate":function(e){return!!(e=Yu(e,"href"))&&(ts(e)||void 0)},"skip-link-matches":function(e){return tf(e)&&iu(e)},"structured-dlitems-evaluate":function(e,t,n){var r=n.children;if(!r||!r.length)return!1;for(var a,o=!1,u=!1,i=0;i<r.length;i++){if((o="DT"===(a=r[i].props.nodeName.toUpperCase())||o)&&"DD"===a)return!1;"DD"===a&&(u=!0)}return o||u},"svg-namespace-matches":Uh,"svg-non-empty-title-evaluate":function(e,t,n){if(n.children){if(n=n.children.find((function(e){return"title"===e.props.nodeName})),!n)return this.data({messageKey:"noTitle"}),!1;try{if(""===gs(n,{includeHidden:!0}).trim())return this.data({messageKey:"emptyTitle"}),!1}catch(e){return}return!0}},"tabindex-evaluate":function(e,t,n){return n=parseInt(n.attr("tabindex"),10),!!isNaN(n)||n<=0},"table-or-grid-role-matches":function(e,t){return t=Ki(t),["treegrid","grid","table"].includes(t)},"target-offset-evaluate":function(e,t,n){var r=(null==t?void 0:t.minOffset)||24;if(gu(10*r,n.boundi\
ngClientRect))return this.data({messageKey:"large",minOffset:r}),!0;var a,o,u=[],i=r,s=K(Pu(n,r));try{for(s.s();!(a=s.n()).done;){var l,c=a.value;"widget"===el(c)&&ti(c)&&(r<=.05+(l=2*(o=bu(n,c,r/2),Math.round(10*o)/10))||(i=Math.min(i,l),u.push(c)))}}catch(e){s.e(e)}finally{s.f()}return 0===u.length?(this.data({closestOffset:i,minOffset:r}),!0):(this.relatedNodes(u.map((function(e){return e.actualNode}))),u.some(ni)?(this.data({closestOffset:i,minOffset:r}),!ni(n)&&void 0):void this.data({messageKey:"nonTabbableNeighbor",closestOffset:i,minOffset:r}))},"target-size-evaluate":function(e,t,n){t=(null==t?void 0:t.minSize)||24;var r,a,o,u,i,s,l,c=n.boundingClientRect;return gu(10*t,c)?(this.data({messageKey:"large",minSize:t}),!0):(l=gu.bind(null,t),u=Pu(n),a=n,r=u.filter((function(e){return!wh(e,a)&&Ch(a,e)})),o=(u=function(e,t){var n,r=[],a=[],o=K(t);try{for(o.s();!(n=o.n()).done;){var u=n.value;!Ch(e,u)&&yu(e,u)&&"none"!==u.getComputedStylePropertyValue("pointer-events")&&(wh(e,u)?r:a)\
.push(u)}}catch(e){o.e(e)}finally{o.f()}return{fullyObscuringElms:r,partialObscuringElms:a}}(n,u)).fullyObscuringElms,u=u.partialObscuringElms,!r.length||!o.length&&l(c)?o.length?(this.relatedNodes(xh(o)),this.data({messageKey:"obscured"}),!0):(o=!ni(n)&&void 0,l(c)?(u=u.filter((function(e){return"widget"===el(e)&&ti(e)}))).length?(i=u,n=n.boundingClientRect,i=u.map((function(e){return e.boundingClientRect})),(i=0!==(n=Fu(n,i)).length?(s=void 0,n.reduce((function(e,t){var n=gu(s,e);return n!==gu(s,t)?n?e:t:(n=e.width*e.height,t.width*t.height<n?e:t)}))):null)?l(i)?(this.data(z({minSize:t},Eh(i||c))),this.relatedNodes(xh(u)),!0):r.length?(this.data({minSize:t,messageKey:"contentOverflow"}),void this.relatedNodes(xh(r))):(n=u.every(ni),l="partiallyObscured".concat(n?"":"NonTabbable"),this.data(z({messageKey:l,minSize:t},Eh(i))),this.relatedNodes(xh(u)),n?o:void 0):void this.data({minSize:t,messageKey:"tooManyRects"})):(this.data(z({minSize:t},Eh(c))),!0):(this.data(z({minSize:t},Eh(c))),\
o)):(this.data({minSize:t,messageKey:"contentOverflow"}),void this.relatedNodes(xh(r))))},"td-has-header-evaluate":function(e){var t=[],n=em(e),r=wi(e);return n.forEach((function(e){Gs(e)&&rm(e)&&!Am(e)&&!nm(e,r).some((function(e){return null!==e&&!!Gs(e)}))&&t.push(e)})),!t.length||(this.relatedNodes(t),!1)},"td-headers-attr-evaluate":function(e){for(var t=[],n=[],r=[],a=0;a<e.rows.length;a++)for(var o=e.rows[a],u=0;u<o.cells.length;u++)t.push(o.cells[u]);var i=t.filter((function(e){return e.getAttribute("id")})).map((function(e){return e.getAttribute("id")}));return t.forEach((function(e){var t,a=!1;if(e.hasAttribute("headers")&&ts(e))return(t=e.getAttribute("headers").trim())?void(0!==(t=gf(t)).length&&(e.getAttribute("id")&&(a=-1!==t.indexOf(e.getAttribute("id").trim())),t=t.some((function(e){return!i.includes(e)})),a||t)&&r.push(e)):n.push(e)})),0<r.length?(this.relatedNodes(r),!1):!n.length||void this.relatedNodes(n)},"th-has-data-cells-evaluate":function(e){var t=em(e),n=this,r=\
[],a=(t=(t.forEach((function(e){var t;(t=((t=e.getAttribute("headers"))&&(r=r.concat(t.split(/\\s+/))),e.getAttribute("aria-labelledby")))&&(r=r.concat(t.split(/\\s+/)))})),t.filter((function(e){return""!==ki(e.textContent)&&("TH"===e.nodeName.toUpperCase()||-1!==["rowheader","columnheader"].indexOf(e.getAttribute("role")))}))),wi(e)),o=!0;return t.forEach((function(e){var t,u;e.getAttribute("id")&&r.includes(e.getAttribute("id"))||(t=Ei(e,a),u=!1,(u=!(u=xi(e)?um("down",t,a).find((function(t){return!xi(t)&&nm(t,a).includes(e)})):u)&&Ai(e)?um("right",t,a).find((function(t){return!Ai(t)&&nm(t,a).includes(e)})):u)||n.relatedNodes(e),o=o&&u)})),!!o||void 0},"title-only-evaluate":function(e,t,n){var r=Ms(n),a=Zi(n);return n=n.attr("aria-describedby"),!(r||!a&&!n)},"unique-frame-title-after":function(e){var t={};return e.forEach((function(e){t[e.data]=void 0!==t[e.data]?++t[e.data]:0})),e.forEach((function(e){e.result=!!t[e.data]})),e},"unique-frame-title-evaluate":function(e,t,n){return n=ki(\
n.attr("title")).toLowerCase(),this.data(n),!0},"unsupportedrole-evaluate":function(e,t,n){n=Ki(n,{dpub:!0,fallback:!0});var r=gi(n);return r&&this.data(n),r},"valid-lang-evaluate":function(e,t,n){var r=[];return t.attributes.forEach((function(e){var a,o,u=n.attr(e);"string"==typeof u&&(a=Af(u),o=t.value?!t.value.map(Af).includes(a):!HD(a),""!==a&&o||""!==u&&!ki(u))&&r.push(e+'="'+n.attr(e)+'"')})),!!r.length&&!("html"!==n.props.nodeName&&!Ys(n)||(this.data(r),0))},"valid-scrollable-semantics-evaluate":function(e,t){return(n=vi(n=e))&&(Lh[n]||t.roles.includes(n))||(t=(t=e).nodeName.toUpperCase(),jh[t])||!1;var n},"widget-not-inline-matches":function(e,t){return Wh.every((function(n){return n(e,t)}))},"window-is-top-matches":function(e){return e.ownerDocument.defaultView.self===e.ownerDocument.defaultView.top},"xml-lang-mismatch-evaluate":function(e,t,n){return Af(n.attr("lang"))===Af(n.attr("xml:lang"))},"xml-lang-mismatch-matches":function(e){var t=Af(e.getAttribute("lang"));return e=\
Af(e.getAttribute("xml:lang")),HD(t)&&HD(e)}},eg=function(e){this.id=e.id,this.data=null,this.relatedNodes=[],this.result=null};function tg(e){if("string"!=typeof e)return e;if(Qh[e])return Qh[e];if(/^\\s*function[\\s\\w]*\\(/.test(e))return new Function("return "+e+";")();throw new ReferenceError("Function ID does not exist in the metadata-function-map: ".concat(e))}function ng(e){var t=0<arguments.length&&void 0!==e?e:{};return Array.isArray(t)||"object"!==a(t)?{value:t}:t}function rg(e){e&&(this.id=e.id,this.configure(e))}rg.prototype.enabled=!0,rg.prototype.run=function(e,t,n,r,a){var o=((t=t||{}).hasOwnProperty("enabled")?t:this).enabled,u=this.getOptions(t.options);if(o){var i;o=new eg(this),t=va(o,t,r,a);try{i=this.evaluate.call(t,e.actualNode,u,e,n)}catch(t){return e&&e.actualNode&&(t.errorNode=yo.toSpec(e)),void a(t)}t.isAsync||(o.result=i,r(o))}else r(null)},rg.prototype.runSync=function(e,t,n){if(!(void 0===(a=(t=t||{}).enabled)?this.enabled:a))return null;var r,a=this.getOption\
s(t.options),o=new eg(this);(t=va(o,t)).async=function(){throw new Error("Cannot run async check while in a synchronous run")};try{r=this.evaluate.call(t,e.actualNode,a,e,n)}catch(t){throw e&&e.actualNode&&(t.errorNode=yo.toSpec(e)),t}return o.result=r,o},rg.prototype.configure=function(e){var t=this;e.evaluate&&!Qh[e.evaluate]||(this._internalCheck=!0),e.hasOwnProperty("enabled")&&(this.enabled=e.enabled),e.hasOwnProperty("options")&&(this._internalCheck?this.options=ng(e.options):this.options=e.options),["evaluate","after"].filter((function(t){return e.hasOwnProperty(t)})).forEach((function(n){return t[n]=tg(e[n])}))},rg.prototype.getOptions=function(e){return this._internalCheck?No(this.options,ng(e||{})):e||this.options};var ag=rg,og=function(e){this.id=e.id,this.result=yr.NA,this.pageLevel=e.pageLevel,this.impact=null,this.nodes=[]};function ug(e,t){this._audit=t,this.id=e.id,this.selector=e.selector||"*",e.impact&&(jr(yr.impact.includes(e.impact),"Impact ".concat(e.impact," is no\
t a valid impact")),this.impact=e.impact),this.excludeHidden="boolean"!=typeof e.excludeHidden||e.excludeHidden,this.enabled="boolean"!=typeof e.enabled||e.enabled,this.pageLevel="boolean"==typeof e.pageLevel&&e.pageLevel,this.reviewOnFail="boolean"==typeof e.reviewOnFail&&e.reviewOnFail,this.any=e.any||[],this.all=e.all||[],this.none=e.none||[],this.tags=e.tags||[],this.preload=!!e.preload,this.actIds=e.actIds,e.matches&&(this.matches=tg(e.matches))}function ig(e){var t,n;if(e.length)return t=!1,n={},e.forEach((function(e){var r=e.results.filter((function(e){return e}));(n[e.type]=r).length&&(t=!0)})),t?n:null}ug.prototype.matches=function(){return!0},ug.prototype.gather=function(e){var t=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},n="mark_gather_start_"+this.id,r="mark_gather_end_"+this.id,a="mark_isVisibleToScreenReaders_start_"+this.id,o="mark_isVisibleToScreenReaders_end_"+this.id,u=(t.performanceTimer&&gD.mark(n),ID(this.selector,e));return this.excludeHidden&&(t.pe\
rformanceTimer&&gD.mark(a),u=u.filter(ts),t.performanceTimer)&&(gD.mark(o),gD.measure("rule_"+this.id+"#gather_axe.utils.isVisibleToScreenReaders",a,o)),t.performanceTimer&&(gD.mark(r),gD.measure("rule_"+this.id+"#gather",n,r)),u},ug.prototype.runChecks=function(e,t,n,r,a,o){var u=this,i=Ia();this[e].forEach((function(e){var a=u._audit.checks[e.id||e],o=If(a,u.id,n);i.defer((function(e,n){a.run(t,o,r,e,n)}))})),i.then((function(t){t=t.filter((function(e){return e})),a({type:e,results:t})})).catch(o)},ug.prototype.runChecksSync=function(e,t,n,r){var a=this,o=[];return this[e].forEach((function(e){e=a._audit.checks[e.id||e];var u=If(e,a.id,n);o.push(e.runSync(t,u,r))})),{type:e,results:o=o.filter((function(e){return e}))}},ug.prototype.run=function(e){var t,n=this,r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=2<arguments.length?arguments[2]:void 0,o=3<arguments.length?arguments[3]:void 0,i=(r.performanceTimer&&this._trackPerformance(),Ia()),s=new og(this);try{t=this.gathe\
rAndMatchNodes(e,r)}catch(t){return void o(new u({cause:t,ruleId:this.id}))}r.performanceTimer&&this._logGatherPerformance(t),t.forEach((function(t){i.defer((function(a,o){var u=Ia();["any","all","none"].forEach((function(a){u.defer((function(o,u){n.runChecks(a,t,r,e,o,u)}))})),u.then((function(e){var r=ig(e);r&&(r.node=new ba(t),s.nodes.push(r),n.reviewOnFail)&&(["any","all"].forEach((function(e){r[e].forEach((function(e){!1===e.result&&(e.result=void 0)}))})),r.none.forEach((function(e){!0===e.result&&(e.result=void 0)}))),a()})).catch((function(e){return o(e)}))}))})),i.defer((function(e){return setTimeout(e,0)})),r.performanceTimer&&this._logRulePerformance(),i.then((function(){return a(s)})).catch((function(e){return o(e)}))},ug.prototype.runSync=function(e){var t,n=this,r=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{},a=(r.performanceTimer&&this._trackPerformance(),new og(this));try{t=this.gatherAndMatchNodes(e,r)}catch(t){throw new u({cause:t,ruleId:this.id})}return r\
.performanceTimer&&this._logGatherPerformance(t),t.forEach((function(t){var o=[],u=(["any","all","none"].forEach((function(a){o.push(n.runChecksSync(a,t,r,e))})),ig(o));u&&(u.node=t.actualNode?new ba(t):null,a.nodes.push(u),n.reviewOnFail)&&(["any","all"].forEach((function(e){u[e].forEach((function(e){!1===e.result&&(e.result=void 0)}))})),u.none.forEach((function(e){!0===e.result&&(e.result=void 0)})))})),r.performanceTimer&&this._logRulePerformance(),a},ug.prototype._trackPerformance=function(){this._markStart="mark_rule_start_"+this.id,this._markEnd="mark_rule_end_"+this.id,this._markChecksStart="mark_runchecks_start_"+this.id,this._markChecksEnd="mark_runchecks_end_"+this.id},ug.prototype._logGatherPerformance=function(e){Fr("gather (",e.length,"):",gD.timeElapsed()+"ms"),gD.mark(this._markChecksStart)},ug.prototype._logRulePerformance=function(){gD.mark(this._markChecksEnd),gD.mark(this._markEnd),gD.measure("runchecks_"+this.id,this._markChecksStart,this._markChecksEnd),gD.measure\
("rule_"+this.id,this._markStart,this._markEnd)},ug.prototype.gatherAndMatchNodes=function(e,t){var n=this,r="mark_matches_start_"+this.id,a="mark_matches_end_"+this.id,o=this.gather(e,t);return t.performanceTimer&&gD.mark(r),o=o.filter((function(t){return n.matches(t.actualNode,t,e)})),t.performanceTimer&&(gD.mark(a),gD.measure("rule_"+this.id+"#matches",r,a)),o},ug.prototype.after=function(e,t){var n,r,a,o=this,u=Fo(n=this).map((function(e){return(e=n._audit.checks[e.id||e])&&"function"==typeof e.after?e:null})).filter(Boolean),i=this.id;return u.forEach((function(n){u=e.nodes,r=n.id,a=[],u.forEach((function(e){Fo(e).forEach((function(t){t.id===r&&(t.node=e.node,a.push(t))}))}));var r,a,u=a,s=If(n,i,t),l=n.after(u,s.options);o.reviewOnFail&&l.forEach((function(e){var t=(o.any.includes(e.id)||o.all.includes(e.id))&&!1===e.result,n=o.none.includes(e.id)&&!0===e.result;(t||n)&&(e.result=void 0)})),u.forEach((function(e){delete e.node,-1===l.indexOf(e)&&(e.filtered=!0)}))})),e.nodes=(r=[\
"any","all","none"],a=(u=e).nodes.filter((function(e){var t=0;return r.forEach((function(n){e[n]=e[n].filter((function(e){return!0!==e.filtered})),t+=e[n].length})),0<t})),a=u.pageLevel&&a.length?[a.reduce((function(e,t){if(e)return r.forEach((function(n){e[n].push.apply(e[n],t[n])})),e}))]:a),e},ug.prototype.configure=function(e){e.hasOwnProperty("selector")&&(this.selector=e.selector),e.hasOwnProperty("excludeHidden")&&(this.excludeHidden="boolean"!=typeof e.excludeHidden||e.excludeHidden),e.hasOwnProperty("enabled")&&(this.enabled="boolean"!=typeof e.enabled||e.enabled),e.hasOwnProperty("pageLevel")&&(this.pageLevel="boolean"==typeof e.pageLevel&&e.pageLevel),e.hasOwnProperty("reviewOnFail")&&(this.reviewOnFail="boolean"==typeof e.reviewOnFail&&e.reviewOnFail),e.hasOwnProperty("any")&&(this.any=e.any),e.hasOwnProperty("all")&&(this.all=e.all),e.hasOwnProperty("none")&&(this.none=e.none),e.hasOwnProperty("tags")&&(this.tags=e.tags),e.hasOwnProperty("actIds")&&(this.actIds=e.actIds),e\
.hasOwnProperty("matches")&&(this.matches=tg(e.matches)),e.impact&&(jr(yr.impact.includes(e.impact),"Impact ".concat(e.impact," is not a valid impact")),this.impact=e.impact)};var sg=se(br()),lg=/\\{\\{.+?\\}\\}/g;function cg(e){U(this,cg),this.lang="en",this.defaultConfig=e,this.standards=hi,this._init(),this._defaultLocale=null}G(cg,[{key:"_setDefaultLocale",value:function(){if(!this._defaultLocale){for(var e={checks:{},rules:{},failureSummaries:{},incompleteFallbackMessage:"",lang:this.lang},t=Object.keys(this.data.checks),n=0;n<t.length;n++){var r=t[n],a=(u=this.data.checks[r].messages).pass,o=u.fail,u=u.incomplete;e.checks[r]={pass:a,fail:o,incomplete:u}}for(var i=Object.keys(this.data.rules),s=0;s<i.length;s++){var l=i[s],c=(d=this.data.rules[l]).description,d=d.help;e.rules[l]={description:c,help:d}}for(var p=Object.keys(this.data.failureSummaries),f=0;f<p.length;f++){var D=p[f],m=this.data.failureSummaries[D].failureMessage;e.failureSummaries[D]={failureMessage:m}}e.incompleteFallb\
ackMessage=this.data.incompleteFallbackMessage,this._defaultLocale=e}}},{key:"_resetLocale",value:function(){var e=this._defaultLocale;e&&this.applyLocale(e)}},{key:"_applyCheckLocale",value:function(e){for(var t=Object.keys(e),n=0;n<t.length;n++){var r=t[n];if(!this.data.checks[r])throw new Error('Locale provided for unknown check: "'.concat(r,'"'));this.data.checks[r]=Dg(this.data.checks[r],e[r])}}},{key:"_applyRuleLocale",value:function(e){for(var t=Object.keys(e),n=0;n<t.length;n++){var r=t[n];if(!this.data.rules[r])throw new Error('Locale provided for unknown rule: "'.concat(r,'"'));this.data.rules[r]=mg(this.data.rules[r],e[r])}}},{key:"_applyFailureSummaries",value:function(e){for(var t=Object.keys(e),n=0;n<t.length;n++){var r=t[n];if(!this.data.failureSummaries[r])throw new Error('Locale provided for unknown failureMessage: "'.concat(r,'"'));this.data.failureSummaries[r]=hg(this.data.failureSummaries[r],e[r])}}},{key:"applyLocale",value:function(e){this._setDefaultLocale(),e.ch\
ecks&&this._applyCheckLocale(e.checks),e.rules&&this._applyRuleLocale(e.rules),e.failureSummaries&&this._applyFailureSummaries(e.failureSummaries,"failureSummaries"),e.incompleteFallbackMessage&&(this.data.incompleteFallbackMessage=gg(this.data.incompleteFallbackMessage,e.incompleteFallbackMessage)),e.lang&&(this.lang=e.lang)}},{key:"setAllowedOrigins",value:function(e){var t,n=pg(),r=(this.allowedOrigins=[],K(e));try{for(r.s();!(t=r.n()).done;){var a=t.value;if(a===yr.allOrigins)return void(this.allowedOrigins=["*"]);a!==yr.sameOrigin?this.allowedOrigins.push(a):n&&this.allowedOrigins.push(n)}}catch(e){r.e(e)}finally{r.f()}}},{key:"_init",value:function(){var e=function(e){var t;return e?(t=ya(e)).commons=e.commons:t={},t.reporter=t.reporter||null,t.noHtml=t.noHtml||!1,t.allowedOrigins||(e=pg(),t.allowedOrigins=e?[e]:[]),t.rules=t.rules||[],t.checks=t.checks||[],t.data=z({checks:{},rules:{}},t.data),t}(this.defaultConfig);this.lang=e.lang||"en",this.reporter=e.reporter,this.commands={\
},this.rules=[],this.checks={},this.brand="axe",this.application="axeAPI",this.tagExclude=["experimental"],this.noHtml=e.noHtml,this.allowedOrigins=e.allowedOrigins,fg(e.rules,this,"addRule"),fg(e.checks,this,"addCheck"),this.data={},this.data.checks=e.data&&e.data.checks||{},this.data.rules=e.data&&e.data.rules||{},this.data.failureSummaries=e.data&&e.data.failureSummaries||{},this.data.incompleteFallbackMessage=e.data&&e.data.incompleteFallbackMessage||"",this._constructHelpUrls()}},{key:"registerCommand",value:function(e){this.commands[e.id]=e.callback}},{key:"addRule",value:function(e){e.metadata&&(this.data.rules[e.id]=e.metadata);var t=this.getRule(e.id);t?t.configure(e):this.rules.push(new ug(e,this))}},{key:"addCheck",value:function(e){var t=e.metadata;"object"===a(t)&&(this.data.checks[e.id]=t,"object"===a(t.messages))&&Object.keys(t.messages).filter((function(e){return t.messages.hasOwnProperty(e)&&"string"==typeof t.messages[e]})).forEach((function(e){0===t.messages[e].index\
Of("function")&&(t.messages[e]=new Function("return "+t.messages[e]+";")())})),this.checks[e.id]?this.checks[e.id].configure(e):this.checks[e.id]=new ag(e)}},{key:"run",value:function(e,t,n,r){this.normalizeOptions(t),ba.setRunOptions(t),o._selectCache=[],i=this.rules,a=e,u=t;var a,u,i=i.reduce((function(e,t){return OD(t,a,u)&&(t.preload?e.later:e.now).push(t),e}),{now:[],later:[]}),s=i.now,l=i.later,c=Ia();s.forEach((function(n){c.defer(bg(n,e,t))})),i=Ia();(s=(l.length&&i.defer((function(e){AD(t).then((function(t){return e(t)})).catch((function(t){console.warn("Couldn't load preload assets: ",t),e(void 0)}))})),Ia())).defer(c),s.defer(i),s.then((function(a){var u,i=a.pop(),s=(i&&i.length&&(i=i[0])&&(e=z({},e,i)),a[0]);l.length?(u=Ia(),l.forEach((function(n){n=bg(n,e,t),u.defer(n)})),u.then((function(e){o._selectCache=void 0,n(s.concat(e).filter((function(e){return!!e})))})).catch(r)):(o._selectCache=void 0,n(s.filter((function(e){return!!e}))))})).catch(r)}},{key:"after",value:functi\
on(e,t){var n=this.rules;return e.map((function(e){var r=wo(n,"id",e.id);if(r)return r.after(e,t);throw new Error("Result for unknown rule. You may be running mismatch axe-core versions")}))}},{key:"getRule",value:function(e){return this.rules.find((function(t){return t.id===e}))}},{key:"normalizeOptions",value:function(e){var t=[],n=[];if(this.rules.forEach((function(e){n.push(e.id),e.tags.forEach((function(e){t.includes(e)||t.push(e)}))})),["object","string"].includes(a(e.runOnly))){if("string"==typeof e.runOnly&&(e.runOnly=[e.runOnly]),Array.isArray(e.runOnly)){var r=e.runOnly.find((function(e){return t.includes(e)})),u=e.runOnly.find((function(e){return n.includes(e)}));if(r&&u)throw new Error("runOnly cannot be both rules and tags");e.runOnly=u?{type:"rule",values:e.runOnly}:{type:"tag",values:e.runOnly}}if((r=e.runOnly).value&&!r.values&&(r.values=r.value,delete r.value),!Array.isArray(r.values)||0===r.values.length)throw new Error("runOnly.values must be a non-empty array");if([\
"rule","rules"].includes(r.type))r.type="rule",r.values.forEach((function(e){if(!n.includes(e))throw new Error("unknown rule \`"+e+"\` in options.runOnly")}));else{if(!["tag","tags",void 0].includes(r.type))throw new Error("Unknown runOnly type '".concat(r.type,"'"));r.type="tag",u=r.values.filter((function(e){return!t.includes(e)&&!/wcag2[1-3]a{1,3}/.test(e)})),0!==u.length&&o.log("Could not find tags \`"+u.join("\`, \`")+"\`")}}return"object"===a(e.rules)&&Object.keys(e.rules).forEach((function(e){if(!n.includes(e))throw new Error("unknown rule \`"+e+"\` in options.rules")})),e}},{key:"setBranding",value:function(e){var t={brand:this.brand,application:this.application};"string"==typeof e&&(this.application=e),e&&e.hasOwnProperty("brand")&&e.brand&&"string"==typeof e.brand&&(this.brand=e.brand),e&&e.hasOwnProperty("application")&&e.application&&"string"==typeof e.application&&(this.application=e.application),this._constructHelpUrls(t)}},{key:"_constructHelpUrls",value:function(){var e=this,t=\
0<arguments.length&&void 0!==arguments[0]?arguments[0]:null,n=(o.version.match(/^[1-9][0-9]*\\.[0-9]+/)||["x.y"])[0];this.rules.forEach((function(r){e.data.rules[r.id]||(e.data.rules[r.id]={});var a=e.data.rules[r.id];("string"!=typeof a.helpUrl||t&&a.helpUrl===vg(t,r.id,n))&&(a.helpUrl=vg(e,r.id,n))}))}},{key:"resetRulesAndChecks",value:function(){this._init(),this._resetLocale()}}]);var dg=cg;function pg(){return t.origin&&"null"!==t.origin?t.origin:t.location&&t.location.origin&&"null"!==t.location.origin?t.location.origin:void 0}function fg(e,t,n){for(var r=0,a=e.length;r<a;r++)t[n](e[r])}var Dg=function(e,t){var n=t.pass,r=t.fail;return"string"==typeof n&&lg.test(n)&&(n=sg.default.compile(n)),"string"==typeof r&&lg.test(r)&&(r=sg.default.compile(r)),z({},e,{messages:{pass:n||e.messages.pass,fail:r||e.messages.fail,incomplete:"object"===a(e.messages.incomplete)?z({},e.messages.incomplete,t.incomplete):t.incomplete}})},mg=function(e,t){var n=t.help;t=t.description;return"string"==typ\
eof n&&lg.test(n)&&(n=sg.default.compile(n)),"string"==typeof t&&lg.test(t)&&(t=sg.default.compile(t)),z({},e,{help:n||e.help,description:t||e.description})},hg=function(e,t){return z({},e,{failureMessage:(t="string"==typeof(t=t.failureMessage)&&lg.test(t)?sg.default.compile(t):t)||e.failureMessage})},gg=function(e,t){return(t="string"==typeof t&&lg.test(t)?sg.default.compile(t):t)||e};function bg(e,t,n){return n.performanceTimer&&gD.mark("mark_rule_start_"+e.id),function(r,a){e.run(t,n,(function(e){r(e)}),(function(t){n.debug?a(t):(t=Object.assign(new og(e),{result:yr.CANTTELL,description:"An error occured while running this rule",message:t.message,stack:t.stack,error:t,errorNode:t.errorNode}),r(t))}))}}function vg(e,t,n){var r=e.brand,a=e.application;e=e.lang;return yr.helpUrlBase+r+"/"+(n||o.version.substring(0,o.version.lastIndexOf(".")))+"/"+t+"?application="+encodeURIComponent(a)+(e&&"en"!==e?"&lang="+encodeURIComponent(e):"")}function yg(e){var n=t&&"Node"in t&&"NodeList"in t,a=\
!!r;if(!n||!a){if(!e||!e.ownerDocument)throw new Error('Required "window" or "document" globals not defined and cannot be deduced from the context. Either set the globals before running or pass in a valid Element.');a||(Da.set("globalDocumentSet",!0),r=e.ownerDocument),n||(Da.set("globalWindowSet",!0),t=r.defaultView)}}var Fg=function(){Da.get("globalDocumentSet")&&(Da.set("globalDocumentSet",!1),r=null),Da.get("globalWindowSet")&&(Da.set("globalWindowSet",!1),t=null),o._memoizedFns.forEach((function(e){return e.clear()})),Da.clear(),o._tree=void 0,o._selectorData=void 0,o._selectCache=void 0};function wg(e,t,n,r){try{e=new Yf(e),o._tree=e.flatTree,o._selectorData=oa(e.flatTree)}catch(a){return Fg(),r(a)}var a=Ia(),u=o._audit;t.performanceTimer&&gD.auditStart(),e.frames.length&&!1!==t.iframes&&a.defer((function(n,r){xo(e,t,"rules",null,n,r)})),a.defer((function(n,r){u.run(e,t,n,r)})),a.then((function(a){try{t.performanceTimer&&gD.auditEnd();var o=Co(a.map((function(e){return{results:e}\
})));e.initiator&&((o=u.after(o,t)).forEach(BD),o=o.map(Or));try{n(o,Fg)}catch(a){Fg(),Fr(a)}}catch(a){Fg(),r(a)}})).catch((function(e){Fg(),r(e)}))}function Eg(e){this._run=e.run,this._collect=e.collect,this._registry={},e.commands.forEach((function(e){o._audit.registerCommand(e)}))}function Cg(e){var t,n=(e=V(e,3))[0],u=e[1],i=(e=e[2],new TypeError("axe.run arguments are invalid"));if(!qf(t=n)&&!zf(t)){if(void 0!==e)throw i;e=u,u=n,n=r}if("object"!==a(u)){if(void 0!==e)throw i;e=u,u={}}if("function"!=typeof e&&void 0!==e)throw i;return(u=ya(u)).reporter=null!=(t=null!=(t=u.reporter)?t:null==(i=o._audit)?void 0:i.reporter)?t:"v1",{context:n,options:u,callback:e}}t.top!==t&&(fo.subscribe("axe.start",(function(e,t,n){function a(e){e instanceof Error==0&&(e=new Error(e)),n(e)}var u=n,i=e&&e.context||{},s=(i.hasOwnProperty("include")&&!i.include.length&&(i.include=[r]),e&&e.options||{});switch(e.command){case"rules":return wg(i,s,(function(e,t){e=yo.mapRawResults(e),u(e),t()}),a);case"cle\
anup-plugin":return KD(u,a);default:if(o._audit&&o._audit.commands&&o._audit.commands[e.command])return o._audit.commands[e.command](e,n)}})),fo.subscribe("axe.ping",(function(e,t,n){n({axe:!0})}))),Eg.prototype.run=function(){return this._run.apply(this,arguments)},Eg.prototype.collect=function(){return this._collect.apply(this,arguments)},Eg.prototype.cleanup=function(e){var t=o.utils.queue(),n=this;Object.keys(this._registry).forEach((function(e){t.defer((function(t){n._registry[e].cleanup(t)}))})),t.then(e)},Eg.prototype.add=function(e){this._registry[e.id]=e};var xg=function(){};var Ag=function(e,t,n){if("function"==typeof t&&(n=t,t={}),!e||!Array.isArray(e))return n(e);n(e.map((function(e){for(var t=z({},e),n=0,r=["passes","violations","incomplete","inapplicable"];n<r.length;n++){var a=r[n];t[a]=yo.mapRawNodeResults(t[a])}return t})))};Mp={base:{Audit:dg,CheckResult:eg,Check:ag,Context:Yf,RuleResult:og,Rule:ug,metadataFunctionMap:Qh},public:{reporters:XD},helpers:{failureSummary:\
Nf,incompleteFallbackMessage:kf,processAggregate:Tf},utils:{setDefaultFrameMessenger:co,cacheNodeSelectors:Ef,getNodesMatchingExpression:vf,convertSelector:ka},commons:{dom:{nativelyHidden:Vo,displayHidden:Ho,visibilityHidden:$o,contentVisibiltyHidden:Uo,ariaHidden:Wo,opacityHidden:Go,scrollHidden:Yo,overflowHidden:Ko,clipHidden:Xo,areaHidden:Zo,detailsHidden:Jo}}};o._thisWillBeDeletedDoNotUse=Mp,o.constants=yr,o.log=Fr,o.AbstractVirtualNode=Cr,o.SerialVirtualNode=YD,o.VirtualNode=hf,o._cache=Da,o.imports=pi,o.cleanup=KD,o.configure=function(e){var t=o._audit;if(!t)throw new Error("No audit configured");if(e.axeVersion||e.ver){var n=e.axeVersion||e.ver;if(!/^\\d+\\.\\d+\\.\\d+(-canary)?/.test(n))throw new Error("Invalid configured version ".concat(n));var r=(a=V(n.split("-"),2))[0],a=a[1],u=(r=V(r.split(".").map(Number),3))[0],i=r[1],s=(r=r[2],(l=V(o.version.split("-"),2))[0]),l=l[1],c=(s=V(s.split(".").map(Number),3))[0],d=s[1];s=s[2];if(u!==c||d<i||d===i&&s<r||u===c&&i===d&&r===s&&a&&a!==\
l)throw new Error("Configured version ".concat(n," is not compatible with current axe version ").concat(o.version))}if(e.reporter&&("function"==typeof e.reporter||ZD(e.reporter))&&(t.reporter=e.reporter),e.checks){if(!Array.isArray(e.checks))throw new TypeError("Checks property must be an array");e.checks.forEach((function(e){if(!e.id)throw new TypeError("Configured check ".concat(JSON.stringify(e)," is invalid. Checks must be an object with at least an id property"));t.addCheck(e)}))}var p,f=[];if(e.rules){if(!Array.isArray(e.rules))throw new TypeError("Rules property must be an array");e.rules.forEach((function(e){if(!e.id)throw new TypeError("Configured rule ".concat(JSON.stringify(e)," is invalid. Rules must be an object with at least an id property"));f.push(e.id),t.addRule(e)}))}if(e.disableOtherRules&&t.rules.forEach((function(e){!1===f.includes(e.id)&&(e.enabled=!1)})),void 0!==e.branding?t.setBranding(e.branding):t._constructHelpUrls(),e.tagExclude&&(t.tagExclude=e.tagExclude)\
,e.locale&&t.applyLocale(e.locale),e.standards&&(p=e.standards,Object.keys(mi).forEach((function(e){p[e]&&(mi[e]=No(mi[e],p[e]))}))),e.noHtml&&(t.noHtml=!0),e.allowedOrigins){if(!Array.isArray(e.allowedOrigins))throw new TypeError("Allowed origins property must be an array");if(e.allowedOrigins.includes("*"))throw new Error('"*" is not allowed. Use "'.concat(yr.allOrigins,'" instead'));t.setAllowedOrigins(e.allowedOrigins)}},o.frameMessenger=function(e){fo.updateMessenger(e)},o.getRules=function(e){var t=(e=e||[]).length?o._audit.rules.filter((function(t){return!!e.filter((function(e){return-1!==t.tags.indexOf(e)})).length})):o._audit.rules,n=o._audit.data.rules||{};return t.map((function(e){var t=n[e.id]||{};return{ruleId:e.id,description:t.description,help:t.help,helpUrl:t.helpUrl,tags:e.tags,actIds:e.actIds}}))},o._load=function(e){o._audit=new dg(e)},o.plugins={},o.registerPlugin=function(e){o.plugins[e.id]=new Eg(e)},o.hasReporter=ZD,o.getReporter=JD,o.addReporter=function(e,t,n){\
XD[e]=t,n&&(UD=t)},o.reset=function(){var e=o._audit;if(!e)throw new Error("No audit configured");e.resetRulesAndChecks(),Object.keys(mi).forEach((function(e){mi[e]=Di[e]}))},o._runRules=wg,o.runVirtualRule=function(e,t){var n=2<arguments.length&&void 0!==arguments[2]?arguments[2]:{},r=(n.reporter=n.reporter||o._audit.reporter||"v1",o._selectorData={},t instanceof Cr||(t=new YD(t)),Xf(e));if(r)return BD(r=(r=Object.create(r,{excludeHidden:{value:!1}})).runSync({initiator:!0,include:[t],exclude:[],frames:[],page:!1,focusable:!0,size:{},flatTree:[]},n)),Or(r),(r=Ir([r])).violations.forEach((function(e){return e.nodes.forEach((function(e){e.failureSummary=Nf(e)}))})),z({},Pf(),r,{toolOptions:n});throw new Error("unknown rule \`"+e+"\`")},o.run=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];yg(t[0]);var r=(c=Cg(t)).context,a=c.options,u=void 0===(c=c.callback)?xg:c,i=(c=function(e){var t,n,r;return"function"==typeof Promise&&e===xg?t=new Promise((function(\
e,t){n=t,r=e})):(r=function(t){return e(null,t)},n=function(t){return e(t)}),{thenable:t,reject:n,resolve:r}}(u)).thenable,s=c.resolve,l=c.reject;try{jr(o._audit,"No audit configured"),jr(!o._running,"Axe is already running. Use \`await axe.run()\` to wait for the previous run to finish before starting a new run.")}catch(e){var c=e;if("function"!=typeof u||u===xg)throw c;return void u(c.message)}return o._running=!0,a.performanceTimer&&o.utils.performanceTimer.start(),o._runRules(r,a,(function(e,t){function n(e){o._running=!1,t();try{l(e)}catch(e){o.log(e)}}a.performanceTimer&&o.utils.performanceTimer.end();try{var r=e,u=a,i=function(e){o._running=!1,t();try{s(e)}catch(e){o.log(e)}},c=n;void 0!==(r=JD(u.reporter)(r,u,i,c))&&i(r)}catch(e){n(e)}}),(function(e){a.performanceTimer&&o.utils.performanceTimer.end(),o._running=!1,u(e),l(e)})),i},o.setup=function(e){if(o._tree)throw new Error("Axe is already setup. Call \`axe.teardown()\` before calling \`axe.setup\` again.");return yg(e=e&&"object"=\
==a(e.documentElement)&&"object"===a(e.defaultView)?e.documentElement:e),o._tree=Cf(e),o._selectorData=oa(o._tree),o._tree[0]},o.teardown=Fg,o.runPartial=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];var r=(a=Cg(t)).options,a=a.context,u=(jr(o._audit,"Axe is not configured. Audit is missing."),jr(!o._running,"Axe is already running. Use \`await axe.run()\` to wait for the previous run to finish before starting a new run."),new Yf(a,o._tree));return o._tree=u.flatTree,o._selectorData=oa(u.flatTree),o._running=!0,r.elementRef=!1,new Promise((function(e,t){o._audit.run(u,r,e,t)})).then((function(e){e=yo.mapRawResults(e);var t,n=u.frames.map((function(e){return e=e.node,yo.toSpec(e)}));return u.initiator&&(t=Pf()),o._running=!1,Fg(),{results:e,frames:n,environmentData:t}})).catch((function(e){return o._running=!1,Fg(),Promise.reject(e)}))},o.finishRun=function(e){var t,n=ya(n=1<arguments.length&&void 0!==arguments[1]?arguments[1]:{}),r=(e.find((function(e\
){return e.environmentData}))||{}).environmentData;o._audit.normalizeOptions(n),n.reporter=null!=(p=null!=(p=n.reporter)?p:null==(p=o._audit)?void 0:p.reporter)?p:"v1";var a=[],u=K(p=e);try{for(u.s();!(t=u.n()).done;){var i,s=t.value,l=a.shift();s&&(s.frameSpec=null!=l?l:null,i=function(e){var t=e.frames,n=e.frameSpec;return n?t.map((function(e){return yo.mergeSpecs(e,n)})):t}(s),a.unshift.apply(a,L(i)))}}catch(e){u.e(e)}finally{u.f()}var c,d,p=Co(e);return(p=o._audit.after(p,n)).forEach(BD),p=p.map(Or),c=p,d=z({environmentData:r},n),new Promise((function(e,t){JD(d.reporter)(c,d,e,t)}))},o.commons=gr,o.utils=xr,o.addReporter("na",(function(e,t,n){console.warn('"na" reporter will be deprecated in axe v4.0. Use the "v2" reporter instead.'),"function"==typeof t&&(n=t,t={});var r=t.environmentData,a=j(a=t,F);n(z({},Pf(r),{toolOptions:a},Tf(e,t)))})),o.addReporter("no-passes",(function(e,t,n){"function"==typeof t&&(n=t,t={});var r=t.environmentData,a=j(a=t,w);t.resultTypes=["violations"],e=\
Tf(e,t).violations,n(z({},Pf(r),{toolOptions:a,violations:e}))})),o.addReporter("rawEnv",(function(e,t,n){"function"==typeof t&&(n=t,t={});var r=t.environmentData;t=j(t,E),Ag(e,t,(function(e){var t=Pf(r);n({raw:e,env:t})}))})),o.addReporter("raw",Ag),o.addReporter("v1",(function(e,t,n){function r(e){e.nodes.forEach((function(e){e.failureSummary=Nf(e)}))}"function"==typeof t&&(n=t,t={});var a=t.environmentData,o=j(o=t,C);(e=Tf(e,t)).incomplete.forEach(r),e.violations.forEach(r),n(z({},Pf(a),{toolOptions:o},e))})),o.addReporter("v2",(function(e,t,n){"function"==typeof t&&(n=t,t={});var r=t.environmentData,a=j(a=t,x);e=Tf(e,t),n(z({},Pf(r),{toolOptions:a},e))}),!0),o._load({lang:"en",data:{rules:{accesskeys:{description:"Ensures every accesskey attribute value is unique",help:"accesskey attribute value should be unique"},"area-alt":{description:"Ensures <area> elements of image maps have alternate text",help:"Active <area> elements must have alternate text"},"aria-allowed-attr":{descripti\
on:"Ensures an element's role supports its ARIA attributes",help:"Elements must only use supported ARIA attributes"},"aria-allowed-role":{description:"Ensures role attribute has an appropriate value for the element",help:"ARIA role should be appropriate for the element"},"aria-braille-equivalent":{description:"Ensure aria-braillelabel and aria-brailleroledescription have a non-braille equivalent",help:"aria-braille attributes must have a non-braille equivalent"},"aria-command-name":{description:"Ensures every ARIA button, link and menuitem has an accessible name",help:"ARIA commands must have an accessible name"},"aria-conditional-attr":{description:"Ensures ARIA attributes are used as described in the specification of the element's role",help:"ARIA attributes must be used as specified for the element's role"},"aria-deprecated-role":{description:"Ensures elements do not use deprecated roles",help:"Deprecated ARIA roles must not be used"},"aria-dialog-name":{description:"Ensures every A\
RIA dialog and alertdialog node has an accessible name",help:"ARIA dialog and alertdialog nodes should have an accessible name"},"aria-hidden-body":{description:'Ensures aria-hidden="true" is not present on the document body.',help:'aria-hidden="true" must not be present on the document body'},"aria-hidden-focus":{description:"Ensures aria-hidden elements are not focusable nor contain focusable elements",help:"ARIA hidden element must not be focusable or contain focusable elements"},"aria-input-field-name":{description:"Ensures every ARIA input field has an accessible name",help:"ARIA input fields must have an accessible name"},"aria-meter-name":{description:"Ensures every ARIA meter node has an accessible name",help:"ARIA meter nodes must have an accessible name"},"aria-progressbar-name":{description:"Ensures every ARIA progressbar node has an accessible name",help:"ARIA progressbar nodes must have an accessible name"},"aria-prohibited-attr":{description:"Ensures ARIA attributes are n\
ot prohibited for an element's role",help:"Elements must only use permitted ARIA attributes"},"aria-required-attr":{description:"Ensures elements with ARIA roles have all required ARIA attributes",help:"Required ARIA attributes must be provided"},"aria-required-children":{description:"Ensures elements with an ARIA role that require child roles contain them",help:"Certain ARIA roles must contain particular children"},"aria-required-parent":{description:"Ensures elements with an ARIA role that require parent roles are contained by them",help:"Certain ARIA roles must be contained by particular parents"},"aria-roledescription":{description:"Ensure aria-roledescription is only used on elements with an implicit or explicit role",help:"aria-roledescription must be on elements with a semantic role"},"aria-roles":{description:"Ensures all elements with a role attribute use a valid value",help:"ARIA roles used must conform to valid values"},"aria-text":{description:'Ensures role="text" is used o\
n elements with no focusable descendants',help:'"role=text" should have no focusable descendants'},"aria-toggle-field-name":{description:"Ensures every ARIA toggle field has an accessible name",help:"ARIA toggle fields must have an accessible name"},"aria-tooltip-name":{description:"Ensures every ARIA tooltip node has an accessible name",help:"ARIA tooltip nodes must have an accessible name"},"aria-treeitem-name":{description:"Ensures every ARIA treeitem node has an accessible name",help:"ARIA treeitem nodes should have an accessible name"},"aria-valid-attr-value":{description:"Ensures all ARIA attributes have valid values",help:"ARIA attributes must conform to valid values"},"aria-valid-attr":{description:"Ensures attributes that begin with aria- are valid ARIA attributes",help:"ARIA attributes must conform to valid names"},"audio-caption":{description:"Ensures <audio> elements have captions",help:"<audio> elements must have a captions track"},"autocomplete-valid":{description:"Ensure\
 the autocomplete attribute is correct and suitable for the form field",help:"autocomplete attribute must be used correctly"},"avoid-inline-spacing":{description:"Ensure that text spacing set through style attributes can be adjusted with custom stylesheets",help:"Inline text spacing must be adjustable with custom stylesheets"},blink:{description:"Ensures <blink> elements are not used",help:"<blink> elements are deprecated and must not be used"},"button-name":{description:"Ensures buttons have discernible text",help:"Buttons must have discernible text"},bypass:{description:"Ensures each page has at least one mechanism for a user to bypass navigation and jump straight to the content",help:"Page must have means to bypass repeated blocks"},"color-contrast-enhanced":{description:"Ensures the contrast between foreground and background colors meets WCAG 2 AAA enhanced contrast ratio thresholds",help:"Elements must meet enhanced color contrast ratio thresholds"},"color-contrast":{description:"\
Ensures the contrast between foreground and background colors meets WCAG 2 AA minimum contrast ratio thresholds",help:"Elements must meet minimum color contrast ratio thresholds"},"css-orientation-lock":{description:"Ensures content is not locked to any specific display orientation, and the content is operable in all display orientations",help:"CSS Media queries must not lock display orientation"},"definition-list":{description:"Ensures <dl> elements are structured correctly",help:"<dl> elements must only directly contain properly-ordered <dt> and <dd> groups, <script>, <template> or <div> elements"},dlitem:{description:"Ensures <dt> and <dd> elements are contained by a <dl>",help:"<dt> and <dd> elements must be contained by a <dl>"},"document-title":{description:"Ensures each HTML document contains a non-empty <title> element",help:"Documents must have <title> element to aid in navigation"},"duplicate-id-active":{description:"Ensures every id attribute value of active elements is uniq\
ue",help:"IDs of active elements must be unique"},"duplicate-id-aria":{description:"Ensures every id attribute value used in ARIA and in labels is unique",help:"IDs used in ARIA and labels must be unique"},"duplicate-id":{description:"Ensures every id attribute value is unique",help:"id attribute value must be unique"},"empty-heading":{description:"Ensures headings have discernible text",help:"Headings should not be empty"},"empty-table-header":{description:"Ensures table headers have discernible text",help:"Table header text should not be empty"},"focus-order-semantics":{description:"Ensures elements in the focus order have a role appropriate for interactive content",help:"Elements in the focus order should have an appropriate role"},"form-field-multiple-labels":{description:"Ensures form field does not have multiple label elements",help:"Form field must not have multiple label elements"},"frame-focusable-content":{description:"Ensures <frame> and <iframe> elements with focusable cont\
ent do not have tabindex=-1",help:"Frames with focusable content must not have tabindex=-1"},"frame-tested":{description:"Ensures <iframe> and <frame> elements contain the axe-core script",help:"Frames should be tested with axe-core"},"frame-title-unique":{description:"Ensures <iframe> and <frame> elements contain a unique title attribute",help:"Frames must have a unique title attribute"},"frame-title":{description:"Ensures <iframe> and <frame> elements have an accessible name",help:"Frames must have an accessible name"},"heading-order":{description:"Ensures the order of headings is semantically correct",help:"Heading levels should only increase by one"},"hidden-content":{description:"Informs users about hidden content.",help:"Hidden content on the page should be analyzed"},"html-has-lang":{description:"Ensures every HTML document has a lang attribute",help:"<html> element must have a lang attribute"},"html-lang-valid":{description:"Ensures the lang attribute of the <html> element has \
a valid value",help:"<html> element must have a valid value for the lang attribute"},"html-xml-lang-mismatch":{description:"Ensure that HTML elements with both valid lang and xml:lang attributes agree on the base language of the page",help:"HTML elements with lang and xml:lang must have the same base language"},"identical-links-same-purpose":{description:"Ensure that links with the same accessible name serve a similar purpose",help:"Links with the same name must have a similar purpose"},"image-alt":{description:"Ensures <img> elements have alternate text or a role of none or presentation",help:"Images must have alternate text"},"image-redundant-alt":{description:"Ensure image alternative is not repeated as text",help:"Alternative text of images should not be repeated as text"},"input-button-name":{description:"Ensures input buttons have discernible text",help:"Input buttons must have discernible text"},"input-image-alt":{description:'Ensures <input type="image"> elements have alternate\
 text',help:"Image buttons must have alternate text"},"label-content-name-mismatch":{description:"Ensures that elements labelled through their content must have their visible text as part of their accessible name",help:"Elements must have their visible text as part of their accessible name"},"label-title-only":{description:"Ensures that every form element has a visible label and is not solely labeled using hidden labels, or the title or aria-describedby attributes",help:"Form elements should have a visible label"},label:{description:"Ensures every form element has a label",help:"Form elements must have labels"},"landmark-banner-is-top-level":{description:"Ensures the banner landmark is at top level",help:"Banner landmark should not be contained in another landmark"},"landmark-complementary-is-top-level":{description:"Ensures the complementary landmark or aside is at top level",help:"Aside should not be contained in another landmark"},"landmark-contentinfo-is-top-level":{description:"En\
sures the contentinfo landmark is at top level",help:"Contentinfo landmark should not be contained in another landmark"},"landmark-main-is-top-level":{description:"Ensures the main landmark is at top level",help:"Main landmark should not be contained in another landmark"},"landmark-no-duplicate-banner":{description:"Ensures the document has at most one banner landmark",help:"Document should not have more than one banner landmark"},"landmark-no-duplicate-contentinfo":{description:"Ensures the document has at most one contentinfo landmark",help:"Document should not have more than one contentinfo landmark"},"landmark-no-duplicate-main":{description:"Ensures the document has at most one main landmark",help:"Document should not have more than one main landmark"},"landmark-one-main":{description:"Ensures the document has a main landmark",help:"Document should have one main landmark"},"landmark-unique":{help:"Ensures landmarks are unique",description:"Landmarks should have a unique role or ro\
le/label/title (i.e. accessible name) combination"},"link-in-text-block":{description:"Ensure links are distinguished from surrounding text in a way that does not rely on color",help:"Links must be distinguishable without relying on color"},"link-name":{description:"Ensures links have discernible text",help:"Links must have discernible text"},list:{description:"Ensures that lists are structured correctly",help:"<ul> and <ol> must only directly contain <li>, <script> or <template> elements"},listitem:{description:"Ensures <li> elements are used semantically",help:"<li> elements must be contained in a <ul> or <ol>"},marquee:{description:"Ensures <marquee> elements are not used",help:"<marquee> elements are deprecated and must not be used"},"meta-refresh-no-exceptions":{description:'Ensures <meta http-equiv="refresh"> is not used for delayed refresh',help:"Delayed refresh must not be used"},"meta-refresh":{description:'Ensures <meta http-equiv="refresh"> is not used for delayed refresh',h\
elp:"Delayed refresh under 20 hours must not be used"},"meta-viewport-large":{description:'Ensures <meta name="viewport"> can scale a significant amount',help:"Users should be able to zoom and scale the text up to 500%"},"meta-viewport":{description:'Ensures <meta name="viewport"> does not disable text scaling and zooming',help:"Zooming and scaling must not be disabled"},"nested-interactive":{description:"Ensures interactive controls are not nested as they are not always announced by screen readers or can cause focus problems for assistive technologies",help:"Interactive controls must not be nested"},"no-autoplay-audio":{description:"Ensures <video> or <audio> elements do not autoplay audio for more than 3 seconds without a control mechanism to stop or mute the audio",help:"<video> or <audio> elements must not play automatically"},"object-alt":{description:"Ensures <object> elements have alternate text",help:"<object> elements must have alternate text"},"p-as-heading":{description:"Ens\
ure bold, italic text and font-size is not used to style <p> elements as a heading",help:"Styled <p> elements must not be used as headings"},"page-has-heading-one":{description:"Ensure that the page, or at least one of its frames contains a level-one heading",help:"Page should contain a level-one heading"},"presentation-role-conflict":{description:"Elements marked as presentational should not have global ARIA or tabindex to ensure all screen readers ignore them",help:"Ensure elements marked as presentational are consistently ignored"},region:{description:"Ensures all page content is contained by landmarks",help:"All page content should be contained by landmarks"},"role-img-alt":{description:'Ensures [role="img"] elements have alternate text',help:'[role="img"] elements must have an alternative text'},"scope-attr-valid":{description:"Ensures the scope attribute is used correctly on tables",help:"scope attribute should be used correctly"},"scrollable-region-focusable":{description:"Ensur\
e elements that have scrollable content are accessible by keyboard",help:"Scrollable region must have keyboard access"},"select-name":{description:"Ensures select element has an accessible name",help:"Select element must have an accessible name"},"server-side-image-map":{description:"Ensures that server-side image maps are not used",help:"Server-side image maps must not be used"},"skip-link":{description:"Ensure all skip links have a focusable target",help:"The skip-link target should exist and be focusable"},"svg-img-alt":{description:"Ensures <svg> elements with an img, graphics-document or graphics-symbol role have an accessible text",help:"<svg> elements with an img role must have an alternative text"},tabindex:{description:"Ensures tabindex attribute values are not greater than 0",help:"Elements should not have tabindex greater than zero"},"table-duplicate-name":{description:"Ensure the <caption> element does not contain the same text as the summary attribute",help:"tables should \
not have the same summary and caption"},"table-fake-caption":{description:"Ensure that tables with a caption use the <caption> element.",help:"Data or header cells must not be used to give caption to a data table."},"target-size":{description:"Ensure touch target have sufficient size and space",help:"All touch targets must be 24px large, or leave sufficient space"},"td-has-header":{description:"Ensure that each non-empty data cell in a <table> larger than 3 by 3  has one or more table headers",help:"Non-empty <td> elements in larger <table> must have an associated table header"},"td-headers-attr":{description:"Ensure that each cell in a table that uses the headers attribute refers only to other cells in that table",help:"Table cells that use the headers attribute must only refer to cells in the same table"},"th-has-data-cells":{description:"Ensure that <th> elements and elements with role=columnheader/rowheader have data cells they describe",help:"Table headers in a data table must ref\
er to data cells"},"valid-lang":{description:"Ensures lang attributes have valid values",help:"lang attribute must have a valid value"},"video-caption":{description:"Ensures <video> elements have captions",help:"<video> elements must have captions"}},checks:{abstractrole:{impact:"serious",messages:{pass:"Abstract roles are not used",fail:{singular:"Abstract role cannot be directly used: \${data.values}",plural:"Abstract roles cannot be directly used: \${data.values}"}}},"aria-allowed-attr":{impact:"critical",messages:{pass:"ARIA attributes are used correctly for the defined role",fail:{singular:"ARIA attribute is not allowed: \${data.values}",plural:"ARIA attributes are not allowed: \${data.values}"},incomplete:"Check that there is no problem if the ARIA attribute is ignored on this element: \${data.values}"}},"aria-allowed-role":{impact:"minor",messages:{pass:"ARIA role is allowed for given element",fail:{singular:"ARIA role \${data.values} is not allowed for given element",plural:"ARIA rol\
es \${data.values} are not allowed for given element"},incomplete:{singular:"ARIA role \${data.values} must be removed when the element is made visible, as it is not allowed for the element",plural:"ARIA roles \${data.values} must be removed when the element is made visible, as they are not allowed for the element"}}},"aria-busy":{impact:"serious",messages:{pass:"Element has an aria-busy attribute",fail:'Element uses aria-busy="true" while showing a loader'}},"aria-conditional-attr":{impact:"serious",messages:{pass:"ARIA attribute is allowed",fail:{checkbox:'Remove aria-checked, or set it to "\${data.checkState}" to match the real checkbox state',rowSingular:"This attribute is supported with treegrid rows, but not \${data.ownerRole}: \${data.invalidAttrs}",rowPlural:"These attributes are supported with treegrid rows, but not \${data.ownerRole}: \${data.invalidAttrs}"}}},"aria-errormessage":{impact:"critical",messages:{pass:"aria-errormessage exists and references elements visible to screen rea\
ders that use a supported aria-errormessage technique",fail:{singular:"aria-errormessage value \`\${data.values}\` must use a technique to announce the message (e.g., aria-live, aria-describedby, role=alert, etc.)",plural:"aria-errormessage values \`\${data.values}\` must use a technique to announce the message (e.g., aria-live, aria-describedby, role=alert, etc.)",hidden:"aria-errormessage value \`\${data.values}\` cannot reference a hidden element"},incomplete:{singular:"ensure aria-errormessage value \`\${data.values}\` references an existing element",plural:"ensure aria-errormessage values \`\${data.values}\` reference existing elements",idrefs:"unable to determine if aria-errormessage element exists on the page: \${data.values}"}}},"aria-hidden-body":{impact:"critical",messages:{pass:"No aria-hidden attribute is present on document body",fail:"aria-hidden=true should not be present on the document body"}},"aria-level":{impact:"serious",messages:{pass:"aria-level values are valid",incomplete:"aria\
-level values greater than 6 are not supported in all screenreader and browser combinations"}},"aria-prohibited-attr":{impact:"serious",messages:{pass:"ARIA attribute is allowed",fail:{hasRolePlural:'\${data.prohibited} attributes cannot be used with role "\${data.role}".',hasRoleSingular:'\${data.prohibited} attribute cannot be used with role "\${data.role}".',noRolePlural:"\${data.prohibited} attributes cannot be used on a \${data.nodeName} with no valid role attribute.",noRoleSingular:"\${data.prohibited} attribute cannot be used on a \${data.nodeName} with no valid role attribute."},incomplete:{hasRoleSingular:'\${data.prohibited} attribute is not well supported with role "\${data.role}".',hasRolePlural:'\${data.prohibited} attributes are not well supported with role "\${data.role}".',noRoleSingular:"\${data.prohibited} attribute is not well supported on a \${data.nodeName} with no valid role attribute.",noRolePlural:"\${data.prohibited} attributes are not well supported on a \${data.nodeName} wit\
h no valid role attribute."}}},"aria-required-attr":{impact:"critical",messages:{pass:"All required ARIA attributes are present",fail:{singular:"Required ARIA attribute not present: \${data.values}",plural:"Required ARIA attributes not present: \${data.values}"}}},"aria-required-children":{impact:"critical",messages:{pass:{default:"Required ARIA children are present","aria-busy":"Element has an aria-busy attribute, so it is allowed to omit required children"},fail:{singular:"Required ARIA child role not present: \${data.values}",plural:"Required ARIA children role not present: \${data.values}",unallowed:"Element has children which are not allowed: \${data.values}"},incomplete:{singular:"Expecting ARIA child role to be added: \${data.values}",plural:"Expecting ARIA children role to be added: \${data.values}"}}},"aria-required-parent":{impact:"critical",messages:{pass:"Required ARIA parent role present",fail:{singular:"Required ARIA parent role not present: \${data.values}",plural:"Required ARIA\
 parents role not present: \${data.values}"}}},"aria-roledescription":{impact:"serious",messages:{pass:"aria-roledescription used on a supported semantic role",incomplete:"Check that the aria-roledescription is announced by supported screen readers",fail:"Give the element a role that supports aria-roledescription"}},"aria-unsupported-attr":{impact:"critical",messages:{pass:"ARIA attribute is supported",fail:"ARIA attribute is not widely supported in screen readers and assistive technologies: \${data.values}"}},"aria-valid-attr-value":{impact:"critical",messages:{pass:"ARIA attribute values are valid",fail:{singular:"Invalid ARIA attribute value: \${data.values}",plural:"Invalid ARIA attribute values: \${data.values}"},incomplete:{noId:"ARIA attribute element ID does not exist on the page: \${data.needsReview}",noIdShadow:"ARIA attribute element ID does not exist on the page or is a descendant of a different shadow DOM tree: \${data.needsReview}",ariaCurrent:'ARIA attribute value is invalid a\
nd will be treated as "aria-current=true": \${data.needsReview}',idrefs:"Unable to determine if ARIA attribute element ID exists on the page: \${data.needsReview}",empty:"ARIA attribute value is ignored while empty: \${data.needsReview}"}}},"aria-valid-attr":{impact:"critical",messages:{pass:"ARIA attribute name is valid",fail:{singular:"Invalid ARIA attribute name: \${data.values}",plural:"Invalid ARIA attribute names: \${data.values}"}}},"braille-label-equivalent":{impact:"serious",messages:{pass:"aria-braillelabel is used on an element with accessible text",fail:"aria-braillelabel is used on an element with no accessible text",incomplete:"Unable to compute accessible text"}},"braille-roledescription-equivalent":{impact:"serious",messages:{pass:"aria-brailleroledescription is used on an element with aria-roledescription",fail:{noRoleDescription:"aria-brailleroledescription is used on an element with no aria-roledescription",emptyRoleDescription:"aria-brailleroledescription is used on an e\
lement with an empty aria-roledescription"}}},deprecatedrole:{impact:"minor",messages:{pass:"ARIA role is not deprecated",fail:"The role used is deprecated: \${data}"}},fallbackrole:{impact:"serious",messages:{pass:"Only one role value used",fail:"Use only one role value, since fallback roles are not supported in older browsers",incomplete:"Use only role 'presentation' or 'none' since they are synonymous."}},"has-global-aria-attribute":{impact:"minor",messages:{pass:{singular:"Element has global ARIA attribute: \${data.values}",plural:"Element has global ARIA attributes: \${data.values}"},fail:"Element does not have global ARIA attribute"}},"has-widget-role":{impact:"minor",messages:{pass:"Element has a widget role.",fail:"Element does not have a widget role."}},invalidrole:{impact:"critical",messages:{pass:"ARIA role is valid",fail:{singular:"Role must be one of the valid ARIA roles: \${data.values}",plural:"Roles must be one of the valid ARIA roles: \${data.values}"}}},"is-element-focusab\
le":{impact:"minor",messages:{pass:"Element is focusable.",fail:"Element is not focusable."}},"no-implicit-explicit-label":{impact:"serious",messages:{pass:"There is no mismatch between a <label> and accessible name",incomplete:"Check that the <label> does not need be part of the ARIA \${data} field's name"}},unsupportedrole:{impact:"critical",messages:{pass:"ARIA role is supported",fail:"The role used is not widely supported in screen readers and assistive technologies: \${data}"}},"valid-scrollable-semantics":{impact:"minor",messages:{pass:"Element has valid semantics for an element in the focus order.",fail:"Element has invalid semantics for an element in the focus order."}},"color-contrast-enhanced":{impact:"serious",messages:{pass:"Element has sufficient color contrast of \${data.contrastRatio}",fail:{default:"Element has insufficient color contrast of \${data.contrastRatio} (foreground color: \${data.fgColor}, background color: \${data.bgColor}, font size: \${data.fontSize}, font weight\
: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}",fgOnShadowColor:"Element has insufficient color contrast of \${data.contrastRatio} between the foreground and shadow color (foreground color: \${data.fgColor}, text-shadow color: \${data.shadowColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}",shadowOnBgColor:"Element has insufficient color contrast of \${data.contrastRatio} between the shadow color and background color (text-shadow color: \${data.shadowColor}, background color: \${data.bgColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}"},incomplete:{default:"Unable to determine contrast ratio",bgImage:"Element's background color could not be determined due to a background image",bgGradient:"Element's background color could not be determined due to a background gradient",imgNode:"Element's background color c\
ould not be determined because element contains an image node",bgOverlap:"Element's background color could not be determined because it is overlapped by another element",fgAlpha:"Element's foreground color could not be determined because of alpha transparency",elmPartiallyObscured:"Element's background color could not be determined because it's partially obscured by another element",elmPartiallyObscuring:"Element's background color could not be determined because it partially overlaps other elements",outsideViewport:"Element's background color could not be determined because it's outside the viewport",equalRatio:"Element has a 1:1 contrast ratio with the background",shortTextContent:"Element content is too short to determine if it is actual text content",nonBmp:"Element content contains only non-text characters",pseudoContent:"Element's background color could not be determined due to a pseudo element"}}},"color-contrast":{impact:"serious",messages:{pass:{default:"Element has sufficient\
 color contrast of \${data.contrastRatio}",hidden:"Element is hidden"},fail:{default:"Element has insufficient color contrast of \${data.contrastRatio} (foreground color: \${data.fgColor}, background color: \${data.bgColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}",fgOnShadowColor:"Element has insufficient color contrast of \${data.contrastRatio} between the foreground and shadow color (foreground color: \${data.fgColor}, text-shadow color: \${data.shadowColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}",shadowOnBgColor:"Element has insufficient color contrast of \${data.contrastRatio} between the shadow color and background color (text-shadow color: \${data.shadowColor}, background color: \${data.bgColor}, font size: \${data.fontSize}, font weight: \${data.fontWeight}). Expected contrast ratio of \${data.expectedContrastRatio}"},incomplete:{d\
efault:"Unable to determine contrast ratio",bgImage:"Element's background color could not be determined due to a background image",bgGradient:"Element's background color could not be determined due to a background gradient",imgNode:"Element's background color could not be determined because element contains an image node",bgOverlap:"Element's background color could not be determined because it is overlapped by another element",complexTextShadows:"Element's contrast could not be determined because it uses complex text shadows",fgAlpha:"Element's foreground color could not be determined because of alpha transparency",elmPartiallyObscured:"Element's background color could not be determined because it's partially obscured by another element",elmPartiallyObscuring:"Element's background color could not be determined because it partially overlaps other elements",outsideViewport:"Element's background color could not be determined because it's outside the viewport",equalRatio:"Element has a 1:1\
 contrast ratio with the background",shortTextContent:"Element content is too short to determine if it is actual text content",nonBmp:"Element content contains only non-text characters",pseudoContent:"Element's background color could not be determined due to a pseudo element"}}},"link-in-text-block-style":{impact:"serious",messages:{pass:"Links can be distinguished from surrounding text by visual styling",incomplete:{default:"Check if the link needs styling to distinguish it from nearby text",pseudoContent:"Check if the link's pseudo style is sufficient to distinguish it from the surrounding text"},fail:"The link has no styling (such as underline) to distinguish it from the surrounding text"}},"link-in-text-block":{impact:"serious",messages:{pass:"Links can be distinguished from surrounding text in some way other than by color",fail:{fgContrast:"The link has insufficient color contrast of \${data.contrastRatio}:1 with the surrounding text. (Minimum contrast is \${data.requiredContrastRat\
io}:1, link text: \${data.nodeColor}, surrounding text: \${data.parentColor})",bgContrast:"The link background has insufficient color contrast of \${data.contrastRatio} (Minimum contrast is \${data.requiredContrastRatio}:1, link background color: \${data.nodeBackgroundColor}, surrounding background color: \${data.parentBackgroundColor})"},incomplete:{default:"Element's foreground contrast ratio could not be determined",bgContrast:"Element's background contrast ratio could not be determined",bgImage:"Element's contrast ratio could not be determined due to a background image",bgGradient:"Element's contrast ratio could not be determined due to a background gradient",imgNode:"Element's contrast ratio could not be determined because element contains an image node",bgOverlap:"Element's contrast ratio could not be determined because of element overlap"}}},"autocomplete-appropriate":{impact:"serious",messages:{pass:"the autocomplete value is on an appropriate element",fail:"the autocomplete value is\
 inappropriate for this type of input"}},"autocomplete-valid":{impact:"serious",messages:{pass:"the autocomplete attribute is correctly formatted",fail:"the autocomplete attribute is incorrectly formatted"}},accesskeys:{impact:"serious",messages:{pass:"Accesskey attribute value is unique",fail:"Document has multiple elements with the same accesskey"}},"focusable-content":{impact:"serious",messages:{pass:"Element contains focusable elements",fail:"Element should have focusable content"}},"focusable-disabled":{impact:"serious",messages:{pass:"No focusable elements contained within element",incomplete:"Check if the focusable elements immediately move the focus indicator",fail:"Focusable content should be disabled or be removed from the DOM"}},"focusable-element":{impact:"serious",messages:{pass:"Element is focusable",fail:"Element should be focusable"}},"focusable-modal-open":{impact:"serious",messages:{pass:"No focusable elements while a modal is open",incomplete:"Check that focusable el\
ements are not tabbable in the current state"}},"focusable-no-name":{impact:"serious",messages:{pass:"Element is not in tab order or has accessible text",fail:"Element is in tab order and does not have accessible text",incomplete:"Unable to determine if element has an accessible name"}},"focusable-not-tabbable":{impact:"serious",messages:{pass:"No focusable elements contained within element",incomplete:"Check if the focusable elements immediately move the focus indicator",fail:'Focusable content should have tabindex="-1" or be removed from the DOM'}},"frame-focusable-content":{impact:"serious",messages:{pass:"Element does not have focusable descendants",fail:"Element has focusable descendants",incomplete:"Could not determine if element has descendants"}},"landmark-is-top-level":{impact:"moderate",messages:{pass:"The \${data.role} landmark is at the top level.",fail:"The \${data.role} landmark is contained in another landmark."}},"no-focusable-content":{impact:"serious",messages:{pass:"El\
ement does not have focusable descendants",fail:{default:"Element has focusable descendants",notHidden:'Using a negative tabindex on an element inside an interactive control does not prevent assistive technologies from focusing the element (even with aria-hidden="true")'},incomplete:"Could not determine if element has descendants"}},"page-has-heading-one":{impact:"moderate",messages:{pass:"Page has at least one level-one heading",fail:"Page must have a level-one heading"}},"page-has-main":{impact:"moderate",messages:{pass:"Document has at least one main landmark",fail:"Document does not have a main landmark"}},"page-no-duplicate-banner":{impact:"moderate",messages:{pass:"Document does not have more than one banner landmark",fail:"Document has more than one banner landmark"}},"page-no-duplicate-contentinfo":{impact:"moderate",messages:{pass:"Document does not have more than one contentinfo landmark",fail:"Document has more than one contentinfo landmark"}},"page-no-duplicate-main":{impac\
t:"moderate",messages:{pass:"Document does not have more than one main landmark",fail:"Document has more than one main landmark"}},tabindex:{impact:"serious",messages:{pass:"Element does not have a tabindex greater than 0",fail:"Element has a tabindex greater than 0"}},"alt-space-value":{impact:"critical",messages:{pass:"Element has a valid alt attribute value",fail:"Element has an alt attribute containing only a space character, which is not ignored by all screen readers"}},"duplicate-img-label":{impact:"minor",messages:{pass:"Element does not duplicate existing text in <img> alt text",fail:"Element contains <img> element with alt text that duplicates existing text"}},"explicit-label":{impact:"critical",messages:{pass:"Form element has an explicit <label>",fail:"Form element does not have an explicit <label>",incomplete:"Unable to determine if form element has an explicit <label>"}},"help-same-as-label":{impact:"minor",messages:{pass:"Help text (title or aria-describedby) does not dup\
licate label text",fail:"Help text (title or aria-describedby) text is the same as the label text"}},"hidden-explicit-label":{impact:"critical",messages:{pass:"Form element has a visible explicit <label>",fail:"Form element has explicit <label> that is hidden",incomplete:"Unable to determine if form element has explicit <label> that is hidden"}},"implicit-label":{impact:"critical",messages:{pass:"Form element has an implicit (wrapped) <label>",fail:"Form element does not have an implicit (wrapped) <label>",incomplete:"Unable to determine if form element has an implicit (wrapped} <label>"}},"label-content-name-mismatch":{impact:"serious",messages:{pass:"Element contains visible text as part of it's accessible name",fail:"Text inside the element is not included in the accessible name"}},"multiple-label":{impact:"moderate",messages:{pass:"Form field does not have multiple label elements",incomplete:"Multiple label elements is not widely supported in assistive technologies. Ensure the firs\
t label contains all necessary information."}},"title-only":{impact:"serious",messages:{pass:"Form element does not solely use title attribute for its label",fail:"Only title used to generate label for form element"}},"landmark-is-unique":{impact:"moderate",messages:{pass:"Landmarks must have a unique role or role/label/title (i.e. accessible name) combination",fail:"The landmark must have a unique aria-label, aria-labelledby, or title to make landmarks distinguishable"}},"has-lang":{impact:"serious",messages:{pass:"The <html> element has a lang attribute",fail:{noXHTML:"The xml:lang attribute is not valid on HTML pages, use the lang attribute.",noLang:"The <html> element does not have a lang attribute"}}},"valid-lang":{impact:"serious",messages:{pass:"Value of lang attribute is included in the list of valid languages",fail:"Value of lang attribute not included in the list of valid languages"}},"xml-lang-mismatch":{impact:"moderate",messages:{pass:"Lang and xml:lang attributes have the\
 same base language",fail:"Lang and xml:lang attributes do not have the same base language"}},dlitem:{impact:"serious",messages:{pass:"Description list item has a <dl> parent element",fail:"Description list item does not have a <dl> parent element"}},listitem:{impact:"serious",messages:{pass:'List item has a <ul>, <ol> or role="list" parent element',fail:{default:"List item does not have a <ul>, <ol> parent element",roleNotValid:'List item parent element has a role that is not role="list"'}}},"only-dlitems":{impact:"serious",messages:{pass:"dl element only has direct children that are allowed inside; <dt>, <dd>, or <div> elements",fail:"dl element has direct children that are not allowed: \${data.values}"}},"only-listitems":{impact:"serious",messages:{pass:"List element only has direct children that are allowed inside <li> elements",fail:"List element has direct children that are not allowed: \${data.values}"}},"structured-dlitems":{impact:"serious",messages:{pass:"When not empty, elemen\
t has both <dt> and <dd> elements",fail:"When not empty, element does not have at least one <dt> element followed by at least one <dd> element"}},caption:{impact:"critical",messages:{pass:"The multimedia element has a captions track",incomplete:"Check that captions is available for the element"}},"frame-tested":{impact:"critical",messages:{pass:"The iframe was tested with axe-core",fail:"The iframe could not be tested with axe-core",incomplete:"The iframe still has to be tested with axe-core"}},"no-autoplay-audio":{impact:"moderate",messages:{pass:"<video> or <audio> does not output audio for more than allowed duration or has controls mechanism",fail:"<video> or <audio> outputs audio for more than allowed duration and does not have a controls mechanism",incomplete:"Check that the <video> or <audio> does not output audio for more than allowed duration or provides a controls mechanism"}},"css-orientation-lock":{impact:"serious",messages:{pass:"Display is operable, and orientation lock do\
es not exist",fail:"CSS Orientation lock is applied, and makes display inoperable",incomplete:"CSS Orientation lock cannot be determined"}},"meta-viewport-large":{impact:"minor",messages:{pass:"<meta> tag does not prevent significant zooming on mobile devices",fail:"<meta> tag limits zooming on mobile devices"}},"meta-viewport":{impact:"critical",messages:{pass:"<meta> tag does not disable zooming on mobile devices",fail:"\${data} on <meta> tag disables zooming on mobile devices"}},"target-offset":{impact:"serious",messages:{pass:{default:"Target has sufficient space from its closest neighbors. Safe clickable space has a diameter of \${data.closestOffset}px which is at least \${data.minOffset}px.",large:"Target far exceeds the minimum size of \${data.minOffset}px."},fail:"Target has insufficient space to its closest neighbors. Safe clickable space has a diameter of \${data.closestOffset}px instead of at least \${data.minOffset}px.",incomplete:{default:"Element with negative tabindex has insu\
fficient space to its closest neighbors. Safe clickable space has a diameter of \${data.closestOffset}px instead of at least \${data.minOffset}px. Is this a target?",nonTabbableNeighbor:"Target has insufficient space to its closest neighbors. Safe clickable space has a diameter of \${data.closestOffset}px instead of at least \${data.minOffset}px. Is the neighbor a target?"}}},"target-size":{impact:"serious",messages:{pass:{default:"Control has sufficient size (\${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px)",obscured:"Control is ignored because it is fully obscured and thus not clickable",large:"Target far exceeds the minimum size of \${data.minSize}px."},fail:{default:"Target has insufficient size (\${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px)",partiallyObscured:"Target has insufficient size because it is partially obscured (smallest space is \${data.width}px by \${data.height}px, should be at l\
east \${data.minSize}px by \${data.minSize}px)"},incomplete:{default:"Element with negative tabindex has insufficient size (\${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px). Is this a target?",contentOverflow:"Element size could not be accurately determined due to overflow content",partiallyObscured:"Element with negative tabindex has insufficient size because it is partially obscured (smallest space is \${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px). Is this a target?",partiallyObscuredNonTabbable:"Target has insufficient size because it is partially obscured by a neighbor with negative tabindex (smallest space is \${data.width}px by \${data.height}px, should be at least \${data.minSize}px by \${data.minSize}px). Is the neighbor a target?",tooManyRects:"Could not get the target size because there are too many overlapping elements"}}},"header-present":{impact:"serious",messages:{pass:"Page has a he\
ading",fail:"Page does not have a heading"}},"heading-order":{impact:"moderate",messages:{pass:"Heading order valid",fail:"Heading order invalid",incomplete:"Unable to determine previous heading"}},"identical-links-same-purpose":{impact:"minor",messages:{pass:"There are no other links with the same name, that go to a different URL",incomplete:"Check that links have the same purpose, or are intentionally ambiguous."}},"internal-link-present":{impact:"serious",messages:{pass:"Valid skip link found",fail:"No valid skip link found"}},landmark:{impact:"serious",messages:{pass:"Page has a landmark region",fail:"Page does not have a landmark region"}},"meta-refresh-no-exceptions":{impact:"minor",messages:{pass:"<meta> tag does not immediately refresh the page",fail:"<meta> tag forces timed refresh of page"}},"meta-refresh":{impact:"critical",messages:{pass:"<meta> tag does not immediately refresh the page",fail:"<meta> tag forces timed refresh of page (less than 20 hours)"}},"p-as-heading":{i\
mpact:"serious",messages:{pass:"<p> elements are not styled as headings",fail:"Heading elements should be used instead of styled <p> elements",incomplete:"Unable to determine if <p> elements are styled as headings"}},region:{impact:"moderate",messages:{pass:"All page content is contained by landmarks",fail:"Some page content is not contained by landmarks"}},"skip-link":{impact:"moderate",messages:{pass:"Skip link target exists",incomplete:"Skip link target should become visible on activation",fail:"No skip link target"}},"unique-frame-title":{impact:"serious",messages:{pass:"Element's title attribute is unique",fail:"Element's title attribute is not unique"}},"duplicate-id-active":{impact:"serious",messages:{pass:"Document has no active elements that share the same id attribute",fail:"Document has active elements with the same id attribute: \${data}"}},"duplicate-id-aria":{impact:"critical",messages:{pass:"Document has no elements referenced with ARIA or labels that share the same id at\
tribute",fail:"Document has multiple elements referenced with ARIA with the same id attribute: \${data}"}},"duplicate-id":{impact:"minor",messages:{pass:"Document has no static elements that share the same id attribute",fail:"Document has multiple static elements with the same id attribute: \${data}"}},"aria-label":{impact:"serious",messages:{pass:"aria-label attribute exists and is not empty",fail:"aria-label attribute does not exist or is empty"}},"aria-labelledby":{impact:"serious",messages:{pass:"aria-labelledby attribute exists and references elements that are visible to screen readers",fail:"aria-labelledby attribute does not exist, references elements that do not exist or references elements that are empty",incomplete:"ensure aria-labelledby references an existing element"}},"avoid-inline-spacing":{impact:"serious",messages:{pass:"No inline styles with '!important' that affect text spacing has been specified",fail:{singular:"Remove '!important' from inline style \${data.values}, as\
 overriding this is not supported by most browsers",plural:"Remove '!important' from inline styles \${data.values}, as overriding this is not supported by most browsers"}}},"button-has-visible-text":{impact:"critical",messages:{pass:"Element has inner text that is visible to screen readers",fail:"Element does not have inner text that is visible to screen readers",incomplete:"Unable to determine if element has children"}},"doc-has-title":{impact:"serious",messages:{pass:"Document has a non-empty <title> element",fail:"Document does not have a non-empty <title> element"}},exists:{impact:"minor",messages:{pass:"Element does not exist",incomplete:"Element exists"}},"has-alt":{impact:"critical",messages:{pass:"Element has an alt attribute",fail:"Element does not have an alt attribute"}},"has-visible-text":{impact:"minor",messages:{pass:"Element has text that is visible to screen readers",fail:"Element does not have text that is visible to screen readers",incomplete:"Unable to determine if el\
ement has children"}},"important-letter-spacing":{impact:"serious",messages:{pass:"Letter-spacing in the style attribute is not set to !important, or meets the minimum",fail:"letter-spacing in the style attribute must not use !important, or be at \${data.minValue}em (current \${data.value}em)"}},"important-line-height":{impact:"serious",messages:{pass:"line-height in the style attribute is not set to !important, or meets the minimum",fail:"line-height in the style attribute must not use !important, or be at \${data.minValue}em (current \${data.value}em)"}},"important-word-spacing":{impact:"serious",messages:{pass:"word-spacing in the style attribute is not set to !important, or meets the minimum",fail:"word-spacing in the style attribute must not use !important, or be at \${data.minValue}em (current \${data.value}em)"}},"is-on-screen":{impact:"serious",messages:{pass:"Element is not visible",fail:"Element is visible"}},"non-empty-alt":{impact:"critical",messages:{pass:"Element has a non-empt\
y alt attribute",fail:{noAttr:"Element has no alt attribute",emptyAttr:"Element has an empty alt attribute"}}},"non-empty-if-present":{impact:"critical",messages:{pass:{default:"Element does not have a value attribute","has-label":"Element has a non-empty value attribute"},fail:"Element has a value attribute and the value attribute is empty"}},"non-empty-placeholder":{impact:"serious",messages:{pass:"Element has a placeholder attribute",fail:{noAttr:"Element has no placeholder attribute",emptyAttr:"Element has an empty placeholder attribute"}}},"non-empty-title":{impact:"serious",messages:{pass:"Element has a title attribute",fail:{noAttr:"Element has no title attribute",emptyAttr:"Element has an empty title attribute"}}},"non-empty-value":{impact:"critical",messages:{pass:"Element has a non-empty value attribute",fail:{noAttr:"Element has no value attribute",emptyAttr:"Element has an empty value attribute"}}},"presentational-role":{impact:"minor",messages:{pass:'Element\\'s default sem\
antics were overriden with role="\${data.role}"',fail:{default:'Element\\'s default semantics were not overridden with role="none" or role="presentation"',globalAria:"Element's role is not presentational because it has a global ARIA attribute",focusable:"Element's role is not presentational because it is focusable",both:"Element's role is not presentational because it has a global ARIA attribute and is focusable",iframe:'Using the "title" attribute on an \${data.nodeName} element with a presentational role behaves inconsistently between screen readers'}}},"role-none":{impact:"minor",messages:{pass:'Element\\'s default semantics were overriden with role="none"',fail:'Element\\'s default semantics were not overridden with role="none"'}},"role-presentation":{impact:"minor",messages:{pass:'Element\\'s default semantics were overriden with role="presentation"',fail:'Element\\'s default semantics were not overridden with role="presentation"'}},"svg-non-empty-title":{impact:"serious",messages:{pass:\
"Element has a child that is a title",fail:{noTitle:"Element has no child that is a title",emptyTitle:"Element child title is empty"},incomplete:"Unable to determine element has a child that is a title"}},"caption-faked":{impact:"serious",messages:{pass:"The first row of a table is not used as a caption",fail:"The first child of the table should be a caption instead of a table cell"}},"html5-scope":{impact:"moderate",messages:{pass:"Scope attribute is only used on table header elements (<th>)",fail:"In HTML 5, scope attributes may only be used on table header elements (<th>)"}},"same-caption-summary":{impact:"minor",messages:{pass:"Content of summary attribute and <caption> are not duplicated",fail:"Content of summary attribute and <caption> element are identical",incomplete:"Unable to determine if <table> element has a caption"}},"scope-value":{impact:"critical",messages:{pass:"Scope attribute is used correctly",fail:"The value of the scope attribute may only be 'row' or 'col'"}},"td-\
has-header":{impact:"critical",messages:{pass:"All non-empty data cells have table headers",fail:"Some non-empty data cells do not have table headers"}},"td-headers-attr":{impact:"serious",messages:{pass:"The headers attribute is exclusively used to refer to other cells in the table",incomplete:"The headers attribute is empty",fail:"The headers attribute is not exclusively used to refer to other cells in the table"}},"th-has-data-cells":{impact:"serious",messages:{pass:"All table header cells refer to data cells",fail:"Not all table header cells refer to data cells",incomplete:"Table data cells are missing or empty"}},"hidden-content":{impact:"minor",messages:{pass:"All content on the page has been analyzed.",fail:"There were problems analyzing the content on this page.",incomplete:"There is hidden content on the page that was not analyzed. You will need to trigger the display of this content in order to analyze it."}}},failureSummaries:{any:{failureMessage:function(e){var t="Fix any o\
f the following:",n=e;if(n)for(var r=-1,a=n.length-1;r<a;)t+="\\n  "+n[r+=1].split("\\n").join("\\n  ");return t}},none:{failureMessage:function(e){var t="Fix all of the following:",n=e;if(n)for(var r=-1,a=n.length-1;r<a;)t+="\\n  "+n[r+=1].split("\\n").join("\\n  ");return t}}},incompleteFallbackMessage:"axe couldn't tell the reason. Time to break out the element inspector!"},rules:[{id:"accesskeys",impact:"serious",selector:"[accesskey]",excludeHidden:!1,tags:["cat.keyboard","best-practice"],all:[],any:[],none:["accesskeys"]},{id:"area-alt",impact:"critical",selector:"map area[href]",excludeHidden:!1,tags:["cat.text-alternatives","wcag2a","wcag244","wcag412","section508","section508.22.a","TTv5","TT6.a","EN-301-549","EN-9.2.4.4","EN-9.4.1.2","ACT"],actIds:["c487ae"],all:[],any:[{options:{attribute:"alt"},id:"non-empty-alt"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-allowed-attr",impact:"critical",matches:"aria-allowed-attr-matches\
",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],actIds:["5c01ea"],all:[{options:{validTreeRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]},id:"aria-allowed-attr"}],any:[],none:["aria-unsupported-attr"]},{id:"aria-allowed-role",impact:"minor",excludeHidden:!1,selector:"[role]",matches:"aria-allowed-role-matches",tags:["cat.aria","best-practice"],all:[],any:[{options:{allowImplicit:!0,ignoredTags:[]},id:"aria-allowed-role"}],none:[]},{id:"aria-braille-equivalent",reviewOnFail:!0,impact:"serious",selector:"[aria-brailleroledescription], [aria-braillelabel]",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],all:["braille-roledescription-equivalent","braille-label-equivalent"],any:[],none:[]},{id:"aria-command-name",impact:"serious",selector:'[role="link"], [role="button"], [role="menuitem"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","TTv5","TT6.a","EN-301-549","EN-9.4.1.2","ACT"],actIds:["97a4e1"],all:[],any:\
["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-conditional-attr",impact:"serious",matches:"aria-allowed-attr-matches",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],actIds:["5c01ea"],all:[{options:{invalidTableRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]},id:"aria-conditional-attr"}],any:[],none:[]},{id:"aria-deprecated-role",impact:"minor",selector:"[role]",matches:"no-empty-role-matches",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],actIds:["674b10"],all:[],any:[],none:["deprecatedrole"]},{id:"aria-dialog-name",impact:"serious",selector:'[role="dialog"], [role="alertdialog"]',matches:"no-naming-method-matches",tags:["cat.aria","best-practice"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-hidden-body",impact:"critical",selector:"body",excludeHidden:!1,matches:"is-initiator-matches",tag\
s:["cat.aria","wcag2a","wcag131","wcag412","EN-301-549","EN-9.1.3.1","EN-9.4.1.2"],all:[],any:["aria-hidden-body"],none:[]},{id:"aria-hidden-focus",impact:"serious",selector:'[aria-hidden="true"]',matches:"aria-hidden-focus-matches",excludeHidden:!1,tags:["cat.name-role-value","wcag2a","wcag412","TTv5","TT6.a","EN-301-549","EN-9.4.1.2"],actIds:["6cfa84"],all:["focusable-modal-open","focusable-disabled","focusable-not-tabbable"],any:[],none:[]},{id:"aria-input-field-name",impact:"serious",selector:'[role="combobox"], [role="listbox"], [role="searchbox"], [role="slider"], [role="spinbutton"], [role="textbox"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","TTv5","TT5.c","EN-301-549","EN-9.4.1.2","ACT"],actIds:["e086e5"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["no-implicit-explicit-label"]},{id:"aria-meter-name",impact:"serious",selector:'[role="meter"]',matches:"no-naming-method-matches",tags:["cat.aria\
","wcag2a","wcag111","EN-301-549","EN-9.1.1.1"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-progressbar-name",impact:"serious",selector:'[role="progressbar"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag111","EN-301-549","EN-9.1.1.1"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-prohibited-attr",impact:"serious",matches:"aria-allowed-attr-matches",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],actIds:["5c01ea"],all:[],any:[],none:[{options:{elementsAllowedAriaLabel:["applet","input"]},id:"aria-prohibited-attr"}]},{id:"aria-required-attr",impact:"critical",selector:"[role]",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],actIds:["4e8ab6"],all:[],any:["aria-required-attr"],none:[]},{id:"aria-required-children",impact:"critical",selector:"[role]",matches:"aria-required-children-matches",tags:["cat.ar\
ia","wcag2a","wcag131","EN-301-549","EN-9.1.3.1"],actIds:["bc4a75","ff89c9"],all:[],any:[{options:{reviewEmpty:["doc-bibliography","doc-endnotes","grid","list","listbox","menu","menubar","table","tablist","tree","treegrid","rowgroup"]},id:"aria-required-children"}],none:[]},{id:"aria-required-parent",impact:"critical",selector:"[role]",matches:"aria-required-parent-matches",tags:["cat.aria","wcag2a","wcag131","EN-301-549","EN-9.1.3.1"],actIds:["ff89c9"],all:[],any:[{options:{ownGroupRoles:["listitem","treeitem"]},id:"aria-required-parent"}],none:[]},{id:"aria-roledescription",impact:"serious",selector:"[aria-roledescription]",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2","deprecated"],enabled:!1,all:[],any:[{options:{supportedRoles:["button","img","checkbox","radio","combobox","menuitemcheckbox","menuitemradio"]},id:"aria-roledescription"}],none:[]},{id:"aria-roles",impact:"critical",selector:"[role]",matches:"no-empty-role-matches",tags:["cat.aria","wcag2a","wcag412","\
EN-301-549","EN-9.4.1.2"],actIds:["674b10"],all:[],any:[],none:["invalidrole","abstractrole","unsupportedrole"]},{id:"aria-text",impact:"serious",selector:"[role=text]",tags:["cat.aria","best-practice"],all:[],any:["no-focusable-content"],none:[]},{id:"aria-toggle-field-name",impact:"serious",selector:'[role="checkbox"], [role="menuitemcheckbox"], [role="menuitemradio"], [role="radio"], [role="switch"], [role="option"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","TTv5","TT5.c","EN-301-549","EN-9.4.1.2","ACT"],actIds:["e086e5"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["no-implicit-explicit-label"]},{id:"aria-tooltip-name",impact:"serious",selector:'[role="tooltip"]',matches:"no-naming-method-matches",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]\
},{id:"aria-treeitem-name",impact:"serious",selector:'[role="treeitem"]',matches:"no-naming-method-matches",tags:["cat.aria","best-practice"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"aria-valid-attr-value",impact:"critical",matches:"aria-has-attr-matches",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],actIds:["6a7281"],all:[{options:[],id:"aria-valid-attr-value"},"aria-errormessage","aria-level"],any:[],none:[]},{id:"aria-valid-attr",impact:"critical",matches:"aria-has-attr-matches",tags:["cat.aria","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],actIds:["5f99a7"],all:[],any:[{options:[],id:"aria-valid-attr"}],none:[]},{id:"audio-caption",impact:"critical",selector:"audio",enabled:!1,excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag121","EN-301-549","EN-9.1.2.1","section508","section508.22.a","deprecated"],actIds:["2eb176","afb423"],all:[],any:[],none:["caption"]},{id:"autocomp\
lete-valid",impact:"serious",matches:"autocomplete-matches",tags:["cat.forms","wcag21aa","wcag135","EN-301-549","EN-9.1.3.5","ACT"],actIds:["73f2c2"],all:[{options:{stateTerms:["none","false","true","disabled","enabled","undefined","null"]},id:"autocomplete-valid"}],any:[],none:[]},{id:"avoid-inline-spacing",impact:"serious",selector:"[style]",matches:"is-visible-on-screen-matches",tags:["cat.structure","wcag21aa","wcag1412","EN-301-549","EN-9.1.4.12","ACT"],actIds:["24afc2","9e45ec","78fd32"],all:[{options:{cssProperty:"letter-spacing",minValue:.12},id:"important-letter-spacing"},{options:{cssProperty:"word-spacing",minValue:.16},id:"important-word-spacing"},{options:{multiLineOnly:!0,cssProperty:"line-height",minValue:1.5,normalValue:1},id:"important-line-height"}],any:[],none:[]},{id:"blink",impact:"serious",selector:"blink",excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag222","section508","section508.22.j","TTv5","TT2.b","EN-301-549","EN-9.2.2.2"],all:[],any:[],none:["is-\
on-screen"]},{id:"button-name",impact:"critical",selector:"button",matches:"no-explicit-name-required-matches",tags:["cat.name-role-value","wcag2a","wcag412","section508","section508.22.a","TTv5","TT6.a","EN-301-549","EN-9.4.1.2","ACT"],actIds:["97a4e1","m6b1q3"],all:[],any:["button-has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"bypass",impact:"serious",selector:"html",pageLevel:!0,matches:"bypass-matches",reviewOnFail:!0,tags:["cat.keyboard","wcag2a","wcag241","section508","section508.22.o","TTv5","TT9.a","EN-301-549","EN-9.2.4.1"],actIds:["cf77f2","047fe0","b40fd1","3e12e1","ye5d6e"],all:[],any:["internal-link-present",{options:{selector:":is(h1, h2, h3, h4, h5, h6):not([role]), [role=heading]"},id:"header-present"},{options:{selector:"main, [role=main]"},id:"landmark"}],none:[]},{id:"color-contrast-enhanced",impact:"serious",matches:"color-contrast-matches",excludeHidden:!1,enabled:!1,tags:["ca\
t.color","wcag2aaa","wcag146","ACT"],actIds:["09o5cg"],all:[],any:[{options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:7,minThreshold:4.5},large:{expected:4.5,minThreshold:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.1,textStrokeEmMin:.03},id:"color-contrast-enhanced"}],none:[]},{id:"color-contrast",impact:"serious",matches:"color-contrast-matches",excludeHidden:!1,tags:["cat.color","wcag2aa","wcag143","TTv5","TT13.c","EN-301-549","EN-9.1.4.3","ACT"],actIds:["afw4f7","09o5cg"],all:[],any:[{options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:4.5},large:{expected:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.2,textStrokeEmMin:.03},id:"color-contrast"}],none:[]},{id:"css-orientation-lock",impact:"serious",selector:"html",tags:["cat.structure","wcag134","wcag21aa","EN-301-549","EN-9.1.3.4","experimental"],actIds:["b33eff"],a\
ll:[{options:{degreeThreshold:2},id:"css-orientation-lock"}],any:[],none:[],preload:!0},{id:"definition-list",impact:"serious",selector:"dl",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131","EN-301-549","EN-9.1.3.1"],all:[],any:[],none:["structured-dlitems",{options:{validRoles:["definition","term","listitem"],validNodeNames:["dt","dd"],divGroups:!0},id:"only-dlitems"}]},{id:"dlitem",impact:"serious",selector:"dd, dt",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131","EN-301-549","EN-9.1.3.1"],all:[],any:["dlitem"],none:[]},{id:"document-title",impact:"serious",selector:"html",matches:"is-initiator-matches",tags:["cat.text-alternatives","wcag2a","wcag242","TTv5","TT12.a","EN-301-549","EN-9.2.4.2","ACT"],actIds:["2779a5"],all:[],any:["doc-has-title"],none:[]},{id:"duplicate-id-active",impact:"serious",selector:"[id]",matches:"duplicate-id-active-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a-obsolete","wcag411","deprecated"],enabled:!1,actIds:["\
3ea0c8"],all:[],any:["duplicate-id-active"],none:[]},{id:"duplicate-id-aria",impact:"critical",selector:"[id]",matches:"duplicate-id-aria-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a","wcag412","EN-301-549","EN-9.4.1.2"],reviewOnFail:!0,actIds:["3ea0c8"],all:[],any:["duplicate-id-aria"],none:[]},{id:"duplicate-id",impact:"minor",selector:"[id]",matches:"duplicate-id-misc-matches",excludeHidden:!1,tags:["cat.parsing","wcag2a-obsolete","wcag411","deprecated"],enabled:!1,actIds:["3ea0c8"],all:[],any:["duplicate-id"],none:[]},{id:"empty-heading",impact:"minor",selector:'h1, h2, h3, h4, h5, h6, [role="heading"]',matches:"heading-matches",tags:["cat.name-role-value","best-practice"],actIds:["ffd0e9"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"empty-table-header",impact:"minor",selector:'th:not([role]), [role="rowheader"], [role="columnheader"]',tags:["cat.name-role-value","best-practice"],all:[],any\
:["has-visible-text"],none:[]},{id:"focus-order-semantics",impact:"minor",selector:"div, h1, h2, h3, h4, h5, h6, [role=heading], p, span",matches:"inserted-into-focus-order-matches",tags:["cat.keyboard","best-practice","experimental"],all:[],any:[{options:[],id:"has-widget-role"},{options:{roles:["tooltip"]},id:"valid-scrollable-semantics"}],none:[]},{id:"form-field-multiple-labels",impact:"moderate",selector:"input, select, textarea",matches:"label-matches",tags:["cat.forms","wcag2a","wcag332","TTv5","TT5.c","EN-301-549","EN-9.3.3.2"],all:[],any:[],none:["multiple-label"]},{id:"frame-focusable-content",impact:"serious",selector:"html",matches:"frame-focusable-content-matches",tags:["cat.keyboard","wcag2a","wcag211","TTv5","TT4.a","EN-301-549","EN-9.2.1.1"],actIds:["akn7bn"],all:[],any:["frame-focusable-content"],none:[]},{id:"frame-tested",impact:"critical",selector:"html, frame, iframe",tags:["cat.structure","best-practice","review-item"],all:[{options:{isViolation:!1},id:"frame-test\
ed"}],any:[],none:[]},{id:"frame-title-unique",impact:"serious",selector:"frame[title], iframe[title]",matches:"frame-title-has-text-matches",tags:["cat.text-alternatives","wcag2a","wcag412","TTv5","TT12.d","EN-301-549","EN-9.4.1.2"],actIds:["4b1c6c"],all:[],any:[],none:["unique-frame-title"],reviewOnFail:!0},{id:"frame-title",impact:"serious",selector:"frame, iframe",matches:"no-negative-tabindex-matches",tags:["cat.text-alternatives","wcag2a","wcag412","section508","section508.22.i","TTv5","TT12.d","EN-301-549","EN-9.4.1.2"],actIds:["cae760"],all:[],any:[{options:{attribute:"title"},id:"non-empty-title"},"aria-label","aria-labelledby","presentational-role"],none:[]},{id:"heading-order",impact:"moderate",selector:"h1, h2, h3, h4, h5, h6, [role=heading]",matches:"heading-matches",tags:["cat.semantics","best-practice"],all:[],any:["heading-order"],none:[]},{id:"hidden-content",impact:"minor",selector:"*",excludeHidden:!1,tags:["cat.structure","best-practice","experimental","review-item"\
],all:[],any:["hidden-content"],none:[]},{id:"html-has-lang",impact:"serious",selector:"html",matches:"is-initiator-matches",tags:["cat.language","wcag2a","wcag311","TTv5","TT11.a","EN-301-549","EN-9.3.1.1","ACT"],actIds:["b5c3f8"],all:[],any:[{options:{attributes:["lang","xml:lang"]},id:"has-lang"}],none:[]},{id:"html-lang-valid",impact:"serious",selector:'html[lang]:not([lang=""]), html[xml\\\\:lang]:not([xml\\\\:lang=""])',tags:["cat.language","wcag2a","wcag311","TTv5","TT11.a","EN-301-549","EN-9.3.1.1","ACT"],actIds:["bf051a"],all:[],any:[],none:[{options:{attributes:["lang","xml:lang"]},id:"valid-lang"}]},{id:"html-xml-lang-mismatch",impact:"moderate",selector:"html[lang][xml\\\\:lang]",matches:"xml-lang-mismatch-matches",tags:["cat.language","wcag2a","wcag311","EN-301-549","EN-9.3.1.1","ACT"],actIds:["5b7ae0"],all:["xml-lang-mismatch"],any:[],none:[]},{id:"identical-links-same-purpose",impact:"minor",selector:'a[href], area[href], [role="link"]',excludeHidden:!1,enabled:!1,matches:"ide\
ntical-links-same-purpose-matches",tags:["cat.semantics","wcag2aaa","wcag249"],actIds:["b20e66"],all:["identical-links-same-purpose"],any:[],none:[]},{id:"image-alt",impact:"critical",selector:"img",matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","TTv5","TT7.a","TT7.b","EN-301-549","EN-9.1.1.1","ACT"],actIds:["23a2a8"],all:[],any:["has-alt","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:["alt-space-value"]},{id:"image-redundant-alt",impact:"minor",selector:"img",tags:["cat.text-alternatives","best-practice"],all:[],any:[],none:[{options:{parentSelector:"button, [role=button], a[href], p, li, td, th"},id:"duplicate-img-label"}]},{id:"input-button-name",impact:"critical",selector:'input[type="button"], input[type="submit"], input[type="reset"]',matches:"no-explicit-name-required-matches",tags:["cat.name-role-value","wcag2a","wcag412","section508","sec\
tion508.22.a","TTv5","TT5.c","EN-301-549","EN-9.4.1.2","ACT"],actIds:["97a4e1"],all:[],any:["non-empty-if-present",{options:{attribute:"value"},id:"non-empty-value"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"input-image-alt",impact:"critical",selector:'input[type="image"]',matches:"no-explicit-name-required-matches",tags:["cat.text-alternatives","wcag2a","wcag111","wcag412","section508","section508.22.a","TTv5","TT7.a","EN-301-549","EN-9.1.1.1","EN-9.4.1.2","ACT"],actIds:["59796f"],all:[],any:[{options:{attribute:"alt"},id:"non-empty-alt"},"aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"label-content-name-mismatch",impact:"serious",matches:"label-content-name-mismatch-matches",tags:["cat.semantics","wcag21a","wcag253","EN-301-549","EN-9.2.5.3","experimental"],actIds:["2ee8b8"],all:[],any:[{options:{pixelThreshold:.1,occurrenceThreshold:3},id:"label-content-name-\
mismatch"}],none:[]},{id:"label-title-only",impact:"serious",selector:"input, select, textarea",matches:"label-matches",tags:["cat.forms","best-practice"],all:[],any:[],none:["title-only"]},{id:"label",impact:"critical",selector:"input, textarea",matches:"label-matches",tags:["cat.forms","wcag2a","wcag412","section508","section508.22.n","TTv5","TT5.c","EN-301-549","EN-9.4.1.2","ACT"],actIds:["e086e5"],all:[],any:["implicit-label","explicit-label","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},{options:{attribute:"placeholder"},id:"non-empty-placeholder"},"presentational-role"],none:["hidden-explicit-label"]},{id:"landmark-banner-is-top-level",impact:"moderate",selector:"header:not([role]), [role=banner]",matches:"landmark-has-body-context-matches",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-complementary-is-top-level",impact:"moderate",selector:"aside:not([role]), [role=complementary]",tags:["cat.\
semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-contentinfo-is-top-level",impact:"moderate",selector:"footer:not([role]), [role=contentinfo]",matches:"landmark-has-body-context-matches",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-main-is-top-level",impact:"moderate",selector:"main:not([role]), [role=main]",tags:["cat.semantics","best-practice"],all:[],any:["landmark-is-top-level"],none:[]},{id:"landmark-no-duplicate-banner",impact:"moderate",selector:"header:not([role]), [role=banner]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"header:not([role]), [role=banner]",role:"banner"},id:"page-no-duplicate-banner"}],none:[]},{id:"landmark-no-duplicate-contentinfo",impact:"moderate",selector:"footer:not([role]), [role=contentinfo]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"footer:not([role]), [role=contentinfo]",role:"contentinfo"},id:"page-no-d\
uplicate-contentinfo"}],none:[]},{id:"landmark-no-duplicate-main",impact:"moderate",selector:"main:not([role]), [role=main]",tags:["cat.semantics","best-practice"],all:[],any:[{options:{selector:"main:not([role]), [role='main']"},id:"page-no-duplicate-main"}],none:[]},{id:"landmark-one-main",impact:"moderate",selector:"html",tags:["cat.semantics","best-practice"],all:[{options:{selector:"main:not([role]), [role='main']",passForModal:!0},id:"page-has-main"}],any:[],none:[]},{id:"landmark-unique",impact:"moderate",selector:"[role=banner], [role=complementary], [role=contentinfo], [role=main], [role=navigation], [role=region], [role=search], [role=form], form, footer, header, aside, main, nav, section",tags:["cat.semantics","best-practice"],matches:"landmark-unique-matches",all:[],any:["landmark-is-unique"],none:[]},{id:"link-in-text-block",impact:"serious",selector:"a[href], [role=link]",matches:"link-in-text-block-matches",excludeHidden:!1,tags:["cat.color","wcag2a","wcag141","TTv5","TT\
13.a","EN-301-549","EN-9.1.4.1"],all:[],any:[{options:{requiredContrastRatio:3,allowSameColor:!0},id:"link-in-text-block"},"link-in-text-block-style"],none:[]},{id:"link-name",impact:"serious",selector:"a[href]",tags:["cat.name-role-value","wcag2a","wcag244","wcag412","section508","section508.22.a","TTv5","TT6.a","EN-301-549","EN-9.2.4.4","EN-9.4.1.2","ACT"],actIds:["c487ae"],all:[],any:["has-visible-text","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:["focusable-no-name"]},{id:"list",impact:"serious",selector:"ul, ol",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131","EN-301-549","EN-9.1.3.1"],all:[],any:[],none:[{options:{validRoles:["listitem"],validNodeNames:["li"]},id:"only-listitems"}]},{id:"listitem",impact:"serious",selector:"li",matches:"no-role-matches",tags:["cat.structure","wcag2a","wcag131","EN-301-549","EN-9.1.3.1"],all:[],any:["listitem"],none:[]},{id:"marquee",impact:"serious",selector:"marquee",excludeHidden:!1\
,tags:["cat.parsing","wcag2a","wcag222","TTv5","TT2.b","EN-301-549","EN-9.2.2.2"],all:[],any:[],none:["is-on-screen"]},{id:"meta-refresh-no-exceptions",impact:"minor",selector:'meta[http-equiv="refresh"][content]',excludeHidden:!1,enabled:!1,tags:["cat.time-and-media","wcag2aaa","wcag224","wcag325"],actIds:["bisz58"],all:[],any:[{options:{minDelay:72e3,maxDelay:!1},id:"meta-refresh-no-exceptions"}],none:[]},{id:"meta-refresh",impact:"critical",selector:'meta[http-equiv="refresh"][content]',excludeHidden:!1,tags:["cat.time-and-media","wcag2a","wcag221","TTv5","TT8.a","EN-301-549","EN-9.2.2.1"],actIds:["bc659a","bisz58"],all:[],any:[{options:{minDelay:0,maxDelay:72e3},id:"meta-refresh"}],none:[]},{id:"meta-viewport-large",impact:"minor",selector:'meta[name="viewport"]',matches:"is-initiator-matches",excludeHidden:!1,tags:["cat.sensory-and-visual-cues","best-practice"],all:[],any:[{options:{scaleMinimum:5,lowerBound:2},id:"meta-viewport-large"}],none:[]},{id:"meta-viewport",impact:"critic\
al",selector:'meta[name="viewport"]',matches:"is-initiator-matches",excludeHidden:!1,tags:["cat.sensory-and-visual-cues","wcag2aa","wcag144","EN-301-549","EN-9.1.4.4","ACT"],actIds:["b4f0c3"],all:[],any:[{options:{scaleMinimum:2},id:"meta-viewport"}],none:[]},{id:"nested-interactive",impact:"serious",matches:"nested-interactive-matches",tags:["cat.keyboard","wcag2a","wcag412","TTv5","TT6.a","EN-301-549","EN-9.4.1.2"],actIds:["307n5z"],all:[],any:["no-focusable-content"],none:[]},{id:"no-autoplay-audio",impact:"moderate",excludeHidden:!1,selector:"audio[autoplay], video[autoplay]",matches:"no-autoplay-audio-matches",reviewOnFail:!0,tags:["cat.time-and-media","wcag2a","wcag142","TTv5","TT2.a","EN-301-549","EN-9.1.4.2","ACT"],actIds:["80f0bf"],preload:!0,all:[{options:{allowedDuration:3},id:"no-autoplay-audio"}],any:[],none:[]},{id:"object-alt",impact:"serious",selector:"object[data]",matches:"object-is-loaded-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section\
508.22.a","EN-301-549","EN-9.1.1.1"],actIds:["8fc3b6"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:[]},{id:"p-as-heading",impact:"serious",selector:"p",matches:"p-as-heading-matches",tags:["cat.semantics","wcag2a","wcag131","EN-301-549","EN-9.1.3.1","experimental"],all:[{options:{margins:[{weight:150,italic:!0},{weight:150,size:1.15},{italic:!0,size:1.15},{size:1.4}],passLength:1,failLength:.5},id:"p-as-heading"}],any:[],none:[]},{id:"page-has-heading-one",impact:"moderate",selector:"html",tags:["cat.semantics","best-practice"],all:[{options:{selector:"h1:not([role], [aria-level]), :is(h1, h2, h3, h4, h5, h6):not([role])[aria-level=1], [role=heading][aria-level=1]",passForModal:!0},id:"page-has-heading-one"}],any:[],none:[]},{id:"presentation-role-conflict",impact:"minor",selector:'img[alt=\\'\\'], [role="none"], [role="presentation"]',matches:"has-implicit-chromium-role-matches",tags:["cat.aria","best-practice\
","ACT"],actIds:["46ca7f"],all:[],any:[],none:["is-element-focusable","has-global-aria-attribute"]},{id:"region",impact:"moderate",selector:"body *",tags:["cat.keyboard","best-practice"],all:[],any:[{options:{regionMatcher:"dialog, [role=dialog], [role=alertdialog], svg"},id:"region"}],none:[]},{id:"role-img-alt",impact:"serious",selector:"[role='img']:not(img, area, input, object)",matches:"html-namespace-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","TTv5","TT7.a","EN-301-549","EN-9.1.1.1","ACT"],actIds:["23a2a8"],all:[],any:["aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"scope-attr-valid",impact:"moderate",selector:"td[scope], th[scope]",tags:["cat.tables","best-practice"],all:["html5-scope",{options:{values:["row","col","rowgroup","colgroup"]},id:"scope-value"}],any:[],none:[]},{id:"scrollable-region-focusable",impact:"serious",selector:"*:not(select,textarea)",matches:"scrollable-region-fo\
cusable-matches",tags:["cat.keyboard","wcag2a","wcag211","wcag213","TTv5","TT4.a","EN-301-549","EN-9.2.1.1","EN-9.2.1.3"],actIds:["0ssw9k"],all:[],any:["focusable-content","focusable-element"],none:[]},{id:"select-name",impact:"critical",selector:"select",tags:["cat.forms","wcag2a","wcag412","section508","section508.22.n","TTv5","TT5.c","EN-301-549","EN-9.4.1.2","ACT"],actIds:["e086e5"],all:[],any:["implicit-label","explicit-label","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"},"presentational-role"],none:["hidden-explicit-label"]},{id:"server-side-image-map",impact:"minor",selector:"img[ismap]",tags:["cat.text-alternatives","wcag2a","wcag211","section508","section508.22.f","TTv5","TT4.a","EN-301-549","EN-9.2.1.1"],all:[],any:[],none:["exists"]},{id:"skip-link",impact:"moderate",selector:'a[href^="#"], a[href^="/#"]',matches:"skip-link-matches",tags:["cat.keyboard","best-practice"],all:[],any:["skip-link"],none:[]},{id:"svg-img-alt",impact:"serious",s\
elector:'[role="img"], [role="graphics-symbol"], svg[role="graphics-document"]',matches:"svg-namespace-matches",tags:["cat.text-alternatives","wcag2a","wcag111","section508","section508.22.a","TTv5","TT7.a","EN-301-549","EN-9.1.1.1","ACT"],actIds:["7d6734"],all:[],any:["svg-non-empty-title","aria-label","aria-labelledby",{options:{attribute:"title"},id:"non-empty-title"}],none:[]},{id:"tabindex",impact:"serious",selector:"[tabindex]",tags:["cat.keyboard","best-practice"],all:[],any:["tabindex"],none:[]},{id:"table-duplicate-name",impact:"minor",selector:"table",tags:["cat.tables","best-practice"],all:[],any:[],none:["same-caption-summary"]},{id:"table-fake-caption",impact:"serious",selector:"table",matches:"data-table-matches",tags:["cat.tables","experimental","wcag2a","wcag131","section508","section508.22.g","EN-301-549","EN-9.1.3.1"],all:["caption-faked"],any:[],none:[]},{id:"target-size",impact:"serious",selector:"*",enabled:!1,matches:"widget-not-inline-matches",tags:["cat.sensory-\
and-visual-cues","wcag22aa","wcag258"],all:[],any:[{options:{minSize:24},id:"target-size"},{options:{minOffset:24},id:"target-offset"}],none:[]},{id:"td-has-header",impact:"critical",selector:"table",matches:"data-table-large-matches",tags:["cat.tables","experimental","wcag2a","wcag131","section508","section508.22.g","TTv5","TT14.b","EN-301-549","EN-9.1.3.1"],all:["td-has-header"],any:[],none:[]},{id:"td-headers-attr",impact:"serious",selector:"table",matches:"table-or-grid-role-matches",tags:["cat.tables","wcag2a","wcag131","section508","section508.22.g","TTv5","TT14.b","EN-301-549","EN-9.1.3.1"],actIds:["a25f45"],all:["td-headers-attr"],any:[],none:[]},{id:"th-has-data-cells",impact:"serious",selector:"table",matches:"data-table-matches",tags:["cat.tables","wcag2a","wcag131","section508","section508.22.g","TTv5","TT14.b","EN-301-549","EN-9.1.3.1"],actIds:["d0f69e"],all:["th-has-data-cells"],any:[],none:[]},{id:"valid-lang",impact:"serious",selector:"[lang]:not(html), [xml\\\\:lang]:not\
(html)",tags:["cat.language","wcag2aa","wcag312","TTv5","TT11.b","EN-301-549","EN-9.3.1.2","ACT"],actIds:["de46e4"],all:[],any:[],none:[{options:{attributes:["lang","xml:lang"]},id:"valid-lang"}]},{id:"video-caption",impact:"critical",selector:"video",tags:["cat.text-alternatives","wcag2a","wcag122","section508","section508.22.a","TTv5","TT17.a","EN-301-549","EN-9.1.2.2"],actIds:["eac66b"],all:[],any:[],none:["caption"]}],checks:[{id:"abstractrole",evaluate:"abstractrole-evaluate"},{id:"aria-allowed-attr",evaluate:"aria-allowed-attr-evaluate",options:{validTreeRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]}},{id:"aria-allowed-role",evaluate:"aria-allowed-role-evaluate",options:{allowImplicit:!0,ignoredTags:[]}},{id:"aria-busy",evaluate:"aria-busy-evaluate",deprecated:!0},{id:"aria-conditional-attr",evaluate:"aria-conditional-attr-evaluate",options:{invalidTableRowAttrs:["aria-posinset","aria-setsize","aria-expanded","aria-level"]}},{id:"aria-errormessage",evalua\
te:"aria-errormessage-evaluate"},{id:"aria-hidden-body",evaluate:"aria-hidden-body-evaluate"},{id:"aria-level",evaluate:"aria-level-evaluate"},{id:"aria-prohibited-attr",evaluate:"aria-prohibited-attr-evaluate",options:{elementsAllowedAriaLabel:["applet","input"]}},{id:"aria-required-attr",evaluate:"aria-required-attr-evaluate"},{id:"aria-required-children",evaluate:"aria-required-children-evaluate",options:{reviewEmpty:["doc-bibliography","doc-endnotes","grid","list","listbox","menu","menubar","table","tablist","tree","treegrid","rowgroup"]}},{id:"aria-required-parent",evaluate:"aria-required-parent-evaluate",options:{ownGroupRoles:["listitem","treeitem"]}},{id:"aria-roledescription",evaluate:"aria-roledescription-evaluate",options:{supportedRoles:["button","img","checkbox","radio","combobox","menuitemcheckbox","menuitemradio"]}},{id:"aria-unsupported-attr",evaluate:"aria-unsupported-attr-evaluate"},{id:"aria-valid-attr-value",evaluate:"aria-valid-attr-value-evaluate",options:[]},{id:\
"aria-valid-attr",evaluate:"aria-valid-attr-evaluate",options:[]},{id:"braille-label-equivalent",evaluate:"braille-label-equivalent-evaluate"},{id:"braille-roledescription-equivalent",evaluate:"braille-roledescription-equivalent-evaluate"},{id:"deprecatedrole",evaluate:"deprecatedrole-evaluate"},{id:"fallbackrole",evaluate:"fallbackrole-evaluate"},{id:"has-global-aria-attribute",evaluate:"has-global-aria-attribute-evaluate"},{id:"has-widget-role",evaluate:"has-widget-role-evaluate",options:[]},{id:"invalidrole",evaluate:"invalidrole-evaluate"},{id:"is-element-focusable",evaluate:"is-element-focusable-evaluate"},{id:"no-implicit-explicit-label",evaluate:"no-implicit-explicit-label-evaluate"},{id:"unsupportedrole",evaluate:"unsupportedrole-evaluate"},{id:"valid-scrollable-semantics",evaluate:"valid-scrollable-semantics-evaluate",options:{roles:["tooltip"]}},{id:"color-contrast-enhanced",evaluate:"color-contrast-evaluate",options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue\
:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:7,minThreshold:4.5},large:{expected:4.5,minThreshold:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.1,textStrokeEmMin:.03}},{id:"color-contrast",evaluate:"color-contrast-evaluate",options:{ignoreUnicode:!0,ignoreLength:!1,ignorePseudo:!1,boldValue:700,boldTextPt:14,largeTextPt:18,contrastRatio:{normal:{expected:4.5},large:{expected:3}},pseudoSizeThreshold:.25,shadowOutlineEmMax:.2,textStrokeEmMin:.03}},{id:"link-in-text-block-style",evaluate:"link-in-text-block-style-evaluate"},{id:"link-in-text-block",evaluate:"link-in-text-block-evaluate",options:{requiredContrastRatio:3,allowSameColor:!0}},{id:"autocomplete-appropriate",evaluate:"autocomplete-appropriate-evaluate",deprecated:!0},{id:"autocomplete-valid",evaluate:"autocomplete-valid-evaluate",options:{stateTerms:["none","false","true","disabled","enabled","undefined","null"]}},{id:"accesskeys",evaluate:"accesskeys-evaluate",after:"accesskeys-after"},{id:"focusable-con\
tent",evaluate:"focusable-content-evaluate"},{id:"focusable-disabled",evaluate:"focusable-disabled-evaluate"},{id:"focusable-element",evaluate:"focusable-element-evaluate"},{id:"focusable-modal-open",evaluate:"focusable-modal-open-evaluate"},{id:"focusable-no-name",evaluate:"focusable-no-name-evaluate"},{id:"focusable-not-tabbable",evaluate:"focusable-not-tabbable-evaluate"},{id:"frame-focusable-content",evaluate:"frame-focusable-content-evaluate"},{id:"landmark-is-top-level",evaluate:"landmark-is-top-level-evaluate"},{id:"no-focusable-content",evaluate:"no-focusable-content-evaluate"},{id:"page-has-heading-one",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:"h1:not([role], [aria-level]), :is(h1, h2, h3, h4, h5, h6):not([role])[aria-level=1], [role=heading][aria-level=1]",passForModal:!0}},{id:"page-has-main",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:"main:not([role]), [role='main']",passForModal:!0}},{id:"page-\
no-duplicate-banner",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"header:not([role]), [role=banner]",role:"banner"}},{id:"page-no-duplicate-contentinfo",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"footer:not([role]), [role=contentinfo]",role:"contentinfo"}},{id:"page-no-duplicate-main",evaluate:"page-no-duplicate-evaluate",after:"page-no-duplicate-after",options:{selector:"main:not([role]), [role='main']"}},{id:"tabindex",evaluate:"tabindex-evaluate"},{id:"alt-space-value",evaluate:"alt-space-value-evaluate"},{id:"duplicate-img-label",evaluate:"duplicate-img-label-evaluate",options:{parentSelector:"button, [role=button], a[href], p, li, td, th"}},{id:"explicit-label",evaluate:"explicit-evaluate"},{id:"help-same-as-label",evaluate:"help-same-as-label-evaluate"},{id:"hidden-explicit-label",evaluate:"hidden-explicit-label-evaluate"},{id:"implicit-label",evaluate:"implicit-evaluate"},{id:"label-content\
-name-mismatch",evaluate:"label-content-name-mismatch-evaluate",options:{pixelThreshold:.1,occurrenceThreshold:3}},{id:"multiple-label",evaluate:"multiple-label-evaluate"},{id:"title-only",evaluate:"title-only-evaluate"},{id:"landmark-is-unique",evaluate:"landmark-is-unique-evaluate",after:"landmark-is-unique-after"},{id:"has-lang",evaluate:"has-lang-evaluate",options:{attributes:["lang","xml:lang"]}},{id:"valid-lang",evaluate:"valid-lang-evaluate",options:{attributes:["lang","xml:lang"]}},{id:"xml-lang-mismatch",evaluate:"xml-lang-mismatch-evaluate"},{id:"dlitem",evaluate:"dlitem-evaluate"},{id:"listitem",evaluate:"listitem-evaluate"},{id:"only-dlitems",evaluate:"invalid-children-evaluate",options:{validRoles:["definition","term","listitem"],validNodeNames:["dt","dd"],divGroups:!0}},{id:"only-listitems",evaluate:"invalid-children-evaluate",options:{validRoles:["listitem"],validNodeNames:["li"]}},{id:"structured-dlitems",evaluate:"structured-dlitems-evaluate"},{id:"caption",evaluate:"c\
aption-evaluate"},{id:"frame-tested",evaluate:"frame-tested-evaluate",after:"frame-tested-after",options:{isViolation:!1}},{id:"no-autoplay-audio",evaluate:"no-autoplay-audio-evaluate",options:{allowedDuration:3}},{id:"css-orientation-lock",evaluate:"css-orientation-lock-evaluate",options:{degreeThreshold:2}},{id:"meta-viewport-large",evaluate:"meta-viewport-scale-evaluate",options:{scaleMinimum:5,lowerBound:2}},{id:"meta-viewport",evaluate:"meta-viewport-scale-evaluate",options:{scaleMinimum:2}},{id:"target-offset",evaluate:"target-offset-evaluate",options:{minOffset:24}},{id:"target-size",evaluate:"target-size-evaluate",options:{minSize:24}},{id:"header-present",evaluate:"has-descendant-evaluate",after:"has-descendant-after",options:{selector:":is(h1, h2, h3, h4, h5, h6):not([role]), [role=heading]"}},{id:"heading-order",evaluate:"heading-order-evaluate",after:"heading-order-after"},{id:"identical-links-same-purpose",evaluate:"identical-links-same-purpose-evaluate",after:"identical-l\
inks-same-purpose-after"},{id:"internal-link-present",evaluate:"internal-link-present-evaluate"},{id:"landmark",evaluate:"has-descendant-evaluate",options:{selector:"main, [role=main]"}},{id:"meta-refresh-no-exceptions",evaluate:"meta-refresh-evaluate",options:{minDelay:72e3,maxDelay:!1}},{id:"meta-refresh",evaluate:"meta-refresh-evaluate",options:{minDelay:0,maxDelay:72e3}},{id:"p-as-heading",evaluate:"p-as-heading-evaluate",options:{margins:[{weight:150,italic:!0},{weight:150,size:1.15},{italic:!0,size:1.15},{size:1.4}],passLength:1,failLength:.5}},{id:"region",evaluate:"region-evaluate",after:"region-after",options:{regionMatcher:"dialog, [role=dialog], [role=alertdialog], svg"}},{id:"skip-link",evaluate:"skip-link-evaluate"},{id:"unique-frame-title",evaluate:"unique-frame-title-evaluate",after:"unique-frame-title-after"},{id:"duplicate-id-active",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"duplicate-id-aria",evaluate:"duplicate-id-evaluate",after:"duplicate-id\
-after"},{id:"duplicate-id",evaluate:"duplicate-id-evaluate",after:"duplicate-id-after"},{id:"aria-label",evaluate:"aria-label-evaluate"},{id:"aria-labelledby",evaluate:"aria-labelledby-evaluate"},{id:"avoid-inline-spacing",evaluate:"avoid-inline-spacing-evaluate",options:{cssProperties:["line-height","letter-spacing","word-spacing"]}},{id:"button-has-visible-text",evaluate:"has-text-content-evaluate"},{id:"doc-has-title",evaluate:"doc-has-title-evaluate"},{id:"exists",evaluate:"exists-evaluate"},{id:"has-alt",evaluate:"has-alt-evaluate"},{id:"has-visible-text",evaluate:"has-text-content-evaluate"},{id:"important-letter-spacing",evaluate:"inline-style-property-evaluate",options:{cssProperty:"letter-spacing",minValue:.12}},{id:"important-line-height",evaluate:"inline-style-property-evaluate",options:{multiLineOnly:!0,cssProperty:"line-height",minValue:1.5,normalValue:1}},{id:"important-word-spacing",evaluate:"inline-style-property-evaluate",options:{cssProperty:"word-spacing",minValue:.\
16}},{id:"is-on-screen",evaluate:"is-on-screen-evaluate"},{id:"non-empty-alt",evaluate:"attr-non-space-content-evaluate",options:{attribute:"alt"}},{id:"non-empty-if-present",evaluate:"non-empty-if-present-evaluate"},{id:"non-empty-placeholder",evaluate:"attr-non-space-content-evaluate",options:{attribute:"placeholder"}},{id:"non-empty-title",evaluate:"attr-non-space-content-evaluate",options:{attribute:"title"}},{id:"non-empty-value",evaluate:"attr-non-space-content-evaluate",options:{attribute:"value"}},{id:"presentational-role",evaluate:"presentational-role-evaluate"},{id:"role-none",evaluate:"matches-definition-evaluate",deprecated:!0,options:{matcher:{attributes:{role:"none"}}}},{id:"role-presentation",evaluate:"matches-definition-evaluate",deprecated:!0,options:{matcher:{attributes:{role:"presentation"}}}},{id:"svg-non-empty-title",evaluate:"svg-non-empty-title-evaluate"},{id:"caption-faked",evaluate:"caption-faked-evaluate"},{id:"html5-scope",evaluate:"html5-scope-evaluate"},{id\
:"same-caption-summary",evaluate:"same-caption-summary-evaluate"},{id:"scope-value",evaluate:"scope-value-evaluate",options:{values:["row","col","rowgroup","colgroup"]}},{id:"td-has-header",evaluate:"td-has-header-evaluate"},{id:"td-headers-attr",evaluate:"td-headers-attr-evaluate"},{id:"th-has-data-cells",evaluate:"th-has-data-cells-evaluate"},{id:"hidden-content",evaluate:"hidden-content-evaluate"}]})}("object"==typeof window?window:this);`});function UX(e){return(!e||typeof e=="string")&&(e=new Error(e)),{__failedInBrowser:!0,name:e.name||"Error",message:e.message||"unknown error",stack:e.stack}}function jX(e){let t=window.__ElementMatches||window.Element.prototype.matches,n=[],r=s(a=>{for(let o of a){if(!e||t.call(o,e)){let i=o;n.push(i)}o.shadowRoot&&r(o.shadowRoot.querySelectorAll("*"))}},"_findAllElements");return r(document.querySelectorAll("*")),n}function eu(e,t=[],n=500){let a=["autofill-information","autofill-prediction","title"];e instanceof ShadowRoot&&(e=e.host);try{let o=e.cloneNode();e.ownerDocument.createElement("template").content.append(o),t.concat(a).forEach(m=>{o.removeAttribute(m)});let c=0;for(let m of o.getAttributeNames()){if(c>n){o.removeAttribute(m);continue}let p=o.getAttribute(m);if(p===null)continue;let h=!1;if(m==="src"&&"currentSrc"in e){let y=e,v=y.currentSrc,w=y.ownerDocument.location.href;new URL(p,w).toString()!==v&&(p=v,h=!0)}let f=Na(p,75);if(f!==p&&(h=!0),p=f,h)if(m==="style"){let y=o;y.
style.cssText=p}else o.setAttribute(m,p);c+=m.length+p.length}let u=/^[\s\S]*?>/,[d]=o.outerHTML.match(u)||[];return d&&c>n?d.slice(0,d.length-1)+" …>":d||""}catch{return`<${e.localName}>`}}function qX(){function e(){let n=Date.now(),r=0;for(;Date.now()-n<500;){let o="";for(let i=0;i<1e4;i++)o+="a";if(o.length===1)throw new Error("will never happen, but prevents compiler optimizations");r++}let a=(Date.now()-n)/1e3;return Math.round(r/10/a)}s(e,"benchmarkIndexGC");function t(){let n=[],r=[];for(let c=0;c<1e5;c++)n[c]=r[c]=c;let a=Date.now(),o=0;for(;o%10!==0||Date.now()-a<500;){let c=o%2===0?n:r,u=o%2===0?r:n;for(let d=0;d<c.length;d++)u[d]=c[d];o++}let i=(Date.now()-a)/1e3;return Math.round(o/10/i)}return s(t,"benchmarkIndexNoGC"),(e()+t())/2}function Zg(e){let t=s(i=>i.nodeType===Node.DOCUMENT_FRAGMENT_NODE,"isShadowRoot"),n=s(i=>t(i)?i.host:i.parentNode,"getNodeParent");function r(i){if(t(i))return"a";let c=0,u;for(;u=i.previousSibling;)i=u,!(i.nodeType===Node.TEXT_NODE&&(i.nodeValue||
"").trim().length===0)&&c++;return c}s(r,"getNodeIndex");let a=e,o=[];for(;a&&n(a);){let i=r(a);o.push([i,a.nodeName]),a=n(a)}return o.reverse(),o.join(",")}function Qg(e){function t(r){let a=r.tagName.toLowerCase();return r.id?a+="#"+r.id:r.classList.length>0&&(a+="."+r.classList[0]),a}s(t,"getSelectorPart");let n=[];for(;n.length<4&&(n.unshift(t(e)),!(!e.parentElement||(e=e.parentElement,e.tagName==="HTML"))););return n.join(" > ")}function zX(e){function t(a,o){return a.style[o]||window.getComputedStyle(a)[o]}s(t,"getStyleAttrValue");let n=document.querySelector("html");if(!n)throw new Error("html element not found in document");if(n.scrollHeight<=n.clientHeight||!["scroll","auto","visible"].includes(t(n,"overflowY")))return!1;let r=e;for(;r;){let a=t(r,"position");if(a==="fixed"||a==="sticky")return!0;r=r.parentElement}return!1}function Yi(e){let t=e.tagName.toLowerCase();if(t!=="html"&&t!=="body"){let n=e instanceof HTMLElement&&e.innerText||e.getAttribute("alt")||e.getAttribute("\
aria-label");if(n)return Na(n,80);{let r=e.querySelector("[alt], [aria-label]");if(r)return Yi(r)}}return null}function ey(e){let n=(window.__HTMLElementBoundingClientRect||window.HTMLElement.prototype.getBoundingClientRect).call(e);return{top:Math.round(n.top),bottom:Math.round(n.bottom),left:Math.round(n.left),right:Math.round(n.right),width:Math.round(n.width),height:Math.round(n.height)}}function HX(e){let n=Math.floor(40/e),r=window.requestIdleCallback;window.requestIdleCallback=(a,o)=>r(s(c=>{let u=Date.now();c.__timeRemaining=c.timeRemaining,c.timeRemaining=()=>{let d=c.__timeRemaining();return Math.min(d,Math.max(0,n-(Date.now()-u)))},c.timeRemaining.toString=()=>"function timeRemaining() { [native code] }",a(c)},"cbWrap"),o),window.requestIdleCallback.toString=()=>"function requestIdleCallback() { [native code] }"}function Zm(e){window.__lighthouseNodesDontTouchOrAllVarianceGoesAway||(window.__lighthouseNodesDontTouchOrAllVarianceGoesAway=new Map),e=e instanceof ShadowRoot?e.host:
e;let t=Qg(e),n=window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.get(e);return n||(n=[window.__lighthouseExecutionContextUniqueIdentifier===void 0?"page":window.__lighthouseExecutionContextUniqueIdentifier,window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.size,e.tagName].join("-"),window.__lighthouseNodesDontTouchOrAllVarianceGoesAway.set(e,n)),{lhId:n,devtoolsNodePath:Zg(e),selector:t,boundingRect:ey(e),snippet:eu(e),nodeLabel:Yi(e)||t}}function Na(e,t){return Ne.truncate(e,t)}function WX(){if(globalThis.isDevtools||globalThis.isLightrider)return!0;let e=Ro("core/lib/page-functions.js");try{return e.resolve("lighthouse-logger"),!1}catch{return!0}}function VX(){if(!WX())return"";let t=(()=>{let a=s(()=>{},"a")}).toString().replace("/* @__PURE__ */","").match(/=\s*([\w_]+)\(/);if(!t)throw new Error("Could not determine esbuild function wrapper name");let n=s((a,o)=>Object.defineProperty(a,"name",{value:o,configurable:!0}),"esbuildFunctionWrapper");return`let ${t[1]}=${n}`}function Qc(e){
let t=e.toString().match(/function ([\w$]+)/);if(!t)throw new Error(`could not find function name for: ${e}`);return t[1]}var GX,Qm,VM,$M,$X,Ue,xn=g(()=>{"use strict";l();Oi();Nn();s(UX,"wrapRuntimeEvalErrorInBrowser");s(jX,"getElementsInDocument");s(eu,"getOuterHTMLSnippet");s(qX,"computeBenchmarkIndex");s(Zg,"getNodePath");s(Qg,"getNodeSelector");s(zX,"isPositionFixed");s(Yi,"getNodeLabel");s(ey,"getBoundingClientRect");s(HX,"wrapRequestIdleCallback");s(Zm,"getNodeDetails");s(Na,"truncate");s(WX,"isBundledEnvironment");GX=VX();s(VX,"createEsbuildFunctionWrapper");s(Qc,"getRuntimeFunctionName");Qm={truncate:Qc(Na),getNodeLabel:Qc(Yi),getOuterHTMLSnippet:Qc(eu),getNodeDetails:Qc(Zm)};Na.toString=()=>`function ${Qm.truncate}(string, characterLimit) {
  const Util = { ${Ne.truncate} };
  return Util.truncate(string, characterLimit);
}`;VM=Yi.toString();Yi.toString=()=>`function ${Qm.getNodeLabel}(element) {
  ${Na};
  return (${VM})(element);
}`;$M=eu.toString();eu.toString=()=>`function ${Qm.getOuterHTMLSnippet}(element, ignoreAttrs = [], snippetCharacterLimit = 500) {
  ${Na};
  return (${$M})(element, ignoreAttrs, snippetCharacterLimit);
}`;$X=Zm.toString();Zm.toString=()=>`function ${Qm.getNodeDetails}(element) {
  ${Na};
  ${Zg};
  ${Qg};
  ${ey};
  ${$M};
  ${VM};
  return (${$X})(element);
}`;Ue={wrapRuntimeEvalErrorInBrowser:UX,getElementsInDocument:jX,getOuterHTMLSnippet:eu,computeBenchmarkIndex:qX,getNodeDetails:Zm,getNodePath:Zg,getNodeSelector:Qg,getNodeLabel:Yi,isPositionFixed:zX,wrapRequestIdleCallback:HX,getBoundingClientRect:ey,truncate:Na,esbuildFunctionWrapperString:GX,getRuntimeFunctionName:Qc}});var YM={};x(YM,{default:()=>KX});async function ty(){let e=window.axe,t=`lighthouse-${Math.random()}`;e.configure({branding:{application:t},noHtml:!0});let n=await e.run(document,{elementRef:!0,runOnly:{type:"tag",values:["wcag2a","wcag2aa"]},resultTypes:["violations","inapplicable"],rules:{accesskeys:{enabled:!0},"area-alt":{enabled:!1},"aria-allowed-role":{enabled:!0},"aria-braille-equivalent":{enabled:!1},"aria-conditional-attr":{enabled:!0},"aria-deprecated-role":{enabled:!0},"aria-dialog-name":{enabled:!0},"aria-prohibited-attr":{enabled:!0},"aria-roledescription":{enabled:!1},"aria-treeitem-name":{enabled:!0},"aria-text":{enabled:!0},"audio-caption":{enabled:!1},blink:{enabled:!1},"duplicate-id":{enabled:!1},"empty-heading":{enabled:!0},"frame-focusable-content":{enabled:!1},"frame-title-unique":{enabled:!1},"heading-order":{enabled:!0},"html-xml-lang-mismatch":{enabled:!0},"identical-links-same-purpose":{enabled:!0},"image-redundant-alt":{enabled:!0},"input-button-name":{enabled:!0},
"label-content-name-mismatch":{enabled:!0},"landmark-one-main":{enabled:!0},"link-in-text-block":{enabled:!0},marquee:{enabled:!1},"meta-viewport":{enabled:!0},"nested-interactive":{enabled:!1},"no-autoplay-audio":{enabled:!1},"role-img-alt":{enabled:!1},"scrollable-region-focusable":{enabled:!1},"select-name":{enabled:!0},"server-side-image-map":{enabled:!1},"skip-link":{enabled:!0},"svg-img-alt":{enabled:!1},tabindex:{enabled:!0},"table-duplicate-name":{enabled:!0},"table-fake-caption":{enabled:!0},"target-size":{enabled:!0},"td-has-header":{enabled:!0}}});return document.documentElement.scrollTop=0,{violations:n.violations.map(ep),incomplete:n.incomplete.map(ep),notApplicable:n.inapplicable.map(r=>({id:r.id})),passes:n.passes.map(r=>({id:r.id})),version:n.testEngine.version}}async function YX(){let e={x:window.scrollX,y:window.scrollY};try{return await ty()}finally{window.scrollTo(e.x,e.y)}}function ep(e){let t=e.nodes.map(a=>{let{target:o,failureSummary:i,element:c}=a,u=getNodeDetails(
c),d=new Set,m=s(f=>[null,"minor","moderate","serious","critical"].indexOf(f),"impactToNumber"),p=[...a.any,...a.all,...a.none].sort((f,y)=>m(y.impact)-m(f.impact));for(let f of p)for(let y of f.relatedNodes||[]){let v=y.element;if(d.size>=3)break;v&&c!==v&&d.add(v)}let h=[...d].map(getNodeDetails);return{target:o,failureSummary:i,node:u,relatedNodes:h}}),n=e.error,r;return n instanceof Error&&(r={name:n.name,message:n.message}),{id:e.id,impact:e.impact||void 0,tags:e.tags,nodes:t,error:r}}var ny,KX,KM=g(()=>{"use strict";l();Ge();GM();xn();s(ty,"runA11yChecks");s(YX,"runA11yChecksAndResetScroll");s(ep,"createAxeRuleResultArtifact");ny=class extends Z{static{s(this,"Accessibility")}meta={supportedModes:["snapshot","navigation"]};static pageFns={runA11yChecks:ty,createAxeRuleResultArtifact:ep};getArtifact(t){return t.driver.executionContext.evaluate(YX,{args:[],useIsolation:!0,deps:[WM,Ue.getNodeDetails,ep,ty]})}},KX=ny});function JM(e){if(!(/No node.*found/.test(e.message)||/Node.*does not belong to the document/.test(e.message)))throw e}async function XM(e,t){try{return(await e.sendCommand("DOM.resolveNode",{backendNodeId:t})).object.objectId}catch(n){return JM(n)}}async function ZM(e,t){try{let{nodeId:n}=await e.sendCommand("DOM.pushNodeByPathToFrontend",{path:t}),{object:{objectId:r}}=await e.sendCommand("DOM.resolveNode",{nodeId:n});return r}catch(n){return JM(n)}}var ry=g(()=>{"use strict";l();s(JM,"handlePotentialMissingNodeError");s(XM,"resolveNodeIdToObjectId");s(ZM,"resolveDevtoolsNodePathToObjectId")});var QM={};x(QM,{default:()=>ZX});function JX(){let e=s(r=>{try{return new URL(r,window.location.href).href}catch{return""}},"resolveURLOrEmpty");function t(r){return(r.getAttribute("onclick")||"").slice(0,1024)}return s(t,"getTruncatedOnclick"),getElementsInDocument("a").map(r=>r instanceof HTMLAnchorElement?{href:r.href,rawHref:r.getAttribute("href")||"",onclick:t(r),role:r.getAttribute("role")||"",name:r.name,text:r.innerText,rel:r.rel,target:r.target,id:r.getAttribute("id")||"",node:getNodeDetails(r)}:{href:e(r.href.baseVal),rawHref:r.getAttribute("href")||"",onclick:t(r),role:r.getAttribute("role")||"",text:r.textContent||"",rel:"",target:r.target.baseVal||"",id:r.getAttribute("id")||"",node:getNodeDetails(r)})}async function XX(e,t){let n=await ZM(e,t);return n?(await e.sendCommand("DOMDebugger.getEventListeners",{objectId:n})).listeners.map(({type:a})=>({type:a})):[]}var ay,ZX,eN=g(()=>{"use strict";l();Ge();xn();ry();s(JX,"collectAnchorElements");s(XX,"getEventListeners");ay=class extends Z{static{
s(this,"AnchorElements")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(t){let n=t.driver.defaultSession,r=await t.driver.executionContext.evaluate(JX,{args:[],useIsolation:!0,deps:[Ue.getElementsInDocument,Ue.getNodeDetails]});await n.sendCommand("DOM.enable"),await n.sendCommand("DOM.getDocument",{depth:-1,pierce:!0});let a=r.map(async i=>{let c=await XX(n,i.node.devtoolsNodePath);return{...i,listeners:c}}),o=await Promise.all(a);return await n.sendCommand("DOM.disable"),o}},ZX=ay});var Pa,tp=g(()=>{"use strict";l();Kt();xn();Pa=class e{static{s(this,"ExecutionContext")}constructor(t){this._session=t,this._executionContextId=void 0,this._executionContextIdentifiersCreated=0,t.on("Page.frameNavigated",()=>this.clearContextId()),t.on("Runtime.executionContextDestroyed",n=>{n.executionContextId===this._executionContextId&&this.clearContextId()})}getContextId(){return this._executionContextId}clearContextId(){this._executionContextId=void 0}async _getOrCreateIsolatedContextId(){if(typeof this._executionContextId=="number")return this._executionContextId;await this._session.sendCommand("Page.enable"),await this._session.sendCommand("Runtime.enable");let n=(await this._session.sendCommand("Page.getFrameTree")).frameTree.frame.id,r=await this._session.sendCommand("Page.createIsolatedWorld",{frameId:n,worldName:"lighthouse_isolated_context"});return this._executionContextId=r.executionContextId,this._executionContextIdentifiersCreated++,r.executionContextId}async _evaluateInContext(t,n,r){
let a=n===void 0?void 0:this._executionContextIdentifiersCreated,o={expression:`(function wrapInNativePromise() {
        ${e._cachedNativesPreamble};
        globalThis.__lighthouseExecutionContextUniqueIdentifier =
          ${a};
        ${Ue.esbuildFunctionWrapperString}
        return new Promise(function (resolve) {
          return Promise.resolve()
            .then(_ => ${t})
            .catch(${Ue.wrapRuntimeEvalErrorInBrowser})
            .then(resolve);
        });
      }())
      //# sourceURL=_lighthouse-eval.js`,includeCommandLineAPI:!0,awaitPromise:!0,returnByValue:!0,timeout:r,contextId:n};this._session.setNextProtocolTimeout(r);let i=await this._session.sendCommand("Runtime.evaluate",o),c=i.exceptionDetails;if(c){let m=["Runtime.evaluate exception",`Expression: ${t.replace(/\s+/g," ").substring(0,100)}
---- (elided)`,c.stackTrace?null:`Parse error at: ${c.lineNumber+1}:${c.columnNumber+1}`,c.exception?.description||c.text].filter(Boolean),p=new Error(m.join(`
`));return Promise.reject(p)}if(i.result===void 0)return Promise.reject(new Error('Runtime.evaluate response did not contain a "result" object'));let u=i.result.value;return u?.__failedInBrowser?Promise.reject(Object.assign(new Error,u)):u}async evaluateAsync(t,n={}){let r=this._session.hasNextProtocolTimeout()?this._session.getNextProtocolTimeout():6e4,a=n.useIsolation?await this._getOrCreateIsolatedContextId():void 0;try{return await this._evaluateInContext(t,a,r)}catch(o){if(a&&o.message.includes("Cannot find context")){this.clearContextId();let i=await this._getOrCreateIsolatedContextId();return this._evaluateInContext(t,i,r)}throw o}}evaluate(t,n){let r=e.serializeArguments(n.args),o=`(() => {
      ${e.serializeDeps(n.deps)}
      return (${t})(${r});
    })()`;return this.evaluateAsync(o,n)}async evaluateOnNewDocument(t,n){let r=e.serializeArguments(n.args),a=e.serializeDeps(n.deps),o=`(() => {
      ${e._cachedNativesPreamble};
      ${a};
      (${t})(${r});
    })()
    //# sourceURL=_lighthouse-eval.js`;await this._session.sendCommand("Page.addScriptToEvaluateOnNewDocument",{source:o})}async cacheNativesOnNewDocument(){await this.evaluateOnNewDocument(()=>{window.__nativePromise=window.Promise,window.__nativeURL=window.URL,window.__nativePerformance=window.performance,window.__nativeFetch=window.fetch,window.__ElementMatches=window.Element.prototype.matches,window.__HTMLElementBoundingClientRect=window.HTMLElement.prototype.getBoundingClientRect},{args:[]})}static _cachedNativesPreamble=["const Promise = globalThis.__nativePromise || globalThis.Promise","const URL = globalThis.__nativeURL || globalThis.URL","const performance = globalThis.__nativePerformance || globalThis.performance","const fetch = globalThis.__nativeFetch || globalThis.fetch"].join(`;
`);static serializeArguments(t){return t.map(n=>n===void 0?"undefined":JSON.stringify(n)).join(",")}static serializeDeps(t){return t=[Ue.esbuildFunctionWrapperString,...t||[]],t.map(n=>{if(typeof n=="function"){let r=n.toString(),a=Ue.getRuntimeFunctionName(n);return a!==n.name?`${r}; const ${n.name} = ${a};`:r}else return n}).join(`
`)}}});function tN(){return{promise:Promise.resolve(),cancel(){}}}function np(e){let t=s(()=>{throw new Error("waitForFrameNavigated.cancel() called before it was defined")},"cancel");return{promise:new Promise((r,a)=>{e.once("Page.frameNavigated",r),t=s(()=>{e.off("Page.frameNavigated",r),a(new Error("Wait for navigated cancelled"))},"cancel")}),cancel:t}}function QX(e,t,n){let r=s(()=>{throw new Error("waitForFcp.cancel() called before it was defined")},"cancel");return{promise:new Promise((o,i)=>{let c=setTimeout(()=>{i(new H(H.errors.NO_FCP))},n),u,d=s(p=>{p.name==="firstContentfulPaint"&&(u=setTimeout(()=>{o(),r()},t))},"lifecycleListener");e.on("Page.lifecycleEvent",d);let m=!1;r=s(()=>{m||(m=!0,e.off("Page.lifecycleEvent",d),c&&clearTimeout(c),u&&clearTimeout(u),i(new Error("Wait for FCP canceled")))},"cancel")}),cancel:r}}function oy(e,t,n){let r=!1,a,o=s(()=>{throw new Error("waitForNetworkIdle.cancel() called before it was defined")},"cancel"),{networkQuietThresholdMs:i,busyEvent:c,
idleEvent:u,isIdle:d}=n;return{promise:new Promise((p,h)=>{let f=s(()=>{t.once(c,y),a=setTimeout(()=>{o(),p()},i)},"onIdle"),y=s(()=>{t.once(u,f),a&&clearTimeout(a)},"onBusy"),v=s(()=>{r=!0,d(t)?f():y()},"domContentLoadedListener"),w=s(()=>{if(!r){M.verbose("waitFor","Waiting on DomContentLoaded");return}let T=t.getInflightRequests();if(M.isVerbose()&&T.length<20&&T.length>0){M.verbose("waitFor",`=== Waiting on ${T.length} requests to finish`);for(let S of T)M.verbose("waitFor",`Waiting on ${S.url.slice(0,120)} to finish`)}},"logStatus");t.on("requeststarted",w),t.on("requestfinished",w),t.on(c,w),n.pretendDCLAlreadyFired?v():e.once("Page.domContentEventFired",v);let E=!1;o=s(()=>{E||(E=!0,a&&clearTimeout(a),n.pretendDCLAlreadyFired||e.off("Page.domContentEventFired",v),t.removeListener(c,y),t.removeListener(u,f),t.removeListener("requeststarted",w),t.removeListener("requestfinished",w),t.removeListener(c,w))},"cancel")}),cancel:o}}function eZ(e,t){if(!t)return{promise:Promise.resolve(),
cancel:()=>{}};let n,r=!1;async function a(u,d){if(r)return;let m=await u.evaluate(nZ,{args:[],useIsolation:!0});if(!r&&typeof m=="number")if(m>=t)M.verbose("waitFor",`CPU has been idle for ${m} ms`),d();else{M.verbose("waitFor",`CPU has been idle for ${m} ms`);let p=t-m;n=setTimeout(()=>a(u,d),p)}}s(a,"checkForQuiet");let o=s(()=>{throw new Error("waitForCPUIdle.cancel() called before it was defined")},"cancel"),i=new Pa(e);return{promise:new Promise((u,d)=>{i.evaluate(tZ,{args:[],useIsolation:!0}).then(()=>a(i,u)).catch(d),o=s(()=>{r||(r=!0,n&&clearTimeout(n),d(new Error("Wait for CPU idle canceled")))},"cancel")}),cancel:o}}function tZ(){if(window.____lastLongTask!==void 0)return;window.____lastLongTask=performance.now(),new window.PerformanceObserver(t=>{let n=t.getEntries();for(let r of n)if(r.entryType==="longtask"){let a=r.startTime+r.duration;window.____lastLongTask=Math.max(window.____lastLongTask||0,a)}}).observe({type:"longtask",buffered:!0})}function nZ(){return new Promise(
e=>{let t=performance.now(),n=window.____lastLongTask||0;setTimeout(()=>{let r=window.____lastLongTask||0,a=n===r?t-n:0;e(a)},150)})}function iy(e,t){let n=s(()=>{throw new Error("waitForLoadEvent.cancel() called before it was defined")},"cancel");return{promise:new Promise((a,o)=>{let i,c=s(function(){i=setTimeout(a,t)},"loadListener");e.once("Page.loadEventFired",c);let u=!1;n=s(()=>{u||(u=!0,e.off("Page.loadEventFired",c),i&&clearTimeout(i))},"cancel")}),cancel:n}}async function rZ(e){try{return e.setNextProtocolTimeout(1e3),await e.sendCommand("Runtime.evaluate",{expression:'"ping"',returnByValue:!0,timeout:1e3}),!1}catch{return!0}}async function nN(e,t,n){let{pauseAfterFcpMs:r,pauseAfterLoadMs:a,networkQuietThresholdMs:o,cpuQuietThresholdMs:i,maxWaitForLoadedMs:c,maxWaitForFcpMs:u}=n,{waitForFcp:d,waitForLoadEvent:m,waitForNetworkIdle:p,waitForCPUIdle:h}=n._waitForTestOverrides||aZ,f,y=u?d(e,r,u):tN(),v=m(e,a),w=p(e,t,{networkQuietThresholdMs:o,busyEvent:"network-2-busy",idleEvent:"\
network-2-idle",isIdle:L=>L.is2Idle()}),E=p(e,t,{networkQuietThresholdMs:o,busyEvent:"network-critical-busy",idleEvent:"network-critical-idle",isIdle:L=>L.isCriticalIdle()}),T=tN();M.isVerbose()&&(y.promise.then(()=>{M.verbose("waitFor","resolveOnFcp fired")}),v.promise.then(()=>{M.verbose("waitFor","resolveOnLoadEvent fired")}),w.promise.then(()=>{M.verbose("waitFor","resolveOnNetworkIdle fired")}),E.promise.then(()=>{M.verbose("waitFor","resolveOnCriticalNetworkIdle fired")}));let S=Promise.all([y.promise,v.promise,w.promise,E.promise]).then(()=>(T=h(e,i),T.promise)).then(()=>s(async function(){return M.verbose("waitFor","loadEventFired and network considered idle"),{timedOut:!1}},"cleanupFn")).catch(L=>function(){throw L}),C=new Promise((L,N)=>{f=setTimeout(L,c)}).then(L=>async()=>{if(M.warn("waitFor","Timed out waiting for page load. Checking if page is hung..."),await rZ(e))throw M.warn("waitFor","Page appears to be hung, killing JavaScript..."),e.sendCommandAndIgnore("Emulation.s\
etScriptExecutionDisabled",{value:!0}),e.sendCommandAndIgnore("Runtime.terminateExecution"),new H(H.errors.PAGE_HUNG);let N=t.getInflightRequests().map(W=>W.url);return N.length>0&&M.warn("waitFor","Remaining inflight requests URLs",N),{timedOut:!0}}),F=await Promise.race([S,C]);return f&&clearTimeout(f),y.cancel(),v.cancel(),w.cancel(),T.cancel(),F()}function rN(e){function t(){let n=s(()=>{},"resolve"),r=new Promise(a=>n=a);return console.log(["You have enabled Lighthouse navigation debug mode.",'When you have finished inspecting the page, evaluate "continueLighthouseRun()"',"in the console to continue with the Lighthouse run."].join(" ")),window.continueLighthouseRun=n,r}return s(t,"createInPagePromise"),e.defaultSession.setNextProtocolTimeout(1/0),e.executionContext.evaluate(t,{args:[]})}var aZ,rp=g(()=>{"use strict";l();Me();_t();tp();s(tN,"waitForNothing");s(np,"waitForFrameNavigated");s(QX,"waitForFcp");s(oy,"waitForNetworkIdle");s(eZ,"waitForCPUIdle");s(tZ,"registerPerformanceO\
bserverInPage");s(nZ,"checkTimeSinceLastLongTaskInPage");s(iy,"waitForLoadEvent");s(rZ,"isPageHung");aZ={waitForFcp:QX,waitForLoadEvent:iy,waitForCPUIdle:eZ,waitForNetworkIdle:oy};s(nN,"waitForFullyLoaded");s(rN,"waitForUserToContinue")});var aN={};x(aN,{DevtoolsMessageLog:()=>ap,default:()=>qt});var sy,ap,qt,dr=g(()=>{"use strict";l();Ge();sy=class e extends Z{static{s(this,"DevtoolsLog")}static symbol=Symbol("DevtoolsLog");meta={symbol:e.symbol,supportedModes:["timespan","navigation"]};constructor(){super(),this._messageLog=new ap(/^(Page|Network|Target|Runtime)\./),this._onProtocolMessage=t=>this._messageLog.record(t)}async startSensitiveInstrumentation({driver:t}){this._messageLog.reset(),this._messageLog.beginRecording(),t.targetManager.on("protocolevent",this._onProtocolMessage),await t.defaultSession.sendCommand("Page.enable")}async stopSensitiveInstrumentation({driver:t}){this._messageLog.endRecording(),t.targetManager.off("protocolevent",this._onProtocolMessage)}getDebugData(){return this._messageLog.messages}async getArtifact(){return this._messageLog.messages}},ap=class{static{s(this,"DevtoolsMessageLog")}constructor(t){this._filter=t,this._messages=[],this._isRecording=!1}get messages(){return this._messages}reset(){
this._messages=[]}beginRecording(){this._isRecording=!0}endRecording(){this._isRecording=!1}record(t){this._isRecording&&typeof t.method=="string"&&(this._filter&&!this._filter.test(t.method)||this._messages.push(t))}},qt=sy});var oN={};x(oN,{default:()=>sZ});var oZ,iZ,cy,sZ,iN=g(()=>{"use strict";l();Ge();rp();dr();oZ=100,iZ=100,cy=class e extends Z{static{s(this,"BFCacheFailures")}meta={supportedModes:["navigation","timespan"],dependencies:{DevtoolsLog:qt.symbol}};static processBFCacheEventList(t){let n={Circumstantial:{},PageSupportNeeded:{},SupportPending:{}};for(let r of t){let a=n[r.type];a[r.reason]=[]}return{notRestoredReasonsTree:n}}static processBFCacheEventTree(t){let n={Circumstantial:{},PageSupportNeeded:{},SupportPending:{}};function r(a){for(let o of a.explanations){let i=n[o.type],c=i[o.reason]||[];c.push(a.url),i[o.reason]=c}for(let o of a.children)r(o)}return s(r,"traverse"),r(t),{notRestoredReasonsTree:n}}static processBFCacheEvent(t){return t?.notRestoredExplanationsTree?e.processBFCacheEventTree(t.notRestoredExplanationsTree):e.processBFCacheEventList(t?.notRestoredExplanations||[])}async activelyCollectBFCacheEvent(t){let n=t.driver.defaultSession,r;function a(u){r=u}s(a,"onBfCacheNotUs\
ed"),n.on("Page.backForwardCacheNotUsed",a);let o=await n.sendCommand("Page.getNavigationHistory"),i=o.entries[o.currentIndex];await Promise.all([n.sendCommand("Page.navigate",{url:"chrome://terms"}),iy(n,iZ).promise]);let[,c]=await Promise.all([n.sendCommand("Page.navigateToHistoryEntry",{entryId:i.id}),np(n).promise]);if(await new Promise(u=>setTimeout(u,oZ)),c.type!=="BackForwardCacheRestore"&&!r)throw new Error("bfcache failed but the failure reasons were not emitted in time");return n.off("Page.backForwardCacheNotUsed",a),r}passivelyCollectBFCacheEvents(t){let n=[];for(let r of t.dependencies.DevtoolsLog)r.method==="Page.backForwardCacheNotUsed"&&n.push(r.params);return n}async getArtifact(t){let n=this.passivelyCollectBFCacheEvents(t);if(t.gatherMode==="navigation"&&!t.settings.usePassiveGathering){let r=await this.activelyCollectBFCacheEvent(t);r&&n.push(r)}return n.map(e.processBFCacheEvent)}},sZ=cy});var sN={};x(sN,{default:()=>uZ});function cZ(){return caches.keys().then(e=>Promise.all(e.map(t=>caches.open(t)))).then(e=>{let t=[];return Promise.all(e.map(n=>n.keys().then(r=>{t.push(...r.map(a=>a.url))}))).then(n=>t)})}var uy,uZ,cN=g(()=>{"use strict";l();Ge();s(cZ,"getCacheContents");uy=class extends Z{static{s(this,"CacheContents")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(t){return await t.driver.executionContext.evaluate(cZ,{args:[]})}},uZ=uy});var uN={};x(uN,{default:()=>dZ});function lZ(e){if(typeof e.value<"u"||e.type==="undefined")return String(e.value);if(typeof e.description=="string"&&e.description!==e.className)return e.description;let t=e.subtype||e.type,n=e.className||"Object";return`[${t} ${n}]`}var ly,dZ,lN=g(()=>{"use strict";l();Ge();s(lZ,"remoteObjectToString");ly=class extends Z{static{s(this,"ConsoleMessages")}meta={supportedModes:["timespan","navigation"]};constructor(){super(),this._logEntries=[],this._onConsoleAPICalled=this.onConsoleAPICalled.bind(this),this._onExceptionThrown=this.onExceptionThrown.bind(this),this._onLogEntryAdded=this.onLogEntry.bind(this)}onConsoleAPICalled(t){let{type:n}=t;if(n!=="warning"&&n!=="error")return;let a=(t.args||[]).map(lZ).join(" ");if(!a&&!t.stackTrace)return;let{url:o,lineNumber:i,columnNumber:c}=t.stackTrace?.callFrames[0]||{},u={eventType:"consoleAPI",source:n==="warning"?"console.warn":"console.error",level:n,text:a,stackTrace:t.stackTrace,timestamp:t.timestamp,url:o,
lineNumber:i,columnNumber:c};this._logEntries.push(u)}onExceptionThrown(t){let n=t.exceptionDetails.exception?t.exceptionDetails.exception.description:t.exceptionDetails.text;if(!n)return;let r={eventType:"exception",source:"exception",level:"error",text:n,stackTrace:t.exceptionDetails.stackTrace,timestamp:t.timestamp,url:t.exceptionDetails.url,scriptId:t.exceptionDetails.scriptId,lineNumber:t.exceptionDetails.lineNumber,columnNumber:t.exceptionDetails.columnNumber};this._logEntries.push(r)}onLogEntry(t){let{source:n,level:r,text:a,stackTrace:o,timestamp:i,url:c,lineNumber:u}=t.entry,d=t.entry.stackTrace?.callFrames[0];this._logEntries.push({eventType:"protocolLog",source:n,level:r,text:a,stackTrace:o,timestamp:i,url:c,scriptId:d?.scriptId,lineNumber:u,columnNumber:d?.columnNumber})}async startInstrumentation(t){let n=t.driver.defaultSession;n.on("Log.entryAdded",this._onLogEntryAdded),await n.sendCommand("Log.enable"),await n.sendCommand("Log.startViolationsReport",{config:[{name:"dis\
couragedAPIUse",threshold:-1}]}),n.on("Runtime.consoleAPICalled",this._onConsoleAPICalled),n.on("Runtime.exceptionThrown",this._onExceptionThrown),await n.sendCommand("Runtime.enable")}async stopInstrumentation({driver:t}){await t.defaultSession.sendCommand("Log.stopViolationsReport"),await t.defaultSession.off("Log.entryAdded",this._onLogEntryAdded),await t.defaultSession.sendCommand("Log.disable"),await t.defaultSession.off("Runtime.consoleAPICalled",this._onConsoleAPICalled),await t.defaultSession.off("Runtime.exceptionThrown",this._onExceptionThrown),await t.defaultSession.sendCommand("Runtime.disable")}async getArtifact(){return this._logEntries}},dZ=ly});var dN={};x(dN,{default:()=>mZ});var dy,mZ,mN=g(()=>{"use strict";l();Ge();dy=class extends Z{static{s(this,"CSSUsage")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(t){let n=t.driver.defaultSession,r=t.driver.executionContext;await n.sendCommand("DOM.enable"),await n.sendCommand("CSS.enable"),await n.sendCommand("CSS.startRuleUsageTracking"),await r.evaluateAsync("getComputedStyle(document.body)");let{ruleUsage:a}=await n.sendCommand("CSS.stopRuleUsageTracking");return await n.sendCommand("CSS.disable"),await n.sendCommand("DOM.disable"),a}},mZ=dy});var pN={};x(pN,{default:()=>pZ});var my,pZ,fN=g(()=>{"use strict";l();dr();Ge();my=class extends Z{static{s(this,"DevtoolsLogCompat")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:qt.symbol}};async getArtifact(t){return{defaultPass:t.dependencies.DevtoolsLog}}},pZ=my});var hN={};x(hN,{default:()=>hZ});function fZ(){if(!document.doctype)return null;let e=document.compatMode,{name:t,publicId:n,systemId:r}=document.doctype;return{name:t,publicId:n,systemId:r,documentCompatMode:e}}var py,hZ,gN=g(()=>{"use strict";l();Ge();s(fZ,"getDoctype");py=class extends Z{static{s(this,"Doctype")}meta={supportedModes:["snapshot","navigation"]};getArtifact(t){return t.driver.executionContext.evaluate(fZ,{args:[],useIsolation:!0})}},hZ=py});var yN={};x(yN,{default:()=>yZ});function gZ(e=document.body,t=!0){let n=null,r=-1,a=-1,o=0,i=null,c=s(function(d,m=1){m>r&&(n=d,r=m),d.children.length>a&&(i=d,a=d.children.length);let p=d.firstElementChild;for(;p;)c(p,m+1),t&&p.shadowRoot&&c(p.shadowRoot,m+1),p=p.nextElementSibling,o++;return{maxDepth:r,maxWidth:a,numElements:o}},"_calcDOMWidthAndHeight"),u=c(e);return{depth:{max:u.maxDepth,...getNodeDetails(n)},width:{max:u.maxWidth,...getNodeDetails(i)},totalBodyElements:u.numElements}}var fy,yZ,vN=g(()=>{"use strict";l();Ge();xn();s(gZ,"getDOMStats");fy=class extends Z{static{s(this,"DOMStats")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(t){let n=t.driver;await n.defaultSession.sendCommand("DOM.enable");let r=await n.executionContext.evaluate(gZ,{args:[],useIsolation:!0,deps:[Ue.getNodeDetails]});return await n.defaultSession.sendCommand("DOM.disable"),r}},yZ=fy});var bN={};x(bN,{default:()=>xZ});var vZ,bZ,wZ,DZ,EZ,TZ,hy,xZ,wN=g(()=>{"use strict";l();Me();Ge();tt();Ct();Hn();nt();dr();vZ=5e3,bZ=2e3*1024,wZ=.92,DZ=.85,EZ=4096,TZ=/^image\/((x|ms|x-ms)-)?(png|bmp|jpeg)$/,hy=class e extends Z{static{s(this,"OptimizedImages")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:qt.symbol}};constructor(){super(),this._encodingStartAt=0}static filterImageRequests(t){let n=new Set;return t.reduce((r,a)=>{if(n.has(a.url)||!a.finished||a.sessionTargetType!=="page")return r;n.add(a.url);let o=a.resourceType===J.TYPES.Image&&TZ.test(a.mimeType),i=J.getResourceSizeOnNetwork(a);return o&&i>EZ&&r.push({requestId:a.requestId,url:a.url,mimeType:a.mimeType,resourceSize:i}),r},[])}_getEncodedResponse(t,n,r){n=J.getRequestIdForBackend(n);let o={requestId:n,encoding:r,quality:r==="jpeg"?wZ:DZ,sizeOnly:!0};return t.sendCommand("Audits.getEncodedResponse",o)}async calculateImageStats(t,n){let r=n.resourceSize;if(Date.now()-this._encodingStartAt>vZ||
r>bZ)return{originalSize:r,jpegSize:void 0,webpSize:void 0};let a=await this._getEncodedResponse(t,n.requestId,"jpeg"),o=await this._getEncodedResponse(t,n.requestId,"webp");return{originalSize:r,jpegSize:a.encodedSize,webpSize:o.encodedSize}}async computeOptimizedImages(t,n){this._encodingStartAt=Date.now();let r=[];for(let a of n)try{let i={failed:!1,...await this.calculateImageStats(t,a),...a};r.push(i)}catch(o){M.warn("optimized-images",o.message),gt.captureException(o,{tags:{gatherer:"OptimizedImages"},extra:{imageUrl:K.elideDataURI(a.url)},level:"warning"});let i={failed:!0,errMsg:o.message,...a};r.push(i)}return r}async getArtifact(t){let n=t.dependencies.DevtoolsLog,r=await ae.request(n,t),a=e.filterImageRequests(r).sort((c,u)=>u.resourceSize-c.resourceSize),o=await this.computeOptimizedImages(t.driver.defaultSession,a),i=o.filter(c=>!c.failed);if(o.length&&!i.length)throw new Error("All image optimizations failed");return o}},xZ=hy});var op,gy=g(()=>{l();op={2:"need dictionary",1:"stream end",0:"","-1":"file error","-2":"stream error","-3":"data error","-4":"insufficient memory","-5":"buffer error","-6":"incompatible version"}});function SZ(){this.input=null,this.next_in=0,this.avail_in=0,this.total_in=0,this.output=null,this.next_out=0,this.avail_out=0,this.total_out=0,this.msg="",this.state=null,this.data_type=2,this.adler=0}var DN,EN=g(()=>{l();s(SZ,"ZStream");DN=SZ});function Ki(e,t,n,r,a){if(t.subarray&&e.subarray){e.set(t.subarray(n,n+r),a);return}for(var o=0;o<r;o++)e[a+o]=t[n+o]}var yy,oa,vy=g(()=>{"use strict";l();s(Ki,"arraySet");yy=Uint8Array,oa=Uint16Array});function Xi(e){for(var t=e.length;--t>=0;)e[t]=0}function wy(e,t,n,r,a){this.static_tree=e,this.extra_bits=t,this.extra_base=n,this.elems=r,this.max_length=a,this.has_stree=e&&e.length}function Dy(e,t){this.dyn_tree=e,this.max_code=0,this.stat_desc=t}function UN(e){return e<256?ru[e]:ru[256+(e>>>7)]}function ou(e,t){e.pending_buf[e.pending++]=t&255,e.pending_buf[e.pending++]=t>>>8&255}function Sn(e,t,n){e.bi_valid>by-n?(e.bi_buf|=t<<e.bi_valid&65535,ou(e,e.bi_buf),e.bi_buf=t>>by-e.bi_valid,e.bi_valid+=n-by):(e.bi_buf|=t<<e.bi_valid&65535,e.bi_valid+=n)}function _r(e,t,n){Sn(e,n[t*2],n[t*2+1])}function jN(e,t){var n=0;do n|=e&1,e>>>=1,n<<=1;while(--t>0);return n>>>1}function PZ(e){e.bi_valid===16?(ou(e,e.bi_buf),e.bi_buf=0,e.bi_valid=0):e.bi_valid>=8&&(e.pending_buf[e.pending++]=e.bi_buf&255,e.bi_buf>>=8,e.bi_valid-=8)}function LZ(e,t){var n=t.dyn_tree,r=t.max_code,a=t.stat_desc.static_tree,o=t.stat_desc.has_stree,i=t.stat_desc.extra_bits,c=t.stat_desc.extra_base,u=t.stat_desc.max_length,
d,m,p,h,f,y,v=0;for(h=0;h<=Lo;h++)e.bl_count[h]=0;for(n[e.heap[e.heap_max]*2+1]=0,d=e.heap_max+1;d<_N;d++)m=e.heap[d],h=n[n[m*2+1]*2+1]+1,h>u&&(h=u,v++),n[m*2+1]=h,!(m>r)&&(e.bl_count[h]++,f=0,m>=c&&(f=i[m-c]),y=n[m*2],e.opt_len+=y*(h+f),o&&(e.static_len+=y*(a[m*2+1]+f)));if(v!==0){do{for(h=u-1;e.bl_count[h]===0;)h--;e.bl_count[h]--,e.bl_count[h+1]+=2,e.bl_count[u]--,v-=2}while(v>0);for(h=u;h!==0;h--)for(m=e.bl_count[h];m!==0;)p=e.heap[--d],!(p>r)&&(n[p*2+1]!==h&&(e.opt_len+=(h-n[p*2+1])*n[p*2],n[p*2+1]=h),m--)}}function qN(e,t,n){var r=new Array(Lo+1),a=0,o,i;for(o=1;o<=Lo;o++)r[o]=a=a+n[o-1]<<1;for(i=0;i<=t;i++){var c=e[i*2+1];c!==0&&(e[i*2]=jN(r[c]++,c))}}function OZ(){var e,t,n,r,a,o=new Array(Lo+1);for(n=0,r=0;r<Sy-1;r++)for(Fy[r]=n,e=0;e<1<<Ty[r];e++)au[n++]=r;for(au[n-1]=r,a=0,r=0;r<16;r++)for(sp[r]=a,e=0;e<1<<ip[r];e++)ru[a++]=r;for(a>>=7;r<Ji;r++)for(sp[r]=a<<7,e=0;e<1<<ip[r]-7;e++)ru[256+a++]=r;for(t=0;t<=Lo;t++)o[t]=0;for(e=0;e<=143;)ia[e*2+1]=8,e++,o[8]++;for(;e<=255;)ia[e*
2+1]=9,e++,o[9]++;for(;e<=279;)ia[e*2+1]=7,e++,o[7]++;for(;e<=287;)ia[e*2+1]=8,e++,o[8]++;for(qN(ia,nu+1,o),e=0;e<Ji;e++)tu[e*2+1]=5,tu[e*2]=jN(e,5);LN=new wy(ia,Ty,iu+1,nu,Lo),ON=new wy(tu,ip,0,Ji,Lo),BN=new wy(new Array(0),MZ,0,Cy,IZ)}function zN(e){var t;for(t=0;t<nu;t++)e.dyn_ltree[t*2]=0;for(t=0;t<Ji;t++)e.dyn_dtree[t*2]=0;for(t=0;t<Cy;t++)e.bl_tree[t*2]=0;e.dyn_ltree[ky*2]=1,e.opt_len=e.static_len=0,e.last_lit=e.matches=0}function HN(e){e.bi_valid>8?ou(e,e.bi_buf):e.bi_valid>0&&(e.pending_buf[e.pending++]=e.bi_buf),e.bi_buf=0,e.bi_valid=0}function BZ(e,t,n,r){HN(e),r&&(ou(e,n),ou(e,~n)),Ki(e.pending_buf,e.window,t,n,e.pending),e.pending+=n}function SN(e,t,n,r){var a=t*2,o=n*2;return e[a]<e[o]||e[a]===e[o]&&r[t]<=r[n]}function Ey(e,t,n){for(var r=e.heap[n],a=n<<1;a<=e.heap_len&&(a<e.heap_len&&SN(t,e.heap[a+1],e.heap[a],e.depth)&&a++,!SN(t,r,e.heap[a],e.depth));)e.heap[n]=e.heap[a],n=a,a<<=1;e.heap[n]=r}function CN(e,t,n){var r,a,o=0,i,c;if(e.last_lit!==0)do r=e.pending_buf[e.d_buf+
o*2]<<8|e.pending_buf[e.d_buf+o*2+1],a=e.pending_buf[e.l_buf+o],o++,r===0?_r(e,a,t):(i=au[a],_r(e,i+iu+1,t),c=Ty[i],c!==0&&(a-=Fy[i],Sn(e,a,c)),r--,i=UN(r),_r(e,i,n),c=ip[i],c!==0&&(r-=sp[i],Sn(e,r,c)));while(o<e.last_lit);_r(e,ky,t)}function xy(e,t){var n=t.dyn_tree,r=t.stat_desc.static_tree,a=t.stat_desc.has_stree,o=t.stat_desc.elems,i,c,u=-1,d;for(e.heap_len=0,e.heap_max=_N,i=0;i<o;i++)n[i*2]!==0?(e.heap[++e.heap_len]=u=i,e.depth[i]=0):n[i*2+1]=0;for(;e.heap_len<2;)d=e.heap[++e.heap_len]=u<2?++u:0,n[d*2]=1,e.depth[d]=0,e.opt_len--,a&&(e.static_len-=r[d*2+1]);for(t.max_code=u,i=e.heap_len>>1;i>=1;i--)Ey(e,n,i);d=o;do i=e.heap[1],e.heap[1]=e.heap[e.heap_len--],Ey(e,n,1),c=e.heap[1],e.heap[--e.heap_max]=i,e.heap[--e.heap_max]=c,n[d*2]=n[i*2]+n[c*2],e.depth[d]=(e.depth[i]>=e.depth[c]?e.depth[i]:e.depth[c])+1,n[i*2+1]=n[c*2+1]=d,e.heap[1]=d++,Ey(e,n,1);while(e.heap_len>=2);e.heap[--e.heap_max]=e.heap[1],LZ(e,t),qN(n,u,e.bl_count)}function kN(e,t,n){var r,a=-1,o,i=t[0*2+1],c=0,u=7,d=4;for(i===
0&&(u=138,d=3),t[(n+1)*2+1]=65535,r=0;r<=n;r++)o=i,i=t[(r+1)*2+1],!(++c<u&&o===i)&&(c<d?e.bl_tree[o*2]+=c:o!==0?(o!==a&&e.bl_tree[o*2]++,e.bl_tree[IN*2]++):c<=10?e.bl_tree[MN*2]++:e.bl_tree[NN*2]++,c=0,a=o,i===0?(u=138,d=3):o===i?(u=6,d=3):(u=7,d=4))}function FN(e,t,n){var r,a=-1,o,i=t[0*2+1],c=0,u=7,d=4;for(i===0&&(u=138,d=3),r=0;r<=n;r++)if(o=i,i=t[(r+1)*2+1],!(++c<u&&o===i)){if(c<d)do _r(e,o,e.bl_tree);while(--c!==0);else o!==0?(o!==a&&(_r(e,o,e.bl_tree),c--),_r(e,IN,e.bl_tree),Sn(e,c-3,2)):c<=10?(_r(e,MN,e.bl_tree),Sn(e,c-3,3)):(_r(e,NN,e.bl_tree),Sn(e,c-11,7));c=0,a=o,i===0?(u=138,d=3):o===i?(u=6,d=3):(u=7,d=4)}}function UZ(e){var t;for(kN(e,e.dyn_ltree,e.l_desc.max_code),kN(e,e.dyn_dtree,e.d_desc.max_code),xy(e,e.bl_desc),t=Cy-1;t>=3&&e.bl_tree[PN[t]*2+1]===0;t--);return e.opt_len+=3*(t+1)+5+5+4,t}function jZ(e,t,n,r){var a;for(Sn(e,t-257,5),Sn(e,n-1,5),Sn(e,r-4,4),a=0;a<r;a++)Sn(e,e.bl_tree[PN[a]*2+1],3);FN(e,e.dyn_ltree,t-1),FN(e,e.dyn_dtree,n-1)}function qZ(e){var t=4093624447,
n;for(n=0;n<=31;n++,t>>>=1)if(t&1&&e.dyn_ltree[n*2]!==0)return TN;if(e.dyn_ltree[9*2]!==0||e.dyn_ltree[10*2]!==0||e.dyn_ltree[13*2]!==0)return xN;for(n=32;n<iu;n++)if(e.dyn_ltree[n*2]!==0)return xN;return TN}function WN(e){RN||(OZ(),RN=!0),e.l_desc=new Dy(e.dyn_ltree,LN),e.d_desc=new Dy(e.dyn_dtree,ON),e.bl_desc=new Dy(e.bl_tree,BN),e.bi_buf=0,e.bi_valid=0,zN(e)}function Ry(e,t,n,r){Sn(e,(FZ<<1)+(r?1:0),3),BZ(e,t,n,!0)}function GN(e){Sn(e,AN<<1,3),_r(e,ky,ia),PZ(e)}function VN(e,t,n,r){var a,o,i=0;e.level>0?(e.strm.data_type===kZ&&(e.strm.data_type=qZ(e)),xy(e,e.l_desc),xy(e,e.d_desc),i=UZ(e),a=e.opt_len+3+7>>>3,o=e.static_len+3+7>>>3,o<=a&&(a=o)):a=o=n+5,n+4<=a&&t!==-1?Ry(e,t,n,r):e.strategy===CZ||o===a?(Sn(e,(AN<<1)+(r?1:0),3),CN(e,ia,tu)):(Sn(e,(RZ<<1)+(r?1:0),3),jZ(e,e.l_desc.max_code+1,e.d_desc.max_code+1,i+1),CN(e,e.dyn_ltree,e.dyn_dtree)),zN(e),r&&HN(e)}function sa(e,t,n){return e.pending_buf[e.d_buf+e.last_lit*2]=t>>>8&255,e.pending_buf[e.d_buf+e.last_lit*2+1]=t&255,e.pending_buf[e.
l_buf+e.last_lit]=n&255,e.last_lit++,t===0?e.dyn_ltree[n*2]++:(e.matches++,t--,e.dyn_ltree[(au[n]+iu+1)*2]++,e.dyn_dtree[UN(t)*2]++),e.last_lit===e.lit_bufsize-1}var CZ,TN,xN,kZ,FZ,AN,RZ,AZ,_Z,Sy,iu,nu,Ji,Cy,_N,Lo,by,IZ,ky,IN,MN,NN,Ty,ip,MZ,PN,NZ,ia,tu,ru,au,Fy,sp,LN,ON,BN,RN,$N=g(()=>{"use strict";l();vy();CZ=4,TN=0,xN=1,kZ=2;s(Xi,"zero");FZ=0,AN=1,RZ=2,AZ=3,_Z=258,Sy=29,iu=256,nu=iu+1+Sy,Ji=30,Cy=19,_N=2*nu+1,Lo=15,by=16,IZ=7,ky=256,IN=16,MN=17,NN=18,Ty=[0,0,0,0,0,0,0,0,1,1,1,1,2,2,2,2,3,3,3,3,4,4,4,4,5,5,5,5,0],ip=[0,0,0,0,1,1,2,2,3,3,4,4,5,5,6,6,7,7,8,8,9,9,10,10,11,11,12,12,13,13],MZ=[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,3,7],PN=[16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15],NZ=512,ia=new Array((nu+2)*2);Xi(ia);tu=new Array(Ji*2);Xi(tu);ru=new Array(NZ);Xi(ru);au=new Array(_Z-AZ+1);Xi(au);Fy=new Array(Sy);Xi(Fy);sp=new Array(Ji);Xi(sp);s(wy,"StaticTreeDesc");s(Dy,"TreeDesc");s(UN,"d_code");s(ou,"put_short");s(Sn,"send_bits");s(_r,"send_code");s(jN,"bi_reverse");s(PZ,"bi_flush");s(LZ,
"gen_bitlen");s(qN,"gen_codes");s(OZ,"tr_static_init");s(zN,"init_block");s(HN,"bi_windup");s(BZ,"copy_block");s(SN,"smaller");s(Ey,"pqdownheap");s(CN,"compress_block");s(xy,"build_tree");s(kN,"scan_tree");s(FN,"send_tree");s(UZ,"build_bl_tree");s(jZ,"send_all_trees");s(qZ,"detect_data_type");RN=!1;s(WN,"_tr_init");s(Ry,"_tr_stored_block");s(GN,"_tr_align");s(VN,"_tr_flush_block");s(sa,"_tr_tally")});function zZ(e,t,n,r){for(var a=e&65535|0,o=e>>>16&65535|0,i=0;n!==0;){i=n>2e3?2e3:n,n-=i;do a=a+t[r++]|0,o=o+a|0;while(--i);a%=65521,o%=65521}return a|o<<16|0}var YN,KN=g(()=>{l();s(zZ,"adler32");YN=zZ});function HZ(){for(var e,t=[],n=0;n<256;n++){e=n;for(var r=0;r<8;r++)e=e&1?3988292384^e>>>1:e>>>1;t[n]=e}return t}function GZ(e,t,n,r){var a=WZ,o=r+n;e^=-1;for(var i=r;i<o;i++)e=e>>>8^a[(e^t[i])&255];return e^-1}var WZ,ca,JN=g(()=>{l();s(HZ,"makeTable");WZ=HZ();s(GZ,"crc32");ca=GZ});function Ua(e,t){return e.msg=op[t],t}function QN(e){return(e<<1)-(e>4?9:0)}function Oo(e){for(var t=e.length;--t>=0;)e[t]=0}function La(e){var t=e.state,n=t.pending;n>e.avail_out&&(n=e.avail_out),n!==0&&(Ki(e.output,t.pending_buf,t.pending_out,n,e.next_out),e.next_out+=n,t.pending_out+=n,e.total_out+=n,e.avail_out-=n,t.pending-=n,t.pending===0&&(t.pending_out=0))}function Qt(e,t){VN(e,e.block_start>=0?e.block_start:-1,e.strstart-e.block_start,t),e.block_start=e.strstart,La(e.strm)}function rt(e,t){e.pending_buf[e.pending++]=t}function su(e,t){e.pending_buf[e.pending++]=t>>>8&255,e.pending_buf[e.pending++]=t&255}function uQ(e,t,n,r){var a=e.avail_in;return a>r&&(a=r),a===0?0:(e.avail_in-=a,Ki(t,e.input,e.next_in,a,n),e.state.wrap===1?e.adler=YN(e.adler,t,a,n):e.state.wrap===2&&(e.adler=ca(e.adler,t,a,n)),e.next_in+=a,e.total_in+=a,a)}function e3(e,t){var n=e.max_chain_length,r=e.strstart,a,o,i=e.prev_length,c=e.nice_match,u=e.strstart>e.w_size-mr?e.strstart-(e.w_size-mr):0,d=e.window,m=e.
w_mask,p=e.prev,h=e.strstart+Ba,f=d[r+i-1],y=d[r+i];e.prev_length>=e.good_match&&(n>>=2),c>e.lookahead&&(c=e.lookahead);do if(a=t,!(d[a+i]!==y||d[a+i-1]!==f||d[a]!==d[r]||d[++a]!==d[r+1])){r+=2,a++;do;while(d[++r]===d[++a]&&d[++r]===d[++a]&&d[++r]===d[++a]&&d[++r]===d[++a]&&d[++r]===d[++a]&&d[++r]===d[++a]&&d[++r]===d[++a]&&d[++r]===d[++a]&&r<h);if(o=Ba-(h-r),r=h-Ba,o>i){if(e.match_start=t,i=o,o>=c)break;f=d[r+i-1],y=d[r+i]}}while((t=p[t&m])>u&&--n!==0);return i<=e.lookahead?i:e.lookahead}function lu(e){var t=e.w_size,n,r,a,o,i;do{if(o=e.window_size-e.lookahead-e.strstart,e.strstart>=t+(t-mr)){Ki(e.window,e.window,t,t,0),e.match_start-=t,e.strstart-=t,e.block_start-=t,r=e.hash_size,n=r;do a=e.head[--n],e.head[n]=a>=t?a-t:0;while(--r);r=t,n=r;do a=e.prev[--n],e.prev[n]=a>=t?a-t:0;while(--r);o+=t}if(e.strm.avail_in===0)break;if(r=uQ(e.strm,e.window,e.strstart+e.lookahead,o),e.lookahead+=r,e.lookahead+e.insert>=ut)for(i=e.strstart-e.insert,e.ins_h=e.window[i],e.ins_h=(e.ins_h<<e.hash_shift^
e.window[i+1])&e.hash_mask;e.insert&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[i+ut-1])&e.hash_mask,e.prev[i&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=i,i++,e.insert--,!(e.lookahead+e.insert<ut)););}while(e.lookahead<mr&&e.strm.avail_in!==0)}function lQ(e,t){var n=65535;for(n>e.pending_buf_size-5&&(n=e.pending_buf_size-5);;){if(e.lookahead<=1){if(lu(e),e.lookahead===0&&t===jo)return zt;if(e.lookahead===0)break}e.strstart+=e.lookahead,e.lookahead=0;var r=e.block_start+n;if((e.strstart===0||e.strstart>=r)&&(e.lookahead=e.strstart-r,e.strstart=r,Qt(e,!1),e.strm.avail_out===0)||e.strstart-e.block_start>=e.w_size-mr&&(Qt(e,!1),e.strm.avail_out===0))return zt}return e.insert=0,t===ja?(Qt(e,!0),e.strm.avail_out===0?Uo:es):(e.strstart>e.block_start&&(Qt(e,!1),e.strm.avail_out===0),zt)}function _y(e,t){for(var n,r;;){if(e.lookahead<mr){if(lu(e),e.lookahead<mr&&t===jo)return zt;if(e.lookahead===0)break}if(n=0,e.lookahead>=ut&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+ut-1])&e.hash_mask,
n=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart),n!==0&&e.strstart-n<=e.w_size-mr&&(e.match_length=e3(e,n)),e.match_length>=ut)if(r=sa(e,e.strstart-e.match_start,e.match_length-ut),e.lookahead-=e.match_length,e.match_length<=e.max_lazy_match&&e.lookahead>=ut){e.match_length--;do e.strstart++,e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+ut-1])&e.hash_mask,n=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart;while(--e.match_length!==0);e.strstart++}else e.strstart+=e.match_length,e.match_length=0,e.ins_h=e.window[e.strstart],e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+1])&e.hash_mask;else r=sa(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++;if(r&&(Qt(e,!1),e.strm.avail_out===0))return zt}return e.insert=e.strstart<ut-1?e.strstart:ut-1,t===ja?(Qt(e,!0),e.strm.avail_out===0?Uo:es):e.last_lit&&(Qt(e,!1),e.strm.avail_out===0)?zt:uu}function Zi(e,t){for(var n,r,a;;){if(e.lookahead<mr){if(lu(e),e.lookahead<mr&&t===jo)return zt;if(e.
lookahead===0)break}if(n=0,e.lookahead>=ut&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+ut-1])&e.hash_mask,n=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart),e.prev_length=e.match_length,e.prev_match=e.match_start,e.match_length=ut-1,n!==0&&e.prev_length<e.max_lazy_match&&e.strstart-n<=e.w_size-mr&&(e.match_length=e3(e,n),e.match_length<=5&&(e.strategy===JZ||e.match_length===ut&&e.strstart-e.match_start>4096)&&(e.match_length=ut-1)),e.prev_length>=ut&&e.match_length<=e.prev_length){a=e.strstart+e.lookahead-ut,r=sa(e,e.strstart-1-e.prev_match,e.prev_length-ut),e.lookahead-=e.prev_length-1,e.prev_length-=2;do++e.strstart<=a&&(e.ins_h=(e.ins_h<<e.hash_shift^e.window[e.strstart+ut-1])&e.hash_mask,n=e.prev[e.strstart&e.w_mask]=e.head[e.ins_h],e.head[e.ins_h]=e.strstart);while(--e.prev_length!==0);if(e.match_available=0,e.match_length=ut-1,e.strstart++,r&&(Qt(e,!1),e.strm.avail_out===0))return zt}else if(e.match_available){if(r=sa(e,0,e.window[e.strstart-1]),r&&
Qt(e,!1),e.strstart++,e.lookahead--,e.strm.avail_out===0)return zt}else e.match_available=1,e.strstart++,e.lookahead--}return e.match_available&&(r=sa(e,0,e.window[e.strstart-1]),e.match_available=0),e.insert=e.strstart<ut-1?e.strstart:ut-1,t===ja?(Qt(e,!0),e.strm.avail_out===0?Uo:es):e.last_lit&&(Qt(e,!1),e.strm.avail_out===0)?zt:uu}function dQ(e,t){for(var n,r,a,o,i=e.window;;){if(e.lookahead<=Ba){if(lu(e),e.lookahead<=Ba&&t===jo)return zt;if(e.lookahead===0)break}if(e.match_length=0,e.lookahead>=ut&&e.strstart>0&&(a=e.strstart-1,r=i[a],r===i[++a]&&r===i[++a]&&r===i[++a])){o=e.strstart+Ba;do;while(r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&r===i[++a]&&a<o);e.match_length=Ba-(o-a),e.match_length>e.lookahead&&(e.match_length=e.lookahead)}if(e.match_length>=ut?(n=sa(e,1,e.match_length-ut),e.lookahead-=e.match_length,e.strstart+=e.match_length,e.match_length=0):(n=sa(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++),n&&(Qt(e,!1),e.strm.avail_out===
0))return zt}return e.insert=0,t===ja?(Qt(e,!0),e.strm.avail_out===0?Uo:es):e.last_lit&&(Qt(e,!1),e.strm.avail_out===0)?zt:uu}function mQ(e,t){for(var n;;){if(e.lookahead===0&&(lu(e),e.lookahead===0)){if(t===jo)return zt;break}if(e.match_length=0,n=sa(e,0,e.window[e.strstart]),e.lookahead--,e.strstart++,n&&(Qt(e,!1),e.strm.avail_out===0))return zt}return e.insert=0,t===ja?(Qt(e,!0),e.strm.avail_out===0?Uo:es):e.last_lit&&(Qt(e,!1),e.strm.avail_out===0)?zt:uu}function Ir(e,t,n,r,a){this.good_length=e,this.max_lazy=t,this.nice_length=n,this.max_chain=r,this.func=a}function pQ(e){e.window_size=2*e.w_size,Oo(e.head),e.max_lazy_match=Qi[e.level].max_lazy,e.good_match=Qi[e.level].good_length,e.nice_match=Qi[e.level].nice_length,e.max_chain_length=Qi[e.level].max_chain,e.strstart=0,e.block_start=0,e.lookahead=0,e.insert=0,e.match_length=e.prev_length=ut-1,e.match_available=0,e.ins_h=0}function fQ(){this.strm=null,this.status=0,this.pending_buf=null,this.pending_buf_size=0,this.pending_out=0,this.
pending=0,this.wrap=0,this.gzhead=null,this.gzindex=0,this.method=Ny,this.last_flush=-1,this.w_size=0,this.w_bits=0,this.w_mask=0,this.window=null,this.window_size=0,this.prev=null,this.head=null,this.ins_h=0,this.hash_size=0,this.hash_bits=0,this.hash_mask=0,this.hash_shift=0,this.block_start=0,this.match_length=0,this.prev_match=0,this.match_available=0,this.strstart=0,this.match_start=0,this.lookahead=0,this.prev_length=0,this.max_chain_length=0,this.max_lazy_match=0,this.level=0,this.strategy=0,this.good_match=0,this.nice_match=0,this.dyn_ltree=new oa(oQ*2),this.dyn_dtree=new oa((2*rQ+1)*2),this.bl_tree=new oa((2*aQ+1)*2),Oo(this.dyn_ltree),Oo(this.dyn_dtree),Oo(this.bl_tree),this.l_desc=null,this.d_desc=null,this.bl_desc=null,this.bl_count=new oa(iQ+1),this.heap=new oa(2*Iy+1),Oo(this.heap),this.heap_len=0,this.heap_max=0,this.depth=new oa(2*Iy+1),Oo(this.depth),this.l_buf=0,this.lit_bufsize=0,this.last_lit=0,this.d_buf=0,this.opt_len=0,this.static_len=0,this.matches=0,this.insert=
0,this.bi_buf=0,this.bi_valid=0}function hQ(e){var t;return!e||!e.state?Ua(e,qa):(e.total_in=e.total_out=0,e.data_type=QZ,t=e.state,t.pending=0,t.pending_out=0,t.wrap<0&&(t.wrap=-t.wrap),t.status=t.wrap?Py:Bo,e.adler=t.wrap===2?0:1,t.last_flush=jo,WN(t),Oa)}function Ly(e){var t=hQ(e);return t===Oa&&pQ(e.state),t}function t3(e,t,n,r,a,o){if(!e)return qa;var i=1;if(t===KZ&&(t=6),r<0?(i=0,r=-r):r>15&&(i=2,r-=16),a<1||a>eQ||n!==Ny||r<8||r>15||t<0||t>9||o<0||o>ZZ)return Ua(e,qa);r===8&&(r=9);var c=new fQ;return e.state=c,c.strm=e,c.wrap=i,c.gzhead=null,c.w_bits=r,c.w_size=1<<c.w_bits,c.w_mask=c.w_size-1,c.hash_bits=a+7,c.hash_size=1<<c.hash_bits,c.hash_mask=c.hash_size-1,c.hash_shift=~~((c.hash_bits+ut-1)/ut),c.window=new yy(c.w_size*2),c.head=new oa(c.hash_size),c.prev=new oa(c.w_size),c.lit_bufsize=1<<a+6,c.pending_buf_size=c.lit_bufsize*4,c.pending_buf=new yy(c.pending_buf_size),c.d_buf=1*c.lit_bufsize,c.l_buf=3*c.lit_bufsize,c.level=t,c.strategy=o,c.method=n,Ly(e)}function n3(e,t){var n,
r,a,o;if(!e||!e.state||t>XN||t<0)return e?Ua(e,qa):qa;if(r=e.state,!e.output||!e.input&&e.avail_in!==0||r.status===cu&&t!==ja)return Ua(e,e.avail_out===0?Ay:qa);if(r.strm=e,n=r.last_flush,r.last_flush=t,r.status===Py)if(r.wrap===2)e.adler=0,rt(r,31),rt(r,139),rt(r,8),r.gzhead?(rt(r,(r.gzhead.text?1:0)+(r.gzhead.hcrc?2:0)+(r.gzhead.extra?4:0)+(r.gzhead.name?8:0)+(r.gzhead.comment?16:0)),rt(r,r.gzhead.time&255),rt(r,r.gzhead.time>>8&255),rt(r,r.gzhead.time>>16&255),rt(r,r.gzhead.time>>24&255),rt(r,r.level===9?2:r.strategy>=cp||r.level<2?4:0),rt(r,r.gzhead.os&255),r.gzhead.extra&&r.gzhead.extra.length&&(rt(r,r.gzhead.extra.length&255),rt(r,r.gzhead.extra.length>>8&255)),r.gzhead.hcrc&&(e.adler=ca(e.adler,r.pending_buf,r.pending,0)),r.gzindex=0,r.status=My):(rt(r,0),rt(r,0),rt(r,0),rt(r,0),rt(r,0),rt(r,r.level===9?2:r.strategy>=cp||r.level<2?4:0),rt(r,cQ),r.status=Bo);else{var i=Ny+(r.w_bits-8<<4)<<8,c=-1;r.strategy>=cp||r.level<2?c=0:r.level<6?c=1:r.level===6?c=2:c=3,i|=c<<6,r.strstart!==
0&&(i|=sQ),i+=31-i%31,r.status=Bo,su(r,i),r.strstart!==0&&(su(r,e.adler>>>16),su(r,e.adler&65535)),e.adler=1}if(r.status===My)if(r.gzhead.extra){for(a=r.pending;r.gzindex<(r.gzhead.extra.length&65535)&&!(r.pending===r.pending_buf_size&&(r.gzhead.hcrc&&r.pending>a&&(e.adler=ca(e.adler,r.pending_buf,r.pending-a,a)),La(e),a=r.pending,r.pending===r.pending_buf_size));)rt(r,r.gzhead.extra[r.gzindex]&255),r.gzindex++;r.gzhead.hcrc&&r.pending>a&&(e.adler=ca(e.adler,r.pending_buf,r.pending-a,a)),r.gzindex===r.gzhead.extra.length&&(r.gzindex=0,r.status=up)}else r.status=up;if(r.status===up)if(r.gzhead.name){a=r.pending;do{if(r.pending===r.pending_buf_size&&(r.gzhead.hcrc&&r.pending>a&&(e.adler=ca(e.adler,r.pending_buf,r.pending-a,a)),La(e),a=r.pending,r.pending===r.pending_buf_size)){o=1;break}r.gzindex<r.gzhead.name.length?o=r.gzhead.name.charCodeAt(r.gzindex++)&255:o=0,rt(r,o)}while(o!==0);r.gzhead.hcrc&&r.pending>a&&(e.adler=ca(e.adler,r.pending_buf,r.pending-a,a)),o===0&&(r.gzindex=0,r.status=
lp)}else r.status=lp;if(r.status===lp)if(r.gzhead.comment){a=r.pending;do{if(r.pending===r.pending_buf_size&&(r.gzhead.hcrc&&r.pending>a&&(e.adler=ca(e.adler,r.pending_buf,r.pending-a,a)),La(e),a=r.pending,r.pending===r.pending_buf_size)){o=1;break}r.gzindex<r.gzhead.comment.length?o=r.gzhead.comment.charCodeAt(r.gzindex++)&255:o=0,rt(r,o)}while(o!==0);r.gzhead.hcrc&&r.pending>a&&(e.adler=ca(e.adler,r.pending_buf,r.pending-a,a)),o===0&&(r.status=dp)}else r.status=dp;if(r.status===dp&&(r.gzhead.hcrc?(r.pending+2>r.pending_buf_size&&La(e),r.pending+2<=r.pending_buf_size&&(rt(r,e.adler&255),rt(r,e.adler>>8&255),e.adler=0,r.status=Bo)):r.status=Bo),r.pending!==0){if(La(e),e.avail_out===0)return r.last_flush=-1,Oa}else if(e.avail_in===0&&QN(t)<=QN(n)&&t!==ja)return Ua(e,Ay);if(r.status===cu&&e.avail_in!==0)return Ua(e,Ay);if(e.avail_in!==0||r.lookahead!==0||t!==jo&&r.status!==cu){var u=r.strategy===cp?mQ(r,t):r.strategy===XZ?dQ(r,t):Qi[r.level].func(r,t);if((u===Uo||u===es)&&(r.status=cu),u===
zt||u===Uo)return e.avail_out===0&&(r.last_flush=-1),Oa;if(u===uu&&(t===VZ?GN(r):t!==XN&&(Ry(r,0,0,!1),t===$Z&&(Oo(r.head),r.lookahead===0&&(r.strstart=0,r.block_start=0,r.insert=0))),La(e),e.avail_out===0))return r.last_flush=-1,Oa}return t!==ja?Oa:r.wrap<=0?ZN:(r.wrap===2?(rt(r,e.adler&255),rt(r,e.adler>>8&255),rt(r,e.adler>>16&255),rt(r,e.adler>>24&255),rt(r,e.total_in&255),rt(r,e.total_in>>8&255),rt(r,e.total_in>>16&255),rt(r,e.total_in>>24&255)):(su(r,e.adler>>>16),su(r,e.adler&65535)),La(e),r.wrap>0&&(r.wrap=-r.wrap),r.pending!==0?Oa:ZN)}function r3(e){var t;return!e||!e.state?qa:(t=e.state.status,t!==Py&&t!==My&&t!==up&&t!==lp&&t!==dp&&t!==Bo&&t!==cu?Ua(e,qa):(e.state=null,t===Bo?Ua(e,YZ):Oa))}var jo,VZ,$Z,ja,XN,Oa,ZN,qa,YZ,Ay,KZ,JZ,cp,XZ,ZZ,QZ,Ny,eQ,tQ,nQ,Iy,rQ,aQ,oQ,iQ,ut,Ba,mr,sQ,Py,My,up,lp,dp,Bo,cu,zt,uu,Uo,es,cQ,Qi,a3=g(()=>{l();vy();$N();KN();JN();gy();jo=0,VZ=1,$Z=3,ja=4,XN=5,Oa=0,ZN=1,qa=-2,YZ=-3,Ay=-5,KZ=-1,JZ=1,cp=2,XZ=3,ZZ=4,QZ=2,Ny=8,eQ=9,tQ=29,nQ=256,Iy=nQ+1+tQ,rQ=
30,aQ=19,oQ=2*Iy+1,iQ=15,ut=3,Ba=258,mr=Ba+ut+1,sQ=32,Py=42,My=69,up=73,lp=91,dp=103,Bo=113,cu=666,zt=1,uu=2,Uo=3,es=4,cQ=3;s(Ua,"err");s(QN,"rank");s(Oo,"zero");s(La,"flush_pending");s(Qt,"flush_block_only");s(rt,"put_byte");s(su,"putShortMSB");s(uQ,"read_buf");s(e3,"longest_match");s(lu,"fill_window");s(lQ,"deflate_stored");s(_y,"deflate_fast");s(Zi,"deflate_slow");s(dQ,"deflate_rle");s(mQ,"deflate_huff");s(Ir,"Config");Qi=[new Ir(0,0,0,0,lQ),new Ir(4,4,8,4,_y),new Ir(4,5,16,8,_y),new Ir(4,6,32,32,_y),new Ir(4,4,16,16,Zi),new Ir(8,16,32,32,Zi),new Ir(8,16,128,128,Zi),new Ir(8,32,128,256,Zi),new Ir(32,128,258,1024,Zi),new Ir(32,258,258,4096,Zi)];s(pQ,"lm_init");s(fQ,"DeflateState");s(hQ,"deflateResetKeep");s(Ly,"deflateReset");s(t3,"deflateInit2");s(n3,"deflate");s(r3,"deflateEnd")});var o3=g(()=>{l()});var gp={};x(gp,{DEFLATE:()=>ns,DEFLATERAW:()=>ts,GUNZIP:()=>pp,GZIP:()=>du,INFLATE:()=>fp,INFLATERAW:()=>mu,NONE:()=>Oy,UNZIP:()=>pu,Z_BEST_COMPRESSION:()=>xQ,Z_BEST_SPEED:()=>TQ,Z_BINARY:()=>_Q,Z_BLOCK:()=>d3,Z_BUF_ERROR:()=>DQ,Z_DATA_ERROR:()=>wQ,Z_DEFAULT_COMPRESSION:()=>SQ,Z_DEFAULT_STRATEGY:()=>AQ,Z_DEFLATED:()=>p3,Z_ERRNO:()=>vQ,Z_FILTERED:()=>CQ,Z_FINISH:()=>l3,Z_FIXED:()=>RQ,Z_FULL_FLUSH:()=>u3,Z_HUFFMAN_ONLY:()=>kQ,Z_NEED_DICT:()=>yQ,Z_NO_COMPRESSION:()=>EQ,Z_NO_FLUSH:()=>i3,Z_OK:()=>hp,Z_PARTIAL_FLUSH:()=>s3,Z_RLE:()=>FQ,Z_STREAM_END:()=>m3,Z_STREAM_ERROR:()=>bQ,Z_SYNC_FLUSH:()=>c3,Z_TEXT:()=>IQ,Z_TREES:()=>gQ,Z_UNKNOWN:()=>MQ,Zlib:()=>Mr});function Mr(e){if(e<ns||e>pu)throw new TypeError("Bad argument");this.mode=e,this.init_done=!1,this.write_in_progress=!1,this.pending_close=!1,this.windowBits=0,this.level=0,this.memLevel=0,this.strategy=0,this.dictionary=null}function NQ(e,t){for(var n=0;n<e.length;n++)this[t+n]=e[n]}var Oy,ns,fp,du,pp,ts,mu,pu,i3,s3,c3,u3,l3,d3,gQ,hp,m3,
yQ,vQ,bQ,wQ,DQ,EQ,TQ,xQ,SQ,CQ,kQ,FQ,RQ,AQ,_Q,IQ,MQ,p3,mp,f3=g(()=>{l();gy();EN();a3();o3();Oy=0,ns=1,fp=2,du=3,pp=4,ts=5,mu=6,pu=7,i3=0,s3=1,c3=2,u3=3,l3=4,d3=5,gQ=6,hp=0,m3=1,yQ=2,vQ=-1,bQ=-2,wQ=-3,DQ=-5,EQ=0,TQ=1,xQ=9,SQ=-1,CQ=1,kQ=2,FQ=3,RQ=4,AQ=0,_Q=0,IQ=1,MQ=2,p3=8;s(Mr,"Zlib");Mr.prototype.init=function(e,t,n,r,a){this.windowBits=e,this.level=t,this.memLevel=n,this.strategy=r,(this.mode===du||this.mode===pp)&&(this.windowBits+=16),this.mode===pu&&(this.windowBits+=32),(this.mode===ts||this.mode===mu)&&(this.windowBits=-this.windowBits),this.strm=new DN;var o;switch(this.mode){case ns:case du:case ts:o=t3(this.strm,this.level,p3,this.windowBits,this.memLevel,this.strategy);break;case fp:case pp:case mu:case pu:o=(this.strm,this.windowBits,void 0);break;default:throw new Error("Unknown mode "+this.mode)}if(o!==hp){this._error(o);return}this.write_in_progress=!1,this.init_done=!0};Mr.prototype.params=function(){throw new Error("deflateParams Not supported")};Mr.prototype._writeCheck=
function(){if(!this.init_done)throw new Error("write before init");if(this.mode===Oy)throw new Error("already finalized");if(this.write_in_progress)throw new Error("write already in progress");if(this.pending_close)throw new Error("close is pending")};Mr.prototype.write=function(e,t,n,r,a,o,i){this._writeCheck(),this.write_in_progress=!0;var c=this;return process.nextTick(function(){c.write_in_progress=!1;var u=c._write(e,t,n,r,a,o,i);c.callback(u[0],u[1]),c.pending_close&&c.close()}),this};s(NQ,"bufferSet");Mr.prototype.writeSync=function(e,t,n,r,a,o,i){return this._writeCheck(),this._write(e,t,n,r,a,o,i)};Mr.prototype._write=function(e,t,n,r,a,o,i){if(this.write_in_progress=!0,e!==i3&&e!==s3&&e!==c3&&e!==u3&&e!==l3&&e!==d3)throw new Error("Invalid flush value");t==null&&(t=new Buffer(0),r=0,n=0),a._set?a.set=a._set:a.set=NQ;var c=this.strm;c.avail_in=r,c.input=t,c.next_in=n,c.avail_out=i,c.output=a,c.next_out=o;var u;switch(this.mode){case ns:case du:case ts:u=n3(c,e);break;case pu:case fp:case pp:case mu:
u=void 0;break;default:throw new Error("Unknown mode "+this.mode)}return u!==m3&&u!==hp&&this._error(u),this.write_in_progress=!1,[c.avail_in,c.avail_out]};Mr.prototype.close=function(){if(this.write_in_progress){this.pending_close=!0;return}this.pending_close=!1,this.mode===ns||this.mode===du||this.mode===ts?r3(this.strm):(this.strm,void 0),this.mode=Oy};Mr.prototype.reset=function(){switch(this.mode){case ns:case ts:mp=Ly(this.strm);break;case fp:case mu:mp=(this.strm,void 0);break}mp!==hp&&this._error(mp)};Mr.prototype._error=function(e){this.onerror(op[e]+": "+this.strm.msg,e),this.write_in_progress=!1,this.pending_close&&this.close()}});function PQ(e,t){if(!e)throw new Error(t)}function h3(e,t,n){return typeof t=="function"&&(n=t,t={}),LQ(new yp(t),e,n)}function LQ(e,t,n){var r=[],a=0;e.on("error",i),e.on("end",c),e.end(t),o();function o(){for(var u;(u=e.read())!==null;)r.push(u),a+=u.length;e.once("readable",o)}s(o,"flow");function i(u){e.removeListener("end",c),e.removeListener("readable",o),n(u)}s(i,"onError");function c(){var u=Buffer.concat(r,a);r=[],n(null,u),e.close()}s(c,"onEnd")}function Uy(e){if(!(this instanceof Uy))return new Uy(e);It.call(this,e,Q.DEFLATE)}function jy(e){if(!(this instanceof jy))return new jy(e);It.call(this,e,Q.INFLATE)}function yp(e){if(!(this instanceof yp))return new yp(e);It.call(this,e,Q.GZIP)}function qy(e){if(!(this instanceof qy))return new qy(e);It.call(this,e,Q.GUNZIP)}function zy(e){if(!(this instanceof zy))return new zy(e);It.call(this,e,Q.DEFLATERAW)}function Hy(e){if(!(this instanceof Hy))return new Hy(e);It.call(this,e,Q.INFLATERAW)}function Wy(e){if(!(this instanceof Wy))
return new Wy(e);It.call(this,e,Q.UNZIP)}function It(e,t){if(this._opts=e=e||{},this._chunkSize=e.chunkSize||Q.Z_DEFAULT_CHUNK,gn.call(this,e),e.flush&&e.flush!==Q.Z_NO_FLUSH&&e.flush!==Q.Z_PARTIAL_FLUSH&&e.flush!==Q.Z_SYNC_FLUSH&&e.flush!==Q.Z_FULL_FLUSH&&e.flush!==Q.Z_FINISH&&e.flush!==Q.Z_BLOCK)throw new Error("Invalid flush flag: "+e.flush);if(this._flushFlag=e.flush||Q.Z_NO_FLUSH,e.chunkSize&&(e.chunkSize<Q.Z_MIN_CHUNK||e.chunkSize>Q.Z_MAX_CHUNK))throw new Error("Invalid chunk size: "+e.chunkSize);if(e.windowBits&&(e.windowBits<Q.Z_MIN_WINDOWBITS||e.windowBits>Q.Z_MAX_WINDOWBITS))throw new Error("Invalid windowBits: "+e.windowBits);if(e.level&&(e.level<Q.Z_MIN_LEVEL||e.level>Q.Z_MAX_LEVEL))throw new Error("Invalid compression level: "+e.level);if(e.memLevel&&(e.memLevel<Q.Z_MIN_MEMLEVEL||e.memLevel>Q.Z_MAX_MEMLEVEL))throw new Error("Invalid memLevel: "+e.memLevel);if(e.strategy&&e.strategy!=Q.Z_FILTERED&&e.strategy!=Q.Z_HUFFMAN_ONLY&&e.strategy!=Q.Z_RLE&&e.strategy!=Q.Z_FIXED&&e.strategy!=
Q.Z_DEFAULT_STRATEGY)throw new Error("Invalid strategy: "+e.strategy);if(e.dictionary&&!Buffer.isBuffer(e.dictionary))throw new Error("Invalid dictionary: it should be a Buffer instance");this._binding=new Q.Zlib(t);var n=this;this._hadError=!1,this._binding.onerror=function(o,i){n._binding=null,n._hadError=!0;var c=new Error(o);c.errno=i,c.code=Q.codes[i],n.emit("error",c)};var r=Q.Z_DEFAULT_COMPRESSION;typeof e.level=="number"&&(r=e.level);var a=Q.Z_DEFAULT_STRATEGY;typeof e.strategy=="number"&&(a=e.strategy),this._binding.init(e.windowBits||Q.Z_DEFAULT_WINDOWBITS,r,e.memLevel||Q.Z_DEFAULT_MEMLEVEL,a,e.dictionary),this._buffer=new Buffer(this._chunkSize),this._offset=0,this._closed=!1,this._level=r,this._strategy=a,this.once("end",this.close)}var Q,By,g3=g(()=>{l();Sg();f3();Ia();s(PQ,"assert");Q={};Object.keys(gp).forEach(function(e){Q[e]=gp[e]});Q.Z_MIN_WINDOWBITS=8;Q.Z_MAX_WINDOWBITS=15;Q.Z_DEFAULT_WINDOWBITS=15;Q.Z_MIN_CHUNK=64;Q.Z_MAX_CHUNK=1/0;Q.Z_DEFAULT_CHUNK=16*1024;Q.Z_MIN_MEMLEVEL=
1;Q.Z_MAX_MEMLEVEL=9;Q.Z_DEFAULT_MEMLEVEL=8;Q.Z_MIN_LEVEL=-1;Q.Z_MAX_LEVEL=9;Q.Z_DEFAULT_LEVEL=Q.Z_DEFAULT_COMPRESSION;By={Z_OK:Q.Z_OK,Z_STREAM_END:Q.Z_STREAM_END,Z_NEED_DICT:Q.Z_NEED_DICT,Z_ERRNO:Q.Z_ERRNO,Z_STREAM_ERROR:Q.Z_STREAM_ERROR,Z_DATA_ERROR:Q.Z_DATA_ERROR,Z_MEM_ERROR:Q.Z_MEM_ERROR,Z_BUF_ERROR:Q.Z_BUF_ERROR,Z_VERSION_ERROR:Q.Z_VERSION_ERROR};Object.keys(By).forEach(function(e){By[By[e]]=e});s(h3,"gzip");s(LQ,"zlibBuffer");s(Uy,"Deflate");s(jy,"Inflate");s(yp,"Gzip");s(qy,"Gunzip");s(zy,"DeflateRaw");s(Hy,"InflateRaw");s(Wy,"Unzip");s(It,"Zlib");At(It,gn);It.prototype.params=function(e,t,n){if(e<Q.Z_MIN_LEVEL||e>Q.Z_MAX_LEVEL)throw new RangeError("Invalid compression level: "+e);if(t!=Q.Z_FILTERED&&t!=Q.Z_HUFFMAN_ONLY&&t!=Q.Z_RLE&&t!=Q.Z_FIXED&&t!=Q.Z_DEFAULT_STRATEGY)throw new TypeError("Invalid strategy: "+t);if(this._level!==e||this._strategy!==t){var r=this;this.flush(Q.Z_SYNC_FLUSH,function(){r._binding.params(e,t),r._hadError||(r._level=e,r._strategy=t,n&&n())})}else process.
nextTick(n)};It.prototype.reset=function(){return this._binding.reset()};It.prototype._flush=function(e){this._transform(new Buffer(0),"",e)};It.prototype.flush=function(e,t){var n=this._writableState;if((typeof e=="function"||e===void 0&&!t)&&(t=e,e=Q.Z_FULL_FLUSH),n.ended)t&&process.nextTick(t);else if(n.ending)t&&this.once("end",t);else if(n.needDrain){var r=this;this.once("drain",function(){r.flush(t)})}else this._flushFlag=e,this.write(new Buffer(0),"",t)};It.prototype.close=function(e){if(e&&process.nextTick(e),!this._closed){this._closed=!0,this._binding.close();var t=this;process.nextTick(function(){t.emit("close")})}};It.prototype._transform=function(e,t,n){var r,a=this._writableState,o=a.ending||a.ended,i=o&&(!e||a.length===e.length);if(!e===null&&!Buffer.isBuffer(e))return n(new Error("invalid input"));i?r=Q.Z_FINISH:(r=this._flushFlag,e.length>=a.length&&(this._flushFlag=this._opts.flush||Q.Z_NO_FLUSH)),this._processChunk(e,r,n)};It.prototype._processChunk=function(e,t,n){var r=e&&
e.length,a=this._chunkSize-this._offset,o=0,i=this,c=typeof n=="function";if(!c){var u=[],d=0,m;this.on("error",function(v){m=v});do var p=this._binding.writeSync(t,e,o,r,this._buffer,this._offset,a);while(!this._hadError&&y(p[0],p[1]));if(this._hadError)throw m;var h=Buffer.concat(u,d);return this.close(),h}var f=this._binding.write(t,e,o,r,this._buffer,this._offset,a);f.buffer=e,f.callback=y;function y(v,w){if(!i._hadError){var E=a-w;if(PQ(E>=0,"have should not go down"),E>0){var T=i._buffer.slice(i._offset,i._offset+E);i._offset+=E,c?i.push(T):(u.push(T),d+=T.length)}if((w===0||i._offset>=i._chunkSize)&&(a=i._chunkSize,i._offset=0,i._buffer=new Buffer(i._chunkSize)),w===0){if(o+=r-v,r=v,!c)return!0;var S=i._binding.write(t,e,o,r,i._buffer,i._offset,i._chunkSize);S.callback=y,S.buffer=e;return}if(!c)return!1;n()}}s(y,"callback")};At(Uy,It);At(jy,It);At(yp,It);At(qy,It);At(zy,It);At(Hy,It);At(Wy,It)});async function vp(e,t,n=1e3){return t=J.getRequestIdForBackend(t),e.setNextProtocolTimeout(n),(await e.sendCommand("Network.getResponseBody",{requestId:t})).body}var Gy=g(()=>{"use strict";l();Ct();s(vp,"fetchResponseBodyFromCache")});var y3={};x(y3,{default:()=>jQ});var OQ,BQ,UQ,Vy,jQ,v3=g(()=>{"use strict";l();Ei();g3();Me();Ge();tt();Ct();dr();Gy();nt();OQ="chrome-extension:",BQ=["image","audio","video"],UQ=[J.TYPES.Document,J.TYPES.Script,J.TYPES.Stylesheet,J.TYPES.XHR,J.TYPES.Fetch,J.TYPES.EventSource],Vy=class e extends Z{static{s(this,"ResponseCompression")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:qt.symbol}};static filterUnoptimizedResponses(t){let n=[];return t.forEach(r=>{if(r.sessionTargetType!=="page")return;let a=r.mimeType,o=r.resourceType||J.TYPES.Other,i=r.resourceSize,u=!(a&&BQ.some(m=>a.startsWith(m)))&&UQ.includes(o),d=r.url.startsWith(OQ);!u||!i||!r.finished||d||!r.transferSize||r.statusCode===304||J.isContentEncoded(r)||n.push({requestId:r.requestId,url:r.url,mimeType:a,transferSize:r.transferSize,resourceSize:i,gzipSize:0})}),n}async getCompressibleRecords(t,n){let r=t.driver.defaultSession,a=e.filterUnoptimizedResponses(n);return Promise.all(a.map(o=>vp(r,o.requestId).
then(i=>i?new Promise((c,u)=>h3(i,(d,m)=>{if(d)return u(d);o.gzipSize=z.byteLength(m,"utf8"),c(o)})):o).catch(i=>{if(!i?.message?.includes("No resource with given identifier found"))throw i.extra={url:K.elideDataURI(o.url)},i;return M.error("ResponseCompression",i.message),o.gzipSize=void 0,o})))}async getArtifact(t){let n=t.dependencies.DevtoolsLog,r=await ae.request(n,t);return this.getCompressibleRecords(t,r)}},jQ=Vy});function HQ(e,t){let r=e.match(/Chrome\/([\d.]+)/)?.[1]||"99.0.1234.0",[a]=r.split(".",1),o=[{brand:"Chromium",version:a},{brand:"Google Chrome",version:a}],i={platform:"Android",platformVersion:"11.0",architecture:"",model:"moto g power (2022)"},c={platform:"macOS",platformVersion:"10.15.7",architecture:"x86",model:""},u=t==="mobile";return{brands:o,fullVersion:r,...u?i:c,mobile:u}}async function bp(e,t){if(t.emulatedUserAgent!==!1){let n=t.emulatedUserAgent;await e.sendCommand("Network.setUserAgentOverride",{userAgent:n,userAgentMetadata:HQ(n,t.formFactor)})}if(t.screenEmulation.disabled!==!0){let{width:n,height:r,deviceScaleFactor:a,mobile:o}=t.screenEmulation,i={width:n,height:r,deviceScaleFactor:a,mobile:o};await e.sendCommand("Emulation.setDeviceMetricsOverride",i),await e.sendCommand("Emulation.setTouchEmulationEnabled",{enabled:i.mobile})}}async function b3(e,t){if(t.throttlingMethod!=="devtools")return D3(e);await Promise.all([WQ(e,t.throttling),GQ(e,t.throttling)])}async function w3(e){
await Promise.all([D3(e),VQ(e)])}function WQ(e,t){let n={offline:!1,latency:t.requestLatencyMs||0,downloadThroughput:t.downloadThroughputKbps||0,uploadThroughput:t.uploadThroughputKbps||0};return n.downloadThroughput=Math.floor(n.downloadThroughput*1024/8),n.uploadThroughput=Math.floor(n.uploadThroughput*1024/8),e.sendCommand("Network.emulateNetworkConditions",n)}function D3(e){return e.sendCommandAndIgnore("Network.emulateNetworkConditions",qQ)}function GQ(e,t){let n=t.cpuSlowdownMultiplier;return e.sendCommand("Emulation.setCPUThrottlingRate",{rate:n})}function VQ(e){return e.sendCommandAndIgnore("Emulation.setCPUThrottlingRate",zQ)}var qQ,zQ,wp=g(()=>{"use strict";l();qQ={latency:0,downloadThroughput:0,uploadThroughput:0,offline:!1},zQ={rate:1};s(HQ,"parseUseragentIntoMetadata");s(bp,"emulate");s(b3,"throttle");s(w3,"clearThrottling");s(WQ,"enableNetworkThrottling");s(D3,"clearNetworkThrottling");s(GQ,"enableCPUThrottling");s(VQ,"clearCPUThrottling")});var x3={};x(x3,{default:()=>XQ});function T3(e){return e.replace(/(-\w)/g,t=>t[1].toUpperCase())}function KQ(){let e=T3(window.screen.orientation.type);return{width:window.outerWidth,height:window.outerHeight,screenOrientation:{type:e,angle:window.screen.orientation.angle},deviceScaleFactor:window.devicePixelRatio}}function JQ(){return new Promise(e=>{requestAnimationFrame(()=>requestAnimationFrame(e))})}var $Q,E3,YQ,Yy,XQ,S3=g(()=>{"use strict";l();Ge();wp();xn();rp();$Q=process.env.LH_FPS_TEST?100:30,E3=process.env.LH_FPS_TEST?"png":"webp",YQ=16383;s(T3,"kebabCaseToCamelCase");s(KQ,"getObservedDeviceMetrics");s(JQ,"waitForDoubleRaf");Yy=class extends Z{static{s(this,"FullPageScreenshot")}meta={supportedModes:["snapshot","timespan","navigation"]};waitForNetworkIdle(t){let n=t.driver.defaultSession,r=t.driver.networkMonitor;return oy(n,r,{pretendDCLAlreadyFired:!0,networkQuietThresholdMs:1e3,busyEvent:"network-critical-busy",idleEvent:"network-critical-idle",isIdle:a=>a.isCriticalIdle()})}async _resizeViewport(t,n){
let r=t.driver.defaultSession,a=await r.sendCommand("Page.getLayoutMetrics"),o=Math.round(n.height*a.cssContentSize.height/a.cssLayoutViewport.clientHeight),i=Math.min(o,YQ),c=this.waitForNetworkIdle(t);await r.sendCommand("Emulation.setDeviceMetricsOverride",{mobile:n.mobile,deviceScaleFactor:1,height:i,width:0}),await Promise.race([new Promise(u=>setTimeout(u,1e3*5)),c.promise]),c.cancel(),await t.driver.executionContext.evaluate(JQ,{args:[]})}async _takeScreenshot(t){let[n,r]=await Promise.all([t.driver.defaultSession.sendCommand("Page.getLayoutMetrics"),t.driver.defaultSession.sendCommand("Page.captureScreenshot",{format:E3,quality:$Q})]);return{data:`data:image/${E3};base64,`+r.data,width:n.cssVisualViewport.clientWidth,height:n.cssVisualViewport.clientHeight}}async _resolveNodes(t){function n(){let i={};if(!window.__lighthouseNodesDontTouchOrAllVarianceGoesAway)return i;let c=window.__lighthouseNodesDontTouchOrAllVarianceGoesAway;for(let[u,d]of c.entries()){let m=getBoundingClientRect(
u);i[d]={id:u.id,...m}}return i}s(n,"resolveNodes");function r({useIsolation:i}){return t.driver.executionContext.evaluate(n,{args:[],useIsolation:i,deps:[Ue.getBoundingClientRect]})}s(r,"resolveNodesInPage");let a=await r({useIsolation:!1}),o=await r({useIsolation:!0});return{...a,...o}}async getArtifact(t){let n=t.driver.defaultSession,r=t.driver.executionContext,a=t.settings,o=!a.screenEmulation.disabled,i={...a.screenEmulation};try{if(!a.usePassiveGathering){if(!o){let d=await r.evaluate(KQ,{args:[],useIsolation:!0,deps:[T3]});i.height=d.height,i.width=d.width,i.deviceScaleFactor=d.deviceScaleFactor,i.mobile=a.formFactor==="mobile"}await this._resizeViewport(t,i)}let[c,u]=await Promise.all([this._takeScreenshot(t),this._resolveNodes(t)]);return{screenshot:c,nodes:u}}finally{a.usePassiveGathering||(o?await bp(n,a):await n.sendCommand("Emulation.setDeviceMetricsOverride",{mobile:i.mobile,deviceScaleFactor:i.deviceScaleFactor,height:i.height,width:0}))}}},XQ=Yy});var C3={};x(C3,{default:()=>QQ});function ZQ(){let e=window.__HTMLElementBoundingClientRect||window.HTMLElement.prototype.getBoundingClientRect;return getElementsInDocument("iframe").map(n=>{let r=e.call(n),{top:a,bottom:o,left:i,right:c,width:u,height:d}=r;return{id:n.id,src:n.src,clientRect:{top:a,bottom:o,left:i,right:c,width:u,height:d},isPositionFixed:isPositionFixed(n),node:getNodeDetails(n)}})}var Ky,QQ,k3=g(()=>{"use strict";l();Ge();xn();s(ZQ,"collectIFrameElements");Ky=class extends Z{static{s(this,"IFrameElements")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(t){return await t.driver.executionContext.evaluate(ZQ,{args:[],useIsolation:!0,deps:[Ue.getElementsInDocument,Ue.isPositionFixed,Ue.getNodeDetails]})}},QQ=Ky});var Xy={};x(Xy,{default:()=>iee,findMostSpecificMatchedCSSRule:()=>hu,getEffectiveFontRule:()=>F3});function fu(e){return!!e&&!!e.cssProperties.find(({name:t})=>t===eee)}function hu(e=[],t){let n;for(let r=e.length-1;r>=0;r--)if(t(e[r].rule.style)){n=e[r].rule;break}if(n)return{type:"Regular",...n.style,parentRule:{origin:n.origin,selectors:n.selectorList.selectors}}}function ree(e=[]){for(let{inlineStyle:t,matchedCSSRules:n}of e){if(fu(t))return{type:"Inline",...t};let r=hu(n,fu);if(r)return r}}function F3({attributesStyle:e,inlineStyle:t,matchedCSSRules:n,inherited:r}){if(fu(t))return{type:"Inline",...t};let a=hu(n,fu);if(a)return a;if(fu(e))return{type:"Attributes",...e};let o=ree(r);if(o)return o}function aee(e){return e?Array.from(e.trim()).length:0}async function oee(e,t){let n=await e.sendCommand("CSS.getMatchedStylesForNode",{nodeId:t}),r=F3(n);if(r)return{type:r.type,range:r.range,styleSheetId:r.styleSheetId,parentRule:r.parentRule&&{origin:r.parentRule.origin,selectors:r.parentRule.
selectors}}}var eee,tee,nee,Jy,iee,Zy=g(()=>{"use strict";l();Ge();eee="font-size",tee=12,nee=50;s(fu,"hasFontSizeDeclaration");s(hu,"findMostSpecificMatchedCSSRule");s(ree,"findInheritedCSSRule");s(F3,"getEffectiveFontRule");s(aee,"getTextLength");s(oee,"fetchSourceRule");Jy=class e extends Z{static{s(this,"FontSize")}meta={supportedModes:["snapshot","navigation"]};static async fetchFailingNodeSourceRules(t,n){let r=n.sort((u,d)=>d.textLength-u.textLength).slice(0,nee);await t.sendCommand("DOM.getDocument",{depth:-1,pierce:!0});let{nodeIds:a}=await t.sendCommand("DOM.pushNodesByBackendIdsToFrontend",{backendNodeIds:r.map(u=>u.parentNode.backendNodeId)}),o=r.map(async(u,d)=>{u.nodeId=a[d];try{let m=await oee(t,a[d]);u.cssRule=m}catch{u.cssRule=void 0}return u}),i=await Promise.all(o),c=i.reduce((u,{textLength:d})=>u+=d,0);return{analyzedFailingNodesData:i,analyzedFailingTextLength:c}}getTextNodesInLayoutFromSnapshot(t){let n=t.strings,r=s(i=>n[i],"getString"),a=s(i=>parseFloat(n[i]),"g\
etFloat"),o=[];for(let i=0;i<t.documents.length;i++){let c=t.documents[i];if(!c.nodes.backendNodeId||!c.nodes.parentIndex||!c.nodes.attributes||!c.nodes.nodeName)throw new Error("Unexpected response from DOMSnapshot.captureSnapshot.");let u=c.nodes,d=s(m=>({backendNodeId:u.backendNodeId[m],attributes:u.attributes[m].map(r),nodeName:r(u.nodeName[m])}),"getParentData");for(let m of c.textBoxes.layoutIndex){let p=n[c.layout.text[m]];if(!p)continue;let h=c.layout.nodeIndex[m],f=c.layout.styles[m],[y]=f,v=a(y),w=u.parentIndex[h],E=u.parentIndex[w],T=d(w),S=E!==void 0?d(E):void 0;o.push({nodeIndex:h,backendNodeId:u.backendNodeId[h],fontSize:v,textLength:aee(p),parentNode:{...T,parentNode:S}})}}return o}findFailingNodes(t){let n=[],r=0,a=0;for(let o of this.getTextNodesInLayoutFromSnapshot(t))r+=o.textLength,o.fontSize<tee&&(a+=o.textLength,n.push({nodeId:0,parentNode:o.parentNode,textLength:o.textLength,fontSize:o.fontSize}));return{totalTextLength:r,failingTextLength:a,failingNodes:n}}async getArtifact(t){
let n=t.driver.defaultSession,r=new Map,a=s(p=>r.set(p.header.styleSheetId,p.header),"onStylesheetAdded");n.on("CSS.styleSheetAdded",a),await Promise.all([n.sendCommand("DOMSnapshot.enable"),n.sendCommand("DOM.enable"),n.sendCommand("CSS.enable")]);let o=await n.sendCommand("DOMSnapshot.captureSnapshot",{computedStyles:["font-size"]}),{totalTextLength:i,failingTextLength:c,failingNodes:u}=this.findFailingNodes(o),{analyzedFailingNodesData:d,analyzedFailingTextLength:m}=await e.fetchFailingNodeSourceRules(n,u);return n.off("CSS.styleSheetAdded",a),d.filter(p=>p.cssRule?.styleSheetId).forEach(p=>p.cssRule.stylesheet=r.get(p.cssRule.styleSheetId)),await Promise.all([n.sendCommand("DOMSnapshot.disable"),n.sendCommand("DOM.disable"),n.sendCommand("CSS.disable")]),{analyzedFailingNodesData:d,analyzedFailingTextLength:m,failingTextLength:c,totalTextLength:i}}},iee=Jy});var I3={};x(I3,{default:()=>lee});function tv(e){let t=e.getBoundingClientRect();return{top:t.top,bottom:t.bottom,left:t.left,right:t.right}}function nv(e,t){return e.parentElement&&e.parentElement.tagName==="PICTURE"?window.getComputedStyle(e.parentElement).getPropertyValue("position"):t.getPropertyValue("position")}function A3(e){return e.filter(n=>n.localName==="img").map(n=>{let r=window.getComputedStyle(n),a=!!n.parentElement&&n.parentElement.tagName==="PICTURE",o=!a&&!n.srcset;return{src:n.currentSrc,srcset:n.srcset,displayedWidth:n.width,displayedHeight:n.height,clientRect:tv(n),attributeWidth:n.getAttribute("width"),attributeHeight:n.getAttribute("height"),naturalDimensions:o?{width:n.naturalWidth,height:n.naturalHeight}:void 0,cssRules:void 0,computedStyles:{position:nv(n,r),objectFit:r.getPropertyValue("object-fit"),imageRendering:r.getPropertyValue("image-rendering")},isCss:!1,isPicture:a,loading:n.loading,isInShadowDOM:n.getRootNode()instanceof ShadowRoot,fetchPriority:n.fetchPriority,
node:getNodeDetails(n)}})}function _3(e){let t=/^url\("([^"]+)"\)$/,n=[];for(let r of e){let a=window.getComputedStyle(r);if(!a.backgroundImage||!t.test(a.backgroundImage))continue;let i=a.backgroundImage.match(t)[1];n.push({src:i,srcset:"",displayedWidth:r.clientWidth,displayedHeight:r.clientHeight,clientRect:tv(r),attributeWidth:null,attributeHeight:null,naturalDimensions:void 0,cssEffectiveRules:void 0,computedStyles:{position:nv(r,a),objectFit:"",imageRendering:a.getPropertyValue("image-rendering")},isCss:!0,isPicture:!1,isInShadowDOM:r.getRootNode()instanceof ShadowRoot,node:getNodeDetails(r)})}return n}function see(){let e=getElementsInDocument();return A3(e).concat(_3(e))}function cee(e){return new Promise((t,n)=>{let r=new Image;r.addEventListener("error",a=>n(new Error("determineNaturalSize failed img load"))),r.addEventListener("load",()=>{t({naturalWidth:r.naturalWidth,naturalHeight:r.naturalHeight})}),r.src=e})}function Dp(e,t){if(!e||!e.cssProperties)return;let n=e.cssProperties.
find(({name:r})=>r===t);if(n)return n.value}function uee(e,t){let r=hu(e,s(a=>Dp(a,t),"isDeclarationofInterest"));if(r)return Dp(r,t)}function Qy({attributesStyle:e,inlineStyle:t,matchedCSSRules:n},r){let a=Dp(t,r);if(a)return a;let o=Dp(e,r);if(o)return o;let i=uee(n,r);return i||null}function R3(e){return e.naturalDimensions?e.naturalDimensions.height*e.naturalDimensions.width:e.displayedHeight*e.displayedWidth}var ev,lee,M3=g(()=>{"use strict";l();Me();Ge();xn();Zy();s(tv,"getClientRect");s(nv,"getPosition");s(A3,"getHTMLImages");s(_3,"getCSSImages");s(see,"collectImageElementInfo");s(cee,"determineNaturalSize");s(Dp,"findSizeDeclaration");s(uee,"findMostSpecificCSSRule");s(Qy,"getEffectiveSizingRule");s(R3,"getPixelArea");ev=class extends Z{static{s(this,"ImageElements")}meta={supportedModes:["snapshot","timespan","navigation"]};constructor(){super(),this._naturalSizeCache=new Map}async fetchElementWithSizeInformation(t,n){let r=n.src,a=this._naturalSizeCache.get(r);if(!a)try{t.defaultSession.
setNextProtocolTimeout(250),a=await t.executionContext.evaluate(cee,{args:[r],useIsolation:!0}),this._naturalSizeCache.set(r,a)}catch{}a&&(n.naturalDimensions={width:a.naturalWidth,height:a.naturalHeight})}async fetchSourceRules(t,n,r){try{let{nodeId:a}=await t.sendCommand("DOM.pushNodeByPathToFrontend",{path:n});if(!a)return;let o=await t.sendCommand("CSS.getMatchedStylesForNode",{nodeId:a}),i=Qy(o,"width"),c=Qy(o,"height"),u=Qy(o,"aspect-ratio");r.cssEffectiveRules={width:i,height:c,aspectRatio:u}}catch(a){if(/No node.*found/.test(a.message))return;throw a}}async collectExtraDetails(t,n){let r=!1;setTimeout(o=>r=!0,5e3);let a=0;for(let o of n){if(r){a++;continue}!o.isInShadowDOM&&!o.isCss&&await this.fetchSourceRules(t.defaultSession,o.node.devtoolsNodePath,o),(o.isPicture||o.isCss||o.srcset)&&await this.fetchElementWithSizeInformation(t,o)}r&&M.warn("ImageElements",`Reached gathering budget of 5s. Skipped extra details for ${a}/${n.length}`)}async getArtifact(t){let n=t.driver.defaultSession,
a=await t.driver.executionContext.evaluate(see,{args:[],useIsolation:!0,deps:[Ue.getElementsInDocument,Ue.getBoundingClientRect,Ue.getNodeDetails,tv,nv,A3,_3]});return await Promise.all([n.sendCommand("DOM.enable"),n.sendCommand("CSS.enable"),n.sendCommand("DOM.getDocument",{depth:-1,pierce:!0})]),a.sort((o,i)=>R3(i)-R3(o)),await this.collectExtraDetails(t.driver,a),await Promise.all([n.sendCommand("DOM.disable"),n.sendCommand("CSS.disable")]),a}},lee=ev});var N3={};x(N3,{default:()=>mee});function dee(){let e=[],t=new Map,n=new Map,r=getElementsInDocument("form");for(let i of r)t.set(i,{id:i.id,name:i.name,autocomplete:i.autocomplete,node:getNodeDetails(i)});let a=getElementsInDocument("label");for(let i of a)n.set(i,{for:i.htmlFor,node:getNodeDetails(i)});let o=getElementsInDocument("textarea, input, select");for(let i of o){let c=i.form,u=c?[...t.keys()].indexOf(c):void 0,d=[...i.labels||[]].map(p=>[...n.keys()].indexOf(p)),m;i.readOnly||(m=!i.dispatchEvent(new ClipboardEvent("paste",{cancelable:!0}))),e.push({parentFormIndex:u,labelIndices:d,id:i.id,name:i.name,type:i.type,placeholder:i instanceof HTMLSelectElement?void 0:i.placeholder,autocomplete:{property:i.autocomplete,attribute:i.getAttribute("autocomplete"),prediction:i.getAttribute("autofill-prediction")},preventsPaste:m,node:getNodeDetails(i)})}return{inputs:e,forms:[...t.values()],labels:[...n.values()]}}var rv,mee,P3=g(()=>{"use strict";l();Ge();xn();s(dee,"collectElements");
rv=class extends Z{static{s(this,"Inputs")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(t){return t.driver.executionContext.evaluate(dee,{args:[],useIsolation:!0,deps:[Ue.getElementsInDocument,Ue.getNodeDetails]})}},mee=rv});var L3={};x(L3,{default:()=>pee});var av,pee,O3=g(()=>{"use strict";l();Ge();nt();dr();av=class extends Z{static{s(this,"InspectorIssues")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:qt.symbol}};constructor(){super(),this._issues=[],this._onIssueAdded=this.onIssueAdded.bind(this)}onIssueAdded(t){this._issues.push(t.issue)}async startInstrumentation(t){let n=t.driver.defaultSession;n.on("Audits.issueAdded",this._onIssueAdded),await n.sendCommand("Audits.enable")}async stopInstrumentation(t){let n=t.driver.defaultSession;n.off("Audits.issueAdded",this._onIssueAdded),await n.sendCommand("Audits.disable")}async getArtifact(t){let n=t.dependencies.DevtoolsLog,r=await ae.request(n,t),a={attributionReportingIssue:[],blockedByResponseIssue:[],bounceTrackingIssue:[],clientHintIssue:[],contentSecurityPolicyIssue:[],cookieDeprecationMetadataIssue:[],corsIssue:[],deprecationIssue:[],federatedAuthRequestIssue:[],genericIssue:[],heavyAdIssue:[],lowTextContrastIssue:[],mixedContentIssue:[],
navigatorUserAgentIssue:[],propertyRuleIssue:[],quirksModeIssue:[],cookieIssue:[],sharedArrayBufferIssue:[],stylesheetLoadingIssue:[],federatedAuthUserInfoRequestIssue:[]},o=Object.keys(a);for(let i of o){let c=`${i}Details`,u=this._issues.map(d=>d.details[c]);for(let d of u){if(!d)continue;let m="request"in d&&d.request&&d.request.requestId;m?r.find(p=>p.requestId===m)&&a[i].push(d):a[i].push(d)}}return a}},pee=av});var B3={};x(B3,{default:()=>fee});var ov,fee,U3=g(()=>{"use strict";l();Ge();ov=class extends Z{static{s(this,"JsUsage")}meta={supportedModes:["snapshot","timespan","navigation"]};constructor(){super(),this._scriptUsages=[]}async startInstrumentation(t){let n=t.driver.defaultSession;await n.sendCommand("Profiler.enable"),await n.sendCommand("Profiler.startPreciseCoverage",{detailed:!1})}async stopInstrumentation(t){let n=t.driver.defaultSession,r=await n.sendCommand("Profiler.takePreciseCoverage");this._scriptUsages=r.result,await n.sendCommand("Profiler.stopPreciseCoverage"),await n.sendCommand("Profiler.disable")}async getArtifact(){let t={};for(let n of this._scriptUsages)n.url===""||n.url==="_lighthouse-eval.js"||n.url!=="__puppeteer_evaluation_script__"&&(t[n.scriptId]=n);return t}},fee=ov});var H3=P((Qke,z3)=>{"use strict";l();var hee=/^utf-?8|ascii|utf-?16-?le|ucs-?2|base-?64|latin-?1$/i,gee=/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,yee=/\s|\uFEFF|\xA0/,vee=/\r?\n[\x20\x09]+/g,bee=/[;,"]/,wee=/[;,"]|\s/,Dee=/^[!#$%&'*+\-\.^_`|~\da-zA-Z]+$/,ua={IDLE:1,URI:2,ATTR:4};function j3(e){return e.replace(gee,"")}s(j3,"trim");function Ep(e){return yee.test(e)}s(Ep,"hasWhitespace");function Eee(e,t){for(;Ep(e[t]);)t++;return t}s(Eee,"skipWhitespace");function q3(e){return wee.test(e)||!Dee.test(e)}s(q3,"needsQuotes");function Tee(e,t){return Object.keys(e).length===Object.keys(t).length&&Object.keys(e).every(n=>n in t&&e[n]===t[n])}s(Tee,"shallowCompareObjects");var Ot=class e{static{s(this,"Link")}constructor(t){this.refs=[],t&&this.parse(t)}rel(t){for(var n=[],r=t.toLowerCase(),a=0;a<this.refs.length;a++)this.refs[a].rel.toLowerCase()===r&&n.push(this.refs[a]);return n}get(t,n){t=t.toLowerCase();for(var r=[],a=0;a<this.refs.length;a++)this.refs[a][t]===n&&r.push(this.refs[a]);return r}set(t){
return this.refs.push(t),this}setUnique(t){return this.refs.some(n=>Tee(n,t))||this.refs.push(t),this}has(t,n){t=t.toLowerCase();for(var r=0;r<this.refs.length;r++)if(this.refs[r][t]===n)return!0;return!1}parse(t,o){o=o||0,t=o?t.slice(o):t,t=j3(t).replace(vee,"");for(var r=ua.IDLE,a=t.length,o=0,i=null;o<a;)if(r===ua.IDLE){if(Ep(t[o])){o++;continue}else if(t[o]==="<"){i!=null&&(i.rel!=null?this.refs.push(...e.expandRelations(i)):this.refs.push(i));var c=t.indexOf(">",o);if(c===-1)throw new Error("Expected end of URI delimiter at offset "+o);i={uri:t.slice(o+1,c)},o=c,r=ua.URI}else throw new Error('Unexpected character "'+t[o]+'" at offset '+o);o++}else if(r===ua.URI)if(Ep(t[o])){o++;continue}else if(t[o]===";")r=ua.ATTR,o++;else if(t[o]===",")r=ua.IDLE,o++;else throw new Error('Unexpected character "'+t[o]+'" at offset '+o);else if(r===ua.ATTR){if(t[o]===";"||Ep(t[o])){o++;continue}var c=t.indexOf("=",o);c===-1&&(c=t.indexOf(";",o)),c===-1&&(c=t.length);var u=j3(t.slice(o,c)).toLowerCase(),
d="";if(o=c+1,o=Eee(t,o),t[o]==='"')for(o++;o<a;){if(t[o]==='"'){o++;break}t[o]==="\\"&&o++,d+=t[o],o++}else{for(var c=o+1;!bee.test(t[c])&&c<a;)c++;d=t.slice(o,c),o=c}switch(i[u]&&e.isSingleOccurenceAttr(u)||(u[u.length-1]==="*"?i[u]=e.parseExtendedValue(d):(d=u==="type"?d.toLowerCase():d,i[u]!=null?Array.isArray(i[u])?i[u].push(d):i[u]=[i[u],d]:i[u]=d)),t[o]){case",":r=ua.IDLE;break;case";":r=ua.ATTR;break}o++}else throw new Error('Unknown parser state "'+r+'"');return i!=null&&(i.rel!=null?this.refs.push(...e.expandRelations(i)):this.refs.push(i)),i=null,this}toString(){for(var t=[],n="",r=null,a=0;a<this.refs.length;a++)r=this.refs[a],n=Object.keys(this.refs[a]).reduce(function(o,i){return i==="uri"?o:o+"; "+e.formatAttribute(i,r[i])},"<"+r.uri+">"),t.push(n);return t.join(", ")}};Ot.isCompatibleEncoding=function(e){return hee.test(e)};Ot.parse=function(e,t){return new Ot().parse(e,t)};Ot.isSingleOccurenceAttr=function(e){return e==="rel"||e==="type"||e==="media"||e==="title"||e===
"title*"};Ot.isTokenAttr=function(e){return e==="rel"||e==="type"||e==="anchor"};Ot.escapeQuotes=function(e){return e.replace(/"/g,'\\"')};Ot.expandRelations=function(e){var t=e.rel.split(" ");return t.map(function(n){var r=Object.assign({},e);return r.rel=n,r})};Ot.parseExtendedValue=function(e){var t=/([^']+)?(?:'([^']*)')?(.+)/.exec(e);return{language:t[2].toLowerCase(),encoding:Ot.isCompatibleEncoding(t[1])?null:t[1].toLowerCase(),value:Ot.isCompatibleEncoding(t[1])?decodeURIComponent(t[3]):t[3]}};Ot.formatExtendedAttribute=function(e,t){var n=(t.encoding||"utf-8").toUpperCase(),r=t.language||"en",a="";return Buffer.isBuffer(t.value)&&Ot.isCompatibleEncoding(n)?a=t.value.toString(n):Buffer.isBuffer(t.value)?a=t.value.toString("hex").replace(/[0-9a-f]{2}/gi,"%$1"):a=encodeURIComponent(t.value),e+"="+n+"'"+r+"'"+a};Ot.formatAttribute=function(e,t){return Array.isArray(t)?t.map(n=>Ot.formatAttribute(e,n)).join("; "):e[e.length-1]==="*"||typeof t!="string"?Ot.formatExtendedAttribute(e,
t):(Ot.isTokenAttr(e)?t=q3(t)?'"'+Ot.escapeQuotes(t)+'"':Ot.escapeQuotes(t):q3(t)&&(t=encodeURIComponent(t),t=t.replace(/%20/g," ").replace(/%2C/g,",").replace(/%3B/g,";"),t='"'+t+'"'),e+"="+t)};z3.exports=Ot});var iv,it,cn=g(()=>{"use strict";l();ye();nt();Hi();iv=class{static{s(this,"MainResource")}static async compute_(t,n){let{mainDocumentUrl:r}=t.URL;if(!r)throw new Error("mainDocumentUrl must exist to get the main resource");let a=await ae.request(t.devtoolsLog,n),o=Xt.findLastDocumentForUrl(a,r);if(!o)throw new Error("Unable to identify the main resource");return o}},it=G(iv,["URL","devtoolsLog"])});var G3={};x(G3,{UIStrings:()=>cv,default:()=>Fee});function See(e,t){try{return new URL(e,t).href}catch{return null}}function Cee(e){return e==="anonymous"?"anonymous":e==="use-credentials"?"use-credentials":null}function kee(){let e=getElementsInDocument("link"),t=[];for(let n of e){if(!(n instanceof HTMLLinkElement))continue;let r=n.getAttribute("href")||"",a=n.closest("head")?"head":"body";t.push({rel:n.rel,href:n.href,hreflang:n.hreflang,as:n.as,crossOrigin:n.crossOrigin,hrefRaw:r,source:a,fetchPriority:n.fetchPriority,node:getNodeDetails(n)})}return t}var W3,cv,xee,sv,Fee,V3=g(()=>{"use strict";l();W3=Bt(H3(),1);Ge();xn();dr();cn();Nn();A();cv={headerParseWarning:"Error parsing `link` header ({error}): `{header}`"},xee=D("core/gather/gatherers/link-elements.js",cv);s(See,"normalizeUrlOrNull");s(Cee,"getCrossoriginFromHeader");s(kee,"getLinkElementsInDOM");sv=class e extends Z{static{s(this,"LinkElements")}constructor(){super(),this.meta={supportedModes:["timespan","navigation"],dependencies:{
DevtoolsLog:qt.symbol}}}static getLinkElementsInDOM(t){return t.driver.executionContext.evaluate(kee,{args:[],useIsolation:!0,deps:[Ue.getNodeDetails,Ue.getElementsInDocument]})}static async getLinkElementsInHeaders(t,n){let r=await it.request({devtoolsLog:n,URL:t.baseArtifacts.URL},t),a=[];for(let o of r.responseHeaders){if(o.name.toLowerCase()!=="link")continue;let i=[];try{i=W3.default.parse(o.value).refs}catch(c){let u=Ne.truncate(o.value,100),d=xee(cv.headerParseWarning,{error:c.message,header:u});t.baseArtifacts.LighthouseRunWarnings.push(d)}for(let c of i)a.push({rel:c.rel||"",href:See(c.uri,t.baseArtifacts.URL.finalDisplayedUrl),hrefRaw:c.uri||"",hreflang:c.hreflang||"",as:c.as||"",crossOrigin:Cee(c.crossorigin),source:"headers",fetchPriority:c.fetchpriority,node:null})}return a}async getArtifact(t){let n=t.dependencies.DevtoolsLog,r=await e.getLinkElementsInDOM(t),a=await e.getLinkElementsInHeaders(t,n),o=r.concat(a);for(let i of o)i.rel=i.rel.toLowerCase();return o}},Fee=sv});var $3={};x($3,{default:()=>Ree});var uv,Ree,Y3=g(()=>{"use strict";l();Ge();dr();Gy();cn();uv=class extends Z{static{s(this,"MainDocumentContent")}meta={supportedModes:["navigation"],dependencies:{DevtoolsLog:qt.symbol}};async getArtifact(t){let n=t.dependencies.DevtoolsLog,r=await it.request({devtoolsLog:n,URL:t.baseArtifacts.URL},t),a=t.driver.defaultSession;return vp(a,r.requestId)}},Ree=uv});var K3={};x(K3,{default:()=>_ee});function Aee(){let e={getElementsInDocument,getNodeDetails};return e.getElementsInDocument("head meta").map(n=>{let r=s(a=>{let o=n.attributes.getNamedItem(a);if(o)return o.value},"getAttribute");return{name:n.name.toLowerCase(),content:n.content,property:r("property"),httpEquiv:n.httpEquiv?n.httpEquiv.toLowerCase():void 0,charset:r("charset"),node:e.getNodeDetails(n)}})}var lv,_ee,J3=g(()=>{"use strict";l();Ge();xn();s(Aee,"collectMetaElements");lv=class extends Z{static{s(this,"MetaElements")}meta={supportedModes:["snapshot","navigation"]};getArtifact(t){return t.driver.executionContext.evaluate(Aee,{args:[],useIsolation:!0,deps:[Ue.getElementsInDocument,Ue.getNodeDetails]})}},_ee=lv});var X3={};x(X3,{default:()=>Iee});var dv,Iee,Z3=g(()=>{"use strict";l();Ge();dr();dv=class e extends Z{static{s(this,"NetworkUserAgent")}meta={supportedModes:["timespan","navigation"],dependencies:{DevtoolsLog:qt.symbol}};static getNetworkUserAgent(t){for(let n of t){if(n.method!=="Network.requestWillBeSent")continue;let r=n.params.request.headers["User-Agent"];if(r)return r}return""}async getArtifact(t){return e.getNetworkUserAgent(t.dependencies.DevtoolsLog)}},Iee=dv});var Gt={};x(Gt,{DEFAULT_COMPARATOR:()=>Uee,arrayDoesNotContainNullOrUndefined:()=>Hee,binaryIndexOf:()=>Lee,intersectOrdered:()=>Oee,lowerBound:()=>eP,mergeOrdered:()=>Bee,nearestIndexFromBeginning:()=>qee,nearestIndexFromEnd:()=>zee,removeElement:()=>Mee,sortRange:()=>Pee,upperBound:()=>jee});function mv(e,t,n){let r=e[t];e[t]=e[n],e[n]=r}function Nee(e,t,n,r,a){let o=e[a];mv(e,r,a);let i=n;for(let c=n;c<r;++c)t(e[c],o)<0&&(mv(e,i,c),++i);return mv(e,r,i),i}function pv(e,t,n,r,a,o){if(r<=n)return;let i=Math.floor(Math.random()*(r-n))+n,c=Nee(e,t,n,r,i);a<c&&pv(e,t,n,c-1,a,o),c<o&&pv(e,t,c+1,r,a,o)}function Pee(e,t,n,r,a,o){return n===0&&r===e.length-1&&a===0&&o>=r?e.sort(t):pv(e,t,n,r,a,o),e}function Q3(e,t,n,r){let a=[],o=0,i=0;for(;o<e.length&&i<t.length;){let c=n(e[o],t[i]);(r||!c)&&a.push(c<=0?e[o]:t[i]),c<=0&&o++,c>=0&&i++}if(r){for(;o<e.length;)a.push(e[o++]);for(;i<t.length;)a.push(t[i++])}return a}function eP(e,t,n,r,a){let o=r||0,i=a!==void 0?a:e.length;for(;o<i;){let c=o+i>>
1;n(t,e[c])>0?o=c+1:i=c}return i}function jee(e,t,n,r,a){let o=r||0,i=a!==void 0?a:e.length;for(;o<i;){let c=o+i>>1;n(t,e[c])>=0?o=c+1:i=c}return i}function tP(e,t,n){let r=n==="END";if(e.length===0)return null;let a=0,o=e.length-1,i=0,c=!1,u=!1,d=0;do d=a+(o-a)/2,i=r?Math.ceil(d):Math.floor(d),c=t(e[i]),u=c===r,u?a=Math.min(o,i+(a===i?1:0)):o=Math.max(a,i+(o===i?-1:0));while(o!==a);return t(e[a])?a:null}function qee(e,t){return tP(e,t,"BEGINNING")}function zee(e,t){return tP(e,t,"END")}function Hee(e){return!e.includes(null)&&!e.includes(void 0)}var Mee,Lee,Oee,Bee,Uee,nP=g(()=>{l();Mee=s((e,t,n)=>{let r=e.indexOf(t);if(r===-1)return!1;if(n)return e.splice(r,1),!0;for(let a=r+1,o=e.length;a<o;++a)e[a]!==t&&(e[r++]=e[a]);return e.length=r,!0},"removeElement");s(mv,"swap");s(Nee,"partition");s(pv,"quickSortRange");s(Pee,"sortRange");Lee=s((e,t,n)=>{let r=eP(e,t,n);return r<e.length&&n(t,e[r])===0?r:-1},"binaryIndexOf");s(Q3,"mergeOrIntersect");Oee=s((e,t,n)=>Q3(e,t,n,!1),"intersectOrder\
ed"),Bee=s((e,t,n)=>Q3(e,t,n,!0),"mergeOrdered"),Uee=s((e,t)=>e<t?-1:e>t?1:0,"DEFAULT_COMPARATOR");s(eP,"lowerBound");s(jee,"upperBound");s(tP,"nearestIndex");s(qee,"nearestIndexFromBeginning");s(zee,"nearestIndexFromEnd");s(Hee,"arrayDoesNotContainNullOrUndefined")});var rP=g(()=>{l()});var aP=g(()=>{l()});var oP=g(()=>{l()});var iP=g(()=>{l()});var sP=g(()=>{l()});var ve={};x(ve,{Multimap:()=>Tp,getWithDefault:()=>Kee,inverse:()=>Yee});function Kee(e,t,n){let r=e.get(t);return r||(r=n(t),e.set(t,r)),r}var Yee,Tp,cP=g(()=>{l();Yee=s(function(e){let t=new Tp;for(let[n,r]of e.entries())t.set(r,n);return t},"inverse"),Tp=class{static{s(this,"Multimap")}map=new Map;set(t,n){let r=this.map.get(t);r||(r=new Set,this.map.set(t,r)),r.add(n)}get(t){return this.map.get(t)||new Set}has(t){return this.map.has(t)}hasValue(t,n){let r=this.map.get(t);return r?r.has(n):!1}get size(){return this.map.size}delete(t,n){let r=this.get(t);if(!r)return!1;let a=r.delete(n);return r.size||this.map.delete(t),a}deleteAll(t){this.map.delete(t)}keysArray(){return[...this.map.keys()]}keys(){return this.map.keys()}valuesArray(){let t=[];for(let n of this.map.values())t.push(...n.values());return t}clear(){this.map.clear()}};s(Kee,"getWithDefault")});var uP=g(()=>{l()});var xp={};x(xp,{aspectRatio:()=>rte,bytesToString:()=>Qee,clamp:()=>Xee,floor:()=>tte,greatestCommonDivisor:()=>lP,mod:()=>Zee,toFixedIfFloating:()=>ete,withThousandsSeparator:()=>ate});var Xee,Zee,Qee,ete,tte,lP,nte,rte,ate,dP=g(()=>{l();Xee=s((e,t,n)=>{let r=e;return e<t?r=t:e>n&&(r=n),r},"clamp"),Zee=s((e,t)=>(e%t+t)%t,"mod"),Qee=s(e=>{if(e<1e3)return`${e.toFixed(0)} B`;let t=e/1e3;if(t<100)return`${t.toFixed(1)} kB`;if(t<1e3)return`${t.toFixed(0)} kB`;let n=t/1e3;return n<100?`${n.toFixed(1)} MB`:`${n.toFixed(0)} MB`},"bytesToString"),ete=s(e=>{if(!e||Number.isNaN(Number(e)))return e;let t=Number(e);return t%1?t.toFixed(3):String(t)},"toFixedIfFloating"),tte=s((e,t=0)=>{let n=Math.pow(10,t);return Math.floor(e*n)/n},"floor"),lP=s((e,t)=>{for(e=Math.round(e),t=Math.round(t);t!==0;){let n=t;t=e%t,e=n}return e},"greatestCommonDivisor"),nte=new Map([["8∶5","16∶10"]]),rte=s((e,t)=>{let n=lP(e,t);n!==0&&(e/=n,t/=n);let r=`${e}∶${t}`;return nte.get(r)||r},"aspectRatio"),ate=s(function(e){
let t=String(e),n=/(\d+)(\d{3})/;for(;t.match(n);)t=t.replace(n,"$1 $2");return t},"withThousandsSeparator")});var mP=g(()=>{l()});var pP=g(()=>{l()});var fP=g(()=>{l()});var hP=g(()=>{l()});var gP=g(()=>{l()});function rs(e,t){throw new Error(t)}var fv=g(()=>{l();s(rs,"assertNever")});var yP=g(()=>{l()});var vP=g(()=>{l()});var en=g(()=>{l();nP();rP();aP();oP();iP();sP();cP();uP();dP();mP();pP();fP();hP();gP();fv();yP();vP();fv()});var Nr={};x(Nr,{DEFAULT:()=>pte,configToCacheKey:()=>fte});function fte(e){return[`experiments.timelineShowAllEvents:${e.experiments.timelineShowAllEvents}`,`experiments.timelineV8RuntimeCallStats:${e.experiments.timelineV8RuntimeCallStats}`].join("-")}var pte,bP=g(()=>{l();pte={settings:{},experiments:{timelineV8RuntimeCallStats:!1,timelineShowAllEvents:!1},processing:{eventsPerChunk:5e4,pauseDuration:0}};s(fte,"configToCacheKey")});var gu={};x(gu,{colorIsValid:()=>wP,isExtensionPayloadFlameChartEntry:()=>yte,isExtensionPayloadMarker:()=>gte,isSyntheticExtensionEntry:()=>vte,validateColorInPayload:()=>hv});function wP(e){return hte.includes(e)}function hv(e){if(!("color"in e)||!e.color)return!1;let t=e.color;return wP(t)}function gte(e){let t=hv(e);return e.metadata.dataType==="marker"&&t}function yte(e){let t=hv(e),n="track"in e&&!!e.track;return e.metadata.dataType==="track-entry"&&n&&t}function vte(e){return e.cat==="devtools.extension"}var hte,DP=g(()=>{l();hte=["primary","primary-light","primary-dark","secondary","secondary-light","secondary-dark","tertiary","tertiary-light","tertiary-dark","error"];s(wP,"colorIsValid");s(hv,"validateColorInPayload");s(gte,"isExtensionPayloadMarker");s(yte,"isExtensionPayloadFlameChartEntry");s(vte,"isSyntheticExtensionEntry")});var EP=g(()=>{l()});var I={};x(I,{MicroSeconds:()=>bte,MilliSeconds:()=>wte,Seconds:()=>Dte});function bte(e){return e}function wte(e){return e}function Dte(e){return e}var TP=g(()=>{l();s(bte,"MicroSeconds");s(wte,"MilliSeconds");s(Dte,"Seconds")});var R={};x(R,{CallFrameID:()=>nne,MarkerName:()=>kte,ProcessID:()=>rne,ProfileID:()=>tne,ThreadID:()=>ane,WorkerId:()=>one,eventIsPageLoadEvent:()=>Ate,isAsyncPhase:()=>Ete,isFlowPhase:()=>Tte,isJSInvocationEvent:()=>ire,isLegacyTraceEventDrawFrameBegin:()=>jte,isNestableAsyncPhase:()=>xP,isProcessName:()=>fne,isProfileCall:()=>LP,isStyleRecalcSelectorStats:()=>Xte,isSyntheticConsoleTiming:()=>jne,isSyntheticCpuProfile:()=>Cne,isSyntheticInteractionEvent:()=>Ote,isSyntheticInvalidation:()=>Jte,isSyntheticLayoutShift:()=>$ne,isSyntheticNetworkRequestDetailsEvent:()=>Pne,isSyntheticTraceEntry:()=>Bte,isSyntheticUserTiming:()=>Une,isThreadName:()=>pne,isTraceEventActivateLayerTree:()=>Kte,isTraceEventAnimation:()=>vne,isTraceEventAsyncPhase:()=>vv,isTraceEventAuctionWorkletDoneWithProcess:()=>Ste,isTraceEventAuctionWorkletRunningInProcess:()=>xte,isTraceEventBegin:()=>ine,isTraceEventBeginFrame:()=>qte,isTraceEventBeginMainThreadFrame:()=>Wte,isTraceEventCommit:()=>Vte,isTraceEventCommitLoad:()=>yne,
isTraceEventComplete:()=>CP,isTraceEventCompositeLayers:()=>Yte,isTraceEventConsoleTime:()=>Hne,isTraceEventDispatch:()=>cne,isTraceEventDisplayListItemListSnapshot:()=>Xne,isTraceEventDrawFrame:()=>Ute,isTraceEventDroppedFrame:()=>zte,isTraceEventEnd:()=>sne,isTraceEventEventTiming:()=>yv,isTraceEventEventTimingEnd:()=>Ene,isTraceEventEventTimingStart:()=>Tne,isTraceEventFireAnimationFrame:()=>Qne,isTraceEventFireIdleCallback:()=>une,isTraceEventFirstContentfulPaint:()=>AP,isTraceEventFirstPaint:()=>MP,isTraceEventFrameCommittedInBrowser:()=>gne,isTraceEventGPUTask:()=>xne,isTraceEventHandlePostMessage:()=>dne,isTraceEventInstant:()=>kP,isTraceEventInteractiveTime:()=>PP,isTraceEventInvalidateLayout:()=>ene,isTraceEventLargestContentfulPaintCandidate:()=>_P,isTraceEventLargestImagePaintCandidate:()=>wne,isTraceEventLargestTextPaintCandidate:()=>Dne,isTraceEventLayerTreeHostImplSnapshot:()=>Zne,isTraceEventLayout:()=>Qte,isTraceEventLayoutInvalidationTracking:()=>bne,isTraceEventLayoutShift:()=>RP,
isTraceEventMainFrameViewport:()=>Bne,isTraceEventMarkDOMContent:()=>NP,isTraceEventMarkLoad:()=>IP,isTraceEventMarkerEvent:()=>Fte,isTraceEventNavigationStart:()=>gv,isTraceEventNavigationStartWithURL:()=>One,isTraceEventNeedsBeginFrameChanged:()=>Gte,isTraceEventPaint:()=>Yne,isTraceEventParseHTML:()=>Gne,isTraceEventPerformanceMark:()=>zne,isTraceEventPerformanceMeasure:()=>qne,isTraceEventPipelineReporter:()=>Lte,isTraceEventPrePaint:()=>Lne,isTraceEventProfile:()=>Sne,isTraceEventProfileChunk:()=>kne,isTraceEventRasterTask:()=>$te,isTraceEventRendererEvent:()=>FP,isTraceEventRequestAnimationFrame:()=>ere,isTraceEventRequestIdleCallback:()=>rre,isTraceEventRequestMainThreadFrame:()=>Hte,isTraceEventResourceChangePriority:()=>Fne,isTraceEventResourceFinish:()=>Ine,isTraceEventResourceMarkAsCached:()=>_ne,isTraceEventResourceReceiveResponse:()=>Ane,isTraceEventResourceReceivedData:()=>Nne,isTraceEventResourceSendRequest:()=>Rne,isTraceEventResourceWillSendRequest:()=>Mne,isTraceEventSchedulePostMessage:()=>lne,
isTraceEventScheduleStyleInvalidationTracking:()=>Ite,isTraceEventScheduleStyleRecalculation:()=>Pte,isTraceEventScreenshot:()=>Cte,isTraceEventSetLayerId:()=>Kne,isTraceEventStyleInvalidatorInvalidationTracking:()=>Nte,isTraceEventStyleRecalcInvalidationTracking:()=>Mte,isTraceEventTimeStamp:()=>Wne,isTraceEventTimerFire:()=>nre,isTraceEventTimerInstall:()=>tre,isTraceEventTracingSessionIdForWorker:()=>_te,isTraceEventTracingStartedInBrowser:()=>hne,isTraceEventUpdateCounters:()=>mne,isTraceEventUpdateLayer:()=>Jne,isTraceEventUpdateLayoutTree:()=>Zte,isTraceEventV8Compile:()=>ore,isTraceEventWebSocketCreate:()=>OP,isTraceEventWebSocketDestroy:()=>jP,isTraceEventWebSocketReceiveHandshakeResponse:()=>UP,isTraceEventWebSocketSendHandshakeRequest:()=>BP,isWebSocketTraceEvent:()=>are});function xP(e){return e==="b"||e==="e"||e==="n"}function Ete(e){return xP(e)||e==="S"||e==="T"||e==="F"||e==="p"}function Tte(e){return e==="s"||e==="t"||e==="f"}function xte(e){return e.name==="AuctionWork\
letRunningInProcess"}function Ste(e){return e.name==="AuctionWorkletDoneWithProcess"}function Cte(e){return e.name==="Screenshot"}function Fte(e){return SP.some(t=>t(e))}function Ate(e){return Rte.some(t=>t(e))}function _te(e){return e.name==="TracingSessionIdForWorker"}function Ite(e){return e.name==="ScheduleStyleInvalidationTracking"}function Mte(e){return e.name==="StyleRecalcInvalidationTracking"}function Nte(e){return e.name==="StyleInvalidatorInvalidationTracking"}function Pte(e){return e.name==="ScheduleStyleRecalculation"}function Lte(e){return e.name==="PipelineReporter"}function Ote(e){return!!("interactionId"in e&&e.args?.data&&"beginEvent"in e.args.data&&"endEvent"in e.args.data)}function Bte(e){return FP(e)||LP(e)}function Ute(e){return e.name==="DrawFrame"&&e.ph==="I"}function jte(e){return e.name==="DrawFrame"&&e.ph==="b"}function qte(e){return!!(e.name==="BeginFrame"&&e.args&&"frameSeqId"in e.args)}function zte(e){return!!(e.name==="DroppedFrame"&&e.args&&"frameSeqId"in
e.args)}function Hte(e){return e.name==="RequestMainThreadFrame"}function Wte(e){return e.name==="BeginMainThreadFrame"}function Gte(e){return e.name==="NeedsBeginFrameChanged"}function Vte(e){return!!(e.name==="Commit"&&e.args&&"frameSeqId"in e.args)}function $te(e){return e.name==="RasterTask"}function Yte(e){return e.name==="CompositeLayers"}function Kte(e){return e.name==="ActivateLayerTree"}function Jte(e){return e.name==="SyntheticInvalidation"}function Xte(e){return e.name==="SelectorStats"}function Zte(e){return e.name==="UpdateLayoutTree"}function Qte(e){return e.name==="Layout"}function ene(e){return e.name==="InvalidateLayout"}function tne(e){return e}function nne(e){return e}function rne(e){return e}function ane(e){return e}function one(e){return e}function CP(e){return e.ph==="X"}function ine(e){return e.ph==="B"}function sne(e){return e.ph==="E"}function cne(e){return e.name==="EventDispatch"}function kP(e){return e.ph==="I"}function FP(e){return kP(e)||CP(e)}function une(e){
return e.name==="FireIdleCallback"}function lne(e){return e.name==="SchedulePostMessage"}function dne(e){return e.name==="HandlePostMessage"}function mne(e){return e.name==="UpdateCounters"}function pne(e){return e.name==="thread_name"}function fne(e){return e.name==="process_name"}function hne(e){return e.name==="TracingStartedInBrowser"}function gne(e){return e.name==="FrameCommittedInBrowser"}function yne(e){return e.name==="CommitLoad"}function gv(e){return e.name==="navigationStart"}function vne(e){return e.name==="Animation"}function RP(e){return e.name==="LayoutShift"}function bne(e){return e.name==="LayoutInvalidationTracking"}function AP(e){return e.name==="firstContentfulPaint"}function _P(e){return e.name==="largestContentfulPaint::Candidate"}function wne(e){return e.name==="LargestImagePaint::Candidate"}function Dne(e){return e.name==="LargestTextPaint::Candidate"}function IP(e){return e.name==="MarkLoad"}function MP(e){return e.name==="firstPaint"}function NP(e){return e.name===
"MarkDOMContent"}function PP(e){return e.name==="InteractiveTime"}function yv(e){return e.name==="EventTiming"}function Ene(e){return yv(e)&&e.ph==="e"}function Tne(e){return yv(e)&&e.ph==="b"}function xne(e){return e.name==="GPUTask"}function Sne(e){return e.name==="Profile"}function Cne(e){return e.name==="CpuProfile"}function kne(e){return e.name==="ProfileChunk"}function Fne(e){return e.name==="ResourceChangePriority"}function Rne(e){return e.name==="ResourceSendRequest"}function Ane(e){return e.name==="ResourceReceiveResponse"}function _ne(e){return e.name==="ResourceMarkAsCached"}function Ine(e){return e.name==="ResourceFinish"}function Mne(e){return e.name==="ResourceWillSendRequest"}function Nne(e){return e.name==="ResourceReceivedData"}function Pne(e){return e.name==="SyntheticNetworkRequest"}function Lne(e){return e.name==="PrePaint"}function One(e){return!!(gv(e)&&e.args.data&&e.args.data.documentLoaderURL!=="")}function Bne(e){return e.name==="PaintTimingVisualizer::Viewpor\
t"}function Une(e){if(e.cat!=="blink.user_timing")return!1;let t=e.args?.data;return t?"beginEvent"in t&&"endEvent"in t:!1}function jne(e){if(e.cat!=="blink.console")return!1;let t=e.args?.data;return t?"beginEvent"in t&&"endEvent"in t:!1}function qne(e){return e.cat==="blink.user_timing"&&vv(e)}function zne(e){return e.cat==="blink.user_timing"&&(e.ph==="R"||e.ph==="I")}function Hne(e){return e.cat==="blink.console"&&vv(e)}function Wne(e){return e.ph==="I"&&e.name==="TimeStamp"}function Gne(e){return e.name==="ParseHTML"}function vv(e){return Vne.has(e.ph)}function $ne(e){return!RP(e)||!e.args.data?!1:"rawEvent"in e.args.data}function LP(e){return"callFrame"in e}function Yne(e){return e.name==="Paint"}function Kne(e){return e.name==="SetLayerTreeId"}function Jne(e){return e.name==="UpdateLayer"}function Xne(e){return e.name==="cc::DisplayItemList"}function Zne(e){return e.name==="cc::LayerTreeHostImpl"}function Qne(e){return e.name==="FireAnimationFrame"}function ere(e){return e.name===
"RequestAnimationFrame"}function tre(e){return e.name==="TimerInstall"}function nre(e){return e.name==="TimerFire"}function rre(e){return e.name==="RequestIdleCallback"}function OP(e){return e.name==="WebSocketCreate"}function BP(e){return e.name==="WebSocketSendHandshakeRequest"}function UP(e){return e.name==="WebSocketReceiveHandshakeResponse"}function jP(e){return e.name==="WebSocketDestroy"}function are(e){return OP(e)||jP(e)||UP(e)||BP(e)}function ore(e){return e.name==="v8.compile"}function ire(e){switch(e.name){case"RunMicrotasks":case"FunctionCall":case"EvaluateScript":case"v8.evaluateModule":case"EventDispatch":case"V8.Execute":return!0}return!!(e.name.startsWith("v8")||e.name.startsWith("V8"))}var SP,kte,Rte,Vne,qP=g(()=>{l();s(xP,"isNestableAsyncPhase");s(Ete,"isAsyncPhase");s(Tte,"isFlowPhase");s(xte,"isTraceEventAuctionWorkletRunningInProcess");s(Ste,"isTraceEventAuctionWorkletDoneWithProcess");s(Cte,"isTraceEventScreenshot");SP=[NP,IP,MP,AP,_P,gv],kte=["MarkDOMContent","M\
arkLoad","firstPaint","firstContentfulPaint","largestContentfulPaint::Candidate"];s(Fte,"isTraceEventMarkerEvent");Rte=[...SP,PP];s(Ate,"eventIsPageLoadEvent");s(_te,"isTraceEventTracingSessionIdForWorker");s(Ite,"isTraceEventScheduleStyleInvalidationTracking");s(Mte,"isTraceEventStyleRecalcInvalidationTracking");s(Nte,"isTraceEventStyleInvalidatorInvalidationTracking");s(Pte,"isTraceEventScheduleStyleRecalculation");s(Lte,"isTraceEventPipelineReporter");s(Ote,"isSyntheticInteractionEvent");s(Bte,"isSyntheticTraceEntry");s(Ute,"isTraceEventDrawFrame");s(jte,"isLegacyTraceEventDrawFrameBegin");s(qte,"isTraceEventBeginFrame");s(zte,"isTraceEventDroppedFrame");s(Hte,"isTraceEventRequestMainThreadFrame");s(Wte,"isTraceEventBeginMainThreadFrame");s(Gte,"isTraceEventNeedsBeginFrameChanged");s(Vte,"isTraceEventCommit");s($te,"isTraceEventRasterTask");s(Yte,"isTraceEventCompositeLayers");s(Kte,"isTraceEventActivateLayerTree");s(Jte,"isSyntheticInvalidation");s(Xte,"isStyleRecalcSelectorStats");
s(Zte,"isTraceEventUpdateLayoutTree");s(Qte,"isTraceEventLayout");s(ene,"isTraceEventInvalidateLayout");s(tne,"ProfileID");s(nne,"CallFrameID");s(rne,"ProcessID");s(ane,"ThreadID");s(one,"WorkerId");s(CP,"isTraceEventComplete");s(ine,"isTraceEventBegin");s(sne,"isTraceEventEnd");s(cne,"isTraceEventDispatch");s(kP,"isTraceEventInstant");s(FP,"isTraceEventRendererEvent");s(une,"isTraceEventFireIdleCallback");s(lne,"isTraceEventSchedulePostMessage");s(dne,"isTraceEventHandlePostMessage");s(mne,"isTraceEventUpdateCounters");s(pne,"isThreadName");s(fne,"isProcessName");s(hne,"isTraceEventTracingStartedInBrowser");s(gne,"isTraceEventFrameCommittedInBrowser");s(yne,"isTraceEventCommitLoad");s(gv,"isTraceEventNavigationStart");s(vne,"isTraceEventAnimation");s(RP,"isTraceEventLayoutShift");s(bne,"isTraceEventLayoutInvalidationTracking");s(AP,"isTraceEventFirstContentfulPaint");s(_P,"isTraceEventLargestContentfulPaintCandidate");s(wne,"isTraceEventLargestImagePaintCandidate");s(Dne,"isTraceEvent\
LargestTextPaintCandidate");s(IP,"isTraceEventMarkLoad");s(MP,"isTraceEventFirstPaint");s(NP,"isTraceEventMarkDOMContent");s(PP,"isTraceEventInteractiveTime");s(yv,"isTraceEventEventTiming");s(Ene,"isTraceEventEventTimingEnd");s(Tne,"isTraceEventEventTimingStart");s(xne,"isTraceEventGPUTask");s(Sne,"isTraceEventProfile");s(Cne,"isSyntheticCpuProfile");s(kne,"isTraceEventProfileChunk");s(Fne,"isTraceEventResourceChangePriority");s(Rne,"isTraceEventResourceSendRequest");s(Ane,"isTraceEventResourceReceiveResponse");s(_ne,"isTraceEventResourceMarkAsCached");s(Ine,"isTraceEventResourceFinish");s(Mne,"isTraceEventResourceWillSendRequest");s(Nne,"isTraceEventResourceReceivedData");s(Pne,"isSyntheticNetworkRequestDetailsEvent");s(Lne,"isTraceEventPrePaint");s(One,"isTraceEventNavigationStartWithURL");s(Bne,"isTraceEventMainFrameViewport");s(Une,"isSyntheticUserTiming");s(jne,"isSyntheticConsoleTiming");s(qne,"isTraceEventPerformanceMeasure");s(zne,"isTraceEventPerformanceMark");s(Hne,"isTraceE\
ventConsoleTime");s(Wne,"isTraceEventTimeStamp");s(Gne,"isTraceEventParseHTML");Vne=new Set(["b","n","e","T","S","F","p"]);s(vv,"isTraceEventAsyncPhase");s($ne,"isSyntheticLayoutShift");s(LP,"isProfileCall");s(Yne,"isTraceEventPaint");s(Kne,"isTraceEventSetLayerId");s(Jne,"isTraceEventUpdateLayer");s(Xne,"isTraceEventDisplayListItemListSnapshot");s(Zne,"isTraceEventLayerTreeHostImplSnapshot");s(Qne,"isTraceEventFireAnimationFrame");s(ere,"isTraceEventRequestAnimationFrame");s(tre,"isTraceEventTimerInstall");s(nre,"isTraceEventTimerFire");s(rre,"isTraceEventRequestIdleCallback");s(OP,"isTraceEventWebSocketCreate");s(BP,"isTraceEventWebSocketSendHandshakeRequest");s(UP,"isTraceEventWebSocketReceiveHandshakeResponse");s(jP,"isTraceEventWebSocketDestroy");s(are,"isWebSocketTraceEvent");s(ore,"isTraceEventV8Compile");s(ire,"isJSInvocationEvent")});var Qe=g(()=>{l();bP();DP();EP();TP();qP()});var et={};x(et,{activeURLForFrameAtTime:()=>lre,addEventToProcessThread:()=>ure,createMatchedSortedSyntheticEvents:()=>mre,createSortedSyntheticEvents:()=>GP,extractId:()=>HP,extractOriginFromTrace:()=>cre,getNavigationForTraceEvent:()=>Dv,makeProfileCall:()=>Cp,makeSyntheticTraceEntry:()=>dre,matchBeginningAndEndEvents:()=>WP,mergeEventsInOrder:()=>wv,sortTraceEventsInPlace:()=>bv,stackTraceForEvent:()=>sre});function sre(e){return R.isSyntheticInvalidation(e)?e.stackTrace||null:e.args?.data?.stackTrace?e.args.data.stackTrace:R.isTraceEventUpdateLayoutTree(e)&&e.args.beginData?.stackTrace||null}function cre(e){let t=new URL(e);return t?t.host.startsWith("www.")?t.host.slice(4):t.host:null}function ure(e,t){let{tid:n,pid:r}=e,a=t.get(r);a||(a=new Map);let o=a.get(n);o||(o=[]),o.push(e),a.set(e.tid,o),t.set(e.pid,a)}function zP(e,t){let n=e.ts,r=t.ts;if(n<r)return-1;if(n>r)return 1;let a=e.dur??0,o=t.dur??0,i=n+a,c=r+o;return i>c?-1:i<c?1:0}function bv(e){e.sort(zP)}function wv(e,t){let n=[],
r=0,a=0;for(;r<e.length&&a<t.length;){let o=e[r],i=t[a],c=zP(o,i);c<=0&&(n.push(o),r++),c===1&&(n.push(i),a++)}for(;r<e.length;)n.push(e[r++]);for(;a<t.length;)n.push(t[a++]);return n}function Dv(e,t,n){let r=n.get(t);if(!r||t==="")return null;let a=Gt.nearestIndexFromEnd(r,o=>o.ts<=e.ts);return a===null?null:r[a]}function HP(e){return e.id??e.id2?.global??e.id2?.local}function lre(e,t,n){let r=n.get(e);if(!r)return null;for(let a of r.values())for(let o of a)if(!(o.window.min>t||o.window.max<t))return o.frame.url;return null}function Cp(e,t,n,r){return{cat:"",name:"ProfileCall",nodeId:e.id,args:{},ph:"X",pid:n,tid:r,ts:t,dur:I.MicroSeconds(0),selfTime:I.MicroSeconds(0),callFrame:e.callFrame}}function dre(e,t,n,r){return{cat:"",name:e,args:{},ph:"X",pid:n,tid:r,ts:t,dur:I.MicroSeconds(0),selfTime:I.MicroSeconds(0)}}function WP(e){let t=new Map;for(let n of e){let r=Sp(n);if(r===void 0)continue;let a=ve.getWithDefault(t,r,()=>({begin:null,end:null})),o=n.ph==="b",i=n.ph==="e";o?a.begin=
n:i&&(a.end=n)}return t}function Sp(e){let t=HP(e);return t&&`${e.cat}:${t}:${e.name}`}function GP(e,t){let n=[];for(let[r,a]of e.entries()){let u=function(m){return!!Sp(m.beginEvent)&&Sp(m.beginEvent)===Sp(m.endEvent)};s(u,"eventsArePairable");let o=a.begin,i=a.end;if(!o||!i)continue;let c={beginEvent:o,endEvent:i};if(!u(c))continue;let d={cat:i.cat,ph:i.ph,pid:i.pid,tid:i.tid,id:r,name:o.name,dur:I.MicroSeconds(i.ts-o.ts),ts:o.ts,args:{data:c}};d.dur<0||(t?.(d),n.push(d))}return n.sort((r,a)=>r.ts-a.ts)}function mre(e,t){let n=WP(e);return GP(n,t)}var yu=g(()=>{l();en();Qe();s(sre,"stackTraceForEvent");s(cre,"extractOriginFromTrace");s(ure,"addEventToProcessThread");s(zP,"eventTimeComparator");s(bv,"sortTraceEventsInPlace");s(wv,"mergeEventsInOrder");s(Dv,"getNavigationForTraceEvent");s(HP,"extractId");s(lre,"activeURLForFrameAtTime");s(Cp,"makeProfileCall");s(dre,"makeSyntheticTraceEntry");s(WP,"matchBeginningAndEndEvents");s(Sp,"getSyntheticId");s(GP,"createSortedSyntheticEvents");
s(mre,"createMatchedSortedSyntheticEvents")});var kp={};x(kp,{buildTrackDataFromExtensionEntries:()=>pre});function pre(e,t){let n=new Map;for(let r of e)ve.getWithDefault(n,`${r.args.metadata.extensionName}.${r.args.track}`,()=>({name:r.args.track,extensionName:r.args.metadata.extensionName,flameChartEntries:[]})).flameChartEntries.push(r);for(let r of n.values())bv(r.flameChartEntries),t.push(r);return t}var VP=g(()=>{l();en();yu();s(pre,"buildTrackDataFromExtensionEntries")});var me={};x(me,{detectBestTimeUnit:()=>YP,eventTimingsMicroSeconds:()=>Ev,eventTimingsMilliSeconds:()=>yre,eventTimingsSeconds:()=>vre,formatMicrosecondsTime:()=>hre,microSecondsToMilliseconds:()=>za,microSecondsToSeconds:()=>vu,millisecondsToMicroseconds:()=>pr,secondsToMicroseconds:()=>fre,secondsToMilliseconds:()=>$P,timeStampForEventAdjustedByClosestNavigation:()=>gre,traceWindowFromMicroSeconds:()=>Ere,traceWindowFromMilliSeconds:()=>Dre,traceWindowMilliSeconds:()=>bre,traceWindowMillisecondsToMicroSeconds:()=>wre});function YP(e){if(e<1e3)return 0;let t=e/1e3;return t<1e3?1:t/1e3<60?2:3}function hre(e,t={}){t.format||(t.format=YP(e));let n=e/1e3,r=n/1e3,a={...Fp,...t};switch(t.format){case 0:return`${ve.getWithDefault(ma,la({style:"decimal"}),da).format(e)}μs`;case 1:return ve.getWithDefault(ma,la(a),da).format(n);case 2:return ve.getWithDefault(ma,la({...a,unit:"second"}),da).format(r);default:{let o=ve.getWithDefault(ma,la({...a,unit:"minute"}),da),i=ve.getWithDefault(ma,la({...a,
unit:"second"}),da),c=r/60,[u,d,m]=o.formatToParts(c),p=0;return d&&m&&(p=Math.round(+`0.${m.value}`*60)),`${o.format(Number(u.value))} ${i.format(p)}`}}}function gre(e,t,n,r){let a=e.ts-t.min;if(e.args?.data?.navigationId){let o=n.get(e.args.data.navigationId);o&&(a=e.ts-o.ts)}else if(e.args?.data?.frame){let o=Dv(e,e.args.data.frame,r);o&&(a=e.ts-o.ts)}return I.MicroSeconds(a)}function Ev(e){return{startTime:e.ts,endTime:I.MicroSeconds(e.ts+(e.dur||I.MicroSeconds(0))),duration:I.MicroSeconds(e.dur||0),selfTime:R.isSyntheticTraceEntry(e)?I.MicroSeconds(e.selfTime||0):I.MicroSeconds(e.dur||0)}}function yre(e){let t=Ev(e);return{startTime:za(t.startTime),endTime:za(t.endTime),duration:za(t.duration),selfTime:za(t.selfTime)}}function vre(e){let t=Ev(e);return{startTime:vu(t.startTime),endTime:vu(t.endTime),duration:vu(t.duration),selfTime:vu(t.selfTime)}}function bre(e){return{min:za(e.min),max:za(e.max),range:za(e.range)}}function wre(e){return{min:pr(e.min),max:pr(e.max),range:pr(e.range)}}
function Dre(e,t){return{min:pr(e),max:pr(t),range:I.MicroSeconds(pr(t)-pr(e))}}function Ere(e,t){return{min:e,max:t,range:I.MicroSeconds(t-e)}}var pr,$P,fre,za,vu,Fp,la,da,ma,Tv=g(()=>{l();en();Qe();yu();pr=s(e=>I.MicroSeconds(e*1e3),"millisecondsToMicroseconds"),$P=s(e=>I.MilliSeconds(e*1e3),"secondsToMilliseconds"),fre=s(e=>pr($P(e)),"secondsToMicroseconds"),za=s(e=>I.MilliSeconds(e/1e3),"microSecondsToMilliseconds"),vu=s(e=>I.Seconds(e/1e3/1e3),"microSecondsToSeconds");s(YP,"detectBestTimeUnit");Fp={style:"unit",unit:"millisecond",unitDisplay:"narrow"},la=s(e=>JSON.stringify(e),"serialize"),da=s(e=>new Intl.NumberFormat(void 0,e?JSON.parse(e):{}),"formatterFactory"),ma=new Map;ve.getWithDefault(ma,la({style:"decimal"}),da);ve.getWithDefault(ma,la(Fp),da);ve.getWithDefault(ma,la({...Fp,unit:"second"}),da);ve.getWithDefault(ma,la({...Fp,unit:"minute"}),da);s(hre,"formatMicrosecondsTime");s(gre,"timeStampForEventAdjustedByClosestNavigation");s(Ev,"eventTimingsMicroSeconds");s(yre,"eve\
ntTimingsMilliSeconds");s(vre,"eventTimingsSeconds");s(bre,"traceWindowMilliSeconds");s(wre,"traceWindowMillisecondsToMicroSeconds");s(Dre,"traceWindowFromMilliSeconds");s(Ere,"traceWindowFromMicroSeconds")});var bu={};x(bu,{SamplesIntegrator:()=>xv});var xv,KP=g(()=>{l();Qe();Tv();yu();xv=class e{static{s(this,"SamplesIntegrator")}#e=[];#t=[];#a;#n;#r=[];#o=!1;#i;#s=new Map;#c;constructor(t,n,r,a){this.#i=t,this.#n=r,this.#a=n,this.#c=a||Nr.DEFAULT}buildProfileCalls(t){let n=wv(t,this.callsFromProfileSamples()),r=[];for(let a=0;a<n.length;a++){let o=n[a];if(o.ph==="I")continue;if(r.length===0){if(R.isProfileCall(o)){this.#l(o);continue}r.push(o),this.#m(o);continue}let i=r.at(-1);if(i===void 0)continue;let c=o.ts,u=i.ts,d=i.dur||0,m=u+d;if(c>=m){this.#f(i),r.pop(),a--;continue}if(R.isProfileCall(o)){this.#l(o,i);continue}this.#m(o),r.push(o)}for(;r.length;){let a=r.pop();a&&this.#f(a)}return this.#e}#m(t){(t.name==="RunMicrotasks"||t.name==="RunTask")&&(this.#r=[],this.#u(0,t.ts),this.#o=!1),this.#o&&(this.#u(this.#r.pop()||0,t.ts),this.#o=!1),this.#d(t),this.#r.push(this.#t.length)}#l(t,n){if(n&&R.isJSInvocationEvent(n)||this.#o)this.#d(t);else if(R.isProfileCall(t)&&this.#t.length===0){this.#o=
!0;let r=this.#t.length;this.#d(t),this.#r.push(r)}}#f(t){let n=I.MicroSeconds(t.ts+(t.dur||0));this.#u(this.#r.pop()||0,n)}callsFromProfileSamples(){let t=this.#i.samples,n=this.#i.timestamps;if(!t)return[];let r=[],a;for(let o=0;o<t.length;o++){let i=this.#i.nodeByIndex(o),c=pr(I.MilliSeconds(n[o]));if(!i)continue;let u=Cp(i,c,this.#a,this.#n);if(r.push(u),i.id===this.#i.gcNode?.id&&a){this.#s.set(u,a);continue}a=i}return r}#p(t){let n=this.#i.nodeById(t.nodeId),r=n?.id===this.#i.gcNode?.id;if(r&&(n=this.#s.get(t)||null),!n)return[];let a=new Array(n.depth+1+Number(r)),o=a.length-1;for(r&&(a[o--]=t);n;)a[o--]=Cp(n,t.ts,this.#a,this.#n),n=n.parent;return a}#d(t){let n=R.isProfileCall(t)?this.#p(t):this.#t;e.filterStackFrames(n,this.#c);let r=t.ts+(t.dur||0),a=Math.min(n.length,this.#t.length),o;for(o=this.#r.at(-1)||0;o<a;++o){let i=n[o].callFrame,c=this.#t[o].callFrame;if(!e.framesAreEqual(i,c))break;this.#t[o].dur=I.MicroSeconds(Math.max(this.#t[o].dur||0,r-this.#t[o].ts))}for(this.#u(
o,t.ts);o<n.length;++o){let i=n[o];i.nodeId===this.#i.programNode?.id||i.nodeId===this.#i.root?.id||i.nodeId===this.#i.idleNode?.id||i.nodeId===this.#i.gcNode?.id||(this.#t.push(i),this.#e.push(i))}}#u(t,n){if(this.#r.length){let r=this.#r.at(-1);r&&t<r&&(console.error(`Child stack is shallower (${t}) than the parent stack (${r}) at ${n}`),t=r)}this.#t.length<t&&(console.error(`Trying to truncate higher than the current stack size at ${n}`),t=this.#t.length);for(let r=0;r<this.#t.length;++r)this.#t[r].dur=I.MicroSeconds(Math.max(n-this.#t[r].ts,0));this.#t.length=t}static framesAreEqual(t,n){return t.scriptId===n.scriptId&&t.functionName===n.functionName&&t.lineNumber===n.lineNumber}static showNativeName(t,n){return n&&!!e.nativeGroup(t)}static nativeGroup(t){return t.startsWith("Parse")?"Parse":t.startsWith("Compile")||t.startsWith("Recompile")?"Compile":null}static isNativeRuntimeFrame(t){return t.url==="native V8Runtime"}static filterStackFrames(t,n){if(n.experiments.timelineShowAllEvents)
return;let a=null,o=0;for(let i=0;i<t.length;++i){let c=t[i].callFrame,u=e.isNativeRuntimeFrame(c);if(u&&!e.showNativeName(c.functionName,n.experiments.timelineV8RuntimeCallStats))continue;let d=u?e.nativeGroup(c.functionName):null;a&&a===d||(a=d,t[o++]=t[i])}t.length=o}}});var Ha={};x(Ha,{makeEmptyTraceEntryNode:()=>ZP,makeEmptyTraceEntryTree:()=>XP,makeTraceEntryNodeId:()=>JP,treify:()=>Tre,walkEntireTree:()=>Sre,walkTreeFromEntry:()=>xre});function Tre(e,t){let n=new Map,r=[];Sv=-1;let a=XP();for(let o=0;o<e.length;o++){let i=e[o];if(t&&!t.filter.has(i.name))continue;let c=i.dur||0,u=JP(),d=ZP(i,u);if(r.length===0){a.roots.add(d),i.selfTime=I.MicroSeconds(c),r.push(d),a.maxDepth=Math.max(a.maxDepth,r.length),n.set(i,d);continue}let m=r.at(-1);if(m===void 0)throw new Error("Impossible: no parent node found in the stack");let p=m.entry,h=i.ts,f=p.ts,y=p.dur||0,v=h+c,w=f+y;if(h<f)throw new Error("Impossible: current event starts before the parent event");if(h>=w){r.pop(),o--,Sv--;continue}v>w||(d.depth=r.length,d.parent=m,m.children.push(d),i.selfTime=I.MicroSeconds(c),p.selfTime!==void 0&&(p.selfTime=I.MicroSeconds(p.selfTime-(i.dur||0))),r.push(d),a.maxDepth=Math.max(a.maxDepth,r.length),n.set(i,d))}return{tree:a,entryToNode:n}}function xre(e,t,n,r){let a=e.
get(t);a&&Cv(e,a,n,r)}function Sre(e,t,n,r,a,o){for(let i of t.roots)Cv(e,i,n,r,a,o)}function Cv(e,t,n,r,a,o){if(!(a&&!Cre(t,a))&&!(typeof o<"u"&&I.MicroSeconds(t.entry.ts+I.MicroSeconds(t.entry.dur||0))<o)){n(t.entry);for(let i of t.children)Cv(e,i,n,r,a,o);r(t.entry)}}function Cre(e,t){let n=e.entry.ts,r=e.entry.ts+(e.entry.dur||0);return n>=t.min&&n<t.max||r>t.min&&r<=t.max||n<=t.min&&r>=t.max}var Sv,JP,XP,ZP,QP=g(()=>{l();Qe();Sv=0,JP=s(()=>++Sv,"makeTraceEntryNodeId"),XP=s(()=>({roots:new Set,maxDepth:0}),"makeEmptyTraceEntryTree"),ZP=s((e,t)=>({entry:e,id:t,parent:null,children:[],depth:0}),"makeEmptyTraceEntryNode");s(Tre,"treify");s(xre,"walkTreeFromEntry");s(Sre,"walkEntireTree");s(Cv,"walkTreeByNode");s(Cre,"treeNodeIsInWindow")});var kt=g(()=>{l();VP();KP();Tv();yu();QP()});var eL=g(()=>{l();en();kt();Qe()});var tL=g(()=>{l()});var Rv={};x(Rv,{data:()=>_re,finalize:()=>Are,handleEvent:()=>Rre,reset:()=>Fre});function Fre(){kv.length=0,Fv.length=0}function Rre(e){if(R.isTraceEventAnimation(e)){kv.push(e);return}}async function Are(){let e=et.createMatchedSortedSyntheticEvents(kv);Fv.push(...e),nL=3}function _re(){if(nL!==3)throw new Error("Animation handler is not finalized");return{animations:Fv}}var kv,Fv,nL,rL=g(()=>{l();kt();Qe();kv=[],Fv=[],nL=1;s(Fre,"reset");s(Rre,"handleEvent");s(Are,"finalize");s(_re,"data")});var Pv={};x(Pv,{data:()=>wu,finalize:()=>Pre,handleEvent:()=>Mre,reset:()=>Ire});function Ire(){Av.clear(),_v.clear(),Iv.clear(),Mv.clear(),Nv.clear()}function Mre(e){if(R.isTraceEventAuctionWorkletRunningInProcess(e)){Av.set(e.args.data.pid,e);return}if(R.isTraceEventAuctionWorkletDoneWithProcess(e)){_v.set(e.args.data.pid,e);return}if(R.isThreadName(e)){if(e.args.name==="auction_worklet.CrUtilityMain"){Mv.set(e.pid,e);return}e.args.name==="AuctionV8HelperThread"&&Nv.set(e.pid,e)}}function Nre(e){switch(e){case"seller":return"seller";case"bidder":return"bidder";default:return"unknown"}}function aL(e){return{name:"SyntheticAuctionWorkletEvent",s:"t",cat:e.cat,tid:e.tid,ts:e.ts,ph:"I",pid:e.args.data.pid,host:e.args.data.host,target:e.args.data.target,type:Nre(e.args.data.type)}}async function Pre(){for(let[e,t]of Mv){let n=Nv.get(e);if(!n)continue;let r=Av.get(e),a=_v.get(e),o=null;r?(o={...aL(r),args:{data:{runningInProcessEvent:r,utilityThread:t,v8HelperThread:n}}},a&&(o.args.data.doneWithProcessEvent=
a)):a&&(o={...aL(a),args:{data:{doneWithProcessEvent:a,utilityThread:t,v8HelperThread:n}}},r&&(o.args.data.runningInProcessEvent=r)),o!==null&&Iv.set(e,o)}}function wu(){return{worklets:new Map(Iv)}}var Av,_v,Iv,Mv,Nv,Rp=g(()=>{l();Qe();Av=new Map,_v=new Map,Iv=new Map,Mv=new Map,Nv=new Map;s(Ire,"reset");s(Mre,"handleEvent");s(Nre,"workletType");s(aL,"makeSyntheticEventBase");s(Pre,"finalize");s(wu,"data")});var jv={};x(jv,{data:()=>_p,finalize:()=>jre,handleEvent:()=>Ure,reset:()=>Lre});function Lre(){Ap.length=0,Lv.length=0,Ov.length=0,Bv.length=0,Uv.length=0,Du=2}function Ure(e){if(Du!==2)throw new Error("UserTimings handler is not initialized");if(![...Ore,...Bre].includes(e.name)){if(R.isTraceEventPerformanceMeasure(e)){Lv.push(e);return}R.isTraceEventPerformanceMark(e)&&Ov.push(e),R.isTraceEventConsoleTime(e)&&Bv.push(e),R.isTraceEventTimeStamp(e)&&Uv.push(e)}}async function jre(){if(Du!==2)throw new Error("UserTimings handler is not initialized");let e=[...Lv,...Bv];Ap=et.createMatchedSortedSyntheticEvents(e),Du=3}function _p(){if(Du!==3)throw new Error("UserTimings handler is not finalized");return{performanceMeasures:Ap.filter(e=>e.cat==="blink.user_timing"),consoleTimings:Ap.filter(e=>e.cat==="blink.console"),performanceMarks:[...Ov],timestampEvents:[...Uv]}}var Ap,Lv,Ov,Bv,Uv,Du,Ore,Bre,qv=g(()=>{l();kt();Qe();Ap=[],Lv=[],Ov=[],Bv=[],Uv=[],Du=1;s(Lre,"reset");Ore=["workerStart",
"redirectStart","redirectEnd","fetchStart","domainLookupStart","domainLookupEnd","connectStart","connectEnd","secureConnectionStart","requestStart","responseStart","responseEnd"],Bre=["navigationStart","unloadEventStart","unloadEventEnd","redirectStart","redirectEnd","fetchStart","commitNavigationEnd","domainLookupStart","domainLookupEnd","connectStart","connectEnd","secureConnectionStart","requestStart","responseStart","responseEnd","domLoading","domInteractive","domContentLoadedEventStart","domContentLoadedEventEnd","domComplete","loadEventStart","loadEventEnd"];s(Ure,"handleEvent");s(jre,"finalize");s(_p,"data")});var Gv={};x(Gv,{data:()=>Gre,deps:()=>Vre,extensionDataInTiming:()=>iL,extractExtensionEntries:()=>oL,finalize:()=>Hre,handleEvent:()=>qre,reset:()=>zre});function qre(e){}function zre(){Ip=2,zv.length=0,Hv.length=0,Wv.length=0}async function Hre(){if(Ip!==2)throw new Error("ExtensionTraceData handler is not initialized");Wre(),Ip=3}function Wre(){let e=_p().performanceMeasures,t=_p().performanceMarks,n=et.mergeEventsInOrder(e,t);oL(n),kp.buildTrackDataFromExtensionEntries(zv,Hv)}function oL(e){for(let t of e){let n=iL(t);if(!n||!n.metadata.extensionName)continue;let a={name:t.name,ph:"X",pid:R.ProcessID(0),tid:R.ThreadID(0),ts:t.ts,selfTime:I.MicroSeconds(0),dur:t.dur,cat:"devtools.extension",args:n};if(gu.isExtensionPayloadMarker(n)){Wv.push(a);continue}if(gu.isExtensionPayloadFlameChartEntry(n)){zv.push(a);continue}}}function iL(e){let t=R.isTraceEventPerformanceMark(e)?e.args.data?.detail:e.args.data.beginEvent.args.detail;if(!t)return null;let n=JSON.parse(t);return!("devtools"in n)||
!("metadata"in n.devtools)?null:n.devtools}function Gre(){if(Ip!==3)throw new Error("ExtensionTraceData handler is not finalized");return{extensionTrackData:[...Hv],extensionMarkers:[...Wv]}}function Vre(){return["UserTimings"]}var zv,Hv,Wv,Ip,sL=g(()=>{l();kt();Qe();qv();zv=[],Hv=[],Wv=[],Ip=1;s(qre,"handleEvent");s(zre,"reset");s(Hre,"finalize");s(Wre,"createExtensionFlameChartEntries");s(oL,"extractExtensionEntries");s(iL,"extensionDataInTiming");s(Gre,"data");s(Vre,"deps")});var tb={};x(tb,{data:()=>Ft,finalize:()=>Zre,handleEvent:()=>Xre,initialize:()=>Jre,reset:()=>Kre});function Kre(){as.clear(),Tu.clear(),Qv.clear(),Bp.length=0,Jv=R.ProcessID(-1),Xv=R.ThreadID(-1),Zv=R.ProcessID(-1),Mp=R.ThreadID(-1),Np=null,Pp.clear(),eb.clear(),Eu.clear(),Kv.clear(),yn.min=I.MicroSeconds(Number.POSITIVE_INFINITY),yn.max=I.MicroSeconds(Number.NEGATIVE_INFINITY),yn.range=I.MicroSeconds(Number.POSITIVE_INFINITY),Lp=I.MicroSeconds(-1),Op=!0,qo=1}function Jre(){if(qo!==1)throw new Error("Meta Handler was not reset");qo=2}function Vv(e,t){ve.getWithDefault(Kv,t.processId,()=>new Map).set(t.frame,t);let r=ve.getWithDefault(Eu,t.frame,()=>new Map),a=ve.getWithDefault(r,t.processId,()=>[]),o=a.at(-1);o&&o.frame.url===t.url||a.push({frame:t,window:{min:e.ts,max:I.MicroSeconds(0),range:I.MicroSeconds(0)}})}function Xre(e){if(qo!==2)throw new Error("Meta Handler is not initialized");if(Op&&Yre.has(e.name)&&(Op=!1),R.isProcessName(e)&&Qv.set(e.pid,e),e.ts!==0&&!e.name.endsWith(":\
:UMA")&&$re.has(e.ph)){yn.min=I.MicroSeconds(Math.min(e.ts,yn.min));let t=e.dur||I.MicroSeconds(0);yn.max=I.MicroSeconds(Math.max(e.ts+t,yn.max))}if(R.isProcessName(e)&&(e.args.name==="Browser"||e.args.name==="HeadlessBrowser")){Jv=e.pid;return}if(R.isProcessName(e)&&(e.args.name==="Gpu"||e.args.name==="GPU Process")){Zv=e.pid;return}if(R.isThreadName(e)&&e.args.name==="CrGpuMain"){Mp=e.tid;return}if(R.isThreadName(e)&&e.args.name==="CrBrowserMain"&&(Xv=e.tid),R.isTraceEventMainFrameViewport(e)&&Np===null){let t=e.args.data.viewport_rect,n=t[0],r=t[1],a=t[2],o=t[5];Np=new DOMRect(n,r,a,o)}if(R.isTraceEventTracingStartedInBrowser(e)){if(Lp=e.ts,!e.args.data)throw new Error("No frames found in trace data");for(let t of e.args.data.frames??[])Vv(e,t),!t.parent&&(t.url&&($v=t.frame,Yv=t.url),Pp.add(t.processId));return}if(R.isTraceEventFrameCommittedInBrowser(e)){let t=e.args.data;if(!t||(Vv(e,t),t.parent))return;Pp.add(t.processId);return}if(R.isTraceEventCommitLoad(e)){let t=e.args.data;
if(!t)return;let{frame:n,name:r,url:a}=t;Vv(e,{processId:e.pid,frame:n,name:r,url:a});return}if(R.isThreadName(e)){ve.getWithDefault(eb,e.pid,()=>new Map).set(e.tid,e);return}if(R.isTraceEventNavigationStartWithURL(e)&&e.args.data){let t=e.args.data.navigationId;if(Tu.has(t))return;Tu.set(t,e);let n=e.args.frame,r=as.get(n)||[];r.push(e),as.set(n,r),n===$v&&Bp.push(e);return}}async function Zre(){if(qo!==2)throw new Error("Handler is not initialized");Lp>=0&&(yn.min=Lp),yn.range=I.MicroSeconds(yn.max-yn.min);for(let[,n]of Eu){let r=[...n.values()].flat();for(let a=0;a<r.length;a++){let o=r[a],i=r[a+1];i?(o.window.max=I.MicroSeconds(i.window.min-1),o.window.range=I.MicroSeconds(o.window.max-o.window.min)):(o.window.max=I.MicroSeconds(yn.max),o.window.range=I.MicroSeconds(yn.max-o.window.min))}}for(let[n,r]of as)if(!Eu.has(n)){as.delete(n);for(let a of r)a.args.data&&Tu.delete(a.args.data.navigationId)}let e=Bp.at(0),t=me.secondsToMicroseconds(I.Seconds(.5));if(e){let n=e.ts-yn.min<t;e.args.
data?.isOutermostMainFrame&&e.args.data?.documentLoaderURL&&n&&(Yv=e.args.data.documentLoaderURL)}qo=3}function Ft(){if(qo!==3)throw new Error("Meta Handler is not finalized");return{traceBounds:{...yn},browserProcessId:Jv,browserThreadId:Xv,processNames:Qv,gpuProcessId:Zv,gpuThreadId:Mp===R.ThreadID(-1)?void 0:Mp,viewportRect:Np||void 0,mainFrameId:$v,mainFrameURL:Yv,navigationsByFrameId:as,navigationsByNavigationId:Tu,threadsInProcess:eb,rendererProcessesByFrame:Eu,topLevelRendererIds:Pp,frameByProcessId:Kv,mainFrameNavigations:Bp,traceIsGeneric:Op}}var Eu,$v,Yv,Kv,Jv,Xv,Zv,Mp,Np,Qv,Pp,yn,as,Tu,Bp,eb,Lp,$re,qo,Op,Yre,Pr=g(()=>{l();en();kt();Qe();Eu=new Map,$v="",Yv="",Kv=new Map,Jv=R.ProcessID(-1),Xv=R.ThreadID(-1),Zv=R.ProcessID(-1),Mp=R.ThreadID(-1),Np=null,Qv=new Map,Pp=new Set,yn={min:I.MicroSeconds(Number.POSITIVE_INFINITY),max:I.MicroSeconds(Number.NEGATIVE_INFINITY),range:I.MicroSeconds(Number.POSITIVE_INFINITY)},as=new Map,Tu=new Map,Bp=[],eb=new Map,Lp=I.MicroSeconds(-1),$re=
new Set(["B","E","X","I"]),qo=1,Op=!0,Yre=new Set(["TracingStartedInPage","TracingSessionIdForWorker","TracingStartedInBrowser"]);s(Kre,"reset");s(Jre,"initialize");s(Vv,"updateRendererProcessByFrame");s(Xre,"handleEvent");s(Zre,"finalize");s(Ft,"data")});var cb={};x(cb,{data:()=>sb,deps:()=>rae,finalize:()=>nae,handleEvent:()=>tae,initialize:()=>eae,reset:()=>Qre});function Qre(){xu=1,ab.length=0,ob.length=0,ib.clear(),nb={},rb=null,Up.length=0,jp.length=0}function eae(){if(xu!==1)throw new Error("LayerTree Handler was not reset before being initialized");xu=2}function tae(e){(R.isTraceEventPaint(e)||R.isTraceEventDisplayListItemListSnapshot(e)||R.isTraceEventUpdateLayer(e)||R.isTraceEventSetLayerId(e))&&jp.push(e)}async function nae(){if(xu!==2)throw new Error("LayerTree Handler is not initialized");let e=Ft();et.sortTraceEventsInPlace(jp);for(let t of jp)if(R.isTraceEventSetLayerId(t)){if(e.mainFrameId!==t.args.data.frame)continue;rb=t.args.data.layerTreeId}else if(R.isTraceEventUpdateLayer(t))Up.push(t);else if(R.isTraceEventPaint(t)){if(!t.args.data.layerId)continue;ab.push(t),nb[t.args.data.layerId]=t;continue}else if(R.isTraceEventDisplayListItemListSnapshot(t)){let n=null;for(let a=Up.length-1;a>-1;a--){let o=Up[a];if(o.pid===t.
pid&&o.tid===t.tid){n=o;break}}if(!n||n.args.layerTreeId!==rb)continue;let r=nb[n.args.layerId];if(!r)continue;ob.push(t),ib.set(r,t)}xu=3}function sb(){return{paints:ab,snapshots:ob,paintsToSnapshots:ib}}function rae(){return["Meta"]}var xu,ab,ob,ib,nb,rb,Up,jp,ub=g(()=>{l();kt();Qe();Pr();xu=1,ab=[],ob=[],ib=new Map,nb={},rb=null,Up=[],jp=[];s(Qre,"reset");s(eae,"initialize");s(tae,"handleEvent");s(nae,"finalize");s(sb,"data");s(rae,"deps")});var qp,zp,lb=g(()=>{l();qp=class{static{s(this,"ProfileNode")}callFrame;callUID;self;total;id;parent;children;functionName;depth;deoptReason;constructor(t){this.callFrame=t,this.callUID=`${t.functionName}@${t.scriptId}:${t.lineNumber}:${t.columnNumber}`,this.self=0,this.total=0,this.id=0,this.functionName=t.functionName,this.parent=null,this.children=[]}get scriptId(){return String(this.callFrame.scriptId)}get url(){return this.callFrame.url}get lineNumber(){return this.callFrame.lineNumber}get columnNumber(){return this.callFrame.columnNumber}setFunctionName(t){t!==null&&(this.functionName=t)}},zp=class{static{s(this,"ProfileTreeModel")}root;total;maxDepth;constructor(){}initialize(t){this.root=t,this.assignDepthsAndParents(),this.total=this.calculateTotals(this.root)}assignDepthsAndParents(){let t=this.root;t.depth=-1,t.parent=null,this.maxDepth=0;let n=[t];for(;n.length;){let r=n.pop(),a=r.depth+1;a>this.maxDepth&&(this.maxDepth=a);let o=r.children;for(let i of o)i.depth=a,i.parent=
r,n.push(i)}}calculateTotals(t){let n=[t],r=[];for(;n.length;){let a=n.pop();a.total=a.self,r.push(a),n.push(...a.children)}for(;r.length>1;){let a=r.pop();a.parent&&(a.parent.total+=a.total)}return t.total}}});var Hp={};x(Hp,{CPUProfileDataModel:()=>db,CPUProfileNode:()=>Su});var Su,db,cL=g(()=>{l();en();lb();Su=class extends qp{static{s(this,"CPUProfileNode")}id;self;positionTicks;deoptReason;constructor(t,n){let r=t.callFrame||{functionName:t.functionName,scriptId:t.scriptId,url:t.url,lineNumber:t.lineNumber-1,columnNumber:t.columnNumber-1};super(r),this.id=t.id,this.self=(t.hitCount||0)*n,this.positionTicks=t.positionTicks,this.deoptReason=t.deoptReason&&t.deoptReason!=="no reason"?t.deoptReason:null}},db=class extends zp{static{s(this,"CPUProfileDataModel")}profileStartTime;profileEndTime;timestamps;samples;lines;totalHitCount;profileHead;#e;gcNode;programNode;idleNode;#t;#a;constructor(t){super(),!!t.head?(this.profileStartTime=t.startTime*1e3,this.profileEndTime=t.endTime*1e3,this.timestamps=t.timestamps,this.compatibilityConversionHeadToNodes(t)):(this.profileStartTime=t.startTime/1e3,this.profileEndTime=t.endTime/1e3,this.timestamps=this.convertTimeDeltas(t)),this.samples=t.samples,this.
lines=t.lines,this.totalHitCount=0,this.profileHead=this.translateProfileTree(t.nodes),this.initialize(this.profileHead),this.extractMetaNodes(),this.samples?.length&&(this.sortSamples(),this.normalizeTimestamps(),this.fixMissingSamples())}compatibilityConversionHeadToNodes(t){if(!t.head||t.nodes)return;let n=[];r(t.head),t.nodes=n,delete t.head;function r(a){return n.push(a),a.children=a.children.map(r),a.id}s(r,"convertNodesTree")}convertTimeDeltas(t){if(!t.timeDeltas)return[];let n=t.startTime,r=new Array(t.timeDeltas.length);for(let a=0;a<t.timeDeltas.length;++a)n+=t.timeDeltas[a],r[a]=n;return r}translateProfileTree(t){function n(p){if(!p[0].children){p[0].children=[];for(let h=1;h<p.length;++h){let f=p[h],y=a.get(f.parent);y.children?y.children.push(f.id):y.children=[f.id]}}}s(n,"buildChildrenFromParents");function r(p,h){if(typeof p[0].hitCount!="number"){if(!h)throw new Error("Error: Neither hitCount nor samples are present in profile.");for(let f=0;f<p.length;++f)p[f].hitCount=
0;for(let f=0;f<h.length;++f){let y=a.get(h[f]);!y||y.hitCount===void 0||y.hitCount++}}}s(r,"buildHitCountFromSamples");let a=new Map;for(let p=0;p<t.length;++p){let h=t[p];a.set(h.id,h)}r(t,this.samples),n(t),this.totalHitCount=t.reduce((p,h)=>p+(h.hitCount||0),0);let o=(this.profileEndTime-this.profileStartTime)/this.totalHitCount,i=t[0],c=new Map([[i.id,i.id]]);this.#e=new Map;let u=new Su(i,o);if(this.#e.set(i.id,u),!i.children)throw new Error("Missing children for root");let d=i.children.map(()=>u),m=i.children.map(p=>a.get(p));for(;m.length;){let p=d.pop(),h=m.pop();if(!h||!p)continue;h.children||(h.children=[]);let f=new Su(h,o);p.children.push(f),p=f,c.set(h.id,p.id),d.push.apply(d,h.children.map(()=>p)),m.push.apply(m,h.children.map(y=>a.get(y))),this.#e.set(h.id,f)}return this.samples&&(this.samples=this.samples.map(p=>c.get(p))),u}sortSamples(){if(!this.timestamps||!this.samples)return;let t=this.timestamps,n=this.samples,r=t.map((a,o)=>o);r.sort((a,o)=>t[a]-t[o]),this.timestamps=
[],this.samples=[];for(let a=0;a<r.length;a++){let o=r[a];this.timestamps.push(t[o]),this.samples.push(n[o])}}normalizeTimestamps(){if(!this.samples)return;let t=this.timestamps;if(!t){let n=this.profileStartTime,r=(this.profileEndTime-n)/this.samples.length;t=new Array(this.samples.length+1);for(let a=0;a<t.length;++a)t[a]=n+a*r;this.timestamps=t;return}for(let n=0;n<t.length;++n)t[n]/=1e3;if(this.samples.length===t.length){let n=t.at(-1)||0,r=(n-t[0])/(t.length-1);this.timestamps.push(n+r)}this.profileStartTime=t.at(0)||this.profileStartTime,this.profileEndTime=t.at(-1)||this.profileEndTime}extractMetaNodes(){let t=this.profileHead.children;for(let n=0;n<t.length&&!(this.gcNode&&this.programNode&&this.idleNode);n++){let r=t[n];r.functionName==="(garbage collector)"?this.gcNode=r:r.functionName==="(program)"?this.programNode=r:r.functionName==="(idle)"&&(this.idleNode=r)}}fixMissingSamples(){let t=this.samples;if(!t)return;let n=t.length;if(!this.programNode||n<3)return;let r=this.#e,
a=this.programNode.id,o=this.gcNode?this.gcNode.id:-1,i=this.idleNode?this.idleNode.id:-1,c=t[0],u=t[1];for(let p=1;p<n-1;p++){let h=t[p+1],f=r.get(c),y=r.get(h);if(c===void 0||h===void 0||!f||!y){console.error(`Unexpectedly found undefined nodes: ${c} ${h}`);continue}u===a&&!m(c)&&!m(h)&&d(f)===d(y)&&(t[p]=c),c=u,u=h}function d(p){for(;p.parent&&p.parent.parent;)p=p.parent;return p}s(d,"bottomNode");function m(p){return p===a||p===o||p===i}s(m,"isSystemNode")}forEachFrame(t,n,r,a){if(!this.profileHead||!this.samples)return;r=r||0,a=a||1/0;let o=this.samples,i=this.timestamps,c=this.#e,u=this.gcNode,d=o.length,m=Gt.lowerBound(i,r,Gt.DEFAULT_COMPARATOR),p=0,h=[],f=this.profileHead.id,y,v=null,w=this.maxDepth+3;this.#t||(this.#t=new Array(w));let E=this.#t;this.#a||(this.#a=new Array(w));let T=this.#a,S,C;for(C=m;C<d&&(y=i[C],!(y>=a));C++){let F=o[C];if(F===f)continue;S=c.get(F);let L=c.get(f)||null;if(L){if(u&&S===u){v=L,t(v.depth+1,u,y),E[++p]=y,T[p]=0,f=F;continue}if(u&&L===u&&v){let N=E[p],
W=y-N;T[p-1]+=W,n(v.depth+1,u,N,W,W-T[p]),--p,L=v,f=L.id,v=null}for(;S&&S.depth>L.depth;)h.push(S),S=S.parent;for(;L&&L!==S;){let N=E[p],W=y-N;T[p-1]+=W,n(L.depth,L,N,W,W-T[p]),--p,S&&S.depth===L.depth&&(h.push(S),S=S.parent),L=L.parent}for(;h.length;){let N=h.pop();if(!N)break;S=N,t(N.depth,N,y),E[++p]=y,T[p]=0}f=F}}if(y=i[C]||this.profileEndTime,S&&v&&c.get(f)===u){let F=E[p],L=y-F;T[p-1]+=L,n(v.depth+1,S,F,L,L-T[p]),--p,f=v.id}for(let F=c.get(f);F&&F.parent;F=F.parent){let L=E[p],N=y-L;T[p-1]+=N,n(F.depth,F,L,N,N-T[p]),--p}}nodeByIndex(t){return this.samples&&this.#e.get(this.samples[t])||null}nodeById(t){return this.#e.get(t)||null}nodes(){return this.#e?[...this.#e.values()]:null}}});var uL=g(()=>{l();cL();lb()});var gb={};x(gb,{data:()=>hb,finalize:()=>dae,getProfileCallFunctionName:()=>mae,handleEvent:()=>lae,initialize:()=>uae,reset:()=>cae});function sae(){for(let[e,t]of fb)for(let[n,r]of t){let m=function(h,f,y){if(a===void 0)return;let v=me.millisecondsToMicroseconds(I.MilliSeconds(y)),w=f.id,E=et.makeProfileCall(f,v,e,a);u.profileCalls.push(E),o.push(u.profileCalls.length-1);let T=Ha.makeEmptyTraceEntryNode(E,w);Cu.set(E,T),T.depth=h,o.length===1&&u.profileTree?.roots.add(T)},p=function(h,f,y,v,w){let E=o.pop(),T=E!==void 0&&u.profileCalls[E];if(!T)return;let{callFrame:S,ts:C,pid:F,tid:L}=T,N=Cu.get(T);if(S===void 0||C===void 0||F===void 0||n===void 0||L===void 0||N===void 0)return;let W=me.millisecondsToMicroseconds(I.MilliSeconds(v)),ee=me.millisecondsToMicroseconds(I.MilliSeconds(w));T.dur=W,T.selfTime=ee;let Y=o.at(-1),oe=Y!==void 0&&u.profileCalls.at(Y),ge=oe&&Cu.get(oe);ge&&(N.parent=ge,ge.children.push(N))};s(m,"openFrameCallback"),s(p,"closeFrameCallback");let a=r.threadId;if(!r.
rawProfile.nodes.length||a===void 0)continue;let o=[],i=new Hp.CPUProfileDataModel(r.rawProfile),c=Ha.makeEmptyTraceEntryTree();c.maxDepth=i.maxDepth;let u={rawProfile:r.rawProfile,parsedProfile:i,profileCalls:[],profileTree:c},d=ve.getWithDefault(pb,e,()=>new Map);i.forEachFrame(m,p),d.set(a,u)}}function cae(){iae.clear(),fb.clear(),pb.clear(),Cu.clear(),zo=1}function uae(){if(zo!==1)throw new Error("Samples Handler was not reset");zo=2}function lae(e){if(zo!==2)throw new Error("Samples Handler is not initialized");if(R.isSyntheticCpuProfile(e)){let t=e.pid,n=e.tid,a=mb(t,"0x1");a.rawProfile=e.args.data.cpuProfile,a.threadId=n;return}if(R.isTraceEventProfile(e)){let t=mb(e.pid,e.id);t.rawProfile.startTime=e.ts,t.threadId=e.tid;return}if(R.isTraceEventProfileChunk(e)){let n=mb(e.pid,e.id).rawProfile,r=e.args?.data?.cpuProfile||{samples:[]},a=r?.samples||[],o=[];for(let u of r?.nodes||[]){let d=typeof u.callFrame.lineNumber>"u"?-1:u.callFrame.lineNumber,m=typeof u.callFrame.columnNumber>
"u"?-1:u.callFrame.columnNumber,p=String(u.callFrame.scriptId),h=u.callFrame.url||"",f={...u,callFrame:{...u.callFrame,url:h,lineNumber:d,columnNumber:m,scriptId:p}};o.push(f)}let i=e.args.data?.timeDeltas||[],c=e.args.data?.lines||Array(a.length).fill(0);if(n.nodes.push(...o),n.samples?.push(...a),n.timeDeltas?.push(...i),n.lines?.push(...c),n.samples&&n.timeDeltas&&n.samples.length!==n.timeDeltas.length){console.error("Failed to parse CPU profile.");return}if(!n.endTime&&n.timeDeltas){let u=n.timeDeltas;n.endTime=u.reduce((d,m)=>d+m,n.startTime)}return}}async function dae(){if(zo!==2)throw new Error("Samples Handler is not initialized");sae(),zo=3}function hb(){if(zo!==3)throw new Error("Samples Handler is not finalized");return{profilesInProcess:pb,entryToNode:Cu}}function mb(e,t){let n=ve.getWithDefault(fb,e,()=>new Map);return ve.getWithDefault(n,t,()=>({rawProfile:{startTime:0,endTime:0,nodes:[],samples:[],timeDeltas:[],lines:[]},profileId:t}))}function mae(e,t){let r=e.profilesInProcess.
get(t.pid)?.get(t.tid)?.parsedProfile.nodeById(t.nodeId);return r?.functionName?r.functionName:t.callFrame.functionName}var iae,pb,Cu,fb,zo,yb=g(()=>{l();en();uL();kt();Qe();iae=new Map,pb=new Map,Cu=new Map,fb=new Map,zo=1;s(sae,"buildProfileCalls");s(cae,"reset");s(uae,"initialize");s(lae,"handleEvent");s(dae,"finalize");s(hb,"data");s(mb,"getOrCreatePreProcessedData");s(mae,"getProfileCallFunctionName")});var Tb={};x(Tb,{assignIsMainFrame:()=>pL,assignMeta:()=>dL,assignOrigin:()=>mL,assignThreadName:()=>fL,buildHierarchy:()=>yL,data:()=>Eb,deps:()=>Dae,finalize:()=>bae,handleEvent:()=>vae,handleUserConfig:()=>hae,initialize:()=>yae,makeCompleteEvent:()=>vL,reset:()=>gae,sanitizeProcesses:()=>hL,sanitizeThreads:()=>gL});function hae(e){lL=e}function gae(){Wa.clear(),Db.clear(),Ho.length=0,vb.length=0,wb.length=0,Wo=1}function yae(){if(Wo!==1)throw new Error("Renderer Handler was not reset");Wo=2}function vae(e){if(Wo!==2)throw new Error("Renderer Handler is not initialized");if(R.isThreadName(e)&&e.args.name?.startsWith("CompositorTileWorker")&&wb.push({pid:e.pid,tid:e.tid}),R.isTraceEventBegin(e)||R.isTraceEventEnd(e)){let t=Wp(Wa,e.pid),n=bb(t,e.tid),r=vL(e);if(!r)return;n.entries.push(r),Ho.push(r);return}if(R.isTraceEventInstant(e)||R.isTraceEventComplete(e)){let t=Wp(Wa,e.pid);bb(t,e.tid).entries.push(e),Ho.push(e)}}async function bae(){if(Wo!==2)throw new Error("Renderer Handler is\
 not initialized");let{mainFrameId:e,rendererProcessesByFrame:t,threadsInProcess:n}=Ft();dL(Wa,e,t,n),hL(Wa),yL(Wa),gL(Wa),et.sortTraceEventsInPlace(Ho),Wo=3}function Eb(){if(Wo!==3)throw new Error("Renderer Handler is not finalized");return{processes:new Map(Wa),compositorTileWorkers:new Map(wae()),entryToNode:new Map(Db),allTraceEntries:[...Ho]}}function wae(){let e=new Map;for(let t of wb){let n=e.get(t.pid)||[];n.push(t.tid),e.set(t.pid,n)}return e}function dL(e,t,n,r){mL(e,n),pL(e,t,n),fL(e,n,r)}function mL(e,t){for(let n of t.values())for(let[r,a]of n)for(let o of a.flat()){let i=Wp(e,r);if(i.url===null||i.url==="about:blank")try{new URL(o.frame.url),i.url=o.frame.url}catch{i.url=null}}}function pL(e,t,n){for(let[r,a]of n)for(let[o]of a){let i=Wp(e,o);r===t&&(i.isOnMainFrame=!0)}}function fL(e,t,n){for(let[r,a]of e)for(let[o,i]of n.get(r)??[]){let c=bb(a,o);c.name=i?.args.name??`${o}`}}function hL(e){let t=wu().worklets;if(!Ft().traceIsGeneric){for(let[r,a]of e)if(a.url===null){let o=t.
get(r);o?a.url=o.host:e.delete(r);continue}}}function gL(e){for(let[,t]of e)for(let[n,r]of t.threads)r.tree?.roots.size||t.threads.delete(n)}function yL(e,t){let n=hb();for(let[r,a]of e)for(let[o,i]of a.threads){if(!i.entries.length){i.tree=Ha.makeEmptyTraceEntryTree();continue}et.sortTraceEventsInPlace(i.entries);let c=n.profilesInProcess.get(r)?.get(o)?.parsedProfile,d=(c&&new bu.SamplesIntegrator(c,r,o,lL))?.buildProfileCalls(i.entries);d&&(Ho=[...Ho,...d],i.entries=et.mergeEventsInOrder(i.entries,d));let m=Ha.treify(i.entries,t);i.tree=m.tree;for(let[p,h]of m.entryToNode)Db.set(p,h)}}function vL(e){if(R.isTraceEventEnd(e)){let n=vb.pop();return n?n.name!==e.name||n.cat!==e.cat?(console.error("Begin/End events mismatch at "+n.ts+" ("+n.name+") vs. "+e.ts+" ("+e.name+")"),null):(n.dur=I.MicroSeconds(e.ts-n.ts),null):null}let t={...e,ph:"X",dur:I.MicroSeconds(0)};return vb.push(t),t}function Dae(){return["Meta","Samples","AuctionWorklets"]}var Wa,wb,Db,Ho,vb,Wo,lL,pae,fae,Wp,bb,xb=g(()=>{
l();en();kt();Qe();Rp();Pr();yb();Wa=new Map,wb=Array(),Db=new Map,Ho=[],vb=[],Wo=1,lL=Nr.DEFAULT,pae=s(()=>({url:null,isOnMainFrame:!1,threads:new Map}),"makeRendererProcess"),fae=s(()=>({name:null,entries:[]}),"makeRendererThread"),Wp=s((e,t)=>ve.getWithDefault(e,t,pae),"getOrCreateRendererProcess"),bb=s((e,t)=>ve.getWithDefault(e.threads,t,fae),"getOrCreateRendererThread");s(hae,"handleUserConfig");s(gae,"reset");s(yae,"initialize");s(vae,"handleEvent");s(bae,"finalize");s(Eb,"data");s(wae,"gatherCompositorThreads");s(dL,"assignMeta");s(mL,"assignOrigin");s(pL,"assignIsMainFrame");s(fL,"assignThreadName");s(hL,"sanitizeProcesses");s(gL,"sanitizeThreads");s(yL,"buildHierarchy");s(vL,"makeCompleteEvent");s(Dae,"deps")});var Vp={};x(Vp,{threadsInRenderer:()=>Gp,threadsInTrace:()=>Tae});function Eae(e,t,n){let r="OTHER";return n.name==="CrRendererMain"?r="MAIN_THREAD":n.name==="DedicatedWorker thread"?r="WORKER":n.name?.startsWith("CompositorTileWorker")?r="RASTERIZER":e.worklets.has(t)?r="AUCTION_WORKLET":n.name?.startsWith("ThreadPool")&&(r="THREAD_POOL"),r}function Gp(e,t){let n=[];if(e.processes.size)for(let[r,a]of e.processes)for(let[o,i]of a.threads){if(!i.tree)continue;let c=Eae(t,r,i);n.push({name:i.name,pid:r,tid:o,processIsOnMainFrame:a.isOnMainFrame,entries:i.entries,tree:i.tree,type:c,entryToNode:e.entryToNode})}return n}function Tae(e){let t=Gp(e.Renderer,e.AuctionWorklets);if(t.length)return t;let n=[];if(e.Samples.profilesInProcess.size)for(let[r,a]of e.Samples.profilesInProcess)for(let[o,i]of a)i.profileTree&&n.push({pid:r,tid:o,name:null,entries:i.profileCalls,processIsOnMainFrame:!1,tree:i.profileTree,type:"CPU_PROFILE",entryToNode:e.Samples.entryToNode});return n}var Sb=g(()=>{l();s(Eae,
"getThreadTypeForRendererThread");s(Gp,"threadsInRenderer");s(Tae,"threadsInTrace")});var kb={};x(kb,{LayerPaintEvent:()=>Xp,PendingFrame:()=>Zp,TimelineFrame:()=>Jp,TimelineFrameBeginFrameQueue:()=>Qp,TimelineFrameModel:()=>Kp,data:()=>Fae,deps:()=>Rae,finalize:()=>kae,framesWithinWindow:()=>Mae,handleEvent:()=>Cae,initialize:()=>Sae,reset:()=>xae});function xae(){$p=1,Yp.length=0}function Sae(){if($p!==1)throw new Error("FramesHandler was not reset before being initialized");$p=2}function Cae(e){Yp.push(e)}async function kae(){if($p!==2)throw new Error("FramesHandler is not initialized");et.sortTraceEventsInPlace(Yp),ku=new Kp(Yp,Eb(),wu(),Ft(),sb())}function Fae(){return{frames:ku?Array.from(ku.frames()):[],framesById:ku?{...ku.framesById()}:{}}}function Rae(){return["Meta","Renderer","AuctionWorklets","LayerTree"]}function Aae(e){return R.isTraceEventSetLayerId(e)||R.isTraceEventBeginFrame(e)||R.isTraceEventDroppedFrame(e)||R.isTraceEventRequestMainThreadFrame(e)||R.isTraceEventBeginMainThreadFrame(e)||R.isTraceEventNeedsBeginFrameChanged(e)||R.isTraceEventCommit(e)||
R.isTraceEventCompositeLayers(e)||R.isTraceEventActivateLayerTree(e)||R.isTraceEventDrawFrame(e)}function _ae(e){return e.name==="RunTask"&&e.cat.includes("disabled-by-default-devtools.timeline")}function Mae(e,t,n){let r=Gt.lowerBound(e,t||0,(o,i)=>o-i.endTime),a=Gt.lowerBound(e,n||1/0,(o,i)=>o-i.startTime);return e.slice(r,a)}var $p,Yp,ku,Kp,Iae,Jp,Xp,Zp,Cb,Qp,bL=g(()=>{l();en();kt();Qe();Rp();ub();Pr();xb();Sb();$p=1,Yp=[],ku=null;s(xae,"reset");s(Sae,"initialize");s(Cae,"handleEvent");s(kae,"finalize");s(Fae,"data");s(Rae,"deps");s(Aae,"isFrameEvent");s(_ae,"entryIsTopLevel");Kp=class{static{s(this,"TimelineFrameModel")}#e=[];#t={};#a=new Qp;#n=null;#r=!1;#o=!1;#i=null;#s=null;#c=null;#m=null;#l=null;#f=null;#p=null;#d=null;#u=null;#g;constructor(t,n,r,a,o){let c=Gp(n,r).filter(u=>u.type==="MAIN_THREAD"&&u.processIsOnMainFrame).map(u=>({tid:u.tid,pid:u.pid,startTime:u.entries[0].ts}));this.#g=o,this.#k(t,c,a.mainFrameId)}framesById(){return this.#t}frames(){return this.#e}#v(t,n){this.#n||
this.#h(t,n),this.#m=t,this.#a.addFrameIfNotExists(n,t,!1,!1)}#b(t,n,r){this.#n||this.#h(t,n),this.#a.addFrameIfNotExists(n,t,!0,r),this.#a.setDropped(n,!0),this.#a.setPartial(n,r)}#w(t,n){if(!this.#n){this.#h(t,n);return}if(this.#r||!this.#o){this.#l&&((this.#s?this.#s.triggerTime:this.#m||this.#l)>this.#n.startTime&&(this.#n.idle=!0,this.#m=null),this.#l=null);let r=this.#a.processPendingBeginFramesOnDrawFrame(n);for(let a of r){let o=this.#n.idle;this.#h(a.startTime,n),o&&this.#s&&this.#y(),a.isDropped&&(this.#n.dropped=!0),a.isPartial&&(this.#n.isPartial=!0)}}this.#r=!1}#D(){this.#n&&this.#s&&!this.#l&&this.#y()}#E(){this.#n&&(this.#o=!0)}#T(){this.#c&&(this.#s=this.#c,this.#c=null,this.#o=!1,this.#r=!0)}#x(t){this.#i=t}#S(t,n){n&&(this.#l=t)}#h(t,n){this.#n&&this.#C(this.#n,t),this.#n=new Jp(n,t,I.MicroSeconds(t-Ft().traceBounds.min))}#C(t,n){t.setLayerTree(this.#i),t.setEndTime(n),this.#i&&(this.#i.paints=t.paints);let r=this.#e[this.#e.length-1];this.#e.length&&r&&(t.startTime!==
r.endTime||t.startTime>t.endTime)&&console.assert(!1,`Inconsistent frame time for frame ${this.#e.length} (${t.startTime} - ${t.endTime})`),this.#e.push(t),typeof t.mainFrameId=="number"&&(this.#t[t.mainFrameId]=t)}#y(){!this.#s||!this.#n||(this.#n.paints=this.#s.paints,this.#n.mainFrameId=this.#s.mainFrameId,this.#s=null)}#k(t,n,r){let a=0;this.#u=n.length&&n[0].tid||null,this.#d=n.length&&n[0].pid||null;for(let o=0;o<t.length;++o){for(;a+1<n.length&&n[a+1].startTime<=t[o].ts;)this.#u=n[++a].tid,this.#d=n[a].pid;this.#F(t[o],r)}this.#u=null,this.#d=null}#F(t,n){R.isTraceEventSetLayerId(t)&&t.args.data.frame===n?this.#p=t.args.data.layerTreeId:R.isTraceEventLayerTreeHostImplSnapshot(t)&&Number(t.id)===this.#p?this.#x({entry:t,paints:[]}):(Aae(t)&&this.#R(t),t.tid===this.#u&&t.pid===this.#d&&this.#A(t))}#R(t){t.args.layerTreeId===this.#p&&(R.isTraceEventBeginFrame(t)?this.#v(t.ts,t.args.frameSeqId):R.isTraceEventDrawFrame(t)?this.#w(t.ts,t.args.frameSeqId):R.isTraceEventActivateLayerTree(
t)?this.#D():R.isTraceEventRequestMainThreadFrame(t)?this.#E():R.isTraceEventNeedsBeginFrameChanged(t)?this.#S(t.ts,t.args.data&&!!t.args.data.needsBeginFrame):R.isTraceEventDroppedFrame(t)&&this.#b(t.ts,t.args.frameSeqId,!!t.args.hasPartialUpdate))}#A(t){if(_ae(t)&&(this.#f=t.ts),!this.#c&&Iae.has(t.name)&&(this.#c=new Zp(this.#f||t.ts)),!!this.#c){if(R.isTraceEventBeginMainThreadFrame(t)&&t.args.data.frameId&&(this.#c.mainFrameId=t.args.data.frameId),R.isTraceEventPaint(t)){let n=this.#g.paintsToSnapshots.get(t);n&&this.#c.paints.push(new Xp(t,n))}(R.isTraceEventCompositeLayers(t)||R.isTraceEventCommit(t))&&t.args.layerTreeId===this.#p&&this.#T()}}},Iae=new Set(["ScheduleStyleRecalculation","InvalidateLayout","BeginMainThreadFrame","ScrollLayer"]),Jp=class{static{s(this,"TimelineFrame")}startTime;startTimeOffset;endTime;duration;idle;dropped;isPartial;layerTree;paints;mainFrameId;seqId;constructor(t,n,r){this.seqId=t,this.startTime=n,this.startTimeOffset=r,this.endTime=this.startTime,
this.duration=I.MicroSeconds(0),this.idle=!1,this.dropped=!1,this.isPartial=!1,this.layerTree=null,this.paints=[],this.mainFrameId=void 0}setEndTime(t){this.endTime=t,this.duration=I.MicroSeconds(this.endTime-this.startTime)}setLayerTree(t){this.layerTree=t}},Xp=class{static{s(this,"LayerPaintEvent")}#e;#t;constructor(t,n){this.#e=t,this.#t=n}layerId(){return this.#e.args.data.layerId}event(){return this.#e}picture(){let t=this.#t.args.snapshot.params?.layer_rect,n=this.#t.args.snapshot.skp64;return t&&n?{rect:t,serializedPicture:n}:null}},Zp=class{static{s(this,"PendingFrame")}paints;mainFrameId;triggerTime;constructor(t){this.paints=[],this.mainFrameId=void 0,this.triggerTime=t}},Cb=class{static{s(this,"BeginFrameInfo")}seqId;startTime;isDropped;isPartial;constructor(t,n,r,a){this.seqId=t,this.startTime=n,this.isDropped=r,this.isPartial=a}},Qp=class{static{s(this,"TimelineFrameBeginFrameQueue")}queueFrames=[];mapFrames={};addFrameIfNotExists(t,n,r,a){t in this.mapFrames||(this.mapFrames[t]=
new Cb(t,n,r,a),this.queueFrames.push(t))}setDropped(t,n){t in this.mapFrames&&(this.mapFrames[t].isDropped=n)}setPartial(t,n){t in this.mapFrames&&(this.mapFrames[t].isPartial=n)}processPendingBeginFramesOnDrawFrame(t){let n=[];if(t in this.mapFrames){for(;this.queueFrames[0]!==t;){let r=this.queueFrames[0];this.mapFrames[r].isDropped&&n.push(this.mapFrames[r]),delete this.mapFrames[r],this.queueFrames.shift()}n.push(this.mapFrames[t]),delete this.mapFrames[t],this.queueFrames.shift()}return n}};s(Mae,"framesWithinWindow")});var Ab={};x(Ab,{data:()=>Bae,deps:()=>Uae,finalize:()=>Oae,handleEvent:()=>Lae,initialize:()=>Pae,reset:()=>Nae});function Nae(){Fb.clear(),Rb=[],Go=1}function Pae(){if(Go!==1)throw new Error("GPU Handler was not reset before being initialized");Go=2}function Lae(e){if(Go!==2)throw new Error("GPU Handler is not initialized");R.isTraceEventGPUTask(e)&&et.addEventToProcessThread(e,Fb)}async function Oae(){if(Go!==2)throw new Error("GPU Handler is not initialized");let{gpuProcessId:e,gpuThreadId:t}=Ft(),n=Fb.get(e);n&&t&&(Rb=n.get(t)||[]),Go=3}function Bae(){if(Go!==3)throw new Error("GPU Handler is not finalized");return{mainGPUThreadTasks:Rb}}function Uae(){return["Meta"]}var Go,Fb,Rb,wL=g(()=>{l();Pr();Qe();kt();Go=1,Fb=new Map,Rb=[];s(Nae,"reset");s(Pae,"initialize");s(Lae,"handleEvent");s(Oae,"finalize");s(Bae,"data");s(Uae,"deps")});var Bb={};x(Bb,{data:()=>Gae,finalize:()=>Wae,handleEvent:()=>zae,initialize:()=>qae,reset:()=>jae});function jae(){_b.clear(),Fu.clear(),Ib.clear(),Nb.clear(),nf.clear(),tf.clear(),Mb.clear(),Pb.clear(),ef.clear(),Ob.clear(),Lb.length=0,Ru=1}function qae(){if(Ru!==1)throw new Error("InitiatorsHandler was not reset before being initialized");Ru=2}function Ga(e){nf.set(e.event,e.initiator);let t=tf.get(e.initiator)||[];t.push(e.event),tf.set(e.initiator,t)}function zae(e){if(R.isTraceEventScheduleStyleRecalculation(e))_b.set(e.args.data.frame,e);else if(R.isTraceEventUpdateLayoutTree(e)){if(e.args.beginData){Ib.set(e.args.beginData.frame,e);let t=_b.get(e.args.beginData.frame);t&&Ga({event:e,initiator:t})}}else if(R.isTraceEventInvalidateLayout(e)){let t=e;if(!Fu.has(e.args.data.frame)){let n=Ib.get(e.args.data.frame);if(n){let{endTime:r}=me.eventTimingsMicroSeconds(n),a=nf.get(n);a&&r&&r>e.ts&&(t=a)}}Fu.set(e.args.data.frame,t)}else if(R.isTraceEventLayout(e)){let t=Fu.get(e.args.beginData.
frame);t&&Ga({event:e,initiator:t}),Fu.delete(e.args.beginData.frame)}else if(R.isTraceEventRequestAnimationFrame(e))Mb.set(e.args.data.id,e);else if(R.isTraceEventFireAnimationFrame(e)){let t=Mb.get(e.args.data.id);t&&Ga({event:e,initiator:t})}else if(R.isTraceEventTimerInstall(e))Nb.set(e.args.data.timerId,e);else if(R.isTraceEventTimerFire(e)){let t=Nb.get(e.args.data.timerId);t&&Ga({event:e,initiator:t})}else if(R.isTraceEventRequestIdleCallback(e))Pb.set(e.args.data.id,e);else if(R.isTraceEventFireIdleCallback(e)){let t=Pb.get(e.args.data.id);t&&Ga({event:e,initiator:t})}else if(R.isTraceEventWebSocketCreate(e))ef.set(e.args.data.identifier,e);else if(R.isTraceEventWebSocketSendHandshakeRequest(e)){let t=ef.get(e.args.data.identifier);t&&Ga({event:e,initiator:t})}else if(R.isTraceEventWebSocketSendHandshakeRequest(e)||R.isTraceEventWebSocketReceiveHandshakeResponse(e)||R.isTraceEventWebSocketDestroy(e)){let t=ef.get(e.args.data.identifier);t&&Ga({event:e,initiator:t})}else if(R.isTraceEventHandlePostMessage(
e))Lb.push(e);else if(R.isTraceEventSchedulePostMessage(e)){let t=e.args.data?.traceId;t&&Ob.set(t,e)}}function Hae(){for(let e of Lb){let t=e.args.data?.traceId,n=Ob.get(t);n&&Ga({event:e,initiator:n})}}async function Wae(){if(Ru!==2)throw new Error("InitiatorsHandler is not initialized");Hae(),Ru=3}function Gae(){return{eventToInitiator:nf,initiatorToEvents:tf}}var Ru,_b,Fu,Ib,Lb,Ob,nf,tf,Mb,Nb,Pb,ef,DL=g(()=>{l();kt();Qe();Ru=1,_b=new Map,Fu=new Map,Ib=new Map,Lb=[],Ob=new Map,nf=new Map,tf=new Map,Mb=new Map,Nb=new Map,Pb=new Map,ef=new Map;s(jae,"reset");s(qae,"initialize");s(Ga,"storeInitiator");s(zae,"handleEvent");s(Hae,"finalizeInitiatorRelationship");s(Wae,"finalize");s(Gae,"data")});var jb={};x(jb,{data:()=>Jae,finalize:()=>Kae,handleEvent:()=>Yae,initialize:()=>$ae,reset:()=>Vae});function Vae(){_u=1,af.clear(),Cn=null,Au.length=0,rf=!1}function $ae(){if(_u!==1)throw new Error("InvalidationsHandler was not reset before being initialized");_u=2}function Ub(e,t){let n=af.get(e)||[],r={...t,name:"SyntheticInvalidation",frame:t.args.data.frame,nodeId:t.args.data.nodeId,rawEvent:t};t.args.data.nodeName&&(r.nodeName=t.args.data.nodeName),t.args.data.reason&&(r.reason=t.args.data.reason),t.args.data.stackTrace&&(r.stackTrace=t.args.data.stackTrace),n.push(r),af.set(e,n)}function Yae(e){if(R.isStyleRecalcSelectorStats(e)&&Cn){Cn.args.selector_stats?Cn.args.selector_stats.selector_timings.push(...e.args.selector_stats?.selector_timings??[]):Cn.args.selector_stats=e.args.selector_stats;return}if(R.isTraceEventUpdateLayoutTree(e)){Cn=e;for(let t of Au){if(R.isTraceEventLayoutInvalidationTracking(t))continue;let n=Cn.args.beginData?.frame;n&&t.args.data.frame===n&&Ub(e,t)}return}
if(R.isTraceEventScheduleStyleInvalidationTracking(e)||R.isTraceEventStyleRecalcInvalidationTracking(e)||R.isTraceEventStyleInvalidatorInvalidationTracking(e)||R.isTraceEventLayoutInvalidationTracking(e)){if(rf&&(Au.length=0,Cn=null,rf=!1),Cn&&(R.isTraceEventScheduleStyleInvalidationTracking(e)||R.isTraceEventStyleRecalcInvalidationTracking(e)||R.isTraceEventStyleInvalidatorInvalidationTracking(e))){let t=Cn.ts+(Cn.dur||0);e.ts>=Cn.ts&&e.ts<=t&&Cn.args.beginData?.frame===e.args.data.frame&&Ub(Cn,e)}Au.push(e);return}if(R.isTraceEventPaint(e)){rf=!0;return}if(R.isTraceEventLayout(e)){let t=e.args.beginData.frame;for(let n of Au)R.isTraceEventLayoutInvalidationTracking(n)&&n.args.data.frame===t&&Ub(e,n)}}async function Kae(){if(_u!==2)throw new Error("InvalidationsHandler is not initialized");_u=3}function Jae(){return{invalidationsForEvent:af}}var _u,af,Cn,rf,Au,EL=g(()=>{l();Qe();_u=1,af=new Map,Cn=null,rf=!1,Au=[];s(Vae,"reset");s($ae,"initialize");s(Ub,"addInvalidationToEvent");s(Yae,
"handleEvent");s(Kae,"finalize");s(Jae,"data")});var zb={};x(zb,{data:()=>Qae,handleEvent:()=>Zae,reset:()=>Xae});function Xae(){qb.clear()}function Zae(e){R.isTraceEventLargestImagePaintCandidate(e)&&e.args.data&&qb.set(e.args.data.DOMNodeId,e)}function Qae(){return qb}var qb,TL=g(()=>{l();Qe();qb=new Map;s(Xae,"reset");s(Zae,"handleEvent");s(Qae,"data")});var Wb={};x(Wb,{data:()=>noe,handleEvent:()=>toe,reset:()=>eoe});function eoe(){Hb.clear()}function toe(e){R.isTraceEventLargestTextPaintCandidate(e)&&e.args.data&&Hb.set(e.args.data.DOMNodeId,e)}function noe(){return Hb}var Hb,xL=g(()=>{l();Qe();Hb=new Map;s(eoe,"reset");s(toe,"handleEvent");s(noe,"data")});var Vb={};x(Vb,{MAX_CLUSTER_DURATION:()=>sf,MAX_SHIFT_TIME_DELTA:()=>cf,data:()=>loe,deps:()=>doe,finalize:()=>coe,handleEvent:()=>ooe,initialize:()=>roe,reset:()=>aoe,stateForLayoutShiftScore:()=>moe});function roe(){if(ss!==1)throw new Error("LayoutShifts Handler was not reset");ss=2}function aoe(){ss=1,Va.length=0,Iu.length=0,lf.length=0,SL.length=0,df.length=0,os.clear(),kn.length=0,uf=0,is.length=0,Gb=-1}function ooe(e){if(ss!==2)throw new Error("Handler is not initialized");if(R.isTraceEventLayoutShift(e)&&!e.args.data?.had_recent_input){Va.push(e);return}if(R.isTraceEventLayoutInvalidationTracking(e)){Iu.push(e);return}if(R.isTraceEventScheduleStyleInvalidationTracking(e)&&lf.push(e),R.isTraceEventStyleRecalcInvalidationTracking(e)&&SL.push(e),R.isTraceEventPrePaint(e)){df.push(e);return}}function of(e){return{min:e,max:e,range:I.MicroSeconds(0)}}function Wn(e,t){e.max=t,e.range=I.MicroSeconds(e.max-e.min)}function ioe(){let{traceBounds:e}=Ft();is.push({ts:e.min,score:0});for(let t of kn){
let n=0;t.events[0].args.data&&is.push({ts:t.clusterWindow.min,score:t.events[0].args.data.weighted_score_delta});for(let r=0;r<t.events.length;r++){let a=t.events[r];a.args.data&&(n+=a.args.data.weighted_score_delta,is.push({ts:a.ts,score:n}))}is.push({ts:t.clusterWindow.max,score:0})}}function soe(){os.clear();for(let e of Va)if(e.args.data?.impacted_nodes)for(let t of e.args.data.impacted_nodes)os.add(t.node_id);for(let e of Iu)e.args.data?.nodeId&&os.add(e.args.data.nodeId);for(let e of lf)e.args.data?.nodeId&&os.add(e.args.data.nodeId)}async function coe(){Va.sort((e,t)=>e.ts-t.ts),df.sort((e,t)=>e.ts-t.ts),Iu.sort((e,t)=>e.ts-t.ts),await uoe(),ioe(),soe(),ss=3}async function uoe(){let{navigationsByFrameId:e,mainFrameId:t,traceBounds:n}=Ft(),r=e.get(t)||[];if(Va.length===0)return;let a=Va[0].ts,o=Va[0].ts,i=null;for(let c of Va){let u=c.ts-a>sf,d=c.ts-o>cf,m=Gt.nearestIndexFromEnd(r,v=>v.ts<c.ts),p=i!==m&&m!==null;if(u||d||p||!kn.length){let v=c.ts,w=u?a+sf:1/0,E=d?o+cf:1/0,T=p?r[m].
ts:1/0,S=Math.min(w,E,T);if(kn.length>0){let C=kn[kn.length-1];Wn(C.clusterWindow,I.MicroSeconds(S))}kn.push({events:[],clusterWindow:of(v),clusterCumulativeScore:0,scoreWindows:{good:of(v),needsImprovement:null,bad:null}}),a=v}let h=kn[kn.length-1],f=m!==null?I.MicroSeconds(c.ts-r[m].ts):void 0;if(h.clusterCumulativeScore+=c.args.data?c.args.data.weighted_score_delta:0,!c.args.data)continue;let y={...c,args:{frame:c.args.frame,data:{...c.args.data,rawEvent:c}},parsedData:{timeFromNavigation:f,cumulativeWeightedScoreInWindow:h.clusterCumulativeScore,sessionWindowData:{cumulativeWindowScore:0,id:kn.length}}};h.events.push(y),Wn(h.clusterWindow,c.ts),o=c.ts,i=m}for(let c of kn){let u=0,d=-1;if(c===kn[kn.length-1]){let m=sf+c.clusterWindow.min,p=c.clusterWindow.max+cf,h=Gt.nearestIndexFromBeginning(r,v=>v.ts>c.clusterWindow.max),f=h?r[h].ts:1/0,y=Math.min(m,p,n.max,f);Wn(c.clusterWindow,I.MicroSeconds(y))}for(let m of c.events){u+=m.args.data?m.args.data.weighted_score_delta:0,d=m.parsedData.
sessionWindowData.id;let p=m.ts;m.parsedData.sessionWindowData.cumulativeWindowScore=c.clusterCumulativeScore,u<.1?Wn(c.scoreWindows.good,p):u>=.1&&u<.25?(c.scoreWindows.needsImprovement||(Wn(c.scoreWindows.good,I.MicroSeconds(p-1)),c.scoreWindows.needsImprovement=of(p)),Wn(c.scoreWindows.needsImprovement,p)):u>=.25&&(c.scoreWindows.bad||(c.scoreWindows.needsImprovement?Wn(c.scoreWindows.needsImprovement,I.MicroSeconds(p-1)):Wn(c.scoreWindows.good,I.MicroSeconds(p-1)),c.scoreWindows.bad=of(m.ts)),Wn(c.scoreWindows.bad,p)),c.scoreWindows.bad?Wn(c.scoreWindows.bad,c.clusterWindow.max):c.scoreWindows.needsImprovement?Wn(c.scoreWindows.needsImprovement,c.clusterWindow.max):Wn(c.scoreWindows.good,c.clusterWindow.max)}u>uf&&(Gb=d,uf=u)}}function loe(){if(ss!==3)throw new Error("Layout Shifts Handler is not finalized");return{clusters:kn,sessionMaxScore:uf,clsWindowID:Gb,prePaintEvents:df,layoutInvalidationEvents:Iu,scheduleStyleInvalidationEvents:lf,styleRecalcInvalidationEvents:[],scoreRecords:is,
backendNodeIds:[...os]}}function doe(){return["Screenshots","Meta"]}function moe(e){let t="good";return e>=.1&&(t="ok"),e>=.25&&(t="bad"),t}var sf,cf,Va,Iu,lf,SL,os,df,uf,Gb,kn,is,ss,CL=g(()=>{l();en();kt();Qe();Pr();sf=me.millisecondsToMicroseconds(I.MilliSeconds(5e3)),cf=me.millisecondsToMicroseconds(I.MilliSeconds(1e3)),Va=[],Iu=[],lf=[],SL=[],os=new Set,df=[],uf=0,Gb=-1,kn=[],is=[],ss=1;s(roe,"initialize");s(aoe,"reset");s(ooe,"handleEvent");s(of,"traceWindowFromTime");s(Wn,"updateTraceWindowMax");s(ioe,"buildScoreRecords");s(soe,"collectNodes");s(coe,"finalize");s(uoe,"buildLayoutShiftsClusters");s(loe,"data");s(doe,"deps");s(moe,"stateForLayoutShiftScore")});var $b={};x($b,{data:()=>hoe,handleEvent:()=>foe,reset:()=>poe});function poe(){mf.clear()}function foe(e){if(R.isTraceEventUpdateCounters(e)){let t=ve.getWithDefault(mf,e.pid,()=>[]);t.push(e),mf.set(e.pid,t)}}function hoe(){return{updateCountersByProcess:mf}}var mf,kL=g(()=>{l();en();Qe();mf=new Map;s(poe,"reset");s(foe,"handleEvent");s(hoe,"data")});var Jb={};x(Jb,{data:()=>Doe,deps:()=>Eoe,finalize:()=>woe,handleEvent:()=>boe,initialize:()=>voe,reset:()=>yoe});function Vo(e,t,n){Mu.has(e)||Mu.set(e,{});let r=Mu.get(e);if(!r)throw new Error(`Unable to locate trace events for request ID ${e}`);if(Array.isArray(r[t])){let a=r[t],o=n;a.push(...o)}else r[t]=n}function goe(e){for(let t of e)if(t>0)return t;return 0}function yoe(){Yb.clear(),Mu.clear(),Kb.length=0,cs=1}function voe(){cs=2}function boe(e){if(cs!==2)throw new Error("Network Request handler is not initialized");if(R.isTraceEventResourceChangePriority(e)){Vo(e.args.data.requestId,"changePriority",e);return}if(R.isTraceEventResourceWillSendRequest(e)){Vo(e.args.data.requestId,"willSendRequests",[e]);return}if(R.isTraceEventResourceSendRequest(e)){Vo(e.args.data.requestId,"sendRequests",[e]);return}if(R.isTraceEventResourceReceiveResponse(e)){Vo(e.args.data.requestId,"receiveResponse",e);return}if(R.isTraceEventResourceReceivedData(e)){Vo(e.args.data.requestId,"receivedData",
[e]);return}if(R.isTraceEventResourceFinish(e)){Vo(e.args.data.requestId,"resourceFinish",e);return}if(R.isTraceEventResourceMarkAsCached(e)){Vo(e.args.data.requestId,"resourceMarkAsCached",e);return}}async function woe(){if(cs!==2)throw new Error("Network Request handler is not initialized");let{rendererProcessesByFrame:e}=Ft();for(let[t,n]of Mu.entries()){if(!n.sendRequests||!n.receiveResponse)continue;let r=[];for(let Ee=0;Ee<n.sendRequests.length-1;Ee++){let Te=n.sendRequests[Ee],te=n.sendRequests[Ee+1],X=Te.ts,lt=I.MicroSeconds(te.ts-Te.ts);if(n.willSendRequests&&n.willSendRequests[Ee]&&n.willSendRequests[Ee+1]){let fe=n.willSendRequests[Ee],Re=n.willSendRequests[Ee+1];X=fe.ts,lt=I.MicroSeconds(Re.ts-fe.ts)}r.push({url:Te.args.data.url,priority:Te.args.data.priority,requestMethod:Te.args.data.requestMethod,ts:X,dur:lt})}let a=n.resourceFinish?.args.data.encodedDataLength!==0,o=n.receiveResponse.args.data.fromCache&&!n.receiveResponse.args.data.fromServiceWorker&&!a,i=n.resourceMarkAsCached!==
void 0,c=i||o,u=n.receiveResponse.args.data.timing;if(!u&&!c)continue;let d=n.sendRequests[0],m=n.sendRequests[n.sendRequests.length-1],p=m.args.data.priority,h=p;n.changePriority&&(h=n.changePriority.args.data.priority);let f=n.willSendRequests&&n.willSendRequests.length?I.MicroSeconds(n.willSendRequests[0].ts):I.MicroSeconds(d.ts),y=n.willSendRequests&&n.willSendRequests.length?I.MicroSeconds(n.willSendRequests[n.willSendRequests.length-1].ts):I.MicroSeconds(m.ts),v=n.resourceFinish?n.resourceFinish.ts:y,w=n.resourceFinish?.args.data.finishTime?I.MicroSeconds(n.resourceFinish.args.data.finishTime*pf):I.MicroSeconds(v),E=c?I.MicroSeconds(0):I.MicroSeconds((w||y)-y),T=I.MicroSeconds(v-(w||v)),S=I.MicroSeconds(y-f),C=c?I.MicroSeconds(0):I.MicroSeconds(xp.clamp(u.requestTime*pf-y,0,Number.MAX_VALUE)),F=c?I.MicroSeconds(n.receiveResponse.ts-f):I.MicroSeconds(goe([u.dnsStart*fr,u.connectStart*fr,u.sendStart*fr,n.receiveResponse.ts-y])),L=c?f:I.MicroSeconds(u.requestTime*pf+u.sendStart*fr),
N=c?I.MicroSeconds(0):I.MicroSeconds((u.receiveHeadersEnd-u.sendEnd)*fr),W=c?f:I.MicroSeconds(u.requestTime*pf+u.receiveHeadersEnd*fr),ee=c?I.MicroSeconds(v-n.receiveResponse.ts):I.MicroSeconds((w||W)-W),Y=I.MicroSeconds(E+T),oe=c?I.MicroSeconds(0):I.MicroSeconds((u.dnsEnd-u.dnsStart)*fr),ge=c?I.MicroSeconds(0):I.MicroSeconds((u.sslEnd-u.sslStart)*fr),ue=c?I.MicroSeconds(0):I.MicroSeconds((u.proxyEnd-u.proxyStart)*fr),ft=c?I.MicroSeconds(0):I.MicroSeconds((u.sendEnd-u.sendStart)*fr),le=c?I.MicroSeconds(0):I.MicroSeconds((u.connectEnd-u.connectStart)*fr),{frame:we,url:st,renderBlocking:Ke}=m.args.data,{encodedDataLength:Le,decodedBodyLength:Rt}=n.resourceFinish?n.resourceFinish.args.data:{encodedDataLength:0,decodedBodyLength:0},{host:Ve,protocol:Oe,pathname:ke,search:q}=new URL(st),se=Oe==="https:",ct=et.activeURLForFrameAtTime(we,m.ts,e)||"",$e={args:{data:{syntheticData:{dnsLookup:oe,download:ee,downloadStart:W,finishTime:w,initialConnection:le,isDiskCached:o,isHttps:se,isMemoryCached:i,
isPushedResource:a,networkDuration:E,processingDuration:T,proxyNegotiation:ue,queueing:C,redirectionDuration:S,requestSent:ft,sendStartTime:L,ssl:ge,stalled:F,totalTime:Y,waiting:N},decodedBodyLength:Rt,encodedDataLength:Le,frame:we,fromServiceWorker:n.receiveResponse.args.data.fromServiceWorker,isLinkPreload:n.receiveResponse.args.data.isLinkPreload||!1,host:Ve,mimeType:n.receiveResponse.args.data.mimeType,pathname:ke,priority:h,initialPriority:p,protocol:Oe,redirects:r,renderBlocking:Ke||"non_blocking",requestId:t,requestingFrameUrl:ct,requestMethod:m.args.data.requestMethod,resourceType:m.args.data.resourceType,search:q,statusCode:n.receiveResponse.args.data.statusCode,responseHeaders:n.receiveResponse.args.data.headers||[],fetchPriorityHint:m.args.data.fetchPriorityHint,initiator:m.args.data.initiator,stackTrace:m.args.data.stackTrace,timing:u,url:st}},cat:"loading",name:"SyntheticNetworkRequest",ph:"X",dur:I.MicroSeconds(v-f),tdur:I.MicroSeconds(v-f),ts:I.MicroSeconds(f),tts:I.MicroSeconds(
f),pid:m.pid,tid:m.tid},Ie=ve.getWithDefault(Yb,Ve,()=>({renderBlocking:[],nonRenderBlocking:[],all:[]}));$e.args.data.renderBlocking==="non_blocking"?Ie.nonRenderBlocking.push($e):Ie.renderBlocking.push($e),Ie.all.push($e),Kb.push($e)}cs=3}function Doe(){if(cs!==3)throw new Error("Network Request handler is not finalized");return{byOrigin:Yb,byTime:Kb}}function Eoe(){return["Meta"]}var fr,pf,Mu,Yb,Kb,cs,FL=g(()=>{l();en();Pr();kt();Qe();fr=1e3,pf=1e6,Mu=new Map,Yb=new Map,Kb=[];s(Vo,"storeTraceEventWithRequestId");s(goe,"firstPositiveValueInList");cs=1;s(yoe,"reset");s(voe,"initialize");s(boe,"handleEvent");s(woe,"finalize");s(Doe,"data");s(Eoe,"deps")});var Zb={};x(Zb,{data:()=>Roe,deps:()=>Aoe,finalize:()=>Foe,getFrameIdForPageLoadEvent:()=>hf,handleEvent:()=>xoe,reset:()=>Toe,scoreClassificationForDOMContentLoaded:()=>IL,scoreClassificationForFirstContentfulPaint:()=>RL,scoreClassificationForLargestContentfulPaint:()=>_L,scoreClassificationForTimeToInteractive:()=>AL,scoreClassificationForTotalBlockingTime:()=>ML});function Toe(){Pu.clear(),Nu=[],Xb=[],ff.clear()}function xoe(e){R.eventIsPageLoadEvent(e)&&Nu.push(e)}function Soe(e,t){let n=e.args.data?.navigationId;if(!n)throw new Error("Navigation event unexpectedly had no navigation ID.");let r=hf(t),{rendererProcessesByFrame:a}=Ft(),o=a.get(r);if(!(!o||!o.get(t.pid))&&!R.isTraceEventNavigationStart(t)){if(R.isTraceEventFirstContentfulPaint(t)){let c=I.MicroSeconds(t.ts-e.ts),u=me.formatMicrosecondsTime(c,{format:2,maximumFractionDigits:2}),d=RL(c);$a(r,n,{event:t,score:u,metricName:"FCP",classification:d,navigation:e,timing:c});return}if(R.isTraceEventFirstPaint(t)){let c=I.MicroSeconds(
t.ts-e.ts),u=me.formatMicrosecondsTime(c,{format:2,maximumFractionDigits:2});$a(r,n,{event:t,score:u,metricName:"FP",classification:"unclassified",navigation:e,timing:c});return}if(R.isTraceEventMarkDOMContent(t)){let c=I.MicroSeconds(t.ts-e.ts),u=me.formatMicrosecondsTime(c,{format:2,maximumFractionDigits:2}),d={event:t,score:u,metricName:"DCL",classification:IL(c),navigation:e,timing:c};$a(r,n,d);return}if(R.isTraceEventInteractiveTime(t)){let c=I.MicroSeconds(t.ts-e.ts),u=me.formatMicrosecondsTime(c,{format:2,maximumFractionDigits:2}),d={event:t,score:u,metricName:"TTI",classification:AL(c),navigation:e,timing:c};$a(r,n,d);let m=me.millisecondsToMicroseconds(I.MilliSeconds(t.args.args.total_blocking_time_ms)),p=me.formatMicrosecondsTime(m,{format:1,maximumFractionDigits:2}),h={event:t,score:p,metricName:"TBT",classification:ML(m),navigation:e,timing:m};$a(r,n,h);return}if(R.isTraceEventMarkLoad(t)){let c=I.MicroSeconds(t.ts-e.ts),u=me.formatMicrosecondsTime(c,{format:2,maximumFractionDigits:2});
$a(r,n,{event:t,score:u,metricName:"L",classification:"unclassified",navigation:e,timing:c});return}if(R.isTraceEventLargestContentfulPaintCandidate(t)){let c=t.args.data?.candidateIndex;if(!c)throw new Error("Largest Contenful Paint unexpectedly had no candidateIndex.");let u=I.MicroSeconds(t.ts-e.ts),d=me.formatMicrosecondsTime(u,{format:2,maximumFractionDigits:2}),m={event:t,score:d,metricName:"LCP",classification:_L(u),navigation:e,timing:u},p=ve.getWithDefault(Pu,r,()=>new Map),f=ve.getWithDefault(p,n,()=>new Map).get("LCP");if(f===void 0){ff.add(m.event),$a(r,n,m);return}let y=f.event;if(!R.isTraceEventLargestContentfulPaintCandidate(y))return;let v=y.args.data?.candidateIndex;if(!v)return;v<c&&(ff.delete(y),ff.add(m.event),$a(r,n,m));return}if(!R.isTraceEventLayoutShift(t))return rs(t,`Unexpected event type: ${t}`)}}function $a(e,t,n){let r=ve.getWithDefault(Pu,e,()=>new Map),a=ve.getWithDefault(r,t,()=>new Map);a.delete(n.metricName),a.set(n.metricName,n)}function hf(e){if(R.isTraceEventFirstContentfulPaint(
e)||R.isTraceEventInteractiveTime(e)||R.isTraceEventLargestContentfulPaintCandidate(e)||R.isTraceEventNavigationStart(e)||R.isTraceEventLayoutShift(e)||R.isTraceEventFirstPaint(e))return e.args.frame;if(R.isTraceEventMarkDOMContent(e)||R.isTraceEventMarkLoad(e)){let t=e.args.data?.frame;if(!t)throw new Error("MarkDOMContent unexpectedly had no frame ID.");return t}rs(e,`Unexpected event type: ${e}`)}function Coe(e){if(R.isTraceEventFirstContentfulPaint(e)||R.isTraceEventLargestContentfulPaintCandidate(e)||R.isTraceEventFirstPaint(e)){let t=e.args.data?.navigationId;if(!t)throw new Error("Trace event unexpectedly had no navigation ID.");let{navigationsByNavigationId:n}=Ft(),r=n.get(t);return r||null}if(R.isTraceEventMarkDOMContent(e)||R.isTraceEventInteractiveTime(e)||R.isTraceEventLayoutShift(e)||R.isTraceEventMarkLoad(e)){let t=hf(e),{navigationsByFrameId:n}=Ft();return et.getNavigationForTraceEvent(e,t,n)}return R.isTraceEventNavigationStart(e)?null:rs(e,`Unexpected event type: ${e}`)}
function RL(e){let t=me.secondsToMicroseconds(I.Seconds(1.8)),n=me.secondsToMicroseconds(I.Seconds(3)),r="bad";return e<=n&&(r="ok"),e<=t&&(r="good"),r}function AL(e){let t=me.secondsToMicroseconds(I.Seconds(3.8)),n=me.secondsToMicroseconds(I.Seconds(7.3)),r="bad";return e<=n&&(r="ok"),e<=t&&(r="good"),r}function _L(e){let t=me.secondsToMicroseconds(I.Seconds(2.5)),n=me.secondsToMicroseconds(I.Seconds(4)),r="bad";return e<=n&&(r="ok"),e<=t&&(r="good"),r}function IL(e){return"unclassified"}function ML(e){let t=me.millisecondsToMicroseconds(I.MilliSeconds(200)),n=me.millisecondsToMicroseconds(I.MilliSeconds(600)),r="bad";return e<=n&&(r="ok"),e<=t&&(r="good"),r}function koe(){let e=[],n=[...Pu.values()].flatMap(r=>[...r.values()]);for(let r=0;r<n.length;r++){let o=n[r].get("LCP");!o||!o.event||e.push(o.event)}return e}async function Foe(){Nu.sort((a,o)=>a.ts-o.ts);for(let a of Nu){let o=Coe(a);o&&Soe(o,a)}let e=koe(),t=Ft().mainFrameId,n=Nu.filter(a=>!R.isTraceEventLargestContentfulPaintCandidate(
a));Xb=[...e,...n].filter(R.isTraceEventMarkerEvent).filter(a=>hf(a)===t).sort((a,o)=>a.ts-o.ts)}function Roe(){return{metricScoresByFrameId:Pu,allMarkerEvents:Xb}}function Aoe(){return["Meta"]}var Pu,Xb,Nu,ff,NL=g(()=>{l();en();kt();Qe();Pr();Pu=new Map,Xb=[];s(Toe,"reset");Nu=[],ff=new Set;s(xoe,"handleEvent");s(Soe,"storePageLoadMetricAgainstNavigationId");s($a,"storeMetricScore");s(hf,"getFrameIdForPageLoadEvent");s(Coe,"getNavigationForPageLoadEvent");s(RL,"scoreClassificationForFirstContentfulPaint");s(AL,"scoreClassificationForTimeToInteractive");s(_L,"scoreClassificationForLargestContentfulPaint");s(IL,"scoreClassificationForDOMContentLoaded");s(ML,"scoreClassificationForTotalBlockingTime");s(koe,"gatherFinalLCPEvents");s(Foe,"finalize");s(Roe,"data");s(Aoe,"deps")});var r0={};x(r0,{data:()=>Poe,deps:()=>Loe,finalize:()=>Moe,handleEvent:()=>Ioe,reset:()=>_oe});function _oe(){Qb.length=0,e0.length=0,t0.length=0,n0={}}function Ioe(e){R.isTraceEventScreenshot(e)?e0.push(e):R.isTraceEventPipelineReporter(e)&&Qb.push(e)}async function Moe(){let e=et.createMatchedSortedSyntheticEvents(Qb);n0=Object.fromEntries(e.map(t=>{let n=t.args.data.beginEvent.args.chrome_frame_reporter.frame_sequence,r=I.MicroSeconds(t.ts+t.dur);return[n,r]}));for(let t of e0){let{cat:n,name:r,ph:a,pid:o,tid:i}=t,c={cat:n,name:r,ph:a,pid:o,tid:i,ts:Noe(t),args:{dataUri:`data:image/jpg;base64,${t.args.snapshot}`}};t0.push(c)}}function Noe(e){let t=parseInt(e.id,16);return t===1?e.ts:n0[t]??e.ts}function Poe(){return t0}function Loe(){return["Meta"]}var Qb,e0,t0,n0,PL=g(()=>{l();kt();Qe();Qb=[],e0=[],t0=[],n0={};s(_oe,"reset");s(Ioe,"handleEvent");s(Moe,"finalize");s(Noe,"getPresentationTimestamp");s(Poe,"data");s(Loe,"deps")});var l0={};x(l0,{LONG_INTERACTION_THRESHOLD:()=>LL,categoryOfInteraction:()=>OL,data:()=>u0,deps:()=>zoe,finalize:()=>qoe,handleEvent:()=>Boe,removeNestedInteractions:()=>BL,reset:()=>Ooe});function Ooe(){o0.length=0,Ou.length=0,s0.length=0,i0.clear(),gf.length=0,Lu=null,c0=2}function Boe(e){if(c0!==2)throw new Error("Handler is not initialized");if(!R.isTraceEventEventTiming(e)||(R.isTraceEventEventTimingEnd(e)&&i0.set(e.id,e),o0.push(e),!e.args.data||!R.isTraceEventEventTimingStart(e)))return;let{duration:t,interactionId:n}=e.args.data;t<1||n===void 0||n===0||s0.push(e)}function OL(e){return Uoe.has(e.type)?"POINTER":joe.has(e.type)?"KEYBOARD":"OTHER"}function BL(e){let t={POINTER:new Map,KEYBOARD:new Map,OTHER:new Map};function n(a){let o=OL(a),i=t[o],c=I.MicroSeconds(a.ts+a.dur),u=i.get(c);if(!u){i.set(c,a);return}if(a.ts<u.ts)i.set(c,a);else if(a.ts===u.ts&&a.interactionId===u.interactionId){let d=u.processingEnd-u.processingStart;a.processingEnd-a.processingStart>d&&i.set(c,a)}a.processingStart<
u.processingStart&&(u.processingStart=a.processingStart,a0(u)),a.processingEnd>u.processingEnd&&(u.processingEnd=a.processingEnd,a0(u))}s(n,"storeEventIfEarliestForCategoryAndEndTime");for(let a of e)n(a);let r=Object.values(t).flatMap(a=>Array.from(a.values()));return r.sort((a,o)=>a.ts-o.ts),r}function a0(e){let t=e.args.data.beginEvent,n=e.args.data.endEvent;e.inputDelay=I.MicroSeconds(e.processingStart-t.ts),e.mainThreadHandling=I.MicroSeconds(e.processingEnd-e.processingStart),e.presentationDelay=I.MicroSeconds(n.ts-e.processingEnd)}async function qoe(){let{navigationsByFrameId:e}=Ft();for(let t of s0){let n=i0.get(t.id);if(!n||!t.args.data?.type||!t.args.data?.interactionId)continue;let r=I.MicroSeconds(me.millisecondsToMicroseconds(t.args.data.processingStart)-me.millisecondsToMicroseconds(t.args.data.timeStamp)+t.ts),a=I.MicroSeconds(me.millisecondsToMicroseconds(t.args.data.processingEnd)-me.millisecondsToMicroseconds(t.args.data.timeStamp)+t.ts),o=t.args.frame??t.args.data.frame,
c=et.getNavigationForTraceEvent(t,o,e)?.args.data?.navigationId,u={cat:t.cat,name:t.name,pid:t.pid,tid:t.tid,ph:t.ph,processingStart:r,processingEnd:a,inputDelay:I.MicroSeconds(-1),mainThreadHandling:I.MicroSeconds(-1),presentationDelay:I.MicroSeconds(-1),args:{data:{beginEvent:t,endEvent:n,frame:o,navigationId:c}},ts:t.ts,dur:I.MicroSeconds(n.ts-t.ts),type:t.args.data.type,interactionId:t.args.data.interactionId};a0(u),Ou.push(u)}c0=3,gf.push(...BL(Ou));for(let t of gf)(!Lu||Lu.dur<t.dur)&&(Lu=t)}function u0(){return{allEvents:o0,interactionEvents:Ou,interactionEventsWithNoNesting:gf,longestInteractionEvent:Lu,interactionsOverThreshold:new Set(Ou.filter(e=>e.dur>LL))}}function zoe(){return["Meta"]}var o0,LL,Lu,Ou,gf,i0,s0,c0,Uoe,joe,d0=g(()=>{l();kt();Qe();Pr();o0=[],LL=me.millisecondsToMicroseconds(I.MilliSeconds(200)),Lu=null,Ou=[],gf=[],i0=new Map,s0=[],c0=1;s(Ooe,"reset");s(Boe,"handleEvent");Uoe=new Set(["pointerdown","touchstart","pointerup","touchend","mousedown","mouseup","cli\
ck"]),joe=new Set(["keydown","keypress","keyup"]);s(OL,"categoryOfInteraction");s(BL,"removeNestedInteractions");s(a0,"writeSyntheticTimespans");s(qoe,"finalize");s(u0,"data");s(zoe,"deps")});var f0={};x(f0,{FORCED_REFLOW_THRESHOLD:()=>jL,LONG_MAIN_THREAD_TASK_THRESHOLD:()=>qL,data:()=>Yoe,deps:()=>Voe,finalize:()=>$oe,handleEvent:()=>Woe,reset:()=>Hoe});function Hoe(){yf.clear(),vf.clear(),m0.length=0,p0.length=0,Bu.length=0}function bf(e,t){let n=ve.getWithDefault(yf,e,()=>[]);n.push(t),yf.set(e,n);let r=ve.getWithDefault(vf,t,()=>[]);r.push(e),vf.set(t,r)}function Woe(e){if(Goe(e),e.name==="RunTask"){let{duration:t}=me.eventTimingsMicroSeconds(e);t>qL&&bf(e,"LONG_TASK");return}if(R.isTraceEventFireIdleCallback(e)){let{duration:t}=me.eventTimingsMilliSeconds(e);t>e.args.data.allottedMilliseconds&&bf(e,"IDLE_CALLBACK_OVER_TIME");return}}function Goe(e){if(UL(e,m0),UL(e,p0,R.isJSInvocationEvent(e)),p0.length&&(e.name==="Layout"||e.name==="RecalculateStyles"||e.name==="UpdateLayoutTree")){Bu.push(e);return}m0.length===1&&(Bu.reduce((n,r)=>n+(r.dur||0),0)>=jL&&Bu.forEach(n=>bf(n,"FORCED_REFLOW")),Bu.length=0)}function UL(e,t,n=!0){let r=t.at(-1);for(;r&&e.ts>r.ts+(r.dur||0);)
t.pop(),r=t.at(-1);n&&t.push(e)}function Voe(){return["UserInteractions"]}async function $oe(){let e=u0().interactionsOverThreshold;for(let t of e)bf(t,"LONG_INTERACTION")}function Yoe(){return{perEvent:yf,perWarning:vf}}var yf,vf,m0,p0,Bu,jL,qL,zL=g(()=>{l();en();kt();Qe();d0();yf=new Map,vf=new Map,m0=[],p0=[],Bu=[],jL=me.millisecondsToMicroseconds(I.MilliSeconds(30)),qL=me.millisecondsToMicroseconds(I.MilliSeconds(50));s(Hoe,"reset");s(bf,"storeWarning");s(Woe,"handleEvent");s(Goe,"processForcedReflowWarning");s(UL,"accomodateEventInStack");s(Voe,"deps");s($oe,"finalize");s(Yoe,"data")});var y0={};x(y0,{data:()=>Qoe,finalize:()=>Zoe,handleEvent:()=>Xoe,initialize:()=>Koe,reset:()=>Joe});function Koe(){if($o!==1)throw new Error("Workers Handler was not reset");$o=2}function Joe(){wf.length=0,h0.clear(),g0.clear(),$o=1}function Xoe(e){if($o!==2)throw new Error("Workers Handler is not initialized");R.isTraceEventTracingSessionIdForWorker(e)&&wf.push(e)}async function Zoe(){if($o!==2)throw new Error("Handler is not initialized");for(let e of wf)e.args.data&&(h0.set(e.args.data.workerThreadId,e.args.data.workerId),g0.set(e.args.data.workerId,e.args.data.url));$o=3}function Qoe(){if($o!==3)throw new Error("Workers Handler is not finalized");return{workerSessionIdEvents:wf,workerIdByThread:h0,workerURLById:g0}}var $o,wf,h0,g0,HL=g(()=>{l();Qe();$o=1,wf=[],h0=new Map,g0=new Map;s(Koe,"initialize");s(Joe,"reset");s(Xoe,"handleEvent");s(Zoe,"finalize");s(Qoe,"data")});var Lr={};x(Lr,{Animations:()=>Rv,AuctionWorklets:()=>Pv,ExtensionTraceData:()=>Gv,Frames:()=>kb,GPU:()=>Ab,Initiators:()=>Bb,Invalidations:()=>jb,LargestImagePaint:()=>zb,LargestTextPaint:()=>Wb,LayerTree:()=>cb,LayoutShifts:()=>Vb,Memory:()=>$b,Meta:()=>tb,NetworkRequests:()=>Jb,PageLoadMetrics:()=>Zb,Renderer:()=>Tb,Samples:()=>gb,Screenshots:()=>r0,UserInteractions:()=>l0,UserTimings:()=>jv,Warnings:()=>f0,Workers:()=>y0});var v0=g(()=>{l();rL();Rp();sL();bL();wL();DL();EL();TL();xL();ub();CL();kL();Pr();FL();NL();xb();yb();PL();d0();qv();zL();HL()});var b0={};x(b0,{handlerDataHasAllHandlers:()=>eie});function eie(e){let t=!1;for(let n of Object.keys(Lr))if(!(n in e)){t=!0;break}return!t}var WL=g(()=>{l();v0();s(eie,"handlerDataHasAllHandlers")});var us={};x(us,{ModelHandlers:()=>Lr,Threads:()=>Vp,Types:()=>b0});var ls=g(()=>{l();v0();Sb();WL()});var w0={};x(w0,{deps:()=>tie,generateInsight:()=>nie});function tie(){return["UserInteractions"]}function nie(e,t){let n=e.UserInteractions.interactionEvents.filter(i=>i.args.data.navigationId===t.navigationId);if(!n.length)return{};let r=new Map;for(let i of n){let c=i.interactionId,u=r.get(c);(!u||i.dur>u.dur)&&r.set(c,i)}let a=[...r.values()];a.sort((i,c)=>c.dur-i.dur);let o=Math.min(9,Math.floor(a.length/50));return{longestInteractionEvent:a[0],highPercentileInteractionEvent:a[o]}}var GL=g(()=>{l();s(tie,"deps");s(nie,"generateInsight")});var Yo,Df=g(()=>{l();(function(e){e.NO_FP="NO_FP",e.NO_LCP="NO_LCP",e.NO_DOCUMENT_REQUEST="NO_DOCUMENT_REQUEST"})(Yo||(Yo={}))});var D0={};x(D0,{deps:()=>aie,generateInsight:()=>iie});function aie(){return["NetworkRequests","PageLoadMetrics","LargestImagePaint","Meta"]}function VL(e,t,n,r){let a=t.args.data.timing;if(!a)throw new Error("no timing for main resource");let o=me.secondsToMicroseconds(a.requestTime)+me.millisecondsToMicroseconds(a.receiveHeadersStart),i=I.MicroSeconds(o-e.ts),c=me.microSecondsToMilliseconds(i),u=I.MilliSeconds(n-c);if(!r)return{ttfb:c,renderDelay:u};let d=I.MicroSeconds(r.ts-e.ts),m=me.microSecondsToMilliseconds(d),p=I.MicroSeconds(r.args.data.syntheticData.finishTime-e.ts),h=me.microSecondsToMilliseconds(p),f=I.MilliSeconds(m-c),y=I.MilliSeconds(h-m);return u=I.MilliSeconds(n-h),{ttfb:c,loadDelay:f,loadTime:y,renderDelay:u}}function oie(e,t,n){let r=n.args.data?.nodeId;if(!r)throw new Error("no lcp node id");let a=e.LargestImagePaint.get(r);if(!a)return null;let o=a.args.data?.imageUrl;if(!o)throw new Error("no lcp url");let i=e.NetworkRequests.byTime.find(c=>et.getNavigationForTraceEvent(
c,t.frameId,e.Meta.navigationsByFrameId)?.args.data?.navigationId===t.navigationId&&c.args.data.url===o);if(!i)throw new Error("no lcp resource found");return i}function iie(e,t){let n=e.NetworkRequests,r=e.Meta.navigationsByNavigationId.get(t.navigationId);if(!r)throw new Error("no trace navigation");let a=e.PageLoadMetrics.metricScoresByFrameId.get(t.frameId);if(!a)throw new Error("no frame metrics");let o=a.get(t.navigationId);if(!o)throw new Error("no navigation metrics");let i=o.get("LCP"),c=i?.event;if(!c||!R.isTraceEventLargestContentfulPaintCandidate(c))return{warnings:[Yo.NO_LCP]};let u=i.timing,d=me.microSecondsToMilliseconds(u),m=oie(e,t,c),p=n.byTime.find(v=>v.args.data.requestId===t.navigationId);if(!p)return{lcpMs:d,warnings:[Yo.NO_DOCUMENT_REQUEST]};if(!m)return{lcpMs:d,phases:VL(r,p,d,m)};let h=c.args.data?.loadingAttr,f=m?.args.data.isLinkPreload||m?.args.data.initiator?.type==="preload",y=m?.args.data.fetchPriorityHint;return{lcpMs:d,phases:VL(r,p,d,m),shouldRemoveLazyLoading:h===
"lazy",shouldIncreasePriorityHint:y!=="high",shouldPreloadImage:!f}}var $L=g(()=>{l();ls();kt();Qe();Df();s(aie,"deps");s(VL,"breakdownPhases");s(oie,"findLCPRequest");s(iie,"generateInsight")});var E0={};x(E0,{deps:()=>sie,generateInsight:()=>cie});function sie(){return["NetworkRequests","PageLoadMetrics"]}function cie(e,t){let n=e.PageLoadMetrics.metricScoresByFrameId.get(t.frameId)?.get(t.navigationId)?.get("FP")?.event?.ts;if(!n)return{renderBlockingRequests:[],warnings:[Yo.NO_FP]};let r=[];for(let a of e.NetworkRequests.byTime)a.args.data.frame!==t.frameId||a.args.data.renderBlocking!=="blocking"&&a.args.data.renderBlocking!=="in_body_parser_blocking"||a.args.data.syntheticData.finishTime>n||et.getNavigationForTraceEvent(a,t.frameId,e.Meta.navigationsByFrameId)?.args.data?.navigationId!==t.navigationId||r.push(a);return{renderBlockingRequests:r}}var YL=g(()=>{l();ls();kt();Df();s(sie,"deps");s(cie,"generateInsight")});var Ef={};x(Ef,{InteractionToNextPaint:()=>w0,LargestContentfulPaint:()=>D0,RenderBlocking:()=>E0});var KL=g(()=>{l();GL();$L();YL()});var T0=g(()=>{l();KL();Df()});var XL=g(()=>{l()});var xf={};x(xf,{TraceParseProgressEvent:()=>Uu,TraceProcessor:()=>Tf,sortHandlers:()=>ZL});function ZL(e){let t=new Map,n=new Set,r=s(a=>{if(t.has(a))return;if(n.has(a)){let c="";for(let u of n)(c||u===a)&&(c+=`${u}->`);throw c+=a,new Error(`Found dependency cycle in trace event handlers: ${c}`)}n.add(a);let o=e[a];if(!o)return;let i=o.deps?.();i&&i.forEach(r),t.set(a,o)},"visitHandler");for(let a of Object.keys(e))r(a);return t}var Uu,Tf,x0=g(()=>{l();ls();T0();Qe();Uu=class e extends Event{static{s(this,"TraceParseProgressEvent")}data;static eventName="traceparseprogress";constructor(t,n={bubbles:!0}){super(e.eventName,n),this.data=t}},Tf=class e extends EventTarget{static{s(this,"TraceProcessor")}#e;#t="IDLE";#a=Nr.DEFAULT;#n=null;#r=null;static createWithAllHandlers(){return new e(Lr,Nr.DEFAULT)}constructor(t,n){super(),this.#i(t),this.#e={Meta:Lr.Meta,...t},n&&(this.#a=n),this.#o()}updateConfiguration(t){this.#a=t,this.#o()}#o(){for(let t of Object.values(this.#e))"handleUserConfi\
g"in t&&t.handleUserConfig&&t.handleUserConfig(this.#a)}#i(t){if(Object.keys(t).length===Object.keys(Lr).length)return;let n=new Set;for(let[a,o]of Object.entries(t)){n.add(a);for(let i of o.deps?.()||[])n.add(i)}let r=new Set(Object.keys(t));n.delete("Meta");for(let a of n)if(!r.has(a))throw new Error(`Required handler ${a} not provided.`)}reset(){if(this.#t==="PARSING")throw new Error("Trace processor can't reset while parsing.");let t=Object.values(this.#e);for(let n of t)n.reset();this.#n=null,this.#r=null,this.#t="IDLE"}async parse(t,n=!1){if(this.#t!=="IDLE")throw new Error(`Trace processor can't start parsing when not idle. Current state: ${this.#t}`);try{this.#t="PARSING",await this.#s(t,n),this.#t="FINISHED_PARSING"}catch(r){throw this.#t="ERRORED_WHILE_PARSING",r}}async#s(t,n){let{pauseDuration:r,eventsPerChunk:a}=this.#a.processing,o=[...ZL(this.#e).values()];for(let i of o)i.reset();for(let i of o)i.initialize?.(n);for(let i=0;i<t.length;++i){i%a===0&&i&&(this.dispatchEvent(
new Uu({index:i,total:t.length})),await new Promise(u=>setTimeout(u,r)));let c=t[i];for(let u=0;u<o.length;++u)o[u].handleEvent(c)}for(let i of o)await i.finalize?.()}get traceParsedData(){if(this.#t!=="FINISHED_PARSING")return null;if(this.#n)return this.#n;let t=s((r,a=!0)=>{if(r instanceof Map)return new Map(r);if(r instanceof Set)return new Set(r);if(Array.isArray(r))return[...r];if(typeof r=="object"&&r&&a){let o={};for(let[i,c]of Object.entries(r))o[i]=t(c,!1);return o}return r},"shallowClone"),n={};for(let[r,a]of Object.entries(this.#e)){let o=t(a.data());Object.assign(n,{[r]:o})}return this.#n=n,this.#n}#c(t){let n={};for(let[r,a]of Object.entries(Ef))a.deps().some(i=>!t[i])||Object.assign(n,{[r]:a.generateInsight});return n}get insights(){if(!this.traceParsedData)return null;if(this.#r)return this.#r;this.#r=new Map;let t=this.#c(this.traceParsedData);for(let n of this.traceParsedData.Meta.mainFrameNavigations){if(!n.args.frame||!n.args.data?.navigationId)continue;let r={frameId:n.
args.frame,navigationId:n.args.data.navigationId},a={};for(let[o,i]of Object.entries(t)){let c;try{c=i(this.traceParsedData,r)}catch(u){c=u}Object.assign(a,{[o]:c})}this.#r.set(r.navigationId,a)}return this.#r}};s(ZL,"sortHandlers")});var QL=g(()=>{l();en();ls();kt();x0();Qe()});function lie(e,t){ve.getWithDefault(e,t,()=>({unsizedMedia:[],iframes:[],fontChanges:[],renderBlockingRequests:[],scriptStackTrace:[]}))}function mie(e,t){return!die.has(e.args.data.renderBlocking)&&e.args.data.frame===t}function pie(e){let t=[];for(let n=0;n<e.length;n++){let r=e[n].request.args.data.frame;mie(e[n].request,r)&&t.push(e[n])}return t}function a8(e){if(e.nodeName==="IFRAME")return e;let t=e.children;if(!t)return null;for(let n of t){let r=a8(n);if(r)return r}return null}function S0(e){return!["auto","initial","unset","inherit"].includes(e)}function n8(e){return parseInt(e.value,10)>=0}function fie(e){let t=/^url\("([^"]+)"\)$/,n=e.get("background-image");return n?t.test(n):!1}function hie(e){let t=e.get("position");return t?t==="fixed"||t==="absolute":!1}function gie(e){let t={};return t.height=e.get("height"),t.width=e.get("width"),t.aspectRatio=e.get("aspect-ratio"),t}async function yie(e,t){let n=e.localName,r=fie(t);return n!=="img"&&n!=="video"&&!r?!1:!hie(t)}function vie(e){
let{height:t,width:n,aspectRatio:r}=e,a=!!(t&&S0(t)),o=!!(n&&S0(n)),i=!!(r&&S0(r));return a&&o||(a||o)&&i}function r8(e,t){let n=new Map;for(let r of t){let a=Gt.nearestIndexFromBeginning(e,o=>o.ts>=r.ts);if(a!==null)for(let o=a;o<e.length;o++){let i=e[o];if(i.ts>=r.ts&&i.ts<=r.ts+r.dur&&ve.getWithDefault(n,r,()=>[]).push(i),i.ts>r.ts+r.dur)break}}return n}var e8,t8,die,ds,C0=g(()=>{l();en();kt();Qe();e8=new Map,t8=new Map;s(lie,"setDefaultValue");die=new Set(["non_blocking","potentially_blocking"]);s(mie,"networkRequestIsRenderBlockingInFrame");ds=class{static{s(this,"LayoutShiftRootCauses")}#e;#t=new Map;#a=new Map;#n;constructor(t,n){this.#e=t,this.#n=n?.enableIframeRootCauses??!1}async rootCausesForEvent(t,n){let r=this.#t.get(n);if(r)return r;let a=t.LayoutShifts.clusters.flatMap(i=>i.events);a.forEach(i=>lie(this.#t,i)),await this.blameShifts(a,t);let o=this.#t.get(n);return o||null}async blameShifts(t,n){await this.linkShiftsToLayoutInvalidations(t,n),this.linkShiftsToLayoutEvents(
t,n)}async linkShiftsToLayoutInvalidations(t,n){let{prePaintEvents:r,layoutInvalidationEvents:a,scheduleStyleInvalidationEvents:o,backendNodeIds:i}=n.LayoutShifts,c=[...a,...o],u=await this.#e.pushNodesByBackendIdsToFrontend(i),d=new Map;for(let p=0;p<i.length;p++)d.set(i[p],u[p]);let m=r8(t,r);for(let p of c){let h=Gt.nearestIndexFromBeginning(r,C=>C.ts>p.ts);if(h===null)continue;let f=r[h],y=m.get(f);if(!y)continue;let v=this.getFontChangeRootCause(p,f,n),w=this.getRenderBlockRootCause(p,f,n),E=d.get(p.args.data.nodeId),T=null,S=null;if(E!==void 0&&R.isTraceEventLayoutInvalidationTracking(p)&&(T=await this.getUnsizedMediaRootCause(p,E),S=await this.getIframeRootCause(p,E)),!(!T&&!S&&!v&&!w))for(let C of y){let F=ve.getWithDefault(this.#t,C,()=>({unsizedMedia:[],iframes:[],fontChanges:[],renderBlockingRequests:[],scriptStackTrace:[]}));T&&!F.unsizedMedia.some(L=>L.node.nodeId===T?.node.nodeId)&&C.args.frame===p.args.data.frame&&F.unsizedMedia.push(T),S&&!F.iframes.some(L=>L.iframe.nodeId===
S?.iframe.nodeId)&&F.iframes.push(S),v&&(F.fontChanges=v),w&&(F.renderBlockingRequests=w)}}}linkShiftsToLayoutEvents(t,n){let{prePaintEvents:r}=n.LayoutShifts,a=r8(t,r),o=s(({name:c})=>c==="Layout","eventTriggersLayout"),i=n.Renderer.allTraceEntries.filter(o);for(let c of i){let u=Gt.nearestIndexFromBeginning(r,y=>y.ts>c.ts+(c.dur||0));if(u===null)continue;let d=r[u],m=a.get(d);if(!m)continue;let p=n.Renderer.entryToNode.get(c),f=(p?n.Initiators.eventToInitiator.get(p.entry):null)?.args?.data?.stackTrace;if(f)for(let y of m){let v=ve.getWithDefault(this.#t,y,()=>({unsizedMedia:[],iframes:[],fontChanges:[],renderBlockingRequests:[],scriptStackTrace:[]}));v.scriptStackTrace.length===0&&(v.scriptStackTrace=f)}}}async getUnsizedMediaRootCause(t,n){if(t.args.data.reason!=="Size changed")return null;let r=await this.getNodeDetails(n);if(!r)return null;let a=await this.#e.getComputedStyleForNode(r.nodeId),o=new Map(a.map(u=>[u.name,u.value]));if(o&&!await yie(r,o))return null;let i=await this.
getNodeAuthoredDimensions(r);if(vie(i))return null;let c=o?gie(o):{};return{node:r,authoredDimensions:i,computedDimensions:c}}async getIframeRootCause(t,n){if(!this.#n||!t.args.data.nodeName?.startsWith("IFRAME")&&t.args.data.reason!=="Style changed"&&t.args.data.reason!=="Added to layout")return null;let r=await this.getNodeDetails(n);if(!r)return null;let a=a8(r);return a?{iframe:a}:null}async getNodeDetails(t){let n=this.#a.get(t);return n!==void 0||(n=await this.#e.getNode(t),this.#a.set(t,n)),n}requestsInInvalidationWindow(t,n){let r=n.NetworkRequests.byTime.sort((c,u)=>{let d=c.ts+c.dur,m=u.ts+u.dur;return d-m}),a=Gt.nearestIndexFromEnd(r,c=>c.ts+c.dur<t.ts);if(a===null)return[];let o=me.secondsToMicroseconds(I.Seconds(.5)),i=[];for(let c=a;c>-1;c--){let u=r[c],d=u.ts+u.dur;if(t.ts-d<o){let m={request:u},p=this.#e.getInitiatorForRequest(u.args.data.url);m.initiator=p||void 0,i.push(m)}else break}return i}getFontChangeRootCause(t,n,r){if(t.args.data.reason!=="Fonts changed")return null;
let a=e8.get(n);if(a!==void 0)return a;let o=this.getFontRequestsInInvalidationWindow(this.requestsInInvalidationWindow(t,r));return e8.set(n,o),o}getFontRequestsInInvalidationWindow(t){let n=[];for(let r=0;r<t.length;r++){let a=t[r];if(!a.request.args.data.mimeType.startsWith("font"))continue;let o=this.#e.fontFaceForSource(a.request.args.data.url);!o||o.fontDisplay==="optional"||(a.fontFace=o,n.push(a))}return n}getRenderBlockRootCause(t,n,r){let a=t8.get(n);if(a!==void 0)return a;let o=pie(this.requestsInInvalidationWindow(t,r));return t8.set(n,o),o}async nodeMatchedStylesPropertyGetter(t){let n=await this.#e.getMatchedStylesForNode(t.nodeId);function r(a){let o=n.inlineStyle?.cssProperties.find(i=>i.name===a);if(o)return o.value;for(let{rule:i}of n.matchedCSSRules||[]){let c=i.style.cssProperties.find(u=>u.name===a);if(c)return c.value}return o=n.attributesStyle?.cssProperties.find(i=>i.name===a),o?o.value:null}return s(r,"cssPropertyValueGetter"),r}async getNodeAuthoredDimensions(t){
let n={},r=await this.nodeMatchedStylesPropertyGetter(t);if(!r)return n;let a=t.attributes||[],o=[];for(let p=0;p<a.length;p+=2)o.push({name:a[p],value:a[p+1]});let i=o.find(p=>p.name==="height"&&n8(p)),c=o.find(p=>p.name==="width"&&n8(p)),u=r("aspect-ratio")||void 0;if(i&&c&&u)return{height:i.value,width:c.value,aspectRatio:u};let d=r("height")||void 0,m=r("width")||void 0;return{height:d,width:m,aspectRatio:u}}};s(pie,"getRenderBlockRequestsInInvalidationWindow");s(a8,"firstIframeInDOMTree");s(S0,"cssPropertyIsExplicitlySet");s(n8,"htmlAttributeIsExplicit");s(fie,"computedStyleHasBackroundImage");s(hie,"computedStyleHasFixedPosition");s(gie,"getNodeComputedDimensions");s(yie,"nodeIsUnfixedMedia");s(vie,"dimensionsAreExplicit");s(r8,"getShiftsByPrePaintEvents")});var F0={};x(F0,{LayoutShiftRootCauses:()=>ds,RootCauses:()=>k0});var k0,o8=g(()=>{l();C0();C0();k0=class{static{s(this,"RootCauses")}layoutShifts;constructor(t){this.layoutShifts=new ds(t)}}});var Sf={};x(Sf,{RootCauses:()=>F0});var i8=g(()=>{l();o8()});var s8=g(()=>{l()});var c8=g(()=>{l();eL();tL();ls();kt();T0();XL();QL();x0();i8();s8();Qe()});function u8(){(function(e){function t(a){return a===void 0?0:Number(a)}s(t,"number");function n(a,o){return a!==o&&!(isNaN(a)&&isNaN(o))}s(n,"different");function r(a,o,i,c){let u,d,m,p,h,f,y,v;u=t(a),d=t(o),m=t(i),p=t(c),Object.defineProperties(this,{x:{get:function(){return u},set:function(w){n(u,w)&&(u=w,h=f=void 0)},enumerable:!0},y:{get:function(){return d},set:function(w){n(d,w)&&(d=w,y=v=void 0)},enumerable:!0},width:{get:function(){return m},set:function(w){n(m,w)&&(m=w,h=f=void 0)},enumerable:!0},height:{get:function(){return p},set:function(w){n(p,w)&&(p=w,y=v=void 0)},enumerable:!0},left:{get:function(){return h===void 0&&(h=u+Math.min(0,m)),h},enumerable:!0},right:{get:function(){return f===void 0&&(f=u+Math.max(0,m)),f},enumerable:!0},top:{get:function(){return y===void 0&&(y=d+Math.min(0,p)),y},enumerable:!0},bottom:{get:function(){return v===void 0&&(v=d+Math.max(0,p)),v},enumerable:!0}})}s(r,"DOMRect"),globalThis.DOMRect=r})(globalThis)}var l8=g(()=>{"use strict";l();s(
u8,"polyfillDOMRect")});var Cf,Gn,d8,kf=g(()=>{"use strict";l();c8();l8();u8();Cf=xf.TraceProcessor,Gn=us.ModelHandlers,d8=Sf.RootCauses.RootCauses});var A0,ju,_0=g(()=>{"use strict";l();_t();Sr();A0=class extends Lt{static{s(this,"LHTraceProcessor")}static createNoNavstartError(){return new H(H.errors.NO_NAVSTART)}static createNoResourceSendRequestError(){return new H(H.errors.NO_RESOURCE_REQUEST)}static createNoTracingStartedError(){return new H(H.errors.NO_TRACING_STARTED)}static createNoFirstContentfulPaintError(){return new H(H.errors.NO_FCP)}},ju=A0});var I0,Ce,Nt=g(()=>{"use strict";l();ye();_0();I0=class{static{s(this,"ProcessedTrace")}static async compute_(t){return ju.processTrace(t)}},Ce=G(I0,null)});function wie({x:e,y:t,width:n,height:r}){return{left:e,top:t,right:e+n,bottom:t+r,width:n,height:r}}function m8(e,t){let n=Math.min(e.bottom,t.bottom)-Math.max(e.top,t.top);if(n<=0)return 0;let r=Math.min(e.right,t.right)-Math.max(e.left,t.left);return r<=0?0:r*n}function M0(e){return e.width*e.height}function N0(e){let t={x:e[0],y:e[1],width:e[2],height:e[3]};return wie(t)}var p8=g(()=>{"use strict";l();s(wie,"addRectTopAndBottom");s(m8,"getRectOverlapArea");s(M0,"getRectArea");s(N0,"traceRectToLHRect")});var Eie,P0,Or,ms=g(()=>{"use strict";l();ye();Nt();p8();kf();Hn();Eie=500,P0=class e{static{s(this,"CumulativeLayoutShift")}static getLayoutShiftEvents(t){let n=[],r=!1,a=t.timestamps.timeOrigin,o=t.frameEvents.find(i=>i.name==="viewport");o&&(a=o.ts);for(let i of t.frameTreeEvents)if(!(i.name!=="LayoutShift"||!i.args.data||i.args.data.is_main_frame===void 0)){if(i.args.data.weighted_score_delta===void 0)throw new Error("CLS missing weighted_score_delta");if(i.args.data.had_recent_input){if((i.ts-a)/1e3>Eie||r)continue}else r=!0;n.push({ts:i.ts,isMainFrame:i.args.data.is_main_frame,weightedScore:i.args.data.weighted_score_delta,impactedNodes:i.args.data.impacted_nodes,event:i})}return n}static getImpactByNodeId(t){let n=new Map;for(let r of t){if(!r.impactedNodes)continue;let a=0,o=new Map;for(let i of r.impactedNodes){if(!i.node_id||!i.old_rect||!i.new_rect)continue;let c=N0(i.old_rect),u=N0(i.new_rect),d=M0(c)+M0(u)-m8(c,u);o.set(i.node_id,d),a+=d}for(let[i,c]of o.entries()){let u=n.
get(i)||0;u+=c/a*r.weightedScore,n.set(i,u)}}return n}static calculate(t){let a=0,o=0,i=Number.NEGATIVE_INFINITY,c=Number.NEGATIVE_INFINITY;for(let u of t)(u.ts-i>5e6||u.ts-c>1e6)&&(i=u.ts,o=0),c=u.ts,o+=u.weightedScore,a=Math.max(a,o);return a}static async computeWithSharedTraceEngine(t,n){let r=s(async i=>{let c=new Cf({LayoutShifts:Gn.LayoutShifts,Screenshots:Gn.Screenshots});if(await c.parse(i),!c.traceParsedData)throw new Error("null trace engine result");return c.traceParsedData.LayoutShifts.sessionMaxScore},"run"),a=await r(t.map(i=>i.event)),o=await r(n.map(i=>i.event));return{cumulativeLayoutShift:a,cumulativeLayoutShiftMainFrame:o}}static async compute_(t,n){let r=await Ce.request(t,n),a=e.getLayoutShiftEvents(r),o=e.getImpactByNodeId(a),i=a.filter(h=>h.isMainFrame),c=e.calculate(a),u=e.calculate(i),d,m=!1,p=!0;if(a.some(h=>h.event.args.data?.had_recent_input)&&(p=!1),p)try{if(d=await this.computeWithSharedTraceEngine(a,i),m=d.cumulativeLayoutShift!==c||d.cumulativeLayoutShiftMainFrame!==
u,m){m=!0;let h=JSON.stringify({cumulativeLayoutShift:c,cumulativeLayoutShiftMainFrame:u}),f=JSON.stringify(d);throw new Error(`new trace engine differed. expected: ${h}, got: ${f}`)}}catch(h){console.error(h),m=!0;let f=new Error("Error when using new trace engine",{cause:h});if(globalThis.expect)throw f;gt.captureException(f,{tags:{computed:"new-trace-engine"},level:"error",extra:{errorMsg:h.toString()}})}return{cumulativeLayoutShift:c,cumulativeLayoutShiftMainFrame:u,impactByNodeId:o,newEngineResult:d,newEngineResultDiffered:m}}},Or=G(P0,null)});var Tie,L0,Ya,qu=g(()=>{"use strict";l();kf();ye();ms();Nt();Kt();Tie={AuctionWorklets:Gn.AuctionWorklets,Initiators:Gn.Initiators,LayoutShifts:Gn.LayoutShifts,NetworkRequests:Gn.NetworkRequests,Renderer:Gn.Renderer,Samples:Gn.Samples,Screenshots:Gn.Screenshots,PageLoadMetrics:Gn.PageLoadMetrics},L0=class e{static{s(this,"TraceEngineResult")}static async runTraceEngine(t){let n=new Cf(Tie);if(await n.parse(t),!n.traceParsedData)throw new Error("No data");if(!n.insights)throw new Error("No insights");return{data:n.traceParsedData,insights:n.insights}}static async compute_(t,n){let r=await Ce.request(t.trace,n),a=new Set(Or.getLayoutShiftEvents(r).map(c=>c.event)),o=[...t.trace.traceEvents];for(let c=0;c<o.length;c++){let u=o[c];if(u.name!=="LayoutShift"||!u.args.data)continue;let d=a.has(u);u.args.data.had_recent_input&&d&&(u=JSON.parse(JSON.stringify(u)),u.args.data.had_recent_input=!1,o[c]=u)}return await e.runTraceEngine(o)}},Ya=G(L0,["trace"])});var f8={};x(f8,{default:()=>B0});var O0,B0,U0=g(()=>{"use strict";l();Ge();xo();kf();qu();O0=class e extends Z{static{s(this,"RootCauses")}static symbol=Symbol("RootCauses");meta={symbol:e.symbol,supportedModes:["timespan","navigation"],dependencies:{Trace:or.symbol}};static async runRootCauseAnalysis(t,n){await t.defaultSession.sendCommand("DOM.enable"),await t.defaultSession.sendCommand("CSS.enable"),await t.defaultSession.sendCommand("DOM.getDocument",{depth:-1,pierce:!0});let r={getInitiatorForRequest(c){return null},async pushNodesByBackendIdsToFrontend(c){return(await t.defaultSession.sendCommand("DOM.pushNodesByBackendIdsToFrontend",{backendNodeIds:c})).nodeIds},async getNode(c){try{let u=await t.defaultSession.sendCommand("DOM.describeNode",{nodeId:c});return u.node.nodeId=c,u.node}catch(u){if(u.message.includes("Could not find node with given id"))return null;throw u}},async getComputedStyleForNode(c){try{return(await t.defaultSession.sendCommand("CSS.getComputedStyleForNode",
{nodeId:c})).computedStyle}catch{return[]}},async getMatchedStylesForNode(c){try{return{...await t.defaultSession.sendCommand("CSS.getMatchedStylesForNode",{nodeId:c}),getError(){}}}catch(u){return{getError(){return u.toString()}}}},async fontFaceForSource(c){return null}},a={layoutShifts:{}},o=new d8(r),i=n.LayoutShifts.clusters.flatMap(c=>c.events);for(let c of i){let u=await o.layoutShifts.rootCausesForEvent(n,c);if(u){for(let d of u.fontChanges)d.fontFace=await d.fontFace;a.layoutShifts[i.indexOf(c)]=u}}return await t.defaultSession.sendCommand("DOM.disable"),await t.defaultSession.sendCommand("CSS.disable"),a}async getArtifact(t){let n=t.dependencies.Trace,r=await Ya.request({trace:n},t);return e.runRootCauseAnalysis(t.driver,r.data)}},B0=O0});var h8={};x(h8,{default:()=>q0});async function xie(e,t,n){if(n){let r=[];for(let a of e){let o=await t(a);r.push(o)}return r}else{let r=e.map(t);return await Promise.all(r)}}function Sie(e){return e.embedderName?e.hasSourceURL&&e.url==="_lighthouse-eval.js":!0}var j0,q0,z0=g(()=>{"use strict";l();Ge();s(xie,"runInSeriesOrParallel");s(Sie,"isLighthouseRuntimeEvaluateScript");j0=class e extends Z{static{s(this,"Scripts")}static symbol=Symbol("Scripts");meta={symbol:e.symbol,supportedModes:["timespan","navigation"]};_scriptParsedEvents=[];_scriptContents=[];constructor(){super(),this.onScriptParsed=this.onScriptParsed.bind(this)}onScriptParsed(t){Sie(t)||this._scriptParsedEvents.push(t)}async startInstrumentation(t){let n=t.driver.defaultSession;n.on("Debugger.scriptParsed",this.onScriptParsed),await n.sendCommand("Debugger.enable")}async stopInstrumentation(t){let n=t.driver.defaultSession,r=t.baseArtifacts.HostFormFactor;n.off("Debugger.scriptParsed",this.onScriptParsed),this._scriptContents=
await xie(this._scriptParsedEvents,({scriptId:a})=>n.sendCommand("Debugger.getScriptSource",{scriptId:a}).then(o=>o.scriptSource).catch(()=>{}),r==="mobile"),await n.sendCommand("Debugger.disable")}async getArtifact(){return this._scriptParsedEvents.map((n,r)=>({name:n.url,...n,url:n.embedderName||n.url,content:this._scriptContents[r]}))}},q0=j0});var g8={};x(g8,{default:()=>Cie});var H0,Cie,y8=g(()=>{"use strict";l();Ge();H0=class extends Z{static{s(this,"RobotsTxt")}meta={supportedModes:["snapshot","navigation"]};async getArtifact(t){let{finalDisplayedUrl:n}=t.baseArtifacts.URL,r=new URL("/robots.txt",n).href;return t.driver.fetcher.fetchResource(r).catch(a=>({status:null,content:null,errorMessage:a.message}))}},Cie=H0});var v8=P(ps=>{"use strict";l();Object.defineProperty(ps,"__esModule",{value:!0});ps.ParsedURL=ps.normalizePath=void 0;function kie(e){if(e.indexOf("..")===-1&&e.indexOf(".")===-1)return e;let t=(e[0]==="/"?e.substring(1):e).split("/"),n=[];for(let a of t)a!=="."&&(a===".."?n.pop():n.push(a));let r=n.join("/");return e[0]==="/"&&r&&(r="/"+r),r[r.length-1]!=="/"&&(e[e.length-1]==="/"||t[t.length-1]==="."||t[t.length-1]==="..")&&(r=r+"/"),r}s(kie,"normalizePath");ps.normalizePath=kie;var W0=class e{static{s(this,"ParsedURL")}isValid;url;scheme;user;host;port;path;queryParams;fragment;folderPathComponents;lastPathComponent;blobInnerScheme;#e;#t;constructor(t){this.isValid=!1,this.url=t,this.scheme="",this.user="",this.host="",this.port="",this.path="",this.queryParams="",this.fragment="",this.folderPathComponents="",this.lastPathComponent="";let n=this.url.startsWith("blob:"),a=(n?t.substring(5):t).match(e.urlRegex());if(a)this.isValid=!0,n?(this.blobInnerScheme=a[2].toLowerCase(),this.scheme=
"blob"):this.scheme=a[2].toLowerCase(),this.user=a[3]??"",this.host=a[4]??"",this.port=a[5]??"",this.path=a[6]??"/",this.queryParams=a[7]??"",this.fragment=a[8]??"";else{if(this.url.startsWith("data:")){this.scheme="data";return}if(this.url.startsWith("blob:")){this.scheme="blob";return}if(this.url==="about:blank"){this.scheme="about";return}this.path=this.url}let o=this.path.lastIndexOf("/");o!==-1?(this.folderPathComponents=this.path.substring(0,o),this.lastPathComponent=this.path.substring(o+1)):this.lastPathComponent=this.path}static concatenate(t,...n){return t.concat(...n)}static beginsWithWindowsDriveLetter(t){return/^[A-Za-z]:/.test(t)}static beginsWithScheme(t){return/^[A-Za-z][A-Za-z0-9+.-]*:/.test(t)}static isRelativeURL(t){return!this.beginsWithScheme(t)||this.beginsWithWindowsDriveLetter(t)}get displayName(){return this.#e?this.#e:this.isDataURL()?this.dataURLDisplayName():this.isBlobURL()?this.url:this.isAboutBlank()?this.url:(this.#e=this.lastPathComponent,this.#e||(this.#e=
(this.host||"")+"/"),this.#e==="/"&&(this.#e=this.url),this.#e)}static urlRegexInstance=null};ps.ParsedURL=W0});var w8=P((SIe,b8)=>{"use strict";l();var Fie=v8();b8.exports={ParsedURL:Fie}});var E8=P((kIe,D8)=>{"use strict";l();function Rie(e,t,n,r,a){let o=r||0,i=a!==void 0?a:e.length;for(;o<i;){let c=o+i>>1;n(t,e[c])>0?o=c+1:i=c}return i}s(Rie,"lowerBound");function Aie(e,t,n,r,a){let o=r||0,i=a!==void 0?a:e.length;for(;o<i;){let c=o+i>>1;n(t,e[c])>=0?o=c+1:i=c}return i}s(Aie,"upperBound");D8.exports={ArrayUtilities:{lowerBound:Rie,upperBound:Aie},DevToolsPath:{EmptyUrlString:""}}});var F8=P((Br,k8)=>{"use strict";l();var _ie=w8(),Ko=E8();Object.defineProperty(Br,"__esModule",{value:!0});Br.SourceMap=Br.SourceMapEntry=Br.parseSourceMap=void 0;function S8(e){return e.startsWith(")]}")&&(e=e.substring(e.indexOf(`
`))),e.charCodeAt(0)===65279&&(e=e.slice(1)),JSON.parse(e)}s(S8,"parseSourceMap");Br.parseSourceMap=S8;var Jo=class{static{s(this,"SourceMapEntry")}lineNumber;columnNumber;sourceURL;sourceLineNumber;sourceColumnNumber;name;constructor(t,n,r,a,o,i){this.lineNumber=t,this.columnNumber=n,this.sourceURL=r,this.sourceLineNumber=a,this.sourceColumnNumber=o,this.name=i}static compare(t,n){return t.lineNumber!==n.lineNumber?t.lineNumber-n.lineNumber:t.columnNumber-n.columnNumber}};Br.SourceMapEntry=Jo;var T8="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",C8=new Map;for(let e=0;e<T8.length;++e)C8.set(T8.charAt(e),e);var x8=new WeakMap,fs=class e{static{s(this,"SourceMap")}#e;#t;#a;#n;#r;#o;constructor(t,n,r){this.#e=r,this.#t=t,this.#a=n,this.#n=n.startsWith("data:")?t:n,this.#r=null,this.#o=new Map,"sections"in this.#e&&this.#e.sections.find(a=>"url"in a)&&console.warn(`SourceMap "${n}" contains unsupported "URL" field in one of its sections.`),this.eachSection(this.parseSources.
bind(this))}compiledURL(){return this.#t}url(){return this.#a}sourceURLs(){return[...this.#o.keys()]}embeddedContentByURL(t){let n=this.#o.get(t);return n?n.content:null}findEntry(t,n){let r=this.mappings(),a=Ko.ArrayUtilities.upperBound(r,void 0,(o,i)=>t-i.lineNumber||n-i.columnNumber);return a?r[a-1]:null}findEntryRanges(t,n){let r=this.mappings(),a=Ko.ArrayUtilities.upperBound(r,void 0,(E,T)=>t-T.lineNumber||n-T.columnNumber);if(!a)return null;let o=a-1,i=r[o].sourceURL;if(!i)return null;let c=a<r.length?r[a].lineNumber:2**31-1,u=a<r.length?r[a].columnNumber:2**31-1,d=new TextUtils.TextRange.TextRange(r[o].lineNumber,r[o].columnNumber,c,u),m=this.reversedMappings(i),p=r[o].sourceLineNumber,h=r[o].sourceColumnNumber,f=Ko.ArrayUtilities.upperBound(m,void 0,(E,T)=>p-r[T].sourceLineNumber||h-r[T].sourceColumnNumber);if(!f)return null;let y=f<m.length?r[m[f]].sourceLineNumber:2**31-1,v=f<m.length?r[m[f]].sourceColumnNumber:2**31-1,w=new TextUtils.TextRange.TextRange(p,h,y,v);return{range:d,
sourceRange:w,sourceURL:i}}sourceLineMapping(t,n,r){let a=this.mappings(),o=this.reversedMappings(t),i=Ko.ArrayUtilities.lowerBound(o,n,m),c=Ko.ArrayUtilities.upperBound(o,n,m);if(i>=o.length||a[o[i]].sourceLineNumber!==n)return null;let u=o.slice(i,c);if(!u.length)return null;let d=Ko.ArrayUtilities.lowerBound(u,r,(p,h)=>p-a[h].sourceColumnNumber);return d>=u.length?a[u[u.length-1]]:a[u[d]];function m(p,h){return p-a[h].sourceLineNumber}}findReverseIndices(t,n,r){let a=this.mappings(),o=this.reversedMappings(t),i=Ko.ArrayUtilities.upperBound(o,void 0,(u,d)=>n-a[d].sourceLineNumber||r-a[d].sourceColumnNumber),c=i;for(;c>0&&a[o[c-1]].sourceLineNumber===a[o[i-1]].sourceLineNumber&&a[o[c-1]].sourceColumnNumber===a[o[i-1]].sourceColumnNumber;)--c;return o.slice(c,i)}findReverseEntries(t,n,r){let a=this.mappings();return this.findReverseIndices(t,n,r).map(o=>a[o])}findReverseRanges(t,n,r){let a=this.mappings(),o=this.findReverseIndices(t,n,r),i=[];for(let c=0;c<o.length;++c){let u=o[c],d=u+
1;for(;c+1<o.length&&d===o[c+1];)++d,++c;let m=a[u].lineNumber,p=a[u].columnNumber,h=d<a.length?a[d].lineNumber:2**31-1,f=d<a.length?a[d].columnNumber:2**31-1;i.push(new TextUtils.TextRange.TextRange(m,p,h,f))}return i}mappings(){return this.#i(),this.#r??[]}reversedMappings(t){return this.#i(),this.#o.get(t)?.reverseMappings??[]}#i(){this.#r===null&&(this.#r=[],this.eachSection(this.parseMap.bind(this)),this.mappings().sort(Jo.compare),this.#s(this.#r),this.#e=null)}#s(t){let n=new Map;for(let a=0;a<t.length;a++){let o=t[a].sourceURL;if(!o)continue;let i=n.get(o);i||(i=[],n.set(o,i)),i.push(a)}for(let[a,o]of n.entries()){let i=this.#o.get(a);i&&(o.sort(r),i.reverseMappings=o)}function r(a,o){let i=t[a],c=t[o];return i.sourceLineNumber-c.sourceLineNumber||i.sourceColumnNumber-c.sourceColumnNumber||i.lineNumber-c.lineNumber||i.columnNumber-c.columnNumber}s(r,"sourceMappingComparator")}eachSection(t){if(this.#e)if("sections"in this.#e)for(let n of this.#e.sections)"map"in n&&t(n.map,n.offset.
line,n.offset.column);else t(this.#e,0,0)}parseSources(t){let n=[],r=t.sourceRoot??"",a=new Set(t.x_google_ignoreList);for(let o=0;o<t.sources.length;++o){let i=t.sources[o];_ie.ParsedURL.ParsedURL.isRelativeURL(i)&&(r&&!r.endsWith("/")&&i&&!i.startsWith("/")?i=r.concat("/",i):i=r.concat(i));let c=i,u=t.sourcesContent&&t.sourcesContent[o];if(n.push(c),!this.#o.has(c)){let d=u??null,m=a.has(o);this.#o.set(c,{content:d,ignoreListHint:m,reverseMappings:null})}}x8.set(t,n)}parseMap(t,n,r){let a=0,o=0,i=0,c=0,u=x8.get(t),d=t.names??[],m=new e.StringCharIterator(t.mappings),p=u&&u[a];for(;;){if(m.peek()===",")m.next();else{for(;m.peek()===";";)n+=1,r=0,m.next();if(!m.hasNext())break}if(r+=this.decodeVLQ(m),!m.hasNext()||this.isSeparator(m.peek())){this.mappings().push(new Jo(n,r));continue}let h=this.decodeVLQ(m);if(h&&(a+=h,u&&(p=u[a])),o+=this.decodeVLQ(m),i+=this.decodeVLQ(m),!m.hasNext()||this.isSeparator(m.peek())){this.mappings().push(new Jo(n,r,p,o,i));continue}c+=this.decodeVLQ(m),this.
mappings().push(new Jo(n,r,p,o,i,d[c]))}}isSeparator(t){return t===","||t===";"}decodeVLQ(t){let n=0,r=0,a=e._VLQ_CONTINUATION_MASK;for(;a&e._VLQ_CONTINUATION_MASK;)a=C8.get(t.next())||0,n+=(a&e._VLQ_BASE_MASK)<<r,r+=e._VLQ_BASE_SHIFT;let o=n&1;return n>>=1,o?-n:n}mapsOrigin(){let t=this.mappings();if(t.length>0){let n=t[0];return n?.lineNumber===0||n.columnNumber===0}return!1}hasIgnoreListHint(t){return this.#o.get(t)?.ignoreListHint??!1}findRanges(t,n){let r=this.mappings(),a=[];if(!r.length)return[];let o=null;(r[0].lineNumber!==0||r[0].columnNumber!==0)&&n?.isStartMatching&&(o=TextUtils.TextRange.TextRange.createUnboundedFromLocation(0,0),a.push(o));for(let{sourceURL:i,lineNumber:c,columnNumber:u}of r){let d=i&&t(i);if(!o&&d){o=TextUtils.TextRange.TextRange.createUnboundedFromLocation(c,u),a.push(o);continue}o&&!d&&(o.endLine=c,o.endColumn=u,o=null)}return a}};Br.SourceMap=fs;(function(e){e._VLQ_BASE_SHIFT=5,e._VLQ_BASE_MASK=31,e._VLQ_CONTINUATION_MASK=32;class t{static{s(this,"Str\
ingCharIterator")}string;position;constructor(r){this.string=r,this.position=0}next(){return this.string.charAt(this.position++)}peek(){return this.string.charAt(this.position)}hasNext(){return this.position<this.string.length}}e.StringCharIterator=t})(fs=Br.SourceMap||(Br.SourceMap={}));k8.exports=fs;fs.parseSourceMap=S8});var G0=P((IIe,A8)=>{"use strict";l();var R8={SourceMap:F8()};R8.SourceMap.prototype.computeLastGeneratedColumns=function(){let e=this.mappings();if(!(e.length&&e[0].lastColumnNumber!==void 0))for(let t=0;t<e.length-1;t++){let n=e[t],r=e[t+1];n.lineNumber===r.lineNumber&&(n.lastColumnNumber=r.columnNumber)}};A8.exports=R8});var _8={};x(_8,{default:()=>Iie});var V0,$0,Iie,I8=g(()=>{"use strict";l();V0=Bt(G0(),1);Ge();z0();$0=class extends Z{static{s(this,"SourceMaps")}meta={supportedModes:["timespan","navigation"],dependencies:{Scripts:q0.symbol}};async fetchSourceMap(t,n){let r=await t.fetcher.fetchResource(n,{timeout:1500});if(r.content===null)throw new Error(`Failed fetching source map (${r.status})`);return V0.default.SourceMap.parseSourceMap(r.content)}parseSourceMapFromDataUrl(t){let n=Buffer.from(t.split(",")[1],"base64");return V0.default.SourceMap.parseSourceMap(n.toString())}_resolveUrl(t,n){try{return new URL(t,n).href}catch{return}}async _retrieveMapFromScript(t,n){if(!n.sourceMapURL)throw new Error("precondition failed: event.sourceMapURL should exist");let r=n.sourceMapURL.startsWith("data:"),a=n.name,o=r?n.sourceMapURL:this._resolveUrl(n.sourceMapURL,n.name);if(!o)return{scriptId:n.scriptId,scriptUrl:a,errorMessage:`Could not resolve map url: ${n.sourceMapURL}`};let i=r?void 0:o;try{let c=r?
this.parseSourceMapFromDataUrl(o):await this.fetchSourceMap(t,o);if(typeof c.version!="number")throw new Error("Map has no numeric `version` field");if(!Array.isArray(c.sources))throw new Error("Map has no `sources` list");if(typeof c.mappings!="string")throw new Error("Map has no `mappings` field");return c.sections&&(c.sections=c.sections.filter(u=>u.map)),{scriptId:n.scriptId,scriptUrl:a,sourceMapUrl:i,map:c}}catch(c){return{scriptId:n.scriptId,scriptUrl:a,sourceMapUrl:i,errorMessage:c.toString()}}}async getArtifact(t){let n=t.dependencies.Scripts.filter(r=>r.sourceMapURL).map(r=>this._retrieveMapFromScript(t.driver,r));return Promise.all(n)}},Iie=$0});var M8={};x(M8,{default:()=>Pie});async function Nie(){let e=[],t=d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests;for(let[n,r]of Object.entries(t))try{let a,o=new Promise(c=>a=setTimeout(()=>c(!1),1e3)),i=await Promise.race([r.test(window),o]);a&&clearTimeout(a),i&&e.push({id:r.id,name:n,version:i.version,npm:r.npm})}catch{}return e}var Mie,Y0,Pie,N8=g(()=>{"use strict";l();na();Oi();Me();Ge();Mie=`function _createTimeoutHelper(){let e;return{timeoutPromise:new Promise(((t,o)=>{e=setTimeout((()=>o(new Error("Timed out"))),5e3)})),clearTimeout:()=>clearTimeout(e)}}var UNKNOWN_VERSION=null,d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests={GWT:{id:"gwt",icon:"gwt",url:"http://www.gwtproject.org/",test:function(e){var t=e.document,o=t.getElementById("__gwt_historyFrame"),n=t.gwt_uid,r=t.body.__listener,i=t.body.__eventBits,s=e.__gwt_activeModules,c=e.__gwt_jsonp__,u=e.__gwt_scriptsLoaded||e.__gwt_stylesLoaded||e.__gwt_activeModules;if(o||n||r||i||s||c||u){for(var a=t.getElements\
ByTagName("iframe"),l=UNKNOWN_VERSION,N=0;N<a.length;N++)try{if(a[N].tabIndex<0&&a[N].contentWindow&&a[N].contentWindow.$gwt_version){l=a[N].contentWindow.$gwt_version;break}}catch(e){}return"0.0.999"==l&&(l="Google Internal"),{version:l}}return!1}},Ink:{id:"ink",icon:"ink",url:"http://ink.sapo.pt/",test:function(e){return!(!e.Ink||!e.Ink.createModule)&&{version:UNKNOWN_VERSION}}},Vaadin:{id:"vaadin",icon:"vaadin",url:"https://vaadin.com/",test:function(e){return!(!e.vaadin||!e.vaadin.registerWidgetset)&&{version:UNKNOWN_VERSION}}},Bootstrap:{id:"bootstrap",icon:"bootstrap",url:"http://getbootstrap.com/",npm:"bootstrap",test:function(e){var t,o=e.$&&e.$.fn;if(o&&(["affix","alert","button","carousel","collapse","dropdown","modal","popover","scrollspy","tab","tooltip"].some((function(o){if(e.$.fn[o]){if(e.$.fn[o].Constructor&&e.$.fn[o].Constructor.VERSION)return t=e.$.fn[o].Constructor.VERSION,!0;if(new RegExp("\\\\$this\\\\.data\\\\((?:'|\\")(?:bs\\\\.){1}"+o).test(e.$.fn[o].toString()))return t\
=">= 3.0.0 & <= 3.1.1",!0;if(new RegExp("\\\\$this\\\\.data\\\\((?:'|\\")"+o).test(e.$.fn[o].toString()))return t=">= 2.0.0 & <= 2.3.2",!0}return!1})),t))return{version:t};return!1}},Zurb:{id:"zurb",icon:"zurb",url:"https://foundation.zurb.com/",npm:"foundation-sites",test:function(e){return!(!e.Foundation||!e.Foundation.Toggler)&&{version:e.Foundation.version||UNKNOWN_VERSION}}},Polymer:{id:"polymer",icon:"polymer",url:"https://www.polymer-project.org/",npm:"@polymer/polymer",test:function(e){return!(!e.Polymer||!e.Polymer.dom)&&{version:e.Polymer.version||UNKNOWN_VERSION}}},LitElement:{id:"litelement",icon:"polymer",url:"https://lit-element.polymer-project.org/",npm:"lit-element",test:function(e){if(e.litElementVersions&&e.litElementVersions.length){var t=[...e.litElementVersions].sort(((e,t)=>e.localeCompare(t,void 0,{numeric:!0})));return{version:t[t.length-1]}}return!1}},"lit-html":{id:"lit-html",icon:"polymer",url:"https://lit-html.polymer-project.org/",npm:"lit-element",test:function(e\
){if(e.litHtmlVersions&&e.litHtmlVersions.length){var t=[...e.litHtmlVersions].sort(((e,t)=>e.localeCompare(t,void 0,{numeric:!0})));return{version:t[t.length-1]}}return!1}},Highcharts:{id:"highcharts",icon:"highcharts",url:"http://www.highcharts.com",npm:"highcharts",test:function(e){return!(!e.Highcharts||!e.Highcharts.Point)&&{version:e.Highcharts.version||UNKNOWN_VERSION}}},InfoVis:{id:"jit",icon:"jit",url:"http://philogb.github.com/jit/",test:function(e){return!(!e.$jit||!e.$jit.PieChart)&&{version:e.$jit.version||UNKNOWN_VERSION}}},FlotCharts:{id:"flotcharts",icon:"flotcharts",url:"http://www.flotcharts.org/",npm:"flot",test:function(e){return!(!e.$||!e.$.plot)&&{version:e.$.plot.version||UNKNOWN_VERSION}}},CreateJS:{id:"createjs",icon:"createjs",url:"https://createjs.com/",npm:"createjs",test:function(e){return!(!e.createjs||!e.createjs.promote)&&{version:UNKNOWN_VERSION}}},"Google Maps":{id:"gmaps",icon:"gmaps",url:"https://developers.google.com/maps/",test:function(e){return!(\
!e.google||!e.google.maps)&&{version:e.google.maps.version||UNKNOWN_VERSION}}},jQuery:{id:"jquery",icon:"jquery",url:"http://jquery.com",npm:"jquery",test:function(e){var t=e.jQuery||e.$;return!!(t&&t.fn&&t.fn.jquery)&&{version:t.fn.jquery.replace(/[^\\d+\\.+]/g,"")||UNKNOWN_VERSION}}},"jQuery (Fast path)":{id:"jquery-fast",icon:"jquery",url:"http://jquery.com",npm:"jquery",test:function(e){var t=e.jQuery||e.$;return!(!t||!t.fn)&&{version:UNKNOWN_VERSION}}},"jQuery UI":{id:"jquery_ui",icon:"jquery_ui",url:"http://jqueryui.com",npm:"jquery-ui",test:function(e){var t=e.jQuery||e.$||e.$jq||e.$j;if(t&&t.fn&&t.fn.jquery&&t.ui){for(var o="accordion,datepicker,dialog,draggable,droppable,progressbar,resizable,selectable,slider,menu,grid,tabs".split(","),n=[],r=0;r<o.length;r++)t.ui[o[r]]&&n.push(o[r].substr(0,1).toUpperCase()+o[r].substr(1));return{version:t.ui.version||UNKNOWN_VERSION,details:n.length?"Plugins used: "+n.join(","):""}}return!1}},Dojo:{id:"dojo",icon:"dojo",url:"http://dojotoolki\
t.org",npm:"dojo",test:function(e){return!(!e.dojo||!e.dojo.delegate)&&{version:e.dojo.version?e.dojo.version.toString():UNKNOWN_VERSION,details:"Details: "+(e.dijit?"Uses Dijit":"none")}}},Prototype:{id:"prototype",icon:"prototype",url:"http://prototypejs.org",test:function(e){return!(!e.Prototype||!e.Prototype.BrowserFeatures)&&{version:e.Prototype.Version||UNKNOWN_VERSION}}},Scriptaculous:{id:"scriptaculous",icon:"scriptaculous",url:"http://script.aculo.us",test:function(e){return!(!e.Scriptaculous||!e.Scriptaculous.load)&&{version:e.Scriptaculous.Version||UNKNOWN_VERSION}}},MooTools:{id:"mootools",icon:"mootools",url:"https://mootools.net/",test:function(e){return!(!e.MooTools||!e.MooTools.build)&&{version:e.MooTools.version||UNKNOWN_VERSION}}},Spry:{id:"spry",icon:"spry",url:"http://labs.adobe.com/technologies/spry",test:function(e){return!(!e.Spry||!e.Spry.Data)&&{version:UNKNOWN_VERSION}}},"YUI 2":{id:"yui",icon:"yui",url:"http://developer.yahoo.com/yui/2/",test:function(e){retu\
rn!(!e.YAHOO||!e.YAHOO.util)&&{version:e.YAHOO.VERSION||UNKNOWN_VERSION}}},"YUI 3":{id:"yui3",icon:"yui3",url:"https://yuilibrary.com/",npm:"yui",test:function(e){return!(!e.YUI||!e.YUI.Env)&&{version:e.YUI.version||UNKNOWN_VERSION}}},Qooxdoo:{id:"qooxdoo",icon:"qooxdoo",url:"http://www.qooxdoo.org/",npm:"qooxdoo",test:function(e){return!(!e.qx||!e.qx.Bootstrap)&&{version:UNKNOWN_VERSION}}},"Ext JS":{id:"extjs",icon:"extjs",url:"https://www.sencha.com/products/extjs/",test:function(e){return e.Ext&&e.Ext.versions?{version:e.Ext.versions.core.version}:!!e.Ext&&{version:e.Ext.version||UNKNOWN_VERSION}}},Ezoic:{id:"ezoic",icon:"ezoic",url:"https://www.ezoic.com/",test:function(e){return!(!e.__ez||!e.__ez.template)&&{version:UNKNOWN_VERSION}}},base2:{id:"base2",icon:"base2",url:"http://code.google.com/p/base2",test:function(e){return!(!e.base2||!e.base2.dom)&&{version:e.base2.version||UNKNOWN_VERSION}}},"Closure Library":{id:"closure",icon:"closure",url:"https://developers.google.com/closu\
re/library/",npm:"google-closure-library",test:function(e){return!(!e.goog||!e.goog.provide)&&{version:UNKNOWN_VERSION}}},"Rapha&euml;l":{id:"raphael",icon:"raphael",url:"http://dmitrybaranovskiy.github.io/raphael/",test:function(e){return!(!e.Raphael||!e.Raphael.circle)&&{version:e.Raphael.version||UNKNOWN_VERSION}}},React:{id:"react",icon:"react",url:"https://reactjs.org/",npm:"react",test:function(e){function t(e){return null!=e&&null!=e._reactRootContainer}var o=document.getElementById("react-root"),n=document.querySelector("*[data-reactroot]");return!!(t(document.body)||t(document.body.firstElementChild)||null!=document.createTreeWalker(document.body,NodeFilter.SHOW_ELEMENT,(function(e){return t(e)?NodeFilter.FILTER_ACCEPT:NodeFilter.FILTER_SKIP})).nextNode()||o&&o.innerText.length>0||n||e.React&&e.React.Component)&&{version:e.React&&e.React.version||UNKNOWN_VERSION}}},"React (Fast path)":{id:"react-fast",icon:"react",url:"https://reactjs.org/",npm:"react",test:function(e){functio\
n t(e){return null!=e&&null!=e._reactRootContainer}var o=document.getElementById("react-root"),n=document.querySelector("*[data-reactroot]");return!!(t(document.body)||t(document.body.firstElementChild)||o||n||e.React)&&{version:e.React&&e.React.version||UNKNOWN_VERSION}}},"Next.js":{id:"next",icon:"next",url:"https://nextjs.org/",npm:"next",test:function(e){return!(!e.__NEXT_DATA__||!e.__NEXT_DATA__.buildId)&&{version:window.next&&window.next.version||UNKNOWN_VERSION}}},"Next.js (Fast path)":{id:"next-fast",icon:"next",url:"https://nextjs.org/",npm:"next",test:function(e){return!!e.__NEXT_DATA__&&{version:UNKNOWN_VERSION}}},Preact:{id:"preact",icon:"preact",url:"https://preactjs.com/",npm:"preact",test:function(e){var t="undefined"!=typeof Symbol&&Symbol.for&&Symbol.for("preactattr");function o(e){return"__k"in e&&"props"in e.__k&&"type"in e.__k||("_component"in e||"__preactattr_"in e||t&&null!=e[t])}function n(e){return null!=e&&o(e)&&e}var r=n(document.body)||n(document.body.firstEl\
ementChild);if(r||(r=document.createTreeWalker(document.body,NodeFilter.SHOW_ELEMENT,(function(e){return o(e)?NodeFilter.FILTER_ACCEPT:NodeFilter.FILTER_SKIP})).nextNode()),r||e.preact){var i=UNKNOWN_VERSION;return r&&("__k"in r&&(i="10"),"__preactattr_"in r&&(i="8"),t&&null!=r[t]&&(i="7")),{version:i}}return!1}},"Preact (Fast path)":{id:"preact-fast",icon:"preact",url:"https://preactjs.com/",npm:"preact",test:function(e){var t=UNKNOWN_VERSION;function o(e){return null!=e&&function(e){return null!=e.__k?(t="10",!0):null!=e._component||null!=e.__preactattr_}(e)}return!(!o(document.body)&&!o(document.body.firstElementChild)&&!e.preact)&&{version:t}}},Modernizr:{id:"modernizr",icon:"modernizr",url:"https://modernizr.com/",npm:"modernizr",test:function(e){return!(!e.Modernizr||!e.Modernizr.addTest)&&{version:e.Modernizr._version||UNKNOWN_VERSION}}},"Processing.js":{id:"processingjs",icon:"processingjs",url:"http://processingjs.org",npm:"processing-js",test:function(e){return!(!e.Processing\
||!e.Processing.box)&&{version:Processing.version||UNKNOWN_VERSION}}},Backbone:{id:"backbone",icon:"backbone",url:"http://backbonejs.org/",npm:"backbone",test:function(e){return!(!e.Backbone||!e.Backbone.Model.extend)&&{version:e.Backbone.VERSION||UNKNOWN_VERSION}}},Leaflet:{id:"leaflet",icon:"leaflet",url:"http://leafletjs.com",npm:"leaflet",test:function(e){return!(!e.L||!e.L.GeoJSON||!e.L.marker&&!e.L.Marker)&&{version:e.L.version||e.L.VERSION||UNKNOWN_VERSION}}},Mapbox:{id:"mapbox",icon:"mapbox",url:"https://www.mapbox.com/",npm:"mapbox-gl",test:function(e){return!!(e.L&&e.L.mapbox&&e.L.mapbox.geocoder)&&{version:e.L.mapbox.VERSION||UNKNOWN_VERSION}}},"Lo-Dash":{id:"lodash",icon:"lodash",url:"https://lodash.com/",npm:"lodash",test:function(e){var t="function"==typeof(t=e._)&&t,o="function"==typeof(o=t&&t.chain)&&o,n=(o||t||function(){return{}})(1);return!(!t||!n.__wrapped__)&&{version:t.VERSION||UNKNOWN_VERSION}}},Underscore:{id:"underscore",icon:"underscore",url:"http://underscore\
js.org/",npm:"underscore",test:function(e){return!(!e._||"function"!=typeof e._.tap||d41d8cd98f00b204e9800998ecf8427e_LibraryDetectorTests["Lo-Dash"].test(e))&&{version:e._.VERSION||UNKNOWN_VERSION}}},Sammy:{id:"sammy",icon:"sammy",url:"http://sammyjs.org",test:function(e){return!(!e.Sammy||!e.Sammy.Application.curry)&&{version:e.Sammy.VERSION||UNKNOWN_VERSION}}},Rico:{id:"rico",icon:"rico",url:"http://openrico.sourceforge.net/examples/index.html",test:function(e){return!(!e.Rico||!window.Rico.checkIfComplete)&&{version:e.Rico.Version||UNKNOWN_VERSION}}},MochiKit:{id:"mochikit",icon:"mochikit",url:"https://mochi.github.io/mochikit/",test:function(e){return!(!e.MochiKit||!e.MochiKit.Base.module)&&{version:MochiKit.VERSION||UNKNOWN_VERSION}}},"gRapha&euml;l":{id:"graphael",icon:"graphael",url:"https://github.com/DmitryBaranovskiy/g.raphael",test:function(e){return!(!e.Raphael||!e.Raphael.fn.g)&&{version:UNKNOWN_VERSION}}},Glow:{id:"glow",icon:"glow",url:"http://www.bbc.co.uk/glow/",test:\
function(e){return e.gloader&&e.gloader.getRequests?{version:UNKNOWN_VERSION}:e.glow&&e.glow.dom?{version:e.glow.VERSION||UNKNOWN_VERSION}:!!e.Glow&&{version:e.Glow.version||UNKNOWN_VERSION}}},"Socket.IO":{id:"socketio",icon:"socketio",url:"https://socket.io/",npm:"socket.io",test:function(e){return!(!e.io||!e.io.sockets&&!e.io.Socket)&&{version:e.io.version||UNKNOWN_VERSION}}},Mustache:{id:"mustache",icon:"mustache",url:"http://mustache.github.io/",npm:"mustache",test:function(e){return!(!e.Mustache||!e.Mustache.to_html)&&{version:e.Mustache.version||UNKNOWN_VERSION}}},"Fabric.js":{id:"fabricjs",icon:"icon38",url:"http://fabricjs.com/",npm:"fabric",test:function(e){return!(!e.fabric||!e.fabric.util)&&{version:e.fabric.version||UNKNOWN_VERSION}}},FuseJS:{id:"fusejs",icon:"fusejs",url:"http://fusejs.io/",npm:"fuse.js",test:function(e){return!!e.Fuse&&{version:UNKNOWN_VERSION}}},"Tween.js":{id:"tweenjs",icon:"icon38",url:"https://github.com/tweenjs/tween.js",npm:"tween.js",test:function(\
e){return!(!e.TWEEN||!e.TWEEN.Easing)&&{version:UNKNOWN_VERSION}}},SproutCore:{id:"sproutcore",icon:"sproutcore",url:"http://sproutcore.com/",test:function(e){return!(!e.SC||!e.SC.Application)&&{version:UNKNOWN_VERSION}}},"Zepto.js":{id:"zepto",icon:"zepto",url:"http://zeptojs.com",npm:"zepto",test:function(e){return!(!e.Zepto||!e.Zepto.fn)&&{version:UNKNOWN_VERSION}}},"three.js":{id:"threejs",icon:"icon38",url:"https://threejs.org/",npm:"three",test:function(e){return e.THREE&&e.THREE.REVISION?{version:"r"+e.THREE.REVISION}:!!e.THREE&&{version:UNKNOWN_VERSION}}},PhiloGL:{id:"philogl",icon:"philogl",url:"http://www.senchalabs.org/philogl/",npm:"philogl",test:function(e){return!(!e.PhiloGL||!e.PhiloGL.Camera)&&{version:e.PhiloGL.version||UNKNOWN_VERSION}}},CamanJS:{id:"camanjs",icon:"camanjs",url:"http://camanjs.com/",npm:"caman",test:function(e){return e.Caman&&e.Caman.version?{version:e.Caman.version.release}:!!e.Caman&&{version:UNKNOWN_VERSION}}},yepnope:{id:"yepnope",icon:"yepnope",\
url:"http://yepnopejs.com/",test:function(e){return!(!e.yepnope||!e.yepnope.injectJs)&&{version:UNKNOWN_VERSION}}},LABjs:{id:"labjs",icon:"icon38",url:"https://github.com/getify/LABjs",test:function(e){return!(!e.$LAB||!e.$LAB.setOptions)&&{version:UNKNOWN_VERSION}}},"Head JS":{id:"headjs",icon:"headjs",url:"http://headjs.com/",npm:"headjs",test:function(e){return!(!e.head||!e.head.js)&&{version:UNKNOWN_VERSION}}},ControlJS:{id:"controljs",icon:"icon38",url:"http://stevesouders.com/controljs/",test:function(e){return!(!e.CJS||!e.CJS.start)&&{version:UNKNOWN_VERSION}}},RequireJS:{id:"requirejs",icon:"requirejs",url:"http://requirejs.org/",npm:"requirejs",test:function(e){var t=e.require||e.requirejs;return!(!t||!(t.load||t.s&&t.s.contexts&&t.s.contexts._&&(t.s.contexts._.loaded||t.s.contexts._.load)))&&{version:t.version||UNKNOWN_VERSION}}},RightJS:{id:"rightjs",icon:"rightjs",url:"http://rightjs.org/",test:function(e){return!(!e.RightJS||!e.RightJS.isNode)&&{version:e.RightJS.version||\
UNKNOWN_VERSION}}},"jQuery Tools":{id:"jquerytools",icon:"jquerytools",url:"http://jquerytools.github.io/",test:function(e){var t=e.jQuery||e.$;return!(!t||!t.tools)&&{version:t.tools.version||UNKNOWN_VERSION}}},Pusher:{id:"pusher",icon:"pusher",url:"https://pusher.com/docs/",npm:"pusher-js",test:function(e){return!(!e.Pusher||!e.Pusher.Channel)&&{version:e.Pusher.VERSION||UNKNOWN_VERSION}}},"Paper.js":{id:"paperjs",icon:"paperjs",url:"http://paperjs.org/",npm:"paper",test:function(e){return!(!e.paper||!e.paper.Point)&&{version:e.paper.version||UNKNOWN_VERSION}}},Swiffy:{id:"swiffy",icon:"icon38",url:"https://developers.google.com/swiffy/",test:function(e){return!(!e.swiffy||!e.swiffy.Stage)&&{version:UNKNOWN_VERSION}}},Move:{id:"move",icon:"move",url:"https://github.com/rsms/move",npm:"move",test:function(e){return!(!e.move||!e.move.compile)&&{version:e.move.version()||UNKNOWN_VERSION}}},AmplifyJS:{id:"amplifyjs",icon:"amplifyjs",url:"http://amplifyjs.com/",npm:"amplifyjs",test:functi\
on(e){return!(!e.amplify||!e.amplify.publish)&&{version:UNKNOWN_VERSION}}},"Popcorn.js":{id:"popcornjs",icon:"popcornjs",url:"https://github.com/mozilla/popcorn-js/",test:function(e){return!(!e.Popcorn||!e.Popcorn.Events)&&{version:e.Popcorn.version||UNKNOWN_VERSION}}},D3:{id:"d3",icon:"d3",url:"https://d3js.org/",npm:"d3",test:function(e){return!(!e.d3||!e.d3.select)&&{version:e.d3.version||UNKNOWN_VERSION}}},Handlebars:{id:"handlebars",icon:"handlebars",url:"http://handlebarsjs.com/",npm:"handlebars",test:function(e){return!(!e.Handlebars||!e.Handlebars.compile)&&{version:e.Handlebars.VERSION||UNKNOWN_VERSION}}},Handsontable:{id:"handsontable",icon:"handsontable",url:"https://handsontable.com/",npm:"handsontable",test:function(e){return!(!e.Handsontable||!e.Handsontable.Core)&&{version:e.Handsontable.version||UNKNOWN_VERSION}}},Knockout:{id:"knockout",icon:"knockout",url:"http://knockoutjs.com/",npm:"knockout",test:function(e){return!(!e.ko||!e.ko.applyBindings)&&{version:e.ko.versio\
n||UNKNOWN_VERSION}}},Spine:{id:"spine",icon:"icon38",url:"http://spine.github.io/",test:function(e){return!(!e.Spine||!e.Spine.Controller)&&{version:e.Spine.version||UNKNOWN_VERSION}}},"jQuery Mobile":{id:"jquery-mobile",icon:"jquery_mobile",url:"http://jquerymobile.com/",npm:"jquery-mobile",test:function(e){var t=e.jQuery||e.$||e.$jq||e.$j;return!!(t&&t.fn&&t.fn.jquery&&t.mobile)&&{version:t.mobile.version||UNKNOWN_VERSION}}},"WebFont Loader":{id:"webfontloader",icon:"icon38",url:"https://github.com/typekit/webfontloader",npm:"webfontloader",test:function(e){return!(!e.WebFont||!e.WebFont.load)&&{version:UNKNOWN_VERSION}}},Angular:{id:"angular",icon:"angular",url:"https://angular.io/",npm:"@angular/core",test:function(e){var t=e.document.querySelector("[ng-version]");return t?{version:t.getAttribute("ng-version")||UNKNOWN_VERSION}:!!(e.ng&&e.ng.probe instanceof Function)&&{version:UNKNOWN_VERSION}}},AngularJS:{id:"angularjs",icon:"angularjs",url:"https://angularjs.org/",npm:"angular"\
,test:function(e){var t=e.angular;return!!(t&&t.version&&t.version.full)&&{version:t.version.full}}},Ionic:{id:"ionic",icon:"ionic",url:"https://ionicframework.com/",npm:"@ionic/cli",test:function(e){var t=e.document.querySelector("ion-app");return!(!t||"ION-APP"!==t.nodeName)&&{version:UNKNOWN_VERSION}}},"Ember.js":{id:"emberjs",icon:"emberjs",url:"https://emberjs.com/",npm:"ember-source",test:function(e){var t=e.Ember||e.Em;return!(!t||!t.GUID_KEY)&&{version:t.VERSION||UNKNOWN_VERSION}}},"Hammer.js":{id:"hammerjs",icon:"hammerjs",url:"http://eightmedia.github.io/hammer.js/",npm:"hammerjs",test:function(e){return!(!e.Hammer||!e.Hammer.Pinch)&&{version:e.Hammer.VERSION||"&lt; 1.0.10"}}},"Visibility.js":{id:"visibilityjs",icon:"icon38",url:"https://github.com/ai/visibilityjs",npm:"visibilityjs",test:function(e){return!(!e.Visibility||!e.Visibility.every)&&{version:UNKNOWN_VERSION}}},"Velocity.js":{id:"velocityjs",icon:"icon38",url:"http://velocityjs.org/",npm:"velocity-animate",test:fun\
ction(e){var t=e.jQuery||e.$,o=t?t.Velocity:e.Velocity;return o&&o.RegisterEffect&&o.version?{version:o.version.major+"."+o.version.minor+"."+o.version.patch}:!(!o||!o.RegisterEffect)&&{version:UNKNOWN_VERSION}}},"IfVisible.js":{id:"ifvisiblejs",icon:"icon38",url:"http://serkanyersen.github.io/ifvisible.js/",npm:"ifvisible.js",test:function(e){var t=e.ifvisible;return!(!t||"ifvisible.object.event.identifier"!==t.__ceGUID)&&{version:UNKNOWN_VERSION}}},"Pixi.js":{id:"pixi",icon:"pixi",url:"http://www.pixijs.com/",npm:"pixi.js",test:function(e){var t=e.PIXI;return!!(t&&t.WebGLRenderer&&t.VERSION)&&{version:t.VERSION.replace("v","")||UNKNOWN_VERSION}}},"DC.js":{id:"dcjs",icon:"dcjs",url:"http://dc-js.github.io/dc.js/",npm:"dc",test:function(e){var t=e.dc;return!(!t||!t.registerChart)&&{version:t.version||UNKNOWN_VERSION}}},"GreenSock JS":{id:"greensock",icon:"greensock",url:"https://greensock.com/gsap",npm:"gsap",test:function(e){return!(!e.TweenMax||!e.TweenMax.pauseAll)&&{version:e.Tween\
Max.version||UNKNOWN_VERSION}}},FastClick:{id:"fastclick",icon:"fastclick",url:"https://github.com/ftlabs/fastclick",npm:"fastclick",test:function(e){return!(!e.FastClick||!e.FastClick.notNeeded)&&{version:UNKNOWN_VERSION}}},Isotope:{id:"isotope",icon:"isotope",url:"https://isotope.metafizzy.co/",npm:"isotope-layout",test:function(e){return!!(e.Isotope||null!=e.$&&e.$.Isotope)&&{version:UNKNOWN_VERSION}}},Marionette:{id:"marionette",icon:"marionette",url:"https://marionettejs.com/",npm:"backbone.marionette",test:function(e){return!(!e.Marionette||!e.Marionette.Application)&&{version:e.Marionette.VERSION||UNKNOWN_VERSION}}},Can:{id:"canjs",icon:"canjs",url:"https://canjs.com/",npm:"can",test:function(e){return!(!e.can||!e.can.Construct)&&{version:e.can.VERSION||UNKNOWN_VERSION}}},Vue:{id:"vue",icon:"vue",url:"https://vuejs.org/",npm:"vue",test:function(e){return!(null===document.createTreeWalker(document.body,NodeFilter.SHOW_ELEMENT,(function(e){return null!=e.__vue__?NodeFilter.FILTER_\
ACCEPT:NodeFilter.FILTER_SKIP})).nextNode()&&!e.Vue)&&{version:e.Vue&&e.Vue.version||UNKNOWN_VERSION}}},"Vue (Fast path)":{id:"vue-fast",icon:"vue",url:"https://vuejs.org/",npm:"vue",test:function(e){return!!e.Vue&&{version:e.Vue&&e.Vue.version||UNKNOWN_VERSION}}},"Nuxt.js":{id:"nuxt",icon:"nuxt",url:"https://nuxtjs.org/",npm:"nuxt",test:function(e){return!!(e.__NUXT__||e.$nuxt||[...e.document.querySelectorAll("*")].some((e=>e.__vue__?.nuxt)))&&{version:UNKNOWN_VERSION}}},"Nuxt.js (Fast path)":{id:"nuxt-fast",icon:"nuxt",url:"https://nuxtjs.org/",npm:"nuxt",test:function(e){return!(!e.__NUXT__&&!e.$nuxt)&&{version:UNKNOWN_VERSION}}},Two:{id:"two",icon:"two",url:"https://two.js.org/",npm:"two.js",test:function(e){return!(!e.Two||!e.Two.Utils)&&{version:e.Two.Version||UNKNOWN_VERSION}}},Brewser:{id:"brewser",icon:"brewser",url:"https://robertpataki.github.io/brewser/",npm:"brewser",test:function(e){return!(!e.BREWSER||!e.BREWSER.ua)&&{version:BREWSER.VERSION||UNKNOWN_VERSION}}},"Material\
 Design Lite":{id:"materialdesignlite",icon:"mdl",url:"https://getmdl.io/",npm:"material-design-lite",test:function(e){return!(!e.componentHandler||!e.componentHandler.upgradeElement)&&{version:UNKNOWN_VERSION}}},"Kendo UI":{id:"kendoui",icon:"kendoui",url:"https://github.com/telerik/kendo-ui-core",npm:"kendo-ui-core",test:function(e){return!!(e.kendo&&e.kendo.View&&e.kendo.View.extend)&&{version:e.kendo.version||UNKNOWN_VERSION}}},"Matter.js":{id:"matterjs",icon:"matter-js",url:"http://brm.io/matter-js/",npm:"matter-js",test:function(e){return!(!e.Matter||!e.Matter.Engine)&&{version:UNKNOWN_VERSION}}},Riot:{id:"riot",icon:"riot",url:"http://riotjs.com/",npm:"riot",test:function(e){return!(!e.riot||!e.riot.mixin)&&{version:e.riot.version||UNKNOWN_VERSION}}},"Sea.js":{id:"seajs",icon:"icon38",url:"https://seajs.github.io/seajs/docs/",npm:"seajs",test:function(e){return!(!e.seajs||!e.seajs.use)&&{version:e.seajs.version||UNKNOWN_VERSION}}},"Moment.js":{id:"momentjs",icon:"momentjs",url:"\
http://momentjs.com/",npm:"moment",test:function(e){return!(!e.moment||!e.moment.isMoment&&!e.moment.lang)&&{version:e.moment.version||UNKNOWN_VERSION}}},"Moment Timezone":{id:"moment-timezone",icon:"momentjs",url:"http://momentjs.com/timezone/",npm:"moment-timezone",test:function(e){return!(!e.moment||!e.moment.tz)&&{version:e.moment.tz.version||UNKNOWN_VERSION}}},ScrollMagic:{id:"scrollmagic",icon:"scrollmagic",url:"http://scrollmagic.io/",npm:"scrollmagic",test:function(e){return!(!e.ScrollMagic||!e.ScrollMagic.Controller)&&{version:ScrollMagic.version||UNKNOWN_VERSION}}},SWFObject:{id:"swfobject",icon:"icon38",url:"https://github.com/swfobject/swfobject",test:function(e){return e.swfobject&&e.swfobject.embedSWF?{version:e.swfobject.version||UNKNOWN_VERSION}:!(!e.deconcept||!e.deconcept.SWFObject)&&{version:UNKNOWN_VERSION}}},FlexSlider:{id:"flexslider",icon:"icon38",url:"https://woocommerce.com/flexslider/",npm:"flexslider",test:function(e){var t=e.jQuery||e.$||e.$jq||e.$j;return!!\
(t&&t.fn&&t.fn.jquery&&t.flexslider)&&{version:UNKNOWN_VERSION}}},SPF:{id:"spf",icon:"icon38",url:"https://youtube.github.io/spfjs/",npm:"spf",test:function(e){return!(!e.spf||!e.spf.init)&&{version:UNKNOWN_VERSION}}},"Numeral.js":{id:"numeraljs",icon:"icon38",url:"http://numeraljs.com/",npm:"numeraljs",test:function(e){return!(!e.numeral||!e.isNumeral)&&{version:e.numeral.version||UNKNOWN_VERSION}}},"boomerang.js":{id:"boomerangjs",icon:"icon38",url:"https://soasta.github.io/boomerang/",npm:"boomerangjs",test:function(e){return!!(e.BOOMR&&e.BOOMR.utils&&e.BOOMR.init)&&{version:e.BOOMR.version||UNKNOWN_VERSION}}},Framer:{id:"framer",icon:"framer",url:"https://framer.com/",npm:"framerjs",test:function(e){return!(!e.Framer||!e.Framer.Layer)&&{version:e.Framer.Version.build||UNKNOWN_VERSION}}},Marko:{id:"marko",icon:"marko",url:"https://markojs.com/",npm:"marko",test:function(e){return!!document.querySelector("[data-marko-key], [data-marko]")&&{version:UNKNOWN_VERSION}}},AMP:{id:"amp",ico\
n:"amp",url:"https://amp.dev/",npm:"https://www.npmjs.com/org/ampproject",test:function(e){var t=e.document.documentElement.getAttribute("amp-version");return!!t&&{version:t}}},Gatsby:{id:"gatsby",icon:"gatsby",url:"https://www.gatsbyjs.org/",npm:"gatsby",test:function(e){return!!document.getElementById("___gatsby")&&{version:UNKNOWN_VERSION}}},Shopify:{id:"shopify",icon:"shopify",url:"https://www.shopify.com/",npm:null,test:function(e){return!(!e.Shopify||!e.Shopify.shop)&&{version:UNKNOWN_VERSION}}},Magento:{id:"magento",icon:"magento",url:"https://magento.com/",npm:null,test:function(e){const t=/\\/static(?:\\/version\\d+)?\\/frontend\\/.+\\/.+\\/requirejs\\/require(?:\\.min)?\\.js/;return!!Array.from(document.querySelectorAll("script[src]")||[]).some((e=>t.test(e.src)))&&{version:2}}},WordPress:{id:"wordpress",icon:"wordpress",url:"https://wordpress.org/",npm:null,test:function(e){const t=!!document.querySelector('link[rel="https://api.w.org/"]'),o=!!document.querySelectorAll('link[href*="wp\
-includes"], script[src*="wp-includes"]').length;if(!t&&!o)return!1;const n=document.querySelector('meta[name=generator][content^="WordPress"]');return{version:n?n.getAttribute("content").replace(/^\\w+\\s/,""):UNKNOWN_VERSION}}},Wix:{id:"wix",icon:"wix",url:"https://www.wix.com/",npm:null,test:function(e){return(e.wixPerformanceMeasurements&&e.wixPerformanceMeasurements.info||!(!e.wixBiSession||!e.wixBiSession.info))&&{version:UNKNOWN_VERSION}}},Workbox:{id:"workbox",icon:"workbox",url:"https://developers.google.com/web/tools/workbox/",npm:"workbox-sw",test:async function(e){var t=e.navigator;if(!("serviceWorker"in t))return!1;const{timeoutPromise:o,clearTimeout:n}=_createTimeoutHelper(),r=t.serviceWorker.getRegistration().then((function(e){var o=t.serviceWorker.controller?t.serviceWorker.controller.scriptURL:e.active.scriptURL;return fetch(o,{credentials:"include",headers:{"service-worker":"script"}}).then((function(e){return e.text()})).then((function(e){if(/new Workbox|new workbox|wo\
rkbox\\.precaching\\.|workbox\\.strategies/gm.test(e)){var t=/workbox.*?\\b((0|[1-9]\\d*)\\.(0|[1-9]\\d*)\\.(0|[1-9]\\d*)(-(0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*)(\\.(0|[1-9]\\d*|\\d*[a-zA-Z-][0-9a-zA-Z-]*))*)?(\\+[0-9a-zA-Z-]+(\\.[0-9a-zA-Z-]+)*)?)\\b/gim.exec(e),o=UNKNOWN_VERSION;return Array.isArray(t)&&t.length>1&&t[1]&&(o=t[1]),{version:o}}return!1}))})).catch((function(e){return!1}));return Promise.race([r,o]).catch((function(e){return!1})).finally((e=>(n(),e)))}},Boq:{id:"boq",icon:"icon38",url:"https://github.com/johnmichel/Library-Detector-for-Chrome/pull/143",npm:null,test:function(e){return!!e.WIZ_global_data&&{version:UNKNOWN_VERSION}}},Wiz:{id:"wiz",icon:"icon38",url:"https://github.com/johnmichel/Library-Detector-for-Chrome/pull/147",npm:null,test:function(e){return!!document.__wizdispatcher&&{version:UNKNOWN_VERSION}}},"core-js":{id:"corejs",icon:"icon38",url:"https://github.com/zloirock/core-js",npm:"core-js",test:function(e){const t=e["__core-js_shared__"],o=e.core;if(t){const e=t.ver\
sions;return{version:Array.isArray(e)?e.map((e=>\`core-js-\${e.mode}@\${e.version}\`)).join("; "):UNKNOWN_VERSION}}return!!o&&{version:o.version||UNKNOWN_VERSION}}},Drupal:{id:"drupal",icon:"drupal",url:"https://www.drupal.org/",npm:null,test:function(e){const t=document.querySelector('meta[name="generator"][content^="Drupal"]'),o=t?t.getAttribute("content").replace(/\\D+/gi,""):UNKNOWN_VERSION,n=/\\/sites\\/(?:default|all)\\/(?:themes|modules|files)/,r=Array.from(document.querySelectorAll("link,style,script")||[]);return!!(r.some((e=>n.test(e.src)))||r.some((e=>n.test(e.href)))||t||e.Drupal&&e.Drupal.behaviors)&&{version:o}}},TYPO3:{id:"typo3",icon:"typo3",url:"https://typo3.org/",npm:null,test:function(e){const t=document.querySelector('meta[name="generator"][content^="TYPO3"]'),o=/\\/(typo3conf|typo3temp|fileadmin)/,n=Array.from(document.querySelectorAll("link,style,script")||[]);return!!(t||n.some((e=>o.test(e.src)))||n.some((e=>o.test(e.href))))&&{version:UNKNOWN_VERSION}}},"Create React A\
pp":{id:"create-react-app",icon:"cra",url:"https://create-react-app.dev/",npm:"react-scripts",test:function(e){let t,o,n=e.document.body.firstElementChild;do{"noscript"===n.localName?t=n:"root"===n.id&&(o=n)}while(n=n.nextElementSibling);return!!(o&&t&&/You need to enable JavaScript to run this app/.test(t.textContent))&&{version:UNKNOWN_VERSION}}},"Guess.js":{id:"guessjs",icon:"guessjs",url:"https://guess-js.github.io/",test:function(e){return!(!e.__GUESS__||!e.__GUESS__.guess)&&{version:UNKNOWN_VERSION}}},"October CMS":{id:"octobercms",icon:"october",url:"https://octobercms.com/",npm:null,test:function(e){const t=document.querySelector('meta[name="generator"][content^="OctoberCMS"]'),o=document.querySelector('meta[name="generator"][content^="October CMS"]'),n=/\\/modules\\/system\\/assets\\/(css|js)\\/framework(\\.extras|\\.combined)?(-min)?/,r=Array.from(document.querySelectorAll("link,style,script")||[]);return!!(t||o||r.some((e=>n.test(e.src||e.href))))&&{version:UNKNOWN_VERSION}}},Jooml\
a:{id:"joomla",icon:"joomla",url:"https://www.joomla.org/",npm:null,test:function(e){const t=document.querySelector('meta[name=generator][content^="Joomla"]'),o=!!document.querySelectorAll('script[src*="/media/jui/js/bootstrap.min.js"]').length;return t?{version:t.getAttribute("content").replace(/^\\w+\\s/,"")}:!(!e.Joomla&&!o)&&{version:UNKNOWN_VERSION}}},Sugar:{id:"sugar",icon:"sugar",url:"https://sugarjs.com",npm:"sugar",test:function(e){return e.Sugar?{version:e.Sugar.VERSION||UNKNOWN_VERSION}:!!e.Array.SugarMethods&&{version:UNKNOWN_VERSION}}},Bento:{id:"bentojs",icon:"bentojs",url:"https://bentojs.dev",npm:"https://www.npmjs.com/org/bentoproject",test:function(e){return!(!e.BENTO||!e.BENTO.push)&&{version:UNKNOWN_VERSION}}},"WP Rocket":{id:"wp-rocket",icon:"wp-rocket",url:"https://wp-rocket.me/",npm:null,test:async function(e){const t="undefined"!=typeof RocketLazyLoadScripts||"undefined"!=typeof RocketPreloadLinksConfig||"undefined"!=typeof rocket_lazy,o=!!document.querySelector("\
style#wpr-usedcss"),n=document.lastChild.nodeType===Node.COMMENT_NODE&&document.lastChild.textContent.includes("WP Rocket");return!!(o||t||n)&&{version:UNKNOWN_VERSION}}},NitroPack:{id:"nitropack",icon:"nitropack",url:"https://nitropack.io/",npm:null,test:async function(e){return!!document.querySelector('meta[name="generator"][content="NitroPack"]')&&{version:UNKNOWN_VERSION}}},Remix:{id:"remix",icon:"remix",url:"https://remix.run/",npm:"remix",test:function(e){return!!e.__remixContext&&{version:UNKNOWN_VERSION}}}};`;s(Nie,"detectLibraries");Y0=class e extends Z{static{s(this,"Stacks")}constructor(){super(),this.meta={supportedModes:["snapshot","navigation"]}}static async collectStacks(t){let n={msg:"Collect stacks",id:"lh:gather:collectStacks"};M.time(n);let a=(await t.evaluate(Nie,{args:[],deps:[Mie]})).map(o=>({detector:"js",id:o.id,name:o.name,version:typeof o.version=="number"?String(o.version):o.version||void 0,npm:o.npm||void 0}));return M.timeEnd(n),a}async getArtifact(t){try{return await e.
collectStacks(t.driver.executionContext)}catch{return[]}}},Pie=Y0});var P8={};x(P8,{default:()=>Lie});var K0,Lie,L8=g(()=>{"use strict";l();Me();Ge();Hn();K0=class extends Z{static{s(this,"Stylesheets")}constructor(){super(),this._session=void 0,this._sheetPromises=new Map,this._onStylesheetAdded=this._onStylesheetAdded.bind(this)}meta={supportedModes:["snapshot","timespan","navigation"]};_onStylesheetAdded(t){if(!this._session)throw new Error("Session not initialized");let n=t.header.styleSheetId,r=this._session.sendCommand("CSS.getStyleSheetText",{styleSheetId:n}).then(a=>({header:t.header,content:a.text})).catch(a=>(M.warn("Stylesheets",`Error fetching content of stylesheet with URL "${t.header.sourceURL}"`),gt.captureException(a,{tags:{gatherer:"Stylesheets"},extra:{url:t.header.sourceURL},level:"error"}),null));this._sheetPromises.set(n,r)}async startInstrumentation(t){let n=t.driver.defaultSession;this._session=n;let r=t.gatherMode==="navigation";r||n.on("CSS.styleSheetAdded",this._onStylesheetAdded),await n.sendCommand("DOM.enable"),await n.sendCommand(
"CSS.enable"),r&&n.on("CSS.styleSheetAdded",this._onStylesheetAdded)}async stopInstrumentation(t){let n=t.driver.defaultSession;n.off("CSS.styleSheetAdded",this._onStylesheetAdded),await Promise.all(this._sheetPromises.values()),await n.sendCommand("CSS.disable"),await n.sendCommand("DOM.disable")}async getArtifact(t){let n=t.driver.executionContext;t.gatherMode==="snapshot"&&(await this.startInstrumentation(t),await n.evaluateAsync("getComputedStyle(document.body)"),await this.stopInstrumentation(t));let r=new Map,a=await Promise.all(this._sheetPromises.values());for(let o of a)o&&o.header.length!==0&&r.set(o.content,o);return Array.from(r.values())}},Lie=K0});var O8={};x(O8,{default:()=>Oie});var J0,Oie,B8=g(()=>{"use strict";l();xo();Ge();J0=class extends Z{static{s(this,"TraceCompat")}meta={supportedModes:["timespan","navigation"],dependencies:{Trace:or.symbol}};async getArtifact(t){return{defaultPass:t.dependencies.Trace}}},Oie=J0});var X0,ln,pa=g(()=>{"use strict";l();ye();Nt();_0();X0=class{static{s(this,"ProcessedNavigation")}static isProcessedTrace(t){return"timeOriginEvt"in t}static async compute_(t,n){if(this.isProcessedTrace(t))return ju.processNavigation(t);let r=await Ce.request(t,n);return ju.processNavigation(r)}},ln=G(X0,null)});var Bie,U8,Uie,Z0,hs,Ff=g(()=>{"use strict";l();Nt();ye();_t();Bie=new Set(["keydown","keypress","keyup"]),U8=new Set(["mousedown","mouseup","pointerdown","pointerup","click"]),Uie={keyboard:Bie,tapOrClick:U8,drag:U8},Z0=class e{static{s(this,"Responsiveness")}static getHighPercentileResponsiveness(t){let n=t.frameTreeEvents.filter(a=>a.name==="Responsiveness.Renderer.UserInteraction").sort((a,o)=>o.args.data.maxDuration-a.args.data.maxDuration);if(n.length===0)return null;let r=Math.min(9,Math.floor(n.length/50));return n[r]}static findInteractionEvent(t,{traceEvents:n}){let r=n.filter(u=>u.name==="EventTiming"&&u.ph!=="e");if(r.length&&r.every(u=>!u.args.data?.frame))throw new H(H.errors.UNSUPPORTED_OLD_CHROME,{featureName:"detailed EventTiming trace events"});let{maxDuration:a,interactionType:o}=t.args.data,i,c=Number.POSITIVE_INFINITY;for(let u of r){if(u.args.data.frame!==t.args.frame)continue;let{type:d,duration:m}=u.args.data,p=Uie[o];if(!p)throw new Error(`unexpected responsive\
ness interactionType '${o}'`);if(!p.has(d))continue;let h=Math.abs(m-a);h<c&&(i=u,c=h)}if(!i)throw new Error(`no interaction event found for responsiveness type '${o}'`);if(c>5)throw new Error(`no interaction event found within 5ms of responsiveness maxDuration (max: ${a}, closest ${i.args.data.duration})`);return i}static async compute_(t,n){let{settings:r,trace:a}=t;if(r.throttlingMethod==="simulate")throw new Error("Responsiveness currently unsupported by simulated throttling");let o=await Ce.request(a,n),i=e.getHighPercentileResponsiveness(o);if(!i)return null;let c=e.findInteractionEvent(i,a);return JSON.parse(JSON.stringify(c))}},hs=G(Z0,["trace","settings"])});var j8={};x(j8,{default:()=>ew});function qie(){let e=this.nodeType===document.ELEMENT_NODE?this:this.parentElement,t;return e&&(t={node:getNodeDetails(e)}),t}var jie,Q0,ew,tw=g(()=>{"use strict";l();Ge();ry();xn();Hn();xo();Nt();pa();_t();Ff();ms();tp();U0();qu();jie=15;s(qie,"getNodeDetailsData");Q0=class e extends Z{static{s(this,"TraceElements")}meta={supportedModes:["timespan","navigation"],dependencies:{Trace:or.symbol,RootCauses:B0.symbol}};animationIdToName=new Map;constructor(){super(),this._onAnimationStarted=this._onAnimationStarted.bind(this)}_onAnimationStarted({animation:{id:t,name:n}}){n&&this.animationIdToName.set(t,n)}static getBiggestImpactNodeForShiftEvent(t,n,r){try{let a,o=Number.NEGATIVE_INFINITY;for(let i of t){let c=n.get(i.node_id);c!==void 0&&c>o&&(a=i.node_id,o=c)}return a}catch(a){let o=typeof t,i=t?.constructor?.name,c,u;try{c=JSON.parse(JSON.stringify(t)),u=JSON.parse(JSON.stringify(r))}catch{}gt.captureException(a,{extra:{impactedNodes:c,event:u,impactedNodesType:o,
impactedNodesClassName:i}});return}}static async getTopLayoutShifts(t,n,r,a){let{impactByNodeId:o}=await Or.request(t,a),c=(n.LayoutShifts.clusters??[]).flatMap(u=>u.events);return c.sort((u,d)=>d.args.data.weighted_score_delta-u.args.data.weighted_score_delta).slice(0,jie).flatMap(u=>{let d=[],m=u.args.data.impacted_nodes||[],p=this.getBiggestImpactNodeForShiftEvent(m,o,u);p!==void 0&&d.push(p);let h=c.indexOf(u),f=r.layoutShifts[h];if(f)for(let y of f.unsizedMedia)d.push(y.node.backendNodeId);return d.map(y=>({nodeId:y}))})}static async getResponsivenessElement(t,n){let{settings:r}=n;try{let a=await hs.request({trace:t,settings:r},n);return a?{nodeId:a.args.data.nodeId}:void 0}catch{return}}async getAnimatedElements(t){let n=new Map;for(let o of t){if(o.name!=="Animation"||!o.id2||!o.id2.local)continue;let i=o.id2.local,c=n.get(i)||{begin:void 0,status:void 0};o.ph==="b"?c.begin=o:o.ph==="n"&&o.args.data&&o.args.data.compositeFailed!==void 0&&(c.status=o),n.set(i,c)}let r=new Map;for(let{
begin:o,status:i}of n.values()){let c=o?.args?.data?.nodeId,u=o?.args?.data?.id,d=i?.args?.data?.compositeFailed,m=i?.args?.data?.unsupportedProperties;if(!c||!u)continue;let p=r.get(c)||new Set;p.add({animationId:u,failureReasonsMask:d,unsupportedProperties:m}),r.set(c,p)}let a=[];for(let[o,i]of r){let c=[];for(let{animationId:u,failureReasonsMask:d,unsupportedProperties:m}of i){let p=this.animationIdToName.get(u);c.push({name:p,failureReasonsMask:d,unsupportedProperties:m})}a.push({nodeId:o,animations:c})}return a}static async getLcpElement(t,n){let r;try{r=await ln.request(t,n)}catch(o){if(n.gatherMode==="timespan"&&o.code===H.errors.NO_FCP.code)return;throw o}let a=r.largestContentfulPaintEvt?.args?.data;if(!(a?.nodeId===void 0||!a.type))return{nodeId:a.nodeId,type:a.type}}async startInstrumentation(t){await t.driver.defaultSession.sendCommand("Animation.enable"),t.driver.defaultSession.on("Animation.animationStarted",this._onAnimationStarted)}async stopInstrumentation(t){t.driver.
defaultSession.off("Animation.animationStarted",this._onAnimationStarted),await t.driver.defaultSession.sendCommand("Animation.disable")}async getNodeDetails(t,n){try{let r=await XM(t,n);if(!r)return null;let a=Pa.serializeDeps([Ue.getNodeDetails,qie]);return await t.sendCommand("Runtime.callFunctionOn",{objectId:r,functionDeclaration:`function () {
          ${a}
          return getNodeDetailsData.call(this);
        }`,returnByValue:!0,awaitPromise:!0})}catch(r){gt.captureException(r,{tags:{gatherer:"TraceElements"},level:"error"})}return null}async getArtifact(t){let n=t.driver.defaultSession,r=t.dependencies.Trace,a=await Ya.request({trace:r},t),o=t.dependencies.RootCauses,i=await Ce.request(r,t),{mainThreadEvents:c}=i,u=await e.getLcpElement(r,t),d=await e.getTopLayoutShifts(r,a.data,o,t),m=await this.getAnimatedElements(c),p=await e.getResponsivenessElement(r,t),h=new Map([["largest-contentful-paint",u?[u]:[]],["layout-shift",d],["animation",m],["responsiveness",p?[p]:[]]]),f=new Map,y=[];for(let[v,w]of h)for(let E=0;E<w.length;E++){let T=w[E].nodeId,S=f.get(T);S===void 0&&(S=await this.getNodeDetails(n,T),f.set(T,S)),S?.result?.value&&y.push({traceEventType:v,...S.result.value,animations:w[E].animations,nodeId:T,type:w[E].type})}return y}},ew=Q0});var q8={};x(q8,{default:()=>Hie});function zie(){return{innerWidth:window.innerWidth,innerHeight:window.innerHeight,outerWidth:window.outerWidth,outerHeight:window.outerHeight,devicePixelRatio:window.devicePixelRatio}}var nw,Hie,z8=g(()=>{"use strict";l();Ge();s(zie,"getViewportDimensions");nw=class extends Z{static{s(this,"ViewportDimensions")}meta={supportedModes:["snapshot","timespan","navigation"]};async getArtifact(t){let r=await t.driver.executionContext.evaluate(zie,{args:[],useIsolation:!0});if(!Object.values(r).every(Number.isFinite)){let o=JSON.stringify(r);throw new Error(`ViewportDimensions results were not numeric: ${o}`)}return r}},Hie=nw});var H8,Wie,rw,O,re=g(()=>{"use strict";l();$();A();H8={failingElementsHeader:"Failing Elements"},Wie=D("core/audits/accessibility/axe-audit.js",H8),rw=class extends b{static{s(this,"AxeAudit")}static audit(t){if((t.Accessibility.notApplicable||[]).find(v=>v.id===this.meta.id))return{score:null,notApplicable:!0};let a=t.Accessibility.incomplete||[],o=a.find(v=>v.id===this.meta.id);if(o?.error)return{score:null,errorMessage:`axe-core Error: ${o.error.message||"Unknown error"}`};let i=this.meta.scoreDisplayMode===b.SCORING_MODES.INFORMATIVE,c=t.Accessibility.violations||[],d=(i?c.concat(a):c).find(v=>v.id===this.meta.id),m=d?.impact,p=d?.tags;if(i&&!d)return{score:null,notApplicable:!0};let h=[];d?.nodes&&(h=d.nodes.map(v=>({node:{...b.makeNodeItem(v.node),explanation:v.failureSummary},subItems:v.relatedNodes.length?{type:"subitems",items:v.relatedNodes.map(w=>({relatedNode:b.makeNodeItem(w)}))}:void 0})));let f=[{key:"node",valueType:"node",subItemsHeading:{key:"relatedNode",valueType:"n\
ode"},label:Wie(H8.failingElementsHeader)}],y;return(m||p)&&(y={type:"debugdata",impact:m,tags:p}),{score:+(d===void 0),details:{...b.makeTableDetails(f,h),debugData:y}}}},O=rw});var W8={};x(W8,{UIStrings:()=>zu,default:()=>Gie});var zu,aw,ow,Gie,G8=g(()=>{"use strict";l();re();A();zu={title:"`[accesskey]` values are unique",failureTitle:"`[accesskey]` values are not unique",description:"Access keys let users quickly focus a part of the page. For proper navigation, each access key must be unique. [Learn more about access keys](https://dequeuniversity.com/rules/axe/4.9/accesskeys)."},aw=D("core/audits/accessibility/accesskeys.js",zu),ow=class extends O{static{s(this,"Accesskeys")}static get meta(){return{id:"accesskeys",title:aw(zu.title),failureTitle:aw(zu.failureTitle),description:aw(zu.description),requiredArtifacts:["Accessibility"]}}},Gie=ow});var V8={};x(V8,{UIStrings:()=>Hu,default:()=>Vie});var Hu,iw,sw,Vie,$8=g(()=>{"use strict";l();re();A();Hu={title:"`[aria-*]` attributes match their roles",failureTitle:"`[aria-*]` attributes do not match their roles",description:"Each ARIA `role` supports a specific subset of `aria-*` attributes. Mismatching these invalidates the `aria-*` attributes. [Learn how to match ARIA attributes to their roles](https://dequeuniversity.com/rules/axe/4.9/aria-allowed-attr)."},iw=D("core/audits/accessibility/aria-allowed-attr.js",Hu),sw=class extends O{static{s(this,"ARIAAllowedAttr")}static get meta(){return{id:"aria-allowed-attr",title:iw(Hu.title),failureTitle:iw(Hu.failureTitle),description:iw(Hu.description),requiredArtifacts:["Accessibility"]}}},Vie=sw});var Y8={};x(Y8,{UIStrings:()=>Wu,default:()=>$ie});var Wu,cw,uw,$ie,K8=g(()=>{"use strict";l();re();A();Wu={title:'Values assigned to `role=""` are valid ARIA roles.',failureTitle:'Values assigned to `role=""` are not valid ARIA roles.',description:"ARIA `role`s enable assistive technologies to know the role of each element on the web page. If the `role` values are misspelled, not existing ARIA `role` values, or abstract roles, then the purpose of the element will not be communicated to users of assistive technologies. [Learn more about ARIA roles](https://dequeuniversity.com/rules/axe/4.9/aria-allowed-role)."},cw=D("core/audits/accessibility/aria-allowed-role.js",Wu),uw=class extends O{static{s(this,"ARIAAllowedRole")}static get meta(){return{id:"aria-allowed-role",title:cw(Wu.title),failureTitle:cw(Wu.failureTitle),description:cw(Wu.description),requiredArtifacts:["Accessibility"]}}},$ie=uw});var J8={};x(J8,{UIStrings:()=>Gu,default:()=>Yie});var Gu,lw,dw,Yie,X8=g(()=>{"use strict";l();re();A();Gu={title:"`button`, `link`, and `menuitem` elements have accessible names",failureTitle:"`button`, `link`, and `menuitem` elements do not have accessible names.",description:"When an element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn how to make command elements more accessible](https://dequeuniversity.com/rules/axe/4.9/aria-command-name)."},lw=D("core/audits/accessibility/aria-command-name.js",Gu),dw=class extends O{static{s(this,"AriaCommandName")}static get meta(){return{id:"aria-command-name",title:lw(Gu.title),failureTitle:lw(Gu.failureTitle),description:lw(Gu.description),requiredArtifacts:["Accessibility"]}}},Yie=dw});var Z8={};x(Z8,{UIStrings:()=>Vu,default:()=>Kie});var Vu,mw,pw,Kie,Q8=g(()=>{"use strict";l();re();A();Vu={title:"ARIA attributes are used as specified for the element's role",failureTitle:"ARIA attributes are not used as specified for the element's role",description:"Some ARIA attributes are only allowed on an element under certain conditions. [Learn more about conditional ARIA attributes](https://dequeuniversity.com/rules/axe/4.9/aria-conditional-attr)."},mw=D("core/audits/accessibility/aria-conditional-attr.js",Vu),pw=class extends O{static{s(this,"AriaConditionalAttr")}static get meta(){return{id:"aria-conditional-attr",title:mw(Vu.title),failureTitle:mw(Vu.failureTitle),description:mw(Vu.description),requiredArtifacts:["Accessibility"]}}},Kie=pw});var e5={};x(e5,{UIStrings:()=>$u,default:()=>Jie});var $u,fw,hw,Jie,t5=g(()=>{"use strict";l();re();A();$u={title:"Deprecated ARIA roles were not used",failureTitle:"Deprecated ARIA roles were used",description:"Deprecated ARIA roles may not be processed correctly by assistive technology. [Learn more about deprecated ARIA roles](https://dequeuniversity.com/rules/axe/4.9/aria-deprecated-role)."},fw=D("core/audits/accessibility/aria-deprecated-role.js",$u),hw=class extends O{static{s(this,"AriaDeprecatedRole")}static get meta(){return{id:"aria-deprecated-role",title:fw($u.title),failureTitle:fw($u.failureTitle),description:fw($u.description),requiredArtifacts:["Accessibility"]}}},Jie=hw});var n5={};x(n5,{UIStrings:()=>Yu,default:()=>Xie});var Yu,gw,yw,Xie,r5=g(()=>{"use strict";l();re();A();Yu={title:'Elements with `role="dialog"` or `role="alertdialog"` have accessible names.',failureTitle:'Elements with `role="dialog"` or `role="alertdialog"` do not have accessible names.',description:"ARIA dialog elements without accessible names may prevent screen readers users from discerning the purpose of these elements. [Learn how to make ARIA dialog elements more accessible](https://dequeuniversity.com/rules/axe/4.9/aria-dialog-name)."},gw=D("core/audits/accessibility/aria-dialog-name.js",Yu),yw=class extends O{static{s(this,"AriaDialogName")}static get meta(){return{id:"aria-dialog-name",title:gw(Yu.title),failureTitle:gw(Yu.failureTitle),description:gw(Yu.description),requiredArtifacts:["Accessibility"]}}},Xie=yw});var a5={};x(a5,{UIStrings:()=>Ku,default:()=>Zie});var Ku,vw,bw,Zie,o5=g(()=>{"use strict";l();re();A();Ku={title:'`[aria-hidden="true"]` is not present on the document `<body>`',failureTitle:'`[aria-hidden="true"]` is present on the document `<body>`',description:'Assistive technologies, like screen readers, work inconsistently when `aria-hidden="true"` is set on the document `<body>`. [Learn how `aria-hidden` affects the document body](https://dequeuniversity.com/rules/axe/4.9/aria-hidden-body).'},vw=D("core/audits/accessibility/aria-hidden-body.js",Ku),bw=class extends O{static{s(this,"AriaHiddenBody")}static get meta(){return{id:"aria-hidden-body",title:vw(Ku.title),failureTitle:vw(Ku.failureTitle),description:vw(Ku.description),requiredArtifacts:["Accessibility"]}}},Zie=bw});var i5={};x(i5,{UIStrings:()=>Ju,default:()=>Qie});var Ju,ww,Dw,Qie,s5=g(()=>{"use strict";l();re();A();Ju={title:'`[aria-hidden="true"]` elements do not contain focusable descendents',failureTitle:'`[aria-hidden="true"]` elements contain focusable descendents',description:'Focusable descendents within an `[aria-hidden="true"]` element prevent those interactive elements from being available to users of assistive technologies like screen readers. [Learn how `aria-hidden` affects focusable elements](https://dequeuniversity.com/rules/axe/4.9/aria-hidden-focus).'},ww=D("core/audits/accessibility/aria-hidden-focus.js",Ju),Dw=class extends O{static{s(this,"AriaHiddenFocus")}static get meta(){return{id:"aria-hidden-focus",title:ww(Ju.title),failureTitle:ww(Ju.failureTitle),description:ww(Ju.description),requiredArtifacts:["Accessibility"]}}},Qie=Dw});var c5={};x(c5,{UIStrings:()=>Xu,default:()=>ese});var Xu,Ew,Tw,ese,u5=g(()=>{"use strict";l();re();A();Xu={title:"ARIA input fields have accessible names",failureTitle:"ARIA input fields do not have accessible names",description:"When an input field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more about input field labels](https://dequeuniversity.com/rules/axe/4.9/aria-input-field-name)."},Ew=D("core/audits/accessibility/aria-input-field-name.js",Xu),Tw=class extends O{static{s(this,"AriaInputFieldName")}static get meta(){return{id:"aria-input-field-name",title:Ew(Xu.title),failureTitle:Ew(Xu.failureTitle),description:Ew(Xu.description),requiredArtifacts:["Accessibility"]}}},ese=Tw});var l5={};x(l5,{UIStrings:()=>Zu,default:()=>tse});var Zu,xw,Sw,tse,d5=g(()=>{"use strict";l();re();A();Zu={title:"ARIA `meter` elements have accessible names",failureTitle:"ARIA `meter` elements do not have accessible names.",description:"When a meter element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn how to name `meter` elements](https://dequeuniversity.com/rules/axe/4.9/aria-meter-name)."},xw=D("core/audits/accessibility/aria-meter-name.js",Zu),Sw=class extends O{static{s(this,"AriaMeterName")}static get meta(){return{id:"aria-meter-name",title:xw(Zu.title),failureTitle:xw(Zu.failureTitle),description:xw(Zu.description),requiredArtifacts:["Accessibility"]}}},tse=Sw});var m5={};x(m5,{UIStrings:()=>Qu,default:()=>nse});var Qu,Cw,kw,nse,p5=g(()=>{"use strict";l();re();A();Qu={title:"ARIA `progressbar` elements have accessible names",failureTitle:"ARIA `progressbar` elements do not have accessible names.",description:"When a `progressbar` element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn how to label `progressbar` elements](https://dequeuniversity.com/rules/axe/4.9/aria-progressbar-name)."},Cw=D("core/audits/accessibility/aria-progressbar-name.js",Qu),kw=class extends O{static{s(this,"AriaProgressbarName")}static get meta(){return{id:"aria-progressbar-name",title:Cw(Qu.title),failureTitle:Cw(Qu.failureTitle),description:Cw(Qu.description),requiredArtifacts:["Accessibility"]}}},nse=kw});var f5={};x(f5,{UIStrings:()=>el,default:()=>rse});var el,Fw,Rw,rse,h5=g(()=>{"use strict";l();re();A();el={title:"Elements use only permitted ARIA attributes",failureTitle:"Elements use prohibited ARIA attributes",description:"Using ARIA attributes in roles where they are prohibited can mean that important information is not communicated to users of assistive technologies. [Learn more about prohibited ARIA roles](https://dequeuniversity.com/rules/axe/4.9/aria-prohibited-attr)."},Fw=D("core/audits/accessibility/aria-prohibited-attr.js",el),Rw=class extends O{static{s(this,"AriaProhibitedAttr")}static get meta(){return{id:"aria-prohibited-attr",title:Fw(el.title),failureTitle:Fw(el.failureTitle),description:Fw(el.description),requiredArtifacts:["Accessibility"]}}},rse=Rw});var g5={};x(g5,{UIStrings:()=>tl,default:()=>ase});var tl,Aw,_w,ase,y5=g(()=>{"use strict";l();re();A();tl={title:"`[role]`s have all required `[aria-*]` attributes",failureTitle:"`[role]`s do not have all required `[aria-*]` attributes",description:"Some ARIA roles have required attributes that describe the state of the element to screen readers. [Learn more about roles and required attributes](https://dequeuniversity.com/rules/axe/4.9/aria-required-attr)."},Aw=D("core/audits/accessibility/aria-required-attr.js",tl),_w=class extends O{static{s(this,"ARIARequiredAttr")}static get meta(){return{id:"aria-required-attr",title:Aw(tl.title),failureTitle:Aw(tl.failureTitle),description:Aw(tl.description),requiredArtifacts:["Accessibility"]}}},ase=_w});var v5={};x(v5,{UIStrings:()=>nl,default:()=>ose});var nl,Iw,Mw,ose,b5=g(()=>{"use strict";l();re();A();nl={title:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` have all required children.",failureTitle:"Elements with an ARIA `[role]` that require children to contain a specific `[role]` are missing some or all of those required children.",description:"Some ARIA parent roles must contain specific child roles to perform their intended accessibility functions. [Learn more about roles and required children elements](https://dequeuniversity.com/rules/axe/4.9/aria-required-children)."},Iw=D("core/audits/accessibility/aria-required-children.js",nl),Mw=class extends O{static{s(this,"AriaRequiredChildren")}static get meta(){return{id:"aria-required-children",title:Iw(nl.title),failureTitle:Iw(nl.failureTitle),description:Iw(nl.description),requiredArtifacts:["Accessibility"]}}},ose=Mw});var w5={};x(w5,{UIStrings:()=>rl,default:()=>ise});var rl,Nw,Pw,ise,D5=g(()=>{"use strict";l();re();A();rl={title:"`[role]`s are contained by their required parent element",failureTitle:"`[role]`s are not contained by their required parent element",description:"Some ARIA child roles must be contained by specific parent roles to properly perform their intended accessibility functions. [Learn more about ARIA roles and required parent element](https://dequeuniversity.com/rules/axe/4.9/aria-required-parent)."},Nw=D("core/audits/accessibility/aria-required-parent.js",rl),Pw=class extends O{static{s(this,"AriaRequiredParent")}static get meta(){return{id:"aria-required-parent",title:Nw(rl.title),failureTitle:Nw(rl.failureTitle),description:Nw(rl.description),requiredArtifacts:["Accessibility"]}}},ise=Pw});var E5={};x(E5,{UIStrings:()=>al,default:()=>sse});var al,Lw,Ow,sse,T5=g(()=>{"use strict";l();re();A();al={title:"`[role]` values are valid",failureTitle:"`[role]` values are not valid",description:"ARIA roles must have valid values in order to perform their intended accessibility functions. [Learn more about valid ARIA roles](https://dequeuniversity.com/rules/axe/4.9/aria-roles)."},Lw=D("core/audits/accessibility/aria-roles.js",al),Ow=class extends O{static{s(this,"AriaRoles")}static get meta(){return{id:"aria-roles",title:Lw(al.title),failureTitle:Lw(al.failureTitle),description:Lw(al.description),requiredArtifacts:["Accessibility"]}}},sse=Ow});var x5={};x(x5,{UIStrings:()=>ol,default:()=>cse});var ol,Bw,Uw,cse,S5=g(()=>{"use strict";l();re();A();ol={title:"Elements with the `role=text` attribute do not have focusable descendents.",failureTitle:"Elements with the `role=text` attribute do have focusable descendents.",description:"Adding `role=text` around a text node split by markup enables VoiceOver to treat it as one phrase, but the element's focusable descendents will not be announced. [Learn more about the `role=text` attribute](https://dequeuniversity.com/rules/axe/4.9/aria-text)."},Bw=D("core/audits/accessibility/aria-text.js",ol),Uw=class extends O{static{s(this,"AriaText")}static get meta(){return{id:"aria-text",title:Bw(ol.title),failureTitle:Bw(ol.failureTitle),description:Bw(ol.description),requiredArtifacts:["Accessibility"]}}},cse=Uw});var C5={};x(C5,{UIStrings:()=>il,default:()=>use});var il,jw,qw,use,k5=g(()=>{"use strict";l();re();A();il={title:"ARIA toggle fields have accessible names",failureTitle:"ARIA toggle fields do not have accessible names",description:"When a toggle field doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more about toggle fields](https://dequeuniversity.com/rules/axe/4.9/aria-toggle-field-name)."},jw=D("core/audits/accessibility/aria-toggle-field-name.js",il),qw=class extends O{static{s(this,"AriaToggleFieldName")}static get meta(){return{id:"aria-toggle-field-name",title:jw(il.title),failureTitle:jw(il.failureTitle),description:jw(il.description),requiredArtifacts:["Accessibility"]}}},use=qw});var F5={};x(F5,{UIStrings:()=>sl,default:()=>lse});var sl,zw,Hw,lse,R5=g(()=>{"use strict";l();re();A();sl={title:"ARIA `tooltip` elements have accessible names",failureTitle:"ARIA `tooltip` elements do not have accessible names.",description:"When a tooltip element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn how to name `tooltip` elements](https://dequeuniversity.com/rules/axe/4.9/aria-tooltip-name)."},zw=D("core/audits/accessibility/aria-tooltip-name.js",sl),Hw=class extends O{static{s(this,"AriaTooltipName")}static get meta(){return{id:"aria-tooltip-name",title:zw(sl.title),failureTitle:zw(sl.failureTitle),description:zw(sl.description),requiredArtifacts:["Accessibility"]}}},lse=Hw});var A5={};x(A5,{UIStrings:()=>cl,default:()=>dse});var cl,Ww,Gw,dse,_5=g(()=>{"use strict";l();re();A();cl={title:"ARIA `treeitem` elements have accessible names",failureTitle:"ARIA `treeitem` elements do not have accessible names.",description:"When a `treeitem` element doesn't have an accessible name, screen readers announce it with a generic name, making it unusable for users who rely on screen readers. [Learn more about labeling `treeitem` elements](https://dequeuniversity.com/rules/axe/4.9/aria-treeitem-name)."},Ww=D("core/audits/accessibility/aria-treeitem-name.js",cl),Gw=class extends O{static{s(this,"AriaTreeitemName")}static get meta(){return{id:"aria-treeitem-name",title:Ww(cl.title),failureTitle:Ww(cl.failureTitle),description:Ww(cl.description),requiredArtifacts:["Accessibility"]}}},dse=Gw});var I5={};x(I5,{UIStrings:()=>ul,default:()=>mse});var ul,Vw,$w,mse,M5=g(()=>{"use strict";l();re();A();ul={title:"`[aria-*]` attributes have valid values",failureTitle:"`[aria-*]` attributes do not have valid values",description:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid values. [Learn more about valid values for ARIA attributes](https://dequeuniversity.com/rules/axe/4.9/aria-valid-attr-value)."},Vw=D("core/audits/accessibility/aria-valid-attr-value.js",ul),$w=class extends O{static{s(this,"ARIAValidAttr")}static get meta(){return{id:"aria-valid-attr-value",title:Vw(ul.title),failureTitle:Vw(ul.failureTitle),description:Vw(ul.description),requiredArtifacts:["Accessibility"]}}},mse=$w});var N5={};x(N5,{UIStrings:()=>ll,default:()=>pse});var ll,Yw,Kw,pse,P5=g(()=>{"use strict";l();re();A();ll={title:"`[aria-*]` attributes are valid and not misspelled",failureTitle:"`[aria-*]` attributes are not valid or misspelled",description:"Assistive technologies, like screen readers, can't interpret ARIA attributes with invalid names. [Learn more about valid ARIA attributes](https://dequeuniversity.com/rules/axe/4.9/aria-valid-attr)."},Yw=D("core/audits/accessibility/aria-valid-attr.js",ll),Kw=class extends O{static{s(this,"ARIAValidAttr")}static get meta(){return{id:"aria-valid-attr",title:Yw(ll.title),failureTitle:Yw(ll.failureTitle),description:Yw(ll.description),requiredArtifacts:["Accessibility"]}}},pse=Kw});var L5={};x(L5,{UIStrings:()=>dl,default:()=>fse});var dl,Jw,Xw,fse,O5=g(()=>{"use strict";l();re();A();dl={title:"Buttons have an accessible name",failureTitle:"Buttons do not have an accessible name",description:`When a button doesn't have an accessible name, screen readers announce it as "button", making it unusable for users who rely on screen readers. [Learn how to make buttons more accessible](https://dequeuniversity.com/rules/axe/4.9/button-name).`},Jw=D("core/audits/accessibility/button-name.js",dl),Xw=class extends O{static{s(this,"ButtonName")}static get meta(){return{id:"button-name",title:Jw(dl.title),failureTitle:Jw(dl.failureTitle),description:Jw(dl.description),requiredArtifacts:["Accessibility"]}}},fse=Xw});var B5={};x(B5,{UIStrings:()=>ml,default:()=>hse});var ml,Zw,Qw,hse,U5=g(()=>{"use strict";l();re();A();ml={title:"The page contains a heading, skip link, or landmark region",failureTitle:"The page does not contain a heading, skip link, or landmark region",description:"Adding ways to bypass repetitive content lets keyboard users navigate the page more efficiently. [Learn more about bypass blocks](https://dequeuniversity.com/rules/axe/4.9/bypass)."},Zw=D("core/audits/accessibility/bypass.js",ml),Qw=class extends O{static{s(this,"Bypass")}static get meta(){return{id:"bypass",title:Zw(ml.title),failureTitle:Zw(ml.failureTitle),description:Zw(ml.description),scoreDisplayMode:O.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},hse=Qw});var j5={};x(j5,{UIStrings:()=>pl,default:()=>gse});var pl,eD,tD,gse,q5=g(()=>{"use strict";l();re();A();pl={title:"Background and foreground colors have a sufficient contrast ratio",failureTitle:"Background and foreground colors do not have a sufficient contrast ratio.",description:"Low-contrast text is difficult or impossible for many users to read. [Learn how to provide sufficient color contrast](https://dequeuniversity.com/rules/axe/4.9/color-contrast)."},eD=D("core/audits/accessibility/color-contrast.js",pl),tD=class extends O{static{s(this,"ColorContrast")}static get meta(){return{id:"color-contrast",title:eD(pl.title),failureTitle:eD(pl.failureTitle),description:eD(pl.description),requiredArtifacts:["Accessibility"]}}},gse=tD});var z5={};x(z5,{UIStrings:()=>fl,default:()=>yse});var fl,nD,rD,yse,H5=g(()=>{"use strict";l();re();A();fl={title:"`<dl>`'s contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements.",failureTitle:"`<dl>`'s do not contain only properly-ordered `<dt>` and `<dd>` groups, `<script>`, `<template>` or `<div>` elements.",description:"When definition lists are not properly marked up, screen readers may produce confusing or inaccurate output. [Learn how to structure definition lists correctly](https://dequeuniversity.com/rules/axe/4.9/definition-list)."},nD=D("core/audits/accessibility/definition-list.js",fl),rD=class extends O{static{s(this,"DefinitionList")}static get meta(){return{id:"definition-list",title:nD(fl.title),failureTitle:nD(fl.failureTitle),description:nD(fl.description),requiredArtifacts:["Accessibility"]}}},yse=rD});var W5={};x(W5,{UIStrings:()=>hl,default:()=>vse});var hl,aD,oD,vse,G5=g(()=>{"use strict";l();re();A();hl={title:"Definition list items are wrapped in `<dl>` elements",failureTitle:"Definition list items are not wrapped in `<dl>` elements",description:"Definition list items (`<dt>` and `<dd>`) must be wrapped in a parent `<dl>` element to ensure that screen readers can properly announce them. [Learn how to structure definition lists correctly](https://dequeuniversity.com/rules/axe/4.9/dlitem)."},aD=D("core/audits/accessibility/dlitem.js",hl),oD=class extends O{static{s(this,"DLItem")}static get meta(){return{id:"dlitem",title:aD(hl.title),failureTitle:aD(hl.failureTitle),description:aD(hl.description),requiredArtifacts:["Accessibility"]}}},vse=oD});var V5={};x(V5,{UIStrings:()=>gl,default:()=>bse});var gl,iD,sD,bse,$5=g(()=>{"use strict";l();re();A();gl={title:"Document has a `<title>` element",failureTitle:"Document doesn't have a `<title>` element",description:"The title gives screen reader users an overview of the page, and search engine users rely on it heavily to determine if a page is relevant to their search. [Learn more about document titles](https://dequeuniversity.com/rules/axe/4.9/document-title)."},iD=D("core/audits/accessibility/document-title.js",gl),sD=class extends O{static{s(this,"DocumentTitle")}static get meta(){return{id:"document-title",title:iD(gl.title),failureTitle:iD(gl.failureTitle),description:iD(gl.description),requiredArtifacts:["Accessibility"]}}},bse=sD});var Y5={};x(Y5,{UIStrings:()=>yl,default:()=>wse});var yl,cD,uD,wse,K5=g(()=>{"use strict";l();re();A();yl={title:"ARIA IDs are unique",failureTitle:"ARIA IDs are not unique",description:"The value of an ARIA ID must be unique to prevent other instances from being overlooked by assistive technologies. [Learn how to fix duplicate ARIA IDs](https://dequeuniversity.com/rules/axe/4.9/duplicate-id-aria)."},cD=D("core/audits/accessibility/duplicate-id-aria.js",yl),uD=class extends O{static{s(this,"DuplicateIdAria")}static get meta(){return{id:"duplicate-id-aria",title:cD(yl.title),failureTitle:cD(yl.failureTitle),description:cD(yl.description),scoreDisplayMode:O.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},wse=uD});var J5={};x(J5,{UIStrings:()=>vl,default:()=>Dse});var vl,lD,dD,Dse,X5=g(()=>{"use strict";l();re();A();vl={title:"All heading elements contain content.",failureTitle:"Heading elements do not contain content.",description:"A heading with no content or inaccessible text prevent screen reader users from accessing information on the page's structure. [Learn more about headings](https://dequeuniversity.com/rules/axe/4.9/empty-heading)."},lD=D("core/audits/accessibility/empty-heading.js",vl),dD=class extends O{static{s(this,"EmptyHeading")}static get meta(){return{id:"empty-heading",title:lD(vl.title),failureTitle:lD(vl.failureTitle),description:lD(vl.description),scoreDisplayMode:O.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},Dse=dD});var Z5={};x(Z5,{UIStrings:()=>bl,default:()=>Ese});var bl,mD,pD,Ese,Q5=g(()=>{"use strict";l();re();A();bl={title:"No form fields have multiple labels",failureTitle:"Form fields have multiple labels",description:"Form fields with multiple labels can be confusingly announced by assistive technologies like screen readers which use either the first, the last, or all of the labels. [Learn how to use form labels](https://dequeuniversity.com/rules/axe/4.9/form-field-multiple-labels)."},mD=D("core/audits/accessibility/form-field-multiple-labels.js",bl),pD=class extends O{static{s(this,"FormFieldMultipleLabels")}static get meta(){return{id:"form-field-multiple-labels",title:mD(bl.title),failureTitle:mD(bl.failureTitle),description:mD(bl.description),scoreDisplayMode:O.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},Ese=pD});var eO={};x(eO,{UIStrings:()=>wl,default:()=>Tse});var wl,fD,hD,Tse,tO=g(()=>{"use strict";l();re();A();wl={title:"`<frame>` or `<iframe>` elements have a title",failureTitle:"`<frame>` or `<iframe>` elements do not have a title",description:"Screen reader users rely on frame titles to describe the contents of frames. [Learn more about frame titles](https://dequeuniversity.com/rules/axe/4.9/frame-title)."},fD=D("core/audits/accessibility/frame-title.js",wl),hD=class extends O{static{s(this,"FrameTitle")}static get meta(){return{id:"frame-title",title:fD(wl.title),failureTitle:fD(wl.failureTitle),description:fD(wl.description),requiredArtifacts:["Accessibility"]}}},Tse=hD});var nO={};x(nO,{UIStrings:()=>Dl,default:()=>xse});var Dl,gD,yD,xse,rO=g(()=>{"use strict";l();re();A();Dl={title:"Heading elements appear in a sequentially-descending order",failureTitle:"Heading elements are not in a sequentially-descending order",description:"Properly ordered headings that do not skip levels convey the semantic structure of the page, making it easier to navigate and understand when using assistive technologies. [Learn more about heading order](https://dequeuniversity.com/rules/axe/4.9/heading-order)."},gD=D("core/audits/accessibility/heading-order.js",Dl),yD=class extends O{static{s(this,"HeadingOrder")}static get meta(){return{id:"heading-order",title:gD(Dl.title),failureTitle:gD(Dl.failureTitle),description:gD(Dl.description),requiredArtifacts:["Accessibility"]}}},xse=yD});var aO={};x(aO,{UIStrings:()=>El,default:()=>Sse});var El,vD,bD,Sse,oO=g(()=>{"use strict";l();re();A();El={title:"`<html>` element has a `[lang]` attribute",failureTitle:"`<html>` element does not have a `[lang]` attribute",description:"If a page doesn't specify a `lang` attribute, a screen reader assumes that the page is in the default language that the user chose when setting up the screen reader. If the page isn't actually in the default language, then the screen reader might not announce the page's text correctly. [Learn more about the `lang` attribute](https://dequeuniversity.com/rules/axe/4.9/html-has-lang)."},vD=D("core/audits/accessibility/html-has-lang.js",El),bD=class extends O{static{s(this,"HTMLHasLang")}static get meta(){return{id:"html-has-lang",title:vD(El.title),failureTitle:vD(El.failureTitle),description:vD(El.description),requiredArtifacts:["Accessibility"]}}},Sse=bD});var iO={};x(iO,{UIStrings:()=>Tl,default:()=>Cse});var Tl,wD,DD,Cse,sO=g(()=>{"use strict";l();re();A();Tl={title:"`<html>` element has a valid value for its `[lang]` attribute",failureTitle:"`<html>` element does not have a valid value for its `[lang]` attribute.",description:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) helps screen readers announce text properly. [Learn how to use the `lang` attribute](https://dequeuniversity.com/rules/axe/4.9/html-lang-valid)."},wD=D("core/audits/accessibility/html-lang-valid.js",Tl),DD=class extends O{static{s(this,"HTMLLangValid")}static get meta(){return{id:"html-lang-valid",title:wD(Tl.title),failureTitle:wD(Tl.failureTitle),description:wD(Tl.description),requiredArtifacts:["Accessibility"]}}},Cse=DD});var cO={};x(cO,{UIStrings:()=>xl,default:()=>kse});var xl,ED,TD,kse,uO=g(()=>{"use strict";l();re();A();xl={title:"`<html>` element has an `[xml:lang]` attribute with the same base language as the `[lang]` attribute.",failureTitle:"`<html>` element does not have an `[xml:lang]` attribute with the same base language as the `[lang]` attribute.",description:"If the webpage does not specify a consistent language, then the screen reader might not announce the page's text correctly. [Learn more about the `lang` attribute](https://dequeuniversity.com/rules/axe/4.9/html-xml-lang-mismatch)."},ED=D("core/audits/accessibility/html-xml-lang-mismatch.js",xl),TD=class extends O{static{s(this,"HTMLXMLLangMismatch")}static get meta(){return{id:"html-xml-lang-mismatch",title:ED(xl.title),failureTitle:ED(xl.failureTitle),description:ED(xl.description),requiredArtifacts:["Accessibility"]}}},kse=TD});var lO={};x(lO,{UIStrings:()=>Sl,default:()=>Fse});var Sl,xD,SD,Fse,dO=g(()=>{"use strict";l();re();A();Sl={title:"Identical links have the same purpose.",failureTitle:"Identical links do not have the same purpose.",description:"Links with the same destination should have the same description, to help users understand the link's purpose and decide whether to follow it. [Learn more about identical links](https://dequeuniversity.com/rules/axe/4.9/identical-links-same-purpose)."},xD=D("core/audits/accessibility/identical-links-same-purpose.js",Sl),SD=class extends O{static{s(this,"IdenticalLinksSamePurpose")}static get meta(){return{id:"identical-links-same-purpose",title:xD(Sl.title),failureTitle:xD(Sl.failureTitle),description:xD(Sl.description),scoreDisplayMode:O.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},Fse=SD});var mO={};x(mO,{UIStrings:()=>Cl,default:()=>Rse});var Cl,CD,kD,Rse,pO=g(()=>{"use strict";l();re();A();Cl={title:"Image elements have `[alt]` attributes",failureTitle:"Image elements do not have `[alt]` attributes",description:"Informative elements should aim for short, descriptive alternate text. Decorative elements can be ignored with an empty alt attribute. [Learn more about the `alt` attribute](https://dequeuniversity.com/rules/axe/4.9/image-alt)."},CD=D("core/audits/accessibility/image-alt.js",Cl),kD=class extends O{static{s(this,"ImageAlt")}static get meta(){return{id:"image-alt",title:CD(Cl.title),failureTitle:CD(Cl.failureTitle),description:CD(Cl.description),requiredArtifacts:["Accessibility"]}}},Rse=kD});var fO={};x(fO,{UIStrings:()=>kl,default:()=>Ase});var kl,FD,RD,Ase,hO=g(()=>{"use strict";l();re();A();kl={title:"Image elements do not have `[alt]` attributes that are redundant text.",failureTitle:"Image elements have `[alt]` attributes that are redundant text.",description:"Informative elements should aim for short, descriptive alternative text. Alternative text that is exactly the same as the text adjacent to the link or image is potentially confusing for screen reader users, because the text will be read twice. [Learn more about the `alt` attribute](https://dequeuniversity.com/rules/axe/4.9/image-redundant-alt)."},FD=D("core/audits/accessibility/image-redundant-alt.js",kl),RD=class extends O{static{s(this,"ImageRedundantAlt")}static get meta(){return{id:"image-redundant-alt",title:FD(kl.title),failureTitle:FD(kl.failureTitle),description:FD(kl.description),requiredArtifacts:["Accessibility"]}}},Ase=RD});var gO={};x(gO,{UIStrings:()=>Fl,default:()=>_se});var Fl,AD,_D,_se,yO=g(()=>{"use strict";l();re();A();Fl={title:"Input buttons have discernible text.",failureTitle:"Input buttons do not have discernible text.",description:"Adding discernable and accessible text to input buttons may help screen reader users understand the purpose of the input button. [Learn more about input buttons](https://dequeuniversity.com/rules/axe/4.9/input-button-name)."},AD=D("core/audits/accessibility/input-button-name.js",Fl),_D=class extends O{static{s(this,"InputButtonName")}static get meta(){return{id:"input-button-name",title:AD(Fl.title),failureTitle:AD(Fl.failureTitle),description:AD(Fl.description),requiredArtifacts:["Accessibility"]}}},_se=_D});var vO={};x(vO,{UIStrings:()=>Rl,default:()=>Ise});var Rl,ID,MD,Ise,bO=g(()=>{"use strict";l();re();A();Rl={title:'`<input type="image">` elements have `[alt]` text',failureTitle:'`<input type="image">` elements do not have `[alt]` text',description:"When an image is being used as an `<input>` button, providing alternative text can help screen reader users understand the purpose of the button. [Learn about input image alt text](https://dequeuniversity.com/rules/axe/4.9/input-image-alt)."},ID=D("core/audits/accessibility/input-image-alt.js",Rl),MD=class extends O{static{s(this,"InputImageAlt")}static get meta(){return{id:"input-image-alt",title:ID(Rl.title),failureTitle:ID(Rl.failureTitle),description:ID(Rl.description),requiredArtifacts:["Accessibility"]}}},Ise=MD});var wO={};x(wO,{UIStrings:()=>Al,default:()=>Mse});var Al,ND,PD,Mse,DO=g(()=>{"use strict";l();re();A();Al={title:"Elements with visible text labels have matching accessible names.",failureTitle:"Elements with visible text labels do not have matching accessible names.",description:"Visible text labels that do not match the accessible name can result in a confusing experience for screen reader users. [Learn more about accessible names](https://dequeuniversity.com/rules/axe/4.9/label-content-name-mismatch)."},ND=D("core/audits/accessibility/label-content-name-mismatch.js",Al),PD=class extends O{static{s(this,"LabelContentNameMismatch")}static get meta(){return{id:"label-content-name-mismatch",title:ND(Al.title),failureTitle:ND(Al.failureTitle),description:ND(Al.description),requiredArtifacts:["Accessibility"]}}},Mse=PD});var EO={};x(EO,{UIStrings:()=>_l,default:()=>Nse});var _l,LD,OD,Nse,TO=g(()=>{"use strict";l();re();A();_l={title:"Form elements have associated labels",failureTitle:"Form elements do not have associated labels",description:"Labels ensure that form controls are announced properly by assistive technologies, like screen readers. [Learn more about form element labels](https://dequeuniversity.com/rules/axe/4.9/label)."},LD=D("core/audits/accessibility/label.js",_l),OD=class extends O{static{s(this,"Label")}static get meta(){return{id:"label",title:LD(_l.title),failureTitle:LD(_l.failureTitle),description:LD(_l.description),requiredArtifacts:["Accessibility"]}}},Nse=OD});var xO={};x(xO,{UIStrings:()=>Il,default:()=>Pse});var Il,BD,UD,Pse,SO=g(()=>{"use strict";l();re();A();Il={title:"Document has a main landmark.",failureTitle:"Document does not have a main landmark.",description:"One main landmark helps screen reader users navigate a web page. [Learn more about landmarks](https://dequeuniversity.com/rules/axe/4.9/landmark-one-main)."},BD=D("core/audits/accessibility/landmark-one-main.js",Il),UD=class extends O{static{s(this,"LandmarkOneMain")}static get meta(){return{id:"landmark-one-main",title:BD(Il.title),failureTitle:BD(Il.failureTitle),description:BD(Il.description),scoreDisplayMode:O.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},Pse=UD});var CO={};x(CO,{UIStrings:()=>Ml,default:()=>Lse});var Ml,jD,qD,Lse,kO=g(()=>{"use strict";l();re();A();Ml={title:"Links are distinguishable without relying on color.",failureTitle:"Links rely on color to be distinguishable.",description:"Low-contrast text is difficult or impossible for many users to read. Link text that is discernible improves the experience for users with low vision. [Learn how to make links distinguishable](https://dequeuniversity.com/rules/axe/4.9/link-in-text-block)."},jD=D("core/audits/accessibility/link-in-text-block.js",Ml),qD=class extends O{static{s(this,"LinkInTextBlock")}static get meta(){return{id:"link-in-text-block",title:jD(Ml.title),failureTitle:jD(Ml.failureTitle),description:jD(Ml.description),requiredArtifacts:["Accessibility"]}}},Lse=qD});var FO={};x(FO,{UIStrings:()=>Nl,default:()=>Ose});var Nl,zD,HD,Ose,RO=g(()=>{"use strict";l();re();A();Nl={title:"Links have a discernible name",failureTitle:"Links do not have a discernible name",description:"Link text (and alternate text for images, when used as links) that is discernible, unique, and focusable improves the navigation experience for screen reader users. [Learn how to make links accessible](https://dequeuniversity.com/rules/axe/4.9/link-name)."},zD=D("core/audits/accessibility/link-name.js",Nl),HD=class extends O{static{s(this,"LinkName")}static get meta(){return{id:"link-name",title:zD(Nl.title),failureTitle:zD(Nl.failureTitle),description:zD(Nl.description),requiredArtifacts:["Accessibility"]}}},Ose=HD});var AO={};x(AO,{UIStrings:()=>Pl,default:()=>Bse});var Pl,WD,GD,Bse,_O=g(()=>{"use strict";l();re();A();Pl={title:"Lists contain only `<li>` elements and script supporting elements (`<script>` and `<template>`).",failureTitle:"Lists do not contain only `<li>` elements and script supporting elements (`<script>` and `<template>`).",description:"Screen readers have a specific way of announcing lists. Ensuring proper list structure aids screen reader output. [Learn more about proper list structure](https://dequeuniversity.com/rules/axe/4.9/list)."},WD=D("core/audits/accessibility/list.js",Pl),GD=class extends O{static{s(this,"List")}static get meta(){return{id:"list",title:WD(Pl.title),failureTitle:WD(Pl.failureTitle),description:WD(Pl.description),requiredArtifacts:["Accessibility"]}}},Bse=GD});var IO={};x(IO,{UIStrings:()=>Ll,default:()=>Use});var Ll,VD,$D,Use,MO=g(()=>{"use strict";l();re();A();Ll={title:"List items (`<li>`) are contained within `<ul>`, `<ol>` or `<menu>` parent elements",failureTitle:"List items (`<li>`) are not contained within `<ul>`, `<ol>` or `<menu>` parent elements.",description:"Screen readers require list items (`<li>`) to be contained within a parent `<ul>`, `<ol>` or `<menu>` to be announced properly. [Learn more about proper list structure](https://dequeuniversity.com/rules/axe/4.9/listitem)."},VD=D("core/audits/accessibility/listitem.js",Ll),$D=class extends O{static{s(this,"ListItem")}static get meta(){return{id:"listitem",title:VD(Ll.title),failureTitle:VD(Ll.failureTitle),description:VD(Ll.description),requiredArtifacts:["Accessibility"]}}},Use=$D});var YD,Pt,Vn=g(()=>{"use strict";l();$();YD=class extends b{static{s(this,"ManualAudit")}static get partialMeta(){return{scoreDisplayMode:b.SCORING_MODES.MANUAL,requiredArtifacts:[]}}static audit(){return{score:0}}},Pt=YD});var NO={};x(NO,{default:()=>jse});var KD,jse,PO=g(()=>{"use strict";l();Vn();KD=class extends Pt{static{s(this,"CustomControlsLabels")}static get meta(){return Object.assign({id:"custom-controls-labels",description:"Custom interactive controls have associated labels, provided by aria-label or aria-labelledby. [Learn more about custom controls and labels](https://developer.chrome.com/docs/lighthouse/accessibility/custom-controls-labels/).",title:"Custom controls have associated labels"},super.partialMeta)}},jse=KD});var LO={};x(LO,{default:()=>qse});var JD,qse,OO=g(()=>{"use strict";l();Vn();JD=class extends Pt{static{s(this,"CustomControlsRoles")}static get meta(){return Object.assign({id:"custom-controls-roles",description:"Custom interactive controls have appropriate ARIA roles. [Learn how to add roles to custom controls](https://developer.chrome.com/docs/lighthouse/accessibility/custom-control-roles/).",title:"Custom controls have ARIA roles"},super.partialMeta)}},qse=JD});var BO={};x(BO,{default:()=>zse});var XD,zse,UO=g(()=>{"use strict";l();Vn();XD=class extends Pt{static{s(this,"FocusTraps")}static get meta(){return Object.assign({id:"focus-traps",description:"A user can tab into and out of any control or region without accidentally trapping their focus. [Learn how to avoid focus traps](https://developer.chrome.com/docs/lighthouse/accessibility/focus-traps/).",title:"User focus is not accidentally trapped in a region"},super.partialMeta)}},zse=XD});var jO={};x(jO,{default:()=>Hse});var ZD,Hse,qO=g(()=>{"use strict";l();Vn();ZD=class extends Pt{static{s(this,"FocusableControls")}static get meta(){return Object.assign({id:"focusable-controls",description:"Custom interactive controls are keyboard focusable and display a focus indicator. [Learn how to make custom controls focusable](https://developer.chrome.com/docs/lighthouse/accessibility/focusable-controls/).",title:"Interactive controls are keyboard focusable"},super.partialMeta)}},Hse=ZD});var zO={};x(zO,{default:()=>Wse});var QD,Wse,HO=g(()=>{"use strict";l();Vn();QD=class extends Pt{static{s(this,"InteractiveElementAffordance")}static get meta(){return Object.assign({id:"interactive-element-affordance",description:"Interactive elements, such as links and buttons, should indicate their state and be distinguishable from non-interactive elements. [Learn how to decorate interactive elements with affordance hints](https://developer.chrome.com/docs/lighthouse/accessibility/interactive-element-affordance/).",title:"Interactive elements indicate their purpose and state"},super.partialMeta)}},Wse=QD});var WO={};x(WO,{default:()=>Gse});var eE,Gse,GO=g(()=>{"use strict";l();Vn();eE=class extends Pt{static{s(this,"LogicalTabOrder")}static get meta(){return Object.assign({id:"logical-tab-order",description:"Tabbing through the page follows the visual layout. Users cannot focus elements that are offscreen. [Learn more about logical tab ordering](https://developer.chrome.com/docs/lighthouse/accessibility/logical-tab-order/).",title:"The page has a logical tab order"},super.partialMeta)}},Gse=eE});var VO={};x(VO,{default:()=>Vse});var tE,Vse,$O=g(()=>{"use strict";l();Vn();tE=class extends Pt{static{s(this,"ManagedFocus")}static get meta(){return Object.assign({id:"managed-focus",description:"If new content, such as a dialog, is added to the page, the user's focus is directed to it. [Learn how to direct focus to new content](https://developer.chrome.com/docs/lighthouse/accessibility/managed-focus/).",title:"The user's focus is directed to new content added to the page"},super.partialMeta)}},Vse=tE});var YO={};x(YO,{default:()=>$se});var nE,$se,KO=g(()=>{"use strict";l();Vn();nE=class extends Pt{static{s(this,"OffscreenContentHidden")}static get meta(){return Object.assign({id:"offscreen-content-hidden",description:"Offscreen content is hidden with display: none or aria-hidden=true. [Learn how to properly hide offscreen content](https://developer.chrome.com/docs/lighthouse/accessibility/offscreen-content-hidden/).",title:"Offscreen content is hidden from assistive technology"},super.partialMeta)}},$se=nE});var JO={};x(JO,{default:()=>Yse});var rE,Yse,XO=g(()=>{"use strict";l();Vn();rE=class extends Pt{static{s(this,"UseLandmarks")}static get meta(){return Object.assign({id:"use-landmarks",description:"Landmark elements (`<main>`, `<nav>`, etc.) are used to improve the keyboard navigation of the page for assistive technology. [Learn more about landmark elements](https://developer.chrome.com/docs/lighthouse/accessibility/use-landmarks/).",title:"HTML5 landmark elements are used to improve navigation"},super.partialMeta)}},Yse=rE});var ZO={};x(ZO,{default:()=>Kse});var aE,Kse,QO=g(()=>{"use strict";l();Vn();aE=class extends Pt{static{s(this,"VisualOrderFollowsDOM")}static get meta(){return Object.assign({id:"visual-order-follows-dom",description:"DOM order matches the visual order, improving navigation for assistive technology. [Learn more about DOM and visual ordering](https://developer.chrome.com/docs/lighthouse/accessibility/visual-order-follows-dom/).",title:"Visual order on the page follows DOM order"},super.partialMeta)}},Kse=aE});var e6={};x(e6,{UIStrings:()=>Ol,default:()=>Jse});var Ol,oE,iE,Jse,t6=g(()=>{"use strict";l();re();A();Ol={title:'The document does not use `<meta http-equiv="refresh">`',failureTitle:'The document uses `<meta http-equiv="refresh">`',description:"Users do not expect a page to refresh automatically, and doing so will move focus back to the top of the page. This may create a frustrating or confusing experience. [Learn more about the refresh meta tag](https://dequeuniversity.com/rules/axe/4.9/meta-refresh)."},oE=D("core/audits/accessibility/meta-refresh.js",Ol),iE=class extends O{static{s(this,"MetaRefresh")}static get meta(){return{id:"meta-refresh",title:oE(Ol.title),failureTitle:oE(Ol.failureTitle),description:oE(Ol.description),requiredArtifacts:["Accessibility"]}}},Jse=iE});var n6={};x(n6,{UIStrings:()=>Bl,default:()=>Xse});var Bl,sE,cE,Xse,r6=g(()=>{"use strict";l();re();A();Bl={title:'`[user-scalable="no"]` is not used in the `<meta name="viewport">` element and the `[maximum-scale]` attribute is not less than 5.',failureTitle:'`[user-scalable="no"]` is used in the `<meta name="viewport">` element or the `[maximum-scale]` attribute is less than 5.',description:"Disabling zooming is problematic for users with low vision who rely on screen magnification to properly see the contents of a web page. [Learn more about the viewport meta tag](https://dequeuniversity.com/rules/axe/4.9/meta-viewport)."},sE=D("core/audits/accessibility/meta-viewport.js",Bl),cE=class extends O{static{s(this,"MetaViewport")}static get meta(){return{id:"meta-viewport",title:sE(Bl.title),failureTitle:sE(Bl.failureTitle),description:sE(Bl.description),requiredArtifacts:["Accessibility"]}}},Xse=cE});var a6={};x(a6,{UIStrings:()=>Ul,default:()=>Zse});var Ul,uE,lE,Zse,o6=g(()=>{"use strict";l();re();A();Ul={title:"`<object>` elements have alternate text",failureTitle:"`<object>` elements do not have alternate text",description:"Screen readers cannot translate non-text content. Adding alternate text to `<object>` elements helps screen readers convey meaning to users. [Learn more about alt text for `object` elements](https://dequeuniversity.com/rules/axe/4.9/object-alt)."},uE=D("core/audits/accessibility/object-alt.js",Ul),lE=class extends O{static{s(this,"ObjectAlt")}static get meta(){return{id:"object-alt",title:uE(Ul.title),failureTitle:uE(Ul.failureTitle),description:uE(Ul.description),requiredArtifacts:["Accessibility"]}}},Zse=lE});var i6={};x(i6,{UIStrings:()=>jl,default:()=>Qse});var jl,dE,mE,Qse,s6=g(()=>{"use strict";l();re();A();jl={title:"Select elements have associated label elements.",failureTitle:"Select elements do not have associated label elements.",description:"Form elements without effective labels can create frustrating experiences for screen reader users. [Learn more about the `select` element](https://dequeuniversity.com/rules/axe/4.9/select-name)."},dE=D("core/audits/accessibility/select-name.js",jl),mE=class extends O{static{s(this,"SelectName")}static get meta(){return{id:"select-name",title:dE(jl.title),failureTitle:dE(jl.failureTitle),description:dE(jl.description),requiredArtifacts:["Accessibility"]}}},Qse=mE});var c6={};x(c6,{UIStrings:()=>ql,default:()=>ece});var ql,pE,fE,ece,u6=g(()=>{"use strict";l();re();A();ql={title:"Skip links are focusable.",failureTitle:"Skip links are not focusable.",description:"Including a skip link can help users skip to the main content to save time. [Learn more about skip links](https://dequeuniversity.com/rules/axe/4.9/skip-link)."},pE=D("core/audits/accessibility/skip-link.js",ql),fE=class extends O{static{s(this,"SkipLink")}static get meta(){return{id:"skip-link",title:pE(ql.title),failureTitle:pE(ql.failureTitle),description:pE(ql.description),requiredArtifacts:["Accessibility"]}}},ece=fE});var l6={};x(l6,{UIStrings:()=>zl,default:()=>tce});var zl,hE,gE,tce,d6=g(()=>{"use strict";l();re();A();zl={title:"No element has a `[tabindex]` value greater than 0",failureTitle:"Some elements have a `[tabindex]` value greater than 0",description:"A value greater than 0 implies an explicit navigation ordering. Although technically valid, this often creates frustrating experiences for users who rely on assistive technologies. [Learn more about the `tabindex` attribute](https://dequeuniversity.com/rules/axe/4.9/tabindex)."},hE=D("core/audits/accessibility/tabindex.js",zl),gE=class extends O{static{s(this,"TabIndex")}static get meta(){return{id:"tabindex",title:hE(zl.title),failureTitle:hE(zl.failureTitle),description:hE(zl.description),requiredArtifacts:["Accessibility"]}}},tce=gE});var m6={};x(m6,{UIStrings:()=>Hl,default:()=>nce});var Hl,yE,vE,nce,p6=g(()=>{"use strict";l();re();A();Hl={title:"Tables have different content in the summary attribute and `<caption>`.",failureTitle:"Tables have the same content in the summary attribute and `<caption>.`",description:"The summary attribute should describe the table structure, while `<caption>` should have the onscreen title. Accurate table mark-up helps users of screen readers. [Learn more about summary and caption](https://dequeuniversity.com/rules/axe/4.9/table-duplicate-name)."},yE=D("core/audits/accessibility/table-duplicate-name.js",Hl),vE=class extends O{static{s(this,"TableDuplicateName")}static get meta(){return{id:"table-duplicate-name",title:yE(Hl.title),failureTitle:yE(Hl.failureTitle),description:yE(Hl.description),requiredArtifacts:["Accessibility"]}}},nce=vE});var f6={};x(f6,{UIStrings:()=>Wl,default:()=>rce});var Wl,bE,wE,rce,h6=g(()=>{"use strict";l();re();A();Wl={title:"Tables use `<caption>` instead of cells with the `[colspan]` attribute to indicate a caption.",failureTitle:"Tables do not use `<caption>` instead of cells with the `[colspan]` attribute to indicate a caption.",description:"Screen readers have features to make navigating tables easier. Ensuring that tables use the actual caption element instead of cells with the `[colspan]` attribute may improve the experience for screen reader users. [Learn more about captions](https://dequeuniversity.com/rules/axe/4.9/table-fake-caption)."},bE=D("core/audits/accessibility/table-fake-caption.js",Wl),wE=class extends O{static{s(this,"TableFakeCaption")}static get meta(){return{id:"table-fake-caption",title:bE(Wl.title),failureTitle:bE(Wl.failureTitle),description:bE(Wl.description),requiredArtifacts:["Accessibility"]}}},rce=wE});var g6={};x(g6,{UIStrings:()=>Gl,default:()=>ace});var Gl,DE,EE,ace,y6=g(()=>{"use strict";l();re();A();Gl={title:"Touch targets have sufficient size and spacing.",failureTitle:"Touch targets do not have sufficient size or spacing.",description:"Touch targets with sufficient size and spacing help users who may have difficulty targeting small controls to activate the targets. [Learn more about touch targets](https://dequeuniversity.com/rules/axe/4.9/target-size)."},DE=D("core/audits/accessibility/target-size.js",Gl),EE=class extends O{static{s(this,"TargetSize")}static get meta(){return{id:"target-size",title:DE(Gl.title),failureTitle:DE(Gl.failureTitle),description:DE(Gl.description),requiredArtifacts:["Accessibility"]}}},ace=EE});var v6={};x(v6,{UIStrings:()=>Vl,default:()=>oce});var Vl,TE,xE,oce,b6=g(()=>{"use strict";l();re();A();Vl={title:"`<td>` elements in a large `<table>` have one or more table headers.",failureTitle:"`<td>` elements in a large `<table>` do not have table headers.",description:"Screen readers have features to make navigating tables easier. Ensuring that `<td>` elements in a large table (3 or more cells in width and height) have an associated table header may improve the experience for screen reader users. [Learn more about table headers](https://dequeuniversity.com/rules/axe/4.9/td-has-header)."},TE=D("core/audits/accessibility/td-has-header.js",Vl),xE=class extends O{static{s(this,"TDHasHeader")}static get meta(){return{id:"td-has-header",title:TE(Vl.title),failureTitle:TE(Vl.failureTitle),description:TE(Vl.description),requiredArtifacts:["Accessibility"]}}},oce=xE});var w6={};x(w6,{UIStrings:()=>$l,default:()=>ice});var $l,SE,CE,ice,D6=g(()=>{"use strict";l();re();A();$l={title:"Cells in a `<table>` element that use the `[headers]` attribute refer to table cells within the same table.",failureTitle:"Cells in a `<table>` element that use the `[headers]` attribute refer to an element `id` not found within the same table.",description:"Screen readers have features to make navigating tables easier. Ensuring `<td>` cells using the `[headers]` attribute only refer to other cells in the same table may improve the experience for screen reader users. [Learn more about the `headers` attribute](https://dequeuniversity.com/rules/axe/4.9/td-headers-attr)."},SE=D("core/audits/accessibility/td-headers-attr.js",$l),CE=class extends O{static{s(this,"TDHeadersAttr")}static get meta(){return{id:"td-headers-attr",title:SE($l.title),failureTitle:SE($l.failureTitle),description:SE($l.description),requiredArtifacts:["Accessibility"]}}},ice=CE});var E6={};x(E6,{UIStrings:()=>Yl,default:()=>sce});var Yl,kE,FE,sce,T6=g(()=>{"use strict";l();re();A();Yl={title:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` have data cells they describe.',failureTitle:'`<th>` elements and elements with `[role="columnheader"/"rowheader"]` do not have data cells they describe.',description:"Screen readers have features to make navigating tables easier. Ensuring table headers always refer to some set of cells may improve the experience for screen reader users. [Learn more about table headers](https://dequeuniversity.com/rules/axe/4.9/th-has-data-cells)."},kE=D("core/audits/accessibility/th-has-data-cells.js",Yl),FE=class extends O{static{s(this,"THHasDataCells")}static get meta(){return{id:"th-has-data-cells",title:kE(Yl.title),failureTitle:kE(Yl.failureTitle),description:kE(Yl.description),scoreDisplayMode:O.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},sce=FE});var x6={};x(x6,{UIStrings:()=>Kl,default:()=>cce});var Kl,RE,AE,cce,S6=g(()=>{"use strict";l();re();A();Kl={title:"`[lang]` attributes have a valid value",failureTitle:"`[lang]` attributes do not have a valid value",description:"Specifying a valid [BCP 47 language](https://www.w3.org/International/questions/qa-choosing-language-tags#question) on elements helps ensure that text is pronounced correctly by a screen reader. [Learn how to use the `lang` attribute](https://dequeuniversity.com/rules/axe/4.9/valid-lang)."},RE=D("core/audits/accessibility/valid-lang.js",Kl),AE=class extends O{static{s(this,"ValidLang")}static get meta(){return{id:"valid-lang",title:RE(Kl.title),failureTitle:RE(Kl.failureTitle),description:RE(Kl.description),requiredArtifacts:["Accessibility"]}}},cce=AE});var C6={};x(C6,{UIStrings:()=>Jl,default:()=>uce});var Jl,_E,IE,uce,k6=g(()=>{"use strict";l();re();A();Jl={title:'`<video>` elements contain a `<track>` element with `[kind="captions"]`',failureTitle:'`<video>` elements do not contain a `<track>` element with `[kind="captions"]`.',description:"When a video provides a caption it is easier for deaf and hearing impaired users to access its information. [Learn more about video captions](https://dequeuniversity.com/rules/axe/4.9/video-caption)."},_E=D("core/audits/accessibility/video-caption.js",Jl),IE=class extends O{static{s(this,"VideoCaption")}static get meta(){return{id:"video-caption",title:_E(Jl.title),failureTitle:_E(Jl.failureTitle),description:_E(Jl.description),scoreDisplayMode:O.SCORING_MODES.INFORMATIVE,requiredArtifacts:["Accessibility"]}}},uce=IE});var R6={};x(R6,{UIStrings:()=>dn,default:()=>mce});var dn,vn,lce,dce,F6,ME,mce,A6=g(()=>{"use strict";l();Me();$();A();dn={title:"`<input>` elements correctly use `autocomplete`",failureTitle:"`<input>` elements do not have correct `autocomplete` attributes",description:"`autocomplete` helps users submit forms quicker. To reduce user effort, consider enabling by setting the `autocomplete` attribute to a valid value. [Learn more about `autocomplete` in forms](https://developers.google.com/web/fundamentals/design-and-ux/input/forms#use_metadata_to_enable_auto-complete)",columnSuggestions:"Suggested Token",columnCurrent:"Current Value",warningInvalid:'`autocomplete` token(s): "{token}" is invalid in {snippet}',warningOrder:'Review order of tokens: "{tokens}" in {snippet}',reviewOrder:"Review order of tokens",manualReview:"Requires manual review"},vn=D("core/audits/autocomplete.js",dn),lce=["name","honorific-prefix","given-name","additional-name","family-name","honorific-suffix","nickname",
"username","new-password","current-password","one-time-code","organization-title","organization","street-address","address-line1","address-line2","address-line3","address-level4","address-level3","address-level2","address-level1","country","country-name","postal-code","cc-name","cc-given-name","cc-additional-name","cc-family-name","cc-number","cc-exp","cc-exp-month","cc-exp-year","cc-csc","cc-type","transaction-currency","transaction-amount","language","bday","bday-day","bday-month","bday-year","sex","url","photo","tel","tel-country-code","tel-national","tel-area-code","on","tel-local","tel-local-prefix","tel-local-suffix","tel-extension","email","impp","off","additional-name-initial","home","work","mobile","fax","pager","shipping","billing"],dce=["NO_SERVER_DATA","UNKNOWN_TYPE","EMPTY_TYPE","HTML_TYPE_UNSPECIFIED","HTML_TYPE_UNRECOGNIZED"],F6={NO_SERVER_DATA:vn(dn.manualReview),UNKNOWN_TYPE:vn(dn.manualReview),EMPTY_TYPE:vn(dn.manualReview),NAME_FIRST:"given-name",NAME_MIDDLE:"additio\
nal-name",NAME_LAST:"family-name",NAME_FULL:"name",NAME_MIDDLE_INITIAL:"additional-name-initial",NAME_SUFFIX:"honorific-suffix",NAME_BILLING_FIRST:"billing given-name",NAME_BILLING_MIDDLE:"billing additional-name",NAME_BILLING_LAST:"billing family-name",NAME_BILLING_MIDDLE_INITIAL:"billing additional-name-initial",NAME_BILLING_FULL:"billing name",NAME_BILLING_SUFFIX:"billing honorific-suffix",EMAIL_ADDRESS:"email",MERCHANT_EMAIL_SIGNUP:"email",PHONE_HOME_NUMBER:"tel-local",PHONE_HOME_CITY_CODE:"tel-area-code",PHONE_HOME_COUNTRY_CODE:"tel-country-code",PHONE_HOME_CITY_AND_NUMBER:"tel-national",PHONE_HOME_WHOLE_NUMBER:"tel",PHONE_HOME_EXTENSION:"tel-extension",PHONE_BILLING_NUMBER:"billing tel-local",PHONE_BILLING_CITY_CODE:"billing tel-area-code",PHONE_BILLING_COUNTRY_CODE:"tel-country-code",PHONE_BILLING_CITY_AND_NUMBER:"tel-national",PHONE_BILLING_WHOLE_NUMBER:"tel",ADDRESS_HOME_STREET_ADDRESS:"street-address",ADDRESS_HOME_LINE1:"address-line1",ADDRESS_HOME_LINE2:"address-line2",ADDRESS_HOME_LINE3:"\
address-line3",ADDRESS_HOME_STATE:"address-level1",ADDRESS_HOME_CITY:"address-level2",ADDRESS_HOME_DEPENDENT_LOCALITY:"address-level3",ADDRESS_HOME_ZIP:"postal-code",ADDRESS_HOME_COUNTRY:"country-name",ADDRESS_BILLING_DEPENDENT_LOCALITY:"billing address-level3",ADDRESS_BILLING_STREET_ADDRESS:"billing street-address",ADDRESS_BILLING_LINE1:"billing address-line1",ADDRESS_BILLING_LINE2:"billing address-line2",ADDRESS_BILLING_LINE3:"billing address-line3",ADDRESS_BILLING_APT_NUM:"billing address-level3",ADDRESS_BILLING_CITY:"billing address-level2",ADDRESS_BILLING_STATE:"billing address-level1",ADDRESS_BILLING_ZIP:"billing postal-code",ADDRESS_BILLING_COUNTRY:"billing country-name",CREDIT_CARD_NAME_FULL:"cc-name",CREDIT_CARD_NAME_FIRST:"cc-given-name",CREDIT_CARD_NAME_LAST:"cc-family-name",CREDIT_CARD_NUMBER:"cc-number",CREDIT_CARD_EXP_MONTH:"cc-exp-month",CREDIT_CARD_EXP_2_DIGIT_YEAR:"cc-exp-year",CREDIT_CARD_EXP_4_DIGIT_YEAR:"cc-exp-year",CREDIT_CARD_EXP_DATE_2_DIGIT_YEAR:"cc-exp",CREDIT_CARD_EXP_DATE_4_DIGIT_YEAR:"\
cc-exp",CREDIT_CARD_TYPE:"cc-type",CREDIT_CARD_VERIFICATION_CODE:"cc-csc",COMPANY_NAME:"organization",PASSWORD:"current-password",ACCOUNT_CREATION_PASSWORD:"new-password",HTML_TYPE_UNSPECIFIED:vn(dn.manualReview),HTML_TYPE_NAME:"name",HTML_TYPE_HONORIFIC_PREFIX:"honorific-prefix",HTML_TYPE_GIVEN_NAME:"given-name",HTML_TYPE_ADDITIONAL_NAME:"additional-name",HTML_TYPE_FAMILY_NAME:"family-name",HTML_TYPE_ORGANIZATION:"organization",HTML_TYPE_STREET_ADDRESS:"street-address",HTML_TYPE_ADDRESS_LINE1:"address-line1",HTML_TYPE_ADDRESS_LINE2:"address-line2",HTML_TYPE_ADDRESS_LINE3:"address-line3",HTML_TYPE_ADDRESS_LEVEL1:"address-level1",HTML_TYPE_ADDRESS_LEVEL2:"address-level2",HTML_TYPE_ADDRESS_LEVEL3:"address-level3",HTML_TYPE_COUNTRY_CODE:"tel-country-code",HTML_TYPE_COUNTRY_NAME:"country-name",HTML_TYPE_POSTAL_CODE:"postal-code",HTML_TYPE_FULL_ADDRESS:"street-address",HTML_TYPE_CREDIT_CARD_NAME_FULL:"cc-name",HTML_TYPE_CREDIT_CARD_NAME_FIRST:"cc-given-name",HTML_TYPE_CREDIT_CARD_NAME_LAST:"\
cc-family-name",HTML_TYPE_CREDIT_CARD_NUMBER:"cc-number",HTML_TYPE_CREDIT_CARD_EXP:"cc-exp",HTML_TYPE_CREDIT_CARD_EXP_MONTH:"cc-exp-month",HTML_TYPE_CREDIT_CARD_EXP_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_VERIFICATION_CODE:"cc-csc",HTML_TYPE_CREDIT_CARD_TYPE:"cc-csc",HTML_TYPE_TEL:"tel",HTML_TYPE_TEL_COUNTRY_CODE:"tel-country-code",HTML_TYPE_TEL_NATIONAL:"tel-national",HTML_TYPE_TEL_AREA_CODE:"tel-area-code",HTML_TYPE_TEL_LOCAL:"tel-local",HTML_TYPE_TEL_LOCAL_PREFIX:"tel-local-prefix",HTML_TYPE_TEL_LOCAL_SUFFIX:"tel-local-suffix",HTML_TYPE_TEL_EXTENSION:"tel-extension",HTML_TYPE_EMAIL:"email",HTML_TYPE_ADDITIONAL_NAME_INITIAL:"additional-name-initial",HTML_TYPE_CREDIT_CARD_EXP_DATE_2_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_DATE_4_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_2_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_CREDIT_CARD_EXP_4_DIGIT_YEAR:"cc-exp-year",HTML_TYPE_UPI_VPA:vn(dn.manualReview),HTML_TYPE_ONE_TIME_CODE:"one-time-code",HTML_TYPE_UNRECOGNIZED:vn(dn.manualReview),
HTML_TYPE_TRANSACTION_AMOUNT:"transaction-amount",HTML_TYPE_TRANSACTION_CURRENCY:"transaction-currency"},ME=class extends b{static{s(this,"AutocompleteAudit")}static get meta(){return{id:"autocomplete",title:vn(dn.title),failureTitle:vn(dn.failureTitle),description:vn(dn.description),requiredArtifacts:["Inputs"]}}static checkAttributeValidity(t){if(!t.autocomplete.attribute)return{hasValidTokens:!1};let n=t.autocomplete.attribute.split(" ");for(let r of n)if(r.slice(0,8)!=="section-"&&!lce.includes(r))return{hasValidTokens:!1};return t.autocomplete.property?{hasValidTokens:!0,isValidOrder:!0}:{hasValidTokens:!0,isValidOrder:!1}}static audit(t){let n=[],r=[],a=!1;for(let u of t.Inputs.inputs){let d=this.checkAttributeValidity(u);if(d.hasValidTokens&&d.isValidOrder||!u.autocomplete.prediction||dce.includes(u.autocomplete.prediction)&&!u.autocomplete.attribute)continue;a=!0;let m=F6[u.autocomplete.prediction];if(u.autocomplete.attribute||(u.autocomplete.attribute=""),u.autocomplete.attribute&&
r.push(vn(dn.warningInvalid,{token:u.autocomplete.attribute,snippet:u.node.snippet})),d.isValidOrder===!1&&(r.push(vn(dn.warningOrder,{tokens:u.autocomplete.attribute,snippet:u.node.snippet})),m=dn.reviewOrder),!(u.autocomplete.prediction in F6)&&d.isValidOrder){M.warn(`Autocomplete prediction (${u.autocomplete.prediction})
            not found in our mapping`);continue}n.push({node:b.makeNodeItem(u.node),suggestion:m,current:u.autocomplete.attribute})}let o=[{key:"node",valueType:"node",label:vn(k.columnFailingElem)},{key:"current",valueType:"text",label:vn(dn.columnCurrent)},{key:"suggestion",valueType:"text",label:vn(dn.columnSuggestions)}],i=b.makeTableDetails(o,n),c;return n.length>0&&(c=vn(k.displayValueElementsFound,{nodeCount:n.length})),{score:n.length>0?0:1,notApplicable:!a,displayValue:c,details:i,warnings:r}}},mce=ME});var B,U,_6,I6=g(()=>{"use strict";l();A();B={notMainFrame:"Navigation happened in a frame other than the main frame.",backForwardCacheDisabled:"Back/forward cache is disabled by flags. Visit chrome://flags/#back-forward-cache to enable it locally on this device.",relatedActiveContentsExist:"The page was opened using '`window.open()`' and another tab has a reference to it, or the page opened a window.",HTTPStatusNotOK:"Only pages with a status code of 2XX can be cached.",schemeNotHTTPOrHTTPS:"Only pages whose URL scheme is HTTP / HTTPS can be cached.",loading:"The page did not finish loading before navigating away.",wasGrantedMediaAccess:"Pages that have granted access to record video or audio are not currently eligible for back/forward cache.",HTTPMethodNotGET:"Only pages loaded via a GET request are eligible for back/forward cache.",subframeIsNavigating:"An iframe on the page started a navigation that did not complete.",timeout:"The page exceeded the maximum time in back/forward cache\
 and was expired.",cacheLimit:"The page was evicted from the cache to allow another page to be cached.",JavaScriptExecution:"Chrome detected an attempt to execute JavaScript while in the cache.",rendererProcessKilled:"The renderer process for the page in back/forward cache was killed.",rendererProcessCrashed:"The renderer process for the page in back/forward cache crashed.",grantedMediaStreamAccess:"Pages that have granted media stream access are not currently eligible for back/forward cache.",cacheFlushed:"The cache was intentionally cleared.",serviceWorkerVersionActivation:"The page was evicted from back/forward cache due to a service worker activation.",sessionRestored:"Chrome restarted and cleared the back/forward cache entries.",serviceWorkerPostMessage:"A service worker attempted to send the page in back/forward cache a `MessageEvent`.",enteredBackForwardCacheBeforeServiceWorkerHostAdded:"A service worker was activated while the page was in back/forward cache.",serviceWorkerClaim:"\
The page was claimed by a service worker while it is in back/forward cache.",haveInnerContents:"Pages that use portals are not currently eligible for back/forward cache.",timeoutPuttingInCache:"The page timed out entering back/forward cache (likely due to long-running pagehide handlers).",backForwardCacheDisabledByLowMemory:"Back/forward cache is disabled due to insufficient memory.",backForwardCacheDisabledByCommandLine:"Back/forward cache is disabled by the command line.",networkRequestDatapipeDrainedAsBytesConsumer:"Pages that have inflight fetch() or XHR are not currently eligible for back/forward cache.",networkRequestRedirected:"The page was evicted from back/forward cache because an active network request involved a redirect.",networkRequestTimeout:"The page was evicted from the cache because a network connection was open too long. Chrome limits the amount of time that a page may receive data while cached.",networkExceedsBufferLimit:"The page was evicted from the cache because a\
n active network connection received too much data. Chrome limits the amount of data that a page may receive while cached.",navigationCancelledWhileRestoring:"Navigation was cancelled before the page could be restored from back/forward cache.",backForwardCacheDisabledForPrerender:"Back/forward cache is disabled for prerenderer.",userAgentOverrideDiffers:"Browser has changed the user agent override header.",foregroundCacheLimit:"The page was evicted from the cache to allow another page to be cached.",backForwardCacheDisabledForDelegate:"Back/forward cache is not supported by delegate.",unloadHandlerExistsInMainFrame:"The page has an unload handler in the main frame.",unloadHandlerExistsInSubFrame:"The page has an unload handler in a sub frame.",serviceWorkerUnregistration:"ServiceWorker was unregistered while a page was in back/forward cache.",noResponseHead:"Pages that do not have a valid response head cannot enter back/forward cache.",cacheControlNoStore:"Pages with cache-control:no-s\
tore header cannot enter back/forward cache.",ineligibleAPI:"Ineligible APIs were used.",internalError:"Internal error.",webSocket:"Pages with WebSocket cannot enter back/forward cache.",webTransport:"Pages with WebTransport cannot enter back/forward cache.",webRTC:"Pages with WebRTC cannot enter back/forward cache.",mainResourceHasCacheControlNoStore:"Pages whose main resource has cache-control:no-store cannot enter back/forward cache.",mainResourceHasCacheControlNoCache:"Pages whose main resource has cache-control:no-cache cannot enter back/forward cache.",subresourceHasCacheControlNoStore:"Pages whose subresource has cache-control:no-store cannot enter back/forward cache.",subresourceHasCacheControlNoCache:"Pages whose subresource has cache-control:no-cache cannot enter back/forward cache.",containsPlugins:"Pages containing plugins are not currently eligible for back/forward cache.",documentLoaded:"The document did not finish loading before navigating away.",dedicatedWorkerOrWorklet:"\
Pages that use a dedicated worker or worklet are not currently eligible for back/forward cache.",outstandingNetworkRequestOthers:"Pages with an in-flight network request are not currently eligible for back/forward cache.",outstandingIndexedDBTransaction:"Page with ongoing indexed DB transactions are not currently eligible for back/forward cache.",requestedNotificationsPermission:"Pages that have requested notifications permissions are not currently eligible for back/forward cache.",requestedMIDIPermission:"Pages that have requested MIDI permissions are not currently eligible for back/forward cache.",requestedAudioCapturePermission:"Pages that have requested audio capture permissions are not currently eligible for back/forward cache.",requestedVideoCapturePermission:"Pages that have requested video capture permissions are not currently eligible for back/forward cache.",requestedBackForwardCacheBlockedSensors:"Pages that have requested sensor permissions are not currently eligible for ba\
ck/forward cache.",requestedBackgroundWorkPermission:"Pages that have requested background sync or fetch permissions are not currently eligible for back/forward cache.",broadcastChannel:"The page cannot be cached because it has a BroadcastChannel instance with registered listeners.",indexedDBConnection:"Pages that have an open IndexedDB connection are not currently eligible for back/forward cache.",webXR:"Pages that use WebXR are not currently eligible for back/forward cache.",sharedWorker:"Pages that use SharedWorker are not currently eligible for back/forward cache.",webLocks:"Pages that use WebLocks are not currently eligible for back/forward cache.",webHID:"Pages that use WebHID are not currently eligible for back/forward cache.",webShare:"Pages that use WebShare are not currently eligible for back/forwad cache.",requestedStorageAccessGrant:"Pages that have requested storage access are not currently eligible for back/forward cache.",webNfc:"Pages that use WebNfc are not currently e\
ligible for back/forwad cache.",outstandingNetworkRequestFetch:"Pages with an in-flight fetch network request are not currently eligible for back/forward cache.",outstandingNetworkRequestXHR:"Pages with an in-flight XHR network request are not currently eligible for back/forward cache.",appBanner:"Pages that requested an AppBanner are not currently eligible for back/forward cache.",printing:"Pages that show Printing UI are not currently eligible for back/forward cache.",webDatabase:"Pages that use WebDatabase are not currently eligible for back/forward cache.",pictureInPicture:"Pages that use Picture-in-Picture are not currently eligible for back/forward cache.",portal:"Pages that use portals are not currently eligible for back/forward cache.",speechRecognizer:"Pages that use SpeechRecognizer are not currently eligible for back/forward cache.",idleManager:"Pages that use IdleManager are not currently eligible for back/forward cache.",paymentManager:"Pages that use PaymentManager are no\
t currently eligible for back/forward cache.",speechSynthesis:"Pages that use SpeechSynthesis are not currently eligible for back/forward cache.",keyboardLock:"Pages that use Keyboard lock are not currently eligible for back/forward cache.",webOTPService:"Pages that use WebOTPService are not currently eligible for bfcache.",outstandingNetworkRequestDirectSocket:"Pages with an in-flight network request are not currently eligible for back/forward cache.",injectedJavascript:"Pages that `JavaScript` is injected into by extensions are not currently eligible for back/forward cache.",injectedStyleSheet:"Pages that a `StyleSheet` is injected into by extensions are not currently eligible for back/forward cache.",contentSecurityHandler:"Pages that use SecurityHandler are not eligible for back/forward cache.",contentWebAuthenticationAPI:"Pages that use WebAuthetication API are not eligible for back/forward cache.",contentFileChooser:"Pages that use FileChooser API are not eligible for back/forwar\
d cache.",contentSerial:"Pages that use Serial API are not eligible for back/forward cache.",contentFileSystemAccess:"Pages that use File System Access API are not eligible for back/forward cache.",contentMediaDevicesDispatcherHost:"Pages that use Media Device Dispatcher are not eligible for back/forward cache.",contentWebBluetooth:"Pages that use WebBluetooth API are not eligible for back/forward cache.",contentWebUSB:"Pages that use WebUSB API are not eligible for back/forward cache.",contentMediaSession:"Pages that use MediaSession API and set a playback state are not eligible for back/forward cache.",contentMediaSessionService:"Pages that use MediaSession API and set action handlers are not eligible for back/forward cache.",contentMediaPlay:"A media player was playing upon navigating away.",contentScreenReader:"Back/forward cache is disabled due to screen reader.",embedderPopupBlockerTabHelper:"Popup blocker was present upon navigating away.",embedderSafeBrowsingTriggeredPopupBlocker:"\
Safe Browsing considered this page to be abusive and blocked popup.",embedderSafeBrowsingThreatDetails:"Safe Browsing details were shown upon navigating away.",embedderAppBannerManager:"App Banner was present upon navigating away.",embedderDomDistillerViewerSource:"DOM Distiller Viewer was present upon navigating away.",embedderDomDistillerSelfDeletingRequestDelegate:"DOM distillation was in progress upon navigating away.",embedderOomInterventionTabHelper:"Out-Of-Memory Intervention bar was present upon navigating away.",embedderOfflinePage:"The offline page was shown upon navigating away.",embedderChromePasswordManagerClientBindCredentialManager:"Chrome Password Manager was present upon navigating away.",embedderPermissionRequestManager:"There were permission requests upon navigating away.",embedderModalDialog:"Modal dialog such as form resubmission or http password dialog was shown for the page upon navigating away.",embedderExtensions:"Back/forward cache is disabled due to extension\
s.",embedderExtensionMessaging:"Back/forward cache is disabled due to extensions using messaging API.",embedderExtensionMessagingForOpenPort:"Extensions with long-lived connection should close the connection before entering back/forward cache.",embedderExtensionSentMessageToCachedFrame:"Extensions with long-lived connection attempted to send messages to frames in back/forward cache.",errorDocument:"Back/forward cache is disabled due to a document error.",fencedFramesEmbedder:"Pages using FencedFrames cannot be stored in bfcache.",keepaliveRequest:"Back/forward cache is disabled due to a keepalive request.",authorizationHeader:"Back/forward cache is disabled due to a keepalive request.",indexedDBEvent:"Back/forward cache is disabled due to an IndexedDB event.",cookieDisabled:"Back/forward cache is disabled because cookies are disabled on a page that uses `Cache-Control: no-store`."},U=D("core/lib/bf-cache-strings.js",B),_6={NotPrimaryMainFrame:{name:U(B.notMainFrame)},BackForwardCacheDisabled:{
name:U(B.backForwardCacheDisabled)},RelatedActiveContentsExist:{name:U(B.relatedActiveContentsExist)},HTTPStatusNotOK:{name:U(B.HTTPStatusNotOK)},SchemeNotHTTPOrHTTPS:{name:U(B.schemeNotHTTPOrHTTPS)},Loading:{name:U(B.loading)},WasGrantedMediaAccess:{name:U(B.wasGrantedMediaAccess)},HTTPMethodNotGET:{name:U(B.HTTPMethodNotGET)},SubframeIsNavigating:{name:U(B.subframeIsNavigating)},Timeout:{name:U(B.timeout)},CacheLimit:{name:U(B.cacheLimit)},JavaScriptExecution:{name:U(B.JavaScriptExecution)},RendererProcessKilled:{name:U(B.rendererProcessKilled)},RendererProcessCrashed:{name:U(B.rendererProcessCrashed)},GrantedMediaStreamAccess:{name:U(B.grantedMediaStreamAccess)},CacheFlushed:{name:U(B.cacheFlushed)},ServiceWorkerVersionActivation:{name:U(B.serviceWorkerVersionActivation)},SessionRestored:{name:U(B.sessionRestored)},ServiceWorkerPostMessage:{name:U(B.serviceWorkerPostMessage)},EnteredBackForwardCacheBeforeServiceWorkerHostAdded:{name:U(B.enteredBackForwardCacheBeforeServiceWorkerHostAdded)},
ServiceWorkerClaim:{name:U(B.serviceWorkerClaim)},HaveInnerContents:{name:U(B.haveInnerContents)},TimeoutPuttingInCache:{name:U(B.timeoutPuttingInCache)},BackForwardCacheDisabledByLowMemory:{name:U(B.backForwardCacheDisabledByLowMemory)},BackForwardCacheDisabledByCommandLine:{name:U(B.backForwardCacheDisabledByCommandLine)},NetworkRequestDatapipeDrainedAsBytesConsumer:{name:U(B.networkRequestDatapipeDrainedAsBytesConsumer)},NetworkRequestRedirected:{name:U(B.networkRequestRedirected)},NetworkRequestTimeout:{name:U(B.networkRequestTimeout)},NetworkExceedsBufferLimit:{name:U(B.networkExceedsBufferLimit)},NavigationCancelledWhileRestoring:{name:U(B.navigationCancelledWhileRestoring)},BackForwardCacheDisabledForPrerender:{name:U(B.backForwardCacheDisabledForPrerender)},UserAgentOverrideDiffers:{name:U(B.userAgentOverrideDiffers)},ForegroundCacheLimit:{name:U(B.foregroundCacheLimit)},BackForwardCacheDisabledForDelegate:{name:U(B.backForwardCacheDisabledForDelegate)},UnloadHandlerExistsInMainFrame:{
name:U(B.unloadHandlerExistsInMainFrame)},UnloadHandlerExistsInSubFrame:{name:U(B.unloadHandlerExistsInSubFrame)},ServiceWorkerUnregistration:{name:U(B.serviceWorkerUnregistration)},NoResponseHead:{name:U(B.noResponseHead)},CacheControlNoStore:{name:U(B.cacheControlNoStore)},CacheControlNoStoreCookieModified:{name:U(B.cacheControlNoStore)},CacheControlNoStoreHTTPOnlyCookieModified:{name:U(B.cacheControlNoStore)},DisableForRenderFrameHostCalled:{name:U(B.ineligibleAPI)},BlocklistedFeatures:{name:U(B.ineligibleAPI)},SchedulerTrackedFeatureUsed:{name:U(B.ineligibleAPI)},DomainNotAllowed:{name:U(B.internalError)},ConflictingBrowsingInstance:{name:U(B.internalError)},NotMostRecentNavigationEntry:{name:U(B.internalError)},IgnoreEventAndEvict:{name:U(B.internalError)},BrowsingInstanceNotSwapped:{name:U(B.internalError)},ActivationNavigationsDisallowedForBug1234857:{name:U(B.internalError)},Unknown:{name:U(B.internalError)},RenderFrameHostReused_SameSite:{name:U(B.internalError)},RenderFrameHostReused_CrossSite:{
name:U(B.internalError)},WebSocket:{name:U(B.webSocket)},WebTransport:{name:U(B.webTransport)},WebRTC:{name:U(B.webRTC)},MainResourceHasCacheControlNoStore:{name:U(B.mainResourceHasCacheControlNoStore)},MainResourceHasCacheControlNoCache:{name:U(B.mainResourceHasCacheControlNoCache)},SubresourceHasCacheControlNoStore:{name:U(B.subresourceHasCacheControlNoStore)},SubresourceHasCacheControlNoCache:{name:U(B.subresourceHasCacheControlNoCache)},ContainsPlugins:{name:U(B.containsPlugins)},DocumentLoaded:{name:U(B.documentLoaded)},DedicatedWorkerOrWorklet:{name:U(B.dedicatedWorkerOrWorklet)},OutstandingNetworkRequestOthers:{name:U(B.outstandingNetworkRequestOthers)},OutstandingIndexedDBTransaction:{name:U(B.outstandingIndexedDBTransaction)},RequestedNotificationsPermission:{name:U(B.requestedNotificationsPermission)},RequestedMIDIPermission:{name:U(B.requestedMIDIPermission)},RequestedAudioCapturePermission:{name:U(B.requestedAudioCapturePermission)},RequestedVideoCapturePermission:{name:U(B.
requestedVideoCapturePermission)},RequestedBackForwardCacheBlockedSensors:{name:U(B.requestedBackForwardCacheBlockedSensors)},RequestedBackgroundWorkPermission:{name:U(B.requestedBackgroundWorkPermission)},BroadcastChannel:{name:U(B.broadcastChannel)},IndexedDBConnection:{name:U(B.indexedDBConnection)},WebXR:{name:U(B.webXR)},SharedWorker:{name:U(B.sharedWorker)},WebLocks:{name:U(B.webLocks)},WebHID:{name:U(B.webHID)},WebShare:{name:U(B.webShare)},RequestedStorageAccessGrant:{name:U(B.requestedStorageAccessGrant)},WebNfc:{name:U(B.webNfc)},OutstandingNetworkRequestFetch:{name:U(B.outstandingNetworkRequestFetch)},OutstandingNetworkRequestXHR:{name:U(B.outstandingNetworkRequestXHR)},AppBanner:{name:U(B.appBanner)},Printing:{name:U(B.printing)},WebDatabase:{name:U(B.webDatabase)},PictureInPicture:{name:U(B.pictureInPicture)},Portal:{name:U(B.portal)},SpeechRecognizer:{name:U(B.speechRecognizer)},IdleManager:{name:U(B.idleManager)},PaymentManager:{name:U(B.paymentManager)},SpeechSynthesis:{
name:U(B.speechSynthesis)},KeyboardLock:{name:U(B.keyboardLock)},WebOTPService:{name:U(B.webOTPService)},OutstandingNetworkRequestDirectSocket:{name:U(B.outstandingNetworkRequestDirectSocket)},InjectedJavascript:{name:U(B.injectedJavascript)},InjectedStyleSheet:{name:U(B.injectedStyleSheet)},Dummy:{name:U(B.internalError)},ContentSecurityHandler:{name:U(B.contentSecurityHandler)},ContentWebAuthenticationAPI:{name:U(B.contentWebAuthenticationAPI)},ContentFileChooser:{name:U(B.contentFileChooser)},ContentSerial:{name:U(B.contentSerial)},ContentFileSystemAccess:{name:U(B.contentFileSystemAccess)},ContentMediaDevicesDispatcherHost:{name:U(B.contentMediaDevicesDispatcherHost)},ContentWebBluetooth:{name:U(B.contentWebBluetooth)},ContentWebUSB:{name:U(B.contentWebUSB)},ContentMediaSession:{name:U(B.contentMediaSession)},ContentMediaSessionService:{name:U(B.contentMediaSessionService)},ContentMediaPlay:{name:U(B.contentMediaPlay)},ContentScreenReader:{name:U(B.contentScreenReader)},EmbedderPopupBlockerTabHelper:{
name:U(B.embedderPopupBlockerTabHelper)},EmbedderSafeBrowsingTriggeredPopupBlocker:{name:U(B.embedderSafeBrowsingTriggeredPopupBlocker)},EmbedderSafeBrowsingThreatDetails:{name:U(B.embedderSafeBrowsingThreatDetails)},EmbedderAppBannerManager:{name:U(B.embedderAppBannerManager)},EmbedderDomDistillerViewerSource:{name:U(B.embedderDomDistillerViewerSource)},EmbedderDomDistillerSelfDeletingRequestDelegate:{name:U(B.embedderDomDistillerSelfDeletingRequestDelegate)},EmbedderOomInterventionTabHelper:{name:U(B.embedderOomInterventionTabHelper)},EmbedderOfflinePage:{name:U(B.embedderOfflinePage)},EmbedderChromePasswordManagerClientBindCredentialManager:{name:U(B.embedderChromePasswordManagerClientBindCredentialManager)},EmbedderPermissionRequestManager:{name:U(B.embedderPermissionRequestManager)},EmbedderModalDialog:{name:U(B.embedderModalDialog)},EmbedderExtensions:{name:U(B.embedderExtensions)},EmbedderExtensionMessaging:{name:U(B.embedderExtensionMessaging)},EmbedderExtensionMessagingForOpenPort:{
name:U(B.embedderExtensionMessagingForOpenPort)},EmbedderExtensionSentMessageToCachedFrame:{name:U(B.embedderExtensionSentMessageToCachedFrame)},ErrorDocument:{name:U(B.errorDocument)},FencedFramesEmbedder:{name:U(B.fencedFramesEmbedder)},KeepaliveRequest:{name:U(B.keepaliveRequest)},AuthorizationHeader:{name:U(B.authorizationHeader)},IndexedDBEvent:{name:U(B.indexedDBEvent)},CookieDisabled:{name:U(B.cookieDisabled)}}});var M6={};x(M6,{UIStrings:()=>$n,default:()=>hce});var $n,Ur,pce,fce,NE,hce,N6=g(()=>{"use strict";l();$();A();I6();$n={title:"Page didn't prevent back/forward cache restoration",failureTitle:"Page prevented back/forward cache restoration",description:"Many navigations are performed by going back to a previous page, or forwards again. The back/forward cache (bfcache) can speed up these return navigations. [Learn more about the bfcache](https://developer.chrome.com/docs/lighthouse/performance/bf-cache/)",actionableFailureType:"Actionable",notActionableFailureType:"Not actionable",supportPendingFailureType:"Pending browser support",failureReasonColumn:"Failure reason",failureTypeColumn:"Failure type",warningHeadless:'Back/forward cache cannot be tested in old Headless Chrome (`--chrome-flags="--headless=old"`). To see audit results, use the new Headless Chrome (`--chrome-flags="--headless=new"`) or standard Chrome.',displayValue:`{itemCount, plural,
    =1 {1 failure reason}
    other {# failure reasons}
    }`},Ur=D("core/audits/bf-cache.js",$n),pce=["PageSupportNeeded","SupportPending","Circumstantial"],fce={PageSupportNeeded:Ur($n.actionableFailureType),Circumstantial:Ur($n.notActionableFailureType),SupportPending:Ur($n.supportPendingFailureType)},NE=class extends b{static{s(this,"BFCache")}static get meta(){return{id:"bf-cache",title:Ur($n.title),failureTitle:Ur($n.failureTitle),description:Ur($n.description),supportedModes:["navigation","timespan"],guidanceLevel:4,requiredArtifacts:["BFCacheFailures","HostProduct"],scoreDisplayMode:b.SCORING_MODES.BINARY}}static async audit(t){if(/HeadlessChrome/.test(t.HostProduct))return{score:null,notApplicable:!0,warnings:[Ur($n.warningHeadless)]};let n=t.BFCacheFailures;if(!n.length)return{score:1};let{notRestoredReasonsTree:r}=n[0],a=0,o=[];for(let d of pce){let m=r[d];for(let[p,h]of Object.entries(m))a+=h.length,o.push({reason:_6[p]?.name??p,failureType:fce[d],subItems:{type:"subitems",items:h.map(f=>({frameUrl:f}))},protocolReason:p})}let i=[
{key:"reason",valueType:"text",subItemsHeading:{key:"frameUrl",valueType:"url"},label:Ur($n.failureReasonColumn)},{key:"failureType",valueType:"text",label:Ur($n.failureTypeColumn)}],c=b.makeTableDetails(i,o),u=a?Ur($n.displayValue,{itemCount:a}):void 0;return{score:o.length?0:1,displayValue:u,details:c}}},hce=NE});var bn,PE,Xl=g(()=>{"use strict";l();bn={parseHTML:{id:"parseHTML",label:"Parse HTML & CSS",traceEventNames:["ParseHTML","ParseAuthorStyleSheet"]},styleLayout:{id:"styleLayout",label:"Style & Layout",traceEventNames:["ScheduleStyleRecalculation","UpdateLayoutTree","InvalidateLayout","Layout"]},paintCompositeRender:{id:"paintCompositeRender",label:"Rendering",traceEventNames:["Animation","HitTest","PaintSetup","Paint","PaintImage","RasterTask","ScrollLayer","UpdateLayer","UpdateLayerTree","CompositeLayers","PrePaint"]},scriptParseCompile:{id:"scriptParseCompile",label:"Script Parsing & Compilation",traceEventNames:["v8.compile","v8.compileModule","v8.parseOnBackground"]},scriptEvaluation:{id:"scriptEvaluation",label:"Script Evaluation",traceEventNames:["EventDispatch","EvaluateScript","v8.evaluateModule","FunctionCall","TimerFire","FireIdleCallback","FireAnimationFrame","RunMicrotasks","V8.Execute"]},garbageCollection:{id:"garbageCollection",label:"Garbage Collection",traceEventNames:["\
MinorGC","MajorGC","BlinkGC.AtomicPhase","ThreadState::performIdleLazySweep","ThreadState::completeSweep","BlinkGCMarking"]},other:{id:"other",label:"Other",traceEventNames:["MessageLoop::RunTask","TaskQueueManager::ProcessTaskFromWorkQueue","ThreadControllerImpl::DoWork"]}},PE={};for(let e of Object.values(bn))for(let t of e.traceEventNames)PE[t]=e});var gs,LE=g(()=>{"use strict";l();Kt();Xl();gs=class e{static{s(this,"MainThreadTasks")}static _createNewTaskNode(t,n){let r=t.ph==="X"&&!n,a=t.ph==="B"&&n&&n.ph==="E";if(!r&&!a)throw new Error("Invalid parameters for _createNewTaskNode");let o=t.ts,i=n?n.ts:t.ts+Number(t.dur||0);return{event:t,endEvent:n,startTime:o,endTime:i,duration:i-o,unbounded:!1,parent:void 0,children:[],attributableURLs:[],group:bn.other,selfTime:NaN}}static _assignAllTimersUntilTs(t,n,r,a){for(;a.length;){let o=a.pop();if(!o)break;if(o.ts>n){a.push(o);break}if(o.ts<t.startTime)continue;let i=o.args.data.timerId;r.timers.set(i,t)}}static _createTasksFromStartAndEndEvents(t,n,r){let a=[],o=n.slice().reverse();for(let i=0;i<t.length;i++){let c=t[i];if(c.ph==="X"){a.push(e._createNewTaskNode(c));continue}let u=-1,d=0,m=i+1;for(let y=o.length-1;y>=0;y--){let v=o[y];for(;m<t.length&&!(t[m].ts>=v.ts);m++)t[m].name===c.name&&d++;if(v.name===c.name&&!(v.ts<c.ts)){if(d>0){d--;continue}u=y;break}}let p,h=!1;u===-1?(p={...c,
ph:"E",ts:r},h=!0):u===o.length-1?p=o.pop():p=o.splice(u,1)[0];let f=e._createNewTaskNode(c,p);f.unbounded=h,a.push(f)}if(o.length)throw new Error(`Fatal trace logic error - ${o.length} unmatched end events`);return a}static _createTaskRelationships(t,n,r){let a,o=n.slice().reverse();for(let i=0;i<t.length;i++){let c=t[i];if(c.event.name==="XHRReadyStateChange"){let u=c.event.args.data,d=u?.url;u&&d&&u.readyState===1&&r.xhrs.set(d,c)}for(;a&&Number.isFinite(a.endTime)&&a.endTime<=c.startTime;)e._assignAllTimersUntilTs(a,a.endTime,r,o),a=a.parent;if(a){if(c.endTime>a.endTime){let u=c.endTime-a.endTime;if(u<1e3)a.endTime=c.endTime,a.duration+=u;else if(c.unbounded)c.endTime=a.endTime,c.duration=c.endTime-c.startTime;else if(c.startTime-a.startTime<1e3&&!a.children.length){let d=c,m=a,p=a.parent;if(p){let h=p.children.length-1;if(p.children[h]!==m)throw new Error("Fatal trace logic error - impossible children");p.children.pop(),p.children.push(d)}d.parent=p,d.startTime=m.startTime,d.duration=
d.endTime-d.startTime,a=d,c=m}else{let d=new Error("Fatal trace logic error - child cannot end after parent");throw d.timeDelta=u,d.nextTaskEvent=c.event,d.nextTaskEndEvent=c.endEvent,d.nextTaskEndTime=c.endTime,d.currentTaskEvent=a.event,d.currentTaskEndEvent=a.endEvent,d.currentTaskEndTime=a.endTime,d}}c.parent=a,a.children.push(c),e._assignAllTimersUntilTs(a,c.startTime,r,o)}a=c}a&&e._assignAllTimersUntilTs(a,a.endTime,r,o)}static _createTasksFromEvents(t,n,r){let a=[],o=[],i=[];for(let d of t)(d.ph==="X"||d.ph==="B")&&a.push(d),d.ph==="E"&&o.push(d),d.name==="TimerInstall"&&i.push(d);let u=e._createTasksFromStartAndEndEvents(a,o,r).sort((d,m)=>d.startTime-m.startTime||m.duration-d.duration);return e._createTaskRelationships(u,i,n),u.sort((d,m)=>d.startTime-m.startTime||m.duration-d.duration)}static _computeRecursiveSelfTime(t,n){if(n&&t.endTime>n.endTime)throw new Error("Fatal trace logic error - child cannot end after parent");let r=t.children.map(a=>e._computeRecursiveSelfTime(a,
t)).reduce((a,o)=>a+o,0);return t.selfTime=t.duration-r,t.duration}static _computeRecursiveAttributableURLs(t,n,r,a){let o=t.event.args,i={...o.beginData||{},...o.data||{}},c=i.frame||"",u=a.frameURLsById.get(c),d=(i.stackTrace||[]).map(f=>f.url),m=d[0];c&&u&&u.startsWith("about:")&&m&&(a.frameURLsById.set(c,m),u=m);let p=[];switch(t.event.name){case"v8.compile":case"EvaluateScript":case"FunctionCall":p=[i.url,u];break;case"v8.compileModule":p=[t.event.args.fileName];break;case"TimerFire":{let f=t.event.args.data.timerId,y=a.timers.get(f);if(!y)break;p=y.attributableURLs;break}case"ParseHTML":p=[i.url,u];break;case"ParseAuthorStyleSheet":p=[i.styleSheetUrl,u];break;case"UpdateLayoutTree":case"Layout":case"Paint":if(u){p=[u];break}if(r.length)break;p=a.lastTaskURLs;break;case"XHRReadyStateChange":case"XHRLoad":{let f=i.url,y=i.readyState;if(!f||typeof y=="number"&&y!==4)break;let v=a.xhrs.get(f);if(!v)break;p=v.attributableURLs;break}default:p=[];break}let h=Array.from(n);for(let f of[...p,
...d])f&&(r.includes(f)||r.push(f),h[h.length-1]!==f&&h.push(f));t.attributableURLs=h,t.children.forEach(f=>e._computeRecursiveAttributableURLs(f,h,r,a)),!h.length&&!t.parent&&r.length&&e._setRecursiveEmptyAttributableURLs(t,r)}static _setRecursiveEmptyAttributableURLs(t,n){t.attributableURLs.length||(t.attributableURLs=n.slice(),t.children.forEach(r=>e._setRecursiveEmptyAttributableURLs(r,n)))}static _computeRecursiveTaskGroup(t,n){let r=PE[t.event.name];t.group=r||n||bn.other,t.children.forEach(a=>e._computeRecursiveTaskGroup(a,t.group))}static getMainThreadTasks(t,n,r,a){let o=new Map,i=new Map,c=new Map;n.forEach(({id:h,url:f})=>c.set(h,f));let d={timers:o,xhrs:i,frameURLsById:c,lastTaskURLs:[]},m=e._createTasksFromEvents(t,d,r);for(let h of m)h.parent||(e._computeRecursiveSelfTime(h,void 0),e._computeRecursiveAttributableURLs(h,[],[],d),e._computeRecursiveTaskGroup(h),d.lastTaskURLs=h.attributableURLs);let p=a??m[0].startTime;for(let h of m)if(h.startTime=(h.startTime-p)/1e3,h.endTime=
(h.endTime-p)/1e3,h.duration/=1e3,h.selfTime/=1e3,!Number.isFinite(h.selfTime))throw new Error("Invalid task timing data");return m}static printTaskTreeToDebugString(t,n={}){let r=Math.max(...t.map(v=>v.endTime),0),{printWidth:a=100,startTime:o=0,endTime:i=r,taskLabelFn:c=s(v=>v.event.name,"taskLabelFn")}=n;function u(v){let w=0;for(;v.parent;v=v.parent)w++;return w}s(u,"computeTaskDepth");let m=(i-o)/a,p=new Map,h=new Map;for(let v of t){if(v.startTime>i||v.endTime<o)continue;let w=u(v),E=h.get(w)||[];E.push(v),h.set(w,E);let T=String.fromCharCode(65+p.size%26);p.set(v,{id:T,task:v})}let f=[`Trace Duration: ${r.toFixed(0)}ms`,`Range: [${o}, ${i}]`,`█ = ${m.toFixed(2)}ms`,""],y=Array.from(h.entries()).sort((v,w)=>v[0]-w[0]);for(let[,v]of y){let w=Array.from({length:a}).map(()=>" ");for(let E of v){let T=Math.max(E.startTime,o),S=Math.min(E.endTime,i),{id:C}=p.get(E)||{id:"?"},F=Math.floor(T/m),L=Math.floor(S/m),N=Math.floor((F+L)/2);for(let W=F;W<=L;W++)w[W]="█";for(let W=0;W<C.length;W++)
w[N]=C}f.push(w.join(""))}f.push("");for(let{id:v,task:w}of p.values())f.push(`${v} = ${c(w)}`);return f.join(`
`)}}});var OE,Yn,Xo=g(()=>{"use strict";l();ye();LE();Nt();OE=class{static{s(this,"MainThreadTasks")}static async compute_(t,n){let{mainThreadEvents:r,frames:a,timestamps:o}=await Ce.request(t,n);return gs.getMainThreadTasks(r,a,o.traceEnd,o.timeOrigin)}},Yn=G(OE,null)});function Zl(e){let t=new Set;for(let n of e)n.resourceType===J.TYPES.Script&&t.add(n.url);return t}function ys(e,t){let n=e.attributableURLs.find(o=>t.has(o)),r=e.attributableURLs[0],a=n||r;return(!a||a==="about:blank")&&(gce.has(e.event.name)?a="Browser":yce.has(e.event.name)?a="Browser GC":a="Unattributable"),a}function Rf(e,t){let n=Zl(t),r=new Map;for(let a of e){let o=ys(a,n),i=r.get(o)||{},c=i[a.group.id]||0;i[a.group.id]=c+a.selfTime,r.set(o,i)}return r}var gce,yce,Ql=g(()=>{"use strict";l();Ct();gce=new Set(["CpuProfiler::StartProfiling"]),yce=new Set(["V8.GCCompactor","MajorGC","MinorGC"]);s(Zl,"getJavaScriptURLs");s(ys,"getAttributableURLForTask");s(Rf,"getExecutionTimingsByURL")});var BE,vs,UE=g(()=>{"use strict";l();Sr();Nt();pa();nt();BE=class{static{s(this,"Metric")}constructor(){}static getMetricComputationInput(t){return{trace:t.trace,devtoolsLog:t.devtoolsLog,gatherContext:t.gatherContext,settings:t.settings,URL:t.URL}}static computeSimulatedMetric(t,n){throw new Error("Unimplemented")}static computeObservedMetric(t,n){throw new Error("Unimplemented")}static async compute_(t,n){let{trace:r,devtoolsLog:a,settings:o,gatherContext:i}=t;if(!r||!a||!o)throw new Error("Did not provide necessary metric computation data");let c=await Ce.request(r,n),u=i.gatherMode==="timespan"?void 0:await ln.request(r,n),d=Object.assign({networkRecords:await ae.request(a,n),gatherContext:i,processedTrace:c,processedNavigation:u},t);switch(Lt.assertHasToplevelEvents(d.processedTrace.mainThreadEvents),o.throttlingMethod){case"simulate":if(i.gatherMode!=="navigation")throw new Error(`${i.gatherMode} does not support throttlingMethod simulate`);return this.computeSimulatedMetric(d,n);case"\
provided":case"devtools":return this.computeObservedMetric(d,n);default:throw new TypeError(`Unrecognized throttling method: ${o.throttlingMethod}`)}}},vs=BE});var yt,jr=g(()=>{"use strict";l();UE();yt=class extends vs{static{s(this,"NavigationMetric")}static computeSimulatedMetric(t,n){throw new Error("Unimplemented")}static computeObservedMetric(t,n){throw new Error("Unimplemented")}static async compute_(t,n){if(t.gatherContext.gatherMode!=="navigation")throw new Error(`${this.name} can only be computed on navigations`);return super.compute_(t,n)}}});var Zo,jE=g(()=>{"use strict";l();Zo=class extends Error{static{s(this,"LanternError")}}});var qE,qr,bs=g(()=>{"use strict";l();ye();jg();Ct();Nt();nt();qE=class{static{s(this,"PageDependencyGraph")}static async compute_(t,n){let{trace:r,devtoolsLog:a,URL:o}=t,[i,c]=await Promise.all([Ce.request(r,n),ae.request(a,n)]),u=i.mainThreadEvents,d=c.map(J.asLanternNetworkRequest);return Vi.createGraph(u,d,o)}},qr=G(qE,["devtoolsLog","trace","URL"])});async function Fn(e,t){if(e.gatherContext.gatherMode!=="navigation")throw new Error("Lantern metrics can only be computed on navigations");let n=await qr.request(e,t),r=await ln.request(e.trace,t);return{simulator:e.simulator||await Zt.request(e,t),graph:n,processedNavigation:r}}function Kn(e){if(!(e instanceof Zo))throw e;let t=e.message;throw H.errors[t]?new H(H.errors[t]):e}var Ka=g(()=>{"use strict";l();jE();_t();Ar();bs();pa();s(Fn,"getComputationDataParams");s(Kn,"lanternErrorAdapter")});var tn,Ja=g(()=>{"use strict";l();Jt();jn();Ct();tn=class{static{s(this,"Metric")}static getScriptUrls(t,n){let r=new Set;return t.traverse(a=>{a.type===Be.TYPES.NETWORK&&a.record.resourceType===J.TYPES.Script&&n?.(a)&&r.add(a.record.url)}),r}static get COEFFICIENTS(){throw new Error("COEFFICIENTS unimplemented!")}static getScaledCoefficients(t){return this.COEFFICIENTS}static getOptimisticGraph(t,n){throw new Error("Optimistic graph unimplemented!")}static getPessimisticGraph(t,n){throw new Error("Pessmistic graph unimplemented!")}static getEstimateFromSimulation(t,n){return t}static async compute(t,n){let{simulator:r,graph:a,processedNavigation:o}=t,i=this.name.replace("Lantern",""),c=this.getOptimisticGraph(a,o),u=this.getPessimisticGraph(a,o),d={label:`optimistic${i}`},m=r.simulate(c,d);d={label:`pessimistic${i}`};let p=r.simulate(u,d),h=this.getEstimateFromSimulation(m,{...n,optimistic:!0}),f=this.getEstimateFromSimulation(p,{...n,optimistic:!1}),y=this.getScaledCoefficients(r.rtt),
v=y.intercept>0?Math.min(1,h.timeInMs/1e3):1;return{timing:y.intercept*v+y.optimistic*h.timeInMs+y.pessimistic*f.timeInMs,optimisticEstimate:h,pessimisticEstimate:f,optimisticGraph:c,pessimisticGraph:u}}}});var zr,Af=g(()=>{"use strict";l();Jt();Ja();jn();zr=class extends tn{static{s(this,"FirstContentfulPaint")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getRenderBlockingNodeData(t,{cutoffTimestamp:n,treatNodeAsRenderBlocking:r,additionalCpuNodesToTreatAsRenderBlocking:a}){let o=new Map,i=[];t.traverse(f=>{if(f.type===Be.TYPES.CPU){f.startTime<=n&&i.push(f);let y=f.getEvaluateScriptURLs();for(let v of y){let w=o.get(v)||f;o.set(v,f.startTime<w.startTime?f:w)}}}),i.sort((f,y)=>f.startTime-y.startTime);let c=tn.getScriptUrls(t,f=>f.endTime<=n&&r(f)),u=new Set,d=new Set;for(let f of c){let y=o.get(f);if(y){if(i.includes(y)){d.add(y.id);continue}u.add(f)}}let m=i.find(f=>f.didPerformLayout());m&&d.add(m.id);let p=i.find(f=>f.childEvents.some(y=>y.name==="Paint"));p&&d.add(p.id);let h=i.find(f=>f.childEvents.some(y=>y.name==="ParseHTML"));return h&&d.add(h.id),a&&i.filter(a).forEach(f=>d.add(f.id)),{definitelyNotRenderBlockingScriptUrls:u,renderBlockingCpuNodeIds:d}}static getFirstPaintBasedGraph(t,{
cutoffTimestamp:n,treatNodeAsRenderBlocking:r,additionalCpuNodesToTreatAsRenderBlocking:a}){let o=this.getRenderBlockingNodeData(t,{cutoffTimestamp:n,treatNodeAsRenderBlocking:r,additionalCpuNodesToTreatAsRenderBlocking:a}),{definitelyNotRenderBlockingScriptUrls:i,renderBlockingCpuNodeIds:c}=o;return t.cloneWithRelationships(u=>{if(u.type===Be.TYPES.NETWORK){if((u.endTime>n||u.startTime>n)&&!u.isMainDocument())return!1;let m=u.record.url;return i.has(m)?!1:r(u)}else return c.has(u.id)})}static getOptimisticGraph(t,n){return this.getFirstPaintBasedGraph(t,{cutoffTimestamp:n.timestamps.firstContentfulPaint,treatNodeAsRenderBlocking:r=>r.hasRenderBlockingPriority()&&r.initiatorType!=="script"})}static getPessimisticGraph(t,n){return this.getFirstPaintBasedGraph(t,{cutoffTimestamp:n.timestamps.firstContentfulPaint,treatNodeAsRenderBlocking:r=>r.hasRenderBlockingPriority()})}}});var zE,Ut,hr=g(()=>{"use strict";l();ye();Ka();Af();zE=class extends zr{static{s(this,"LanternFirstContentfulPaint")}static async computeMetricWithGraphs(t,n,r){return this.compute(await Fn(t,n),r).catch(Kn)}static async compute_(t,n){return this.computeMetricWithGraphs(t,n)}},Ut=G(zE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var HE,Xa,ed=g(()=>{"use strict";l();ye();jr();hr();HE=class extends yt{static{s(this,"FirstContentfulPaint")}static computeSimulatedMetric(t,n){let r=yt.getMetricComputationInput(t);return Ut.request(r,n)}static async computeObservedMetric(t){let{processedNavigation:n}=t;return{timing:n.timings.firstContentfulPaint,timestamp:n.timestamps.firstContentfulPaint}}},Xa=G(HE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var _f,P6=g(()=>{"use strict";l();Jt();Ja();Af();_f=class extends tn{static{s(this,"FirstMeaningfulPaint")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(t,n){let r=n.timestamps.firstMeaningfulPaint;if(!r)throw new Error("NO_FMP");return zr.getFirstPaintBasedGraph(t,{cutoffTimestamp:r,treatNodeAsRenderBlocking:a=>a.hasRenderBlockingPriority()&&a.initiatorType!=="script"})}static getPessimisticGraph(t,n){let r=n.timestamps.firstMeaningfulPaint;if(!r)throw new Error("NO_FMP");return zr.getFirstPaintBasedGraph(t,{cutoffTimestamp:r,treatNodeAsRenderBlocking:a=>a.hasRenderBlockingPriority(),additionalCpuNodesToTreatAsRenderBlocking:a=>a.didPerformLayout()})}}});var WE,ws,If=g(()=>{"use strict";l();ye();Ka();P6();hr();WE=class extends _f{static{s(this,"LanternFirstMeaningfulPaint")}static async computeMetricWithGraphs(t,n,r){return this.compute(await Fn(t,n),r).catch(Kn)}static async compute_(t,n){let r=await Ut.request(t,n),a=await this.computeMetricWithGraphs(t,n);return a.timing=Math.max(a.timing,r.timing),a}},ws=G(WE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var vce,Mf,L6=g(()=>{"use strict";l();Jt();Ja();jn();$m();vce=20,Mf=class e extends tn{static{s(this,"Interactive")}static get COEFFICIENTS(){return{intercept:0,optimistic:.45,pessimistic:.55}}static getOptimisticGraph(t){let n=vce*1e3;return t.cloneWithRelationships(r=>{if(r.type===Be.TYPES.CPU)return r.duration>n;let a=r.record.resourceType===ur.Image,o=r.record.resourceType===ur.Script;return!a&&(o||r.record.priority==="High"||r.record.priority==="VeryHigh")})}static getPessimisticGraph(t){return t}static getEstimateFromSimulation(t,n){if(!n.fmpResult)throw new Error("missing fmpResult");let r=e.getLastLongTaskEndTime(t.nodeTimings),a=n.optimistic?n.fmpResult.optimisticEstimate.timeInMs:n.fmpResult.pessimisticEstimate.timeInMs;return{timeInMs:Math.max(a,r),nodeTimings:t.nodeTimings}}static async compute(t,n){let r=n?.fmpResult;if(!r)throw new Error("FMP is required to calculate the Interactive metric");let a=await super.compute(t,n);return a.timing=Math.max(a.timing,r.timing),a}static getLastLongTaskEndTime(t,n=50){
return Array.from(t.entries()).filter(([r,a])=>r.type!==Be.TYPES.CPU?!1:a.duration>n).map(([r,a])=>a.endTime).reduce((r,a)=>Math.max(r||0,a||0),0)}}});var GE,Za,td=g(()=>{"use strict";l();ye();If();L6();Ka();GE=class extends Mf{static{s(this,"LanternInteractive")}static async computeMetricWithGraphs(t,n,r){return this.compute(await Fn(t,n),r).catch(Kn)}static async compute_(t,n){let r=await ws.request(t,n);return this.computeMetricWithGraphs(t,n,{fmpResult:r})}},Za=G(GE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var bce,Ds,VE=g(()=>{"use strict";l();ta();Me();Kt();qg();Ct();tt();bce=qe,Ds=class extends bce{static{s(this,"NetworkMonitor")}_networkRecorder=void 0;_frameNavigations=[];constructor(t){super(),this._targetManager=t,this._session=t.rootSession(),this._onFrameNavigated=n=>this._frameNavigations.push(n.frame),this._onProtocolMessage=n=>{this._networkRecorder&&this._networkRecorder.dispatch(n)}}async enable(){if(this._networkRecorder)return;this._frameNavigations=[],this._networkRecorder=new $i;let t=s(n=>r=>{this.emit(n,r),this._emitNetworkStatus()},"reEmit");this._networkRecorder.on("requeststarted",t("requeststarted")),this._networkRecorder.on("requestfinished",t("requestfinished")),this._session.on("Page.frameNavigated",this._onFrameNavigated),this._targetManager.on("protocolevent",this._onProtocolMessage)}async disable(){this._networkRecorder&&(this._session.off("Page.frameNavigated",this._onFrameNavigated),this._targetManager.off("protocolevent",this._onProtocolMessage),this._frameNavigations=
[],this._networkRecorder=void 0)}async getNavigationUrls(){let t=this._frameNavigations;if(!t.length)return{};let n=t.filter(a=>!a.parentId);n.length||M.warn("NetworkMonitor","No detected navigations");let r=n[0]?.url;if(this._networkRecorder){let o=this._networkRecorder.getRawRecords().find(i=>i.url===r);for(;o?.redirectSource;)o=o.redirectSource,r=o.url}return{requestedUrl:r,mainDocumentUrl:n[n.length-1]?.url}}getInflightRequests(){return this._networkRecorder?this._networkRecorder.getRawRecords().filter(t=>!t.finished):[]}isIdle(){return this._isActiveIdlePeriod(0)}isCriticalIdle(){if(!this._networkRecorder)return!1;let r=this._networkRecorder.getRawRecords().find(a=>a.resourceType==="Document")?.frameId;return this._isActiveIdlePeriod(0,a=>a.frameId===r&&(a.priority==="VeryHigh"||a.priority==="High"))}is2Idle(){return this._isActiveIdlePeriod(2)}_isActiveIdlePeriod(t,n){if(!this._networkRecorder)return!1;let r=this._networkRecorder.getRawRecords(),a=0;for(let o=0;o<r.length;o++){let i=r[o];
i.finished||n&&!n(i)||J.isNonNetworkRequest(i)||a++}return a<=t}_emitNetworkStatus(){let t=this.isIdle(),n=this.is2Idle(),r=this.isCriticalIdle();this.emit(t?"networkidle":"networkbusy"),this.emit(n?"network-2-idle":"network-2-busy"),this.emit(r?"network-critical-idle":"network-critical-busy"),n&&t?M.verbose("NetworkRecorder","network fully-quiet"):n&&!t?M.verbose("NetworkRecorder","network semi-quiet"):M.verbose("NetworkRecorder","network busy")}static findNetworkQuietPeriods(t,n,r=1/0){let a=[];t.forEach(u=>{K.isNonNetworkProtocol(u.protocol)||u.protocol==="ws"||u.protocol==="wss"||(a.push({time:u.networkRequestTime*1e3,isStart:!0}),u.finished&&a.push({time:u.networkEndTime*1e3,isStart:!1}))}),a=a.filter(u=>u.time<=r).sort((u,d)=>u.time-d.time);let o=0,i=0,c=[];return a.forEach(u=>{u.isStart?(o===n&&c.push({start:i,end:u.time}),o++):(o--,o===n&&(i=u.time))}),o<=n&&c.push({start:i,end:r}),c.filter(u=>u.start!==u.end)}}});var Nf,wce,$E,Hr,Es=g(()=>{"use strict";l();ye();jr();td();VE();Sr();_t();Nf=5e3,wce=2,$E=class e extends yt{static{s(this,"Interactive")}static _findNetworkQuietPeriods(t,n){let r=n.timestamps.traceEnd/1e3,a=t.filter(o=>o.finished&&o.requestMethod==="GET"&&!o.failed&&o.statusCode<400);return Ds.findNetworkQuietPeriods(a,wce,r)}static _findCPUQuietPeriods(t,n){let r=n.timestamps.timeOrigin/1e3,a=n.timestamps.traceEnd/1e3;if(t.length===0)return[{start:0,end:a}];let o=[];return t.forEach((i,c)=>{c===0&&o.push({start:0,end:i.start+r}),c===t.length-1?o.push({start:i.end+r,end:a}):o.push({start:i.end+r,end:t[c+1].start+r})}),o}static findOverlappingQuietPeriods(t,n,r){let a=r.timestamps.firstContentfulPaint/1e3,o=s(h=>h.end>a+Nf&&h.end-h.start>=Nf,"isLongEnoughQuietPeriod"),i=this._findNetworkQuietPeriods(n,r).filter(o),c=this._findCPUQuietPeriods(t,r).filter(o),u=c.slice(),d=i.slice(),m=u.shift(),p=d.shift();for(;m&&p;)if(m.start>=p.start){if(p.end>=m.start+Nf)return{cpuQuietPeriod:m,networkQuietPeriod:p,
cpuQuietPeriods:c,networkQuietPeriods:i};p=d.shift()}else{if(m.end>=p.start+Nf)return{cpuQuietPeriod:m,networkQuietPeriod:p,cpuQuietPeriods:c,networkQuietPeriods:i};m=u.shift()}throw new H(m?H.errors.NO_TTI_NETWORK_IDLE_PERIOD:H.errors.NO_TTI_CPU_IDLE_PERIOD)}static computeSimulatedMetric(t,n){let r=yt.getMetricComputationInput(t);return Za.request(r,n)}static computeObservedMetric(t){let{processedTrace:n,processedNavigation:r,networkRecords:a}=t;if(!r.timestamps.domContentLoaded)throw new H(H.errors.NO_DCL);let o=Lt.getMainThreadTopLevelEvents(n).filter(m=>m.duration>=50),c=e.findOverlappingQuietPeriods(o,a,r).cpuQuietPeriod,u=Math.max(c.start,r.timestamps.firstContentfulPaint/1e3,r.timestamps.domContentLoaded/1e3)*1e3,d=(u-r.timestamps.timeOrigin)/1e3;return Promise.resolve({timing:d,timestamp:u})}},Hr=G($E,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});function nd(e,t,n,r){let a=50;if(r&&(a*=e.duration/r.duration),e.duration<a||e.end<t||e.start>n)return 0;let o=Math.max(e.start,t),c=Math.min(e.end,n)-o;return c<a?0:c-a}function rd(e,t,n){if(n<=t)return 0;let r=0;for(let a of e)r+=nd(a,t,n);return r}var Pf=g(()=>{"use strict";l();s(nd,"calculateTbtImpactForEvent");s(rd,"calculateSumOfBlockingTime")});var Lf,O6=g(()=>{"use strict";l();Jt();Ja();jn();Pf();Lf=class e extends tn{static{s(this,"TotalBlockingTime")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(t){return t}static getPessimisticGraph(t){return t}static getEstimateFromSimulation(t,n){if(!n.fcpResult)throw new Error("missing fcpResult");if(!n.interactiveResult)throw new Error("missing interactiveResult");let r=n.optimistic?n.fcpResult.pessimisticEstimate.timeInMs:n.fcpResult.optimisticEstimate.timeInMs,a=n.optimistic?n.interactiveResult.optimisticEstimate.timeInMs:n.interactiveResult.pessimisticEstimate.timeInMs,o=50,i=e.getTopLevelEvents(t.nodeTimings,o);return{timeInMs:rd(i,r,a),nodeTimings:t.nodeTimings}}static async compute(t,n){if(!n?.fcpResult)throw new Error("FCP is required to calculate the TBT metric");if(!n?.fcpResult)throw new Error("Interactive is required to calculate the TBT metric");return super.compute(t,n)}static getTopLevelEvents(t,n){let r=[];for(let[a,
o]of t.entries())a.type===Be.TYPES.CPU&&(o.duration<n||r.push({start:o.startTime,end:o.endTime,duration:o.duration}));return r}}});var YE,B6,U6=g(()=>{"use strict";l();O6();ye();hr();td();Ka();YE=class extends Lf{static{s(this,"LanternTotalBlockingTime")}static async computeMetricWithGraphs(t,n,r){return this.compute(await Fn(t,n),r)}static async compute_(t,n){let r=await Ut.request(t,n),a=await Za.request(t,n);return this.computeMetricWithGraphs(t,n,{fcpResult:r,interactiveResult:a})}},B6=G(YE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var KE,Wr,Ts=g(()=>{"use strict";l();ye();UE();Sr();U6();Es();Pf();KE=class extends vs{static{s(this,"TotalBlockingTime")}static computeSimulatedMetric(t,n){let r=vs.getMetricComputationInput(t);return B6.request(r,n)}static async computeObservedMetric(t,n){let r=Lt.getMainThreadTopLevelEvents(t.processedTrace);if(t.processedNavigation){let{firstContentfulPaint:a}=t.processedNavigation.timings,o=vs.getMetricComputationInput(t),i=(await Hr.request(o,n)).timing;return{timing:rd(r,a,i)}}else return{timing:rd(r,0,t.processedTrace.timings.traceEnd)}}},Wr=G(KE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var JE,Qa,ad=g(()=>{"use strict";l();ye();Xo();ed();Es();Ts();Nt();Pf();JE=class{static{s(this,"TBTImpactTasks")}static getTopLevelTask(t){let n=t;for(;n.parent;)n=n.parent;return n}static async getTbtBounds(t,n){let r=await Ce.request(t.trace,n);if(t.gatherContext.gatherMode!=="navigation")return{startTimeMs:0,endTimeMs:r.timings.traceEnd};let a=await Xa.request(t,n),o=await Hr.request(t,n),i=a.timing,c=o.timing;return"optimisticEstimate"in a&&(i=a.optimisticEstimate.timeInMs),"pessimisticEstimate"in o&&(c=o.pessimisticEstimate.timeInMs),{startTimeMs:i,endTimeMs:c}}static createImpactTasks(t,n){let r=[];for(let a of t){let o=n.get(a)||0,i=o;for(let c of a.children){let u=n.get(c)||0;i-=u}r.push({...a,tbtImpact:o,selfTbtImpact:i})}return r}static computeImpactsFromObservedTasks(t,n,r){let a=new Map;for(let o of t){let i={start:o.startTime,end:o.endTime,duration:o.duration},c=this.getTopLevelTask(o),u={start:c.startTime,end:c.endTime,duration:c.duration},d=nd(i,n,r,u);a.set(o,d)}return this.
createImpactTasks(t,a)}static computeImpactsFromLantern(t,n,r,a){let o=new Map,i=new Map,c=new Map;for(let u of t)c.set(u.event,u);for(let[u,d]of n){if(u.type!=="cpu")continue;let m={start:d.startTime,end:d.endTime,duration:d.duration},p=nd(m,r,a),h=c.get(u.event);h&&(i.set(h,m),o.set(h,p))}for(let u of t){if(o.has(u))continue;let d=this.getTopLevelTask(u),m=i.get(d);if(!m)continue;let h=(u.startTime-d.startTime)/d.duration*m.duration+m.start,f=(d.endTime-u.endTime)/d.duration,y=m.end-f*m.duration,v={start:h,end:y,duration:y-h},w=nd(v,r,a,m);o.set(u,w)}return this.createImpactTasks(t,o)}static async compute_(t,n){let r=await Wr.request(t,n),a=await Yn.request(t.trace,n),{startTimeMs:o,endTimeMs:i}=await this.getTbtBounds(t,n);return"pessimisticEstimate"in r?this.computeImpactsFromLantern(a,r.pessimisticEstimate.nodeTimings,o,i):this.computeImpactsFromObservedTasks(a,o,i)}},Qa=G(JE,["trace","devtoolsLog","URL","gatherContext","settings","simulator"])});var j6={};x(j6,{UIStrings:()=>ha,default:()=>Ece});var ha,fa,XE,Ece,q6=g(()=>{"use strict";l();Me();$();Xl();A();nt();Xo();Ql();ad();Hn();Nn();ha={title:"JavaScript execution time",failureTitle:"Reduce JavaScript execution time",description:"Consider reducing the time spent parsing, compiling, and executing JS. You may find delivering smaller JS payloads helps with this. [Learn how to reduce Javascript execution time](https://developer.chrome.com/docs/lighthouse/performance/bootup-time/).",columnTotal:"Total CPU Time",columnScriptEval:"Script Evaluation",columnScriptParse:"Script Parse",chromeExtensionsWarning:"Chrome extensions negatively affected this page's load performance. Try auditing the page in incognito mode or from a Chrome profile without extensions."},fa=D("core/audits/bootup-time.js",ha),XE=class e extends b{static{s(this,"BootupTime")}static get meta(){return{id:"bootup-time",title:fa(ha.title),failureTitle:fa(ha.failureTitle),description:fa(ha.description),scoreDisplayMode:b.
SCORING_MODES.METRIC_SAVINGS,guidanceLevel:1,requiredArtifacts:["traces","devtoolsLogs","URL","GatherContext"]}}static get defaultOptions(){return{p10:1282,median:3500,thresholdInMs:50}}static async getTbtImpact(t,n){let r=0;try{let a=b.makeMetricComputationDataInput(t,n),o=await Qa.request(a,n);for(let i of o){let c=i.group.id;c!=="scriptEvaluation"&&c!=="scriptParseCompile"||(r+=i.selfTbtImpact)}}catch(a){gt.captureException(a,{tags:{audit:this.meta.id},level:"error"}),M.error(this.meta.id,a.message)}return r}static async audit(t,n){let r=n.settings||{},a=t.traces[e.DEFAULT_PASS],o=t.devtoolsLogs[e.DEFAULT_PASS],i=await ae.request(o,n),c=await Yn.request(a,n),u=r.throttlingMethod==="simulate"?r.throttling.cpuSlowdownMultiplier:1,d=Rf(c,i);d.delete("_lighthouse-eval.js");let m=await this.getTbtImpact(t,n),p=!1,h=0,f=Array.from(d).map(([T,S])=>{let C=0;for(let[N,W]of Object.entries(S))S[N]=W*u,C+=W*u;let F=S[bn.scriptEvaluation.id]||0,L=S[bn.scriptParseCompile.id]||0;return C>=n.options.
thresholdInMs&&(h+=F+L),p=p||T.startsWith("chrome-extension:")&&F>100,{url:T,total:C,scripting:F,scriptParseCompile:L}}).filter(T=>T.total>=n.options.thresholdInMs).sort((T,S)=>S.total-T.total),y;p&&(y=[fa(ha.chromeExtensionsWarning)]);let v=[{key:"url",valueType:"url",label:fa(k.columnURL)},{key:"total",granularity:1,valueType:"ms",label:fa(ha.columnTotal)},{key:"scripting",granularity:1,valueType:"ms",label:fa(ha.columnScriptEval)},{key:"scriptParseCompile",granularity:1,valueType:"ms",label:fa(ha.columnScriptParse)}],w=e.makeTableDetails(v,f,{wastedMs:h,sortedBy:["total"]}),E=b.computeLogNormalScore({p10:n.options.p10,median:n.options.median},h);return{score:E,scoreDisplayMode:E>=Ne.PASS_THRESHOLD?b.SCORING_MODES.INFORMATIVE:void 0,notApplicable:!f.length,numericValue:h,numericUnit:"millisecond",displayValue:h>0?fa(k.seconds,{timeInMs:h}):"",details:w,runWarnings:y,metricSavings:{TBT:m}}}},Ece=XE});var Of,z6=g(()=>{"use strict";l();Jt();Ja();Af();jE();Of=class e extends tn{static{s(this,"LargestContentfulPaint")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static isNotLowPriorityImageNode(t){if(t.type!=="network")return!0;let n=t.record.resourceType==="Image",r=t.record.priority==="Low"||t.record.priority==="VeryLow";return!n||!r}static getOptimisticGraph(t,n){let r=n.timestamps.largestContentfulPaint;if(!r)throw new Zo("NO_LCP");return zr.getFirstPaintBasedGraph(t,{cutoffTimestamp:r,treatNodeAsRenderBlocking:e.isNotLowPriorityImageNode})}static getPessimisticGraph(t,n){let r=n.timestamps.largestContentfulPaint;if(!r)throw new Zo("NO_LCP");return zr.getFirstPaintBasedGraph(t,{cutoffTimestamp:r,treatNodeAsRenderBlocking:a=>!0,additionalCpuNodesToTreatAsRenderBlocking:a=>a.didPerformLayout()})}static getEstimateFromSimulation(t){let n=Array.from(t.nodeTimings.entries()).filter(r=>e.isNotLowPriorityImageNode(r[0])).map(r=>r[1].endTime);return{timeInMs:Math.
max(...n),nodeTimings:t.nodeTimings}}static async compute(t,n){let r=n?.fcpResult;if(!r)throw new Error("FCP is required to calculate the LCP metric");let a=await super.compute(t,n);return a.timing=Math.max(a.timing,r.timing),a}}});var ZE,Jn,Qo=g(()=>{"use strict";l();ye();z6();Ka();hr();ZE=class extends Of{static{s(this,"LanternLargestContentfulPaint")}static async computeMetricWithGraphs(t,n,r){return this.compute(await Fn(t,n),r).catch(Kn)}static async compute_(t,n){let r=await Ut.request(t,n);return this.computeMetricWithGraphs(t,n,{fcpResult:r})}},Jn=G(ZE,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var QE,eo,od=g(()=>{"use strict";l();ye();nt();pa();_t();QE=class{static{s(this,"LCPImageRecord")}static async compute_(t,n){let{trace:r,devtoolsLog:a}=t,o=await ae.request(a,n),i=await ln.request(r,n);if(i.timings.largestContentfulPaint===void 0)throw new H(H.errors.NO_LCP);let c=i.largestContentfulPaintEvt;if(!c)return;let u=r.traceEvents.filter(p=>p.name==="LargestImagePaint::Candidate"&&p.args.frame===c.args.frame&&p.args.data?.DOMNodeId===c.args.data?.nodeId&&p.args.data?.size===c.args.data?.size).sort((p,h)=>h.ts-p.ts)[0],d=u?.args.data?.imageUrl;return d?o.filter(p=>p.url===d&&p.finished&&p.frameId===u.args.frame&&p.networkRequestTime<(i.timestamps.largestContentfulPaint||0)).map(p=>{for(;p.redirectDestination;)p=p.redirectDestination;return p}).filter(p=>p.resourceType==="Image").sort((p,h)=>p.networkEndTime-h.networkEndTime)[0]:void 0}},eo=G(QE,["devtoolsLog","trace"])});var Tce,xce,Sce,be,Pn=g(()=>{"use strict";l();$();A();nt();Ar();Qo();hr();od();Tce=D("core/audits/byte-efficiency/byte-efficiency-audit.js",{}),xce=150,Sce=935,be=class extends b{static{s(this,"ByteEfficiencyAudit")}static scoreForWastedMs(t){return b.computeLogNormalScore({p10:xce,median:Sce},t)}static async audit(t,n){let r=t.GatherContext,a=t.devtoolsLogs[b.DEFAULT_PASS],o=n?.settings||{},i={devtoolsLog:a,settings:o},c=await ae.request(a,n);if(!c.some(h=>h.transferSize)&&r.gatherMode==="timespan")return{score:1,notApplicable:!0};let d=b.makeMetricComputationDataInput(t,n),[m,p]=await Promise.all([this.audit_(t,c,n),Zt.request(i,n)]);return this.createAuditProduct(m,p,d,n)}static computeWasteWithGraph(t,n,r,a){a=Object.assign({label:""},a);let o=`${this.meta.id}-${a.label}-before`,i=`${this.meta.id}-${a.label}-after`,c=r.simulate(n,{label:o}),u=a.providedWastedBytesByUrl||new Map;if(!a.providedWastedBytesByUrl)for(let{url:h,wastedBytes:f}of t)u.set(h,(u.get(h)||0)+f);let d=new Map;n.
traverse(h=>{if(h.type!=="network")return;let f=u.get(h.record.url);if(!f)return;let y=h.request.transferSize;d.set(h.request.requestId,y),h.request.transferSize=Math.max(y-f,0)});let m=r.simulate(n,{label:i});n.traverse(h=>{if(h.type!=="network")return;let f=d.get(h.request.requestId);f!==void 0&&(h.request.transferSize=f)});let p=c.timeInMs-m.timeInMs;return{savings:Math.round(Math.max(p,0)/10)*10,simulationBeforeChanges:c,simulationAfterChanges:m}}static async createAuditProduct(t,n,r,a){let o=t.items.sort((h,f)=>f.wastedBytes-h.wastedBytes),i=o.reduce((h,f)=>h+f.wastedBytes,0),c={FCP:0,LCP:0},u;if(r.gatherContext.gatherMode==="navigation"){let{optimisticGraph:h}=await Ut.request(r,a),{optimisticGraph:f}=await Jn.request(r,a),{savings:y}=this.computeWasteWithGraph(o,h,n,{providedWastedBytesByUrl:t.wastedBytesByUrl,label:"fcp"}),{savings:v}=this.computeWasteWithGraph(o,f,n,{providedWastedBytesByUrl:t.wastedBytesByUrl,label:"lcp"}),w=0,E=await eo.request(r,a);if(E){let T=o.find(S=>S.url===
E.url);T&&(w=n.computeWastedMsFromWastedBytes(T.wastedBytes))}c.FCP=y,c.LCP=Math.max(v,w),u=c.LCP}else u=n.computeWastedMsFromWastedBytes(i);let d=t.displayValue||"";typeof t.displayValue>"u"&&i&&(d=Tce(k.displayValueByteSavings,{wastedBytes:i}));let m=t.sortedBy||["wastedBytes"],p=b.makeOpportunityDetails(t.headings,o,{overallSavingsMs:u,overallSavingsBytes:i,sortedBy:m});return p.debugData={type:"debugdata",metricSavings:c},{explanation:t.explanation,warnings:t.warnings,displayValue:d,numericValue:u,numericUnit:"millisecond",score:o.length?0:1,details:p,metricSavings:c}}static audit_(t,n,r){throw new Error("audit_ unimplemented")}}});function Cce(e,t,n){let r=n.split(`
`),a={},o=t,i=o;e.computeLastGeneratedColumns();for(let c of e.mappings()){let u=c.sourceURL,d=c.lineNumber,m=c.columnNumber,p=c.lastColumnNumber;if(!u)continue;let h=r[d];if(h==null){let y=`${e.url()} mapping for line out of bounds: ${d+1}`;return M.error("JSBundles",y),{errorMessage:y}}if(m>h.length){let y=`${e.url()} mapping for column out of bounds: ${d+1}:${m}`;return M.error("JSBundles",y),{errorMessage:y}}let f=0;if(p!==void 0){if(p>h.length){let y=`${e.url()} mapping for last column out of bounds: ${d+1}:${p}`;return M.error("JSBundles",y),{errorMessage:y}}f=p-m}else f=h.length-m+1;a[u]=(a[u]||0)+f,i-=f}return{files:a,unmappedBytes:i,totalBytes:o}}var H6,eT,Rn,to=g(()=>{"use strict";l();Me();ye();H6=Bt(G0(),1);s(Cce,"computeGeneratedFileSizes");eT=class{static{s(this,"JSBundles")}static async compute_(t){let{SourceMaps:n,Scripts:r}=t,a=[];for(let o of n){if(!o.map)continue;let{scriptId:i,map:c}=o;if(!c.mappings)continue;let u=r.find(y=>y.scriptId===i);if(!u)continue;let d=o.scriptUrl||
"compiled.js",m=o.sourceMapUrl||"compiled.js.map",p=new H6.default.SourceMap(d,m,c),h=Cce(p,u.length||0,u.content||""),f={rawMap:c,script:u,map:p,sizes:h};a.push(f)}return a}},Rn=G(eT,["Scripts","SourceMaps"])});var kce,Fce,tT,id,nT=g(()=>{"use strict";l();ye();to();kce=.1,Fce=1024*.5,tT=class e{static{s(this,"ModuleDuplication")}static normalizeSource(t){t=t.replace(/\?$/,"");let n=t.lastIndexOf("node_modules");return n!==-1&&(t=t.substring(n)),t}static _shouldIgnoreSource(t){return!!(t.includes("webpack/bootstrap")||t.includes("(webpack)/buildin")||t.includes("external "))}static _normalizeAggregatedData(t){for(let[n,r]of t.entries()){let a=r;if(a.sort((o,i)=>i.resourceSize-o.resourceSize),a.length>1){let o=a[0].resourceSize;a=a.filter(i=>i.resourceSize/o>=kce)}a=a.filter(o=>o.resourceSize>=Fce),a.length>1?t.set(n,a):t.delete(n)}}static async compute_(t,n){let r=await Rn.request(t,n),a=new Map;for(let{rawMap:i,sizes:c}of r){if("errorMessage"in c)continue;let u=[];a.set(i,u);for(let d=0;d<i.sources.length;d++){if(this._shouldIgnoreSource(i.sources[d]))continue;let m=(i.sourceRoot||"")+i.sources[d],p=c.files[m];u.push({source:e.normalizeSource(i.sources[d]),resourceSize:p})}}let o=new Map;for(let{
rawMap:i,script:c}of r){let u=a.get(i);if(u)for(let d of u){let m=o.get(d.source);m||(m=[],o.set(d.source,m)),m.push({scriptId:c.scriptId,scriptUrl:c.url,resourceSize:d.resourceSize})}}return this._normalizeAggregatedData(o),o}},id=G(tT,["Scripts","SourceMaps"])});function Bf(e){return!!(e.startLine||e.startColumn)}function rT(e,t){let n=e.find(r=>r.url===t.url);for(;n?.redirectDestination;)n=n.redirectDestination;return n}function W6(e,t,n){if(e){if(e.resourceType===n)return e.transferSize||0;{let r=e.transferSize||0,a=e.resourceSize||0,o=Number.isFinite(a)&&a>0?r/a:1;return Math.round(t*o)}}else switch(n){case"Stylesheet":return Math.round(t*.2);case"Script":case"Document":return Math.round(t*.33);default:return Math.round(t*.5)}}function sd(e,t,n){if(!e)switch(n){case"Stylesheet":return Math.round(t*.2);case"Script":case"Document":return Math.round(t*.33);default:return Math.round(t*.5)}let r=e.transferSize||0;if(J.isContentEncoded(e)?e.responseHeadersTransferSize&&(r=Math.max(0,r-e.responseHeadersTransferSize)):r=e.resourceSize,e.resourceType===n)return r;{let a=e.resourceSize||0,o=Number.isFinite(a)&&a>0?r/a:1;return Math.round(t*o)}}function xs(e,t,n,r){let a=e.get(t);if(a!==void 0)return a;let o=n.Scripts.find(i=>i.url===t);if(!o)a=1;else{
let i=rT(r,o),c=i?.resourceSize||o.length||0;a=sd(i,c,"Script")/c}return e.set(t,a),a}var no=g(()=>{"use strict";l();Ct();s(Bf,"isInline");s(rT,"getRequestForScript");s(W6,"estimateTransferSize");s(sd,"estimateCompressedContentSize");s(xs,"estimateCompressionRatioForContent")});var V6={};x(V6,{UIStrings:()=>Uf,default:()=>Ace});function G6(e,t,n=0){let r=e.indexOf(t,n);return r===-1?e.length:r}var Uf,cd,Rce,aT,Ace,$6=g(()=>{"use strict";l();Pn();nT();A();no();Uf={title:"Remove duplicate modules in JavaScript bundles",description:"Remove large, duplicate JavaScript modules from bundles to reduce unnecessary bytes consumed by network activity. "},cd=D("core/audits/byte-efficiency/duplicated-javascript.js",Uf),Rce=1024;s(G6,"indexOfOrEnd");aT=class e extends be{static{s(this,"DuplicatedJavascript")}static get meta(){return{id:"duplicated-javascript",title:cd(Uf.title),description:cd(Uf.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:2,requiredArtifacts:["devtoolsLogs","traces","SourceMaps","Scripts","GatherContext","URL"]}}static _getNodeModuleName(t){let n=t.split("node_modules/");t=n[n.length-1];let r=G6(t,"/");return t[0]==="@"?t.slice(0,G6(t,"/",r+1)):t.slice(0,r)}static async _getDuplicationGroupedByNodeModules(t,n){let r=await id.
request(t,n),a=new Map;for(let[o,i]of r.entries()){if(!o.includes("node_modules")){a.set(o,i);continue}let c="node_modules/"+e._getNodeModuleName(o),u=a.get(c)||[];for(let{scriptId:d,scriptUrl:m,resourceSize:p}of i){let h=u.find(f=>f.scriptId===d);h||(h={scriptId:d,scriptUrl:m,resourceSize:0},u.push(h)),h.resourceSize+=p}a.set(c,u)}for(let o of r.values())o.sort((i,c)=>c.resourceSize-i.resourceSize);return a}static async audit_(t,n,r){let a=r.options?.ignoreThresholdInBytes||Rce,o=await e._getDuplicationGroupedByNodeModules(t,r),i=new Map,c=[],u=0,d=new Set,m=new Map;for(let[h,f]of o.entries()){let y=[],v=0;for(let w=0;w<f.length;w++){let E=f[w],T=E.scriptId,C=t.Scripts.find(N=>N.scriptId===T)?.url||"",F=xs(i,C,t,n),L=Math.round(E.resourceSize*F);y.push({url:C,sourceTransferBytes:L}),w!==0&&(v+=L,m.set(C,(m.get(C)||0)+L))}if(v<=a){u+=v;for(let w of y)d.add(w.url);continue}c.push({source:h,wastedBytes:v,url:"",totalBytes:0,subItems:{type:"subitems",items:y}})}u>a&&c.push({source:"Other",
wastedBytes:u,url:"",totalBytes:0,subItems:{type:"subitems",items:Array.from(d).map(h=>({url:h}))}});let p=[{key:"source",valueType:"code",subItemsHeading:{key:"url",valueType:"url"},label:cd(k.columnSource)},{key:null,valueType:"bytes",subItemsHeading:{key:"sourceTransferBytes"},granularity:10,label:cd(k.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",granularity:10,label:cd(k.columnWastedBytes)}];return{items:c,headings:p,wastedBytesByUrl:m}}},Ace=aT});var Y6={};x(Y6,{UIStrings:()=>jf,default:()=>Ice});var jf,ud,_ce,oT,Ice,K6=g(()=>{"use strict";l();Ct();Pn();A();jf={title:"Use video formats for animated content",description:"Large GIFs are inefficient for delivering animated content. Consider using MPEG4/WebM videos for animations and PNG/WebP for static images instead of GIF to save network bytes. [Learn more about efficient video formats](https://developer.chrome.com/docs/lighthouse/performance/efficient-animated-content/)"},ud=D("core/audits/byte-efficiency/efficient-animated-content.js",jf),_ce=100*1024,oT=class e extends be{static{s(this,"EfficientAnimatedContent")}static get meta(){return{id:"efficient-animated-content",title:ud(jf.title),description:ud(jf.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:3,requiredArtifacts:["devtoolsLogs","traces","GatherContext","URL"]}}static getPercentSavings(t){return Math.round(29.1*Math.log10(t)-100.7)/100}static audit_(t,n){let a=n.filter(i=>i.mimeType==="ima\
ge/gif"&&i.resourceType===J.TYPES.Image&&(i.resourceSize||0)>_ce).map(i=>{let c=i.resourceSize||0;return{url:i.url,totalBytes:c,wastedBytes:Math.round(c*e.getPercentSavings(c))}}),o=[{key:"url",valueType:"url",label:ud(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:ud(k.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:ud(k.columnWastedBytes)}];return{items:a,headings:o}}},Ice=oT});var t4=P((Z6e,e4)=>{l();var J6=/:\/\/(\S*?)(:\d+)?(\/|$)/,X6=/([a-z0-9.-]+\.[a-z0-9]+|localhost)/i,Mce=/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/,Nce=/[^.]+\.([^.]+|(gov|com|co|ne)\.\w{2})$/i;function Z6(e){return typeof e!="string"||e.length>1e4||e.startsWith("data:")?null:J6.test(e)?e.match(J6)[1]:X6.test(e)?e.match(X6)[0]:null}s(Z6,"getDomainFromOriginOrURL");function iT(e){let t=Z6(e);if(!t)return null;if(Mce.test(t))return t;let n=t.match(Nce);return n&&n[0]||t}s(iT,"getRootDomain");function Pce(e,t){return e.length<=t.length?e:e.split(".").slice(1).join(".")}s(Pce,"sliceSubdomainFromDomain");function Q6(e,t,n,r){let a=Z6(r),o=iT(a);if(!(!a||!o)){if(e.has(a))return e.get(a);for(let i=a;i.length>o.length;i=Pce(i,o))if(t.has(i))return t.get(i);if(n.has(o))return n.get(o)}}s(Q6,"getEntityInDataset");function Lce(e,t,n,r){let a=Q6(e,t,n,r),o=a&&a.products;if(o&&typeof r=="string"){for(let i of o)for(let c of i.urlPatterns)if(c instanceof RegExp&&c.test(r)||typeof c=="string"&&r.includes(c))
return i}}s(Lce,"getProductInDataset");function Oce(e){return e.map(t=>{let n={company:t.name,categories:[t.category],...t},r=(t.products||[]).map(a=>({company:n.company,category:n.category,categories:[n.category],facades:[],...a,urlPatterns:(a.urlPatterns||[]).map(o=>o.startsWith("REGEXP:")?new RegExp(o.slice(7)):o)}));return n.products=r,n})}s(Oce,"cloneEntities");function Bce(e){let t=Oce(e),n=new Map,r=new Map,a=new Map;for(let c of t){c.totalExecutionTime=Number(c.totalExecutionTime)||0,c.totalOccurrences=Number(c.totalOccurrences)||0,c.averageExecutionTime=c.totalExecutionTime/c.totalOccurrences;for(let u of c.domains){if(n.has(u)){let m=n.get(u);throw new Error(`Duplicate domain ${u} (${c.name} and ${m.name})`)}n.set(u,c);let d=iT(u);if(u.startsWith("*.")){let m=u.slice(2);m===d?r.set(d,c):a.set(m,c)}}}for(let[c,u]of r.entries())u||r.delete(c);let o=Q6.bind(null,n,a,r),i=Lce.bind(null,n,a,r);return{getEntity:o,getProduct:i,getRootDomain:iT,entities:t}}s(Bce,"createAPIFromDataset");
e4.exports={createAPIFromDataset:Bce}});var n4=P((t4e,Uce)=>{Uce.exports=[{name:"Google/Doubleclick Ads",company:"Google",homepage:"https://marketingplatform.google.com/about/enterprise/",category:"ad",domains:["adservice.google.com","adservice.google.com.au","adservice.google.com.sg","adservice.google.com.br","adservice.google.com.ua","adservice.google.co.uk","adservice.google.co.jp","adservice.google.co.in","adservice.google.co.kr","adservice.google.co.id","adservice.google.co.nz","adservice.google.ie","adservice.google.se","adservice.google.de","adservice.google.ca","adservice.google.be","adservice.google.es","adservice.google.ch","adservice.google.fr","adservice.google.nl","*.googleadservices.com","*.googlesyndication.com","*.googletagservices.com","*.2mdn.net","*.doubleclick.net"]},{name:"Facebook",homepage:"https://www.facebook.com",category:"social",domains:["*.facebook.com","*.atlassbx.com","*.fbsbx.com","fbcdn-photos-e-a.akamaihd.net","*.facebook.net","*.fbcdn.net"],products:[{name:"Facebook Messenger Customer Chat",
urlPatterns:["REGEXP:connect\\.facebook\\.net\\/.*\\/sdk\\/xfbml\\.customerchat\\.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Instagram",homepage:"https://www.instagram.com",category:"social",domains:["*.cdninstagram.com","*.instagram.com"]},{name:"Google CDN",company:"Google",homepage:"https://developers.google.com/speed/libraries/",category:"cdn",domains:["ajax.googleapis.com","commondatastorage.googleapis.com","www.gstatic.com","ssl.gstatic.com"]},{name:"Google Maps",company:"Google",homepage:"https://www.google.com/maps",category:"utility",domains:["maps.google.com","maps-api-ssl.google.com","maps.googleapis.com","mts.googleapis.com","mt.googleapis.com","mt0.googleapis.com","mt1.googleapis.com","mt2.googleapis.com","mt3.googleapis.com","khm0.googleapis.com","khm1.googleapis.com","khms.googleapis.com","khms1.googleapis.com","khms2.googleapis.com","maps.gstatic.com"]},{name:"Other Google APIs/SDKs",company:"Goog\
le",homepage:"https://developers.google.com/apis-explorer/#p/",category:"utility",domains:["accounts.google.com","apis.google.com","calendar.google.com","clients2.google.com","cse.google.com","news.google.com","pay.google.com","payments.google.com","play.google.com","smartlock.google.com","www.google.com","www.google.de","www.google.co.jp","www.google.com.au","www.google.co.uk","www.google.ie","www.google.com.sg","www.google.co.in","www.google.com.br","www.google.ca","www.google.co.kr","www.google.co.nz","www.google.co.id","www.google.fr","www.google.be","www.google.com.ua","www.google.nl","www.google.ru","www.google.se","www.googleapis.com","imasdk.googleapis.com","storage.googleapis.com","translate.googleapis.com","translate.google.com","translate-pa.googleapis.com","lh3.googleusercontent.com","jnn-pa.googleapis.com","csi.gstatic.com"]},{name:"Firebase",homepage:"https://developers.google.com/apis-explorer/#p/",category:"utility",domains:["firebasestorage.googleapis.com","firestore.g\
oogleapis.com","firebaseinstallations.googleapis.com","firebase.googleapis.com","firebaseremoteconfig.googleapis.com"]},{name:"Google Analytics",company:"Google",homepage:"https://marketingplatform.google.com/about/analytics/",category:"analytics",domains:["*.google-analytics.com","*.urchin.com","analytics.google.com"]},{name:"Google Optimize",company:"Google",homepage:"https://marketingplatform.google.com/about/optimize/",category:"analytics",domains:["www.googleoptimize.com"]},{name:"Google AMP",company:"Google",homepage:"https://github.com/google/amp-client-id-library",category:"analytics",domains:["ampcid.google.com"]},{name:"Google Tag Manager",company:"Google",homepage:"https://marketingplatform.google.com/about/tag-manager/",category:"tag-manager",domains:["*.googletagmanager.com"]},{name:"Google Fonts",company:"Google",homepage:"https://fonts.google.com/",category:"cdn",domains:["fonts.googleapis.com","fonts.gstatic.com"]},{name:"Adobe TypeKit",company:"Adobe",homepage:"https:/\
/fonts.adobe.com/",category:"cdn",domains:["*.typekit.com","*.typekit.net"]},{name:"YouTube",homepage:"https://youtube.com",category:"video",domains:["*.youtube.com","*.ggpht.com","*.youtube-nocookie.com","*.ytimg.com"],products:[{name:"YouTube Embedded Player",urlPatterns:["youtube.com/embed/"],facades:[{name:"Lite YouTube",repo:"https://github.com/paulirish/lite-youtube-embed"},{name:"Ngx Lite Video",repo:"https://github.com/karim-mamdouh/ngx-lite-video"}]}]},{name:"Twitter",homepage:"https://twitter.com",category:"social",domains:["*.vine.co","*.twimg.com","*.twitpic.com","platform.twitter.com","syndication.twitter.com"]},{name:"AddThis",homepage:"https://www.addthis.com/",category:"social",domains:["*.addthis.com","*.addthiscdn.com","*.addthisedge.com"]},{name:"AddToAny",homepage:"https://www.addtoany.com/",category:"social",domains:["*.addtoany.com"]},{name:"Akamai",homepage:"https://www.akamai.com/",category:"cdn",domains:["23.62.3.183","*.akamaitechnologies.com","*.akamaitechnol\
ogies.fr","*.akamai.net","*.akamaiedge.net","*.akamaihd.net","*.akamaized.net","*.edgefcs.net","*.edgekey.net","edgesuite.net","*.srip.net"]},{name:"Blogger",homepage:"https://www.blogger.com/",category:"hosting",domains:["*.blogblog.com","*.blogger.com","*.blogspot.com","images-blogger-opensocial.googleusercontent.com"]},{name:"Gravatar",homepage:"https://en.gravatar.com/",category:"social",domains:["*.gravatar.com"]},{name:"Yandex Metrica",company:"Yandex",homepage:"https://metrica.yandex.com/about?",category:"analytics",domains:["mc.yandex.ru","mc.yandex.com","d31j93rd8oukbv.cloudfront.net"]},{name:"Hotjar",homepage:"https://www.hotjar.com/",category:"analytics",domains:["*.hotjar.com","*.hotjar.io"]},{name:"Baidu Analytics",homepage:"https://tongji.baidu.com/web/welcome/login",category:"analytics",domains:["hm.baidu.com","hmcdn.baidu.com"]},{name:"Insider",homepage:"",category:"analytics",domains:["*.useinsider.com"]},{name:"Adobe Experience Cloud",company:"Adobe",homepage:"",category:"\
analytics",domains:["*.2o7.net","du8783wkf05yr.cloudfront.net","*.hitbox.com","*.imageg.net","*.nedstat.com","*.omtrdc.net"]},{name:"Adobe Tag Manager",company:"Adobe",homepage:"https://www.adobe.com/experience-platform/",category:"tag-manager",domains:["*.adobedtm.com","*.demdex.net","*.everesttech.net","sstats.adobe.com","hbrt.adobe.com"]},{name:"jQuery CDN",homepage:"https://code.jquery.com/",category:"cdn",domains:["*.jquery.com"]},{name:"Cloudflare CDN",homepage:"https://cdnjs.com/",category:"cdn",domains:["cdnjs.cloudflare.com","amp.cloudflare.com"]},{name:"Cloudflare",homepage:"https://www.cloudflare.com/website-optimization/",category:"utility",domains:["ajax.cloudflare.com","*.nel.cloudflare.com","static.cloudflareinsights.com"]},{name:"WordPress",company:"Automattic",homepage:"https://wp.com/",category:"hosting",domains:["*.wordpress.com","s0.wp.com","s2.wp.com","*.w.org","c0.wp.com","s1.wp.com","i0.wp.com","i1.wp.com","i2.wp.com","widgets.wp.com"]},{name:"WordPress Site Stat\
s",company:"Automattic",homepage:"https://wp.com/",category:"analytics",domains:["pixel.wp.com","stats.wp.com"]},{name:"Hatena Blog",homepage:"https://hatenablog.com/",category:"hosting",domains:["*.st-hatena.com","*.hatena.ne.jp"]},{name:"Shopify",homepage:"https://www.shopify.com/",category:"hosting",domains:["*.shopify.com","*.shopifyapps.com","*.shopifycdn.com","*.shopifysvc.com"]},{name:"Dealer",homepage:"https://www.dealer.com/",category:"hosting",domains:["*.dealer.com"]},{name:"PIXNET",homepage:"https://www.pixnet.net/",category:"social",domains:["*.pixfs.net","*.pixnet.net"]},{name:"Moat",homepage:"https://moat.com/",category:"ad",domains:["*.moatads.com","*.moatpixel.com"]},{name:"33 Across",homepage:"https://33across.com/",category:"ad",domains:["*.33across.com"]},{name:"OpenX",homepage:"https://www.openx.com/",category:"ad",domains:["*.deliverimp.com","*.openxadexchange.com","*.servedbyopenx.com","*.jump-time.net","*.openx.net","*.openxcdn.net"]},{name:"Amazon Ads",homepage:"\
https://ad.amazon.com/",category:"ad",domains:["*.amazon-adsystem.com"]},{name:"Rubicon Project",homepage:"https://rubiconproject.com/",category:"ad",domains:["*.rubiconproject.com","*.chango.com","*.fimserve.com"]},{name:"The Trade Desk",homepage:"https://www.thetradedesk.com/",category:"ad",domains:["*.adsrvr.org","d1eoo1tco6rr5e.cloudfront.net"]},{name:"Bidswitch",homepage:"https://www.bidswitch.com/",category:"ad",domains:["*.bidswitch.net"]},{name:"LiveRamp IdentityLink",homepage:"https://liveramp.com/discover-identitylink/",category:"analytics",domains:["*.circulate.com","*.rlcdn.com"]},{name:"Drawbridge",homepage:"https://www.drawbridge.com/",category:"ad",domains:["*.adsymptotic.com"]},{name:"AOL / Oath / Verizon Media",homepage:"https://www.oath.com/",category:"ad",domains:["*.advertising.com","*.aol.com","*.aolcdn.com","*.blogsmithmedia.com","*.oath.com","*.aol.net","*.tacoda.net","*.aol.co.uk"]},{name:"Xaxis",homepage:"https://www.xaxis.com/",category:"ad",domains:["*.247rea\
lmedia.com","*.mookie1.com","*.gmads.net"]},{name:"Freshdesk",company:"Freshworks",homepage:"https://freshdesk.com/",category:"customer-success",domains:["d36mpcpuzc4ztk.cloudfront.net"]},{name:"Help Scout",homepage:"https://www.helpscout.net/",category:"customer-success",domains:["djtflbt20bdde.cloudfront.net","*.helpscout.net"],products:[{name:"Help Scout Beacon",urlPatterns:["beacon-v2.helpscout.net"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Alexa",homepage:"https://www.alexa.com/",category:"analytics",domains:["*.alexametrics.com","d31qbv1cthcecs.cloudfront.net"]},{name:"OneSignal",homepage:"https://onesignal.com/",category:"utility",domains:["*.onesignal.com"]},{name:"Lucky Orange",homepage:"https://www.luckyorange.com/",category:"analytics",domains:["*.luckyorange.com","d10lpsik1i8c69.cloudfront.net","*.luckyorange.net"]},{name:"Crazy Egg",homepage:"https://www.crazyegg.com/",category:"analytics",domains:["*.c\
etrk.com","*.crazyegg.com","*.hellobar.com","dnn506yrbagrg.cloudfront.net"]},{name:"Yandex Ads",company:"Yandex",homepage:"https://yandex.com/adv/",category:"ad",domains:["an.yandex.ru"]},{name:"Salesforce",homepage:"https://www.salesforce.com/products/marketing-cloud/",category:"analytics",domains:["*.krxd.net"]},{name:"Salesforce Commerce Cloud",homepage:"https://www.salesforce.com/products/commerce-cloud/overview/",category:"hosting",domains:["*.cquotient.com","*.demandware.net","demandware.edgesuite.net"]},{name:"Optimizely",homepage:"https://www.optimizely.com/",category:"analytics",domains:["*.optimizely.com"]},{name:"LiveChat",homepage:"https://www.livechat.com/",category:"customer-success",domains:["*.livechatinc.com","*.livechat.com","*.livechat-static.com"]},{name:"VK",homepage:"https://vk.com/",category:"social",domains:["*.vk.com"]},{name:"Tumblr",homepage:"https://tumblr.com/",category:"social",domains:["*.tumblr.com"]},{name:"Wistia",homepage:"https://wistia.com/",category:"\
video",domains:["*.wistia.com","embedwistia-a.akamaihd.net","*.wistia.net"]},{name:"Brightcove",homepage:"https://www.brightcove.com/en/",category:"video",domains:["*.brightcove.com","*.brightcove.net","*.zencdn.net"]},{name:"JSDelivr CDN",homepage:"https://www.jsdelivr.com/",category:"cdn",domains:["*.jsdelivr.net"]},{name:"Sumo",homepage:"https://sumo.com/",category:"marketing",domains:["*.sumo.com","*.sumome.com","sumo.b-cdn.net"]},{name:"Vimeo",homepage:"https://vimeo.com/",category:"video",domains:["*.vimeo.com","*.vimeocdn.com"],products:[{name:"Vimeo Embedded Player",urlPatterns:["player.vimeo.com/video/"],facades:[{name:"Lite Vimeo",repo:"https://github.com/slightlyoff/lite-vimeo"},{name:"Lite Vimeo Embed",repo:"https://github.com/luwes/lite-vimeo-embed"},{name:"Ngx Lite Video",repo:"https://github.com/karim-mamdouh/ngx-lite-video"}]}]},{name:"Disqus",homepage:"https://disqus.com/",category:"social",domains:["*.disqus.com","*.disquscdn.com"]},{name:"Yandex APIs",company:"Yandex",
homepage:"https://yandex.ru/",category:"utility",domains:["api-maps.yandex.ru","money.yandex.ru"]},{name:"Yandex CDN",company:"Yandex",homepage:"https://yandex.ru/",category:"cdn",domains:["*.yandex.st","*.yastatic.net"]},{name:"Integral Ad Science",homepage:"https://integralads.com/uk/",category:"ad",domains:["*.adsafeprotected.com","*.iasds01.com"]},{name:"Tealium",homepage:"https://tealium.com/",category:"tag-manager",domains:["*.aniview.com","*.delvenetworks.com","*.limelight.com","*.tiqcdn.com","*.llnwd.net","*.tealiumiq.com"]},{name:"Pubmatic",homepage:"https://pubmatic.com/",category:"ad",domains:["*.pubmatic.com"]},{name:"Olark",homepage:"https://www.olark.com/",category:"customer-success",domains:["*.olark.com"]},{name:"Tawk.to",homepage:"https://www.tawk.to/",category:"customer-success",domains:["*.tawk.to"]},{name:"OptinMonster",homepage:"https://optinmonster.com/",category:"marketing",domains:["*.opmnstr.com","*.optmnstr.com","*.optmstr.com"]},{name:"ZenDesk",homepage:"http\
s://zendesk.com/",category:"customer-success",domains:["*.zdassets.com","*.zendesk.com","*.zopim.com"]},{name:"Pusher",homepage:"https://pusher.com/",category:"utility",domains:["*.pusher.com","*.pusherapp.com"]},{name:"Drift",homepage:"https://www.drift.com/",category:"marketing",domains:["*.drift.com","*.driftt.com"],products:[{name:"Drift Live Chat",urlPatterns:["REGEXP:js\\.driftt\\.com\\/include\\/.*\\/.*\\.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"}]}]},{name:"Sentry",homepage:"https://sentry.io/",category:"utility",domains:["*.getsentry.com","*.ravenjs.com","*.sentry-cdn.com","*.sentry.io"]},{name:"Amazon Web Services",homepage:"https://aws.amazon.com/s3/",category:"other",domains:["*.amazon.com","*.amazonaws.com","*.amazonwebapps.com","*.amazonwebservices.com","*.elasticbeanstalk.com","*.images-amazon.com","*.amazon.co.uk"]},{name:"Amazon Pay",homepage:"https://pay.amazon.com",category:"utility",domains:["payments.am\
azon.com","*.payments-amazon.com"]},{name:"Media.net",homepage:"https://www.media.net/",category:"ad",domains:["*.media.net","*.mnet-ad.net"]},{name:"Yahoo!",homepage:"https://www.yahoo.com/",category:"ad",domains:["*.bluelithium.com","*.hostingprod.com","*.lexity.com","*.yahoo.com","*.yahooapis.com","*.yimg.com","*.zenfs.com","*.yahoo.net"]},{name:"Adroll",homepage:"https://www.adroll.com/",category:"ad",domains:["*.adroll.com"]},{name:"Twitch",homepage:"https://twitch.tv/",category:"video",domains:["*.twitch.tv"]},{name:"Taboola",homepage:"https://www.taboola.com/",category:"ad",domains:["*.taboola.com","*.taboolasyndication.com"]},{name:"Sizmek",homepage:"https://www.sizmek.com/",category:"ad",domains:["*.serving-sys.com","*.peer39.net"]},{name:"Scorecard Research",homepage:"https://www.scorecardresearch.com/",category:"ad",domains:["*.scorecardresearch.com"]},{name:"Criteo",homepage:"https://www.criteo.com/",category:"ad",domains:["*.criteo.com","*.emailretargeting.com","*.criteo.n\
et"]},{name:"Segment",homepage:"https://segment.com/",category:"analytics",domains:["*.segment.com","*.segment.io"]},{name:"ShareThis",homepage:"https://www.sharethis.com/",category:"social",domains:["*.sharethis.com"]},{name:"Distil Networks",homepage:"https://www.distilnetworks.com/",category:"utility",domains:["*.areyouahuman.com"]},{name:"Connexity",homepage:"https://connexity.com/",category:"analytics",domains:["*.connexity.net"]},{name:"Popads",homepage:"https://www.popads.net/",category:"ad",domains:["*.popads.net"]},{name:"CreateJS CDN",homepage:"https://code.createjs.com/",category:"cdn",domains:["*.createjs.com"]},{name:"Squarespace",homepage:"https://www.squarespace.com/",category:"hosting",domains:["*.squarespace.com"]},{name:"Media Math",homepage:"https://www.mediamath.com/",category:"ad",domains:["*.mathads.com","*.mathtag.com"]},{name:"Mixpanel",homepage:"https://mixpanel.com/",category:"analytics",domains:["*.mixpanel.com","*.mxpnl.com"]},{name:"FontAwesome CDN",homepage:"\
https://fontawesome.com/",category:"cdn",domains:["*.fontawesome.com"]},{name:"Hubspot",homepage:"https://hubspot.com/",category:"marketing",domains:["*.hs-scripts.com","*.hubspot.com","*.leadin.com","*.hs-analytics.net","*.hscollectedforms.net","*.hscta.net","*.hsforms.net","*.hsleadflows.net","*.hsstatic.net","*.hubspot.net","*.hsforms.com","*.hs-banner.com","*.hs-embed-reporting.com","*.hs-growth-metrics.com","*.hs-data.com","*.hsadspixel.net","*.hubapi.com"]},{name:"Mailchimp",homepage:"https://mailchimp.com/",category:"marketing",domains:["*.chimpstatic.com","*.list-manage.com","*.mailchimp.com"]},{name:"MGID",homepage:"https://www.mgid.com/",category:"ad",domains:["*.mgid.com","*.dt07.net"]},{name:"Stripe",homepage:"https://stripe.com",category:"utility",domains:["*.stripe.com","*.stripecdn.com","*.stripe.network"]},{name:"PayPal",homepage:"https://paypal.com",category:"utility",domains:["*.paypal.com","*.paypalobjects.com"]},{name:"Market GID",homepage:"https://www.marketgid.com\
/",category:"ad",domains:["*.marketgid.com"]},{name:"Pinterest",homepage:"https://pinterest.com/",category:"social",domains:["*.pinimg.com","*.pinterest.com"]},{name:"New Relic",homepage:"https://newrelic.com/",category:"utility",domains:["*.newrelic.com","*.nr-data.net"]},{name:"AppDynamics",homepage:"https://www.appdynamics.com/",category:"utility",domains:["*.appdynamics.com","*.eum-appdynamics.com","d3tjaysgumg9lf.cloudfront.net"]},{name:"Parking Crew",homepage:"https://parkingcrew.net/",category:"other",domains:["d1lxhc4jvstzrp.cloudfront.net","*.parkingcrew.net"]},{name:"WordAds",company:"Automattic",homepage:"https://wordads.co/",category:"ad",domains:["*.pubmine.com"]},{name:"AppNexus",homepage:"https://www.appnexus.com/",category:"ad",domains:["*.adnxs.com","*.ctasnet.com","*.adrdgt.com"]},{name:"Histats",homepage:"https://www.histats.com/",category:"analytics",domains:["*.histats.com"]},{name:"DoubleVerify",homepage:"https://www.doubleverify.com/",category:"ad",domains:["*.do\
ubleverify.com","*.dvtps.com","*.iqfp1.com"]},{name:"Mediavine",homepage:"https://www.mediavine.com/",category:"ad",domains:["*.mediavine.com"]},{name:"Wix",homepage:"https://www.wix.com/",category:"hosting",domains:["*.parastorage.com","*.wix.com","*.wixstatic.com","*.wixapps.net"]},{name:"Webflow",homepage:"https://webflow.com/",category:"hosting",domains:["*.uploads-ssl.webflow.com","*.assets-global.website-files.com","*.assets.website-files.com"]},{name:"Weebly",homepage:"https://www.weebly.com/",category:"hosting",domains:["*.editmysite.com"]},{name:"LinkedIn",homepage:"https://www.linkedin.com/",category:"social",domains:["*.bizographics.com","platform.linkedin.com","*.slideshare.com","*.slidesharecdn.com","*.oribi.io"]},{name:"LinkedIn Ads",category:"ad",domains:["*.licdn.com","*.ads.linkedin.com","ads.linkedin.com","www.linkedin.com"]},{name:"Vox Media",homepage:"https://www.voxmedia.com/",category:"content",domains:["*.vox-cdn.com","*.voxmedia.com"]},{name:"Hotmart",homepage:"\
https://www.hotmart.com/",category:"content",domains:["*.hotmart.com"]},{name:"SoundCloud",homepage:"https://www.soundcloud.com/",category:"content",domains:["*.sndcdn.com","*.soundcloud.com","*.stratus.sc"]},{name:"Spotify",homepage:"https://www.spotify.com/",category:"content",domains:["*.scdn.co","*.spotify.com"]},{name:"AMP",homepage:"https://amp.dev/",category:"content",domains:["*.ampproject.org"]},{name:"Beeketing",homepage:"https://beeketing.com/",category:"marketing",domains:["*.beeketing.com"]},{name:"Albacross",homepage:"https://albacross.com/",category:"marketing",domains:["*.albacross.com"]},{name:"TrafficJunky",homepage:"https://www.trafficjunky.com/",category:"ad",domains:["*.contentabc.com","*.trafficjunky.net"]},{name:"Bootstrap CDN",homepage:"https://www.bootstrapcdn.com/",category:"cdn",domains:["*.bootstrapcdn.com"]},{name:"Shareaholic",homepage:"https://www.shareaholic.com/",category:"social",domains:["*.shareaholic.com","dsms0mj1bbhn4.cloudfront.net"]},{name:"Snow\
plow",homepage:"https://snowplowanalytics.com/",category:"analytics",domains:["d32hwlnfiv2gyn.cloudfront.net"]},{name:"RD Station",homepage:"https://www.rdstation.com/en/",category:"marketing",domains:["d335luupugsy2.cloudfront.net"]},{name:"Jivochat",homepage:"https://www.jivochat.com/",category:"customer-success",domains:["*.jivosite.com"]},{name:"Listrak",homepage:"https://www.listrak.com/",category:"marketing",domains:["*.listrak.com","*.listrakbi.com"]},{name:"Ontame",homepage:"https://www.ontame.io",category:"analytics",domains:["*.ontame.io"]},{name:"Ipify",homepage:"https://www.ipify.org",category:"utility",domains:["*.ipify.org"]},{name:"Ensighten",homepage:"https://www.ensighten.com/",category:"tag-manager",domains:["*.ensighten.com"]},{name:"EpiServer",homepage:"https://www.episerver.com",category:"content",domains:["*.episerver.net"]},{name:"mPulse",homepage:"https://developer.akamai.com/akamai-mpulse",category:"analytics",domains:["*.akstat.io","*.go-mpulse.net","*.mpulse.\
net","*.mpstat.us"]},{name:"Pingdom RUM",homepage:"https://www.pingdom.com/product/performance-monitoring/",category:"analytics",domains:["*.pingdom.net"]},{name:"SpeedCurve RUM",company:"SpeedCurve",homepage:"https://www.speedcurve.com/features/performance-monitoring/",category:"analytics",domains:["*.speedcurve.com"]},{name:"Radar",company:"Cedexis",homepage:"https://www.cedexis.com/radar/",category:"analytics",domains:["*.cedexis-test.com","*.cedexis.com","*.cmdolb.com","cedexis.leasewebcdn.com","*.cedexis-radar.net","*.cedexis.net","cedexis-test01.insnw.net","cedexisakamaitest.azureedge.net","cedexispub.cdnetworks.net","cs600.wac.alphacdn.net","cs600.wpc.edgecastdns.net","global2.cmdolb.com","img-cedexis.mncdn.com","a-cedexis.msedge.net","zn3vgszfh.fastestcdn.net"]},{name:"Byside",homepage:"https://byside.com",category:"analytics",domains:["*.byside.com"]},{name:"VWO",homepage:"https://vwo.com",category:"analytics",domains:["*.vwo.com","*.visualwebsiteoptimizer.com","d5phz18u4wuww.\
cloudfront.net","*.wingify.com"]},{name:"Bing Ads",homepage:"https://bingads.microsoft.com",category:"ad",domains:["*.bing.com","*.microsoft.com","*.msn.com","*.s-msft.com","*.s-msn.com","*.msads.net","*.msecnd.net"]},{name:"GoSquared",homepage:"https://www.gosquared.com",category:"analytics",domains:["*.gosquared.com","d1l6p2sc9645hc.cloudfront.net"]},{name:"Usabilla",homepage:"https://usabilla.com",category:"analytics",domains:["*.usabilla.com","d6tizftlrpuof.cloudfront.net"]},{name:"Fastly Insights",homepage:"https://insights.fastlylabs.com",category:"analytics",domains:["*.fastly-insights.com"]},{name:"Visual IQ",homepage:"https://www.visualiq.com",category:"analytics",domains:["*.myvisualiq.net"]},{name:"Snapchat",homepage:"https://www.snapchat.com",category:"analytics",domains:["*.snapchat.com","*.sc-static.net"]},{name:"Atlas Solutions",homepage:"https://atlassolutions.com",category:"analytics",domains:["*.atdmt.com"]},{name:"Quantcast",homepage:"https://www.quantcast.com",category:"\
analytics",domains:["*.brtstats.com","*.quantcount.com","*.quantserve.com","*.semantictec.com","*.ntv.io"]},{name:"Spiceworks",homepage:"https://www.spiceworks.com",category:"analytics",domains:["*.spiceworks.com"]},{name:"Marketo",homepage:"https://www.marketo.com",category:"analytics",domains:["*.marketo.com","*.mktoresp.com","*.marketo.net"]},{name:"Intercom",homepage:"https://www.intercom.com",category:"customer-success",domains:["*.intercomcdn.com","*.intercom.io"],products:[{name:"Intercom Widget",urlPatterns:["widget.intercom.io","js.intercomcdn.com/shim.latest.js"],facades:[{name:"React Live Chat Loader",repo:"https://github.com/calibreapp/react-live-chat-loader"},{name:"Intercom Facade",repo:"https://github.com/danielbachhuber/intercom-facade/"}]}]},{name:"Unpkg",homepage:"https://unpkg.com",category:"cdn",domains:["*.unpkg.com","*.npmcdn.com"]},{name:"ReadSpeaker",homepage:"https://www.readspeaker.com",category:"other",domains:["*.readspeaker.com"]},{name:"Browsealoud",homepage:"\
https://www.texthelp.com/en-gb/products/browsealoud/",category:"other",domains:["*.browsealoud.com","*.texthelp.com"]},{name:"15gifts",category:"customer-success",domains:["*.15gifts.com","*.primefuse.com"]},{name:"1xRUN",category:"utility",domains:["*.1xrun.com"]},{name:"2AdPro Media Solutions",category:"ad",domains:["*.2adpro.com"]},{name:"301 Digital Media",category:"content",domains:["*.301ads.com","*.301network.com"]},{name:"360 picnic platform",company:"MediaV",category:"ad",domains:["*.mediav.com"]},{name:"365 Media Group",category:"content",domains:["*.365dm.com"]},{name:"365 Tech Services",category:"hosting",domains:["*.365webservices.co.uk"]},{name:"3D Issue",category:"utility",domains:["*.3dissue.com","*.pressjack.com"]},{name:"47Line Technologies",category:"other",domains:["*.pejs.net"]},{name:"4finance",category:"utility",domains:["*.4finance.com"]},{name:"5miles",category:"content",domains:["*.5milesapp.com"]},{name:"77Tool",company:"77Agency",category:"analytics",domains:[
"*.77tracking.com"]},{name:"9xb",category:"ad",domains:["*.9xb.com"]},{name:"@UK",category:"hosting",domains:["*.uk-plc.net"]},{name:"A Perfect Pocket",category:"hosting",domains:["*.aperfectpocketdata.com"]},{name:"A-FIS PTE",category:"analytics",domains:["*.websta.me"]},{name:"AB Tasty",category:"analytics",domains:["*.abtasty.com","d1447tq2m68ekg.cloudfront.net"]},{name:"ABA RESEARCH",category:"analytics",domains:["*.abaresearch.uk","qmodal.azurewebsites.net"]},{name:"ADMIZED",category:"ad",domains:["*.admized.com"]},{name:"ADNOLOGIES",category:"ad",domains:["*.heias.com"]},{name:"ADventori",category:"ad",domains:["*.adventori.com"]},{name:"AI Media Group",category:"ad",domains:["*.aimediagroup.com"]},{name:"AIR.TV",category:"ad",domains:["*.air.tv"]},{name:"AKQA",category:"ad",domains:["*.srtk.net"]},{name:"AOL ad",company:"AOL",category:"ad",domains:["*.atwola.com"]},{name:"AOL On",company:"AOL",category:"content",domains:["*.5min.com"]},{name:"AOL Sponsored Listiings",company:"AO\
L",category:"ad",domains:["*.adsonar.com"]},{name:"APSIS Lead",company:"APSIS International AB",category:"ad",domains:["*.prospecteye.com"]},{name:"APSIS Profile Cloud",company:"APSIS",category:"analytics",domains:["*.innomdc.com"]},{name:"APSIS Forms",company:"APSIS",category:"other",domains:["*.apsisforms.com"]},{name:"ARENA",company:"Altitude",category:"ad",domains:["*.altitude-arena.com"]},{name:"ARM",category:"analytics",domains:["*.tag4arm.com"]},{name:"ASAPP",category:"other",domains:["*.asapp.com"]},{name:"ASP",category:"hosting",domains:["*.goshowoff.com"]},{name:"AT Internet",category:"analytics",domains:["*.ati-host.net"]},{name:"ATTRAQT",category:"utility",domains:["*.attraqt.com","*.locayta.com"]},{name:"AVANSER",category:"analytics",domains:["*.avanser.com.au"]},{name:"AVG",company:"AVG Technologies",category:"utility",domains:["*.avg.com"]},{name:"AWeber",category:"ad",domains:["*.aweber.com"]},{name:"AXS",category:"content",domains:["*.axs.com"]},{name:"Accentuate",company:"\
Accentuate Digital",category:"utility",homepage:"https://www.accentuate.io/",domains:["*.accentuate.io"]},{name:"Accenture",category:"analytics",domains:["*.tmvtp.com"]},{name:"Accord Holdings",category:"ad",domains:["*.agcdn.com"]},{name:"Accordant Media",category:"ad",domains:["*.a3cloud.net"]},{name:"Account Kit",category:"other",domains:["*.accountkit.com"]},{name:"Accuen Media (Omnicom Media Group)",category:"content",domains:["*.p-td.com"]},{name:"Accuweather",category:"content",domains:["*.accuweather.com"]},{name:"Acquisio",category:"ad",domains:["*.acq.io"]},{name:"Act-On Software",category:"marketing",domains:["*.actonsoftware.com"]},{name:"ActBlue",category:"other",domains:["*.actblue.com"]},{name:"Active Agent",category:"ad",domains:["*.active-agent.com"]},{name:"ActiveCampaign",category:"ad",domains:["*.trackcmp.net","app-us1.com","*.app-us1.com"]},{name:"AcuityAds",category:"ad",domains:["*.acuityplatform.com"]},{name:"Acxiom",category:"ad",domains:["*.acxiom-online.com",
"*.acxiomapac.com","*.delivery.net"]},{name:"Ad4Screen",category:"ad",domains:["*.a4.tl"]},{name:"Ad6Media",category:"ad",domains:["*.ad6media.fr"]},{name:"AdCurve",category:"ad",domains:["*.shop2market.com"]},{name:"AdEasy",category:"ad",domains:["*.adeasy.ru"]},{name:"AdExtent",category:"ad",domains:["*.adextent.com"]},{name:"AdForge Edge",company:"AdForge",category:"ad",domains:["*.adforgeinc.com"]},{name:"AdGear",company:"Samsung Electronics",category:"ad",domains:["*.adgear.com","*.adgrx.com"]},{name:"AdInMedia",category:"ad",domains:["*.fastapi.net"]},{name:"AdJug",category:"ad",domains:["*.adjug.com"]},{name:"AdMatic",category:"ad",domains:["*.admatic.com.tr"]},{name:"AdMedia",category:"ad",domains:["*.admedia.com"]},{name:"AdRecover",category:"ad",domains:["*.adrecover.com"]},{name:"AdRiver",category:"ad",domains:["*.adriver.ru"]},{name:"AdSniper",category:"ad",domains:["*.adsniper.ru","*.sniperlog.ru"]},{name:"AdSpeed",category:"ad",domains:["*.adspeed.net"]},{name:"AdSpruce",
category:"ad",domains:["*.adspruce.com"]},{name:"AdSupply",category:"ad",domains:["*.doublepimp.com"]},{name:"AdTheorent",category:"ad",domains:["*.adentifi.com"]},{name:"AdThink AudienceInsights",company:"AdThink Media",category:"analytics",domains:["*.audienceinsights.net"]},{name:"AdTrue",company:"FPT AdTrue",category:"ad",domains:["*.adtrue.com"]},{name:"AdYapper",category:"ad",domains:["*.adyapper.com"]},{name:"Adacado",category:"ad",domains:["*.adacado.com"]},{name:"Adap.tv",category:"ad",domains:["*.adap.tv"]},{name:"Adapt Services",category:"hosting",domains:["*.adcmps.com"]},{name:"Adaptive Web",category:"hosting",domains:["*.adaptive.co.uk"]},{name:"Adara Media",category:"ad",domains:["*.yieldoptimizer.com"]},{name:"Adblade",category:"ad",domains:["*.adblade.com"]},{name:"Adbrain",category:"ad",domains:["*.adbrn.com"]},{name:"AddEvent",category:"utility",domains:["*.addevent.com"]},{name:"AddShoppers",category:"social",domains:["*.addshoppers.com","d3rr3d0n31t48m.cloudfront.n\
et","*.shop.pe"]},{name:"AddThisEvent",category:"hosting",domains:["*.addthisevent.com"]},{name:"Addoox MetaNetwork",company:"Addoox",category:"ad",domains:["*.metanetwork.net"]},{name:"Addvantage Media",category:"ad",domains:["*.addvantagemedia.com","*.simplytechnology.net"]},{name:"AD EBis",category:"analytics",homepage:"https://www.ebis.ne.jp/",domains:["*.ebis.ne.jp"]},{name:"Adecs",category:"customer-success",domains:["*.adecs.co.uk"]},{name:"Adelphic",category:"ad",domains:["*.ipredictive.com"]},{name:"Adestra",category:"ad",domains:["*.adestra.com","*.msgfocus.com"]},{name:"Adform",category:"ad",domains:["*.adform.net","*.adformdsp.net"]},{name:"Adkontekst",category:"ad",domains:["*.adkontekst.pl"]},{name:"Adlead",category:"ad",domains:["*.webelapp.com"]},{name:"Adledge",category:"utility",domains:["*.adledge.com"]},{name:"Adloox",category:"ad",domains:["*.adlooxtracking.com"]},{name:"Adlux",category:"ad",domains:["*.adlux.com"]},{name:"Admedo",category:"ad",domains:["*.a8723.co\
m","*.adizio.com","*.admedo.com"]},{name:"Admeta",company:"Wideorbit",category:"ad",domains:["*.atemda.com"]},{name:"Admetrics",company:"Next Tuesday",category:"analytics",domains:["*.nt.vc"]},{name:"Admiral",category:"ad",domains:["*.unknowntray.com"]},{name:"Admitad",category:"ad",domains:["*.lenmit.com"]},{name:"Admixer for Publishers",company:"Admixer",category:"ad",domains:["*.admixer.net"]},{name:"Adnium",category:"ad",domains:["*.adnium.com"]},{name:"Adnostic",company:"Dennis Publishing",category:"ad",domains:["*.adnostic.co.uk"]},{name:"Adobe Marketing Cloud",company:"Adobe Systems",category:"ad",domains:["*.adobetag.com"]},{name:"Adobe Scene7",company:"Adobe Systems",category:"content",domains:["wwwimages.adobe.com","*.scene7.com","*.everestads.net","*.everestjs.net"]},{name:"Adobe Systems",category:"content",domains:["adobe.com","www.adobe.com"]},{name:"Adobe Business Catalyst",homepage:"https://www.businesscatalyst.com/",category:"hosting",domains:["*.businesscatalyst.com"]},
{name:"Adocean",company:"Gemius",category:"ad",domains:["*.adocean.pl"]},{name:"Adometry",company:"Google",category:"ad",domains:["*.dmtry.com"]},{name:"Adomik",category:"analytics",domains:["*.adomik.com"]},{name:"Adotmob",category:"ad",domains:["*.adotmob.com"]},{name:"Adrian Quevedo",category:"hosting",domains:["*.adrianquevedo.com"]},{name:"Adroit Digital Solutions",category:"ad",domains:["*.imiclk.com","*.abmr.net"]},{name:"AdsNative",category:"ad",domains:["*.adsnative.com"]},{name:"AdsWizz",category:"ad",domains:["*.adswizz.com"]},{name:"Adscale",category:"ad",domains:["*.adscale.de"]},{name:"Adschoom",company:"JSWeb Production",category:"ad",domains:["*.adschoom.com"]},{name:"Adscience",category:"ad",domains:["*.adscience.nl"]},{name:"Adsiduous",category:"ad",domains:["*.adsiduous.com"]},{name:"Adsty",category:"ad",domains:["*.adx1.com"]},{name:"Adtech (AOL)",category:"ad",domains:["*.adtechus.com"]},{name:"Adtegrity",category:"ad",domains:["*.adtpix.com"]},{name:"Adthink",company:"\
Adthink Media",category:"ad",domains:["*.adxcore.com","*.dcoengine.com"]},{name:"AdultWebmasterEmpire.Com",category:"ad",domains:["*.awempire.com"]},{name:"Adunity",category:"ad",domains:["*.adunity.com"]},{name:"Advance Magazine Group",category:"content",domains:["*.condenastdigital.com","*.condenet.com","*.condenast.co.uk"]},{name:"Adverline Board",company:"Adverline",category:"ad",domains:["*.adverline.com","*.adnext.fr"]},{name:"AdvertServe",category:"ad",domains:["*.advertserve.com"]},{name:"Advolution",category:"utility",domains:["*.advolution.de"]},{name:"Adwise",category:"ad",domains:["*.adwise.bg"]},{name:"Adyen",category:"utility",domains:["*.adyen.com"]},{name:"Adyoulike",category:"ad",domains:["*.adyoulike.com","*.omnitagjs.com","*.adyoulike.net"]},{name:"Adzerk",category:"ad",domains:["*.adzerk.net"]},{name:"Adzip",company:"Adbox Digital",category:"ad",domains:["*.adzip.co"]},{name:"AerServ",category:"ad",domains:["*.aerserv.com"]},{name:"Affectv",category:"ad",domains:["*\
.affectv.com","*.affec.tv"]},{name:"Affiliate Window",company:"Digital Window",category:"ad",domains:["*.dwin1.com"]},{name:"Affiliatly",category:"ad",domains:["*.affiliatly.com"]},{name:"Affino",category:"ad",domains:["affino.com"]},{name:"Affirm",category:"utility",domains:["*.affirm.com"]},{name:"Afterpay",company:"Block",category:"utility",homepage:"https://www.afterpay.com/",domains:["*.afterpay.com"]},{name:"Agenda Media",category:"ad",domains:["*.agendamedia.co.uk"]},{name:"Aggregate Knowledge",company:"Neustar",category:"ad",domains:["*.agkn.com"]},{name:"AgilOne",category:"marketing",domains:["*.agilone.com"]},{name:"Agility",category:"hosting",domains:["*.agilitycms.com"]},{name:"Ahalogy",category:"social",domains:["*.ahalogy.com"]},{name:"Aheadworks",category:"utility",domains:["*.aheadworks.com"]},{name:"AirPR",category:"analytics",domains:["*.airpr.com"]},{name:"Aira",category:"ad",domains:["*.aira.net"]},{name:"Airport Parking and Hotels",category:"content",domains:["*.ap\
h.com"]},{name:"Akanoo",category:"analytics",domains:["*.akanoo.com"]},{name:"Alchemy",company:"AndBeyond.Media",category:"ad",domains:["*.andbeyond.media"]},{name:"AlephD",company:"AOL",category:"ad",domains:["*.alephd.com"]},{name:"AliveChat",company:"AYU Technology Solutions",category:"customer-success",domains:["*.websitealive.com","*.websitealive7.com"]},{name:"All Access",category:"other",domains:["*.allaccess.com.ph"]},{name:"Alliance for Audited Media",category:"ad",domains:["*.aamsitecertifier.com"]},{name:"Allyde",category:"marketing",domains:["*.mautic.com"]},{name:"AlphaSSL",category:"utility",domains:["*.alphassl.com"]},{name:"Altitude",category:"ad",domains:["*.altitudeplatform.com"]},{name:"Altocloud",category:"analytics",domains:["*.altocloud.com"]},{name:"Amadeus",category:"content",domains:["*.e-travel.com"]},{name:"Amazon CloudFront",company:"Amazon",category:"utility",domains:["cloudfront.net"]},{name:"Ambassador",category:"ad",domains:["*.getambassador.com"]},{name:"\
Ambient",company:"Ericcson",category:"other",domains:["*.adnetwork.vn","*.ambientplatform.vn"]},{name:"Amelia Communication",category:"hosting",domains:["*.sara.media"]},{name:"Amobee",category:"marketing",domains:["*.amgdgt.com","*.kontera.com"]},{name:"Amplience",category:"marketing",domains:["*.10cms.com","*.amplience.com","*.amplience.net","*.bigcontent.io","*.adis.ws"]},{name:"Amplitude Mobile Analytics",company:"Amplitude",category:"analytics",domains:["*.amplitude.com","d24n15hnbwhuhn.cloudfront.net"]},{name:"Anametrix",company:"Ensighten",category:"analytics",domains:["*.anametrix.com"]},{name:"Ancora Platform",company:"Ancora Media Solutions",category:"ad",domains:["*.ancoraplatform.com"]},{name:"Anedot",category:"other",domains:["*.anedot.com"]},{name:"AnimateJS",category:"utility",domains:["*.animatedjs.com"]},{name:"AnswerDash",category:"customer-success",domains:["*.answerdash.com"]},{name:"Answers",category:"analytics",domains:["*.answcdn.com","*.answers.com","*.dsply.com"]},
{name:"Apester",category:"analytics",domains:["*.apester.com","*.qmerce.com"]},{name:"Apligraf SmartWeb",company:"Apligraf",category:"utility",domains:["*.apligraf.com.br"]},{name:"Appier",category:"ad",domains:["*.appier.net"]},{name:"Appsolute",category:"utility",homepage:"https://appsolute.us/",domains:["dropahint.love"]},{name:"Apptus eSales",company:"Apptus",category:"analytics",domains:["*.apptus.com"]},{name:"Arbor",company:"LiveRamp",category:"other",domains:["*.pippio.com"]},{name:"Ardent Creative",category:"hosting",domains:["*.ardentcreative.co.uk"]},{name:"Arnold Clark Automobiles",category:"content",domains:["*.arnoldclark.com"]},{name:"Atom Content Marketing",category:"content",domains:["*.atomvault.net"]},{name:"Atom Data",category:"other",domains:["*.atomdata.io"]},{name:"Attribution",category:"ad",domains:["*.attributionapp.com"]},{name:"Audience 360",company:"Datapoint Media",category:"ad",domains:["*.dpmsrv.com"]},{name:"Audience Science",category:"ad",domains:["*.re\
vsci.net"]},{name:"AudienceSearch",company:"Intimate Merger",category:"ad",domains:["*.im-apps.net"]},{name:"Auditorius",category:"ad",domains:["*.audtd.com"]},{name:"Augur",category:"analytics",domains:["*.augur.io"]},{name:"Auto Link Maker",company:"Apple",category:"ad",domains:["*.apple.com"]},{name:"Autopilot",category:"ad",domains:["*.autopilothq.com"]},{name:"Avail",company:"RichRelevance",category:"ad",domains:["*.avail.net"]},{name:"AvantLink",category:"ad",domains:["*.avmws.com"]},{name:"Avco Systems",category:"utility",domains:["*.avcosystems.com"]},{name:"Avid Media",category:"customer-success",domains:["*.adspdbl.com","*.metadsp.co.uk"]},{name:"Avocet Systems",category:"ad",domains:["*.avocet.io","ads.avct.cloud"]},{name:"Avora",category:"analytics",domains:["*.truedash.com"]},{name:"Azure Traffic Manager",company:"Microsoft",category:"other",domains:["*.gateway.net","*.trafficmanager.net"]},{name:"Azure Web Services",company:"Microsoft",category:"cdn",domains:["*.azurewebs\
ites.net","*.azureedge.net","*.msedge.net","*.windows.net"]},{name:"BAM",category:"analytics",domains:["*.bam-x.com"]},{name:"Baifendian Technology",category:"marketing",domains:["*.baifendian.com"]},{name:"Bankrate",category:"utility",domains:["*.bankrate.com"]},{name:"BannerFlow",company:"Nordic Factory Solutions",category:"ad",domains:["*.bannerflow.com"]},{name:"Barclaycard SmartPay",company:"Barclaycard",category:"utility",domains:["*.barclaycardsmartpay.com"]},{name:"Barilliance",category:"analytics",domains:["*.barilliance.net","dn3y71tq7jf07.cloudfront.net"]},{name:"Barnebys",category:"other",domains:["*.barnebys.com"]},{name:"Basis",company:"Basis Technologies",category:"ad",homepage:"https://basis.net/",domains:["*.basis.net"]},{name:"Batch Media",category:"ad",domains:["*.t4ft.de"]},{name:"Bauer Consumer Media",category:"content",domains:["*.bauercdn.com","*.greatmagazines.co.uk"]},{name:"Baynote",category:"analytics",domains:["*.baynote.net"]},{name:"Bazaarvoice",category:"\
analytics",domains:["*.bazaarvoice.com","*.feedmagnet.com"]},{name:"Beachfront Media",category:"ad",domains:["*.bfmio.com"]},{name:"BeamPulse",category:"analytics",domains:["*.beampulse.com"]},{name:"Beeswax",category:"ad",domains:["*.bidr.io"]},{name:"Beetailer",category:"social",domains:["*.beetailer.com"]},{name:"Best Of Media S.A.",category:"content",domains:["*.servebom.com"]},{name:"Bet365",category:"ad",domains:["*.bet365affiliates.com"]},{name:"Betfair",category:"other",domains:["*.cdnbf.net"]},{name:"Betgenius",company:"Genius Sports",category:"content",domains:["*.connextra.com"]},{name:"Better Banners",category:"ad",domains:["*.betterbannerscloud.com"]},{name:"Better Business Bureau",category:"analytics",domains:["*.bbb.org"]},{name:"Between Digital",category:"ad",domains:["*.betweendigital.com"]},{name:"BidTheatre",category:"ad",domains:["*.bidtheatre.com"]},{name:"Bidtellect",category:"ad",domains:["*.bttrack.com"]},{name:"Bigcommerce",category:"marketing",domains:["*.bigc\
ommerce.com"]},{name:"BitGravity",company:"Tata Communications",category:"content",domains:["*.bitgravity.com"]},{name:"Bitly",category:"utility",domains:["*.bitly.com","*.lemde.fr","*.bit.ly"]},{name:"Bizible",category:"ad",domains:["*.bizible.com","*.bizibly.com"]},{name:"Bizrate",category:"analytics",domains:["*.bizrate.com"]},{name:"BlastCasta",category:"social",domains:["*.poweringnews.com"]},{name:"Blindado",category:"utility",domains:["*.siteblindado.com"]},{name:"Blis",category:"ad",domains:["*.blismedia.com"]},{name:"Blogg.se",category:"hosting",domains:["*.cdnme.se","*.publishme.se"]},{name:"BloomReach",category:"ad",domains:["*.brcdn.com","*.brsrvr.com","*.brsvr.com"]},{name:"Bloomberg",category:"content",domains:["*.gotraffic.net"]},{name:"Shop Logic",company:"BloomReach",category:"marketing",domains:["*.goshoplogic.com"]},{name:"Blue State Digital",category:"ad",domains:["*.bsd.net"]},{name:"Blue Triangle Technologies",category:"analytics",domains:["*.btttag.com"]},{name:"\
BlueCava",category:"ad",domains:["*.bluecava.com"]},{name:"BlueKai",company:"Oracle",category:"ad",domains:["*.bkrtx.com","*.bluekai.com"]},{name:"Bluecore",category:"analytics",domains:["*.bluecore.com"]},{name:"Bluegg",category:"hosting",domains:["d1va5oqn59yrvt.cloudfront.net"]},{name:"Bold Commerce",category:"utility",domains:["*.shappify-cdn.com","*.shappify.com","*.boldapps.net"]},{name:"BoldChat",company:"LogMeIn",category:"customer-success",domains:["*.boldchat.com"]},{name:"Bombora",category:"ad",domains:["*.mlno6.com"]},{name:"Bonnier",category:"content",domains:["*.bonniercorp.com"]},{name:"Bookatable",category:"content",domains:["*.bookatable.com","*.livebookings.com"]},{name:"Booking.com",category:"content",domains:["*.bstatic.com"]},{name:"Boomtrain",category:"ad",domains:["*.boomtrain.com","*.boomtrain.net"]},{name:"BoostSuite",category:"ad",domains:["*.poweredbyeden.com"]},{name:"Boostable",category:"ad",domains:["*.boostable.com"]},{name:"Bootstrap Chinese network",category:"\
cdn",domains:["*.bootcss.com"]},{name:"Booxscale",category:"ad",domains:["*.booxscale.com"]},{name:"Borderfree",company:"pitney bowes",category:"utility",domains:["*.borderfree.com","*.fiftyone.com"]},{name:"BowNow",category:"analytics",homepage:"https://bow-now.jp/",domains:["*.bownow.jp"]},{name:"Box",category:"hosting",domains:["*.box.com"]},{name:"Boxever",category:"analytics",domains:["*.boxever.com"]},{name:"Braintree Payments",company:"Paypal",category:"utility",domains:["*.braintreegateway.com"]},{name:"Branch Metrics",category:"ad",domains:["*.branch.io","*.app.link"]},{name:"Brand Finance",category:"other",domains:["*.brandirectory.com"]},{name:"Brand View",category:"analytics",domains:["*.brandview.com"]},{name:"Brandscreen",category:"ad",domains:["*.rtbidder.net"]},{name:"BridgeTrack",company:"Sapient",category:"ad",domains:["*.bridgetrack.com"]},{name:"BrightRoll",company:"Yahoo!",category:"ad",domains:["*.btrll.com"]},{name:"BrightTag / Signal",company:"Signal",homepage:"\
https://www.signal.co",category:"tag-manager",domains:["*.btstatic.com","*.thebrighttag.com"]},{name:"Brightcove ZenCoder",company:"Brightcove",category:"other",domains:["*.zencoder.net"]},{name:"Bronto Software",category:"marketing",domains:["*.bm23.com","*.bronto.com","*.brontops.com"]},{name:"Browser-Update.org",category:"other",domains:["*.browser-update.org"]},{name:"Buffer",category:"social",domains:["*.bufferapp.com"]},{name:"Bugsnag",category:"utility",domains:["*.bugsnag.com","d2wy8f7a9ursnm.cloudfront.net"]},{name:"Burst Media",category:"ad",domains:["*.burstnet.com","*.1rx.io"]},{name:"Burt",category:"analytics",domains:["*.richmetrics.com","*.burt.io"]},{name:"Business Message",category:"ad",domains:["*.message-business.com"]},{name:"Business Week",company:"Bloomberg",category:"social",domains:["*.bwbx.io"]},{name:"Buto",company:"Big Button",category:"ad",domains:["*.buto.tv"]},{name:"Button",category:"ad",domains:["*.btncdn.com"]},{name:"BuySellAds",category:"ad",domains:[
"*.buysellads.com","*.buysellads.net"]},{name:"BuySight (AOL)",category:"ad",domains:["*.pulsemgr.com"]},{name:"Buyapowa",category:"ad",domains:["*.co-buying.com"]},{name:"BuzzFeed",category:"social",domains:["*.buzzfed.com","*.buzzfeed.com"]},{name:"C1X",category:"ad",domains:["*.c1exchange.com"]},{name:"C3 Metrics",category:"analytics",domains:["*.c3tag.com"]},{name:"CANDDi",company:"Campaign and Digital Intelligence",category:"ad",domains:["*.canddi.com"]},{name:"CCM benchmark Group",category:"social",domains:["*.ccm2.net"]},{name:"CD Networks",category:"utility",domains:["*.gccdn.net"]},{name:"CDN Planet",category:"analytics",domains:["*.cdnplanet.com"]},{name:"InAuth",category:"utility",homepage:"https://www.inauth.com/",domains:["*.cdn-net.com"]},{name:"CJ Affiliate",company:"Conversant",category:"ad",domains:["*.cj.com","*.dpbolvw.net"]},{name:"CJ Affiliate by Conversant",company:"Conversant",category:"ad",domains:["*.ftjcfx.com"]},{name:"CNBC",category:"content",domains:["*.cnb\
c.com"]},{name:"CNET Content Solutions",company:"CBS Interactive",category:"content",domains:["*.cnetcontent.com"]},{name:"CPEx",category:"content",domains:["*.cpex.cz"]},{name:"CPXi",category:"ad",domains:["*.cpxinteractive.com"]},{name:"CUBED Attribution",company:"CUBED",category:"ad",domains:["*.withcubed.com"]},{name:"Cachefly",category:"utility",domains:["*.cachefly.net"]},{name:"Calendly",category:"other",domains:["*.calendly.com"]},{name:"CallRail",category:"analytics",domains:["*.callrail.com"]},{name:"CallTrackingMetrics",category:"analytics",domains:["*.tctm.co"]},{name:"Canned Banners",category:"ad",domains:["*.cannedbanners.com"]},{name:"Canopy Labs",category:"analytics",domains:["*.canopylabs.com"]},{name:"Capita",category:"utility",domains:["*.crcom.co.uk"]},{name:"Captify Media",category:"ad",domains:["*.cpx.to"]},{name:"Captiify",category:"ad",domains:["*.captifymedia.com"]},{name:"Captivate Ai",category:"ad",domains:["*.captivate.ai"]},{name:"Captora",category:"marketi\
ng",domains:["*.captora.com"]},{name:"Carcloud",category:"other",domains:["*.carcloud.co.uk"]},{name:"Cardlytics",category:"ad",domains:["*.cardlytics.com"]},{name:"Cardosa Enterprises",category:"analytics",domains:["*.y-track.com"]},{name:"Caspian Media",category:"ad",domains:["*.caspianmedia.com"]},{name:"Cast",category:"utility",domains:["*.cast.rocks"]},{name:"Catch",category:"other",domains:["*.getcatch.com"]},{name:"Cavisson",category:"analytics",domains:["*.cavisson.com"]},{name:"Cedato",category:"ad",domains:["*.algovid.com","*.vdoserv.com"]},{name:"Celebrus Technologies",category:"analytics",domains:["*.celebrus.com"]},{name:"Celtra",category:"ad",domains:["*.celtra.com"]},{name:"Centro",category:"ad",domains:["*.brand-server.com"]},{name:"Ceros",category:"other",domains:["ceros.com","view.ceros.com"]},{name:"Ceros Analytics",company:"Ceros",category:"analytics",domains:["api.ceros.com"]},{name:"Certona",category:"analytics",domains:["*.certona.net"]},{name:"Certum",category:"\
utility",domains:["*.ocsp-certum.com","*.certum.pl"]},{name:"Cgrdirect",category:"other",domains:["*.cgrdirect.co.uk"]},{name:"Channel 5 Media",category:"ad",domains:["*.five.tv"]},{name:"Channel.me",category:"customer-success",domains:["*.channel.me"]},{name:"ChannelAdvisor",category:"ad",domains:["*.channeladvisor.com","*.searchmarketing.com"]},{name:"ChannelApe",company:"ChannelApe",category:"other",homepage:"https://www.channelape.com/",domains:["*.channelape.com"]},{name:"Chargeads Oscar",company:"Chargeads",category:"ad",domains:["*.chargeads.com"]},{name:"Charities Aid Foundation",category:"utility",domains:["*.cafonline.org"]},{name:"Chartbeat",category:"analytics",domains:["*.chartbeat.com","*.chartbeat.net"]},{name:"Cheapflights Media",company:"Momondo",category:"content",domains:["*.momondo.net"]},{name:"CheckM8",category:"ad",domains:["*.checkm8.com"]},{name:"CheckRate",company:"FreeStart",category:"utility",domains:["*.checkrate.co.uk"]},{name:"Checkfront",category:"other",
domains:["*.checkfront.com","dcg3jth5savst.cloudfront.net"]},{name:"CheetahMail",company:"Experian",category:"ad",domains:["*.chtah.com"]},{name:"Chitika",category:"ad",domains:["*.chitika.net"]},{name:"ChoiceStream",category:"ad",domains:["*.choicestream.com"]},{name:"Cint",category:"social",domains:["*.cint.com"]},{name:"Civic",category:"hosting",domains:["*.civiccomputing.com"]},{name:"ClearRise",category:"customer-success",domains:["*.clearrise.com"]},{name:"Clearstream",category:"ad",domains:["*.clrstm.com"]},{name:"Clerk.io ApS",category:"analytics",domains:["*.clerk.io"]},{name:"CleverDATA",category:"ad",domains:["*.1dmp.io"]},{name:"CleverTap",category:"analytics",domains:["d2r1yp2w7bby2u.cloudfront.net"]},{name:"Click Density",category:"analytics",domains:["*.clickdensity.com"]},{name:"Click4Assistance",category:"customer-success",domains:["*.click4assistance.co.uk"]},{name:"ClickDesk",category:"customer-success",domains:["*.clickdesk.com","d1gwclp1pmzk26.cloudfront.net"]},{name:"\
ClickDimensions",category:"ad",domains:["*.clickdimensions.com"]},{name:"Clickadu (Winner Solutions)",category:"ad",domains:["*.clickadu.com"]},{name:"Clickagy Audience Lab",company:"Clickagy",category:"ad",domains:["*.clickagy.com"]},{name:"Clickio",category:"ad",domains:[]},{name:"Clicktale",category:"analytics",domains:["*.cdngc.net","*.clicktale.net"]},{name:"Clicktripz",category:"content",domains:["*.clicktripz.com"]},{name:"Clik.com Websites",category:"content",domains:["*.clikpic.com"]},{name:"Cloud Technologies",category:"ad",domains:["*.behavioralengine.com","*.behavioralmailing.com"]},{name:"Cloud-A",category:"other",domains:["*.bulkstorage.ca"]},{name:"Cloud.typography",company:"Hoefler &amp; Co",category:"cdn",domains:["*.typography.com"]},{name:"CloudSponge",category:"ad",domains:["*.cloudsponge.com"]},{name:"CloudVPS",category:"other",domains:["*.adoftheyear.com","*.objectstore.eu"]},{name:"Cloudinary",category:"content",domains:["*.cloudinary.com"]},{name:"Cloudqp",company:"\
Cloudwp",category:"other",domains:["*.cloudwp.io"]},{name:"Cludo",category:"utility",domains:["*.cludo.com"]},{name:"Cognesia",category:"marketing",domains:["*.intelli-direct.com"]},{name:"CogoCast",company:"Cogo Labs",category:"ad",domains:["*.cogocast.net"]},{name:"Colbenson",category:"utility",domains:["*.colbenson.com"]},{name:"Collective",category:"ad",domains:["*.collective-media.net"]},{name:"Com Laude",category:"other",domains:["*.gdimg.net"]},{name:"Comm100",category:"customer-success",domains:["*.comm100.com"]},{name:"CommerceHub",category:"marketing",domains:["*.mercent.com"]},{name:"Commission Factory",category:"ad",domains:["*.cfjump.com"]},{name:"Communicator",category:"ad",domains:["*.communicatorcorp.com","*.communicatoremail.com"]},{name:"Comodo",category:"utility",domains:["*.comodo.com","*.trust-provider.com","*.trustlogo.com","*.usertrust.com","*.comodo.net"]},{name:"Comodo Certificate Authority",company:"Comodo",category:"utility",domains:["crt.comodoca.com","*.com\
odoca4.com","ocsp.comodoca.com","ocsp.usertrust.com","crt.usertrust.com"]},{name:"Compete",company:"Millwood Brown Digital",category:"analytics",domains:["*.c-col.com","*.compete.com"]},{name:"Compuware",category:"analytics",domains:["*.axf8.net"]},{name:"Conductrics",category:"analytics",domains:["*.conductrics.com"]},{name:"Confirmit",category:"analytics",domains:["*.confirmit.com"]},{name:"Connatix",category:"ad",domains:["*.connatix.com"]},{name:"Connect Events",category:"hosting",domains:["*.connectevents.com.au"]},{name:"Constant Contact",category:"ad",domains:["*.ctctcdn.com"]},{name:"Constructor.io",category:"utility",domains:["*.cnstrc.com"]},{name:"Contabo",category:"hosting",domains:["185.2.100.179"]},{name:"Content Media Corporation",category:"content",domains:["*.contentmedia.eu"]},{name:"ContentSquare",category:"analytics",domains:["d1m6l9dfulcyw7.cloudfront.net","*.content-square.net","*.contentsquare.net"]},{name:"ContextWeb",category:"ad",domains:["*.contextweb.com"]},
{name:"Continental Exchange Solutions",category:"utility",domains:["*.hifx.com"]},{name:"Converge-Digital",category:"ad",domains:["*.converge-digital.com"]},{name:"Conversant",category:"analytics",domains:["*.dotomi.com","*.dtmpub.com","*.emjcd.com","mediaplex.com","*.tqlkg.com","*.fastclick.net"]},{name:"Conversant Ad Server",company:"Conversant",category:"ad",domains:["adfarm.mediaplex.com","*.mediaplex.com"]},{name:"Conversant Tag Manager",company:"Conversant",category:"tag-manager",domains:["*.mplxtms.com"]},{name:"Conversio",category:"ad",domains:["*.conversio.com"]},{name:"Conversion Labs",category:"ad",domains:["*.net.pl"]},{name:"Conversion Logic",category:"ad",domains:["*.conversionlogic.net"]},{name:"Convert Insights",category:"analytics",domains:["*.convertexperiments.com"]},{name:"ConvertMedia",category:"ad",domains:["*.admailtiser.com","*.basebanner.com","*.cmbestsrv.com","*.vidfuture.com","*.zorosrv.com"]},{name:"Convertro",category:"ad",domains:["*.convertro.com"]},{name:"\
Conviva",category:"content",domains:["*.conviva.com"]},{name:"Cookie Reports",category:"utility",domains:["*.cookiereports.com"]},{name:"Cookie-Script.com",category:"utility",domains:["*.cookie-script.com"]},{name:"CookieQ",company:"Baycloud Systems",category:"utility",domains:["*.cookieq.com"]},{name:"CoolaData",category:"analytics",domains:["*.cooladata.com"]},{name:"CopperEgg",category:"analytics",domains:["*.copperegg.com","d2vig74li2resi.cloudfront.net"]},{name:"Council ad Network",category:"ad",domains:["*.counciladvertising.net"]},{name:"Covert Pics",category:"content",domains:["*.covet.pics"]},{name:"Cox Digital Solutions",category:"ad",domains:["*.afy11.net"]},{name:"Creafi Online Media",category:"ad",domains:["*.creafi-online-media.com"]},{name:"Creators",category:"content",domains:["*.creators.co"]},{name:"Crimson Hexagon Analytics",company:"Crimson Hexagon",category:"analytics",domains:["*.hexagon-analytics.com"]},{name:"Crimtan",category:"ad",domains:["*.ctnsnet.com"]},{name:"\
Cross Pixel Media",category:"ad",domains:["*.crsspxl.com"]},{name:"Crosswise",category:"ad",domains:["*.univide.com"]},{name:"Crowd Control",company:"Lotame",category:"ad",domains:["*.crwdcntrl.net"]},{name:"Crowd Ignite",category:"ad",domains:["*.crowdignite.com"]},{name:"CrowdTwist",category:"ad",domains:["*.crowdtwist.com"]},{name:"Crowdskout",category:"ad",domains:["*.crowdskout.com"]},{name:"Crowdynews",category:"social",domains:["*.breakingburner.com"]},{name:"Curalate",category:"marketing",domains:["*.curalate.com","d116tqlcqfmz3v.cloudfront.net"]},{name:"Customer Acquisition Cloud",company:"[24]7",category:"ad",domains:["*.campanja.com"]},{name:"Customer.io",category:"ad",domains:["*.customer.io"]},{name:"Custora",category:"analytics",domains:["*.custora.com"]},{name:"Cxense",category:"ad",domains:["*.cxense.com","*.cxpublic.com","*.emediate.dk","*.emediate.eu"]},{name:"CyberKnight",company:"Namogoo",category:"utility",domains:["*.namogoo.com"]},{name:"CyberSource (Visa)",category:"\
utility",domains:["*.authorize.net"]},{name:"Cybernet Quest",category:"analytics",domains:["*.cqcounter.com"]},{name:"D.A. Consortium",category:"ad",domains:["*.eff1.net"]},{name:"D4t4 Solutions",category:"analytics",domains:["*.u5e.com"]},{name:"DCSL Software",category:"hosting",domains:["*.dcslsoftware.com"]},{name:"DMG Media",category:"content",domains:["*.mol.im","*.and.co.uk","*.anm.co.uk","*.dailymail.co.uk"]},{name:"DTSCOUT",category:"ad",domains:["*.dtscout.com"]},{name:"Dailykarma",category:"utility",homepage:"https://www.dailykarma.com/",domains:["*.dailykarma.io"]},{name:"Dailymotion",category:"content",domains:["*.dailymotion.com","*.dmxleo.com","*.dm.gg","*.pxlad.io","*.dmcdn.net","*.sublimevideo.net"]},{name:"Dash Hudson",company:"Dash Hudson",category:"content",domains:["*.dashhudson.com"]},{name:"Datacamp",category:"utility",domains:["*.cdn77.org"]},{name:"Datalicious",category:"tag-manager",domains:["*.supert.ag","*.optimahub.com"]},{name:"Datalogix",category:"ad",domains:[
"*.nexac.com"]},{name:"Datawrapper",category:"utility",domains:["*.datawrapper.de","*.dwcdn.net"]},{name:"Dataxu",category:"marketing",domains:["*.w55c.net"]},{name:"DatoCMS",homepage:"https://www.datocms.com/",category:"content",domains:["*.datocms-assets.com"]},{name:"Datonics",category:"ad",domains:["*.pro-market.net"]},{name:"Dealtime",category:"content",domains:["*.dealtime.com"]},{name:"Debenhams Geo Location",company:"Debenhams",category:"utility",domains:["176.74.183.134"]},{name:"Decibel Insight",category:"analytics",domains:["*.decibelinsight.net"]},{name:"Deep Forest Media",company:"Rakuten",category:"ad",domains:["*.dpclk.com"]},{name:"DeepIntent",category:"ad",domains:["*.deepintent.com"]},{name:"Delicious Media",category:"social",domains:["*.delicious.com"]},{name:"Delineo",category:"ad",domains:["*.delineo.com"]},{name:"Delta Projects AB",category:"ad",domains:["*.de17a.com"]},{name:"Demand Media",category:"content",domains:["*.dmtracker.com"]},{name:"DemandBase",category:"\
marketing",domains:["*.demandbase.com"]},{name:"DemandJump",category:"analytics",domains:["*.demandjump.com"]},{name:"Dennis Publishing",category:"content",domains:["*.alphr.com"]},{name:"Devatics",category:"analytics",domains:["*.devatics.com","*.devatics.io"]},{name:"Developer Media",category:"ad",domains:["*.developermedia.com"]},{name:"DialogTech",category:"ad",domains:["*.dialogtech.com"]},{name:"DialogTech SourceTrak",company:"DialogTech",category:"ad",domains:["d31y97ze264gaa.cloudfront.net"]},{name:"DigiCert",category:"utility",domains:["*.digicert.com"]},{name:"Digioh",category:"ad",domains:["*.lightboxcdn.com"]},{name:"Digital Look",category:"content",domains:["*.digitallook.com"]},{name:"Digital Media Exchange",company:"NDN",category:"content",domains:["*.newsinc.com"]},{name:"Digital Millennium Copyright Act Services",category:"utility",domains:["*.dmca.com"]},{name:"Digital Ocean",category:"other",domains:["95.85.62.56"]},{name:"Digital Remedy",category:"ad",domains:["*.co\
nsumedmedia.com"]},{name:"Digital Window",category:"ad",domains:["*.awin1.com","*.zenaps.com"]},{name:"DigitalScirocco",category:"analytics",domains:["*.digitalscirocco.net"]},{name:"Digitial Point",category:"utility",domains:["*.dpstatic.com"]},{name:"Diligent (Adnetik)",category:"ad",domains:["*.wtp101.com"]},{name:"Directed Edge",category:"social",domains:["*.directededge.com"]},{name:"Distribute Travel",category:"ad",domains:["*.dtrck.net"]},{name:"District M",category:"ad",domains:["*.districtm.io"]},{name:"DistroScale",category:"ad",domains:["*.jsrdn.com"]},{name:"Divido",category:"utility",domains:["*.divido.com"]},{name:"Dow Jones",category:"content",domains:["*.dowjones.com","*.dowjoneson.com"]},{name:"Drifty Co",category:"utility",domains:["*.onicframework.com"]},{name:"Drip",company:"The Numa Group",category:"ad",domains:["*.getdrip.com"]},{name:"Dropbox",category:"utility",domains:["*.dropboxusercontent.com"]},{name:"Dyn Real User Monitoring",company:"Dyn",category:"analyti\
cs",domains:["*.jisusaiche.biz","*.dynapis.com","*.jisusaiche.com","*.dynapis.info"]},{name:"DynAdmic",category:"ad",domains:["*.dyntrk.com"]},{name:"Dynamic Converter",category:"utility",domains:["*.dynamicconverter.com"]},{name:"Dynamic Dummy Image Generator",company:"Open Source",category:"utility",domains:["*.dummyimage.com"]},{name:"Dynamic Logic",category:"ad",domains:["*.dl-rms.com","*.questionmarket.com"]},{name:"Dynamic Yield",category:"customer-success",domains:["*.dynamicyield.com"]},{name:"Dynatrace",category:"analytics",domains:["*.ruxit.com","js-cdn.dynatrace.com"]},{name:"ec-concier",homepage:"https://ec-concier.com/",category:"marketing",domains:["*.ec-concier.com"]},{name:"ECT News Network",category:"content",domains:["*.ectnews.com"]},{name:"ELITechGroup",category:"analytics",domains:["*.elitechnology.com"]},{name:"EMAP",category:"content",domains:["*.emap.com"]},{name:"EMedia Solutions",category:"ad",domains:["*.e-shots.eu"]},{name:"EQ works",category:"ad",domains:["\
*.eqads.com"]},{name:"ESV Digital",category:"analytics",domains:["*.esearchvision.com"]},{name:"Ebiquity",category:"analytics",domains:["*.ebiquitymedia.com"]},{name:"Eco Rebates",category:"ad",domains:["*.ecorebates.com"]},{name:"Ecwid",category:"hosting",domains:["*.ecwid.com","*.shopsettings.com","d3fi9i0jj23cau.cloudfront.net","d3j0zfs7paavns.cloudfront.net"]},{name:"Edge Web Fonts",company:"Adobe Systems",category:"cdn",domains:["*.edgefonts.net"]},{name:"Edition Digital",category:"ad",domains:["*.editiondigital.com"]},{name:"Edot Web Technologies",category:"hosting",domains:["*.edot.co.za"]},{name:"Effective Measure",category:"ad",domains:["*.effectivemeasure.net"]},{name:"Effiliation sa",category:"ad",domains:["*.effiliation.com"]},{name:"Ekm Systems",category:"analytics",domains:["*.ekmsecure.com","*.ekmpinpoint.co.uk"]},{name:"Elastera",category:"hosting",domains:["*.elastera.net"]},{name:"Elastic Ad",category:"ad",domains:["*.elasticad.net"]},{name:"Elastic Load Balancing",company:"\
Amazon Web Services",category:"hosting",domains:["*.105app.com"]},{name:"Elecard StreamEye",company:"Elecard",category:"other",domains:["*.streameye.net"]},{name:"Elevate",company:"Elevate Technology Solutions",category:"utility",domains:["*.elevaate.technology"]},{name:"Elicit",category:"utility",domains:["*.elicitapp.com"]},{name:"Elogia",category:"ad",domains:["*.elogia.net"]},{name:"Email Attitude",company:"1000mercis",category:"ad",domains:["*.email-attitude.com"]},{name:"EmailCenter",category:"ad",domains:["*.emailcenteruk.com"]},{name:"Embedly",category:"content",domains:["*.embedly.com","*.embed.ly"]},{name:"EmpathyBroker Site Search",company:"EmpathyBroker",category:"utility",domains:["*.empathybroker.com"]},{name:"Enfusen",category:"analytics",domains:["*.enfusen.com"]},{name:"Engadget",company:"Engadget (AOL)",category:"content",domains:["*.gdgt.com"]},{name:"Engagio",category:"marketing",domains:["*.engagio.com"]},{name:"Ensighten Manage",company:"Ensighten",category:"tag-m\
anager",domains:["*.levexis.com"]},{name:"EntityLink",category:"other",domains:["*.entitytag.co.uk"]},{name:"Entrust Datacard",category:"utility",domains:["*.entrust.com","*.entrust.net"]},{name:"Equiniti",category:"utility",domains:["*.equiniti.com"]},{name:"Errorception",category:"utility",domains:["*.errorception.com"]},{name:"Esri ArcGIS",company:"Esri",category:"utility",domains:["*.arcgis.com","*.arcgisonline.com"]},{name:"Ethnio",category:"analytics",domains:["*.ethn.io"]},{name:"Eulerian Technologies",category:"ad",domains:["*.eolcdn.com"]},{name:"Euroland",category:"utility",domains:["*.euroland.com"]},{name:"European Interactive Digital ad Alli",category:"utility",domains:["*.edaa.eu"]},{name:"Eventbrite",category:"hosting",domains:["*.evbuc.com","*.eventbrite.co.uk"]},{name:"Everflow",category:"analytics",domains:["*.tp88trk.com"]},{name:"Evergage",category:"analytics",domains:["*.evergage.com","*.evgnet.com"]},{name:"Everquote",category:"content",domains:["*.evq1.com"]},{name:"\
Everyday Health",category:"ad",domains:["*.agoramedia.com"]},{name:"Evidon",category:"analytics",domains:["*.evidon.com"]},{name:"Evolve Media",category:"content",domains:["*.evolvemediallc.com"]},{name:"Exactag",category:"ad",domains:["*.exactag.com"]},{name:"ExoClick",category:"ad",domains:["*.exoclick.com"]},{name:"Expedia",category:"content",domains:["*.travel-assets.com","*.trvl-media.com","*.trvl-px.com","*.uciservice.com"]},{name:"Expedia Australia",company:"Expedia",category:"content",domains:["*.expedia.com.au"]},{name:"Expedia Canada",company:"Expedia",category:"content",domains:["*.expedia.ca"]},{name:"Expedia France",company:"Expedia",category:"content",domains:["*.expedia.fr"]},{name:"Expedia Germany",company:"Expedia",category:"content",domains:["*.expedia.de"]},{name:"Expedia Italy",company:"Expedia",category:"content",domains:["*.expedia.it"]},{name:"Expedia Japan",company:"Expedia",category:"content",domains:["*.expedia.co.jp"]},{name:"Expedia USA",company:"Expedia",category:"\
content",domains:["*.expedia.com"]},{name:"Expedia United Kingdom",company:"Expedia",category:"content",domains:["*.expedia.co.uk"]},{name:"Experian",category:"utility",domains:["*.audienceiq.com","*.experian.com","*.experianmarketingservices.digital"]},{name:"Experian Cross-Channel Marketing Platform",company:"Experian",category:"marketing",domains:["*.eccmp.com","*.ccmp.eu"]},{name:"Exponea",category:"analytics",domains:["*.exponea.com"]},{name:"Exponential Interactive",category:"ad",domains:["*.exponential.com"]},{name:"Extensis WebInk",category:"cdn",domains:["*.webink.com"]},{name:"Extole",category:"ad",domains:["*.extole.com","*.extole.io"]},{name:"Ey-Seren",category:"analytics",domains:["*.webabacus.com"]},{name:"EyeView",category:"ad",domains:["*.eyeviewads.com"]},{name:"Eyeota",category:"ad",domains:["*.eyeota.net"]},{name:"Ezakus Pretargeting",company:"Ezakus",category:"ad",domains:["*.ezakus.net"]},{name:"Ezoic",category:"analytics",domains:["*.ezoic.net"]},{name:"FLXone",company:"\
Teradata",category:"ad",domains:["*.pangolin.blue","*.flx1.com","d2hlpp31teaww3.cloudfront.net","*.flxpxl.com"]},{name:"Fairfax Media",category:"content",domains:["ads.fairfax.com.au","resources.fairfax.com.au"]},{name:"Fairfax Media Analtics",company:"Fairfax Media",category:"analytics",domains:["analytics.fairfax.com.au"]},{name:"Falk Technologies",category:"ad",domains:["*.angsrvr.com"]},{name:"Fanplayr",category:"analytics",domains:["*.fanplayr.com","d38nbbai6u794i.cloudfront.net"]},{name:"Fast Thinking",company:"NE Marketing",category:"marketing",domains:["*.fast-thinking.co.uk"]},{name:"Fastest Forward",category:"analytics",domains:["*.gaug.es"]},{name:"Fastly",category:"utility",domains:["*.fastly.net"]},{name:"Feedbackify",company:"InsideMetrics",category:"analytics",domains:["*.feedbackify.com"]},{name:"Feefo.com",company:"Feefo",category:"analytics",domains:["*.feefo.com"]},{name:"Fidelity Media",category:"ad",domains:["*.fidelity-media.com"]},{name:"Filestack",category:"cont\
ent",domains:["*.filepicker.io"]},{name:"Finsbury Media",category:"ad",domains:["*.finsburymedia.com"]},{name:"Firepush",category:"utility",domains:["*.firepush.io"]},{name:"FirstImpression",category:"ad",domains:["*.firstimpression.io"]},{name:"Fit Analytics",category:"other",domains:["*.fitanalytics.com"]},{name:"Fits Me",category:"analytics",domains:["*.fits.me"]},{name:"Fivetran",category:"analytics",domains:["*.fivetran.com"]},{name:"FlexShopper",category:"utility",domains:["*.flexshopper.com"]},{name:"Flickr",category:"content",domains:["*.flickr.com","*.staticflickr.com"]},{name:"Flipboard",category:"social",domains:["*.flipboard.com"]},{name:"Flipdesk",category:"customer-success",homepage:"https://flipdesk.jp/",domains:["*.flipdesk.jp"]},{name:"Flipp",category:"analytics",domains:["*.wishabi.com","d2e0sxz09bo7k2.cloudfront.net","*.wishabi.net"]},{name:"Flite",category:"ad",domains:["*.flite.com"]},{name:"Flixmedia",category:"analytics",domains:["*.flix360.com","*.flixcar.com","\
*.flixfacts.com","*.flixsyndication.net","*.flixfacts.co.uk"]},{name:"Flockler",category:"ad",domains:["*.flockler.com"]},{name:"Flowplayer",category:"content",domains:["*.flowplayer.org"]},{name:"Flowzymes Ky",category:"cdn",domains:["*.jquerytools.org"]},{name:"Fomo",category:"ad",domains:["*.notifyapp.io"]},{name:"Fonecall",category:"analytics",domains:["*.web-call-analytics.com"]},{name:"Fontdeck",category:"cdn",domains:["*.fontdeck.com"]},{name:"Foodity Technologies",category:"ad",domains:["*.foodity.com"]},{name:"Force24",category:"ad",domains:["*.force24.co.uk"]},{name:"ForeSee",company:"Answers",category:"analytics",domains:["*.4seeresults.com","*.answerscloud.com","*.foresee.com","*.foreseeresults.com"]},{name:"Forensiq",category:"utility",domains:["*.fqtag.com"]},{name:"Fort Awesome",category:"cdn",domains:["*.fortawesome.com"]},{name:"Forter",category:"utility",domains:["*.forter.com"]},{name:"Forward Internet Group",category:"hosting",domains:["*.f3d.io"]},{name:"Forward3D",
category:"ad",domains:["*.forward3d.com"]},{name:"Fospha",category:"analytics",domains:["*.fospha.com"]},{name:"Foursixty",category:"customer-success",domains:["*.foursixty.com"]},{name:"FoxyCart",category:"utility",domains:["*.foxycart.com"]},{name:"Fraudlogix",category:"utility",domains:["*.yabidos.com"]},{name:"FreakOut",category:"ad",domains:["*.fout.jp"]},{name:"Freespee",category:"customer-success",domains:["*.freespee.com"]},{name:"Freetobook",category:"content",domains:["*.freetobook.com"]},{name:"Fresh 8 Gaming",category:"ad",domains:["*.fresh8.co"]},{name:"Fresh Relevance",category:"analytics",domains:["*.freshrelevance.com","*.cloudfront.ne","d1y9qtn9cuc3xw.cloudfront.net","d81mfvml8p5ml.cloudfront.net","dkpklk99llpj0.cloudfront.net"]},{name:"Friendbuy",category:"ad",domains:["*.friendbuy.com","djnf6e5yyirys.cloudfront.net"]},{name:"Frienefit",category:"ad",domains:["*.frienefit.com"]},{name:"FuelX",category:"ad",domains:["*.fuelx.com"]},{name:"Full Circle Studies",category:"\
analytics",domains:["*.securestudies.com"]},{name:"FullStory",category:"analytics",domains:["*.fullstory.com"]},{name:"Fyber",category:"ad",domains:["*.fyber.com"]},{name:"G-Forces Web Management",category:"hosting",domains:["*.gforcesinternal.co.uk"]},{name:"G4 Native",company:"Gravity4",category:"ad",domains:["*.triggit.com"]},{name:"GET ME IN!  (TicketMaster)",category:"content",domains:["*.getmein.com"]},{name:"GIPHY",category:"content",domains:["*.giphy.com"]},{name:"GainCloud",company:"GainCloud Systems",category:"other",domains:["*.egaincloud.net"]},{name:"Gath Adams",category:"content",domains:["*.iwantthatflight.com.au"]},{name:"Gecko Tribe",category:"social",domains:["*.geckotribe.com"]},{name:"Gemius",category:"ad",domains:["*.gemius.pl"]},{name:"Genesis Media",category:"ad",domains:["*.bzgint.com","*.genesismedia.com","*.genesismediaus.com"]},{name:"Genie Ventures",category:"ad",domains:["*.genieventures.co.uk"]},{name:"Geniee",category:"ad",domains:["*.href.asia","*.geniee\
ssp.jp","*.genieesspv.jp","*.gssprt.jp"]},{name:"Geniuslink",category:"analytics",domains:["*.geni.us"]},{name:"GeoRiot",category:"other",domains:["*.georiot.com"]},{name:"GeoTrust",category:"utility",domains:["*.geotrust.com"]},{name:"Geoplugin",category:"utility",domains:["*.geoplugin.com","*.geoplugin.net"]},{name:"Georeferencer",company:"Klokan Technologies",category:"utility",domains:["*.georeferencer.com"]},{name:"GetIntent RTBSuite",company:"GetIntent",category:"ad",domains:["*.adhigh.net"]},{name:"GetResponse",category:"ad",domains:["*.getresponse.com"]},{name:"GetSiteControl",company:"GetWebCraft",category:"utility",domains:["*.getsitecontrol.com"]},{name:"GetSocial",category:"social",domains:["*.getsocial.io"]},{name:"Getty Images",category:"content",domains:["*.gettyimages.com","*.gettyimages.co.uk"]},{name:"Gfycat",company:"Gycat",category:"utility",domains:["*.gfycat.com"]},{name:"Ghostery Enterprise",company:"Ghostery",category:"marketing",domains:["*.betrad.com"]},{name:"\
Giant Media",category:"ad",domains:["*.videostat.com"]},{name:"Gigya",category:"analytics",domains:["*.gigya.com"]},{name:"GitHub",category:"utility",domains:["*.github.com","*.githubusercontent.com","*.github.io","*.rawgit.com"]},{name:"Gladly",company:"Gladly",homepage:"https://www.gladly.com/",category:"customer-success",domains:["*.gladly.com"]},{name:"Glassdoor",category:"content",domains:["*.glassdoor.com"]},{name:"Gleam",category:"marketing",domains:["*.gleam.io"]},{name:"Global Digital Markets",category:"ad",domains:["*.gdmdigital.com"]},{name:"Global-e",category:"hosting",domains:["*.global-e.com"]},{name:"GlobalSign",category:"utility",domains:["*.globalsign.com","*.globalsign.net"]},{name:"GlobalWebIndex",category:"analytics",domains:["*.globalwebindex.net"]},{name:"Globase International",category:"ad",domains:["*.globase.com"]},{name:"GoDataFeed",category:"other",domains:["*.godatafeed.com"]},{name:"Google APIs",company:"Google",category:"utility",domains:["googleapis.com"]},
{name:"Google Ad Block Detection",company:"Google",category:"ad",domains:["*.0emn.com","*.0fmm.com"]},{name:"Google Analytics Experiments",company:"Google",category:"analytics",domains:["*.gexperiments1.com"]},{name:"Google DoubleClick Ad Exchange",company:"Google",category:"ad",domains:["*.admeld.com"]},{name:"Google IPV6 Metrics",company:"Google",category:"analytics",domains:["*.ipv6test.net"]},{name:"Google Plus",company:"Google",category:"social",domains:["plus.google.com"]},{name:"Google Trusted Stores",company:"Google",category:"utility",domains:["*.googlecommerce.com"]},{name:"Google Video",company:"Google",category:"content",domains:["*.googlevideo.com"]},{name:"Google reCAPTCHA",company:"Google",category:"utility",domains:["*.recaptcha.net"]},{name:"GovMetric",company:"ROL Solutions",category:"analytics",domains:["*.govmetric.com"]},{name:"Granify",category:"analytics",domains:["*.granify.com"]},{name:"Grapeshot",category:"ad",domains:["*.gscontxt.net","*.grapeshot.co.uk"]},{name:"\
Gravity (AOL)",category:"analytics",domains:["*.grvcdn.com"]},{name:"Groovy Gecko",category:"content",domains:["*.ggwebcast.com","*.groovygecko.net"]},{name:"GroupM",category:"ad",domains:["*.qservz.com"]},{name:"Guardian Media",category:"ad",domains:["*.theguardian.com","*.guardian.co.uk"]},{name:"GumGum",category:"ad",domains:["*.gumgum.com"]},{name:"Gumtree",category:"content",domains:["*.gumtree.com"]},{name:"H264 Codec",company:"Cisco",category:"other",domains:["*.openh264.org"]},{name:"HERE",category:"analytics",domains:["*.medio.com"]},{name:"HP Optimost",company:"Hewlett-Packard Development Company",category:"marketing",domains:["*.hp.com","d2uncb19xzxhzx.cloudfront.net"]},{name:"Has Offers",company:"TUNE",category:"ad",domains:["*.go2cloud.org"]},{name:"Hawk Search",category:"utility",domains:["*.hawksearch.com"]},{name:"Haymarket Media Group",category:"content",domains:["*.brandrepublic.com","*.hbpl.co.uk"]},{name:"Heap",category:"analytics",domains:["*.heapanalytics.com"]},{
name:"Hearst Communications",category:"content",domains:["*.h-cdn.co","*.hearstdigital.com","*.hearstlabs.com","*.hearst.io","*.cdnds.net"]},{name:"Heatmap",category:"analytics",domains:["*.heatmap.it"]},{name:"Heroku",category:"other",domains:["*.herokuapp.com"]},{name:"Hexton",category:"utility",domains:["*.hextom.com"]},{name:"Hibernia Networks",category:"utility",domains:["*.hiberniacdn.com"]},{name:"High Impact Media",category:"ad",domains:["*.reactx.com"]},{name:"Highcharts",category:"utility",domains:["*.highcharts.com"]},{name:"Highwinds",category:"utility",domains:["*.hwcdn.net"]},{name:"HitsLink",category:"analytics",domains:["*.hitslink.com"]},{name:"Hola Networks",category:"other",domains:["*.h-cdn.com"]},{name:"Hootsuite",category:"analytics",domains:["*.hootsuite.com"]},{name:"HotUKDeals",category:"analytics",domains:["*.hotukdeals.com"]},{name:"HotWords",company:"Media Response Group",category:"ad",domains:["*.hotwords.com.br"]},{name:"HotelsCombined",category:"content",
domains:["*.datahc.com"]},{name:"Hoverr",category:"ad",domains:["*.hoverr.media"]},{name:"Hull.js",category:"utility",domains:["*.hull.io","*.hullapp.io"]},{name:"Hupso Website Analyzer",company:"Hupso",category:"analytics",domains:["*.hupso.com"]},{name:"I-Behavior",company:"WPP",category:"ad",domains:["*.ib-ibi.com"]},{name:"i-mobile",company:"i-mobile",category:"ad",domains:["*.i-mobile.co.jp"]},{name:"IBM Digital Analytics",company:"IBM",category:"analytics",domains:["*.cmcore.com","coremetrics.com","data.coremetrics.com","data.de.coremetrics.com","libs.de.coremetrics.com","tmscdn.de.coremetrics.com","iocdn.coremetrics.com","libs.coremetrics.com","tmscdn.coremetrics.com","*.s81c.com","*.unica.com","*.coremetrics.eu"]},{name:"IBM Digital Data Exchange",company:"IBM",category:"tag-manager",domains:["tagmanager.coremetrics.com"]},{name:"IBM Tealeaf",company:"IBM",category:"analytics",domains:["*.ibmcloud.com"]},{name:"IBM Acoustic Campaign",company:"IBM",category:"analytics",domains:[
"www.sc.pages01.net","www.sc.pages02.net","www.sc.pages03.net","www.sc.pages04.net","www.sc.pages05.net","www.sc.pages06.net","www.sc.pages07.net","www.sc.pages08.net","www.sc.pages09.net","www.sc.pagesA.net"]},{name:"ICF Technology",category:"content",domains:["*.camads.net"]},{name:"IFDNRG",category:"hosting",domains:["*.ifdnrg.com"]},{name:"IMRG",category:"analytics",domains:["*.peermap.com","*.imrg.org"]},{name:"IPONWEB",category:"ad",domains:["*.company-target.com","*.liadm.com","*.iponweb.net","*.p161.net"]},{name:"IQ Mobile",category:"utility",domains:["*.iqm.cc"]},{name:"IS Group",category:"hosting",domains:["*.creative-serving.com"]},{name:"IT Dienstleistungen Tim Prinzkosky",category:"utility",domains:["*.flaticons.net"]},{name:"IXI Digital",company:"Equifax",category:"ad",domains:["*.ixiaa.com"]},{name:"IcoMoon",category:"cdn",domains:["d19ayerf5ehaab.cloudfront.net","d1azc1qln24ryf.cloudfront.net"]},{name:"IdenTrust",category:"utility",domains:["*.identrust.com"]},{name:"Id\
o",category:"customer-success",domains:["*.idio.co"]},{name:"Ignition One",category:"marketing",domains:["*.searchignite.com"]},{name:"ImageShack",category:"content",domains:["*.yfrog.com"]},{name:"Imagen Studio",category:"utility",domains:["*.telephonesky.com"]},{name:"Imagini Holdings",category:"ad",domains:["*.vdna-assets.com"]},{name:"Img Safe",category:"content",domains:["*.imgsafe.org"]},{name:"Imgur",category:"utility",domains:["*.imgur.com"]},{name:"Impact Radius",category:"ad",domains:["*.impactradius-event.com","*.impactradius-go.com","*.7eer.net","d3cxv97fi8q177.cloudfront.net","*.evyy.net","*.ojrq.net","utt.impactcdn.com","*.sjv.io"]},{name:"Improve Digital",category:"ad",domains:["*.360yield.com"]},{name:"Improvely",category:"analytics",domains:["*.iljmp.com"]},{name:"InMobi",category:"ad",domains:["*.inmobi.com"]},{name:"InSkin Media",category:"ad",domains:["*.inskinad.com","*.inskinmedia.com"]},{name:"Inbenta",category:"customer-success",domains:["*.inbenta.com"]},{name:"\
Incisive Media",category:"content",domains:["*.incisivemedia.com"]},{name:"Indeed",category:"content",domains:["*.indeed.com"]},{name:"Index Exchange",company:"WPP",category:"ad",domains:["*.casalemedia.com","*.indexww.com"]},{name:"Indoona",category:"other",domains:["*.indoona.com"]},{name:"Infectious Media",category:"ad",domains:["*.impdesk.com","*.impressiondesk.com","*.inmz.net"]},{name:"Inference Mobile",category:"ad",domains:["*.inferencemobile.com"]},{name:"Infinity Tracking",category:"analytics",domains:["*.infinity-tracking.net"]},{name:"Infoline",category:"analytics",domains:["*.ioam.de"]},{name:"Infolinks",category:"ad",domains:["*.infolinks.com"]},{name:"Infopark",category:"hosting",domains:["*.scrvt.com"]},{name:"Infusionsoft",category:"ad",domains:["*.infusionsoft.com"]},{name:"Ink",category:"ad",domains:["*.inktad.com"]},{name:"Inktel Contact Center Solutions",company:"Inktel",category:"customer-success",domains:["*.inktel.com"]},{name:"Inneractive",category:"ad",domains:[
"*.inner-active.mobi"]},{name:"Innovid",category:"ad",homepage:"https://www.innovid.com/",domains:["*.innovid.com"]},{name:"Insight Express",category:"analytics",domains:["*.insightexpressai.com"]},{name:"Insipio",category:"other",domains:["*.insipio.com"]},{name:"Inspectlet",category:"analytics",domains:["*.inspectlet.com"]},{name:"Instansive",category:"utility",domains:["*.instansive.com"]},{name:"Instart",homepage:"https://www.instart.com/",category:"utility",domains:["*.insnw.net"]},{name:"Instembedder",category:"content",domains:["*.instaembedder.com"]},{name:"Instinctive",category:"ad",domains:["*.instinctiveads.com"]},{name:"Intelligent Reach",category:"ad",domains:["*.ist-track.com"]},{name:"Intent HQ",category:"analytics",domains:["*.intenthq.com"]},{name:"Intent IQ",category:"ad",domains:["*.intentiq.com"]},{name:"Intercept Interactive",category:"ad",domains:["*.undertone.com"]},{name:"Interest Graph",company:"AOL",category:"ad",domains:["*.gravity.com"]},{name:"Internet Bran\
ds",category:"content",domains:["*.ibpxl.com"]},{name:"Interpublic Group",category:"ad",domains:["*.mbww.com"]},{name:"Interstate",category:"analytics",domains:["*.interstateanalytics.com"]},{name:"Interview",category:"analytics",domains:["*.efm.me"]},{name:"Intilery",category:"customer-success",domains:["*.intilery-analytics.com"]},{name:"Investis",category:"utility",domains:["*.investis.com"]},{name:"Investis Flife",category:"hosting",domains:["*.quartalflife.com"]},{name:"Invodo",category:"ad",domains:["*.invodo.com"]},{name:"iSite",category:"analytics",domains:["*.isitetv.com"]},{name:"Issue",category:"content",domains:["*.issue.by"]},{name:"J.D. Williams & Co",category:"content",domains:["*.drct2u.com"]},{name:"Janrain",category:"analytics",domains:["*.janrain.com","*.janrainbackplane.com","*.rpxnow.com","d3hmp0045zy3cs.cloudfront.net"]},{name:"Jellyfish",category:"ad",domains:["*.jellyfish.net"]},{name:"JetStream",category:"content",domains:["*.xlcdn.com"]},{name:"JingDong",category:"\
content",domains:["*.3.com","*.jd.com"]},{name:"Jivox",category:"ad",domains:["*.jivox.com"]},{name:"Jobvite",category:"content",domains:["*.jobvite.com"]},{name:"Johnston Press",category:"content",domains:["*.johnstonpress.co.uk","*.jpress.co.uk"]},{name:"Join the Dots (Research)",category:"social",domains:["*.jtdiscuss.com"]},{name:"JotForm",category:"utility",domains:["*.jotformpro.com"]},{name:"JuicyAds",category:"ad",domains:["*.juicyads.com"]},{name:"JustPremium",category:"ad",domains:["*.net.net"]},{name:"JustPremium Ads",company:"JustPremium",category:"ad",domains:["*.justpremium.com"]},{name:"JustUno",category:"ad",domains:["*.justuno.com","d2j3qa5nc37287.cloudfront.net"]},{name:"KINX (Korea Internet Neutral eXchange)",category:"other",domains:["*.kinxcdn.com"]},{name:"KISSmetrics",category:"analytics",domains:["*.kissmetrics.com","doug1izaerwt3.cloudfront.net","dsyszv14g9ymi.cloudfront.net"]},{name:"Kaizen Platform",category:"analytics",domains:["*.kaizenplatform.net"]},{name:"\
Kakao",category:"social",domains:["*.daum.net","*.daumcdn.net"]},{name:"Kaltura Video Platform",company:"Kaltura",category:"content",domains:["*.kaltura.com"]},{name:"Kameleoon",category:"analytics",domains:["*.kameleoon.com","*.kameleoon.eu"]},{name:"Kampyle",category:"analytics",domains:["*.kampyle.com"]},{name:"Kantar",category:"analytics",domains:["*.sesamestats.com"]},{name:"Kargo",category:"marketing",domains:["*.kargo.com"]},{name:"KARTE",company:"Plaid",homepage:"https://karte.io/",category:"marketing",domains:["*.karte.io"]},{name:"Kauli",category:"ad",domains:["*.kau.li"]},{name:"Keen",company:"Keen",homepage:"https://keen.io/",category:"analytics",domains:["*.keen.io","d26b395fwzu5fz.cloudfront.net"]},{name:"Kelkoo",category:"hosting",domains:["*.kelkoo.com"]},{name:"Kenshoo",category:"marketing",domains:["*.xg4ken.com"]},{name:"Key CDN",category:"utility",domains:["*.kxcdn.com"]},{name:"Keynote",company:"Dynatrace",category:"analytics",domains:["*.keynote.com"]},{name:"Keyw\
ee",category:"ad",domains:["*.keywee.co"]},{name:"Kiosked",category:"ad",domains:["*.kiosked.com"]},{name:"Klarna",category:"utility",domains:["*.klarna.com"]},{name:"Klaviyo",category:"ad",domains:["*.klaviyo.com"]},{name:"Klevu Search",company:"Klevu",category:"utility",domains:["*.klevu.com"]},{name:"Klick2Contact",category:"customer-success",domains:["*.klick2contact.com"]},{name:"Knight Lab",company:"Northwestern University",category:"utility",domains:["*.knightlab.com"]},{name:"Kodajo",category:"other",domains:["*.kodajo.com"]},{name:"Komoona",category:"ad",domains:["*.komoona.com"]},{name:"Korrelate",company:"JD Power",category:"analytics",domains:["*.korrelate.net"]},{name:"LKQD",category:"ad",domains:["*.lkqd.net"]},{name:"Layer0",category:"cdn",domains:["*.layer0.co"]},{name:"Layershift",category:"hosting",domains:["109.109.138.174"]},{name:"Lead Forensics",category:"ad",domains:["*.200summit.com","*.baw5tracker.com","*.business-path-55.com","*.bux1le001.com","*.central-core-\
7.com","*.direct-azr-78.com","*.explore-123.com","*.forensics1000.com","*.gldsta-02-or.com","*.green-bloc9.com","*.lansrv040.com","*.lead-123.com","*.leadforensics.com","*.mavic852.com","*.mon-com-net.com","*.peak-ip-54.com","*.snta0034.com","*.svr-prc-01.com","*.syntace-094.com","*.tghbn12.com","*.trail-web.com","*.web-01-gbl.com","*.web-cntr-07.com","*.trackdiscovery.net"]},{name:"Lead Intelligence",company:"Magnetise Solutions",category:"ad",domains:["*.leadintelligence.co.uk"]},{name:"LeadLander",category:"analytics",domains:["*.formalyzer.com","*.trackalyzer.com"]},{name:"Leaflet",category:"utility",domains:["*.leafletjs.com"]},{name:"LeasdBoxer",company:"LeadBoxer",category:"ad",domains:["*.leadboxer.com"]},{name:"LeaseWeb",homepage:"https://www.leaseweb.com/",category:"cdn",domains:["*.lswcdn.net","*.leasewebcdn.com"]},{name:"Leboncoin",category:"content",domains:["*.leboncoin.fr"]},{name:"Lengow",category:"hosting",domains:["*.lengow.com"]},{name:"Lessbuttons",category:"social",
domains:["*.lessbuttons.com"]},{name:"Letter Press",category:"ad",domains:["*.getletterpress.com"]},{name:"Level 3 Communications",category:"utility",domains:["footprint.net"]},{name:"Level3",category:"other",domains:["secure.footprint.net"]},{name:"Lifestreet Media",category:"social",domains:["*.lfstmedia.com"]},{name:"LiftSuggest",category:"analytics",domains:["d2blwevgjs7yom.cloudfront.net"]},{name:"Ligatus",category:"ad",domains:["*.ligadx.com"]},{name:"LightStep",category:"analytics",domains:["*.lightstep.com"]},{name:"LightWidget",category:"utility",domains:["*.lightwidget.com"]},{name:"Likelihood",company:"LIkeihood",category:"hosting",domains:["*.likelihood.com"]},{name:"LikeShop",company:"Dash Hudson",category:"content",domains:["likeshop.me"]},{name:"LINE Corporation",category:"ad",domains:["*.line-scdn.net","*.line.me"]},{name:"Linkcious",category:"analytics",domains:["*.linkcious.com"]},{name:"Linking Mobile",category:"ad",domains:["*.linkingmobile.com"]},{name:"LittleData",
category:"analytics",homepage:"https://www.littledata.io/",domains:["*.littledata.io"]},{name:"LiveBurst",category:"ad",domains:["*.liveburst.com"]},{name:"LiveClicker",category:"ad",domains:["*.liveclicker.net"]},{name:"LiveHelpNow",category:"customer-success",domains:["*.livehelpnow.net"]},{name:"LiveInternet",category:"analytics",domains:["*.yadro.ru"]},{name:"LiveJournal",category:"social",domains:["*.livejournal.com","*.livejournal.net"]},{name:"LivePerson",category:"customer-success",homepage:"https://www.liveperson.com/",domains:["*.liveperson.com","*.look.io","*.liveperson.net","*.lpsnmedia.net"]},{name:"LiveRail",company:"Facebook",category:"ad",domains:["*.liverail.com","*.lrcdn.net"]},{name:"LiveTex",category:"customer-success",domains:["*.livetex.ru"]},{name:"Livefyre",category:"content",domains:["*.fyre.co","*.livefyre.com"]},{name:"Living Map Company",category:"utility",domains:["*.livingmap.com"]},{name:"Local World",category:"content",domains:["*.thelocalpeople.co.uk"]},
{name:"LockerDome",category:"analytics",domains:["*.lockerdome.com"]},{name:"Logentries",company:"Rapid",category:"utility",domains:["*.logentries.com"]},{name:"Logicalis",category:"analytics",domains:["*.trovus.co.uk"]},{name:"LoginRadius",company:"LoginRadius",homepage:"https://www.loginradius.com/",category:"ad",domains:["*.loginradius.com","*.lrcontent.com"]},{name:"LongTail Ad Solutions",category:"ad",domains:["*.jwpcdn.com","*.jwplatform.com","*.jwplayer.com","*.jwpltx.com","*.jwpsrv.com","*.longtailvideo.com"]},{name:"Loop Commerce",category:"other",domains:["*.loopassets.net"]},{name:"Loop11",category:"analytics",domains:["*.loop11.com"]},{name:"LoopMe",category:"ad",domains:["*.loopme.biz","*.loopme.com","*.vntsm.com","*.loopme.me"]},{name:"Looper",category:"content",domains:["*.looper.com"]},{name:"Loyalty Point",category:"ad",domains:["*.loyaltypoint.pl"]},{name:"LoyaltyLion",category:"ad",domains:["*.loyaltylion.com","*.loyaltylion.net","dg1f2pfrgjxdq.cloudfront.net"]},{name:"\
Luma Tag",category:"analytics",domains:["*.lumatag.co.uk"]},{name:"Lumesse",category:"content",domains:["*.recruitmentplatform.com"]},{name:"Luminate",category:"ad",domains:["*.luminate.com"]},{name:"Lynchpin Analytics",category:"analytics",domains:["*.lypn.net"]},{name:"Lyris",category:"ad",domains:["*.clicktracks.com"]},{name:"Lytics",category:"ad",domains:["*.lytics.io"]},{name:"MEC WebTrack",company:"MEC",category:"ad",domains:["*.e-webtrack.net"]},{name:"MECLABS Institute",category:"analytics",domains:["*.meclabs.com","*.meclabsdata.com"]},{name:"MLveda",category:"utility",domains:["*.mlveda.com"]},{name:"Macromill",company:"Macromill",category:"analytics",homepage:"https://group.macromill.com/",domains:["*.macromill.com"]},{name:"Macropod BugHerd",company:"Macropod",category:"utility",domains:["*.bugherd.com"]},{name:"Madison Logic",category:"marketing",domains:["*.ml314.com"]},{name:"Madmetrics",company:"Keyade",category:"analytics",domains:["*.keyade.com"]},{name:"Magnetic",category:"\
ad",domains:["*.domdex.com","d3ezl4ajpp2zy8.cloudfront.net"]},{name:"Magnetic Platform",company:"Magnetic",category:"ad",domains:["*.magnetic.is"]},{name:"MailMunch",category:"ad",domains:["*.mailmunch.co"]},{name:"MailPlus",category:"ad",domains:["*.mailplus.nl"]},{name:"Mapbox",category:"utility",domains:["*.mapbox.com"]},{name:"Maptive",category:"utility",domains:["*.maptive.com"]},{name:"Marcaria.com",category:"other",domains:["*.gooo.al"]},{name:"Marchex",category:"analytics",domains:["*.voicestar.com","*.marchex.io"]},{name:"Mark and Mini",category:"ad",domains:["*.markandmini.com"]},{name:"Marker",category:"utility",domains:["*.marker.io"]},{name:"Marketing Dashboards",company:"GroupM",category:"analytics",domains:["*.m-decision.com"]},{name:"Marketizator",category:"analytics",domains:["*.marketizator.com"]},{name:"Marketplace Web Service",company:"Amazon",category:"other",domains:["*.ssl-images-amazon.com"]},{name:"Mashable",category:"social",domains:["*.mshcdn.com"]},{name:"Ma\
tchWork",category:"utility",domains:["*.matchwork.com"]},{name:"MathJax",category:"utility",domains:["*.mathjax.org"]},{name:"Mather Economics",category:"analytics",domains:["*.matheranalytics.com"]},{name:"MaxCDN Enterprise",company:"MaxCDN",category:"utility",domains:["*.netdna-cdn.com","*.netdna-ssl.com"]},{name:"MaxMind",category:"utility",domains:["*.maxmind.com"]},{name:"MaxPoint Interactive",category:"ad",domains:["*.mxptint.net"]},{name:"Maxsi",category:"analytics",domains:["*.evisitanalyst.com"]},{name:"Maxymiser",category:"analytics",domains:["*.maxymiser.net, maxymiser.hs.llnwd.net"]},{name:"McAffee",category:"utility",domains:["*.mcafeesecure.com","*.scanalert.com"]},{name:"Measured",category:"analytics",domains:["*.measured.com"],homepage:"https://www.measured.com/"},{name:"Media IQ",category:"analytics",domains:["*.mediaiqdigital.com"]},{name:"Media Management Technologies",category:"ad",domains:["*.speedshiftmedia.com"]},{name:"Media Temple",category:"hosting",domains:["\
*.goodlayers2.com"]},{name:"Mediabong",category:"ad",domains:["*.mediabong.net"]},{name:"Mediahawk",category:"analytics",domains:["*.mediahawk.co.uk"]},{name:"Mediahub",category:"ad",domains:["*.hubverifyandoptimize.com","*.projectwatchtower.com"]},{name:"Mediasyndicator",category:"ad",domains:["*.creativesyndicator.com"]},{name:"Medium",category:"content",domains:["*.medium.com"]},{name:"Meetrics",category:"ad",domains:["*.de.com","*.meetrics.net","*.mxcdn.net"]},{name:"Mega",company:"Mega Information Technology",category:"other",domains:["*.mgcdn.com"]},{name:"Melt",category:"ad",domains:["*.meltdsp.com","*.mesp.com"]},{name:"Meltwater Group",category:"customer-success",domains:["*.meltwaternews.com"]},{name:"Meme",category:"ad",domains:["*.viewwonder.com"]},{name:"MentAd",category:"ad",domains:["*.mentad.com"]},{name:"Mention Me",category:"ad",domains:["*.mention-me.com"]},{name:"Merchant Equipment Store",category:"utility",domains:["*.merchantequip.com"]},{name:"Merchenta",category:"\
customer-success",domains:["*.merchenta.com"]},{name:"Merkle Digital Data Exchange",company:"Merkle",category:"ad",domains:["*.brilig.com"]},{name:"Merkle Paid Search",company:"Merkle",category:"ad",domains:["*.rkdms.com"]},{name:"Met Office",category:"content",domains:["*.metoffice.gov.uk"]},{name:"Meta Broadcast",category:"social",domains:["*.metabroadcast.com"]},{name:"Michael Associates",category:"ad",domains:["*.checktestsite.com"]},{name:"Michelin",category:"content",domains:["*.viamichelin.com"]},{name:"Microad",category:"ad",domains:["*.microad.jp"]},{name:"Microsoft Certificate Services",company:"Microsoft",category:"utility",domains:["*.msocsp.com"]},{name:"Microsoft Hosted Libs",company:"Microsoft",category:"cdn",domains:["*.aspnetcdn.com"]},{name:"Microsoft XBox Live",company:"Microsoft",category:"marketing",domains:["*.xboxlive.com"]},{name:"Mightypop",category:"ad",domains:["*.mightypop.ca"]},{name:"Mika Tuupola",category:"utility",domains:["*.appelsiini.net"]},{name:"Mil\
lennial Media",category:"ad",domains:["*.jumptap.com"]},{name:"Mirror Image Internet",category:"utility",domains:["*.miisolutions.net"]},{name:"Mobify",category:"utility",domains:["*.mobify.com","*.mobify.net"]},{name:"Mobile Nations",category:"social",domains:["*.mobilenations.com"]},{name:"Mobivate",category:"ad",domains:["*.mobivatebulksms.com"]},{name:"Momondo",category:"content",domains:["*.momondo.dk"]},{name:"Momondo Group",category:"content",domains:["*.momondogrouo.com","*.momondogroup.com"]},{name:"Monarch Ads",category:"ad",domains:["*.monarchads.com"]},{name:"Monetate",category:"analytics",domains:["*.monetate.net"]},{name:"MonetizeMore",category:"ad",domains:["*.m2.ai"]},{name:"Monitor",company:"Econda",category:"analytics",domains:["*.econda-monitor.de"]},{name:"Monkey Frog Media",category:"content",domains:["*.monkeyfrogmedia.com"]},{name:"Monotype",category:"cdn",domains:["*.fonts.com","*.fonts.net"]},{name:"Moore-Wilson",category:"ad",domains:["*.mwdev.co.uk"]},{name:"\
Moovweb",category:"utility",domains:["*.moovweb.net"]},{name:"Mopinion",category:"analytics",domains:["*.mopinion.com"]},{name:"MotionPoint",category:"other",domains:["*.convertlanguage.com"]},{name:"Mouse3K",category:"analytics",domains:["*.mouse3k.com"]},{name:"MouseStats",category:"analytics",domains:["*.mousestats.com"]},{name:"Mouseflow",category:"analytics",domains:["*.mouseflow.com"]},{name:"Movable Ink",category:"analytics",domains:["*.micpn.com"]},{name:"MovingIMAGE24",category:"content",domains:["*.edge-cdn.net"]},{name:"Moxielinks",category:"ad",domains:["*.moxielinks.com"]},{name:"Moz Recommended Companies",company:"Moz",category:"analytics",domains:["d2eeipcrcdle6.cloudfront.net"]},{name:"Mozilla",category:"utility",domains:["*.mozilla.org"]},{name:"Multiview",category:"content",domains:["*.multiview.com","*.track-mv.com"]},{name:"Mux",category:"analytics",domains:["*.litix.io"]},{name:"MyAds",company:"MyBuys",category:"analytics",domains:["*.veruta.com"]},{name:"MyBuys",category:"\
analytics",domains:["*.mybuys.com"]},{name:"MyFonts",category:"cdn",domains:["*.myfonts.net"]},{name:"MyRegistry",category:"other",domains:["*.myregistry.com"]},{name:"MySpace",company:"Specific Media",category:"social",domains:["*.myspace.com"]},{name:"Mynewsdesk",category:"utility",domains:["*.mynewsdesk.com"]},{name:"NAVIS",category:"content",domains:["*.navistechnologies.info"]},{name:"NCC Group Real User Monitoring",company:"NCC Group",category:"analytics",domains:["*.nccgroup-webperf.com"]},{name:"NEORY Marketing Cloud",company:"NEORY",category:"marketing",domains:["*.ad-srv.net"]},{name:"Nanigans",category:"ad",domains:["*.nanigans.com"]},{name:"Nano Interactive",category:"ad",domains:["*.audiencemanager.de"]},{name:"Nanorep",company:"Nanorep Technologies",category:"customer-success",domains:["*.nanorep.com"]},{name:"Narrative",category:"ad",domains:["*.narrative.io"]},{name:"Native Ads",category:"ad",domains:["*.nativeads.com"]},{name:"Nativo",category:"ad",domains:["*.postrele\
ase.com"]},{name:"Navegg",category:"ad",domains:["*.navdmp.com"]},{name:"NaviStone",category:"ad",domains:["*.murdoog.com"]},{name:"Naytev",category:"analytics",domains:["*.naytev.com"]},{name:"Needle",category:"analytics",domains:["*.needle.com"]},{name:"Neiman Marcus",category:"content",domains:["*.ctscdn.com"]},{name:"Nend",category:"ad",domains:["*.nend.net"]},{name:"Neodata",category:"ad",domains:["*.neodatagroup.com"]},{name:"Net Applications",category:"analytics",domains:["*.hitsprocessor.com"]},{name:"Net Reviews",category:"analytics",domains:["*.avis-verifies.com"]},{name:"NetAffiliation",company:"Kwanco",category:"ad",domains:["*.metaffiliation.com"]},{name:"NetDirector",company:"G-Forces Web Management",category:"other",domains:["*.netdirector.co.uk"]},{name:"NetFlix",category:"content",domains:["*.nflxext.com","*.nflximg.net"]},{name:"Nielsen NetRatings SiteCensus",company:"The Nielsen Company",homepage:"http://www.nielsen-online.com/intlpage.html",category:"analytics",domains:[
"*.imrworldwide.com"]},{name:"NetSeer",category:"ad",domains:["*.netseer.com","*.ns-cdn.com"]},{name:"NetShelter",company:"Ziff Davis Tech",category:"ad",domains:["*.netshelter.net"]},{name:"Netmining",company:"Ignition One",category:"ad",domains:["*.netmng.com"]},{name:"Netop",category:"customer-success",domains:["*.netop.com"]},{name:"Network Solutions",category:"utility",domains:["*.netsolssl.com","*.networksolutions.com"]},{name:"Neustar AdAdvisor",company:"Neustar",category:"ad",domains:["*.adadvisor.net"]},{name:"New Approach Media",category:"ad",domains:["*.newapproachmedia.co.uk"]},{name:"NewShareCounts",category:"social",domains:["*.newsharecounts.com"]},{name:"News",category:"social",domains:["*.news.com.au","*.newsanalytics.com.au","*.newsapi.com.au","*.newscdn.com.au","*.newsdata.com.au","*.newsdiscover.com.au","*.news-static.com"]},{name:"Newsquest",category:"content",domains:["*.newsquestdigital.co.uk"]},{name:"Newzulu",category:"content",domains:["*.filemobile.com","*.pr\
ojects.fm"]},{name:"Nexcess.Net",category:"hosting",domains:["*.nexcesscdn.net"]},{name:"Nexstar Media Group",category:"ad",domains:["*.yashi.com"]},{name:"NextPerf",company:"Rakuten Marketing",category:"ad",domains:["*.nxtck.com"]},{name:"Nine.com.au",company:"Nine Digital",category:"content",domains:["*.9msn.com.au"]},{name:"NitroSell",category:"hosting",domains:["*.nitrosell.com"]},{name:"Nochex",category:"utility",domains:["*.nochex.com"]},{name:"Northern &amp; Shell Media Group",category:"content",domains:["*.northernandshell.co.uk"]},{name:"Nosto",category:"analytics",domains:["*.nosto.com"]},{name:"Now Interact",category:"analytics",domains:["*.nowinteract.com"]},{name:"Numberly",company:"1000mercis",category:"ad",domains:["*.mmtro.com","*.nzaza.com"]},{name:"NyaConcepts",category:"analytics",domains:["*.xclusive.ly"]},{name:"O2",category:"other",domains:["*.o2.co.uk"]},{name:"GoDaddy",homepage:"https://www.godaddy.com/",category:"utility",domains:["*.godaddy.com","*.wsimg.com"]},
{name:"ObjectPlanet",category:"analytics",domains:["*.easypolls.net"]},{name:"OhMyAd",category:"ad",domains:["*.ohmyad.co"]},{name:"Okas Concepts",category:"utility",domains:["*.okasconcepts.com"]},{name:"Okta",category:"analytics",domains:["*.okta.com"]},{name:"Olapic",category:"content",domains:["*.photorank.me"]},{name:"Ometria",category:"analytics",domains:["*.ometria.com"]},{name:"Omniconvert",category:"analytics",domains:["*.omniconvert.com","d2tgfbvjf3q6hn.cloudfront.net","d3vbj265bmdenw.cloudfront.net"]},{name:"Omniroot",company:"Verizon",category:"utility",domains:["*.omniroot.com"]},{name:"OnAudience",company:"Cloud Technologies",category:"ad",domains:["*.onaudience.com"]},{name:"OnScroll",category:"ad",domains:["*.onscroll.com"]},{name:"OnState",category:"ad",domains:["*.onstate.co.uk"]},{name:"OnYourMap",category:"utility",domains:["*.onyourmap.com"]},{name:"One by AOL",company:"AOL",category:"ad",domains:["*.adtechjp.com","*.adtech.de"]},{name:"One by AOL:Mobile",company:"\
AOL",category:"ad",domains:["*.nexage.com"]},{name:"OneAll",category:"analytics",domains:["*.oneall.com"]},{name:"OneSoon",category:"analytics",domains:["*.adalyser.com"]},{name:"OneTag",category:"ad",domains:["*.onetag-sys.com"]},{name:"Onet",category:"ad",domains:["*.onet.pl"]},{name:"Online Rewards",company:"Mastercard",category:"ad",domains:["*.loyaltygateway.com"]},{name:"Online republic",category:"content",domains:["*.imallcdn.net"]},{name:"Ooyala",category:"ad",domains:["*.ooyala.com"]},{name:"OpenTable",company:"Priceline Group",category:"content",domains:["*.opentable.com","*.opentable.co.uk","*.toptable.co.uk"]},{name:"OpenX Ad Exchange",company:"OpenX Technologies",category:"ad",domains:["*.liftdna.com"]},{name:"Opinion Stage",category:"analytics",domains:["*.opinionstage.com"]},{name:"OpinionBar",category:"analytics",domains:["*.opinionbar.com"]},{name:"Opta",company:"Perform Group",category:"content",domains:["*.opta.net"]},{name:"OptiMonk",category:"ad",domains:["*.optimo\
nk.com"]},{name:"Optilead",category:"analytics",domains:["*.dyn-img.com","*.leadcall.co.uk","*.optilead.co.uk"]},{name:"Optimatic",category:"ad",domains:["*.optimatic.com"]},{name:"Optimise Media Group",category:"utility",domains:["*.omguk.com"]},{name:"Optimost",company:"OpenText",category:"ad",domains:["*.optimost.com"]},{name:"Optimove",company:"Mobius Solutions",category:"analytics",domains:["*.optimove.net"]},{name:"Optorb",category:"ad",domains:["*.optorb.com"]},{name:"Oracle",category:"marketing",domains:["*.custhelp.com","*.eloqua.com","*.en25.com","*.estara.com","*.instantservice.com"]},{name:"Oracle Recommendations On Demand",company:"Oracle",category:"analytics",domains:["*.atgsvcs.com"]},{name:"Oracle Responsys",company:"Oracle",category:"marketing",domains:["*.adrsp.net","*.responsys.net"]},{name:"Order Security-VOID",company:"Order Security",category:"analytics",domains:["*.order-security.com"]},{name:"Oriel",category:"ad",domains:["*.oriel.io"]},{name:"Outbrain",homepage:"\
https://www.outbrain.com/",category:"ad",domains:["*.outbrain.com","*.outbrainimg.com","*.visualrevenue.com"]},{name:"OverStream",company:"Coull",category:"ad",domains:["*.coull.com"]},{name:"Overdrive",category:"content",domains:["*.contentreserve.com"]},{name:"Overstock",category:"utility",domains:["*.ostkcdn.com"]},{name:"OwnerIQ",category:"ad",domains:["*.owneriq.net"]},{name:"OzCart",category:"utility",domains:["*.ozcart.com.au"]},{name:"Ozone Media",category:"ad",domains:["*.adadyn.com"]},{name:"Loqate",company:"Loqate",category:"other",domains:["*.pcapredict.com","*.postcodeanywhere.co.uk"]},{name:"PEER 1 Hosting",category:"hosting",domains:["*.peer1.com"]},{name:"PERFORM",category:"content",domains:["*.performgroup.com"]},{name:"PICnet",category:"hosting",domains:["*.nonprofitsoapbox.com"]},{name:"Pacnet",company:"Telstra",category:"other",domains:["*.cdndelivery.net"]},{name:"Pagefair",category:"ad",domains:["*.pagefair.com","*.pagefair.net"]},{name:"Pagely",category:"other",domains:[
"*.optnmstr.com"]},{name:"Pagesuite",category:"ad",domains:["*.pagesuite-professional.co.uk"]},{name:"Pardot",category:"marketing",domains:["*.pardot.com"]},{name:"Parse.ly",category:"analytics",domains:["*.parsely.com","d1z2jf7jlzjs58.cloudfront.net"]},{name:"Pay per Click",company:"Eysys",category:"ad",domains:["*.eysys.com"]},{name:"PayPal Ads",category:"ad",domains:["*.where.com"]},{name:"Peaks & Pies",category:"analytics",domains:["*.bunchbox.co"]},{name:"PebblePost",category:"ad",domains:["*.pbbl.co"]},{name:"Peerius",category:"analytics",domains:["*.peerius.com"]},{name:"Peermap",company:"IMRG",category:"analytics",domains:["peermapcontent.affino.com"]},{name:"Penske Media",category:"content",domains:["*.pmc.com"]},{name:"Penton",category:"utility",domains:["*.pisces-penton.com"]},{name:"Pepper",category:"ad",domains:["*.peppercorp.com"]},{name:"Perfect Audience",company:"Marin Software",category:"ad",domains:["*.prfct.co","*.marinsm.com","*.perfectaudience.com"]},{name:"Perfect\
 Market",category:"ad",domains:["*.perfectmarket.com"]},{name:"Perfect Privacy",category:"other",domains:["*.suitesmart.com"]},{name:"Perform Group",category:"content",domains:["*.performfeeds.com","*.premiumtv.co.uk"]},{name:"Performio",category:"ad",domains:["*.performax.cz"]},{name:"PerimeterX Bot Defender",company:"PerimeterX",category:"utility",domains:["*.perimeterx.net","*.pxi.pub"]},{name:"Periscope",category:"content",domains:["*.periscope.tv"]},{name:"Permutive",category:"ad",domains:["*.permutive.com","d3alqb8vzo7fun.cloudfront.net"]},{name:"Petametrics",category:"analytics",domains:["*.petametrics.com"]},{name:"PhotoBucket",category:"content",domains:["*.photobucket.com"]},{name:"Picreel",category:"analytics",domains:["*.pcrl.co","*.picreel.com"]},{name:"Pictela (AOL)",category:"analytics",domains:["*.pictela.net"]},{name:"PistonHeads",category:"social",domains:["*.pistonheads.com"]},{name:"Piwik",category:"analytics",domains:["*.drtvtracker.com","*.piwikpro.com","*.raac33.\
net"]},{name:"Pixalate",category:"utility",domains:["*.adrta.com"]},{name:"Pixlee",category:"social",domains:["*.pixlee.com"]},{name:"Placed",category:"analytics",domains:["*.placed.com"]},{name:"Planning-inc",category:"analytics",domains:["*.planning-inc.co.uk"]},{name:"PlayAd Media Group",category:"ad",domains:["*.youplay.se"]},{name:"Playbuzz",category:"hosting",domains:["*.playbuzz.com"]},{name:"Pleenq",category:"ad",domains:["*.pleenq.com"]},{name:"Plentific",category:"content",domains:["*.plentific.com"]},{name:"PluginDetect",category:"other",domains:["dtlilztwypawv.cloudfront.net"]},{name:"Po.st",company:"RadiumOne",category:"utility",domains:["*.po.st"]},{name:"Pointpin",category:"utility",domains:["*.pointp.in"]},{name:"Pointroll (Garnett)",category:"ad",domains:["*.pointroll.com"]},{name:"Polar",homepage:"https://polar.me/",category:"ad",domains:["*.polarmobile.ca","*.mediaeverywhere.com","*.mediavoice.com","*.plrsrvcs.com","*.polarcdn-engine.com","*.polarcdn-meraxes.com","*.\
polarcdn-pentos.com","*.polarcdn-static.com","*.polarcdn-terrax.com","*.polarcdn.com","*.polarmobile.com","*.poweredbypolar.com","*.mediaconductor.me","*.polaracademy.me"]},{name:"PollDaddy (Automattic)",category:"ad",domains:["static.polldaddy.com","*.poll.fm"]},{name:"Polldaddy",company:"Automattic",category:"analytics",domains:["polldaddy.com","*.polldaddy.com"]},{name:"Polyfill service",company:"Polyfill.io",category:"other",domains:["*.polyfill.io"]},{name:"MegaPopAds",category:"ad",domains:["*.megapopads.com"]},{name:"Populis",category:"ad",domains:["*.populisengage.com"]},{name:"Postimage.org",category:"content",domains:["*.postimg.org"]},{name:"PowerFront",category:"hosting",domains:["*.inside-graph.com"]},{name:"PowerReviews",category:"analytics",domains:["*.powerreviews.com"]},{name:"Powerlinks.com",category:"ad",domains:["*.powerlinks.com"]},{name:"Press+",category:"ad",domains:["*.pipol.com","*.ppjol.com","*.ppjol.net"]},{name:"PressArea",category:"utility",domains:["*.pres\
sarea.com"]},{name:"Pretio Interactive",category:"ad",domains:["*.pretio.in"]},{name:"Prezi",category:"utility",domains:["*.prezi.com"]},{name:"PriceGrabber",category:"content",domains:["*.pgcdn.com","*.pricegrabber.com"]},{name:"PriceRunner",category:"content",domains:["*.pricerunner.com"]},{name:"PrintFriendly",category:"utility",domains:["*.printfriendly.com"]},{name:"Privy",category:"ad",domains:["*.privy.com","*.privymktg.com"]},{name:"Proclivity Media",category:"analytics",domains:["*.pswec.com"]},{name:"Profitshare",category:"ad",domains:["*.profitshare.ro"]},{name:"Programattik",category:"ad",domains:["*.programattik.com"]},{name:"Proper Media",category:"content",domains:["*.proper.io"]},{name:"Property Week",category:"content",domains:["*.propertyweek.com"]},{name:"Provide Support",category:"customer-success",domains:["*.providesupport.com"]},{name:"Proweb Uk",category:"hosting",domains:["*.proweb.net"]},{name:"Proximic (ComScore)",category:"ad",domains:["*.proximic.com"]},{name:"\
Psyma",category:"ad",domains:["*.psyma.com"]},{name:"PubFactory",company:"Safari Books Online",category:"content",domains:["*.pubfactory.com"]},{name:"PubNation",category:"ad",domains:["*.pubnation.com"]},{name:"Publicidad.net",category:"ad",domains:["*.publicidad.tv"]},{name:"PublishThis",company:"Ultra Unlimited",category:"ad",domains:["*.publishthis.com"]},{name:"Pulse Insights",category:"analytics",domains:["*.pulseinsights.com"]},{name:"Pulsepoint",category:"marketing",domains:["*.displaymarketplace.com"]},{name:"Purch",category:"ad",domains:["*.bestofmedia.com","*.purch.com"]},{name:"Pure Chat",category:"customer-success",domains:["*.purechat.com"]},{name:"PushCrew",category:"ad",domains:["*.pushcrew.com"]},{name:"Q1Media",category:"ad",domains:["*.q1media.com","*.q1mediahydraplatform.com"]},{name:"Qbase Software Development",category:"hosting",domains:["*.smartwebportal.co.uk"]},{name:"Qeryz",category:"analytics",domains:["*.qeryz.com"]},{name:"Qode Interactive",category:"hostin\
g",domains:["*.qodeinteractive.com"]},{name:"Qrius",category:"social",domains:["*.qrius.me"]},{name:"Qualaroo",category:"analytics",domains:["*.qualaroo.com"]},{name:"Qualtrics",category:"analytics",domains:["*.qualtrics.com"]},{name:"Qubit",company:"Qubit",category:"analytics",domains:["*.qubit.com","*.qutics.com","d3c3cq33003psk.cloudfront.net","*.goqubit.com","*.qubitproducts.com"]},{name:"Qubit Deliver",company:"Qubit",category:"analytics",domains:["d1m54pdnjzjnhe.cloudfront.net","d22rutvoghj3db.cloudfront.net","dd6zx4ibq538k.cloudfront.net"]},{name:"QuestionPro",category:"analytics",domains:["*.questionpro.com"]},{name:"Queue-it",category:"other",domains:["*.queue-it.net"]},{name:"QuinStreet",category:"ad",domains:["*.Quinstreet.com","*.b2btechleadform.com","*.qnsr.com","*.qsstats.com"]},{name:"QuoVadis",category:"utility",domains:["*.quovadisglobal.com"]},{name:"Qzzr",category:"analytics",domains:["*.movementventures.com","*.qzzr.com"]},{name:"RapidAPI",category:"utility",domains:[
"*.rapidapi.com"]},{name:"RCS Media Group",category:"ad",domains:["*.rcsadv.it"]},{name:"REVIVVE",category:"ad",domains:["*.revivve.com"]},{name:"RSSinclude",category:"social",domains:["*.rssinclude.com"]},{name:"RTB House AdPilot",company:"RTB House",category:"ad",domains:["*.erne.co","*.creativecdn.com"]},{name:"RTB Media",category:"ad",domains:["*.rtb-media.me"]},{name:"RUN",category:"ad",domains:["*.runadtag.com","*.rundsp.com"]},{name:"Rackspace",category:"hosting",domains:["*.rackcdn.com","*.rackspacecloud.com","*.raxcdn.com","*.websitetestlink.com"]},{name:"RadiumOne",category:"ad",domains:["*.gwallet.com","*.r1-cdn.net"]},{name:"Rakuten DC Storm",company:"Rakuten",category:"analytics",domains:["*.dc-storm.com","*.h4k5.com","*.stormiq.com"]},{name:"Rakuten LinkShare",company:"Rakuten",category:"ad",domains:["*.linksynergy.com"]},{name:"Rakuten Marketing",company:"Rakuten",category:"ad",domains:["*.rakuten-static.com","*.rmtag.com","tag.rmp.rakuten.com"]},{name:"Rakuten MediaForg\
e",company:"Rakuten",category:"ad",domains:["*.mediaforge.com"]},{name:"Rambler",company:"Rambler & Co",category:"utility",domains:["*.rambler.ru"]},{name:"Ranker",category:"content",domains:["*.ranker.com","*.rnkr-static.com"]},{name:"Ravelin",category:"utility",domains:["*.ravelin.com"]},{name:"Raygun",category:"utility",domains:["*.raygun.io","*.rapidzebra.io"]},{name:"ReCollect",category:"utility",domains:["*.recollect.net"]},{name:"ReSRC",category:"utility",domains:["*.resrc.it"]},{name:"ReTargeter",category:"ad",domains:["*.retargeter.com"]},{name:"Reach Group",category:"ad",domains:["*.redintelligence.net"]},{name:"ReachDynamics",category:"ad",domains:["*.rdcdn.com"]},{name:"ReachForce",category:"ad",domains:["*.reachforce.com"]},{name:"ReachLocal",category:"ad",domains:["*.rtrk.co.nz"]},{name:"ReachMee",category:"content",domains:["*.reachmee.com"]},{name:"Reactful",category:"analytics",domains:["*.reactful.com"]},{name:"Realtime",company:"internet business technologies",category:"\
utility",domains:["*.realtime.co"]},{name:"Realtime Media (Brian Communications)",category:"ad",domains:["*.rtm.com"]},{name:"Realtime Targeting",category:"ad",domains:["*.idtargeting.com"]},{name:"Realytics",category:"analytics",domains:["dcniko1cv0rz.cloudfront.net","*.realytics.net"]},{name:"RebelMouse",category:"ad",domains:["*.rebelmouse.com","*.rbl.ms"]},{name:"Receiptful",category:"utility",domains:["*.receiptful.com"]},{name:"Recite Me",category:"other",domains:["*.reciteme.com"]},{name:"RecoBell",category:"analytics",domains:["*.recobell.io"]},{name:"Recommend",category:"analytics",domains:["*.recommend.pro"]},{name:"Red Eye International",category:"ad",domains:["*.pajmc.com"]},{name:"Redfish Group",category:"ad",domains:["*.wmps.com"]},{name:"Reevoo",category:"analytics",domains:["*.reevoo.com"]},{name:"Refersion",category:"ad",domains:["*.refersion.com"]},{name:"Refined Ads",category:"ad",domains:["*.refinedads.com"]},{name:"Reflektion",category:"analytics",domains:["*.refle\
ktion.com","d26opx5dl8t69i.cloudfront.net"]},{name:"Reflow",company:"Scenestealer",category:"ad",domains:["*.reflow.tv"]},{name:"Reklama",category:"ad",domains:["*.o2.pl","*.wp.pl"]},{name:"Relevad ReleStar",company:"Relevad",category:"ad",domains:["*.relestar.com"]},{name:"Remarketing Pixel",company:"Adsterra Network",category:"ad",domains:["*.datadbs.com","*.remarketingpixel.com"]},{name:"Remintrex",company:"SmartUp Venture",category:"ad",domains:["*.remintrex.com"]},{name:"Republer",category:"ad",domains:["*.republer.com"]},{name:"Research Now",category:"analytics",domains:["*.researchgnow.com","*.researchnow.com"]},{name:"Research Online",company:"Skills Development Scotland",category:"content",domains:["*.researchonline.org.uk"]},{name:"Resonance Insights",category:"analytics",domains:["*.res-x.com"]},{name:"Resonate Networks",category:"analytics",domains:["*.reson8.com"]},{name:"Response Team",category:"ad",domains:["*.i-transactads.com"]},{name:"ResponseTap",category:"analytics",
domains:["*.adinsight.com","*.responsetap.com"]},{name:"ResponsiveVoice",category:"other",domains:["*.responsivevoice.org"]},{name:"Retention Science",category:"ad",domains:["*.retentionscience.com","d1stxfv94hrhia.cloudfront.net"]},{name:"Revcontent",category:"content",domains:["*.revcontent.com"]},{name:"Revee",category:"ad",domains:["*.revee.com"]},{name:"Revenue Conduit",category:"utility",domains:["*.revenueconduit.com"]},{name:"RevenueMantra",category:"ad",domains:["*.revenuemantra.com"]},{name:"Reviews.co.uk",category:"analytics",domains:["*.reviews.co.uk"]},{name:"Reviews.io",category:"analytics",domains:["*.reviews.io"]},{name:"Revolver Maps",category:"analytics",domains:["*.revolvermaps.com"]},{name:"Revv",category:"utility",domains:["*.revv.co"]},{name:"RichRelevance",category:"analytics",domains:["*.richrelevance.com"]},{name:"RightNow Service Cloud",company:"Oracle",category:"customer-success",domains:["*.rightnowtech.com","*.rnengage.com"]},{name:"Rightster",category:"ad",
domains:["*.ads-creativesyndicator.com"]},{name:"Riskified",category:"utility",domains:["*.riskified.com"]},{name:"Rockerbox",category:"analytics",homepage:"https://www.rockerbox.com/",domains:["getrockerbox.com"]},{name:"Rocket Fuel",category:"ad",domains:["*.rfihub.com","*.ru4.com","*.rfihub.net","*.ad1x.com"]},{name:"Rollbar",category:"utility",domains:["*.rollbar.com","d37gvrvc0wt4s1.cloudfront.net"]},{name:"RomanCart",category:"utility",domains:["*.romancart.com"]},{name:"Rondavu",category:"ad",domains:["*.rondavu.com"]},{name:"Roomkey",category:"content",domains:["*.roomkey.com"]},{name:"Roost",category:"utility",domains:["*.goroost.com"]},{name:"Roxot",category:"ad",domains:["*.rxthdr.com"]},{name:"Roxr Software",category:"analytics",domains:["*.getclicky.com"]},{name:"Rtoaster",company:"Brainpad",homepage:"https://www.brainpad.co.jp/rtoaster/",category:"marketing",domains:["*.rtoaster.jp"]},{name:"Rubikloud.com",category:"analytics",domains:["*.rubikloud.com"]},{name:"Ruler Ana\
lytics",company:"Ruler",category:"analytics",domains:["*.nyltx.com","*.ruleranalytics.com"]},{name:"Runner",company:"Rambler & Co",category:"content",domains:["*.begun.ru"]},{name:"S4M",category:"ad",domains:["*.sam4m.com"]},{name:"SAP Hybris Marketing Convert",company:"SAP",category:"ad",domains:["*.seewhy.com"]},{name:"SAS Institute",category:"ad",domains:["*.aimatch.com","*.sas.com"]},{name:"SATORI",homepage:"https://satori.marketing/",category:"marketing",domains:["satori.segs.jp"]},{name:"SC ShopMania Net SRL",category:"content",domains:["*.shopmania.com"]},{name:"SDL Media Manager",company:"SDL",category:"other",domains:["*.sdlmedia.com"]},{name:"SFR",category:"other",domains:["*.sfr.fr"]},{name:"SLI Systems",category:"utility",domains:["*.resultslist.com","*.resultspage.com","*.sli-spark.com"]},{name:"SMARTASSISTANT",company:"Smart Information Systems",category:"customer-success",domains:["*.smartassistant.com"]},{name:"SMARTSTREAM.TV",category:"ad",domains:["*.smartstream.tv"]},
{name:"SPX",company:"Smaato",category:"ad",domains:["*.smaato.net"]},{name:"Sabio",category:"customer-success",domains:["*.sabio.co.uk"]},{name:"Sailthru",category:"analytics",domains:["*.sail-horizon.com","*.sail-personalize.com","*.sail-track.com"]},{name:"Sailthru Sightlines",company:"Sailthru",category:"marketing",domains:["*.sailthru.com"]},{name:"Sajari Pty",category:"utility",domains:["*.sajari.com"]},{name:"SaleCycle",category:"ad",domains:["*.salecycle.com","d16fk4ms6rqz1v.cloudfront.net","d22j4fzzszoii2.cloudfront.net","d30ke5tqu2tkyx.cloudfront.net","dn1i8v75r669j.cloudfront.net"]},{name:"Salesforce Live Agent",company:"Salesforce.com",category:"customer-success",domains:["*.salesforceliveagent.com"]},{name:"Salesforce.com",category:"ad",domains:["*.force.com","*.salesforce.com"]},{name:"Samba TV",company:"Samba",category:"content",domains:["*.samba.tv"]},{name:"Samplicio.us",category:"analytics",domains:["*.samplicio.us"]},{name:"Say Media",category:"ad",domains:["*.saymedi\
a.com"]},{name:"Scenario",category:"analytics",domains:["*.getscenario.com"]},{name:"Schuh (image shard)",company:"Schuh",category:"other",domains:["d2ob0iztsaxy5v.cloudfront.net"]},{name:"Science Rockstars",category:"analytics",domains:["*.persuasionapi.com"]},{name:"ScientiaMobile",category:"analytics",domains:["*.wurflcloud.com","*.wurfl.io"]},{name:"Scoota",category:"ad",domains:["*.rockabox.co","*.scoota.co","d31i2625d5nv27.cloudfront.net","dyjnzf8evxrp2.cloudfront.net"]},{name:"ScribbleLive",category:"ad",domains:["*.scribblelive.com"]},{name:"SearchForce",category:"ad",domains:["*.searchforce.net"]},{name:"SearchSpring",category:"utility",domains:["*.searchspring.net"]},{name:"Searchanise",category:"analytics",domains:["*.searchanise.com"]},{name:"Sears Holdings",category:"content",domains:["*.shld.net"]},{name:"Secomapp",category:"utility",domains:["*.secomapp.com"]},{name:"SecuredVisit",company:"4Cite Marketing",category:"ad",domains:["*.securedvisit.com"]},{name:"SecurityMetr\
ics",category:"utility",domains:["*.securitymetrics.com"]},{name:"Segmento",category:"ad",domains:["*.rutarget.ru"]},{name:"Segmint",category:"analytics",domains:["*.segmint.net"]},{name:"Sekindo",category:"content",domains:["*.sekindo.com"]},{name:"Seldon",category:"analytics",domains:["*.rummblelabs.com"]},{name:"SelectMedia International",category:"content",domains:["*.selectmedia.asia"]},{name:"Selligent",category:"ad",domains:["*.emsecure.net","*.slgnt.eu","targetemsecure.blob.core.windows.net"]},{name:"Sellpoints",category:"analytics",domains:["*.sellpoints.com"]},{name:"Semantics3",category:"analytics",domains:["*.hits.io"]},{name:"Semasio",category:"analytics",domains:["*.semasio.net"]},{name:"Semcasting Site Visitor Attribution",company:"Semcasting",category:"ad",domains:["*.smartzonessva.com"]},{name:"Sentifi",category:"social",domains:["*.sentifi.com"]},{name:"ServMetric",category:"analytics",domains:["*.servmetric.com"]},{name:"ServiceSource International",category:"marketi\
ng",domains:["*.scoutanalytics.net"]},{name:"ServiceTick",category:"analytics",domains:["*.servicetick.com"]},{name:"Servo",company:"Xervo",category:"hosting",domains:["*.onmodulus.net"]},{name:"SessionCam",company:"ServiceTick",category:"analytics",domains:["*.sessioncam.com","d2oh4tlt9mrke9.cloudfront.net"]},{name:"Seznam",category:"utility",domains:["*.imedia.cz"]},{name:"Sharethrough",category:"ad",domains:["*.sharethrough.com"]},{name:"SharpSpring",category:"marketing",domains:["*.sharpspring.com","*.marketingautomation.services"]},{name:"ShopRunner",category:"content",domains:["*.shoprunner.com","*.s-9.us"]},{name:"ShopStorm",category:"utility",domains:["*.shopstorm.com"]},{name:"Shopatron",category:"hosting",domains:["*.shopatron.com"]},{name:"Shopgate",category:"utility",domains:["*.shopgate.com"]},{name:"ShopiMind",company:"ShopIMind",category:"ad",domains:["*.shopimind.com"]},{name:"Shopkeeper Tools",category:"utility",domains:["*.shopkeepertools.com"]},{name:"Sidecar",category:"\
other",domains:["*.getsidecar.com","d3v27wwd40f0xu.cloudfront.net"]},{name:"Sidereel",category:"analytics",domains:["*.sidereel.com"]},{name:"Sift Science",category:"utility",domains:["*.siftscience.com"]},{name:"Signal",category:"tag-manager",domains:["*.sitetagger.co.uk"]},{name:"Signyfyd",category:"utility",domains:["*.signifyd.com"]},{name:"Silktide",category:"hosting",domains:["*.silktide.com"]},{name:"Silverpop",company:"IBM",category:"ad",domains:["*.mkt912.com","*.mkt922.com","*.mkt932.com","*.mkt941.com","*.mkt51.net","*.mkt61.net","*.pages01.net","*.pages02.net","*.pages03.net","*.pages04.net","*.pages05.net"]},{name:"Simplaex",category:"marketing",domains:["*.simplaex.net"]},{name:"SimpleReach",category:"analytics",domains:["*.simplereach.com","d8rk54i4mohrb.cloudfront.net"]},{name:"Simplestream",category:"content",domains:["*.simplestream.com"]},{name:"Simpli.fi",category:"ad",domains:["*.simpli.fi"]},{name:"Simplicity Marketing",category:"ad",domains:["*.flashtalking.com"]},
{name:"SinnerSchrader Deutschland",category:"ad",domains:["*.s2Betrieb.de"]},{name:"Sirv",category:"other",domains:["*.sirv.com"]},{name:"Site Meter",category:"analytics",domains:["*.sitemeter.com"]},{name:"Site24x7 Real User Monitoring",company:"Site24x7",category:"analytics",domains:["*.site24x7rum.com"]},{name:"SiteGainer",category:"analytics",domains:["*.sitegainer.com","d191y0yd6d0jy4.cloudfront.net"]},{name:"SiteScout",company:"Centro",category:"ad",domains:["*.pixel.ad","*.sitescout.com"]},{name:"Siteimprove",category:"utility",domains:["*.siteimprove.com","*.siteimproveanalytics.com"]},{name:"Six Degrees Group",category:"hosting",domains:["*.fstech.co.uk"]},{name:"Skimbit",category:"ad",domains:["*.redirectingat.com","*.skimresources.com","*.skimresources.net"]},{name:"Skimlinks",category:"ad",domains:["*.skimlinks.com"]},{name:"SkyGlue Technology",category:"analytics",domains:["*.skyglue.com"]},{name:"SkyScanner",category:"content",domains:["*.skyscanner.net"]},{name:"Skybet",
company:"Bonne Terre t/a Sky Vegas (Sky)",category:"other",domains:["*.skybet.com"]},{name:"Skype",category:"other",domains:["*.skype.com"]},{name:"Slate Group",category:"content",domains:["*.cdnslate.com"]},{name:"SlimCut Media Outstream",company:"SlimCut Media",category:"ad",domains:["*.freeskreen.com"]},{name:"Smart Insight Tracking",company:"Emarsys",category:"analytics",domains:["*.scarabresearch.com"]},{name:"Smart AdServer",category:"ad",domains:["*.01net.com","*.sascdn.com","*.sasqos.com","*.smartadserver.com"]},{name:"SmartFocus",category:"analytics",domains:["*.emv2.com","*.emv3.com","*.predictiveintent.com","*.smartfocus.com","*.themessagecloud.com"]},{name:"Smarter Click",category:"ad",domains:["*.smct.co","*.smarterclick.co.uk"]},{name:"SmarterHQ",category:"analytics",domains:["*.smarterhq.io","d1n00d49gkbray.cloudfront.net","*.smarterremarketer.net"]},{name:"Smarttools",category:"customer-success",domains:["*.smartertrack.com"]},{name:"Smartzer",category:"ad",domains:["*.\
smartzer.com"]},{name:"Snack Media",category:"content",domains:["*.snack-media.com"]},{name:"Snacktools",category:"ad",domains:["*.bannersnack.com"]},{name:"SnapEngage",category:"customer-success",domains:["*.snapengage.com"]},{name:"SnapWidget",category:"content",domains:["*.snapwidget.com"]},{name:"Soasta",category:"analytics",domains:["*.lognormal.net"]},{name:"SociableLabs",category:"ad",domains:["*.sociablelabs.net","*.sociablelabs.com"]},{name:"Social Annex",category:"customer-success",domains:["*.socialannex.com"]},{name:"SocialShopWave",category:"social",domains:["*.socialshopwave.com"]},{name:"Socialphotos",category:"social",domains:["*.slpht.com"]},{name:"Sociomantic Labs",company:"DunnHumby",category:"ad",domains:["*.sociomantic.com"]},{name:"SodaHead",category:"analytics",domains:["*.sodahead.com"]},{name:"Softwebzone",category:"hosting",domains:["*.softwebzone.com"]},{name:"Sojern",category:"marketing",domains:["*.sojern.com"]},{name:"Sokrati",category:"marketing",domains:[
"*.sokrati.com"]},{name:"Sonobi",category:"ad",domains:["*.sonobi.com"]},{name:"Sooqr Search",company:"Sooqr",category:"utility",domains:["*.sooqr.com"]},{name:"Sophus3",category:"analytics",domains:["*.s3ae.com","*.sophus3.com"]},{name:"Sorenson Media",category:"content",domains:["*.sorensonmedia.com"]},{name:"Sortable",category:"ad",domains:["*.deployads.com"]},{name:"Sotic",category:"hosting",domains:["*.sotic.net","*.soticservers.net"]},{name:"Soundest",category:"ad",domains:["*.soundestlink.com","*.soundest.net"]},{name:"Sourcepoint",category:"ad",domains:["*.decenthat.com","*.fallingfalcon.com","*.summerhamster.com","d2lv4zbk7v5f93.cloudfront.net","d3qxwzhswv93jk.cloudfront.net"]},{name:"SourceKnowledge",homepage:"https://www.sourceknowledge.com",category:"ad",domains:["*.provenpixel.com"]},{name:"SpaceNet",category:"hosting",domains:["*.nmm.de"]},{name:"Sparkflow",company:"Intercept Interactive",category:"ad",domains:["*.sparkflow.net"]},{name:"Specific Media",category:"ad",domains:[
"*.specificmedia.com","*.adviva.net","*.specificclick.net"]},{name:"Spicy",company:"Data-Centric Alliance",category:"ad",domains:["*.sspicy.ru"]},{name:"Spoke",category:"customer-success",domains:["*.121d8.com"]},{name:"Spongecell",category:"ad",domains:["*.spongecell.com"]},{name:"Spot.IM",category:"social",domains:["*.spot.im","*.spotim.market"]},{name:"SpotXchange",category:"ad",domains:["*.spotxcdn.com","*.spotxchange.com","*.spotx.tv"]},{name:"SpringServer",category:"ad",domains:["*.springserve.com"]},{name:"Spylight",category:"other",domains:["*.spylight.com"]},{name:"SreamAMG",company:"StreamAMG",category:"other",domains:["*.streamamg.com"]},{name:"StackAdapt",category:"ad",domains:["*.stackadapt.com"]},{name:"StackExchange",category:"social",domains:["*.sstatic.net"]},{name:"Stackla PTY",category:"social",domains:["*.stackla.com"]},{name:"Stailamedia",category:"ad",domains:["*.stailamedia.com"]},{name:"Stamped.io",category:"analytics",domains:["*.stamped.io"]},{name:"Starfield \
Services Root Certificate Authority",company:"Starfield Technologies",category:"utility",domains:["*.starfieldtech.com","ss2.us","*.ss2.us"]},{name:"Starfield Technologies",category:"utility",domains:["*.websiteprotection.com"]},{name:"StatCounter",category:"analytics",domains:["*.statcounter.com"]},{name:"Statful",category:"analytics",domains:["*.statful.com"]},{name:"Steelhouse",category:"ad",domains:["*.steelhousemedia.com"]},{name:"Steepto",category:"ad",domains:["*.steepto.com"]},{name:"StellaService",category:"analytics",domains:["*.stellaservice.com"]},{name:"StickyADS.tv",category:"ad",domains:["*.stickyadstv.com"]},{name:"STINGRAY",company:"FlexOne",category:"ad",domains:["*.impact-ad.jp"]},{name:"Storify",company:"Adobe Systems",category:"social",domains:["*.storify.com"]},{name:"Storm Tag Manager",company:"Rakuten",category:"tag-manager",domains:["*.stormcontainertag.com"]},{name:"Storygize",category:"ad",domains:["*.storygize.net"]},{name:"Strands",category:"utility",domains:[
"*.strands.com"]},{name:"StreamRail",category:"ad",domains:["*.streamrail.com","*.streamrail.net"]},{name:"StrikeAd",category:"ad",domains:["*.strikead.com"]},{name:"Struq",company:"Quantcast",category:"ad",domains:["*.struq.com"]},{name:"StrÃ¶er Digital Media",category:"ad",domains:["*.stroeerdigitalmedia.de"]},{name:"StumbleUpon",category:"content",domains:["*.stumble-upon.com","*.stumbleupon.com"]},{name:"Sub2 Technologies",category:"analytics",domains:["*.sub2tech.com"]},{name:"SublimeSkinz",category:"ad",domains:["*.ayads.co"]},{name:"Sumo Logic",category:"utility",domains:["*.sumologic.com"]},{name:"Sunday Times Driving",category:"content",domains:["*.driving.co.uk"]},{name:"SundaySky",category:"ad",domains:["*.sundaysky.com","dds6m601du5ji.cloudfront.net"]},{name:"Sunrise Integration",category:"utility",domains:["*.sunriseintegration.com"]},{name:"Supertool Network Technology",category:"analytics",domains:["*.miaozhen.com"]},{name:"Survata",category:"analytics",domains:["*.sur\
vata.com"]},{name:"SurveyGizmo",category:"analytics",domains:["*.surveygizmo.eu"]},{name:"SurveyMonkey",category:"analytics",domains:["*.surveymonkey.com"]},{name:"Survicate",category:"analytics",domains:["*.survicate.com"]},{name:"Sweet Tooth",category:"ad",domains:["*.sweettooth.io"]},{name:"Swiftype",category:"utility",domains:["*.swiftype.com","*.swiftypecdn.com"]},{name:"Switch Concepts",category:"ad",domains:["*.switchadhub.com"]},{name:"SwitchAds",company:"Switch Concepts",category:"ad",domains:["*.switchads.com"]},{name:"Swogo",category:"analytics",domains:["*.xsellapp.com"]},{name:"Swoop",category:"ad",domains:["*.swoop.com"]},{name:"Symantec",category:"utility",domains:["*.norton.com","*.symantec.com","*.symcb.com","*.symcd.com"]},{name:"Syncapse",category:"social",domains:["*.clickable.net"]},{name:"Synergetic",category:"ad",domains:["*.synergetic.ag"]},{name:"Synthetix",category:"customer-success",domains:["*.syn-finity.com","*.synthetix-ec1.com","*.synthetix.com"]},{name:"\
Syte",category:"other",domains:["*.syteapi.com"]},{name:"TINT",category:"content",domains:["*.71n7.com","d33w9bm0n1egwm.cloudfront.net","d36hc0p18k1aoc.cloudfront.net","d3l7tj34e9fc43.cloudfront.net"]},{name:"TNS (Kantar Group)",category:"analytics",domains:["*.tns-counter.ru"]},{name:"TRUSTe",category:"utility",domains:["*.truste.com"]},{name:"TV Genius",company:"Ericcson Media Services",category:"content",domains:["*.tvgenius.net"]},{name:"TVSquared",category:"ad",domains:["*.tvsquared.com"]},{name:"TVTY",category:"ad",domains:["*.distribeo.com","*.ogigl.com"]},{name:"Tactics bvba",category:"hosting",domains:["*.influid.co"]},{name:"Tag Inspector",company:"InfoTrust",category:"analytics",domains:["d22xmn10vbouk4.cloudfront.net"]},{name:"TagCommander",category:"tag-manager",domains:["*.commander1.com","*.tagcommander.com"]},{name:"Tagboard",category:"social",domains:["*.tagboard.com"]},{name:"Taggstar",company:"Taggstar UK",category:"ad",domains:["*.taggstar.com"]},{name:"Tail Target",
company:"Tail",category:"ad",domains:["*.tailtarget.com"]},{name:"Tailored",category:"other",domains:["d24qm7bu56swjs.cloudfront.net","dw3vahmen1rfy.cloudfront.net","*.tailored.to"]},{name:"Taleo Enterprise Cloud Service",company:"Oracle",category:"content",domains:["*.taleo.net"]},{name:"Talkable",category:"ad",domains:["*.talkable.com","d2jjzw81hqbuqv.cloudfront.net"]},{name:"TapSense",category:"ad",domains:["*.tapsense.com"]},{name:"Tapad",category:"ad",domains:["*.tapad.com"]},{name:"Teads",category:"ad",domains:["*.teads.tv"]},{name:"Team Internet Tonic",company:"Team Internet",category:"ad",domains:["*.dntrax.com"]},{name:"TechTarget",category:"content",domains:["*.techtarget.com","*.ttgtmedia.com"]},{name:"Technorati",company:"Synacor",category:"ad",domains:["*.technoratimedia.com"]},{name:"Teedhaze",category:"content",domains:["*.fuel451.com"]},{name:"Tell Apart",category:"analytics",domains:["*.tellapart.com","*.tellaparts.com"]},{name:"Tencent",category:"content",domains:["*.\
qq.com","*.ywxi.net"]},{name:"Thanx Media",category:"utility",domains:["*.hawksearch.info"]},{name:"Thawte",category:"utility",domains:["*.thawte.com"]},{name:"Thesis",category:"analytics",homepage:"https://www.thesistesting.com/",domains:["*.ttsep.com"]},{name:"The AA",category:"ad",domains:["*.adstheaa.com"]},{name:"The ADEX",category:"ad",domains:["*.theadex.com"]},{name:"The Best Day",category:"social",domains:["*.thebestday.com"]},{name:"The Filter",company:"Exabre",category:"analytics",domains:["*.thefilter.com"]},{name:"The Guardian",category:"analytics",domains:["*.ophan.co.uk"]},{name:"The Hut Group",category:"content",domains:["*.thcdn.com"]},{name:"The Numa Group",category:"other",domains:["*.hittail.com"]},{name:"The Publisher Desk",category:"ad",domains:["*.206ads.com","*.publisherdesk.com"]},{name:"The Sydney Morning Herald",company:"Fairfax Media",category:"content",domains:["*.smh.com.au"]},{name:"The Wall Street Jounal",category:"content",domains:["*.wsj.net"]},{name:"\
The Wall Street Journal",category:"content",domains:["*.marketwatch.com"]},{name:"TheFind",category:"content",domains:["*.thefind.com"]},{name:"Thinglink",category:"utility",domains:["*.thinglink.com"]},{name:"Thirdpresence",category:"ad",domains:["*.thirdpresence.com"]},{name:"ThreatMetrix",category:"utility",domains:["*.online-metrix.net"]},{name:"Throtle",homepage:"https://throtle.io/",category:"analytics",domains:["*.thrtle.com","*.v12group.com"]},{name:"TicketMaster",category:"content",domains:["*.t-x.io","*.tmcs.net"]},{name:"TikTok",company:"ByteDance Ltd",homepage:"https://www.tiktok.com/en/",category:"social",domains:["*.tiktok.com","*.ipstatp.com"]},{name:"Tidio Live Chat",company:"Tidio",homepage:"https://www.tidiochat.com/en/",category:"customer-success",domains:["*.tidiochat.com"]},{name:"Tiledesk Live Chat",company:"Tiledesk SRL",homepage:"https://www.tiledesk.com/",category:"customer-success",domains:["*.tiledesk.com"]},{name:"Time",category:"content",domains:["*.timeinc\
.net"]},{name:"Time2Perf",category:"ad",domains:["*.time2perf.com"]},{name:"TinyURL",category:"utility",domains:["*.tinyurl.com"]},{name:"Tivo",category:"analytics",domains:["*.rovicorp.com"]},{name:"Tom&Co",category:"hosting",domains:["*.tomandco.uk"]},{name:"Toms Native Ads",company:"Purch",category:"ad",domains:["*.natoms.com"]},{name:"ToneMedia",category:"ad",domains:["*.clickfuse.com"]},{name:"Tonic",company:"Team Internet",category:"ad",domains:["*.dntx.com"]},{name:"Touch Commerce",category:"customer-success",domains:["*.inq.com","*.touchcommerce.com"]},{name:"ToutApp",category:"ad",domains:["*.toutapp.com"]},{name:"TraceView",company:"Solarwinds",category:"analytics",domains:["*.tracelytics.com","d2gfdmu30u15x7.cloudfront.net"]},{name:"TrackJS",category:"analytics",domains:["*.trackjs.com","d2zah9y47r7bi2.cloudfront.net"]},{name:"Tradedoubler",category:"ad",domains:["*.pvnsolutions.com","*.tradedoubler.com"]},{name:"Tradelab",category:"ad",domains:["*.tradelab.fr"]},{name:"Traf\
ficFactory",category:"ad",domains:["*.trafficfactory.biz"]},{name:"TrafficHunt",category:"ad",domains:["*.traffichunt.com"]},{name:"TrafficStars",category:"ad",domains:["*.trafficstars.com","*.tsyndicate.com"]},{name:"Transifex",category:"utility",domains:["*.transifex.com"]},{name:"Travelex",category:"utility",domains:["*.travelex.net","*.travelex.co.uk"]},{name:"Travelocity Canada",company:"Travelocity",category:"content",domains:["*.travelocity.ca"]},{name:"Travelocity USA",company:"Travelocity",category:"content",domains:["*.travelocity.com"]},{name:"Travelzoo",category:"content",domains:["*.travelzoo.com"]},{name:"Treasure Data",category:"analytics",domains:["*.treasuredata.com"]},{name:"Tremor Video",category:"ad",domains:["*.tremorhub.com","*.videohub.tv"]},{name:"Trialfire",category:"analytics",domains:["*.trialfire.com"]},{name:"Tribal Fusion",company:"Exponential Interactive",category:"ad",domains:["*.tribalfusion.com"]},{name:"Triblio",category:"marketing",domains:["*.tribl.\
io"]},{name:"Triggered Messaging",company:"Fresh Relevance",category:"ad",domains:["*.triggeredmessaging.com"]},{name:"Trinity Mirror",category:"content",domains:["*.mirror.co.uk"]},{name:"Trinity Mirror Digital Media",category:"social",domains:["*.tm-aws.com","*.icnetwork.co.uk"]},{name:"TripAdvisor",category:"content",domains:["*.jscache.com","*.tacdn.com","*.tamgrt.com","*.tripadvisor.com","*.viator.com","*.tripadvisor.co.uk"]},{name:"TripleLift",category:"ad",domains:["*.3lift.com"]},{name:"Tru Optik",category:"ad",domains:["*.truoptik.com"]},{name:"TruConversion",category:"analytics",domains:["*.truconversion.com"]},{name:"Trueffect",category:"marketing",domains:["*.adlegend.com"]},{name:"Truefit",category:"analytics",domains:["*.truefitcorp.com"]},{name:"Trust Guard",category:"utility",domains:["*.trust-guard.com"]},{name:"Trust Pilot",category:"analytics",domains:["*.trustpilot.com"]},{name:"Amazon Trust Services",company:"Amazon",category:"utility",domains:["*.amazontrust.com",
"o.ss2.us"]},{name:"Google Trust Services",company:"Google",category:"utility",domains:["*.pki.goog"]},{name:"Let's Encrypt",homepage:"https://letsencrypt.org/",category:"utility",domains:["*.letsencrypt.org"]},{name:"TrustX",category:"ad",domains:["*.trustx.org"]},{name:"Trusted Shops",category:"utility",domains:["*.trustedshops.com"]},{name:"Trustev",company:"TransUnion",category:"utility",domains:["*.trustev.com"]},{name:"Trustwave",category:"utility",domains:["*.trustwave.com"]},{name:"Tryzens TradeState",company:"Tryzens",category:"analytics",domains:["*.tryzens-analytics.com"]},{name:"TubeMogul",category:"ad",domains:["*.tubemogul.com"]},{name:"Turn",category:"ad",domains:["*.turn.com"]},{name:"Tutorialize",category:"customer-success",domains:["*.tutorialize.me"]},{name:"Twenga",category:"content",domains:["*.twenga.fr","*.c4tw.net","*.twenga.co.uk"]},{name:"Twitframe",company:"Superblock",category:"utility",domains:["*.twitframe.com"]},{name:"Twitter Online Conversion Tracking",
company:"Twitter",category:"ad",domains:["*.ads-twitter.com","analytics.twitter.com"]},{name:"Twitter Short URL",company:"Twitter",category:"social",domains:["*.t.co"]},{name:"Twyn Group",category:"ad",domains:["*.twyn.com"]},{name:"Tynt",company:"33 Across",category:"ad",domains:["*.tynt.com"]},{name:"Typepad",category:"hosting",domains:["*.typepad.com"]},{name:"TyrbooBytes",category:"utility",domains:["*.turbobytes.net"]},{name:"UPS i-parcel",company:"UPS",category:"other",domains:["*.i-parcel.com"]},{name:"US Media Consulting",category:"ad",domains:["*.mediade.sk"]},{name:"Ubertags",category:"tag-manager",domains:["*.ubertags.com"]},{name:"Umbel",category:"analytics",domains:["*.umbel.com"]},{name:"Unanimis",company:"Switch",category:"ad",domains:["*.unanimis.co.uk"]},{name:"Unbounce",category:"ad",domains:["*.ubembed.com","*.unbounce.com","d2xxq4ijfwetlm.cloudfront.net","d9hhrg4mnvzow.cloudfront.net"]},{name:"Underdog Media",category:"ad",domains:["*.underdog.media","*.udmserve.net"]},
{name:"Understand Digital",category:"ad",domains:["*.redirecting2.net"]},{name:"Undertone",company:"Perion",category:"ad",domains:["*.legolas-media.com"]},{name:"Unidays",category:"ad",domains:["*.myunidays.com","*.unidays.world"]},{name:"Uniqodo",category:"ad",domains:["*.uniqodo.com"]},{name:"Unite",category:"ad",domains:["*.uadx.com"]},{name:"United Card Services",category:"utility",domains:["*.ucs.su"]},{name:"United Internet",category:"hosting",domains:["*.uicdn.com"]},{name:"United Internet Media",category:"ad",domains:["*.ui-portal.de"]},{name:"United Internet Media AG",category:"hosting",domains:["*.tifbs.net","*.uicdn.net","*.uimserv.net"]},{name:"Unknown",category:"other",domains:[]},{name:"Unruly Media",category:"ad",domains:["*.unrulymedia.com"]},{name:"UpBuild",category:"ad",domains:["*.upbuild.io"]},{name:"UpSellit",category:"analytics",domains:["*.upsellit.com"]},{name:"Upland Software",category:"hosting",domains:["*.clickability.com"]},{name:"Airship",category:"marketin\
g",domains:["*.urbanairship.com","*.aswpsdkus.com"]},{name:"UsabilityTools",category:"analytics",domains:["*.usabilitytools.com"]},{name:"Usablenet.net",category:"utility",domains:["*.usablenet.net"]},{name:"Use It Better",category:"analytics",domains:["*.useitbetter.com"]},{name:"User Replay",category:"analytics",domains:["*.userreplay.net"]},{name:"UserReport",category:"analytics",domains:["*.userreport.com"]},{name:"Userneeds",category:"analytics",domains:["*.userneeds.dk"]},{name:"Userzoom",category:"analytics",domains:["*.userzoom.com"]},{name:"V12 Retail Finance",category:"utility",domains:["*.v12finance.com"]},{name:"Vacaciones eDreams",category:"content",domains:["*.odistatic.net"]},{name:"Varick Media Management",category:"ad",domains:["*.vmmpxl.com"]},{name:"Vdopia Chocolate",company:"Vdopia",category:"ad",domains:["*.vdopia.com"]},{name:"Ve",company:"Ve",homepage:"https://www.ve.com/",category:"marketing",domains:["*.veinteractive.com","*.ve.com"]},{name:"Ve Interactive",company:"\
Ve",category:"ad",domains:["*.vepxl1.net","*.adgenie.co.uk"]},{name:"Vee24",category:"customer-success",domains:["*.vee24.com"]},{name:"Veeseo",category:"content",domains:["*.veeseo.com"]},{name:"Venatus Media",category:"marketing",domains:["*.alcvid.com","*.venatusmedia.com"]},{name:"Veoxa",category:"ad",domains:["*.veoxa.com"]},{name:"Vergic AB",category:"customer-success",domains:["*.psplugin.com"]},{name:"Vergic Engage Platform",company:"Vergic",category:"customer-success",domains:["*.vergic.com"]},{name:"Verisign (Symantec)",category:"utility",domains:["*.verisign.com"]},{name:"Verizon",category:"utility",domains:["*.public-trust.com"]},{name:"Verizon Digital Media CDN",homepage:"https://www.verizondigitalmedia.com/",category:"cdn",domains:["*.edgecastcdn.net","*.edgecastdns.net"]},{name:"Verizon Uplynk",company:"Verizon",category:"content",domains:["*.uplynk.com"]},{name:"Vero",company:"Semblance",category:"ad",domains:["*.getvero.com","d3qxef4rp70elm.cloudfront.net"]},{name:"Ver\
taMedia",category:"ad",domains:["*.vertamedia.com"]},{name:"Vertical Mass",category:"ad",domains:["*.vmweb.net"]},{name:"Vestorly",category:"ad",domains:["*.oodalab.com"]},{name:"Vextras",category:"other",domains:["*.vextras.com"]},{name:"Viacom",category:"content",domains:["*.mtvnservices.com"]},{name:"Vibrant Media",category:"ad",domains:["*.intellitxt.com","*.picadmedia.com"]},{name:"VidPulse",category:"analytics",domains:["*.vidpulse.com"]},{name:"Video Media Groep",category:"ad",domains:["*.vmg.host","*.inpagevideo.nl"]},{name:"VideoHub",company:"Tremor Video",category:"ad",domains:["*.scanscout.com"]},{name:"Videology",category:"ad",domains:["*.tidaltv.com"]},{name:"Vidible",category:"ad",domains:["*.vidible.tv"]},{name:"VigLink",category:"ad",domains:["*.viglink.com"]},{name:"Vindico",company:"Viant",category:"ad",domains:["*.vindicosuite.com"]},{name:"Viocorp International",category:"content",domains:["*.vioapi.com"]},{name:"ViralNinjas",category:"ad",domains:["*.viralninjas.co\
m"]},{name:"Virool",category:"ad",domains:["*.virool.com"]},{name:"Virtual Earth",company:"Microsoft",category:"utility",domains:["*.virtualearth.net"]},{name:"Visely",company:"Visely",category:"other",homepage:"https://visely.io/",domains:["*.visely.io"]},{name:"VisScore",category:"analytics",domains:["*.visscore.com","d2hkbi3gan6yg6.cloudfront.net"]},{name:"Visible Measures",category:"ad",domains:["*.visiblemeasures.com"]},{name:"Visual Studio",company:"Microsoft",category:"utility",domains:["*.visualstudio.com"]},{name:"VisualDNA",category:"ad",domains:["*.visualdna.com"]},{name:"VisualVisitor",category:"ad",domains:["*.id-visitors.com"]},{name:"Vivocha S.p.A",category:"customer-success",domains:["*.vivocha.com"]},{name:"Vizu (Nielsen)",category:"analytics",domains:["*.vizu.com"]},{name:"Vizury",category:"ad",domains:["*.vizury.com"]},{name:"VoiceFive",category:"analytics",domains:["*.voicefive.com"]},{name:"Volvelle",company:"Optomaton",category:"ad",domains:["*.volvelle.tech"]},{name:"\
VouchedFor",category:"analytics",domains:["*.vouchedfor.co.uk"]},{name:"WARPCACHE",category:"utility",domains:["*.warpcache.net"]},{name:"WISHLIST",company:"Shopapps",category:"social",domains:["*.shopapps.in"]},{name:"WP Engine",category:"hosting",domains:["*.wpengine.com"]},{name:"WalkMe",category:"customer-success",domains:["*.walkme.com"]},{name:"Watching That",category:"other",domains:["*.watchingthat.com"]},{name:"Wayfair",category:"analytics",domains:["*.wayfair.com"]},{name:"Web CEO",category:"other",domains:["*.websiteceo.com"]},{name:"Web Dissector",company:"Beijing Gridsum Technologies",category:"analytics",domains:["*.gridsumdissector.com","*.webdissector.com"]},{name:"Web Forensics",category:"analytics",domains:["*.webforensics.co.uk"]},{name:"Web Security and Performance",company:"NCC Group",category:"utility",domains:["*.nccgroup.trust"]},{name:"WebEngage",category:"customer-success",domains:["*.webengage.co","*.webengage.com","d23nd6ymopvz52.cloudfront.net","d3701cc9l7v\
9a6.cloudfront.net"]},{name:"WebInsight",company:"dotMailer",category:"analytics",domains:["*.trackedlink.net","*.trackedweb.net"]},{name:"WebPageOne Solutions",category:"other",domains:["*.webpageone.com"]},{name:"WebSpectator",category:"ad",domains:["*.webspectator.com"]},{name:"WebTuna",company:"Application Performance",category:"analytics",domains:["*.webtuna.com"]},{name:"WebVideoCore",company:"StreamingVideoProvider",category:"content",domains:["*.webvideocore.net"]},{name:"WebWombat",category:"utility",domains:["*.ic.com.au"]},{name:"Webcollage",category:"customer-success",domains:["*.webcollage.net"]},{name:"Webcore",category:"ad",domains:["*.onefeed.co.uk"]},{name:"Webkul",company:"Webkul Software",category:"utility",domains:["*.webkul.com"]},{name:"Webmarked",category:"utility",domains:["*.webmarked.net"]},{name:"Weborama",category:"ad",domains:["*.weborama.com","*.weborama.fr"]},{name:"WebpageFX",category:"ad",domains:["*.leadmanagerfx.com"]},{name:"Webphone",company:"IP WEB\
 SERVICES",category:"customer-success",domains:["*.webphone.net"]},{name:"Webselect selectcommerce",company:"Webselect Internet",category:"hosting",domains:["*.webselect.net"]},{name:"Webthinking",category:"hosting",domains:["*.webthinking.co.uk"]},{name:"Webtrekk",category:"analytics",domains:["*.wbtrk.net","*.webtrekk-asia.net","*.webtrekk.net","*.wt-eu02.net","*.wt-safetag.com"]},{name:"Webtrends",category:"analytics",domains:["*.webtrends.com","*.webtrendslive.com","d1q62gfb8siqnm.cloudfront.net"]},{name:"Webtype",category:"cdn",domains:["*.webtype.com"]},{name:"White Ops",category:"utility",domains:["*.acexedge.com","*.tagsrvcs.com"]},{name:"Whitespace",category:"ad",domains:["*.whitespacers.com"]},{name:"WhosOn Live Chat Software",category:"customer-success",domains:["*.whoson.com"]},{name:"Wibbitz",category:"other",domains:["*.wibbitz.com"]},{name:"Wide Area Communications",category:"hosting",domains:["*.widearea.co.uk"]},{name:"WideOrbit",category:"marketing",domains:["*.admaym\
.com"]},{name:"William Reed",category:"content",domains:["*.wrbm.com"]},{name:"WillyFogg.com",category:"content",domains:["*.willyfogg.com"]},{name:"Windows",company:"Microsoft",category:"utility",domains:["*.windowsupdate.com"]},{name:"WisePops",category:"utility",domains:["*.wisepops.com"]},{name:"Wishlist King",company:"Appmate",category:"other",homepage:"https://appmate.io/",domains:["*.appmate.io"]},{name:"Wishpond Technologies",category:"marketing",domains:["*.wishpond.com","*.wishpond.net"]},{name:"WizRocket Technologies",category:"analytics",domains:["*.wzrkt.com"]},{name:"Woopra",category:"analytics",domains:["*.woopra.com"]},{name:"Woosmap",category:"utility",domains:["*.woosmap.com"]},{name:"WorkCast",category:"hosting",domains:["*.workcast.net"]},{name:"World News Media",category:"content",domains:["*.wnmedia.co.uk"]},{name:"Worldpay",category:"utility",domains:["*.worldpay.com"]},{name:"Wow Analytics",category:"analytics",domains:["*.wowanalytics.co.uk"]},{name:"Wowcher",category:"\
ad",domains:["*.wowcher.co.uk"]},{name:"Wufoo",category:"utility",domains:["*.wufoo.com"]},{name:"Wunderkind",category:"marketing",homepage:"https://www.wunderkind.co/",domains:["*.bounceexchange.com","*.bouncex.net","*.wknd.ai","*.cdnbasket.net","*.cdnwidget.com"]},{name:"Wyng",category:"ad",domains:["*.offerpop.com"]},{name:"XMLSHOP",category:"hosting",domains:["*.xmlshop.biz"]},{name:"XiTi",company:"AT Internet",category:"analytics",domains:["*.xiti.com","*.aticdn.net"],homepage:"https://www.atinternet.com/en/"},{name:"YUDU",category:"content",domains:["*.yudu.com"]},{name:"Yahoo! Ad Exchange",company:"Yahoo!",category:"ad",domains:["*.yieldmanager.com","*.browsiprod.com"]},{name:"Yahoo! JAPAN Ads",company:"Yahoo! JAPAN",category:"ad",homepage:"https://marketing.yahoo.co.jp/service/yahooads/",domains:["yads.c.yimg.jp","s.yimg.jp","b92.yahoo.co.jp"]},{name:"Yahoo! Tag Manager",company:"Yahoo! JAPAN",category:"tag-manager",homepage:"https://marketing.yahoo.co.jp/service/tagmanager/",domains:[
"*.yjtag.jp"]},{name:"Yahoo! Small Business",company:"Yahoo!",category:"hosting",domains:["*.aabacosmallbusiness.com"]},{name:"Yellow Robot",category:"ad",domains:["*.backinstock.org"]},{name:"YieldPartners",category:"ad",domains:["*.yieldpartners.com"]},{name:"Yieldbot",category:"ad",domains:["*.yldbt.com"]},{name:"Yieldify",category:"ad",domains:["*.yieldify.com","*.yieldifylabs.com","d33wq5gej88ld6.cloudfront.net","dwmvwp56lzq5t.cloudfront.net"]},{name:"Yieldlab",category:"ad",domains:["*.yieldlab.net"]},{name:"Yieldmo",category:"ad",domains:["*.yieldmo.com"]},{name:"Yieldr",category:"ad",domains:["*.254a.com"]},{name:"Yo",category:"utility",domains:["*.yopify.com"]},{name:"YoYo",category:"utility",domains:["*.goadservices.com"]},{name:"Yotpo",homepage:"https://www.yotpo.com/",category:"marketing",domains:["*.yotpo.com","*.swellrewards.com"]},{name:"Yottaa",category:"hosting",domains:["*.yottaa.com","*.yottaa.net"]},{name:"YourAmigo",category:"utility",domains:["*.youramigo.com"]},{
name:"YuMe",category:"ad",domains:["*.yume.com","*.yumenetworks.com"]},{name:"Yummley",category:"other",domains:["*.yummly.com"]},{name:"ZEDO",category:"ad",domains:["*.zedo.com"]},{name:"Zafu",category:"analytics",domains:["*.zafu.com"]},{name:"Zaius",category:"ad",domains:["*.zaius.com"]},{name:"Zamplus ad",category:"ad",domains:["*.zampda.net"]},{name:"Zanox",category:"ad",domains:["*.zanox.com","*.zanox.ws"]},{name:"Zapper",category:"utility",domains:["*.zapper.com"]},{name:"Zarget",category:"analytics",domains:["*.zarget.com"]},{name:"Zemanta",category:"ad",domains:["*.zemanta.com"]},{name:"Zen Internet",category:"other",domains:["*.zyen.com"]},{name:"Zenovia Digital Exchange",category:"ad",domains:["*.rhythmxchange.com","*.zenoviaexchange.com"]},{name:"ZergNet",category:"content",domains:["*.zergnet.com"]},{name:"Zerogrey",category:"hosting",domains:["*.zerogrey.com"]},{name:"Ziff Davis Tech",category:"ad",domains:["*.adziff.com","*.zdbb.net"]},{name:"Zmags",category:"marketing",
domains:["*.zmags.com"]},{name:"Zolando",category:"content",domains:["*.ztat.net"]},{name:"Zoover",category:"analytics",domains:["*.zoover.nl","*.zoover.co.uk"]},{name:"Zopim",category:"customer-success",domains:["*.zopim.io"]},{name:"[24]7",category:"customer-success",domains:["*.247-inc.net","*.247inc.net","d1af033869koo7.cloudfront.net"]},{name:"adKernel",category:"ad",domains:["*.adkernel.com"]},{name:"adMarketplace",company:"AMPexchange",category:"ad",domains:["*.ampxchange.com","*.admarketplace.net"]},{name:"addtocalendar",category:"utility",domains:["*.addtocalendar.com"]},{name:"adnanny",category:"ad",domains:["*.adserver01.de"]},{name:"affilinet",category:"ad",domains:["*.reussissonsensemble.fr","*.successfultogether.co.uk"]},{name:"audioBoom",category:"social",domains:["*.audioboom.com","*.audioboo.fm"]},{name:"bPay by Barclaycard",company:"Barclays Bank",category:"utility",domains:["*.bpay.co.uk"]},{name:"bRealTime",category:"ad",domains:["*.brealtime.com"]},{name:"bd4travel",
category:"analytics",domains:["*.bd4travel.com"]},{name:"bizinformation-VOID",company:"bizinformation",category:"analytics",domains:["*.bizinformation.org"]},{name:"carrot",category:"social",domains:["*.sharebutton.co"]},{name:"cloudIQ",category:"analytics",domains:["*.cloud-iq.com"]},{name:"comScore",category:"analytics",domains:["*.adxpose.com","*.comscore.com","*.sitestat.com","*.zqtk.net"]},{name:"content.ad",category:"ad",domains:["*.content.ad"]},{name:"d3 Media",company:"d3 Technologies",category:"other",domains:["*.d3sv.net"]},{name:"dexiMEDIA",category:"ad",domains:["*.deximedia.com"]},{name:"dianomi",category:"ad",domains:["*.dianomi.com","*.dianomioffers.co.uk"]},{name:"donReach",category:"social",domains:["*.donreach.com"]},{name:"dotMailer",category:"ad",domains:["*.dmtrk.com","*.dotmailer.com","*.emlfiles.com"]},{name:"dotMailer Surveys",company:"dotMailer",category:"analytics",domains:["*.dotmailer-surveys.com"]},{name:"dstillery",category:"ad",domains:["*.dstillery.com",
"*.media6degrees.com"]},{name:"eBay",category:"ad",domains:["*.ebay.com","*.ebayimg.com","*.fetchback.com"]},{name:"eBay Enterprise",category:"hosting",domains:["*.csdata1.com","*.gsipartners.com"]},{name:"eBuzzing",company:"Teads Managed Services",category:"ad",domains:["*.ebz.io"]},{name:"eDigital Research",category:"customer-success",domains:["*.edigitalresearch.com","*.edigitalsurvey.com","*.edrcdn.com","*.ecustomeropinions.com"]},{name:"eGain",category:"analytics",domains:["*.analytics-egain.com","*.egain.com"]},{name:"eHost",category:"hosting",domains:["*.ehosts.net"]},{name:"eKomi",category:"analytics",domains:["*.ekomi.com","*.ekomi.de"]},{name:"eWAY",company:"Web Active Pty",category:"utility",domains:["*.eway.com.au"]},{name:"eXTReMe digital",category:"analytics",domains:["*.extreme-dm.com"]},{name:"eXelate",category:"ad",domains:["*.exelator.com"]},{name:"ecommercefeed.net",category:"marketing",domains:["*.ecommercefeed.net"]},{name:"engage:BDR",category:"ad",domains:["*.bnm\
la.com","*.ebdr3.com"]},{name:"epago",category:"ad",domains:["*.adaos-ads.net"]},{name:"epoq internet services",category:"analytics",domains:["*.epoq.de"]},{name:"etouches",category:"hosting",domains:["*.etouches.com"]},{name:"etracker",category:"analytics",domains:["*.etracker.com","*.etracker.de"]},{name:"everestads.com",category:"content",domains:["*.verestads.net"]},{name:"exebid.DCA",company:"Data-Centric Alliance",category:"ad",domains:["*.exe.bid"]},{name:"eyeReturn Marketing",category:"marketing",domains:["*.eyereturn.com"]},{name:"feedoptimise",category:"hosting",domains:["*.feedoptimise.com","d1w78njrm56n7g.cloudfront.net"]},{name:"fifty-five",category:"ad",domains:["*.55labs.com"]},{name:"fluct",category:"ad",domains:["*.adingo.jp"]},{name:"freegeoip.net",company:"(community-funded)",category:"utility",domains:["*.freegeoip.net"]},{name:"freewheel.tv",category:"content",domains:["*.fwmrm.net"]},{name:"gnatta",category:"customer-success",domains:["*.gnatta.com"]},{name:"home.\
pl",category:"hosting",domains:["*.nscontext.eu"]},{name:"hyfn",category:"ad",domains:["*.hyfn.com"]},{name:"iAdvize SAS",category:"customer-success",domains:["*.iadvize.com"]},{name:"iBillboard",category:"ad",domains:["*.ibillboard.com"]},{name:"iCrossing",category:"ad",domains:["*.ic-live.com"]},{name:"iFactory",company:"RDW Group",category:"hosting",domains:["*.ifactory.com"]},{name:"iGoDigital",category:"analytics",domains:["*.igodigital.com"]},{name:"iJento",company:"Fopsha",category:"ad",domains:["*.ijento.com"]},{name:"iPage",category:"hosting",domains:["*.ipage.com"]},{name:"iPerceptions",category:"customer-success",domains:["*.iperceptions.com"]},{name:"iTunes",company:"Apple",category:"content",domains:["*.mzstatic.com"]},{name:"imgix",company:"Zebrafish Labs",category:"utility",domains:["*.imgix.net"]},{name:"infogr.am",category:"utility",domains:["*.infogr.am","*.jifo.co"]},{name:"iotec",category:"analytics",domains:["*.dsp.io"]},{name:"iovation",category:"utility",domains:[
"*.iesnare.com"]},{name:"ipinfo.io",category:"utility",domains:["*.ipinfo.io"]},{name:"issuu",category:"content",domains:["*.issuu.com","*.isu.pub"]},{name:"iubenda",category:"utility",domains:["*.iubenda.com"]},{name:"j2 Cloud Services",category:"ad",domains:["*.campaigner.com"]},{name:"jsonip.com",category:"analytics",domains:["*.jsonip.com"]},{name:"linkpulse",category:"analytics",domains:["*.lp4.io"]},{name:"loGo_net",category:"analytics",domains:["*.logo-net.co.uk"]},{name:"mainADV",category:"ad",domains:["*.httptrack.com","*.solocpm.com"]},{name:"mbr targeting",category:"ad",domains:["*.m6r.eu"]},{name:"media.ventive",category:"ad",domains:["*.contentspread.net"]},{name:"metrigo",category:"ad",domains:["*.metrigo.com"]},{name:"minicabit.com",category:"content",domains:["*.minicabit.com"]},{name:"mobiManage",category:"hosting",domains:["*.mobimanage.com"]},{name:"moving-pictures",category:"other",domains:["*.moving-pictures.biz","*.v6-moving-pictures.com","*.vtstat.com","*.moving-\
pictures.de"]},{name:"my6sense",category:"ad",domains:["*.mynativeplatform.com"]},{name:"myThings",category:"ad",domains:["*.mythings.com","*.mythingsmedia.net"]},{name:"mymovies",category:"content",domains:["*.mymovies.net"]},{name:"nRelate-VOID",company:"nRelate",category:"content",domains:["*.nrelate.com"]},{name:"nToklo",category:"analytics",domains:["*.ntoklo.com"]},{name:"neXeps",category:"ad",domains:["*.nexeps.com"]},{name:"ninemsn Pty.",category:"utility",domains:["*.ninemsn.com.au"]},{name:"nugg.ad",category:"ad",domains:["*.nuggad.net"]},{name:"numero interactive",company:"numero",category:"ad",domains:["*.numerointeractive.com"]},{name:"optMD",company:"Optimax Media Delivery",category:"ad",domains:["*.optmd.com"]},{name:"otracking.com",category:"analytics",domains:["*.otracking.com"]},{name:"paysafecard",company:"Paysafe Group",category:"utility",domains:["*.paysafecard.com"]},{name:"piano",category:"ad",domains:["*.npttech.com","*.tinypass.com"]},{name:"piclike",category:"\
ad",domains:["*.piclike.us"]},{name:"placehold.it",category:"utility",domains:["*.placehold.it"]},{name:"plista",category:"ad",domains:["*.plista.com"]},{name:"prebid.org",category:"utility",domains:["*.prebid.org"]},{name:"reEmbed",category:"other",domains:["*.reembed.com"]},{name:"reddit",category:"social",domains:["*.reddit.com","*.redditstatic.com"]},{name:"rewardStyle.com",category:"ad",domains:["*.rewardstyle.com"]},{name:"rss2json",category:"utility",domains:["*.rss2json.com"]},{name:"sage Pay",company:"Sage Pay Europe",category:"utility",domains:["*.sagepay.com"]},{name:"section.io",category:"utility",domains:["*.squixa.net"]},{name:"smartclip",category:"ad",domains:["*.smartclip.net"]},{name:"sovrn",category:"ad",domains:["*.lijit.com"]},{name:"stackpile.io",company:"StackPile",category:"tag-manager",domains:["*.stackpile.io"]},{name:"template-help.com",category:"hosting",domains:["*.template-help.com"]},{name:"test",company:"test only",category:"other",domains:["*.testtesttes\
t.com"]},{name:"trueAnthem",category:"social",domains:["*.tru.am"]},{name:"tweetmeme-VOID",company:"tweetmeme",category:"analytics",domains:["*.tweetmeme.com"]},{name:"uLogin",category:"other",domains:["*.ulogin.ru"]},{name:"uLogix",category:"ad",domains:["*.ulogix.ru"]},{name:"ucfunnel ucX",company:"ucfunnel",category:"ad",domains:["*.aralego.com"]},{name:"up-value",category:"ad",domains:["*.up-value.de"]},{name:"wywy",category:"ad",domains:["*.wywy.com","*.wywyuserservice.com"]},{name:"CDK Dealer Management",company:"CDK Global",homepage:"https://www.cdkglobal.com/us",category:"hosting",domains:["*.assets-cdk.com"]},{name:"fam",company:"Fing Co Ltd.",homepage:"http://admin.fam-ad.com/report/",category:"ad",domains:["*.fam-ad.com"]},{name:"zypmedia",category:"ad",domains:["*.extend.tv"]},{name:"codigo",homepage:"https://www.codigo.se",category:"analytics",domains:["*.codigo.se"]},{name:"Playground",homepage:"https://playground.xyz",category:"ad",domains:["*.playground.xyz"]},{name:"RA\
M",homepage:"https://www2.rampanel.com/",category:"analytics",domains:["*.rampanel.com"]},{name:"Adition",homepage:"https://www.adition.com",category:"ad",domains:["*.adition.com"]},{name:"Widespace",homepage:"https://www.widespace.com",category:"ad",domains:["*.widespace.com"]},{name:"Colpirio",homepage:"https://www.widespace.com",category:"analytics",domains:["*.colpirio.com"]},{name:"Brandmetrics",homepage:"https://www.brandmetrics.com",category:"analytics",domains:["*.brandmetrics.com"]},{name:"EasyAd",homepage:"https://web.easy-ads.com/",category:"ad",domains:["*.easy-ads.com"]},{name:"Glimr",homepage:"https://glimr.io/",category:"analytics",domains:["*.glimr.io"]},{name:"Webtreck",homepage:"https://www.webtrekk.com/en/home/",category:"analytics",domains:["*.wcfbc.net"]},{name:"DigiTrust",homepage:"http://www.digitru.st/",category:"analytics",domains:["*.digitru.st"]},{name:"Kantar Sifo",homepage:"https://www.kantarsifo.se",category:"analytics",domains:["*.research-int.se"]},{name:"\
Concert",homepage:"https://concert.io/",category:"ad",domains:["*.concert.io"]},{name:"Emerse",homepage:"https://www.emerse.com/",category:"ad",domains:["*.emerse.com"]},{name:"Iterate",homepage:"https://iteratehq.com/",category:"analytics",domains:["*.iteratehq.com"]},{name:"Cookiebot",homepage:"https://www.cookiebot.com/",category:"utility",domains:["*.cookiebot.com"]},{name:"Netlify",homepage:"https://www.netlify.com/",category:"utility",domains:["*.netlify.com","*.netlifyusercontent.com"]},{name:"Scroll",homepage:"https://scroll.com/",category:"utility",domains:["*.scroll.com"]},{name:"Consumable",homepage:"https://consumable.com/",category:"ad",domains:["*.serverbid.com"]},{name:"DMD Marketing",homepage:"https://www.dmdconnects.com/",category:"ad",domains:["*.medtargetsystem.com"]},{name:"Catchpoint",homepage:"https://www.catchpoint.com/",category:"analytics",domains:["*.3gl.net","*.3genlabs.net"]},{name:"Terminus",homepage:"https://terminus.com/",category:"ad",domains:["*.terminu\
s.services"]},{name:"Acceptable Ads",homepage:"https://acceptableads.com/",category:"ad",domains:["*.aaxads.com","*.aaxdetect.com"]},{name:"ClearBrain",homepage:"https://www.clearbrain.com/",category:"analytics",domains:["*.clearbrain.com"]},{name:"Optanon",homepage:"https://www.cookielaw.org/",category:"consent-provider",domains:["*.onetrust.com","*.cookielaw.org"]},{name:"TrustArc",homepage:"https://www.trustarc.com/",category:"utility",domains:["*.trustarc.com"]},{name:"iSpot.tv",homepage:"https://www.ispot.tv/",category:"ad",domains:["*.ispot.tv"]},{name:"RevJet",homepage:"https://www.revjet.com/",category:"ad",domains:["*.revjet.com"]},{name:"atlasRTX",homepage:"https://www.atlasrtx.com/",category:"customer-success",domains:["*.atlasrtx.com"]},{name:"ContactAtOnce",homepage:"https://www.contactatonce.com/",category:"customer-success",domains:["*.contactatonce.com"]},{name:"Algolia",homepage:"https://www.algolia.com/",category:"utility",domains:["*.algolianet.com","*.algolia.net","\
*.algolia.io"]},{name:"EMX Digital",homepage:"https://emxdigital.com",category:"ad",domains:["*.emxdgt.com"]},{name:"Moxie",homepage:"https://www.gomoxie.com/",category:"utility",domains:["*.gomoxie.solutions"]},{name:"Scripps Network Digital",homepage:"https://www.scrippsnetworksdigital.com/",category:"ad",domains:["*.snidigital.com"]},{name:"TurnTo",homepage:"https://www.turntonetworks.com/",category:"utility",domains:["*.turnto.com"]},{name:"Quantum Metric",homepage:"https://www.quantummetric.com/",category:"analytics",domains:["*.quantummetric.com"]},{name:"Carbon Ads",homepage:"https://www.carbonads.net/",category:"ad",domains:["*.carbonads.net","*.carbonads.com"]},{name:"Ably",homepage:"https://www.ably.io/",category:"utility",domains:["*.ably.io"]},{name:"Sectigo",homepage:"https://sectigo.com/",category:"utility",domains:["*.sectigo.com"]},{name:"Specless",homepage:"https://gospecless.com/",category:"ad",domains:["*.specless.tech"]},{name:"Loggly",homepage:"https://www.loggly.c\
om/",category:"analytics",domains:["*.loggly.com","d9jmv9u00p0mv.cloudfront.net"]},{name:"Intent Media",homepage:"https://intent.com/",category:"ad",domains:["*.intentmedia.net"]},{name:"Supership",homepage:"https://supership.jp/",category:"ad",domains:["*.socdm.com"]},{name:"F@N Communications",homepage:"https://www.fancs.com/",category:"ad",domains:["*.ladsp.com"]},{name:"Vidyard",homepage:"https://www.vidyard.com/",category:"utility",domains:["*.vidyard.com"]},{name:"RapidSSL",homepage:"https://www.rapidssl.com/",category:"utility",domains:["*.rapidssl.com"]},{name:"Coherent Path",homepage:"https://coherentpath.com/",category:"utility",domains:["*.coherentpath.com"]},{name:"Attentive",homepage:"https://attentivemobile.com/",category:"ad",domains:["*.attn.tv","*.attentivemobile.com"]},{name:"emetriq",homepage:"https://www.emetriq.com/",category:"ad",domains:["*.emetriq.de","*.xplosion.de"]},{name:"Bonzai",homepage:"https://www.bonzai.co/",category:"ad",domains:["*.bonzai.co"]},{name:"\
Freshchat",homepage:"https://www.freshworks.com/live-chat-software/",category:"customer-success",domains:["*.freshchat.com","*.freshworksapi.com"],products:[{name:"Freshdesk Messaging",urlPatterns:["wchat.freshchat.com"],facades:[{name:"Freshdesk Messaging (formerly Freshchat) Facade",repo:"https://github.com/coliff/freshdesk-messaging-facade/"}]}]},{name:"Contentful",homepage:"https://www.contentful.com/",category:"utility",domains:["*.contentful.com"]},{name:"PureCars",homepage:"https://www.purecars.com/",category:"marketing",domains:["*.purecars.com"]},{name:"Tray Commerce",homepage:"https://www.tray.com.br/",category:"marketing",domains:["*.tcdn.com.br"]},{name:"AdScore",homepage:"https://www.adscore.com/",category:"ad",domains:["*.adsco.re"]},{name:"WebsiteBuilder.com",homepage:"https://www.websitebuilder.com",category:"hosting",domains:["*.mywebsitebuilder.com"]},{name:"mParticle",homepage:"https://www.mparticle.com/",category:"utility",domains:["*.mparticle.com"]},{name:"Ada",homepage:"\
https://www.ada.support/",category:"customer-success",domains:["*.ada.support"]},{name:"Quora Ads",homepage:"https://www.quora.com/business/",category:"ad",domains:["*.quora.com"]},{name:"Auth0",homepage:"https://auth0.com/",category:"utility",domains:["*.auth0.com"]},{name:"Bridgewell DSP",homepage:"https://www.bridgewell.com/",category:"ad",domains:["*.scupio.com"]},{name:"Wicked Reports",homepage:"https://www.wickedreports.com/",category:"marketing",domains:["*.wickedreports.com"]},{name:"Jaywing",homepage:"https://jaywing.com/",category:"marketing",domains:["*.jaywing.com"]},{name:"Holimetrix",homepage:"https://u360.d-bi.fr/",category:"marketing",domains:["*.d-bi.fr"]},{name:"iZooto",homepage:"https://www.izooto.com",category:"marketing",domains:["*.izooto.com"]},{name:"Ordergroove",homepage:"https://www.ordergroove.com/",category:"marketing",domains:["*.ordergroove.com"]},{name:"PageSense",homepage:"https://www.zoho.com/pagesense/",category:"analytics",domains:["*.pagesense.io"]},
{name:"Vizzit",homepage:"https://www.vizzit.se",category:"analytics",domains:["*.vizzit.se"]},{name:"Click Guardian",homepage:"https://www.clickguardian.co.uk/",category:"ad",domains:["*.clickguardian.app","*.clickguardian.co.uk"]},{name:"Smartsupp",company:"Smartsupp.com",homepage:"https://www.smartsupp.com",category:"customer-success",domains:["*.smartsuppchat.com","*.smartsupp.com","smartsupp-widget-161959.c.cdn77.org","*.smartsuppcdn.com"]},{name:"Smartlook",company:"Smartsupp.com",homepage:"https://www.smartlook.com/",category:"analytics",domains:["*.smartlook.com"]},{name:"Luigis Box",company:"Luigis Box",homepage:"https://www.luigisbox.com/",category:"utility",domains:["*.luigisbox.com"]},{name:"Targito",company:"VIVmail.cz",homepage:"https://www.targito.com",category:"marketing",domains:["*.targito.com"]},{name:"Foxentry",company:"AVANTRO",homepage:"https://foxentry.cz/",category:"utility",domains:["*.foxentry.cz"]},{name:"Pendo",homepage:"https://www.pendo.io",category:"analyt\
ics",domains:["*.pendo.io"]},{name:"Braze",homepage:"https://www.braze.com",category:"analytics",domains:["*.appboycdn.com"]},{name:"Usersnap",homepage:"https://usersnap.com",category:"customer-success",domains:["*.usersnap.com"]},{name:"Rewardful",homepage:"https://www.getrewardful.com",category:"analytics",domains:["*.wdfl.co"]},{name:"Launch Darkly",homepage:"https://launchdarkly.com",category:"utility",domains:["*.launchdarkly.com"]},{name:"Statuspage",company:"Atlassian",homepage:"https://www.statuspage.io",category:"utility",domains:["*.statuspage.io"]},{name:"HyperInzerce",homepage:"https://hyperinzerce.cz",category:"ad",domains:["*.hyperinzerce.cz"]},{name:"POWr",homepage:"https://www.powr.io",category:"utility",domains:["*.powr.io"]},{name:"Coral",company:"Coral",homepage:"https://coralproject.net",category:"content",domains:["*.coral.coralproject.net"]},{name:"Bolt",homepage:"https://www.bolt.com/",category:"utility",domains:["*.bolt.com"]},{name:"Judge.me",homepage:"https://\
judge.me/",category:"marketing",domains:["*.judge.me"]},{name:"Tilda",homepage:"https://tilda.cc/",category:"hosting",domains:["*.tildacdn.com"]},{name:"SalesLoft",homepage:"https://salesloft.com/",category:"marketing",domains:["*.salesloft.com"]},{name:"Accessibe Accessibility Overlay",company:"Accessibe",homepage:"https://accessibe.com/",category:"utility",domains:["*.accessibe.com","*.acsbapp.com","*.acsbap.com"]},{name:"Builder",homepage:"https://www.builder.io/",category:"hosting",domains:["*.builder.io"]},{name:"Pepperjam",homepage:"https://www.pepperjam.com/",category:"marketing",domains:["*.pepperjam.com","*.affiliatetechnology.com"]},{name:"Reach",homepage:"https://withreach.com/",category:"utility",domains:["*.gointerpay.net"]},{name:"Chameleon",homepage:"https://www.trychameleon.com/",category:"marketing",domains:["*.trychameleon.com"]},{name:"Matomo",company:"InnoCraft",homepage:"https://matomo.org/",category:"analytics",domains:["*.matomo.cloud"]},{name:"Segmanta",homepage:"\
https://segmanta.com/",category:"marketing",domains:["*.segmanta.com"]},{name:"Podsights",homepage:"https://podsights.com/",category:"marketing",domains:["*.pdst.fm","us-central1-adaptive-growth.cloudfunctions.net"]},{name:"Chatwoot",homepage:"https://www.chatwoot.com/",category:"customer-success",domains:["*.chatwoot.com"]},{name:"Crisp",homepage:"https://crisp.chat/",category:"customer-success",domains:["*.crisp.chat"]},{name:"Admiral CMP",homepage:"https://www.getadmiral.com",category:"consent-provider",domains:["admiral.mgr.consensu.org","*.admiral.mgr.consensu.org"]},{name:"Adnuntius CMP",homepage:"https://adnuntius.com",category:"consent-provider",domains:["adnuntiusconsent.mgr.consensu.org","*.adnuntiusconsent.mgr.consensu.org"]},{name:"Clickio CMP",homepage:"https://clickio.com",category:"consent-provider",domains:["clickio.mgr.consensu.org","*.clickio.mgr.consensu.org"]},{name:"AppConsent CMP",homepage:"https://appconsent.io/en",category:"consent-provider",domains:["appconsent\
.mgr.consensu.org","*.appconsent.mgr.consensu.org"]},{name:"DMG Media CMP",homepage:"https://www.dmgmedia.co.uk",category:"consent-provider",domains:["dmgmedia.mgr.consensu.org","*.dmgmedia.mgr.consensu.org"]},{name:"Axel Springer CMP",homepage:"https://www.axelspringer.com",category:"consent-provider",domains:["axelspringer.mgr.consensu.org","*.axelspringer.mgr.consensu.org"]},{name:"Bedrock CMP",homepage:"https://www.bedrockstreaming.com",category:"consent-provider",domains:["bedrock.mgr.consensu.org","*.bedrock.mgr.consensu.org"]},{name:"BMIND CMP",homepage:"https://www.bmind.es",category:"consent-provider",domains:["bmind.mgr.consensu.org","*.bmind.mgr.consensu.org"]},{name:"Borlabs CMP",homepage:"https://borlabs.io",category:"consent-provider",domains:["borlabs.mgr.consensu.org","*.borlabs.mgr.consensu.org"]},{name:"Civic CMP",homepage:"https://www.civicuk.com",category:"consent-provider",domains:["cookiecontrol.mgr.consensu.org","*.cookiecontrol.mgr.consensu.org"]},{name:"Command\
ers Act CMP",homepage:"https://www.commandersact.com",category:"consent-provider",domains:["commandersact.mgr.consensu.org","*.commandersact.mgr.consensu.org"]},{name:"Complianz CMP",homepage:"https://complianz.io/",category:"consent-provider",domains:["complianz.mgr.consensu.org","*.complianz.mgr.consensu.org"]},{name:"Consent Desk CMP",homepage:"https://www.consentdesk.com/",category:"consent-provider",domains:["consentdesk.mgr.consensu.org","*.consentdesk.mgr.consensu.org"]},{name:"Consent Manager CMP",homepage:"https://consentmanager.net",category:"consent-provider",domains:["consentmanager.mgr.consensu.org","*.consentmanager.mgr.consensu.org"]},{name:"Conversant CMP",homepage:"https://www.conversantmedia.eu/",category:"consent-provider",domains:["conversant.mgr.consensu.org","*.conversant.mgr.consensu.org"]},{name:"Cookie Information CMP",homepage:"https://www.cookieinformation.com/",category:"consent-provider",domains:["cookieinformation.mgr.consensu.org","*.cookieinformation.mgr\
.consensu.org"]},{name:"Cookiebot CMP",homepage:"https://www.cookiebot.com",category:"consent-provider",domains:["cookiebot.mgr.consensu.org","*.cookiebot.mgr.consensu.org"]},{name:"Truendo CMP",homepage:"https://truendo.com/",category:"consent-provider",domains:["truendo.mgr.consensu.org","*.truendo.mgr.consensu.org"]},{name:"Dentsu CMP",homepage:"https://www.dentsuaegisnetwork.de/",category:"consent-provider",domains:["dan.mgr.consensu.org","*.dan.mgr.consensu.org"]},{name:"Didomi CMP",homepage:"https://www.didomi.io/en/",category:"consent-provider",domains:["didomi.mgr.consensu.org","*.didomi.mgr.consensu.org"]},{name:"Ensighten CMP",homepage:"https://www.ensighten.com/",category:"consent-provider",domains:["ensighten.mgr.consensu.org","*.ensighten.mgr.consensu.org"]},{name:"Evidon CMP",homepage:"https://evidon.com",category:"consent-provider",domains:["evidon.mgr.consensu.org","*.evidon.mgr.consensu.org"]},{name:"Ezoic CMP",homepage:"https://www.ezoic.com/",category:"consent-provid\
er",domains:["ezoic.mgr.consensu.org","*.ezoic.mgr.consensu.org"]},{name:"Gemius CMP",homepage:"https://www.gemius.com",category:"consent-provider",domains:["gemius.mgr.consensu.org","*.gemius.mgr.consensu.org"]},{name:"NitroPay CMP",homepage:"https://nitropay.com/",category:"consent-provider",domains:["nitropay.mgr.consensu.org","*.nitropay.mgr.consensu.org"]},{name:"Google FundingChoices",homepage:"https://fundingchoices.google.com/start/",category:"consent-provider",domains:["fundingchoices.mgr.consensu.org","*.fundingchoices.mgr.consensu.org","fundingchoicesmessages.google.com","*.fundingchoicesmessages.google.com"]},{name:"Gravito CMP",homepage:"https://www.gravito.net/",category:"consent-provider",domains:["gravito.mgr.consensu.org","*.gravito.mgr.consensu.org"]},{name:"ID Ward CMP",homepage:"https://id-ward.com/enterprise",category:"consent-provider",domains:["idward.mgr.consensu.org","*.idward.mgr.consensu.org"]},{name:"iubenda CMP",homepage:"https://www.iubenda.com",category:"\
consent-provider",domains:["iubenda.mgr.consensu.org","*.iubenda.mgr.consensu.org"]},{name:"Jump CMP",homepage:"https://jumpgroup.it/",category:"consent-provider",domains:["avacy.mgr.consensu.org","*.avacy.mgr.consensu.org"]},{name:"LiveRamp CMP",homepage:"https://liveramp.com/",category:"consent-provider",domains:["faktor.mgr.consensu.org","*.faktor.mgr.consensu.org"]},{name:"Madvertise CMP",homepage:"https://madvertise.com/en/",category:"consent-provider",domains:["madvertise.mgr.consensu.org","*.madvertise.mgr.consensu.org"]},{name:"Mairdumont Netletic CMP",homepage:"https://www.mairdumont-netletix.com/",category:"consent-provider",domains:["mdnxmp.mgr.consensu.org","*.mdnxmp.mgr.consensu.org"]},{name:"Marfeel CMP",homepage:"https://www.marfeel.com/",category:"consent-provider",domains:["marfeel.mgr.consensu.org","*.marfeel.mgr.consensu.org"]},{name:"Mediavine CMP",homepage:"https://www.mediavine.com/",category:"consent-provider",domains:["mediavine.mgr.consensu.org","*.mediavine.mg\
r.consensu.org"]},{name:"ConsentServe CMP",homepage:"https://www.consentserve.com/",category:"consent-provider",domains:["consentserve.mgr.consensu.org","*.consentserve.mgr.consensu.org"]},{name:"Next14 CMP",homepage:"https://www.next14.com/",category:"consent-provider",domains:["next14.mgr.consensu.org","*.next14.mgr.consensu.org"]},{name:"AdRoll CMP",homepage:"https://www.adroll.com/",category:"consent-provider",domains:["adroll.mgr.consensu.org","*.adroll.mgr.consensu.org"]},{name:"Ogury CMP",homepage:"https://www.ogury.com/",category:"consent-provider",domains:["ogury.mgr.consensu.org","*.ogury.mgr.consensu.org"]},{name:"OneTag CMP",homepage:"https://onetag.net",category:"consent-provider",domains:["onetag.mgr.consensu.org","*.onetag.mgr.consensu.org"]},{name:"OneTrust CMP",homepage:"https://onetrust.com",category:"consent-provider",domains:["onetrust.mgr.consensu.org","*.onetrust.mgr.consensu.org"]},{name:"optAd360 CMP",homepage:"https://www.optad360.com/",category:"consent-provid\
er",domains:["optad360.mgr.consensu.org","*.optad360.mgr.consensu.org"]},{name:"Osano CMP",homepage:"https://www.osano.com",category:"consent-provider",domains:["osano.mgr.consensu.org","*.osano.mgr.consensu.org"]},{name:"Playwire CMP",homepage:"https://www.playwire.com",category:"consent-provider",domains:["playwire.mgr.consensu.org","*.playwire.mgr.consensu.org"]},{name:"Pulselive CMP",homepage:"https://www.pulselive.com",category:"consent-provider",domains:["pulselive.mgr.consensu.org","*.pulselive.mgr.consensu.org"]},{name:"Quantcast Choice",homepage:"https://quantcast.com",category:"consent-provider",domains:["quantcast.mgr.consensu.org","*.quantcast.mgr.consensu.org"]},{name:"RCS Pubblicita CMP",homepage:"http://www.rcspubblicita.it/site/home.html",category:"consent-provider",domains:["rcsmediagroup.mgr.consensu.org","*.rcsmediagroup.mgr.consensu.org"]},{name:"Rich Audience CMP",homepage:"https://richaudience.com",category:"consent-provider",domains:["richaudience.mgr.consensu.or\
g","*.richaudience.mgr.consensu.org"]},{name:"Ringier Axel Springer CMP",homepage:"https://www.ringieraxelspringer.pl/en/home/",category:"consent-provider",domains:["rasp.mgr.consensu.org","*.rasp.mgr.consensu.org"]},{name:"Secure Privacy CMP",homepage:"https://secureprivacy.ai/",category:"consent-provider",domains:["secureprivacy.mgr.consensu.org","*.secureprivacy.mgr.consensu.org"]},{name:"Securiti CMP",homepage:"https://securiti.ai/",category:"consent-provider",domains:["securiti.mgr.consensu.org","*.securiti.mgr.consensu.org"]},{name:"Seznam.cz CMP",homepage:"https://www.seznam.cz/",category:"consent-provider",domains:["seznam.mgr.consensu.org","*.seznam.mgr.consensu.org"]},{name:"ShareThis CMP",homepage:"https://sharethis.com",category:"consent-provider",domains:["sharethis.mgr.consensu.org","*.sharethis.mgr.consensu.org"]},{name:"ShinyStat CMP",homepage:"https://www.shinystat.com",category:"consent-provider",domains:["shinystat.mgr.consensu.org","*.shinystat.mgr.consensu.org"]},{
name:"Sibbo CMP",homepage:"https://sibboventures.com/en/",category:"consent-provider",domains:["sibboventures.mgr.consensu.org","*.sibboventures.mgr.consensu.org"]},{name:"Singlespot CMP",homepage:"https://www.singlespot.com/en",category:"consent-provider",domains:["singlespot.mgr.consensu.org","*.singlespot.mgr.consensu.org"]},{name:"Sirdata CMP",homepage:"https://www.sirdata.com",category:"consent-provider",domains:["sddan.mgr.consensu.org","*.sddan.mgr.consensu.org"]},{name:"Snigel CMP",homepage:"https://snigel.com",category:"consent-provider",domains:["snigelweb.mgr.consensu.org","*.snigelweb.mgr.consensu.org"]},{name:"Sourcepoint CMP",homepage:"https://sourcepoint.com",category:"consent-provider",domains:["sourcepoint.mgr.consensu.org","*.sourcepoint.mgr.consensu.org"]},{name:"Pubtech CMP",homepage:"https://www.pubtech.ai/",category:"consent-provider",domains:["pubtech.mgr.consensu.org","*.pubtech.mgr.consensu.org"]},{name:"AdMetrics Pro CMP",homepage:"https://admetricspro.com",category:"\
consent-provider",domains:["cmp.mgr.consensu.org","*.cmp.mgr.consensu.org"]},{name:"Traffective CMP",homepage:"https://traffective.com",category:"consent-provider",domains:["traffective.mgr.consensu.org","*.traffective.mgr.consensu.org"]},{name:"UniConsent CMP",homepage:"https://www.uniconsent.com",category:"consent-provider",domains:["uniconsent.mgr.consensu.org","*.uniconsent.mgr.consensu.org","cmp.uniconsent.com","*.uniconsent.com"]},{name:"TrustArc CMP",homepage:"https://trustarc.com/",category:"consent-provider",domains:["trustarc.mgr.consensu.org","*.trustarc.mgr.consensu.org"]},{name:"Usercentrics CMP",homepage:"https://usercentrics.com",category:"consent-provider",domains:["usercentrics.mgr.consensu.org","*.usercentrics.mgr.consensu.org","*.usercentrics.eu","*.services.usercentrics.eu"]},{name:"WebAds CMP",homepage:"https://www.webads.nl/",category:"consent-provider",domains:["webads.mgr.consensu.org","*.webads.mgr.consensu.org"]},{name:"Trustcommander",company:"Commandersact",
homepage:"https://www.commandersact.com",category:"consent-provider",domains:["*.trustcommander.net"]},{name:"Hubvisor",homepage:"https://www.hubvisor.io",category:"ad",domains:["*.hubvisor.io"]},{name:"Castle",homepage:"https://castle.io",category:"utility",domains:["*.castle.io","d2t77mnxyo7adj.cloudfront.net"]},{name:"Wigzo",homepage:"https://www.wigzo.com/",category:"marketing",domains:["*.wigzo.com","*.wigzopush.com"]},{name:"Convertful",homepage:"https://convertful.com/",category:"marketing",domains:["*.convertful.com"]},{name:"OpenLink",company:"MediaWallah",homepage:"https://www.mediawallah.com/",category:"ad",domains:["*.mediawallahscript.com"]},{name:"TPMN",company:"TPMN",homepage:"http://tpmn.io/",category:"ad",domains:["*.tpmn.co.kr"]},{name:"HERO",company:"Klarna",homepage:"https://www.usehero.com/",category:"customer-success",domains:["*.usehero.com"]},{name:"Zync",company:"Zeta Global",homepage:"https://zetaglobal.com/",category:"marketing",domains:["*.rezync.com"]},{name:"\
AdFuel Video",company:"AdFuel",homepage:"https://goadfuel.com/",category:"ad",domains:["*.videoplayerhub.com"]},{name:"Prefix Box AI Search",company:"Prefix Box",homepage:"https://www.prefixbox.com/",category:"utility",domains:["*.prefixbox.com"]},{name:"SpeedSize Service Worker",company:"SpeedSize",homepage:"https://speedsize.com/",category:"utility",domains:["di6367dava8ow.cloudfront.net","d2d22nphq0yz8t.cloudfront.net"]},{name:"Vonage Video API",company:"Vonage",homepage:"https://www.vonage.com/communications-apis/video/",category:"video",domains:["*.opentok.com"]},{name:"Checkout.com",company:"Checkout.com",homepage:"https://www.checkout.com",category:"utility",domains:["*.checkout.com"]},{name:"Noibu",company:"Noibu",homepage:"https://www.noibu.com",category:"utility",domains:["*.noibu.com"]},{name:"Clarity",company:"Microsoft",homepage:"https://clarity.microsoft.com/",category:"utility",domains:["*.clarity.ms"]},{name:"goinstore",company:"Emplifi",homepage:"https://goinstore.com/",
category:"customer-success",domains:["*.goinstore.com"]},{name:"SegmentStream",company:"SegmentStream",homepage:"https://segmentstream.com/",category:"marketing",domains:["*.segmentstream.com"]},{name:"Amazon Associates",company:"Amazon",homepage:"https://affiliate-program.amazon.co.uk/",category:"marketing",domains:["*.associates-amazon.com"]},{name:"DotMetrics",company:"Ipsos",homepage:"https://www.dotmetrics.net/",category:"analytics",domains:["*.dotmetrics.net"]},{name:"Truffle Bid",company:"Truffle",homepage:"https://truffle.bid/",category:"ad",domains:["*.truffle.bid"]},{name:"Hybrid",company:"Hybrid",homepage:"https://hybrid.ai/",category:"ad",domains:["*.hybrid.ai"]},{name:"AdMan Media",company:"AdMan",homepage:"https://admanmedia.com/",category:"video",domains:["*.admanmedia.com"]},{name:"ID5 Identity Cloud",company:"ID5",homepage:"https://id5.io/",category:"ad",domains:["id5-sync.com","*.id5-sync.com"]},{name:"Audience Rate",company:"Audience Rate Limited",homepage:"https://w\
ww.audiencerate.com/",category:"ad",domains:["*.audrte.com"]},{name:"Seedtag",company:"Seedtag Advertising",homepage:"https://www.seedtag.com/",category:"ad",domains:["*.seedtag.com"]},{name:"IVI",company:"IVI Technologies",homepage:"http://ivitechnologies.com/",category:"ad",domains:["*.ivitrack.com"]},{name:"Sportradar",company:"Sportradar",homepage:"https://www.sportradar.com/",category:"ad",domains:["*.sportradarserving.com"]},{name:"ZEOTAP",company:"ZEOTAP",homepage:"https://zeotap.com/",category:"ad",domains:["*.zeotap.com"]},{name:"Web Content Assessor",company:"TMT Digital",homepage:"https://mediatrust.com/",category:"ad",domains:["*.webcontentassessor.com"]},{name:"Genie",company:"Media Force",homepage:"https://hellogenie.com/",category:"ad",domains:["*.mfadsrvr.com"]},{name:"mediarithmics",company:"mediarithmics",homepage:"https://www.mediarithmics.com/",category:"ad",domains:["*.mediarithmics.com"]},{name:"Ozone Project",company:"The Ozone Project",homepage:"https://www.ozon\
eproject.com/",category:"ad",domains:["*.the-ozone-project.com"]},{name:"FiftyAurora",company:"Fifty",homepage:"https://fifty.io/",category:"ad",domains:["*.fiftyt.com"]},{name:"smadex",company:"entravision",homepage:"https://smadex.com/",category:"ad",domains:["*.smadex.com"]},{name:"AWX",company:"Trinity Mirror",category:"ad",domains:["*.tm-awx.com"]},{name:"XPO",company:"Knorex",category:"ad",homepage:"https://www.knorex.com/",domains:["*.brand-display.com"]},{name:"Viafoura",company:"Viafoura",category:"ad",homepage:"https://viafoura.com/",domains:["*.viafoura.co","*.viafoura.net"]},{name:"Adnami",company:"Adnami",category:"ad",homepage:"https://www.adnami.io/",domains:["*.adnami.io"]},{name:"LiveRamp Privacy Manager",company:"LiveRamp",category:"ad",homepage:"https://liveramp.com/privacy-legal-compliance/",domains:["*.privacymanager.io"]},{name:"Onfocus",company:"Onfocus SAS",category:"ad",domains:["*.4dex.io"]},{name:"viewTag",company:"Advanced Store",category:"ad",domains:["*.ad\
4m.at"]},{name:"MRP Prelytics",company:"Market Resource Partners",category:"ad",homepage:"https://www.mrpfd.com/",domains:["*.mrpdata.net"]},{name:"iPROM",company:"iPROM",category:"ad",homepage:"https://iprom.eu/",domains:["*.iprom.net"]},{name:"Plausible",company:"Plausible",homepage:"https://plausible.io/",category:"analytics",domains:["*.plausible.io"]},{name:"Micro Analytics",company:"Micro Analytics",homepage:"https://microanalytics.io/",category:"analytics",domains:["padmin.microanalytics.io","www.microanalytics.io","dev.microanalytics.io","status.microanalytics.io"]},{name:"Scale8",company:"Scale8",homepage:"https://scale8.com/",category:"analytics",domains:["www.scale8.com","api-dev.scale8.com","cdn.scale8.com","ui.scale8.com"]},{name:"Cabin",company:"Cabin",homepage:"https://withcabin.com/",category:"analytics",domains:["*.withcabin.com"]},{name:"Appcues",company:"Appcues",homepage:"https://www.appcues.com/",category:"analytics",domains:["*.appcues.com"]},{name:"Fathom Analyti\
cs",company:"Fathom",homepage:"https://usefathom.com/",category:"analytics",domains:["*.usefathom.com"]},{name:"Clearbit",company:"Clearbit",homepage:"https://clearbit.com/",category:"analytics",domains:["*.clearbitjs.com","*.clearbitscripts.com","*.clearbit.com"]},{name:"G2",company:"G2",homepage:"https://www.g2.com/",category:"utility",domains:["*.g2.com","*.g2crowd.com"]},{name:"Navu",company:"Navu",homepage:"https://navu.co/",category:"ad",domains:["*.navu.co"]},{name:"InZynk",company:"InZynk",homepage:"https://inzynk.com/",category:"ad",domains:["*.inzynk.com","*.inzynk.io"]},{name:"Integrate",company:"Integrate",homepage:"https://www.integrate.com/",category:"ad",domains:["*.integrate.com","*.listenloop.com"]},{name:"Ad Lightning",company:"Boltive",homepage:"https://www.adlightning.com/",category:"ad",domains:["*.adlightning.com"]},{name:"GeoEdge",company:"GeoEdge",homepage:"https://www.geoedge.com/",category:"ad",domains:["*.geoedge.com","*.geoedge.be"]},{name:"Doofinder",company:"\
Doofinder",homepage:"https://www.doofinder.com/",category:"utility",domains:["cdn.doofinder.com"]},{name:"Revlifter",company:"Revlifter",homepage:"https://www.revlifter.com/",category:"utility",domains:["assets.revlifter.com"]},{name:"Didomi",company:"Didomi",homepage:"https://www.didomi.io/",category:"consent-provider",domains:["sdk.privacy-center.org","api.privacy-center.org"]},{name:"Pubperf Analytics",company:"Pubperf",homepage:"https://www.pubperf.com/",category:"analytics",domains:["*.pubperf.com"]}]});var a4=P((n4e,r4)=>{l();var{createAPIFromDataset:jce}=t4(),qce=n4();r4.exports=jce(qce)});var i4=P((a4e,o4)=>{l();o4.exports=a4()});function s4(e){return sT.default.getEntity(e)}function zce(e){return sT.default.getProduct(e)}function c4(e,t){let n=s4(e);return!(!n||n===t)}function Hce(e,t){return!c4(e,t)}var sT,ld,cT=g(()=>{"use strict";l();sT=Bt(i4(),1);s(s4,"getEntity");s(zce,"getProduct");s(c4,"isThirdParty");s(Hce,"isFirstParty");ld={getEntity:s4,getProduct:zce,isThirdParty:c4,isFirstParty:Hce}});var uT,mn,ga=g(()=>{"use strict";l();ye();nt();Nn();tt();cT();uT=class e{static{s(this,"EntityClassification")}static makeupChromeExtensionEntity_(t,n,r){let a=Ne.getChromeExtensionOrigin(n),o=new URL(a).host,i=r||o,c=t.get(a);if(c)return c;let u={name:i,company:i,category:"Chrome Extension",homepage:"https://chromewebstore.google.com/detail/"+o,categories:[],domains:[],averageExecutionTime:0,totalExecutionTime:0,totalOccurrences:0};return t.set(a,u),u}static _makeUpAnEntity(t,n){if(!K.isValid(n))return;let r=Ne.createOrReturnURL(n);if(r.protocol==="chrome-extension:")return e.makeupChromeExtensionEntity_(t,n);if(!r.protocol.startsWith("http"))return;let a=K.getRootDomain(n);if(!a)return;if(t.has(a))return t.get(a);let o={name:a,company:a,category:"",categories:[],domains:[a],averageExecutionTime:0,totalExecutionTime:0,totalOccurrences:0,isUnrecognized:!0};return t.set(a,o),o}static _preloadChromeExtensionsToCache(t,n){for(let r of n.values()){if(r.method!=="Runtime.executionContextCre\
ated")continue;let a=r.params.context.origin;a.startsWith("chrome-extension:")&&(t.has(a)||e.makeupChromeExtensionEntity_(t,a,r.params.context.name))}}static async compute_(t,n){let r=await ae.request(t.devtoolsLog,n),a=new Map,o=new Map,i=new Map;e._preloadChromeExtensionsToCache(a,t.devtoolsLog);for(let m of r){let{url:p}=m;if(o.has(p))continue;let h=ld.getEntity(p)||e._makeUpAnEntity(a,p);if(!h)continue;let f=i.get(h)||new Set;f.add(p),i.set(h,f),o.set(p,h)}let c=t.URL.mainDocumentUrl||t.URL.finalDisplayedUrl,u=ld.getEntity(c)||e._makeUpAnEntity(a,c);function d(m){return o.get(m)===u}return s(d,"isFirstParty"),{entityByUrl:o,urlsByEntity:i,firstParty:u,isFirstParty:d}}},mn=G(uT,["URL","devtoolsLog"])});var u4={};x(u4,{UIStrings:()=>zf,default:()=>Gce});var Wce,lT,zf,qf,dT,mT,Gce,l4=g(()=>{"use strict";l();na();$();Pn();ga();to();A();no();Hc();Wce=`{
  "moduleSizes": [11897, 498, 265, 277, 263, 453, 219, 216, 546, 339, 1608, 671, 1525, 420, 214, 504, 98, 524, 196, 268, 642, 204, 742, 618, 169, 394, 127, 433, 1473, 779, 239, 144, 182, 254, 77, 508, 124, 1388, 75, 133, 301, 362, 170, 1078, 182, 490, 195, 321, 316, 447, 551, 216, 284, 253, 17, 107, 295, 356, 345, 1939, 1596, 291, 139, 259, 1291, 179, 528, 174, 61, 326, 20, 444, 522, 104, 1945, 120, 1943, 680, 1409, 850, 630, 288, 38, 695, 569, 106, 587, 208, 370, 606, 766, 535, 616, 200, 170, 224, 422, 970, 978, 498, 284, 241, 210, 151, 194, 178, 814, 205, 189, 215, 111, 236, 147, 237, 191, 691, 212, 432, 499, 445, 176, 333, 129, 414, 617, 380, 251, 199, 524, 515, 681, 160, 259, 295, 283, 178, 472, 786, 520, 202, 575, 575, 349, 549, 458, 166, 173, 508, 1522, 743, 414, 431, 393, 899, 137, 270, 131, 472, 457, 205, 778, 801, 133, 3000],
  "dependencies": {
    "Array.prototype.fill": [0, 5, 8, 11, 21, 23, 25, 26, 29, 36, 37, 54, 55, 57, 58, 60, 66, 73, 74, 75, 76, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 114, 116],
    "Array.prototype.filter": [0, 11, 12, 13, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 57, 58, 60, 62, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 117],
    "Array.prototype.find": [0, 5, 11, 12, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 55, 57, 58, 60, 62, 64, 66, 73, 74, 75, 76, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 108, 114, 119],
    "Array.prototype.findIndex": [0, 5, 11, 12, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 55, 57, 58, 60, 62, 64, 66, 73, 74, 75, 76, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 108, 114, 118],
    "Array.prototype.forEach": [0, 9, 11, 12, 14, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 57, 58, 60, 62, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 120],
    "Array.from": [0, 10, 11, 19, 20, 21, 22, 23, 25, 26, 27, 29, 36, 37, 41, 46, 49, 50, 54, 57, 58, 60, 61, 64, 66, 72, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 121],
    "Array.isArray": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 62, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 122],
    "Array.prototype.map": [0, 11, 12, 13, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 57, 58, 60, 62, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 123],
    "Array.of": [0, 11, 21, 22, 23, 25, 26, 27, 29, 36, 37, 54, 57, 58, 60, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 124],
    "Array.prototype.some": [0, 11, 12, 14, 17, 18, 21, 22, 23, 25, 26, 29, 36, 37, 41, 46, 54, 57, 58, 60, 62, 64, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 114, 125],
    "Date.now": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 126],
    "Date.prototype.toISOString": [0, 11, 21, 22, 23, 25, 26, 28, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 98, 99, 101, 102, 103, 104, 108, 109, 114, 127],
    "Date.prototype.toJSON": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 128],
    "Date.prototype.toString": [0, 25, 26, 29, 54, 58, 60, 74, 94, 114, 129],
    "Function.prototype.name": [0, 130],
    "Number.isInteger": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 67, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 131],
    "Number.isSafeInteger": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 67, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 132],
    "Object.defineProperties": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 114, 133],
    "Object.defineProperty": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 134],
    "Object.freeze": [0, 7, 11, 15, 21, 23, 25, 26, 27, 29, 36, 37, 39, 54, 57, 58, 59, 60, 66, 73, 74, 75, 79, 80, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 136],
    "Object.getPrototypeOf": [0, 11, 21, 23, 24, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 83, 86, 88, 92, 94, 101, 102, 103, 104, 114, 138],
    "Object.isExtensible": [0, 7, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 139],
    "Object.isFrozen": [0, 7, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 140],
    "Object.isSealed": [0, 7, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 141],
    "Object.keys": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 114, 142],
    "Object.preventExtensions": [0, 7, 11, 15, 21, 23, 25, 26, 27, 29, 36, 37, 39, 54, 57, 58, 59, 60, 66, 73, 74, 75, 79, 80, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 143],
    "Object.seal": [0, 7, 11, 15, 21, 23, 25, 26, 27, 29, 36, 37, 39, 54, 57, 58, 59, 60, 66, 73, 74, 75, 79, 80, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 144],
    "Object.setPrototypeOf": [0, 4, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 89, 92, 94, 101, 102, 103, 104, 114, 145],
    "Reflect.apply": [0, 11, 21, 23, 25, 26, 29, 36, 37, 40, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 147],
    "Reflect.construct": [0, 3, 11, 16, 21, 22, 23, 25, 26, 29, 36, 37, 40, 43, 54, 55, 57, 58, 60, 64, 66, 73, 74, 75, 76, 77, 79, 81, 82, 86, 87, 88, 92, 94, 101, 102, 103, 104, 108, 114, 148],
    "Reflect.defineProperty": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 149],
    "Reflect.deleteProperty": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 150],
    "Reflect.get": [0, 11, 21, 23, 24, 25, 26, 29, 36, 37, 54, 57, 58, 60, 65, 66, 73, 74, 75, 79, 81, 82, 83, 86, 88, 92, 94, 101, 102, 103, 104, 114, 153],
    "Reflect.getOwnPropertyDescriptor": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 151],
    "Reflect.getPrototypeOf": [0, 11, 21, 23, 24, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 83, 86, 88, 92, 94, 101, 102, 103, 104, 114, 152],
    "Reflect.has": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 154],
    "Reflect.isExtensible": [0, 7, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 84, 86, 88, 92, 94, 101, 102, 103, 104, 114, 155],
    "Reflect.ownKeys": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 156],
    "Reflect.preventExtensions": [0, 11, 21, 23, 25, 26, 29, 36, 37, 39, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 157],
    "Reflect.setPrototypeOf": [0, 4, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 89, 92, 94, 101, 102, 103, 104, 114, 158],
    "String.prototype.codePointAt": [0, 11, 21, 22, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 97, 101, 102, 103, 104, 108, 109, 114, 159],
    "String.fromCodePoint": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 160],
    "String.raw": [0, 11, 21, 22, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 108, 109, 114, 161],
    "String.prototype.repeat": [0, 11, 21, 22, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 99, 101, 102, 103, 104, 108, 109, 114, 162],
    "Object.entries": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 87, 88, 90, 92, 94, 101, 102, 103, 104, 114, 135],
    "Object.getOwnPropertyDescriptors": [0, 11, 21, 23, 25, 26, 27, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 88, 92, 94, 101, 102, 103, 104, 114, 137],
    "Object.values": [0, 11, 21, 23, 25, 26, 29, 36, 37, 54, 57, 58, 60, 66, 73, 74, 75, 79, 81, 82, 86, 87, 88, 90, 92, 94, 101, 102, 103, 104, 114, 146],
    "focus-visible": [163]
  },
  "maxSize": 87683
}`,lT=JSON.parse(Wce),zf={title:"Avoid serving legacy JavaScript to modern browsers",description:"Polyfills and transforms enable legacy browsers to use new JavaScript features. However, many aren't necessary for modern browsers. For your bundled JavaScript, adopt a modern script deployment strategy using module/nomodule feature detection to reduce the amount of code shipped to modern browsers, while retaining support for legacy browsers. [Learn how to use modern JavaScript](https://web.dev/articles/publish-modern-javascript)"},qf=D("core/audits/byte-efficiency/legacy-javascript.js",zf),dT=class{static{s(this,"CodePatternMatcher")}constructor(t){let n=t.map(r=>`(${r.expression})`).join("|");this.re=new RegExp(`(^\r
|\r|
)|${n}`,"g"),this.patterns=t}match(t){this.re.lastIndex=0;let n=new Set,r=[],a,o=0,i=0;for(;(a=this.re.exec(t))!==null;){let c=a.slice(1),[u,...d]=c;if(u){o++,i=a.index+1;continue}let m=this.patterns[d.findIndex(Boolean)];if(n.has(m)){let p=r.find(h=>h.name===m.name);p&&(p.count+=1);continue}n.add(m),r.push({name:m.name,line:o,column:a.index-i,count:1})}return r}},mT=class extends be{static{s(this,"LegacyJavascript")}static get meta(){return{id:"legacy-javascript",scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,description:qf(zf.description),title:qf(zf.title),guidanceLevel:2,requiredArtifacts:["devtoolsLogs","traces","Scripts","SourceMaps","GatherContext","URL"]}}static buildPolyfillExpression(t,n){let r=s(o=>`['"]${o}['"]`,"qt"),a="";if(t?a+=`${t}\\.${n}\\s?=[^=]`:a+=`(?:window\\.|[\\s;]+)${n}\\s?=[^=]`,t&&(a+=`|${t}\\[${r(n)}\\]\\s?=[^=]`),a+=`|defineProperty\\(${t||"window"},\\s?${r(n)}`,t&&(a+=`|\\(${t},\\s*{${n}:.*},\\s*{${n}`),t){let o=t.replace(".prototype","");a+=`|\\$export\\(\
[^,]+,${r(o)},{${n}:`,a+=`|{target:${r(o)}\\S*},{${n}:`}else a+=`|function ${n}\\(`;return a}static getPolyfillData(){let t=[{name:"focus-visible",modules:["focus-visible"]}],n=[["Array.prototype.fill","es6.array.fill"],["Array.prototype.filter","es6.array.filter"],["Array.prototype.find","es6.array.find"],["Array.prototype.findIndex","es6.array.find-index"],["Array.prototype.forEach","es6.array.for-each"],["Array.from","es6.array.from"],["Array.isArray","es6.array.is-array"],["Array.prototype.map","es6.array.map"],["Array.of","es6.array.of"],["Array.prototype.some","es6.array.some"],["Date.now","es6.date.now"],["Date.prototype.toISOString","es6.date.to-iso-string"],["Date.prototype.toJSON","es6.date.to-json"],["Date.prototype.toString","es6.date.to-string"],["Function.prototype.name","es6.function.name"],["Number.isInteger","es6.number.is-integer"],["Number.isSafeInteger","es6.number.is-safe-integer"],["Object.defineProperties","es6.object.define-properties"],["Object.defineProperty",
"es6.object.define-property"],["Object.freeze","es6.object.freeze"],["Object.getPrototypeOf","es6.object.get-prototype-of"],["Object.isExtensible","es6.object.is-extensible"],["Object.isFrozen","es6.object.is-frozen"],["Object.isSealed","es6.object.is-sealed"],["Object.keys","es6.object.keys"],["Object.preventExtensions","es6.object.prevent-extensions"],["Object.seal","es6.object.seal"],["Object.setPrototypeOf","es6.object.set-prototype-of"],["Reflect.apply","es6.reflect.apply"],["Reflect.construct","es6.reflect.construct"],["Reflect.defineProperty","es6.reflect.define-property"],["Reflect.deleteProperty","es6.reflect.delete-property"],["Reflect.get","es6.reflect.get"],["Reflect.getOwnPropertyDescriptor","es6.reflect.get-own-property-descriptor"],["Reflect.getPrototypeOf","es6.reflect.get-prototype-of"],["Reflect.has","es6.reflect.has"],["Reflect.isExtensible","es6.reflect.is-extensible"],["Reflect.ownKeys","es6.reflect.own-keys"],["Reflect.preventExtensions","es6.reflect.prevent-exten\
sions"],["Reflect.setPrototypeOf","es6.reflect.set-prototype-of"],["String.prototype.codePointAt","es6.string.code-point-at"],["String.fromCodePoint","es6.string.from-code-point"],["String.raw","es6.string.raw"],["String.prototype.repeat","es6.string.repeat"],["Object.entries","es7.object.entries"],["Object.getOwnPropertyDescriptors","es7.object.get-own-property-descriptors"],["Object.values","es7.object.values"]];for(let[r,a]of n){let o=r.toLowerCase();t.push({name:r,modules:[a,a.replace("es6.","es.").replace("es7.","es.").replace("typed.","typed-array."),o],corejs:!0})}return t}static getCoreJsPolyfillData(){return this.getPolyfillData().filter(t=>t.corejs).map(t=>({name:t.name,coreJs2Module:t.modules[0],coreJs3Module:t.modules[1]}))}static getPolyfillPatterns(){let t=[];for(let{name:n}of this.getCoreJsPolyfillData()){let r=n.split("."),a=r.length>1?r.slice(0,r.length-1).join("."):null,o=r[r.length-1];t.push({name:n,expression:this.buildPolyfillExpression(a,o)})}return t}static getTransformPatterns(){
return[{name:"@babel/plugin-transform-classes",expression:"Cannot call a class as a function",estimateBytes:t=>150+t.count*17},{name:"@babel/plugin-transform-regenerator",expression:/regeneratorRuntime\(?\)?\.a?wrap/.source,estimateBytes:t=>t.count*80},{name:"@babel/plugin-transform-spread",expression:/\.apply\(void 0,\s?_toConsumableArray/.source,estimateBytes:t=>1169+t.count*20}]}static detectAcrossScripts(t,n,r,a){let o=new Map,i=this.getPolyfillData();for(let c of Object.values(n)){if(!c.content)continue;let u=t.match(c.content),d=a.find(m=>m.script.scriptId===c.scriptId);if(d)for(let{name:m,modules:p}of i){if(u.some(y=>y.name===m))continue;let h=d.rawMap.sources.find(y=>p.some(v=>y.endsWith(`/${v}.js`)||y.includes(`node_modules/${v}/`)));if(!h)continue;let f=d.map.mappings().find(y=>y.sourceURL===h);f?u.push({name:m,line:f.lineNumber,column:f.columnNumber,count:1}):u.push({name:m,line:0,column:0,count:1})}u.length&&o.set(c,u)}return o}static estimateWastedBytes(t){let n=t.filter(u=>!u.
name.startsWith("@")),r=t.filter(u=>u.name.startsWith("@")),a=0,o=new Set;for(let u of n){let d=lT.dependencies[u.name];if(d)for(let m of d)o.add(m)}a+=[...o].reduce((u,d)=>u+lT.moduleSizes[d],0),a=Math.min(a,lT.maxSize);let i=0;for(let u of r){let d=this.getTransformPatterns().find(m=>m.name===u.name);!d||!d.estimateBytes||(i+=d.estimateBytes(u))}return a+i}static async audit_(t,n,r){let a=t.devtoolsLogs[b.DEFAULT_PASS],o=await mn.request({URL:t.URL,devtoolsLog:a},r),i=await Rn.request(t,r),c=[],u=new dT([...this.getPolyfillPatterns(),...this.getTransformPatterns()]),d=new Map,m=this.detectAcrossScripts(u,t.Scripts,n,i);for(let[f,y]of m.entries()){let v=xs(d,f.url,t,n),w=Math.round(this.estimateWastedBytes(y)*v),E={url:f.url,wastedBytes:w,subItems:{type:"subitems",items:[]},totalBytes:0},T=i.find(S=>S.script.scriptId===f.scriptId);for(let S of y){let{name:C,line:F,column:L}=S,N={signal:C,location:be.makeSourceLocation(f.url,F,L,T)};E.subItems.items.push(N)}c.push(E)}let p=new Map;for(let f of c)
o.isFirstParty(f.url)&&p.set(f.url,f.wastedBytes);let h=[{key:"url",valueType:"url",subItemsHeading:{key:"location",valueType:"source-location"},label:qf(k.columnURL)},{key:null,valueType:"code",subItemsHeading:{key:"signal"},label:""},{key:"wastedBytes",valueType:"bytes",label:qf(k.columnWastedBytes)}];return{items:c,headings:h,wastedBytesByUrl:p}}},Gce=mT});var d4={};x(d4,{UIStrings:()=>Hf,default:()=>$ce});var Hf,dd,Vce,pT,$ce,m4=g(()=>{"use strict";l();Pn();tt();A();Hf={title:"Serve images in next-gen formats",description:"Image formats like WebP and AVIF often provide better compression than PNG or JPEG, which means faster downloads and less data consumption. [Learn more about modern image formats](https://developer.chrome.com/docs/lighthouse/performance/uses-webp-images/)."},dd=D("core/audits/byte-efficiency/modern-image-formats.js",Hf),Vce=8192,pT=class e extends be{static{s(this,"ModernImageFormats")}static get meta(){return{id:"modern-image-formats",title:dd(Hf.title),description:dd(Hf.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:3,requiredArtifacts:["OptimizedImages","devtoolsLogs","traces","URL","GatherContext","ImageElements"]}}static estimateWebPSizeFromDimensions(t){let n=t.naturalWidth*t.naturalHeight,r=2*1/10;return Math.round(n*r)}static estimateAvifSizeFromDimensions(t){let n=t.naturalWidth*t.
naturalHeight,r=2*1/12;return Math.round(n*r)}static estimateAvifSizeFromWebPAndJpegEstimates(t){if(!t.jpegSize||!t.webpSize)return;let n=t.jpegSize*5/10,r=t.webpSize*8/10;return n/2+r/2}static audit_(t){let n=t.URL.finalDisplayedUrl,r=t.OptimizedImages,a=t.ImageElements,o=new Map;a.forEach(d=>o.set(d.src,d));let i=[],c=[];for(let d of r){let m=o.get(d.url);if(d.failed){c.push(`Unable to decode ${K.getURLDisplayName(d.url)}`);continue}if(d.mimeType==="image/webp"||d.mimeType==="image/avif")continue;let p=d.jpegSize,h=d.webpSize,f=e.estimateAvifSizeFromWebPAndJpegEstimates({jpegSize:p,webpSize:h}),y=!0;if(typeof h>"u"){if(!m){c.push(`Unable to locate resource ${K.getURLDisplayName(d.url)}`);continue}if(!m.naturalDimensions)continue;let S=m.naturalDimensions.height,C=m.naturalDimensions.width;if(!C||!S)continue;h=e.estimateWebPSizeFromDimensions({naturalHeight:S,naturalWidth:C}),f=e.estimateAvifSizeFromDimensions({naturalHeight:S,naturalWidth:C}),y=!1}if(h===void 0||f===void 0)continue;let v=d.
originalSize-h,w=d.originalSize-f;if(w<Vce)continue;let E=K.elideDataURI(d.url),T=!K.originsMatch(n,d.url);i.push({node:m?be.makeNodeItem(m.node):void 0,url:E,fromProtocol:y,isCrossOrigin:T,totalBytes:d.originalSize,wastedBytes:w,wastedWebpBytes:v})}let u=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:dd(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:dd(k.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:dd(k.columnWastedBytes)}];return{warnings:c,items:i,headings:u}}},$ce=pT});var g4={};x(g4,{UIStrings:()=>Wf,default:()=>Kce});var Wf,md,fT,Yce,p4,f4,h4,hT,Kce,y4=g(()=>{"use strict";l();Pn();Ct();Hn();tt();A();Es();Nt();Wf={title:"Defer offscreen images",description:"Consider lazy-loading offscreen and hidden images after all critical resources have finished loading to lower time to interactive. [Learn how to defer offscreen images](https://developer.chrome.com/docs/lighthouse/performance/offscreen-images/)."},md=D("core/audits/byte-efficiency/offscreen-images.js",Wf),fT=100,Yce=3,p4=2048,f4=75,h4=50,hT=class e extends be{static{s(this,"OffscreenImages")}static get meta(){return{id:"offscreen-images",title:md(Wf.title),description:md(Wf.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,supportedModes:["navigation"],guidanceLevel:2,requiredArtifacts:["ImageElements","ViewportDimensions","GatherContext","devtoolsLogs","traces","URL"]}}static computeVisiblePixels(t,n){let r=n.innerWidth,a=n.innerHeight,o=Yce*n.innerHeight,i=Math.max(t.top,-1*fT),c=Math.
min(t.right,r+fT),u=Math.min(t.bottom,a+o),d=Math.max(t.left,-1*fT);return Math.max(c-d,0)*Math.max(u-i,0)}static computeWaste(t,n,r){let a=r.find(p=>p.url===t.src);if(!a||t.loading==="lazy"||t.loading==="eager")return null;let o=K.elideDataURI(t.src),i=t.displayedWidth*t.displayedHeight,c=this.computeVisiblePixels(t.clientRect,n),u=i===0?1:1-c/i,d=J.getResourceSizeOnNetwork(a),m=Math.round(d*u);return Number.isFinite(u)?{node:be.makeNodeItem(t.node),url:o,requestStartTime:a.networkRequestTime,totalBytes:d,wastedBytes:m,wastedPercent:100*u}:new Error(`Invalid image sizing information ${o}`)}static filterLanternResults(t,n){let r=n.pessimisticEstimate.nodeTimings,a=0,o=new Map;for(let[i,c]of r)i.type==="cpu"&&c.duration>=50?a=Math.max(a,c.startTime):i.type==="network"&&o.set(i.record.url,c.startTime);return t.filter(i=>i.wastedBytes<p4||i.wastedPercent<f4?!1:(o.get(i.url)||0)<a-h4)}static filterObservedResults(t,n){return t.filter(r=>r.wastedBytes<p4||r.wastedPercent<f4?!1:r.requestStartTime<
n/1e3-h4)}static async audit_(t,n,r){let a=t.ImageElements,o=t.ViewportDimensions,i=t.GatherContext,c=t.traces[be.DEFAULT_PASS],u=t.devtoolsLogs[be.DEFAULT_PASS],d=t.URL,m=[],p=new Map;for(let w of a){let E=e.computeWaste(w,o,n);if(E===null)continue;if(E instanceof Error){m.push(E.message),gt.captureException(E,{tags:{audit:this.meta.id},level:"warning"});continue}let T=p.get(E.url);(!T||T.wastedBytes>E.wastedBytes)&&p.set(E.url,E)}let h=r.settings,f,y=Array.from(p.values());try{let w={trace:c,devtoolsLog:u,gatherContext:i,settings:h,URL:d},E=await Hr.request(w,r),T=E;f=r.settings.throttlingMethod==="simulate"?e.filterLanternResults(y,T):e.filterObservedResults(y,E.timestamp)}catch(w){if(r.settings.throttlingMethod==="simulate")throw w;f=e.filterObservedResults(y,await Ce.request(c,r).then(E=>E.timestamps.traceEnd))}let v=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:md(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:md(k.columnResourceSize)},{key:"wa\
stedBytes",valueType:"bytes",label:md(k.columnWastedBytes)}];return{warnings:m,items:f,headings:v}}},Kce=hT});var Ss,gT,Cs,Gf=g(()=>{"use strict";l();ye();nt();Nn();no();Ss=100,gT=class e{static{s(this,"UnusedCSS")}static indexStylesheetsById(t,n){let r=n.filter(a=>a.resourceSize>0).reduce((a,o)=>(a[o.url]=o,a),{});return t.reduce((a,o)=>(a[o.header.styleSheetId]=Object.assign({usedRules:[],networkRecord:r[o.header.sourceURL]},o),a),{})}static indexUsedRules(t,n){t.forEach(r=>{let a=n[r.styleSheetId];a&&r.used&&a.usedRules.push(r)})}static computeUsage(t){let n=0,r=t.content.length;for(let c of t.usedRules)n+=c.endOffset-c.startOffset;let a=sd(t.networkRecord,r,"Stylesheet"),o=(r-n)/r;return{wastedBytes:Math.round(o*a),wastedPercent:o*100,totalBytes:a}}static determineContentPreview(t){let n=Ne.truncate(t||"",Ss*5,"").replace(/( {2,}|\t)+/g,"  ").replace(/\n\s+}/g,`
}`).trim();if(n.length>Ss){let r=n.indexOf("{"),a=n.indexOf("}");if(r===-1||a===-1||r>a||r>Ss)n=Ne.truncate(n,Ss);else if(a<Ss)n=n.slice(0,a+1)+" …";else{let o=Ne.truncate(n,Ss,""),i=o.lastIndexOf(";");n=i<r?o+"… } …":n.slice(0,i+1)+" … } …"}}return n}static mapSheetToResult(t){let n=t.header.sourceURL;(!n||t.header.isInline)&&(n=e.determineContentPreview(t.content));let r=e.computeUsage(t);return{url:n,...r}}static async compute_(t,n){let{CSSUsage:r,Stylesheets:a,devtoolsLog:o}=t,i=await ae.request(o,n),c=e.indexStylesheetsById(a,i);return e.indexUsedRules(r,c),Object.keys(c).map(d=>e.mapSheetToResult(c[d]))}},Cs=G(gT,["Stylesheets","CSSUsage","devtoolsLog"])});var yT,v4,b4=g(()=>{"use strict";l();ye();Nt();qu();yT=class{static{s(this,"NavigationInsights")}static async compute_(t,n){let r=await Ce.request(t,n),a=await Ya.request({trace:t},n),o=r.timeOriginEvt.args.data?.navigationId;if(!o)throw new Error("No navigationId found");let i=a.insights.get(o);if(!i)throw new Error("No navigations insights found");return i}},v4=G(yT,null)});var D4={};x(D4,{UIStrings:()=>Vf,default:()=>Qce});function Xce(e){let t=new Map;for(let[n,r]of e)n.type==="network"&&t.set(n.record.requestId,{node:n,nodeTiming:r});return t}function Zce(e,t,n){let r=e.get(t);if(!r)return;let a=w4(t,r,n);r.duration-a.duration&&(t.traverse(i=>{e.delete(i)}),e.set(t,a))}function w4(e,t,n){let r={...t};return n.some(a=>a.id==="amp")&&e.type===Be.TYPES.NETWORK&&e.record.resourceType===J.TYPES.Stylesheet&&t.endTime>2100&&(r.endTime=Math.max(t.startTime,2100),r.duration=r.endTime-r.startTime),r}var Jce,Vf,ks,vT,Qce,E4=g(()=>{"use strict";l();$();A();jn();Gf();Ct();Ar();ed();od();b4();Jce=50,Vf={title:"Eliminate render-blocking resources",description:"Resources are blocking the first paint of your page. Consider delivering critical JS/CSS inline and deferring all non-critical JS/styles. [Learn how to eliminate render-blocking resources](https://developer.chrome.com/docs/lighthouse/performance/render-blocking-resources/)."},ks=D("core/audits/byte-efficiency/r\
ender-blocking-resources.js",Vf);s(Xce,"getNodesAndTimingByRequestId");s(Zce,"adjustNodeTimings");s(w4,"computeStackSpecificTiming");vT=class e extends b{static{s(this,"RenderBlockingResources")}static get meta(){return{id:"render-blocking-resources",title:ks(Vf.title),supportedModes:["navigation"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,description:ks(Vf.description),guidanceLevel:2,requiredArtifacts:["URL","traces","devtoolsLogs","Stylesheets","CSSUsage","GatherContext","Stacks"]}}static async computeResults(t,n){let r=t.GatherContext,a=t.traces[b.DEFAULT_PASS],o=t.devtoolsLogs[b.DEFAULT_PASS],i={devtoolsLog:o,settings:n.settings},c=await Zt.request(i,n),u=await e.computeWastedCSSBytes(t,n),m=(await v4.request(a,n)).RenderBlocking;if(m instanceof Error)throw m;let p={...n.settings,throttlingMethod:"simulate"},h={trace:a,devtoolsLog:o,gatherContext:r,simulator:c,settings:p,URL:t.URL},f=await Xa.request(h,n),y=Xce(f.optimisticEstimate.nodeTimings),v=[],w=new Set;for(let S of m.
renderBlockingRequests){let C=y.get(S.args.data.requestId);if(!C)continue;let{node:F,nodeTiming:L}=C,N=w4(F,L,t.Stacks);F.traverse(ee=>w.add(ee.id));let W=Math.round(N.duration);W<Jce||v.push({url:S.args.data.url,totalBytes:S.args.data.encodedDataLength,wastedMs:W})}if(!v.length)return{results:v,fcpWastedMs:0,lcpWastedMs:0};let E=e.estimateSavingsWithGraphs(c,f.optimisticGraph,w,u,t.Stacks),T=await eo.request(h,n);return{results:v,fcpWastedMs:E,lcpWastedMs:T?0:E}}static estimateSavingsWithGraphs(t,n,r,a,o){let{nodeTimings:i}=t.simulate(n),c=new Map(i),u=0,d=n.cloneWithRelationships(y=>{Zce(c,y,o);let v=r.has(y.id);if(y.type!==Be.TYPES.NETWORK)return!v;let w=y.record.resourceType===J.TYPES.Stylesheet;if(v&&w){let E=a.get(y.record.url)||0;u+=(y.record.transferSize||0)-E}return!v});if(d.type!=="network")throw new Error("minimalFCPGraph not a NetworkNode");let m=Math.max(...Array.from(Array.from(c).map(y=>y[1].endTime))),p=d.record.transferSize,h=p||0;d.request.transferSize=h+u;let f=t.simulate(
d).timeInMs;return d.request.transferSize=p,Math.round(Math.max(m-f,0))}static async computeWastedCSSBytes(t,n){let r=new Map;try{let a=await Cs.request({Stylesheets:t.Stylesheets,CSSUsage:t.CSSUsage,devtoolsLog:t.devtoolsLogs[b.DEFAULT_PASS]},n);for(let o of a)r.set(o.url,o.wastedBytes)}catch{}return r}static async audit(t,n){let{results:r,fcpWastedMs:a,lcpWastedMs:o}=await e.computeResults(t,n),i;r.length>0&&(i=ks(k.displayValueMsSavings,{wastedMs:a}));let c=[{key:"url",valueType:"url",label:ks(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:ks(k.columnTransferSize)},{key:"wastedMs",valueType:"timespanMs",label:ks(k.columnWastedMs)}],u=b.makeOpportunityDetails(c,r,{overallSavingsMs:a});return{displayValue:i,score:r.length?0:1,numericValue:a,numericUnit:"millisecond",details:u,metricSavings:{FCP:a,LCP:o}}}},Qce=vT});var T4={};x(T4,{UIStrings:()=>Rs,default:()=>eue});var Rs,Fs,bT,eue,x4=g(()=>{"use strict";l();$();A();Ct();nt();Nn();Rs={title:"Avoids enormous network payloads",failureTitle:"Avoid enormous network payloads",description:"Large network payloads cost users real money and are highly correlated with long load times. [Learn how to reduce payload sizes](https://developer.chrome.com/docs/lighthouse/performance/total-byte-weight/).",displayValue:"Total size was {totalBytes, number, bytes} KiB"},Fs=D("core/audits/byte-efficiency/total-byte-weight.js",Rs),bT=class extends b{static{s(this,"TotalByteWeight")}static get meta(){return{id:"total-byte-weight",title:Fs(Rs.title),failureTitle:Fs(Rs.failureTitle),description:Fs(Rs.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:1,requiredArtifacts:["devtoolsLogs"]}}static get defaultOptions(){return{p10:2667*1024,median:4e3*1024}}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=await ae.request(r,n),o=0,i=[];a.
forEach(m=>{if(J.isNonNetworkRequest(m)||!m.transferSize)return;let p={url:m.url,totalBytes:m.transferSize};o+=p.totalBytes,i.push(p)}),i=i.sort((m,p)=>p.totalBytes-m.totalBytes||m.url.localeCompare(p.url)).slice(0,10);let c=b.computeLogNormalScore({p10:n.options.p10,median:n.options.median},o),u=[{key:"url",valueType:"url",label:Fs(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:Fs(k.columnTransferSize)}],d=b.makeTableDetails(u,i,{sortedBy:["totalBytes"]});return{score:c,scoreDisplayMode:c>=Ne.PASS_THRESHOLD?b.SCORING_MODES.INFORMATIVE:void 0,numericValue:o,numericUnit:"byte",displayValue:Fs(Rs.displayValue,{totalBytes:o}),details:d}}},eue=bT});function rue(e,t){for(let n=t;n>0;n--){let r=Math.max(0,n-6),a=e.slice(r,n);if(!nue.test(a))return tue.test(a)}return!0}function S4(e,t){let n=0,r=!1,a=!1,o=!1,i=!1,c=!1,u=!1,d=null,m=[];for(let p=0;p<e.length;p++){let h=e.substr(p,2),f=h.charAt(0),y=f===" "||f===`
`||f==="	",v=f==="'"||f==='"'||f==="`";r?f===`
`&&(r=!1):a?(o&&n++,h==="*/"&&(o&&n++,a=!1,p++)):i?(n++,d==="`"&&h==="${"?(m.push("templateBrace"),i=!1,n++,p++):f==="\\"?(n++,p++):f===d&&(i=!1)):c?(n++,f==="\\"?(n++,p++):f==="["?u=!0:f==="]"&&u?u=!1:f==="/"&&!u&&(c=!1)):h==="/*"?(a=!0,o=e.charAt(p+2)==="!",o&&(n+=2),p++):h==="//"&&t.singlelineComments?(r=!0,a=!1,o=!1,p++):f==="/"&&t.regex&&rue(e,p)?(c=!0,n++):f==="{"&&m.length?(m.push("normalBrace"),n++):f==="}"&&m.length?(m[m.length-1]==="templateBrace"&&(i=!0,d="`"),m.pop(),n++):v?(i=!0,d=f,n++):y||n++}return a||i?e.length:n}function C4(e){return S4(e,{singlelineComments:!0,regex:!0})}function k4(e){return S4(e,{singlelineComments:!1,regex:!1})}var tue,nue,wT=g(()=>{"use strict";l();tue=/(return|case|else|{|\(|\[|\.\.\.|;|,|<|>|<=|>=|==|!=|===|!==|\+|-|\*|%|\*\*|\+\+|--|<<|>>|>>>|&|\||\^|!|~|&&|\|\||\?|:|=|\+=|-=|\*=|%=|\*\*=|<<=|>>=|>>>=|&=|\|=|\^=|=>|\/|\/=|\})$/,nue=/( |\n|\t)+$/;s(rue,"hasPunctuatorBefore");s(S4,"computeTokenLength");s(C4,"computeJSTokenLength");s(k4,"computeC\
SSTokenLength")});var F4={};x(F4,{UIStrings:()=>$f,default:()=>iue});var $f,pd,aue,oue,DT,iue,R4=g(()=>{"use strict";l();Pn();Gf();A();wT();no();$f={title:"Minify CSS",description:"Minifying CSS files can reduce network payload sizes. [Learn how to minify CSS](https://developer.chrome.com/docs/lighthouse/performance/unminified-css/)."},pd=D("core/audits/byte-efficiency/unminified-css.js",$f),aue=5,oue=2048,DT=class e extends be{static{s(this,"UnminifiedCSS")}static get meta(){return{id:"unminified-css",title:pd($f.title),description:pd($f.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:3,requiredArtifacts:["Stylesheets","devtoolsLogs","traces","URL","GatherContext"]}}static computeTokenLength(t){return k4(t)}static computeWaste(t,n){let r=t.content,a=e.computeTokenLength(r),o=t.header.sourceURL;(!o||t.header.isInline)&&(o=Cs.determineContentPreview(t.content));let i=W6(n,r.length,"Stylesheet"),c=1-a/r.length,u=Math.round(i*c);return{url:o,totalBytes:i,wastedBytes:u,wastedPercent:100*
c}}static audit_(t,n){let r=[];for(let o of t.Stylesheets){let i=n.find(u=>u.url===o.header.sourceURL);if(!o.content)continue;let c=e.computeWaste(o,i);c.wastedPercent<aue||c.wastedBytes<oue||!Number.isFinite(c.wastedBytes)||r.push(c)}let a=[{key:"url",valueType:"url",label:pd(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:pd(k.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:pd(k.columnWastedBytes)}];return{items:r,headings:a}}},iue=DT});var A4={};x(A4,{UIStrings:()=>Yf,default:()=>uue});var Yf,fd,sue,cue,ET,uue,_4=g(()=>{"use strict";l();Pn();A();wT();no();Nn();Yf={title:"Minify JavaScript",description:"Minifying JavaScript files can reduce payload sizes and script parse time. [Learn how to minify JavaScript](https://developer.chrome.com/docs/lighthouse/performance/unminified-javascript/)."},fd=D("core/audits/byte-efficiency/unminified-javascript.js",Yf),sue=10,cue=2048,ET=class e extends be{static{s(this,"UnminifiedJavaScript")}static get meta(){return{id:"unminified-javascript",title:fd(Yf.title),description:fd(Yf.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:3,requiredArtifacts:["Scripts","devtoolsLogs","traces","GatherContext","URL"]}}static computeWaste(t,n,r){let a=t.length,o=C4(t),i=sd(r,a,"Script"),c=1-o/a,u=Math.round(i*c);return{url:n,totalBytes:i,wastedBytes:u,wastedPercent:100*c}}static audit_(t,n){let r=[],a=[];for(let i of t.Scripts){if(!i.content)continue;let c=rT(n,i),u=Bf(
i)?`inline: ${Ne.truncate(i.content,40)}`:i.url;try{let d=e.computeWaste(i.content,u,c);if(d.wastedPercent<sue||d.wastedBytes<cue||!Number.isFinite(d.wastedBytes))continue;r.push(d)}catch(d){a.push(`Unable to process script ${i.url}: ${d.message}`)}}let o=[{key:"url",valueType:"url",label:fd(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:fd(k.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:fd(k.columnWastedBytes)}];return{items:r,warnings:a,headings:o}}},uue=ET});var I4={};x(I4,{UIStrings:()=>Kf,default:()=>due});var Kf,hd,lue,TT,due,M4=g(()=>{"use strict";l();Pn();Gf();A();Kf={title:"Reduce unused CSS",description:"Reduce unused rules from stylesheets and defer CSS not used for above-the-fold content to decrease bytes consumed by network activity. [Learn how to reduce unused CSS](https://developer.chrome.com/docs/lighthouse/performance/unused-css-rules/)."},hd=D("core/audits/byte-efficiency/unused-css-rules.js",Kf),lue=10*1024,TT=class extends be{static{s(this,"UnusedCSSRules")}static get meta(){return{id:"unused-css-rules",title:hd(Kf.title),description:hd(Kf.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:1,requiredArtifacts:["Stylesheets","CSSUsage","URL","devtoolsLogs","traces","GatherContext"]}}static async audit_(t,n,r){let o=(await Cs.request({Stylesheets:t.Stylesheets,CSSUsage:t.CSSUsage,devtoolsLog:t.devtoolsLogs[be.DEFAULT_PASS]},r)).filter(c=>c&&c.wastedBytes>lue),i=[{key:"url",valueType:"url",label:hd(k.
columnURL)},{key:"totalBytes",valueType:"bytes",label:hd(k.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:hd(k.columnWastedBytes)}];return{items:o,headings:i}}},due=TT});var xT,Jf,ST=g(()=>{"use strict";l();ye();xT=class e{static{s(this,"UnusedJavascriptSummary")}static computeWaste(t){let n=0;for(let o of t.functions)n=Math.max(n,...o.ranges.map(i=>i.endOffset));let r=new Uint8Array(n);for(let o of t.functions)for(let i of o.ranges)if(i.count===0)for(let c=i.startOffset;c<i.endOffset;c++)r[c]=1;let a=0;for(let o of r)a+=o;return{unusedByIndex:r,unusedLength:a,contentLength:n}}static createItem(t,n){let r=n.unusedLength/n.contentLength||0,a=Math.round(n.contentLength*r);return{scriptId:t,totalBytes:n.contentLength,wastedBytes:a,wastedPercent:100*r}}static createSourceWastedBytes(t,n){if(!n.script.content)return;let r={},a=n.script.content.split(`
`).map(d=>d.length),o=0,i=a.map(d=>{let m=o;return o+=d+1,m});n.map.computeLastGeneratedColumns();for(let d of n.map.mappings()){let m=i[d.lineNumber];m+=d.columnNumber;let p=d.lastColumnNumber!==void 0?d.lastColumnNumber-1:a[d.lineNumber];for(let h=d.columnNumber;h<=p;h++){if(t.unusedByIndex[m]===1){let f=d.sourceURL||"(unmapped)";r[f]=(r[f]||0)+1}m+=1}}let c=Object.entries(r).sort(([d,m],[p,h])=>h-m),u={};for(let[d,m]of c)u[d]=m;return u}static async compute_(t){let{scriptId:n,scriptCoverage:r,bundle:a}=t,o=e.computeWaste(r),i=e.createItem(n,o);return a?{...i,sourcesWastedBytes:e.createSourceWastedBytes(o,a)}:i}},Jf=G(xT,["bundle","scriptCoverage","scriptId"])});var N4={};x(N4,{UIStrings:()=>Xf,default:()=>gue});function fue(e){if(!e.length)return"";let t=e.reduce((r,a)=>r>a?r:a),n=e.reduce((r,a)=>r>a?a:r);for(;!t.startsWith(n);)n=n.slice(0,-1);return n}function hue(e,t){return t&&e.startsWith(t)?"…"+e.slice(t.length):e}var Xf,gd,mue,pue,CT,gue,P4=g(()=>{"use strict";l();Pn();ST();to();A();no();Xf={title:"Reduce unused JavaScript",description:"Reduce unused JavaScript and defer loading scripts until they are required to decrease bytes consumed by network activity. [Learn how to reduce unused JavaScript](https://developer.chrome.com/docs/lighthouse/performance/unused-javascript/)."},gd=D("core/audits/byte-efficiency/unused-javascript.js",Xf),mue=20*1024,pue=512;s(fue,"commonPrefix");s(hue,"trimCommonPrefix");CT=class extends be{static{s(this,"UnusedJavaScript")}static get meta(){return{id:"unused-javascript",title:gd(Xf.title),description:gd(Xf.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:1,requiredArtifacts:["J\
sUsage","Scripts","SourceMaps","GatherContext","devtoolsLogs","traces","URL"]}}static async audit_(t,n,r){let a=await Rn.request(t,r),{unusedThreshold:o=mue,bundleSourceUnusedThreshold:i=pue}=r.options||{},c=new Map,u=[];for(let[d,m]of Object.entries(t.JsUsage)){let p=t.Scripts.find(E=>E.scriptId===d);if(!p)continue;let h=a.find(E=>E.script.scriptId===d),f=await Jf.request({scriptId:d,scriptCoverage:m,bundle:h},r);if(f.wastedBytes===0||f.totalBytes===0)continue;let y=xs(c,p.url,t,n),v={url:p.url,totalBytes:Math.round(y*f.totalBytes),wastedBytes:Math.round(y*f.wastedBytes),wastedPercent:f.wastedPercent};if(v.wastedBytes<=o||(u.push(v),!h||"errorMessage"in h.sizes))continue;let w=h.sizes;if(f.sourcesWastedBytes){let E=Object.entries(f.sourcesWastedBytes).sort((S,C)=>C[1]-S[1]).slice(0,5).map(([S,C])=>{let F=S==="(unmapped)"?w.unmappedBytes:w.files[S];return{source:S,unused:Math.round(C*y),total:Math.round(F*y)}}).filter(S=>S.unused>=i),T=fue(h.map.sourceURLs());v.subItems={type:"subitems",
items:E.map(({source:S,unused:C,total:F})=>({source:hue(S,T),sourceBytes:F,sourceWastedBytes:C}))}}}return{items:u,headings:[{key:"url",valueType:"url",subItemsHeading:{key:"source",valueType:"code"},label:gd(k.columnURL)},{key:"totalBytes",valueType:"bytes",subItemsHeading:{key:"sourceBytes"},label:gd(k.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",subItemsHeading:{key:"sourceWastedBytes"},label:gd(k.columnWastedBytes)}]}}},gue=CT});var O4=P((WBe,L4)=>{l();L4.exports=s(function(t){if(typeof t!="string")return null;var n=/(?:^|(?:\s*\,\s*))([^\x00-\x20\(\)<>@\,;\:\\"\/\[\]\?\=\{\}\x7F]+)(?:\=(?:([^\x00-\x20\(\)<>@\,;\:\\"\/\[\]\?\=\{\}\x7F]+)|(?:\"((?:[^"\\]|\\.)*)\")))?/g,r={},a=t.replace(n,function(i,c,u,d){var m=u||d;return r[c]=m?m.toLowerCase():!0,""});if(r["max-age"])try{var o=parseInt(r["max-age"],10);if(isNaN(o))return null;r["max-age"]=o}catch{}return a?null:r},"parseCacheControl")});var U4={};x(U4,{UIStrings:()=>As,default:()=>vue});var B4,As,ei,yue,kT,vue,j4=g(()=>{"use strict";l();B4=Bt(O4(),1);$();Ct();tt();_1();A();nt();As={title:"Uses efficient cache policy on static assets",failureTitle:"Serve static assets with an efficient cache policy",description:"A long cache lifetime can speed up repeat visits to your page. [Learn more about efficient cache policies](https://developer.chrome.com/docs/lighthouse/performance/uses-long-cache-ttl/).",displayValue:`{itemCount, plural,
    =1 {1 resource found}
    other {# resources found}
    }`},ei=D("core/audits/byte-efficiency/uses-long-cache-ttl.js",As),yue=.925,kT=class e extends b{static{s(this,"CacheHeaders")}static get meta(){return{id:"uses-long-cache-ttl",title:ei(As.title),failureTitle:ei(As.failureTitle),description:ei(As.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:3,requiredArtifacts:["devtoolsLogs"]}}static get defaultOptions(){return{p10:28*1024,median:128*1024}}static getCacheHitProbability(t){let n=[0,.2,1,3,8,12,24,48,72,168,8760,1/0];if(n.length!==12)throw new Error("deciles 0-10 and 1 for overflow");let r=t/3600,a=n.findIndex(d=>d>=r);if(a===n.length-1)return 1;if(a===0)return 0;let o=n[a],i=n[a-1],c=a/10,u=(a-1)/10;return _A(i,u,o,c,r)}static computeCacheLifetimeInSeconds(t,n){if(n&&n["max-age"]!==void 0)return n["max-age"];let r=t.get("expires");if(r){let a=new Date(r).getTime();return a?Math.ceil((a-Date.now())/1e3):0}return null}static isCacheableAsset(t){let n=new Set([200,203,206]),r=new Set([J.TYPES.Font,J.TYPES.
Image,J.TYPES.Media,J.TYPES.Script,J.TYPES.Stylesheet]);return J.isNonNetworkRequest(t)?!1:n.has(t.statusCode)&&r.has(t.resourceType||"Other")}static shouldSkipRecord(t,n){return!!(!n&&(t.get("pragma")||"").includes("no-cache")||n&&(n["must-revalidate"]||n["no-cache"]||n["no-store"]||n["stale-while-revalidate"]||n.private))}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=await ae.request(r,n),o=[],i=0;for(let d of a){if(!e.isCacheableAsset(d))continue;let m=new Map;for(let T of d.responseHeaders||[])if(m.has(T.name.toLowerCase())){let S=m.get(T.name.toLowerCase());m.set(T.name.toLowerCase(),`${S}, ${T.value}`)}else m.set(T.name.toLowerCase(),T.value);let p=(0,B4.default)(m.get("cache-control"));if(this.shouldSkipRecord(m,p))continue;let h=e.computeCacheLifetimeInSeconds(m,p);if(h!==null&&(!Number.isFinite(h)||h<=0))continue;h=h||0;let f=e.getCacheHitProbability(h);if(f>yue)continue;let y=K.elideDataURI(d.url),v=d.transferSize||0,w=(1-f)*v;i+=w;let E;p&&(E={type:"debugdat\
a",...p}),o.push({url:y,debugData:E,cacheLifetimeMs:h*1e3,cacheHitProbability:f,totalBytes:v,wastedBytes:w})}o.sort((d,m)=>d.cacheLifetimeMs-m.cacheLifetimeMs||m.totalBytes-d.totalBytes||d.url.localeCompare(m.url));let c=[{key:"url",valueType:"url",label:ei(k.columnURL)},{key:"cacheLifetimeMs",valueType:"ms",label:ei(k.columnCacheTTL),displayUnit:"duration"},{key:"totalBytes",valueType:"bytes",label:ei(k.columnTransferSize),displayUnit:"kb",granularity:1}],u=b.makeTableDetails(c,o,{wastedBytes:i,sortedBy:["totalBytes"],skipSumming:["cacheLifetimeMs"]});return{score:o.length?0:1,numericValue:i,numericUnit:"byte",displayValue:ei(As.displayValue,{itemCount:o.length}),details:u}}},vue=kT});var q4={};x(q4,{UIStrings:()=>Zf,default:()=>wue});var Zf,yd,bue,FT,wue,z4=g(()=>{"use strict";l();Pn();tt();A();Zf={title:"Efficiently encode images",description:"Optimized images load faster and consume less cellular data. [Learn how to efficiently encode images](https://developer.chrome.com/docs/lighthouse/performance/uses-optimized-images/)."},yd=D("core/audits/byte-efficiency/uses-optimized-images.js",Zf),bue=4096,FT=class e extends be{static{s(this,"UsesOptimizedImages")}static get meta(){return{id:"uses-optimized-images",title:yd(Zf.title),description:yd(Zf.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:2,requiredArtifacts:["OptimizedImages","ImageElements","GatherContext","devtoolsLogs","traces","URL"]}}static computeSavings(t){let n=t.originalSize-t.jpegSize,r=100*n/t.originalSize;return{bytes:n,percent:r}}static estimateJPEGSizeFromDimensions(t){let n=t.naturalWidth*t.naturalHeight,r=2*1/8;return Math.round(n*r)}static audit_(t){let n=t.URL.finalDisplayedUrl,
r=t.OptimizedImages,a=t.ImageElements,o=new Map;a.forEach(d=>o.set(d.src,d));let i=[],c=[];for(let d of r){let m=o.get(d.url);if(d.failed){c.push(`Unable to decode ${K.getURLDisplayName(d.url)}`);continue}else if(/(jpeg|bmp)/.test(d.mimeType)===!1)continue;let p=d.jpegSize,h=!0;if(typeof p>"u"){if(!m){c.push(`Unable to locate resource ${K.getURLDisplayName(d.url)}`);continue}if(!m.naturalDimensions)continue;let w=m.naturalDimensions.height,E=m.naturalDimensions.width;if(!w||!E)continue;p=e.estimateJPEGSizeFromDimensions({naturalHeight:w,naturalWidth:E}),h=!1}if(d.originalSize<p+bue)continue;let f=K.elideDataURI(d.url),y=!K.originsMatch(n,d.url),v=e.computeSavings({...d,jpegSize:p});i.push({node:m?be.makeNodeItem(m.node):void 0,url:f,fromProtocol:h,isCrossOrigin:y,totalBytes:d.originalSize,wastedBytes:v.bytes})}let u=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:yd(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:yd(k.columnResourceSize)},{key:"wastedBy\
tes",valueType:"bytes",label:yd(k.columnWastedBytes)}];return{warnings:c,items:i,headings:u}}},wue=FT});var RT,H4,W4=g(()=>{"use strict";l();tt();ye();RT=class e{static{s(this,"ImageRecords")}static indexNetworkRecords(t){return t.reduce((n,r)=>((/^image/.test(r.mimeType)||/\.(avif|webp)$/i.test(r.url))&&r.finished&&r.statusCode===200&&(n[r.url]=r),n),{})}static async compute_(t){let n=e.indexNetworkRecords(t.networkRecords),r=[];for(let a of t.ImageElements){let i=n[a.src]?.mimeType;r.push({...a,mimeType:i||K.guessMimeType(a.src)})}return r.sort((a,o)=>{let i=n[a.src]||{};return(n[o.src]||{}).resourceSize-i.resourceSize}),r}},H4=G(RT,["ImageElements","networkRecords"])});var IT={};x(IT,{UIStrings:()=>_s,default:()=>_T,str_:()=>ro});var _s,ro,Due,Eue,AT,_T,MT=g(()=>{"use strict";l();Pn();Ct();W4();tt();A();_s={title:"Properly size images",description:"Serve images that are appropriately-sized to save cellular data and improve load time. [Learn how to size images](https://developer.chrome.com/docs/lighthouse/performance/uses-responsive-images/)."},ro=D("core/audits/byte-efficiency/uses-responsive-images.js",_s),Due=4096,Eue=12288,AT=class e extends be{static{s(this,"UsesResponsiveImages")}static get meta(){return{id:"uses-responsive-images",title:ro(_s.title),description:ro(_s.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:2,requiredArtifacts:["ImageElements","ViewportDimensions","GatherContext","devtoolsLogs","traces","URL"]}}static getDisplayedDimensions(t,n){if(t.displayedWidth&&t.displayedHeight)return{width:t.displayedWidth*n.devicePixelRatio,height:t.displayedHeight*n.devicePixelRatio};let r=n.innerWidth,a=n.innerHeight*
2,o=t.naturalWidth/t.naturalHeight,i=r/a,c=r,u=a;return o>i?u=r/o:c=a*o,{width:c*n.devicePixelRatio,height:u*n.devicePixelRatio}}static computeWaste(t,n,r){let a=r.find(h=>h.url===t.src);if(!a)return null;let o=this.getDisplayedDimensions(t,n),i=o.width*o.height,c=K.elideDataURI(t.src),u=t.naturalWidth*t.naturalHeight,d=1-i/u,m=J.getResourceSizeOnNetwork(a),p=Math.round(m*d);return{node:be.makeNodeItem(t.node),url:c,totalBytes:m,wastedBytes:p,wastedPercent:100*d}}static determineAllowableWaste(t){return t.srcset||t.isPicture?Eue:Due}static async audit_(t,n,r){let a=await H4.request({ImageElements:t.ImageElements,networkRecords:n},r),o=t.ViewportDimensions,i=new Map,c=[];for(let m of a){if(m.mimeType==="image/svg+xml"||m.isCss||!m.naturalDimensions)continue;let p=m.naturalDimensions.height,h=m.naturalDimensions.width;if(!h||!p)continue;let f=e.computeWaste({...m,naturalHeight:p,naturalWidth:h},o,n);if(!f)continue;let y=f.wastedBytes>this.determineAllowableWaste(m),v=i.get(f.url);y&&!c.includes(
f.url)?(!v||v.wastedBytes>f.wastedBytes)&&i.set(f.url,f):(i.delete(f.url),c.push(f.url))}let u=Array.from(i.values()),d=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:ro(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:ro(k.columnResourceSize)},{key:"wastedBytes",valueType:"bytes",label:ro(k.columnWastedBytes)}];return{items:u,headings:d}}},_T=AT});var G4={};x(G4,{UIStrings:()=>Is,default:()=>xue});var Is,vd,Tue,NT,xue,V4=g(()=>{"use strict";l();$();MT();tt();A();Is={title:"Images were appropriate for their displayed size",failureTitle:"Images were larger than their displayed size",columnDisplayedDimensions:"Displayed dimensions",columnActualDimensions:"Actual dimensions"},vd=D("core/audits/byte-efficiency/uses-responsive-images-snapshot.js",Is),Tue=1365,NT=class extends b{static{s(this,"UsesResponsiveImagesSnapshot")}static get meta(){return{id:"uses-responsive-images-snapshot",title:vd(Is.title),failureTitle:vd(Is.failureTitle),description:ro(_s.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,supportedModes:["snapshot"],guidanceLevel:2,requiredArtifacts:["ImageElements","ViewportDimensions"]}}static async audit(t){let n=1,r=[];for(let i of t.ImageElements){if(i.isCss||!i.naturalDimensions)continue;let c=i.naturalDimensions,u=_T.getDisplayedDimensions({...i,naturalWidth:c.width,naturalHeight:c.height},t.ViewportDimensions),
d=c.width*c.height,m=u.width*u.height;d<=m||(d-m>Tue&&(n=0),r.push({node:b.makeNodeItem(i.node),url:K.elideDataURI(i.src),displayedDimensions:`${u.width}x${u.height}`,actualDimensions:`${c.width}x${c.height}`}))}let a=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:vd(k.columnURL)},{key:"displayedDimensions",valueType:"text",label:vd(Is.columnDisplayedDimensions)},{key:"actualDimensions",valueType:"text",label:vd(Is.columnActualDimensions)}],o=b.makeTableDetails(a,r);return{score:n,details:o}}},xue=NT});var $4={};x($4,{UIStrings:()=>Qf,default:()=>kue});var Qf,bd,Sue,Cue,PT,kue,Y4=g(()=>{"use strict";l();Pn();tt();A();Qf={title:"Enable text compression",description:"Text-based resources should be served with compression (gzip, deflate or brotli) to minimize total network bytes. [Learn more about text compression](https://developer.chrome.com/docs/lighthouse/performance/uses-text-compression/)."},bd=D("core/audits/byte-efficiency/uses-text-compression.js",Qf),Sue=1400,Cue=.1,PT=class extends be{static{s(this,"ResponsesAreCompressed")}static get meta(){return{id:"uses-text-compression",title:bd(Qf.title),description:bd(Qf.description),scoreDisplayMode:be.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:3,requiredArtifacts:["ResponseCompression","GatherContext","devtoolsLogs","traces","URL"]}}static audit_(t){let n=t.ResponseCompression,r=[];n.forEach(o=>{if(!o.gzipSize||o.gzipSize<0)return;let i=o.resourceSize,c=o.gzipSize,u=i-c;if(1-c/i<Cue||u<Sue||o.transferSize<c)return;let d=K.elideDataURI(
o.url);r.find(p=>p.url===d&&p.totalBytes===o.resourceSize)||r.push({url:d,totalBytes:i,wastedBytes:u})});let a=[{key:"url",valueType:"url",label:bd(k.columnURL)},{key:"totalBytes",valueType:"bytes",label:bd(k.columnTransferSize)},{key:"wastedBytes",valueType:"bytes",label:bd(k.columnWastedBytes)}];return{items:r,headings:a}}},kue=PT});var LT,eh,OT=g(()=>{"use strict";l();ye();Ct();cn();bs();LT=class e{static{s(this,"CriticalRequestChains")}static isCritical(t,n){if(!n)throw new Error("mainResource not provided");if(t.requestId===n.requestId)return!0;if(t.isLinkPreload)return!1;for(;t.redirectDestination;)t=t.redirectDestination;let r=t.resourceType===J.TYPES.Document&&t.frameId!==n.frameId;return[J.TYPES.Image,J.TYPES.XHR,J.TYPES.Fetch,J.TYPES.EventSource].includes(t.resourceType||"Other")||r||t.mimeType&&t.mimeType.startsWith("image/")||!t.initiatorRequest?!1:["VeryHigh","High","Medium"].includes(t.priority)}static extractChainsFromGraph(t,n){let r={};function a(c){let u=r;for(let d of c)u[d.requestId]||(u[d.requestId]={request:d,children:{}}),u=u[d.requestId].children}s(a,"addChain");let o=new Set;function i(c){return c.getDependents().filter(u=>u.getDependencies().every(d=>o.has(d)))}return s(i,"getNextNodes"),n.traverse((c,u)=>{if(o.add(c),c.type!=="network"||!e.isCritical(c.record,t))return;let d=u.filter(m=>m.
type==="network").reverse().map(m=>m.record);d.some(m=>!e.isCritical(m,t))||J.isNonNetworkRequest(c.record)||a(d)},i),r}static async compute_(t,n){let r=await it.request(t,n),a=await qr.request(t,n);return e.extractChainsFromGraph(r,a)}},eh=G(LT,["URL","devtoolsLog","trace"])});var K4={};x(K4,{UIStrings:()=>wd,default:()=>Fue});var wd,BT,UT,Fue,J4=g(()=>{"use strict";l();$();A();OT();wd={title:"Avoid chaining critical requests",description:"The Critical Request Chains below show you what resources are loaded with a high priority. Consider reducing the length of chains, reducing the download size of resources, or deferring the download of unnecessary resources to improve page load. [Learn how to avoid chaining critical requests](https://developer.chrome.com/docs/lighthouse/performance/critical-request-chains/).",displayValue:`{itemCount, plural,
    =1 {1 chain found}
    other {# chains found}
    }`},BT=D("core/audits/critical-request-chains.js",wd),UT=class e extends b{static{s(this,"CriticalRequestChains")}static get meta(){return{id:"critical-request-chains",title:BT(wd.title),description:BT(wd.description),scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,supportedModes:["navigation"],guidanceLevel:1,requiredArtifacts:["traces","devtoolsLogs","URL"]}}static _traverse(t,n){function r(a,o,i,c=0){let u=Object.keys(a);u.length!==0&&u.forEach(d=>{let m=a[d];i||(i=m.request.networkRequestTime),n({depth:o,id:d,node:m,chainDuration:m.request.networkEndTime-i,chainTransferSize:c+m.request.transferSize}),m.children&&r(m.children,o+1,i)},"")}s(r,"walk"),r(t,0)}static _getLongestChain(t){let n={duration:0,length:0,transferSize:0};return e._traverse(t,r=>{let a=r.chainDuration;a>n.duration&&(n.duration=a,n.transferSize=r.chainTransferSize,n.length=r.depth)}),n.length++,n}static flattenRequests(t){let n={},r=new Map;function a(o){let i=o.node.request,c={url:i.url,startTime:i.networkRequestTime/
1e3,endTime:i.networkEndTime/1e3,responseReceivedTime:i.responseHeadersEndTime/1e3,transferSize:i.transferSize},u=r.get(o.id);if(u?u.request=c:(u={request:c},n[o.id]=u),o.node.children)for(let d of Object.keys(o.node.children)){let m={request:{}};r.set(d,m),u.children||(u.children={}),u.children[d]=m}r.set(o.id,u)}return s(a,"flatten"),e._traverse(t,a),n}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=t.URL,i=await eh.request({devtoolsLog:a,trace:r,URL:o},n),c=0;function u(f,y){Object.keys(f).forEach(w=>{let E=f[w];E.children?u(E.children,y+1):c++},"")}s(u,"walk");let d=e.flattenRequests(i),m=Object.keys(d)[0],p=m&&d[m].children;p&&Object.keys(p).length>0&&u(p,0);let h=e._getLongestChain(i);return{score:+(c===0),notApplicable:c===0,displayValue:c?BT(wd.displayValue,{itemCount:c}):"",details:{type:"criticalrequestchain",chains:d,longestChain:h}}}},Fue=UT});var Ms=P(Gr=>{"use strict";l();Object.defineProperty(Gr,"__esModule",{value:!0});Gr.Type=Gr.Severity=Gr.Finding=void 0;var jT=class e{static{s(this,"Finding")}constructor(t,n,r,a,o){this.type=t,this.description=n,this.severity=r,this.directive=a,this.value=o}static getHighestSeverity(t){if(t.length===0)return qT.NONE;let n=t.map(a=>a.severity),r=s((a,o)=>a<o?a:o,"min");return n.reduce(r,qT.NONE)}equals(t){return t instanceof e?t.type===this.type&&t.description===this.description&&t.severity===this.severity&&t.directive===this.directive&&t.value===this.value:!1}};Gr.Finding=jT;var qT;(function(e){e[e.HIGH=10]="HIGH",e[e.SYNTAX=20]="SYNTAX",e[e.MEDIUM=30]="MEDIUM",e[e.HIGH_MAYBE=40]="HIGH_MAYBE",e[e.STRICT_CSP=45]="STRICT_CSP",e[e.MEDIUM_MAYBE=50]="MEDIUM_MAYBE",e[e.INFO=60]="INFO",e[e.NONE=100]="NONE"})(qT=Gr.Severity||(Gr.Severity={}));var Rue;(function(e){e[e.MISSING_SEMICOLON=100]="MISSING_SEMICOLON",e[e.UNKNOWN_DIRECTIVE=101]="UNKNOWN_DIRECTIVE",e[e.INVALID_KEYWORD=102]="INVALID_KEY\
WORD",e[e.NONCE_CHARSET=106]="NONCE_CHARSET",e[e.MISSING_DIRECTIVES=300]="MISSING_DIRECTIVES",e[e.SCRIPT_UNSAFE_INLINE=301]="SCRIPT_UNSAFE_INLINE",e[e.SCRIPT_UNSAFE_EVAL=302]="SCRIPT_UNSAFE_EVAL",e[e.PLAIN_URL_SCHEMES=303]="PLAIN_URL_SCHEMES",e[e.PLAIN_WILDCARD=304]="PLAIN_WILDCARD",e[e.SCRIPT_ALLOWLIST_BYPASS=305]="SCRIPT_ALLOWLIST_BYPASS",e[e.OBJECT_ALLOWLIST_BYPASS=306]="OBJECT_ALLOWLIST_BYPASS",e[e.NONCE_LENGTH=307]="NONCE_LENGTH",e[e.IP_SOURCE=308]="IP_SOURCE",e[e.DEPRECATED_DIRECTIVE=309]="DEPRECATED_DIRECTIVE",e[e.SRC_HTTP=310]="SRC_HTTP",e[e.STRICT_DYNAMIC=400]="STRICT_DYNAMIC",e[e.STRICT_DYNAMIC_NOT_STANDALONE=401]="STRICT_DYNAMIC_NOT_STANDALONE",e[e.NONCE_HASH=402]="NONCE_HASH",e[e.UNSAFE_INLINE_FALLBACK=403]="UNSAFE_INLINE_FALLBACK",e[e.ALLOWLIST_FALLBACK=404]="ALLOWLIST_FALLBACK",e[e.IGNORED=405]="IGNORED",e[e.REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS=500]="REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS",e[e.REPORTING_DESTINATION_MISSING=600]="REPORTING_DESTINATION_MISSING",e[e.REPORT_TO_ONLY=601]=
"REPORT_TO_ONLY"})(Rue=Gr.Type||(Gr.Type={}))});var Vr=P(Se=>{"use strict";l();Object.defineProperty(Se,"__esModule",{value:!0});Se.CspError=Se.isHash=Se.HASH_PATTERN=Se.STRICT_HASH_PATTERN=Se.isNonce=Se.NONCE_PATTERN=Se.STRICT_NONCE_PATTERN=Se.isUrlScheme=Se.isKeyword=Se.isDirective=Se.Version=Se.FETCH_DIRECTIVES=Se.Directive=Se.TrustedTypesSink=Se.Keyword=Se.Csp=void 0;var Ns=Ms(),zT=class e{static{s(this,"Csp")}constructor(){this.directives={}}clone(){let t=new e;for(let[n,r]of Object.entries(this.directives))r&&(t.directives[n]=[...r]);return t}convertToString(){let t="";for(let[n,r]of Object.entries(this.directives)){if(t+=n,r!==void 0)for(let a,o=0;a=r[o];o++)t+=" ",t+=a;t+="; "}return t}getEffectiveCsp(t,n){let r=n||[],a=this.clone(),o=a.getEffectiveDirective(pt.SCRIPT_SRC),i=this.directives[o]||[],c=a.directives[o];if(c&&(a.policyHasScriptNonces()||a.policyHasScriptHashes()))if(t>=nh.CSP2)i.includes(ya.UNSAFE_INLINE)&&(th(c,ya.UNSAFE_INLINE),r.push(new Ns.Finding(Ns.Type.IGNORED,"unsafe-inline is ignored if a nonce or a hash\
 is present. (CSP2 and above)",Ns.Severity.NONE,o,ya.UNSAFE_INLINE)));else for(let u of i)(u.startsWith("'nonce-")||u.startsWith("'sha"))&&th(c,u);if(c&&this.policyHasStrictDynamic())if(t>=nh.CSP3)for(let u of i)(!u.startsWith("'")||u===ya.SELF||u===ya.UNSAFE_INLINE)&&(th(c,u),r.push(new Ns.Finding(Ns.Type.IGNORED,"Because of strict-dynamic this entry is ignored in CSP3 and above",Ns.Severity.NONE,o,u)));else th(c,ya.STRICT_DYNAMIC);return t<nh.CSP3&&(delete a.directives[pt.REPORT_TO],delete a.directives[pt.WORKER_SRC],delete a.directives[pt.MANIFEST_SRC],delete a.directives[pt.TRUSTED_TYPES],delete a.directives[pt.REQUIRE_TRUSTED_TYPES_FOR]),a}getEffectiveDirective(t){return!(t in this.directives)&&Se.FETCH_DIRECTIVES.includes(t)?pt.DEFAULT_SRC:t}getEffectiveDirectives(t){return[...new Set(t.map(r=>this.getEffectiveDirective(r)))]}policyHasScriptNonces(){let t=this.getEffectiveDirective(pt.SCRIPT_SRC);return(this.directives[t]||[]).some(r=>X4(r))}policyHasScriptHashes(){let t=this.getEffectiveDirective(
pt.SCRIPT_SRC);return(this.directives[t]||[]).some(r=>Z4(r))}policyHasStrictDynamic(){let t=this.getEffectiveDirective(pt.SCRIPT_SRC);return(this.directives[t]||[]).includes(ya.STRICT_DYNAMIC)}};Se.Csp=zT;var ya;(function(e){e.SELF="'self'",e.NONE="'none'",e.UNSAFE_INLINE="'unsafe-inline'",e.UNSAFE_EVAL="'unsafe-eval'",e.WASM_EVAL="'wasm-eval'",e.WASM_UNSAFE_EVAL="'wasm-unsafe-eval'",e.STRICT_DYNAMIC="'strict-dynamic'",e.UNSAFE_HASHED_ATTRIBUTES="'unsafe-hashed-attributes'",e.UNSAFE_HASHES="'unsafe-hashes'",e.REPORT_SAMPLE="'report-sample'",e.BLOCK="'block'",e.ALLOW="'allow'"})(ya=Se.Keyword||(Se.Keyword={}));var Aue;(function(e){e.SCRIPT="'script'"})(Aue=Se.TrustedTypesSink||(Se.TrustedTypesSink={}));var pt;(function(e){e.CHILD_SRC="child-src",e.CONNECT_SRC="connect-src",e.DEFAULT_SRC="default-src",e.FONT_SRC="font-src",e.FRAME_SRC="frame-src",e.IMG_SRC="img-src",e.MEDIA_SRC="media-src",e.OBJECT_SRC="object-src",e.SCRIPT_SRC="script-src",e.SCRIPT_SRC_ATTR="script-src-attr",e.SCRIPT_SRC_ELEM=
"script-src-elem",e.STYLE_SRC="style-src",e.STYLE_SRC_ATTR="style-src-attr",e.STYLE_SRC_ELEM="style-src-elem",e.PREFETCH_SRC="prefetch-src",e.MANIFEST_SRC="manifest-src",e.WORKER_SRC="worker-src",e.BASE_URI="base-uri",e.PLUGIN_TYPES="plugin-types",e.SANDBOX="sandbox",e.DISOWN_OPENER="disown-opener",e.FORM_ACTION="form-action",e.FRAME_ANCESTORS="frame-ancestors",e.NAVIGATE_TO="navigate-to",e.REPORT_TO="report-to",e.REPORT_URI="report-uri",e.BLOCK_ALL_MIXED_CONTENT="block-all-mixed-content",e.UPGRADE_INSECURE_REQUESTS="upgrade-insecure-requests",e.REFLECTED_XSS="reflected-xss",e.REFERRER="referrer",e.REQUIRE_SRI_FOR="require-sri-for",e.TRUSTED_TYPES="trusted-types",e.REQUIRE_TRUSTED_TYPES_FOR="require-trusted-types-for",e.WEBRTC="webrtc"})(pt=Se.Directive||(Se.Directive={}));Se.FETCH_DIRECTIVES=[pt.CHILD_SRC,pt.CONNECT_SRC,pt.DEFAULT_SRC,pt.FONT_SRC,pt.FRAME_SRC,pt.IMG_SRC,pt.MANIFEST_SRC,pt.MEDIA_SRC,pt.OBJECT_SRC,pt.SCRIPT_SRC,pt.SCRIPT_SRC_ATTR,pt.SCRIPT_SRC_ELEM,pt.STYLE_SRC,pt.STYLE_SRC_ATTR,
pt.STYLE_SRC_ELEM,pt.WORKER_SRC];var nh;(function(e){e[e.CSP1=1]="CSP1",e[e.CSP2=2]="CSP2",e[e.CSP3=3]="CSP3"})(nh=Se.Version||(Se.Version={}));function _ue(e){return Object.values(pt).includes(e)}s(_ue,"isDirective");Se.isDirective=_ue;function Iue(e){return Object.values(ya).includes(e)}s(Iue,"isKeyword");Se.isKeyword=Iue;function Mue(e){return new RegExp("^[a-zA-Z][+a-zA-Z0-9.-]*:$").test(e)}s(Mue,"isUrlScheme");Se.isUrlScheme=Mue;Se.STRICT_NONCE_PATTERN=new RegExp("^'nonce-[a-zA-Z0-9+/_-]+[=]{0,2}'$");Se.NONCE_PATTERN=new RegExp("^'nonce-(.+)'$");function X4(e,t){return(t?Se.STRICT_NONCE_PATTERN:Se.NONCE_PATTERN).test(e)}s(X4,"isNonce");Se.isNonce=X4;Se.STRICT_HASH_PATTERN=new RegExp("^'(sha256|sha384|sha512)-[a-zA-Z0-9+/]+[=]{0,2}'$");Se.HASH_PATTERN=new RegExp("^'(sha256|sha384|sha512)-(.+)'$");function Z4(e,t){return(t?Se.STRICT_HASH_PATTERN:Se.HASH_PATTERN).test(e)}s(Z4,"isHash");Se.isHash=Z4;var HT=class extends Error{static{s(this,"CspError")}constructor(t){super(t)}};Se.CspError=
HT;function th(e,t){if(e.includes(t)){let n=e.findIndex(r=>t===r);e.splice(n,1)}}s(th,"arrayRemove")});var Q4=P(An=>{"use strict";l();var Nue=An&&An.__createBinding||(Object.create?function(e,t,n,r){r===void 0&&(r=n),Object.defineProperty(e,r,{enumerable:!0,get:function(){return t[n]}})}:function(e,t,n,r){r===void 0&&(r=n),e[r]=t[n]}),Pue=An&&An.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),Lue=An&&An.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(e!=null)for(var n in e)n!=="default"&&Object.prototype.hasOwnProperty.call(e,n)&&Nue(t,e,n);return Pue(t,e),t};Object.defineProperty(An,"__esModule",{value:!0});An.checkInvalidKeyword=An.checkMissingSemicolon=An.checkUnknownDirective=void 0;var ao=Lue(Vr()),Oue=Vr(),wn=Ms();function Bue(e){let t=[];for(let n of Object.keys(e.directives))ao.isDirective(n)||(n.endsWith(":")?t.push(new wn.Finding(wn.Type.UNKNOWN_DIRECTIVE,"CSP directives don't end with a colon.",wn.Severity.SYNTAX,n)):t.push(new wn.Finding(wn.Type.UNKNOWN_DIRECTIVE,'Direc\
tive "'+n+'" is not a known CSP directive.',wn.Severity.SYNTAX,n)));return t}s(Bue,"checkUnknownDirective");An.checkUnknownDirective=Bue;function Uue(e){let t=[];for(let[n,r]of Object.entries(e.directives))if(r!==void 0)for(let a of r)ao.isDirective(a)&&t.push(new wn.Finding(wn.Type.MISSING_SEMICOLON,'Did you forget the semicolon? "'+a+'" seems to be a directive, not a value.',wn.Severity.SYNTAX,n,a));return t}s(Uue,"checkMissingSemicolon");An.checkMissingSemicolon=Uue;function jue(e){let t=[],n=Object.values(Oue.Keyword).map(r=>r.replace(/'/g,""));for(let[r,a]of Object.entries(e.directives))if(a!==void 0)for(let o of a){if(n.some(i=>i===o)||o.startsWith("nonce-")||o.match(/^(sha256|sha384|sha512)-/)){t.push(new wn.Finding(wn.Type.INVALID_KEYWORD,'Did you forget to surround "'+o+'" with single-ticks?',wn.Severity.SYNTAX,r,o));continue}if(o.startsWith("'")){if(r===ao.Directive.REQUIRE_TRUSTED_TYPES_FOR){if(o===ao.TrustedTypesSink.SCRIPT)continue}else if(r===ao.Directive.TRUSTED_TYPES){if(o===
"'allow-duplicates'"||o==="'none'")continue}else if(ao.isKeyword(o)||ao.isHash(o)||ao.isNonce(o))continue;t.push(new wn.Finding(wn.Type.INVALID_KEYWORD,o+" seems to be an invalid CSP keyword.",wn.Severity.SYNTAX,r,o))}}return t}s(jue,"checkInvalidKeyword");An.checkInvalidKeyword=jue});var eB=P(rh=>{"use strict";l();Object.defineProperty(rh,"__esModule",{value:!0});rh.URLS=void 0;rh.URLS=["//gstatic.com/fsn/angular_js-bundle1.js","//www.gstatic.com/fsn/angular_js-bundle1.js","//www.googleadservices.com/pageadimg/imgad","//yandex.st/angularjs/1.2.16/angular-cookies.min.js","//yastatic.net/angularjs/1.2.23/angular.min.js","//yuedust.yuedu.126.net/js/components/angular/angular.js","//art.jobs.netease.com/script/angular.js","//csu-c45.kxcdn.com/angular/angular.js","//elysiumwebsite.s3.amazonaws.com/uploads/blog-media/rockstar/angular.min.js","//inno.blob.core.windows.net/new/libs/AngularJS/1.2.1/angular.min.js","//gift-talk.kakao.com/public/javascripts/angular.min.js","//ajax.googleapis.com/ajax/libs/angularjs/1.2.0rc1/angular-route.min.js","//master-sumok.ru/vendors/angular/angular-cookies.js","//ayicommon-a.akamaihd.net/static/vendor/angular-1.4.2.min.js","//pangxiehaitao.com/framework/angular-1.3.9/angular-animate.min.js","//cdnjs.cloudflare.com/ajax/libs/angular.js/1\
.2.16/angular.min.js","//96fe3ee995e96e922b6b-d10c35bd0a0de2c718b252bc575fdb73.ssl.cf1.rackcdn.com/angular.js","//oss.maxcdn.com/angularjs/1.2.20/angular.min.js","//reports.zemanta.com/smedia/common/angularjs/1.2.11/angular.js","//cdn.shopify.com/s/files/1/0225/6463/t/1/assets/angular-animate.min.js","//parademanagement.com.s3-website-ap-southeast-1.amazonaws.com/js/angular.min.js","//cdn.jsdelivr.net/angularjs/1.1.2/angular.min.js","//eb2883ede55c53e09fd5-9c145fb03d93709ea57875d307e2d82e.ssl.cf3.rackcdn.com/components/angular-resource.min.js","//andors-trail.googlecode.com/git/AndorsTrailEdit/lib/angular.min.js","//cdn.walkme.com/General/EnvironmentTests/angular/angular.min.js","//laundrymail.com/angular/angular.js","//s3-eu-west-1.amazonaws.com/staticancpa/js/angular-cookies.min.js","//collade.demo.stswp.com/js/vendor/angular.min.js","//mrfishie.github.io/sailor/bower_components/angular/angular.min.js","//askgithub.com/static/js/angular.min.js","//services.amazon.com/solution-provide\
rs/assets/vendor/angular-cookies.min.js","//raw.githubusercontent.com/angular/code.angularjs.org/master/1.0.7/angular-resource.js","//prb-resume.appspot.com/bower_components/angular-animate/angular-animate.js","//dl.dropboxusercontent.com/u/30877786/angular.min.js","//static.tumblr.com/x5qdx0r/nPOnngtff/angular-resource.min_1_.js","//storage.googleapis.com/assets-prod.urbansitter.net/us-sym/assets/vendor/angular-sanitize/angular-sanitize.min.js","//twitter.github.io/labella.js/bower_components/angular/angular.min.js","//cdn2-casinoroom.global.ssl.fastly.net/js/lib/angular-animate.min.js","//www.adobe.com/devnet-apps/flashshowcase/lib/angular/angular.1.1.5.min.js","//eternal-sunset.herokuapp.com/bower_components/angular/angular.js","//cdn.bootcss.com/angular.js/1.2.0/angular.min.js"]});var tB=P(ah=>{"use strict";l();Object.defineProperty(ah,"__esModule",{value:!0});ah.URLS=void 0;ah.URLS=["//vk.com/swf/video.swf","//ajax.googleapis.com/ajax/libs/yui/2.8.0r4/build/charts/assets/charts.swf"]});var nB=P(Ps=>{"use strict";l();Object.defineProperty(Ps,"__esModule",{value:!0});Ps.URLS=Ps.NEEDS_EVAL=void 0;Ps.NEEDS_EVAL=["googletagmanager.com","www.googletagmanager.com","www.googleadservices.com","google-analytics.com","ssl.google-analytics.com","www.google-analytics.com"];Ps.URLS=["//bebezoo.1688.com/fragment/index.htm","//www.google-analytics.com/gtm/js","//googleads.g.doubleclick.net/pagead/conversion/1036918760/wcm","//www.googleadservices.com/pagead/conversion/1070110417/wcm","//www.google.com/tools/feedback/escalation-options","//pin.aliyun.com/check_audio","//offer.alibaba.com/market/CID100002954/5/fetchKeyword.do","//ccrprod.alipay.com/ccr/arriveTime.json","//group.aliexpress.com/ajaxAcquireGroupbuyProduct.do","//detector.alicdn.com/2.7.3/index.php","//suggest.taobao.com/sug","//translate.google.com/translate_a/l","//count.tbcdn.cn//counter3","//wb.amap.com/channel.php","//translate.googleapis.com/translate_a/l","//afpeng.alimama.com/ex","//accounts.google.com/o/oauth2/re\
voke","//pagead2.googlesyndication.com/relatedsearch","//yandex.ru/soft/browsers/check","//api.facebook.com/restserver.php","//mts0.googleapis.com/maps/vt","//syndication.twitter.com/widgets/timelines/765840589183213568","//www.youtube.com/profile_style","//googletagmanager.com/gtm/js","//mc.yandex.ru/watch/24306916/1","//share.yandex.net/counter/gpp/","//ok.go.mail.ru/lady_on_lady_recipes_r.json","//d1f69o4buvlrj5.cloudfront.net/__efa_15_1_ornpba.xekq.arg/optout_check","//www.googletagmanager.com/gtm/js","//api.vk.com/method/wall.get","//www.sharethis.com/get-publisher-info.php","//google.ru/maps/vt","//pro.netrox.sc/oapi/h_checksite.ashx","//vimeo.com/api/oembed.json/","//de.blog.newrelic.com/wp-admin/admin-ajax.php","//ajax.googleapis.com/ajax/services/search/news","//ssl.google-analytics.com/gtm/js","//pubsub.pubnub.com/subscribe/demo/hello_world/","//pass.yandex.ua/services","//id.rambler.ru/script/topline_info.js","//m.addthis.com/live/red_lojson/100eng.json","//passport.ngs.ru/a\
jax/check","//catalog.api.2gis.ru/ads/search","//gum.criteo.com/sync","//maps.google.com/maps/vt","//ynuf.alipay.com/service/um.json","//securepubads.g.doubleclick.net/gampad/ads","//c.tiles.mapbox.com/v3/texastribune.tx-congress-cvap/6/15/26.grid.json","//rexchange.begun.ru/banners","//an.yandex.ru/page/147484","//links.services.disqus.com/api/ping","//api.map.baidu.com/","//tj.gongchang.com/api/keywordrecomm/","//data.gongchang.com/livegrail/","//ulogin.ru/token.php","//beta.gismeteo.ru/api/informer/layout.js/120x240-3/ru/","//maps.googleapis.com/maps/api/js/GeoPhotoService.GetMetadata","//a.config.skype.com/config/v1/Skype/908_1.33.0.111/SkypePersonalization","//maps.beeline.ru/w","//target.ukr.net/","//www.meteoprog.ua/data/weather/informer/Poltava.js","//cdn.syndication.twimg.com/widgets/timelines/599200054310604802","//wslocker.ru/client/user.chk.php","//community.adobe.com/CommunityPod/getJSON","//maps.google.lv/maps/vt","//dev.virtualearth.net/REST/V1/Imagery/Metadata/AerialWit\
hLabels/26.318581","//awaps.yandex.ru/10/8938/02400400.","//a248.e.akamai.net/h5.hulu.com/h5.mp4","//nominatim.openstreetmap.org/","//plugins.mozilla.org/en-us/plugins_list.json","//h.cackle.me/widget/32153/bootstrap","//graph.facebook.com/1/","//fellowes.ugc.bazaarvoice.com/data/reviews.json","//widgets.pinterest.com/v3/pidgets/boards/ciciwin/hedgehog-squirrel-crafts/pins/","//www.linkedin.com/countserv/count/share","//se.wikipedia.org/w/api.php","//cse.google.com/api/007627024705277327428/cse/r3vs7b0fcli/queries/js","//relap.io/api/v2/similar_pages_jsonp.js","//c1n3.hypercomments.com/stream/subscribe","//maps.google.de/maps/vt","//books.google.com/books","//connect.mail.ru/share_count","//tr.indeed.com/m/newjobs","//www-onepick-opensocial.googleusercontent.com/gadgets/proxy","//www.panoramio.com/map/get_panoramas.php","//client.siteheart.com/streamcli/client","//www.facebook.com/restserver.php","//autocomplete.travelpayouts.com/avia","//www.googleapis.com/freebase/v1/topic/m/0344_","\
//mts1.googleapis.com/mapslt/ft","//api.twitter.com/1/statuses/oembed.json","//fast.wistia.com/embed/medias/o75jtw7654.json","//partner.googleadservices.com/gampad/ads","//pass.yandex.ru/services","//gupiao.baidu.com/stocks/stockbets","//widget.admitad.com/widget/init","//api.instagram.com/v1/tags/partykungen23328/media/recent","//video.media.yql.yahoo.com/v1/video/sapi/streams/063fb76c-6c70-38c5-9bbc-04b7c384de2b","//ib.adnxs.com/jpt","//pass.yandex.com/services","//www.google.de/maps/vt","//clients1.google.com/complete/search","//api.userlike.com/api/chat/slot/proactive/","//www.youku.com/index_cookielist/s/jsonp","//mt1.googleapis.com/mapslt/ft","//api.mixpanel.com/track/","//wpd.b.qq.com/cgi/get_sign.php","//pipes.yahooapis.com/pipes/pipe.run","//gdata.youtube.com/feeds/api/videos/WsJIHN1kNWc","//9.chart.apis.google.com/chart","//cdn.syndication.twitter.com/moments/709229296800440320","//api.flickr.com/services/feeds/photos_friends.gne","//cbks0.googleapis.com/cbk","//www.blogger.c\
om/feeds/5578653387562324002/posts/summary/4427562025302749269","//query.yahooapis.com/v1/public/yql","//kecngantang.blogspot.com/feeds/posts/default/-/Komik","//www.travelpayouts.com/widgets/50f53ce9ada1b54bcc000031.json","//i.cackle.me/widget/32586/bootstrap","//translate.yandex.net/api/v1.5/tr.json/detect","//a.tiles.mapbox.com/v3/zentralmedia.map-n2raeauc.jsonp","//maps.google.ru/maps/vt","//c1n2.hypercomments.com/stream/subscribe","//rec.ydf.yandex.ru/cookie","//cdn.jsdelivr.net"]});var aB=P($r=>{"use strict";l();Object.defineProperty($r,"__esModule",{value:!0});$r.applyCheckFunktionToDirectives=$r.matchWildcardUrls=$r.getHostname=$r.getSchemeFreeUrl=void 0;function WT(e){return e=e.replace(/^\w[+\w.-]*:\/\//i,""),e=e.replace(/^\/\//,""),e}s(WT,"getSchemeFreeUrl");$r.getSchemeFreeUrl=WT;function que(e){let t=new URL("https://"+WT(e).replace(":*","").replace("*","wildcard_placeholder")).hostname.replace("wildcard_placeholder","*"),n=/^\[[\d:]+\]/;return WT(e).match(n)&&!t.match(n)?"["+t+"]":t}s(que,"getHostname");$r.getHostname=que;function rB(e){return e.startsWith("//")?e.replace("//","https://"):e}s(rB,"setScheme");function zue(e,t){let n=new URL(rB(e.replace(":*","").replace("*","wildcard_placeholder"))),r=t.map(d=>new URL(rB(d))),a=n.hostname.toLowerCase(),o=a.startsWith("wildcard_placeholder."),i=a.replace(/^\wildcard_placeholder/i,""),c=n.pathname,u=c!=="/";for(let d of r){let m=d.hostname;if(m.endsWith(i)&&!(!o&&a!==m)){if(u){if(c.endsWith("/")){if(!d.pathname.
startsWith(c))continue}else if(d.pathname!==c)continue}return d}}return null}s(zue,"matchWildcardUrls");$r.matchWildcardUrls=zue;function Hue(e,t){let n=Object.keys(e.directives);for(let r of n){let a=e.directives[r];a&&t(r,a)}}s(Hue,"applyCheckFunktionToDirectives");$r.applyCheckFunktionToDirectives=Hue});var mB=P(pe=>{"use strict";l();var Wue=pe&&pe.__createBinding||(Object.create?function(e,t,n,r){r===void 0&&(r=n),Object.defineProperty(e,r,{enumerable:!0,get:function(){return t[n]}})}:function(e,t,n,r){r===void 0&&(r=n),e[r]=t[n]}),Gue=pe&&pe.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),Dd=pe&&pe.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(e!=null)for(var n in e)n!=="default"&&Object.prototype.hasOwnProperty.call(e,n)&&Wue(t,e,n);return Gue(t,e),t};Object.defineProperty(pe,"__esModule",{value:!0});pe.checkHasConfiguredReporting=pe.checkSrcHttp=pe.checkNonceLength=pe.checkDeprecatedDirective=pe.checkIpSource=pe.looksLikeIpAddress=pe.checkFlashObjectAllowlistBypass=pe.checkScriptAllowlistBypass=pe.checkMissingDirectives=pe.checkMultipleMissingBaseUriDirective=pe.checkMissingBaseUriDirective=pe.checkMissingScriptSrcDirective=pe.checkMissingObjectSrcDirective=pe.checkWildcards=
pe.checkPlainUrlSchemes=pe.checkScriptUnsafeEval=pe.checkScriptUnsafeInline=pe.URL_SCHEMES_CAUSING_XSS=pe.DIRECTIVES_CAUSING_XSS=void 0;var Vue=Dd(eB()),$ue=Dd(tB()),oB=Dd(nB()),iB=Dd(Vr()),je=Vr(),ne=Ms(),Yr=Dd(aB());pe.DIRECTIVES_CAUSING_XSS=[je.Directive.SCRIPT_SRC,je.Directive.OBJECT_SRC,je.Directive.BASE_URI];pe.URL_SCHEMES_CAUSING_XSS=["data:","http:","https:"];function Yue(e){let t=e.getEffectiveDirective(je.Directive.SCRIPT_SRC);return(e.directives[t]||[]).includes(je.Keyword.UNSAFE_INLINE)?[new ne.Finding(ne.Type.SCRIPT_UNSAFE_INLINE,"'unsafe-inline' allows the execution of unsafe in-page scripts and event handlers.",ne.Severity.HIGH,t,je.Keyword.UNSAFE_INLINE)]:[]}s(Yue,"checkScriptUnsafeInline");pe.checkScriptUnsafeInline=Yue;function Kue(e){let t=e.getEffectiveDirective(je.Directive.SCRIPT_SRC);return(e.directives[t]||[]).includes(je.Keyword.UNSAFE_EVAL)?[new ne.Finding(ne.Type.SCRIPT_UNSAFE_EVAL,"'unsafe-eval' allows the execution of code injected into DOM APIs such as eva\
l().",ne.Severity.MEDIUM_MAYBE,t,je.Keyword.UNSAFE_EVAL)]:[]}s(Kue,"checkScriptUnsafeEval");pe.checkScriptUnsafeEval=Kue;function Jue(e){let t=[],n=e.getEffectiveDirectives(pe.DIRECTIVES_CAUSING_XSS);for(let r of n){let a=e.directives[r]||[];for(let o of a)pe.URL_SCHEMES_CAUSING_XSS.includes(o)&&t.push(new ne.Finding(ne.Type.PLAIN_URL_SCHEMES,o+" URI in "+r+" allows the execution of unsafe scripts.",ne.Severity.HIGH,r,o))}return t}s(Jue,"checkPlainUrlSchemes");pe.checkPlainUrlSchemes=Jue;function Xue(e){let t=[],n=e.getEffectiveDirectives(pe.DIRECTIVES_CAUSING_XSS);for(let r of n){let a=e.directives[r]||[];for(let o of a)if(Yr.getSchemeFreeUrl(o)==="*"){t.push(new ne.Finding(ne.Type.PLAIN_WILDCARD,r+" should not allow '*' as source",ne.Severity.HIGH,r,o));continue}}return t}s(Xue,"checkWildcards");pe.checkWildcards=Xue;function sB(e){let t=[];return je.Directive.OBJECT_SRC in e.directives?t=e.directives[je.Directive.OBJECT_SRC]:je.Directive.DEFAULT_SRC in e.directives&&(t=e.directives[je.
Directive.DEFAULT_SRC]),t!==void 0&&t.length>=1?[]:[new ne.Finding(ne.Type.MISSING_DIRECTIVES,"Missing object-src allows the injection of plugins which can execute JavaScript. Can you set it to 'none'?",ne.Severity.HIGH,je.Directive.OBJECT_SRC)]}s(sB,"checkMissingObjectSrcDirective");pe.checkMissingObjectSrcDirective=sB;function cB(e){return je.Directive.SCRIPT_SRC in e.directives||je.Directive.DEFAULT_SRC in e.directives?[]:[new ne.Finding(ne.Type.MISSING_DIRECTIVES,"script-src directive is missing.",ne.Severity.HIGH,je.Directive.SCRIPT_SRC)]}s(cB,"checkMissingScriptSrcDirective");pe.checkMissingScriptSrcDirective=cB;function uB(e){return lB([e])}s(uB,"checkMissingBaseUriDirective");pe.checkMissingBaseUriDirective=uB;function lB(e){let t=s(r=>r.policyHasScriptNonces()||r.policyHasScriptHashes()&&r.policyHasStrictDynamic(),"needsBaseUri"),n=s(r=>je.Directive.BASE_URI in r.directives,"hasBaseUri");if(e.some(t)&&!e.some(n)){let r="Missing base-uri allows the injection of base tags. They \
can be used to set the base URL for all relative (script) URLs to an attacker controlled domain. Can you set it to 'none' or 'self'?";return[new ne.Finding(ne.Type.MISSING_DIRECTIVES,r,ne.Severity.HIGH,je.Directive.BASE_URI)]}return[]}s(lB,"checkMultipleMissingBaseUriDirective");pe.checkMultipleMissingBaseUriDirective=lB;function Zue(e){return[...sB(e),...cB(e),...uB(e)]}s(Zue,"checkMissingDirectives");pe.checkMissingDirectives=Zue;function Que(e){let t=[],n=e.getEffectiveDirective(je.Directive.SCRIPT_SRC),r=e.directives[n]||[];if(r.includes(je.Keyword.NONE))return t;for(let a of r){if(a===je.Keyword.SELF){t.push(new ne.Finding(ne.Type.SCRIPT_ALLOWLIST_BYPASS,"'self' can be problematic if you host JSONP, AngularJS or user uploaded files.",ne.Severity.MEDIUM_MAYBE,n,a));continue}if(a.startsWith("'")||iB.isUrlScheme(a)||a.indexOf(".")===-1)continue;let o="//"+Yr.getSchemeFreeUrl(a),i=Yr.matchWildcardUrls(o,Vue.URLS),c=Yr.matchWildcardUrls(o,oB.URLS);if(c){let u=oB.NEEDS_EVAL.includes(c.hostname),
d=r.includes(je.Keyword.UNSAFE_EVAL);u&&!d&&(c=null)}if(c||i){let u="",d="";c&&(u=c.hostname,d=" JSONP endpoints"),i&&(u=i.hostname,d+=d.trim()===""?"":" and",d+=" Angular libraries"),t.push(new ne.Finding(ne.Type.SCRIPT_ALLOWLIST_BYPASS,u+" is known to host"+d+" which allow to bypass this CSP.",ne.Severity.HIGH,n,a))}else t.push(new ne.Finding(ne.Type.SCRIPT_ALLOWLIST_BYPASS,"No bypass found; make sure that this URL doesn't serve JSONP replies or Angular libraries.",ne.Severity.MEDIUM_MAYBE,n,a))}return t}s(Que,"checkScriptAllowlistBypass");pe.checkScriptAllowlistBypass=Que;function ele(e){let t=[],n=e.getEffectiveDirective(je.Directive.OBJECT_SRC),r=e.directives[n]||[],a=e.directives[je.Directive.PLUGIN_TYPES];if(a&&!a.includes("application/x-shockwave-flash"))return[];for(let o of r){if(o===je.Keyword.NONE)return[];let i="//"+Yr.getSchemeFreeUrl(o),c=Yr.matchWildcardUrls(i,$ue.URLS);c?t.push(new ne.Finding(ne.Type.OBJECT_ALLOWLIST_BYPASS,c.hostname+" is known to host Flash files whi\
ch allow to bypass this CSP.",ne.Severity.HIGH,n,o)):n===je.Directive.OBJECT_SRC&&t.push(new ne.Finding(ne.Type.OBJECT_ALLOWLIST_BYPASS,"Can you restrict object-src to 'none' only?",ne.Severity.MEDIUM_MAYBE,n,o))}return t}s(ele,"checkFlashObjectAllowlistBypass");pe.checkFlashObjectAllowlistBypass=ele;function dB(e){return!!(e.startsWith("[")&&e.endsWith("]")||/^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}$/.test(e))}s(dB,"looksLikeIpAddress");pe.looksLikeIpAddress=dB;function tle(e){let t=[],n=s((r,a)=>{for(let o of a){let i=Yr.getHostname(o);dB(i)&&(i==="127.0.0.1"?t.push(new ne.Finding(ne.Type.IP_SOURCE,r+" directive allows localhost as source. Please make sure to remove this in production environments.",ne.Severity.INFO,r,o)):t.push(new ne.Finding(ne.Type.IP_SOURCE,r+" directive has an IP-Address as source: "+i+" (will be ignored by browsers!). ",ne.Severity.INFO,r,o)))}},"checkIp");return Yr.applyCheckFunktionToDirectives(e,n),t}s(tle,"checkIpSource");pe.checkIpSource=tle;function nle(e){
let t=[];return je.Directive.REFLECTED_XSS in e.directives&&t.push(new ne.Finding(ne.Type.DEPRECATED_DIRECTIVE,"reflected-xss is deprecated since CSP2. Please, use the X-XSS-Protection header instead.",ne.Severity.INFO,je.Directive.REFLECTED_XSS)),je.Directive.REFERRER in e.directives&&t.push(new ne.Finding(ne.Type.DEPRECATED_DIRECTIVE,"referrer is deprecated since CSP2. Please, use the Referrer-Policy header instead.",ne.Severity.INFO,je.Directive.REFERRER)),je.Directive.DISOWN_OPENER in e.directives&&t.push(new ne.Finding(ne.Type.DEPRECATED_DIRECTIVE,"disown-opener is deprecated since CSP3. Please, use the Cross Origin Opener Policy header instead.",ne.Severity.INFO,je.Directive.DISOWN_OPENER)),t}s(nle,"checkDeprecatedDirective");pe.checkDeprecatedDirective=nle;function rle(e){let t=new RegExp("^'nonce-(.+)'$"),n=[];return Yr.applyCheckFunktionToDirectives(e,(r,a)=>{for(let o of a){let i=o.match(t);if(!i)continue;i[1].length<8&&n.push(new ne.Finding(ne.Type.NONCE_LENGTH,"Nonces shoul\
d be at least 8 characters long.",ne.Severity.MEDIUM,r,o)),iB.isNonce(o,!0)||n.push(new ne.Finding(ne.Type.NONCE_CHARSET,"Nonces should only use the base64 charset.",ne.Severity.INFO,r,o))}}),n}s(rle,"checkNonceLength");pe.checkNonceLength=rle;function ale(e){let t=[];return Yr.applyCheckFunktionToDirectives(e,(n,r)=>{for(let a of r){let o=n===je.Directive.REPORT_URI?"Use HTTPS to send violation reports securely.":"Allow only resources downloaded over HTTPS.";a.startsWith("http://")&&t.push(new ne.Finding(ne.Type.SRC_HTTP,o,ne.Severity.MEDIUM,n,a))}}),t}s(ale,"checkSrcHttp");pe.checkSrcHttp=ale;function ole(e){return(e.directives[je.Directive.REPORT_URI]||[]).length>0?[]:(e.directives[je.Directive.REPORT_TO]||[]).length>0?[new ne.Finding(ne.Type.REPORT_TO_ONLY,"This CSP policy only provides a reporting destination via the 'report-to' directive. This directive is only supported in Chromium-based browsers so it is recommended to also use a 'report-uri' directive.",ne.Severity.INFO,je.Directive.
REPORT_TO)]:[new ne.Finding(ne.Type.REPORTING_DESTINATION_MISSING,"This CSP policy does not configure a reporting destination. This makes it difficult to maintain the CSP policy over time and monitor for any breakages.",ne.Severity.INFO,je.Directive.REPORT_URI)]}s(ole,"checkHasConfiguredReporting");pe.checkHasConfiguredReporting=ole});var pB=P(Vt=>{"use strict";l();var ile=Vt&&Vt.__createBinding||(Object.create?function(e,t,n,r){r===void 0&&(r=n),Object.defineProperty(e,r,{enumerable:!0,get:function(){return t[n]}})}:function(e,t,n,r){r===void 0&&(r=n),e[r]=t[n]}),sle=Vt&&Vt.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),cle=Vt&&Vt.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(e!=null)for(var n in e)n!=="default"&&Object.prototype.hasOwnProperty.call(e,n)&&ile(t,e,n);return sle(t,e),t};Object.defineProperty(Vt,"__esModule",{value:!0});Vt.checkRequiresTrustedTypesForScripts=Vt.checkAllowlistFallback=Vt.checkUnsafeInlineFallback=Vt.checkStrictDynamicNotStandalone=Vt.checkStrictDynamic=void 0;var ti=cle(Vr()),oh=Vr(),Dn=Ms();function ule(e){let t=e.getEffectiveDirective(ti.Directive.SCRIPT_SRC),n=e.directives[t]||[];return n.some(a=>!a.startsWith("'"))&&!n.includes(oh.Keyword.STRICT_DYNAMIC)?[new Dn.Finding(Dn.
Type.STRICT_DYNAMIC,"Host allowlists can frequently be bypassed. Consider using 'strict-dynamic' in combination with CSP nonces or hashes.",Dn.Severity.STRICT_CSP,t)]:[]}s(ule,"checkStrictDynamic");Vt.checkStrictDynamic=ule;function lle(e){let t=e.getEffectiveDirective(ti.Directive.SCRIPT_SRC);return(e.directives[t]||[]).includes(oh.Keyword.STRICT_DYNAMIC)&&!e.policyHasScriptNonces()&&!e.policyHasScriptHashes()?[new Dn.Finding(Dn.Type.STRICT_DYNAMIC_NOT_STANDALONE,"'strict-dynamic' without a CSP nonce/hash will block all scripts.",Dn.Severity.INFO,t)]:[]}s(lle,"checkStrictDynamicNotStandalone");Vt.checkStrictDynamicNotStandalone=lle;function dle(e){if(!e.policyHasScriptNonces()&&!e.policyHasScriptHashes())return[];let t=e.getEffectiveDirective(ti.Directive.SCRIPT_SRC);return(e.directives[t]||[]).includes(oh.Keyword.UNSAFE_INLINE)?[]:[new Dn.Finding(Dn.Type.UNSAFE_INLINE_FALLBACK,"Consider adding 'unsafe-inline' (ignored by browsers supporting nonces/hashes) to be backward compatible wi\
th older browsers.",Dn.Severity.STRICT_CSP,t)]}s(dle,"checkUnsafeInlineFallback");Vt.checkUnsafeInlineFallback=dle;function mle(e){let t=e.getEffectiveDirective(ti.Directive.SCRIPT_SRC),n=e.directives[t]||[];return n.includes(oh.Keyword.STRICT_DYNAMIC)?n.some(r=>["http:","https:","*"].includes(r)||r.includes("."))?[]:[new Dn.Finding(Dn.Type.ALLOWLIST_FALLBACK,"Consider adding https: and http: url schemes (ignored by browsers supporting 'strict-dynamic') to be backward compatible with older browsers.",Dn.Severity.STRICT_CSP,t)]:[]}s(mle,"checkAllowlistFallback");Vt.checkAllowlistFallback=mle;function ple(e){let t=e.getEffectiveDirective(ti.Directive.REQUIRE_TRUSTED_TYPES_FOR);return(e.directives[t]||[]).includes(ti.TrustedTypesSink.SCRIPT)?[]:[new Dn.Finding(Dn.Type.REQUIRE_TRUSTED_TYPES_FOR_SCRIPTS,`Consider requiring Trusted Types for scripts to lock down DOM XSS injection sinks. You can do this by adding "require-trusted-types-for 'script'" to your policy.`,Dn.Severity.INFO,ti.Directive.
REQUIRE_TRUSTED_TYPES_FOR)]}s(ple,"checkRequiresTrustedTypesForScripts");Vt.checkRequiresTrustedTypesForScripts=ple});var yB=P(io=>{"use strict";l();Object.defineProperty(io,"__esModule",{value:!0});io.evaluateForSyntaxErrors=io.evaluateForWarnings=io.evaluateForFailure=void 0;var GT=Q4(),oo=mB(),VT=pB(),fB=Vr();function gB(e,t){return e.some(n=>n.equals(t))}s(gB,"arrayContains");function fle(e){let t=[];if(e.length===0)return t;let n=e[0];for(let r of n)e.every(a=>gB(a,r))&&t.push(r);return t}s(fle,"setIntersection");function hle(e){let t=[];for(let n of e)for(let r of n)gB(t,r)||t.push(r);return t}s(hle,"setUnion");function Ls(e,t){let n=[];for(let r of e)n.push(t(r));return fle(n)}s(Ls,"atLeastOnePasses");function hB(e,t){let n=[];for(let r of e)n.push(t(r));return hle(n)}s(hB,"atLeastOneFails");function gle(e){let t=[...Ls(e,oo.checkMissingScriptSrcDirective),...Ls(e,oo.checkMissingObjectSrcDirective),...oo.checkMultipleMissingBaseUriDirective(e)],n=e.map(o=>o.getEffectiveCsp(fB.Version.CSP3)),r=n.filter(o=>{let i=o.getEffectiveDirective(fB.Directive.SCRIPT_SRC);return o.directives[i]}),a=[...Ls(r,
VT.checkStrictDynamic),...Ls(r,oo.checkScriptUnsafeInline),...Ls(n,oo.checkWildcards),...Ls(n,oo.checkPlainUrlSchemes)];return[...t,...a]}s(gle,"evaluateForFailure");io.evaluateForFailure=gle;function yle(e){return[...hB(e,VT.checkUnsafeInlineFallback),...hB(e,VT.checkAllowlistFallback)]}s(yle,"evaluateForWarnings");io.evaluateForWarnings=yle;function vle(e){let t=[];for(let n of e){let r=[...oo.checkNonceLength(n),...GT.checkUnknownDirective(n),...oo.checkDeprecatedDirective(n),...GT.checkMissingSemicolon(n),...GT.checkInvalidKeyword(n)];t.push(r)}return t}s(vle,"evaluateForSyntaxErrors");io.evaluateForSyntaxErrors=vle});var bB=P(Xn=>{"use strict";l();var ble=Xn&&Xn.__createBinding||(Object.create?function(e,t,n,r){r===void 0&&(r=n),Object.defineProperty(e,r,{enumerable:!0,get:function(){return t[n]}})}:function(e,t,n,r){r===void 0&&(r=n),e[r]=t[n]}),wle=Xn&&Xn.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),Dle=Xn&&Xn.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(e!=null)for(var n in e)n!=="default"&&Object.prototype.hasOwnProperty.call(e,n)&&ble(t,e,n);return wle(t,e),t};Object.defineProperty(Xn,"__esModule",{value:!0});Xn.TEST_ONLY=Xn.CspParser=void 0;var Ed=Dle(Vr()),$T=class{static{s(this,"CspParser")}constructor(t){this.csp=new Ed.Csp,this.parse(t)}parse(t){this.csp=new Ed.Csp;let n=t.split(";");for(let r=0;r<n.length;r++){let o=n[r].trim().match(/\S+/g);if(Array.isArray(o)){let i=o[0].toLowerCase();if(i in this.csp.directives)continue;Ed.isDirective(i);let c=[];for(let u,d=1;u=o[d];d++)u=
vB(u),c.includes(u)||c.push(u);this.csp.directives[i]=c}}return this.csp}};Xn.CspParser=$T;function vB(e){e=e.trim();let t=e.toLowerCase();return Ed.isKeyword(t)||Ed.isUrlScheme(e)?t:e}s(vB,"normalizeDirectiveValue");Xn.TEST_ONLY={normalizeDirectiveValue:vB}});function DB(e){let t=Ele[e.type];return t?Ui(t)?t:typeof t=="string"?fn(t,{keyword:e.value||""}):(t=t[e.directive],t||(M.warn("CSP Evaluator",`No translation found for description: ${e.description}`),e.description)):(M.warn("CSP Evaluator",`No translation found for description: ${e.description}`),e.description)}function Tle(e){return new wB.CspParser(e).csp}function YT(e){let t=e.map(Tle),n=(0,Os.evaluateForFailure)(t),r=(0,Os.evaluateForWarnings)(t),a=(0,Os.evaluateForSyntaxErrors)(t);return{bypasses:n,warnings:r,syntax:a}}var Os,pn,wB,ni,jt,fn,Ele,EB=g(()=>{"use strict";l();Os=Bt(yB(),1),pn=Bt(Ms(),1),wB=Bt(bB(),1),ni=Bt(Vr(),1);Me();A();aa();jt={missingBaseUri:"Missing `base-uri` allows injected `<base>` tags to set the base URL for all relative URLs (e.g. scripts) to an attacker controlled domain. Consider setting `base-uri` to `'none'` or `'self'`.",missingScriptSrc:"`script-src` directive is missing. This can allow the execution of unsafe scripts.",missingObjectSrc:"Missing `obje\
ct-src` allows the injection of plugins that execute unsafe scripts. Consider setting `object-src` to `'none'` if you can.",strictDynamic:"Host allowlists can frequently be bypassed. Consider using CSP nonces or hashes instead, along with `'strict-dynamic'` if necessary.",unsafeInline:"`'unsafe-inline'` allows the execution of unsafe in-page scripts and event handlers. Consider using CSP nonces or hashes to allow scripts individually.",unsafeInlineFallback:"Consider adding `'unsafe-inline'` (ignored by browsers supporting nonces/hashes) to be backward compatible with older browsers.",allowlistFallback:"Consider adding https: and http: URL schemes (ignored by browsers supporting `'strict-dynamic'`) to be backward compatible with older browsers.",reportToOnly:"The reporting destination is only configured via the report-to directive. This directive is only supported in Chromium-based browsers so it is recommended to also use a `report-uri` directive.",reportingDestinationMissing:"No CSP c\
onfigures a reporting destination. This makes it difficult to maintain the CSP over time and monitor for any breakages.",nonceLength:"Nonces should be at least 8 characters long.",nonceCharset:"Nonces should use the base64 charset.",missingSemicolon:"Did you forget the semicolon? {keyword} seems to be a directive, not a keyword.",unknownDirective:"Unknown CSP directive.",unknownKeyword:"{keyword} seems to be an invalid keyword.",deprecatedReflectedXSS:"`reflected-xss` is deprecated since CSP2. Please, use the X-XSS-Protection header instead.",deprecatedReferrer:"`referrer` is deprecated since CSP2. Please, use the Referrer-Policy header instead.",deprecatedDisownOpener:"`disown-opener` is deprecated since CSP3. Please, use the Cross-Origin-Opener-Policy header instead.",plainWildcards:"Avoid using plain wildcards ({keyword}) in this directive. Plain wildcards allow scripts to be sourced from an unsafe domain.",plainUrlScheme:"Avoid using plain URL schemes ({keyword}) in this directive.\
 Plain URL schemes allow scripts to be sourced from an unsafe domain."},fn=D("core/lib/csp-evaluator.js",jt),Ele={[pn.Type.MISSING_SEMICOLON]:jt.missingSemicolon,[pn.Type.UNKNOWN_DIRECTIVE]:fn(jt.unknownDirective),[pn.Type.INVALID_KEYWORD]:jt.unknownKeyword,[pn.Type.MISSING_DIRECTIVES]:{[ni.Directive.BASE_URI]:fn(jt.missingBaseUri),[ni.Directive.SCRIPT_SRC]:fn(jt.missingScriptSrc),[ni.Directive.OBJECT_SRC]:fn(jt.missingObjectSrc)},[pn.Type.SCRIPT_UNSAFE_INLINE]:fn(jt.unsafeInline),[pn.Type.PLAIN_WILDCARD]:jt.plainWildcards,[pn.Type.PLAIN_URL_SCHEMES]:jt.plainUrlScheme,[pn.Type.NONCE_LENGTH]:fn(jt.nonceLength),[pn.Type.NONCE_CHARSET]:fn(jt.nonceCharset),[pn.Type.DEPRECATED_DIRECTIVE]:{[ni.Directive.REFLECTED_XSS]:fn(jt.deprecatedReflectedXSS),[ni.Directive.REFERRER]:fn(jt.deprecatedReferrer),[ni.Directive.DISOWN_OPENER]:fn(jt.deprecatedDisownOpener)},[pn.Type.STRICT_DYNAMIC]:fn(jt.strictDynamic),[pn.Type.UNSAFE_INLINE_FALLBACK]:fn(jt.unsafeInlineFallback),[pn.Type.ALLOWLIST_FALLBACK]:fn(
jt.allowlistFallback),[pn.Type.REPORTING_DESTINATION_MISSING]:fn(jt.reportingDestinationMissing),[pn.Type.REPORT_TO_ONLY]:fn(jt.reportToOnly)};s(DB,"getTranslatedDescription");s(Tle,"parseCsp");s(YT,"evaluateRawCspsForXss")});var TB={};x(TB,{UIStrings:()=>va,default:()=>xle});var va,Zn,KT,xle,xB=g(()=>{"use strict";l();$();cn();A();EB();va={title:"Ensure CSP is effective against XSS attacks",description:"A strong Content Security Policy (CSP) significantly reduces the risk of cross-site scripting (XSS) attacks. [Learn how to use a CSP to prevent XSS](https://developer.chrome.com/docs/lighthouse/best-practices/csp-xss/)",noCsp:"No CSP found in enforcement mode",metaTagMessage:"The page contains a CSP defined in a `<meta>` tag. Consider moving the CSP to an HTTP header or defining another strict CSP in an HTTP header.",columnDirective:"Directive",columnSeverity:"Severity",itemSeveritySyntax:"Syntax"},Zn=D("core/audits/csp-xss.js",va),KT=class extends b{static{s(this,"CspXss")}static get meta(){return{id:"csp-xss",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:Zn(va.title),description:Zn(va.description),requiredArtifacts:["devtoolsLogs","MetaElements","URL"]}}static async getRawCsps(t,n){let r=t.devtoolsLogs[b.
DEFAULT_PASS],a=await it.request({devtoolsLog:r,URL:t.URL},n),o=t.MetaElements.filter(c=>c.httpEquiv&&c.httpEquiv.toLowerCase()==="content-security-policy").flatMap(c=>(c.content||"").split(",")).filter(c=>c.replace(/\s/g,""));return{cspHeaders:a.responseHeaders.filter(c=>c.name.toLowerCase()==="content-security-policy").flatMap(c=>c.value.split(",")).filter(c=>c.replace(/\s/g,"")),cspMetaTags:o}}static findingToTableItem(t,n){return{directive:t.directive,description:DB(t),severity:n}}static constructSyntaxResults(t,n){let r=[];for(let a=0;a<t.length;++a){let o=t[a].map(i=>this.findingToTableItem(i));o.length&&r.push({severity:Zn(va.itemSeveritySyntax),description:{type:"code",value:n[a]},subItems:{type:"subitems",items:o}})}return r}static constructResults(t,n){let r=[...t,...n];if(!r.length)return{score:0,results:[{severity:Zn(k.itemSeverityHigh),description:Zn(va.noCsp),directive:void 0}]};let{bypasses:a,warnings:o,syntax:i}=YT(r),c=[...this.constructSyntaxResults(i,r),...a.map(m=>this.
findingToTableItem(m,Zn(k.itemSeverityHigh))),...o.map(m=>this.findingToTableItem(m,Zn(k.itemSeverityMedium)))],d=YT(t).bypasses.length>0||t.length===0;return n.length>0&&d&&c.push({severity:Zn(k.itemSeverityMedium),description:Zn(va.metaTagMessage),directive:void 0}),{score:a.length?0:1,results:c}}static async audit(t,n){let{cspHeaders:r,cspMetaTags:a}=await this.getRawCsps(t,n),{score:o,results:i}=this.constructResults(r,a),c=[{key:"description",valueType:"text",subItemsHeading:{key:"description"},label:Zn(k.columnDescription)},{key:"directive",valueType:"code",subItemsHeading:{key:"directive"},label:Zn(va.columnDirective)},{key:"severity",valueType:"text",subItemsHeading:{key:"severity"},label:Zn(va.columnSeverity)}],u=b.makeTableDetails(c,i);return{score:o,notApplicable:!i.length,details:u}}},xle=KT});var JT,SB,CB=g(()=>{"use strict";l();JT={AuthorizationCoveredByWildcard:"Authorization will not be covered by the wildcard symbol (*) in CORS `Access-Control-Allow-Headers` handling.",CanRequestURLHTTPContainingNewline:"Resource requests whose URLs contained both removed whitespace `(n|r|t)` characters and less-than characters (`<`) are blocked. Please remove newlines and encode less-than characters from places like element attribute values in order to load these resources.",ChromeLoadTimesConnectionInfo:"`chrome.loadTimes()` is deprecated, instead use standardized API: Navigation Timing 2.",ChromeLoadTimesFirstPaintAfterLoadTime:"`chrome.loadTimes()` is deprecated, instead use standardized API: Paint Timing.",ChromeLoadTimesWasAlternateProtocolAvailable:"`chrome.loadTimes()` is deprecated, instead use standardized API: `nextHopProtocol` in Navigation Timing 2.",CookieWithTruncatingChar:"Cookies containing a `(0|r|n)` character will be rejected instead of truncated.",CrossOriginAccessBasedOnDocumentDomain:"\
Relaxing the same-origin policy by setting `document.domain` is deprecated, and will be disabled by default. This deprecation warning is for a cross-origin access that was enabled by setting `document.domain`.",CrossOriginWindowAlert:"Triggering window.alert from cross origin iframes has been deprecated and will be removed in the future.",CrossOriginWindowConfirm:"Triggering window.confirm from cross origin iframes has been deprecated and will be removed in the future.",CSSSelectorInternalMediaControlsOverlayCastButton:"The `disableRemotePlayback` attribute should be used in order to disable the default Cast integration instead of using `-internal-media-controls-overlay-cast-button` selector.",DataUrlInSvgUse:"Support for data: URLs in SVG <use> element is deprecated and it will be removed in the future.",DocumentDomainSettingWithoutOriginAgentClusterHeader:"Relaxing the same-origin policy by setting `document.domain` is deprecated, and will be disabled by default. To continue using th\
is feature, please opt-out of origin-keyed agent clusters by sending an `Origin-Agent-Cluster: ?0` header along with the HTTP response for the document and frames. See https://developer.chrome.com/blog/immutable-document-domain/ for more details.",DOMMutationEvents:"DOM Mutation Events, including `DOMSubtreeModified`, `DOMNodeInserted`, `DOMNodeRemoved`, `DOMNodeRemovedFromDocument`, `DOMNodeInsertedIntoDocument`, and `DOMCharacterDataModified` are deprecated (https://w3c.github.io/uievents/#legacy-event-types) and will be removed. Please use `MutationObserver` instead.",ExpectCTHeader:"The `Expect-CT` header is deprecated and will be removed. Chrome requires Certificate Transparency for all publicly trusted certificates issued after April 30, 2018.",GeolocationInsecureOrigin:"`getCurrentPosition()` and `watchPosition()` no longer work on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-i\
nsecure-origins for more details.",GeolocationInsecureOriginDeprecatedNotRemoved:"`getCurrentPosition()` and `watchPosition()` are deprecated on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",GetUserMediaInsecureOrigin:"`getUserMedia()` no longer works on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gle/chrome-insecure-origins for more details.",HostCandidateAttributeGetter:"`RTCPeerConnectionIceErrorEvent.hostCandidate` is deprecated. Please use `RTCPeerConnectionIceErrorEvent.address` or `RTCPeerConnectionIceErrorEvent.port` instead.",IdentityInCanMakePaymentEvent:"The merchant origin and arbitrary data from the `canmakepayment` service worker event are deprecated and will be removed: `topOrigin`, `paymentRequestOrigin`, `methodData`, `modifiers`.",InsecurePrivateNetworkSubresourceRequest:"\
The website requested a subresource from a network that it could only access because of its users' privileged network position. These requests expose non-public devices and servers to the internet, increasing the risk of a cross-site request forgery (CSRF) attack, and/or information leakage. To mitigate these risks, Chrome deprecates requests to non-public subresources when initiated from non-secure contexts, and will start blocking them.",InterestGroupDailyUpdateUrl:"The `dailyUpdateUrl` field of `InterestGroups` passed to `joinAdInterestGroup()` has been renamed to `updateUrl`, to more accurately reflect its behavior.",LocalCSSFileExtensionRejected:"CSS cannot be loaded from `file:` URLs unless they end in a `.css` file extension.",MediaSourceAbortRemove:"Using `SourceBuffer.abort()` to abort `remove()`'s asynchronous range removal is deprecated due to specification change. Support will be removed in the future. You should listen to the `updateend` event instead. `abort()` is intende\
d to only abort an asynchronous media append or reset parser state.",MediaSourceDurationTruncatingBuffered:"Setting `MediaSource.duration` below the highest presentation timestamp of any buffered coded frames is deprecated due to specification change. Support for implicit removal of truncated buffered media will be removed in the future. You should instead perform explicit `remove(newDuration, oldDuration)` on all `sourceBuffers`, where `newDuration < oldDuration`.",NonStandardDeclarativeShadowDOM:"The older, non-standardized `shadowroot` attribute is deprecated, and will *no longer function* in M119. Please use the new, standardized `shadowrootmode` attribute instead.",NoSysexWebMIDIWithoutPermission:"Web MIDI will ask a permission to use even if the sysex is not specified in the `MIDIOptions`.",NotificationInsecureOrigin:"The Notification API may no longer be used from insecure origins. You should consider switching your application to a secure origin, such as HTTPS. See https://goo.\
gle/chrome-insecure-origins for more details.",NotificationPermissionRequestedIframe:"Permission for the Notification API may no longer be requested from a cross-origin iframe. You should consider requesting permission from a top-level frame or opening a new window instead.",ObsoleteCreateImageBitmapImageOrientationNone:"Option `imageOrientation: 'none'` in createImageBitmap is deprecated. Please use createImageBitmap with option \\{imageOrientation: 'from-image'\\} instead.",ObsoleteWebRtcCipherSuite:"Your partner is negotiating an obsolete (D)TLS version. Please check with your partner to have this fixed.",OverflowVisibleOnReplacedElement:"Specifying `overflow: visible` on img, video and canvas tags may cause them to produce visual content outside of the element bounds. See https://github.com/WICG/shared-element-transitions/blob/main/debugging_overflow_on_images.md.",PaymentInstruments:"`paymentManager.instruments` is deprecated. Please use just-in-time install for payment handlers i\
nstead.",PaymentRequestCSPViolation:"Your `PaymentRequest` call bypassed Content-Security-Policy (CSP) `connect-src` directive. This bypass is deprecated. Please add the payment method identifier from the `PaymentRequest` API (in `supportedMethods` field) to your CSP `connect-src` directive.",PersistentQuotaType:"`StorageType.persistent` is deprecated. Please use standardized `navigator.storage` instead.",PictureSourceSrc:"`<source src>` with a `<picture>` parent is invalid and therefore ignored. Please use `<source srcset>` instead.",PrefixedCancelAnimationFrame:"webkitCancelAnimationFrame is vendor-specific. Please use the standard cancelAnimationFrame instead.",PrefixedRequestAnimationFrame:"webkitRequestAnimationFrame is vendor-specific. Please use the standard requestAnimationFrame instead.",PrefixedVideoDisplayingFullscreen:"HTMLVideoElement.webkitDisplayingFullscreen is deprecated. Please use Document.fullscreenElement instead.",PrefixedVideoEnterFullScreen:"HTMLVideoElement.web\
kitEnterFullScreen() is deprecated. Please use Element.requestFullscreen() instead.",PrefixedVideoEnterFullscreen:"HTMLVideoElement.webkitEnterFullscreen() is deprecated. Please use Element.requestFullscreen() instead.",PrefixedVideoExitFullScreen:"HTMLVideoElement.webkitExitFullScreen() is deprecated. Please use Document.exitFullscreen() instead.",PrefixedVideoExitFullscreen:"HTMLVideoElement.webkitExitFullscreen() is deprecated. Please use Document.exitFullscreen() instead.",PrefixedVideoSupportsFullscreen:"HTMLVideoElement.webkitSupportsFullscreen is deprecated. Please use Document.fullscreenEnabled instead.",PrivacySandboxExtensionsAPI:"We're deprecating the API `chrome.privacy.websites.privacySandboxEnabled`, though it will remain active for backward compatibility until release M113. Instead, please use `chrome.privacy.websites.topicsEnabled`, `chrome.privacy.websites.fledgeEnabled` and `chrome.privacy.websites.adMeasurementEnabled`. See https://developer.chrome.com/docs/extension\
s/reference/privacy/#property-websites-privacySandboxEnabled.",RangeExpand:"Range.expand() is deprecated. Please use Selection.modify() instead.",RequestedSubresourceWithEmbeddedCredentials:"Subresource requests whose URLs contain embedded credentials (e.g. `https://user:pass@host/`) are blocked.",RTCConstraintEnableDtlsSrtpFalse:"The constraint `DtlsSrtpKeyAgreement` is removed. You have specified a `false` value for this constraint, which is interpreted as an attempt to use the removed `SDES key negotiation` method. This functionality is removed; use a service that supports `DTLS key negotiation` instead.",RTCConstraintEnableDtlsSrtpTrue:"The constraint `DtlsSrtpKeyAgreement` is removed. You have specified a `true` value for this constraint, which had no effect, but you can remove this constraint for tidiness.",RTCPeerConnectionGetStatsLegacyNonCompliant:"The callback-based getStats() is deprecated and will be removed. Use the spec-compliant getStats() instead.",RtcpMuxPolicyNegotiate:"\
The `rtcpMuxPolicy` option is deprecated and will be removed.",SharedArrayBufferConstructedWithoutIsolation:"`SharedArrayBuffer` will require cross-origin isolation. See https://developer.chrome.com/blog/enabling-shared-array-buffer/ for more details.",TextToSpeech_DisallowedByAutoplay:"`speechSynthesis.speak()` without user activation is deprecated and will be removed.",V8SharedArrayBufferConstructedInExtensionWithoutIsolation:"Extensions should opt into cross-origin isolation to continue using `SharedArrayBuffer`. See https://developer.chrome.com/docs/extensions/mv3/cross-origin-isolation/.",WebSQL:"Web SQL is deprecated. Please use SQLite WebAssembly or Indexed Database",WindowPlacementPermissionDescriptorUsed:"The permission descriptor `window-placement` is deprecated. Use `window-management` instead. For more help, check https://bit.ly/window-placement-rename.",WindowPlacementPermissionPolicyParsed:"The permission policy `window-placement` is deprecated. Use `window-management` in\
stead. For more help, check https://bit.ly/window-placement-rename.",XHRJSONEncodingDetection:"UTF-16 is not supported by response json in `XMLHttpRequest`",XMLHttpRequestSynchronousInNonWorkerOutsideBeforeUnload:"Synchronous `XMLHttpRequest` on the main thread is deprecated because of its detrimental effects to the end user's experience. For more help, check https://xhr.spec.whatwg.org/.",XRSupportsSession:"`supportsSession()` is deprecated. Please use `isSessionSupported()` and check the resolved boolean value instead."},SB={AuthorizationCoveredByWildcard:{milestone:97},CSSSelectorInternalMediaControlsOverlayCastButton:{chromeStatusFeature:5714245488476160},CanRequestURLHTTPContainingNewline:{chromeStatusFeature:5735596811091968},ChromeLoadTimesConnectionInfo:{chromeStatusFeature:5637885046816768},ChromeLoadTimesFirstPaintAfterLoadTime:{chromeStatusFeature:5637885046816768},ChromeLoadTimesWasAlternateProtocolAvailable:{chromeStatusFeature:5637885046816768},CookieWithTruncatingChar:{milestone:103},
CrossOriginAccessBasedOnDocumentDomain:{milestone:115},DOMMutationEvents:{chromeStatusFeature:5083947249172480,milestone:127},DataUrlInSvgUse:{chromeStatusFeature:5128825141198848,milestone:119},DocumentDomainSettingWithoutOriginAgentClusterHeader:{milestone:115},ExpectCTHeader:{chromeStatusFeature:6244547273687040,milestone:107},IdentityInCanMakePaymentEvent:{chromeStatusFeature:5190978431352832},InsecurePrivateNetworkSubresourceRequest:{chromeStatusFeature:5436853517811712,milestone:92},LocalCSSFileExtensionRejected:{milestone:64},MediaSourceAbortRemove:{chromeStatusFeature:6107495151960064},MediaSourceDurationTruncatingBuffered:{chromeStatusFeature:6107495151960064},NoSysexWebMIDIWithoutPermission:{chromeStatusFeature:5138066234671104,milestone:82},NonStandardDeclarativeShadowDOM:{chromeStatusFeature:6239658726391808,milestone:119},NotificationPermissionRequestedIframe:{chromeStatusFeature:6451284559265792},ObsoleteCreateImageBitmapImageOrientationNone:{milestone:111},ObsoleteWebRtcCipherSuite:{
milestone:81},OverflowVisibleOnReplacedElement:{chromeStatusFeature:5137515594383360,milestone:108},PaymentInstruments:{chromeStatusFeature:5099285054488576},PaymentRequestCSPViolation:{chromeStatusFeature:6286595631087616},PersistentQuotaType:{chromeStatusFeature:5176235376246784,milestone:106},RTCConstraintEnableDtlsSrtpFalse:{milestone:97},RTCConstraintEnableDtlsSrtpTrue:{milestone:97},RTCPeerConnectionGetStatsLegacyNonCompliant:{chromeStatusFeature:4631626228695040,milestone:117},RequestedSubresourceWithEmbeddedCredentials:{chromeStatusFeature:5669008342777856},RtcpMuxPolicyNegotiate:{chromeStatusFeature:5654810086866944,milestone:62},SharedArrayBufferConstructedWithoutIsolation:{milestone:106},TextToSpeech_DisallowedByAutoplay:{chromeStatusFeature:5687444770914304,milestone:71},V8SharedArrayBufferConstructedInExtensionWithoutIsolation:{milestone:96},WebSQL:{chromeStatusFeature:5134293578285056,milestone:115},WindowPlacementPermissionDescriptorUsed:{chromeStatusFeature:5137018030391296,
milestone:112},WindowPlacementPermissionPolicyParsed:{chromeStatusFeature:5137018030391296,milestone:112},XHRJSONEncodingDetection:{milestone:93},XRSupportsSession:{milestone:80}}});function kB(e){let t,n=e.type,r=JT[n];r&&(t=Sle(r));let a=[],o=SB[n],i=o?.chromeStatusFeature??0;i!==0&&a.push({link:`https://chromestatus.com/feature/${i}`,linkTitle:XT(ih.feature)});let c=o?.milestone??0;return c!==0&&a.push({link:"https://chromiumdash.appspot.com/schedule",linkTitle:XT(ih.milestone,{milestone:c})}),{substitutions:new Map([["PLACEHOLDER_title",XT(ih.title)],["PLACEHOLDER_message",t]]),links:a,message:t}}var ih,XT,Sle,FB=g(()=>{"use strict";l();A();CB();ih={feature:"Check the feature status page for more details.",milestone:"This change will go into effect with milestone {milestone}.",title:"Deprecated Feature Used"},XT=D("core/lib/deprecation-description.js",ih),Sle=D("core/lib/deprecation-description.js",JT);s(kB,"getIssueDetailDescription")});var RB={};x(RB,{UIStrings:()=>ri,default:()=>Cle});var ri,Bs,ZT,Cle,AB=g(()=>{"use strict";l();$();to();A();FB();ri={title:"Avoids deprecated APIs",failureTitle:"Uses deprecated APIs",description:"Deprecated APIs will eventually be removed from the browser. [Learn more about deprecated APIs](https://developer.chrome.com/docs/lighthouse/best-practices/deprecations/).",displayValue:`{itemCount, plural,
    =1 {1 warning found}
    other {# warnings found}
    }`,columnDeprecate:"Deprecation / Warning",columnLine:"Line"},Bs=D("core/audits/deprecations.js",ri),ZT=class extends b{static{s(this,"Deprecations")}static get meta(){return{id:"deprecations",title:Bs(ri.title),failureTitle:Bs(ri.failureTitle),description:Bs(ri.description),requiredArtifacts:["InspectorIssues","SourceMaps","Scripts"]}}static async audit(t,n){let r=await Rn.request(t,n),a=t.InspectorIssues.deprecationIssue.map(u=>{let{scriptId:d,url:m,lineNumber:p,columnNumber:h}=u.sourceCodeLocation,f=r.find(T=>T.script.scriptId===d),y=kB(u),v;y.links.length&&(v={type:"subitems",items:y.links.map(T=>({type:"link",url:T.link,text:T.linkTitle}))});let w=u.message;return{value:y.message||w||u.type,source:b.makeSourceLocation(m,p,h-1,f),subItems:v}}),o=[{key:"value",valueType:"text",label:Bs(ri.columnDeprecate)},{key:"source",valueType:"source-location",label:Bs(k.columnSource)}],i=b.makeTableDetails(o,a),c;return a.length>0&&(c=Bs(ri.displayValue,{itemCount:a.length})),{score:+(a.length===
0),displayValue:c,details:i}}},Cle=ZT});var _B={};x(_B,{default:()=>kle});var QT,kle,IB=g(()=>{"use strict";l();$();Xo();nt();Po();cn();QT=class extends b{static{s(this,"Diagnostics")}static get meta(){return{id:"diagnostics",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:"Diagnostics",description:"Collection of useful page vitals.",supportedModes:["navigation"],requiredArtifacts:["URL","traces","devtoolsLogs"]}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=await Yn.request(r,n),i=await ae.request(a,n),c=await lr.request(a,n),u=await it.request({devtoolsLog:a,URL:t.URL},n),d=o.filter(w=>!w.parent),m=u.transferSize,p=i.reduce((w,E)=>w+(E.transferSize||0),0),h=d.reduce((w,E)=>w+(E.duration||0),0),f=Math.max(...c.additionalRttByOrigin.values())+c.rtt,y=Math.max(...c.serverResponseTimeByOrigin.values());return{score:1,details:{type:"debugdata",items:[{numRequests:i.length,numScripts:i.filter(w=>w.resourceType==="Script").length,numStylesheets:i.filter(w=>w.resourceType==="Styleshee\
t").length,numFonts:i.filter(w=>w.resourceType==="Font").length,numTasks:d.length,numTasksOver10ms:d.filter(w=>w.duration>10).length,numTasksOver25ms:d.filter(w=>w.duration>25).length,numTasksOver50ms:d.filter(w=>w.duration>50).length,numTasksOver100ms:d.filter(w=>w.duration>100).length,numTasksOver500ms:d.filter(w=>w.duration>500).length,rtt:c.rtt,throughput:c.throughput,maxRtt:f,maxServerLatency:y,totalByteWeight:p,totalTaskTime:h,mainDocumentTransferSize:m}]}}}},kle=QT});var PB={};x(PB,{CHARSET_HTML_REGEX:()=>NB,CHARSET_HTTP_REGEX:()=>tx,IANA_REGEX:()=>MB,UIStrings:()=>Td,default:()=>Rle});var Td,ex,Fle,MB,NB,tx,nx,Rle,LB=g(()=>{"use strict";l();$();A();cn();Td={title:"Properly defines charset",failureTitle:"Charset declaration is missing or occurs too late in the HTML",description:"A character encoding declaration is required. It can be done with a `<meta>` tag in the first 1024 bytes of the HTML or in the Content-Type HTTP response header. [Learn more about declaring the character encoding](https://developer.chrome.com/docs/lighthouse/best-practices/charset/)."},ex=D("core/audits/dobetterweb/charset.js",Td),Fle="content-type",MB=/^[a-zA-Z0-9-_:.()]{2,}$/,NB=/<meta[^>]+charset[^<]+>/i,tx=/charset\s*=\s*[a-zA-Z0-9-_:.()]{2,}/i,nx=class extends b{static{s(this,"CharsetDefined")}static get meta(){return{id:"charset",title:ex(Td.title),failureTitle:ex(Td.failureTitle),description:ex(Td.description),requiredArtifacts:["MainDocumentContent","URL","devtoolsL\
ogs","MetaElements"]}}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=await it.request({devtoolsLog:r,URL:t.URL},n),o=!1;if(a.responseHeaders){let c=a.responseHeaders.find(u=>u.name.toLowerCase()===Fle);c&&(o=tx.test(c.value))}return o=o||t.MainDocumentContent.charCodeAt(0)===65279,NB.test(t.MainDocumentContent.slice(0,1024))&&(o=o||t.MetaElements.some(c=>c.charset&&MB.test(c.charset)||c.httpEquiv==="content-type"&&c.content&&tx.test(c.content))),{score:Number(o)}}},Rle=nx});var OB={};x(OB,{UIStrings:()=>gr,default:()=>Ale});var gr,ba,rx,Ale,BB=g(()=>{"use strict";l();$();A();Nt();gr={title:"Page has the HTML doctype",failureTitle:"Page lacks the HTML doctype, thus triggering quirks-mode",description:"Specifying a doctype prevents the browser from switching to quirks-mode. [Learn more about the doctype declaration](https://developer.chrome.com/docs/lighthouse/best-practices/doctype/).",explanationNoDoctype:"Document must contain a doctype",explanationWrongDoctype:"Document contains a `doctype` that triggers `quirks-mode`",explanationLimitedQuirks:"Document contains a `doctype` that triggers `limited-quirks-mode`",explanationPublicId:"Expected publicId to be an empty string",explanationSystemId:"Expected systemId to be an empty string",explanationBadDoctype:"Doctype name must be the string `html`"},ba=D("core/audits/dobetterweb/doctype.js",gr),rx=class extends b{static{s(this,"Doctype")}static get meta(){return{id:"doctype",title:ba(gr.title),failureTitle:ba(
gr.failureTitle),description:ba(gr.description),requiredArtifacts:["Doctype"],__internalOptionalArtifacts:["InspectorIssues","traces"]}}static async audit(t,n){if(!t.Doctype)return{score:0,explanation:ba(gr.explanationNoDoctype)};let r=t.Doctype.name,a=t.Doctype.publicId,o=t.Doctype.systemId,i=t.Doctype.documentCompatMode,c=t.traces?.[b.DEFAULT_PASS],u=[];if(c&&t.InspectorIssues){let p=(await Ce.request(c,n)).mainFrameInfo.frameId;u=t.InspectorIssues.quirksModeIssue.filter(h=>h.frameId===p)}let d=u.some(m=>m.isLimitedQuirksMode);return i==="CSS1Compat"&&!d?{score:1}:d?{score:0,explanation:ba(gr.explanationLimitedQuirks)}:a!==""?{score:0,explanation:ba(gr.explanationPublicId)}:o!==""?{score:0,explanation:ba(gr.explanationSystemId)}:r!=="html"?{score:0,explanation:ba(gr.explanationBadDoctype)}:{score:0,explanation:ba(gr.explanationWrongDoctype)}}},Ale=rx});var UB={};x(UB,{UIStrings:()=>yr,default:()=>_le});var yr,Kr,ax,_le,jB=g(()=>{"use strict";l();$();A();ad();Nn();yr={title:"Avoids an excessive DOM size",failureTitle:"Avoid an excessive DOM size",description:"A large DOM will increase memory usage, cause longer [style calculations](https://developers.google.com/web/fundamentals/performance/rendering/reduce-the-scope-and-complexity-of-style-calculations), and produce costly [layout reflows](https://developers.google.com/speed/articles/reflow). [Learn how to avoid an excessive DOM size](https://developer.chrome.com/docs/lighthouse/performance/dom-size/).",columnStatistic:"Statistic",columnValue:"Value",displayValue:`{itemCount, plural,
    =1 {1 element}
    other {# elements}
    }`,statisticDOMElements:"Total DOM Elements",statisticDOMDepth:"Maximum DOM Depth",statisticDOMWidth:"Maximum Child Elements"},Kr=D("core/audits/dobetterweb/dom-size.js",yr),ax=class extends b{static{s(this,"DOMSize")}static get meta(){return{id:"dom-size",title:Kr(yr.title),failureTitle:Kr(yr.failureTitle),description:Kr(yr.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:1,requiredArtifacts:["DOMStats","URL","GatherContext"],__internalOptionalArtifacts:["traces","devtoolsLogs"]}}static get defaultOptions(){return{p10:818,median:1400}}static async computeTbtImpact(t,n){let r=0,{GatherContext:a,devtoolsLogs:o,traces:i}=t;if(a.gatherMode!=="navigation")return;if(!o?.[b.DEFAULT_PASS]||!i?.[b.DEFAULT_PASS])return 0;let c=b.makeMetricComputationDataInput(t,n);try{let u=await Qa.request(c,n);for(let d of u)d.group.id==="styleLayout"&&(r+=d.selfTbtImpact)}catch{}return Math.round(r)}static async audit(t,n){let r=t.DOMStats,a=b.computeLogNormalScore({p10:n.options.
p10,median:n.options.median},r.totalBodyElements),o=[{key:"statistic",valueType:"text",label:Kr(yr.columnStatistic)},{key:"node",valueType:"node",label:Kr(k.columnElement)},{key:"value",valueType:"numeric",label:Kr(yr.columnValue)}],i=[{statistic:Kr(yr.statisticDOMElements),value:{type:"numeric",granularity:1,value:r.totalBodyElements}},{node:b.makeNodeItem(r.depth),statistic:Kr(yr.statisticDOMDepth),value:{type:"numeric",granularity:1,value:r.depth.max}},{node:b.makeNodeItem(r.width),statistic:Kr(yr.statisticDOMWidth),value:{type:"numeric",granularity:1,value:r.width.max}}],c=await this.computeTbtImpact(t,n);return{score:a,scoreDisplayMode:a>=Ne.PASS_THRESHOLD?b.SCORING_MODES.INFORMATIVE:void 0,numericValue:r.totalBodyElements,numericUnit:"element",displayValue:Kr(yr.displayValue,{itemCount:r.totalBodyElements}),details:b.makeTableDetails(o,i),metricSavings:{TBT:c}}}},_le=ax});var ox,$t,xd=g(()=>{"use strict";l();$();to();ox=class extends b{static{s(this,"ViolationAudit")}static async getViolationResults(t,n,r){let a=await Rn.request(t,n);function o(c){return c!==void 0}s(o,"filterUndefined");let i=new Set;return t.ConsoleMessages.filter(c=>c.url&&c.source==="violation"&&r.test(c.text)).map(c=>{let u=a.find(d=>d.script.scriptId===c.scriptId);return b.makeSourceLocationFromConsoleMessage(c,u)}).filter(o).filter(c=>{let u=`${c.url}!${c.line}!${c.column}`;return i.has(u)?!1:(i.add(u),!0)}).map(c=>({source:c}))}},$t=ox});var qB={};x(qB,{UIStrings:()=>Sd,default:()=>Ile});var Sd,sh,ix,Ile,zB=g(()=>{"use strict";l();xd();A();Sd={title:"Avoids requesting the geolocation permission on page load",failureTitle:"Requests the geolocation permission on page load",description:"Users are mistrustful of or confused by sites that request their location without context. Consider tying the request to a user action instead. [Learn more about the geolocation permission](https://developer.chrome.com/docs/lighthouse/best-practices/geolocation-on-start/)."},sh=D("core/audits/dobetterweb/geolocation-on-start.js",Sd),ix=class extends $t{static{s(this,"GeolocationOnStart")}static get meta(){return{id:"geolocation-on-start",title:sh(Sd.title),failureTitle:sh(Sd.failureTitle),description:sh(Sd.description),supportedModes:["navigation"],requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"]}}static async audit(t,n){let r=await $t.getViolationResults(t,n,/geolocation/),a=[{key:"source",valueType:"source-location",label:sh(
k.columnSource)}],o=$t.makeTableDetails(a,r);return{score:+(r.length===0),details:o}}},Ile=ix});var HB={};x(HB,{UIStrings:()=>so,default:()=>Mle});var so,Us,sx,Mle,WB=g(()=>{"use strict";l();$();A();so={title:"No issues in the `Issues` panel in Chrome Devtools",failureTitle:"Issues were logged in the `Issues` panel in Chrome Devtools",description:"Issues logged to the `Issues` panel in Chrome Devtools indicate unresolved problems. They can come from network request failures, insufficient security controls, and other browser concerns. Open up the Issues panel in Chrome DevTools for more details on each issue.",columnIssueType:"Issue type",issueTypeBlockedByResponse:"Blocked by cross-origin policy",issueTypeHeavyAds:"Heavy resource usage by ads"},Us=D("core/audits/dobetterweb/inspector-issues.js",so),sx=class extends b{static{s(this,"IssuesPanelEntries")}static get meta(){return{id:"inspector-issues",title:Us(so.title),failureTitle:Us(so.failureTitle),description:Us(so.description),requiredArtifacts:["InspectorIssues"]}}static getMixedContentRow(t){let n=new Set;for(let r of t){let a=r.
request?.url||r.mainResourceURL;n.add(a)}return{issueType:"Mixed content",subItems:{type:"subitems",items:Array.from(n).map(r=>({url:r}))}}}static getCookieRow(t){let n=new Set;for(let r of t){let a=r.request?.url||r.cookieUrl;a&&n.add(a)}return{issueType:"Cookie",subItems:{type:"subitems",items:Array.from(n).map(r=>({url:r}))}}}static getBlockedByResponseRow(t){let n=new Set;for(let r of t){let a=r.request?.url;a&&n.add(a)}return{issueType:Us(so.issueTypeBlockedByResponse),subItems:{type:"subitems",items:Array.from(n).map(r=>({url:r}))}}}static getContentSecurityPolicyRow(t){let n=new Set;for(let r of t){let a=r.blockedURL;a&&n.add(a)}return{issueType:"Content security policy",subItems:{type:"subitems",items:Array.from(n).map(r=>({url:r}))}}}static audit(t){let n=[{key:"issueType",valueType:"text",subItemsHeading:{key:"url",valueType:"url"},label:Us(so.columnIssueType)}],r=t.InspectorIssues,a=[];r.mixedContentIssue.length&&a.push(this.getMixedContentRow(r.mixedContentIssue)),r.cookieIssue.
length&&a.push(this.getCookieRow(r.cookieIssue)),r.blockedByResponseIssue.length&&a.push(this.getBlockedByResponseRow(r.blockedByResponseIssue)),r.heavyAdIssue.length&&a.push({issueType:Us(so.issueTypeHeavyAds)});let o=r.contentSecurityPolicyIssue.filter(i=>i.contentSecurityPolicyViolationType!=="kTrustedTypesSinkViolation"&&i.contentSecurityPolicyViolationType!=="kTrustedTypesPolicyViolation");return o.length&&a.push(this.getContentSecurityPolicyRow(o)),{score:a.length>0?0:1,details:b.makeTableDetails(n,a)}}},Mle=sx});var GB={};x(GB,{UIStrings:()=>Cd,default:()=>Nle});var Cd,ch,cx,Nle,VB=g(()=>{"use strict";l();$();A();Cd={title:"Detected JavaScript libraries",description:"All front-end JavaScript libraries detected on the page. [Learn more about this JavaScript library detection diagnostic audit](https://developer.chrome.com/docs/lighthouse/best-practices/js-libraries/).",columnVersion:"Version"},ch=D("core/audits/dobetterweb/js-libraries.js",Cd),cx=class extends b{static{s(this,"JsLibrariesAudit")}static get meta(){return{id:"js-libraries",title:ch(Cd.title),scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,description:ch(Cd.description),requiredArtifacts:["Stacks"]}}static audit(t){let n=t.Stacks.filter(i=>i.detector==="js").filter(i=>!i.id.endsWith("-fast")).map(i=>({name:i.name,version:i.version,npm:i.npm})),r=[{key:"name",valueType:"text",label:ch(k.columnName)},{key:"version",valueType:"text",label:ch(Cd.columnVersion)}],a=b.makeTableDetails(r,n),o={type:"debugdata",stacks:t.Stacks.map(i=>({id:i.id,
version:i.version}))};return n.length?{score:1,details:{...a,debugData:o}}:{score:null,notApplicable:!0}}},Nle=cx});var $B={};x($B,{UIStrings:()=>kd,default:()=>Ple});var kd,uh,ux,Ple,YB=g(()=>{"use strict";l();xd();A();kd={title:"Avoids `document.write()`",failureTitle:"Avoid `document.write()`",description:"For users on slow connections, external scripts dynamically injected via `document.write()` can delay page load by tens of seconds. [Learn how to avoid document.write()](https://developer.chrome.com/docs/lighthouse/best-practices/no-document-write/)."},uh=D("core/audits/dobetterweb/no-document-write.js",kd),ux=class extends $t{static{s(this,"NoDocWriteAudit")}static get meta(){return{id:"no-document-write",title:uh(kd.title),failureTitle:uh(kd.failureTitle),description:uh(kd.description),guidanceLevel:2,requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"],scoreDisplayMode:$t.SCORING_MODES.METRIC_SAVINGS}}static async audit(t,n){let r=await $t.getViolationResults(t,n,/document\.write/),a=[{key:"source",valueType:"source-location",label:uh(k.columnSource)}],o=$t.makeTableDetails(a,r);return{
score:+(r.length===0),details:o}}},Ple=ux});var KB={};x(KB,{UIStrings:()=>Fd,default:()=>Lle});var Fd,lh,lx,Lle,JB=g(()=>{"use strict";l();xd();A();Fd={title:"Avoids requesting the notification permission on page load",failureTitle:"Requests the notification permission on page load",description:"Users are mistrustful of or confused by sites that request to send notifications without context. Consider tying the request to user gestures instead. [Learn more about responsibly getting permission for notifications](https://developer.chrome.com/docs/lighthouse/best-practices/notification-on-start/)."},lh=D("core/audits/dobetterweb/notification-on-start.js",Fd),lx=class extends $t{static{s(this,"NotificationOnStart")}static get meta(){return{id:"notification-on-start",title:lh(Fd.title),failureTitle:lh(Fd.failureTitle),description:lh(Fd.description),supportedModes:["navigation"],requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"]}}static async audit(t,n){let r=await $t.getViolationResults(t,n,/notification permission/),a=[{key:"\
source",valueType:"source-location",label:lh(k.columnSource)}],o=$t.makeTableDetails(a,r);return{score:+(r.length===0),details:o}}},Lle=lx});var XB={};x(XB,{UIStrings:()=>Rd,default:()=>Ole});var Rd,dh,dx,Ole,ZB=g(()=>{"use strict";l();$();A();Rd={title:"Allows users to paste into input fields",failureTitle:"Prevents users from pasting into input fields",description:"Preventing input pasting is a bad practice for the UX, and weakens security by blocking password managers.[Learn more about user-friendly input fields](https://developer.chrome.com/docs/lighthouse/best-practices/paste-preventing-inputs/)."},dh=D("core/audits/dobetterweb/paste-preventing-inputs.js",Rd),dx=class extends b{static{s(this,"PastePreventingInputsAudit")}static get meta(){return{id:"paste-preventing-inputs",title:dh(Rd.title),failureTitle:dh(Rd.failureTitle),description:dh(Rd.description),requiredArtifacts:["Inputs"]}}static audit(t){let n=t.Inputs.inputs.filter(o=>o.preventsPaste),r=[];n.forEach(o=>{r.push({node:b.makeNodeItem(o.node),type:o.type})});let a=[{key:"node",valueType:"node",label:dh(k.columnFailingElem)}];return{score:+(n.length===0),details:b.
makeTableDetails(a,r)}}},Ole=dx});var QB={};x(QB,{UIStrings:()=>oi,default:()=>Ule});var oi,ai,Ble,mx,Ule,e9=g(()=>{"use strict";l();$();ga();tt();Ct();nt();Ar();Qo();hr();A();oi={title:"Use HTTP/2",description:"HTTP/2 offers many benefits over HTTP/1.1, including binary headers and multiplexing. [Learn more about HTTP/2](https://developer.chrome.com/docs/lighthouse/best-practices/uses-http2/).",displayValue:`{itemCount, plural,
    =1 {1 request not served via HTTP/2}
    other {# requests not served via HTTP/2}
    }`,columnProtocol:"Protocol"},ai=D("core/audits/dobetterweb/uses-http2.js",oi),Ble=new Set([J.TYPES.Document,J.TYPES.Font,J.TYPES.Image,J.TYPES.Stylesheet,J.TYPES.Script,J.TYPES.Media]),mx=class e extends b{static{s(this,"UsesHTTP2Audit")}static get meta(){return{id:"uses-http2",title:ai(oi.title),description:ai(oi.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:3,supportedModes:["timespan","navigation"],requiredArtifacts:["URL","devtoolsLogs","traces","GatherContext"]}}static computeWasteWithGraph(t,n,r,a){a=Object.assign({label:""},a);let o=`${this.meta.id}-${a.label}-before`,i=`${this.meta.id}-${a.label}-after`,c=new Set(t.map(h=>h.url)),u=r.simulate(n,{label:o}),d=new Map;n.traverse(h=>{h.type==="network"&&c.has(h.record.url)&&(d.set(h.record.requestId,h.record.protocol),h.request.protocol="h2")});let m=r.simulate(n,{label:i});n.traverse(h=>{if(h.type!=="network")return;let f=d.get(h.record.requestId);f!==void 0&&(h.request.protocol=f)});let p=u.timeInMs-
m.timeInMs;return{savings:Math.round(Math.max(p,0)/10)*10,simulationBefore:u,simulationAfter:m}}static isMultiplexableStaticAsset(t,n){if(!Ble.has(t.resourceType))return!1;if(t.resourceSize<100){let r=n.entityByUrl.get(t.url);if(r){if(n.firstParty?.name===r.name)return!0;if(!r.isUnrecognized)return!1}}return!0}static determineNonHttp2Resources(t,n){let r=[],a=new Set,o=new Map;for(let i of t){if(!e.isMultiplexableStaticAsset(i,n)||K.isLikeLocalhost(i.parsedURL.host))continue;let c=o.get(i.parsedURL.securityOrigin)||[];c.push(i),o.set(i.parsedURL.securityOrigin,c)}for(let i of t)a.has(i.url)||i.fetchedViaServiceWorker||!/HTTP\/[01][.\d]?/i.test(i.protocol)||(o.get(i.parsedURL.securityOrigin)||[]).length<6||(a.add(i.url),r.push({protocol:i.protocol,url:i.url}));return r}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=t.URL,o=await ae.request(r,n),i=await mn.request({URL:a,devtoolsLog:r},n),c=e.determineNonHttp2Resources(o,i),u;if(c.length>0&&(u=ai(oi.displayValue,{itemCount:c.
length})),t.GatherContext.gatherMode==="timespan"){let S=[{key:"url",valueType:"url",label:ai(k.columnURL)},{key:"protocol",valueType:"text",label:ai(oi.columnProtocol)}],C=b.makeTableDetails(S,c);return{displayValue:u,score:c.length?0:1,details:C}}let d=n?.settings||{},m={devtoolsLog:r,settings:d},p=await Zt.request(m,n),h=b.makeMetricComputationDataInput(t,n),{pessimisticGraph:f}=await Ut.request(h,n),{pessimisticGraph:y}=await Jn.request(h,n),v=e.computeWasteWithGraph(c,f,p,{label:"fcp"}),w=e.computeWasteWithGraph(c,y,p,{label:"lcp"}),E=[{key:"url",valueType:"url",label:ai(k.columnURL)},{key:"protocol",valueType:"text",label:ai(oi.columnProtocol)}],T=b.makeOpportunityDetails(E,c,{overallSavingsMs:w.savings});return{displayValue:u,numericValue:w.savings,numericUnit:"millisecond",score:c.length?0:1,details:T,metricSavings:{LCP:w.savings,FCP:v.savings}}}},Ule=mx});var t9={};x(t9,{UIStrings:()=>Ad,default:()=>jle});var Ad,mh,px,jle,n9=g(()=>{"use strict";l();xd();A();Ad={title:"Uses passive listeners to improve scrolling performance",failureTitle:"Does not use passive listeners to improve scrolling performance",description:"Consider marking your touch and wheel event listeners as `passive` to improve your page's scroll performance. [Learn more about adopting passive event listeners](https://developer.chrome.com/docs/lighthouse/best-practices/uses-passive-event-listeners/)."},mh=D("core/audits/dobetterweb/uses-passive-event-listeners.js",Ad),px=class extends $t{static{s(this,"PassiveEventsAudit")}static get meta(){return{id:"uses-passive-event-listeners",title:mh(Ad.title),failureTitle:mh(Ad.failureTitle),description:mh(Ad.description),guidanceLevel:3,requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"],scoreDisplayMode:$t.SCORING_MODES.METRIC_SAVINGS}}static async audit(t,n){let r=await $t.getViolationResults(t,n,/passive event listener/),
a=[{key:"source",valueType:"source-location",label:mh(k.columnSource)}],o=$t.makeTableDetails(a,r);return{score:+(r.length===0),details:o}}},jle=px});var r9={};x(r9,{UIStrings:()=>Id,default:()=>qle});var Id,_d,fx,qle,a9=g(()=>{"use strict";l();Me();$();to();A();Id={title:"No browser errors logged to the console",failureTitle:"Browser errors were logged to the console",description:"Errors logged to the console indicate unresolved problems. They can come from network request failures and other browser concerns. [Learn more about this errors in console diagnostic audit](https://developer.chrome.com/docs/lighthouse/best-practices/errors-in-console/)"},_d=D("core/audits/errors-in-console.js",Id),fx=class e extends b{static{s(this,"ErrorLogs")}static get meta(){return{id:"errors-in-console",title:_d(Id.title),failureTitle:_d(Id.failureTitle),description:_d(Id.description),requiredArtifacts:["ConsoleMessages","SourceMaps","Scripts"]}}static get defaultOptions(){return{ignoredPatterns:["ERR_BLOCKED_BY_CLIENT.Inspector"]}}static filterAccordingToOptions(t,n){let{ignoredPatterns:r,...a}=n,o=Object.keys(a);return o.length&&M.warn(this.meta.id,
"Unrecognized options",o),r?t.filter(({description:i})=>{if(!i)return!0;for(let c of r)if(c instanceof RegExp&&c.test(i)||typeof c=="string"&&i.includes(c))return!1;return!0}):t}static async audit(t,n){let r=n.options,a=await Rn.request(t,n),o=t.ConsoleMessages.filter(m=>m.level==="error").map(m=>{let p=a.find(h=>h.script.scriptId===m.scriptId);return{source:m.source,description:m.text,sourceLocation:b.makeSourceLocationFromConsoleMessage(m,p)}}),i=e.filterAccordingToOptions(o,r).sort((m,p)=>(m.description||"").localeCompare(p.description||"")),c=[{key:"sourceLocation",valueType:"source-location",label:_d(k.columnSource)},{key:"description",valueType:"code",label:_d(k.columnDescription)}],u=b.makeTableDetails(c,i);return{score:+(i.length===0),details:u}}},qle=fx});var zle,hx,o9,i9=g(()=>{"use strict";l();ye();zle="Screenshot",hx=class{static{s(this,"Screenshots")}static async compute_(t){return t.traceEvents.filter(n=>n.name===zle).map(n=>({timestamp:n.ts,datauri:`data:image/jpeg;base64,${n.args.snapshot}`}))}},o9=G(hx,null)});var s9={};x(s9,{default:()=>Hle});var gx,Hle,c9=g(()=>{"use strict";l();$();_t();Nt();i9();gx=class extends b{static{s(this,"FinalScreenshot")}static get meta(){return{id:"final-screenshot",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:"Final Screenshot",description:"The last screenshot captured of the pageload.",requiredArtifacts:["traces","GatherContext"]}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=await Ce.request(r,n),o=await o9.request(r,n),{timeOrigin:i}=a.timestamps,c=o[o.length-1];if(!c){if(t.GatherContext.gatherMode==="timespan")return{notApplicable:!0,score:1};throw new H(H.errors.NO_SCREENSHOTS)}return{score:1,details:{type:"screenshot",timing:Math.round((c.timestamp-i)/1e3),timestamp:c.timestamp,data:c.datauri}}}},Hle=gx});var l9={};x(l9,{UIStrings:()=>qs,default:()=>vx});var Wle,u9,Gle,qs,js,yx,vx,bx=g(()=>{"use strict";l();$();tt();A();Hn();nt();Wle=/^(block|fallback|optional|swap)$/,u9=/url\((.*?)\)/,Gle=new RegExp(u9,"g"),qs={title:"All text remains visible during webfont loads",failureTitle:"Ensure text remains visible during webfont load",description:"Leverage the `font-display` CSS feature to ensure text is user-visible while webfonts are loading. [Learn more about `font-display`](https://developer.chrome.com/docs/lighthouse/performance/font-display/).",undeclaredFontOriginWarning:"{fontCountForOrigin, plural, =1 {Lighthouse was unable to automatically check the `font-display` value for the origin {fontOrigin}.} other {Lighthouse was unable to automatically check the `font-display` values for the origin {fontOrigin}.}}"},js=D("core/audits/font-display.js",qs),yx=class e extends b{static{s(this,"FontDisplay")}static get meta(){return{id:"font-display",title:js(qs.title),failureTitle:js(qs.failureTitle),
description:js(qs.description),supportedModes:["navigation"],guidanceLevel:3,requiredArtifacts:["devtoolsLogs","Stylesheets","URL"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS}}static findFontDisplayDeclarations(t,n){let r=new Set,a=new Set;for(let o of t.Stylesheets){let c=o.content.replace(/(\r|\n)+/g," ").match(/@font-face\s*{(.*?)}/g)||[];for(let u of c){let d=u.match(Gle);if(!d)continue;let p=u.match(/font-display\s*:\s*(\w+)\s*(;|\})/)?.[1]||"",f=n.test(p)?r:a,y=d.map(v=>v.match(u9)[1].trim()).map(v=>/^('|").*\1$/.test(v)?v.substr(1,v.length-2):v);for(let v of y)try{let w=K.isValid(o.header.sourceURL)?o.header.sourceURL:t.URL.finalDisplayedUrl,E=new URL(v,w);f.add(E.href)}catch(w){gt.captureException(w,{tags:{audit:this.meta.id}})}}}return{passingURLs:r,failingURLs:a}}static getWarningsForFontUrls(t){let n=new Map;for(let a of t){let o=K.getOrigin(a);if(!o)continue;let i=n.get(o)||0;n.set(o,i+1)}return[...n].map(([a,o])=>js(qs.undeclaredFontOriginWarning,{fontCountForOrigin:o,
fontOrigin:a}))}static async audit(t,n){let r=t.devtoolsLogs[this.DEFAULT_PASS],a=await ae.request(r,n),{passingURLs:o,failingURLs:i}=e.findFontDisplayDeclarations(t,Wle),c=[],u=a.filter(p=>p.resourceType==="Font").filter(p=>!/^data:/.test(p.url)).filter(p=>!/^blob:/.test(p.url)).filter(p=>i.has(p.url)?!0:(o.has(p.url)||c.push(p.url),!1)).map(p=>{let h=Math.min(p.networkEndTime-p.networkRequestTime,3e3);return{url:p.url,wastedMs:h}}),d=[{key:"url",valueType:"url",label:js(k.columnURL)},{key:"wastedMs",valueType:"ms",label:js(k.columnWastedMs)}],m=b.makeTableDetails(d,u);return{score:+(u.length===0),details:m,warnings:e.getWarningsForFontUrls(c)}}},vx=yx});var m9={};x(m9,{UIStrings:()=>ii,default:()=>Vle});var ii,zs,d9,wx,Vle,p9=g(()=>{"use strict";l();$();tt();A();ii={title:"Displays images with correct aspect ratio",failureTitle:"Displays images with incorrect aspect ratio",description:"Image display dimensions should match natural aspect ratio. [Learn more about image aspect ratio](https://developer.chrome.com/docs/lighthouse/best-practices/image-aspect-ratio/).",columnDisplayed:"Aspect Ratio (Displayed)",columnActual:"Aspect Ratio (Actual)"},zs=D("core/audits/image-aspect-ratio.js",ii),d9=2,wx=class e extends b{static{s(this,"ImageAspectRatio")}static get meta(){return{id:"image-aspect-ratio",title:zs(ii.title),failureTitle:zs(ii.failureTitle),description:zs(ii.description),requiredArtifacts:["ImageElements"]}}static computeAspectRatios(t){let n=K.elideDataURI(t.src),r=t.naturalDimensions.width/t.naturalDimensions.height,a=t.displayedWidth/t.displayedHeight,o=t.displayedWidth/r,i=t.displayedHeight*r,c=o<i?Math.abs(o-t.displayedHeight)<
d9:Math.abs(i-t.displayedWidth)<d9;return{url:n,node:b.makeNodeItem(t.node),displayedAspectRatio:`${t.displayedWidth} x ${t.displayedHeight}
        (${a.toFixed(2)})`,actualAspectRatio:`${t.naturalDimensions.width} x ${t.naturalDimensions.height}
        (${r.toFixed(2)})`,doRatiosMatch:c}}static audit(t){let n=t.ImageElements,r=[];n.filter(o=>!o.isCss&&K.guessMimeType(o.src)!=="image/svg+xml"&&o.naturalDimensions&&o.naturalDimensions.height>5&&o.naturalDimensions.width>5&&o.displayedWidth&&o.displayedHeight&&o.computedStyles.objectFit==="fill").forEach(o=>{let i=o,c=e.computeAspectRatios(i);c.doRatiosMatch||r.push(c)});let a=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:zs(k.columnURL)},{key:"displayedAspectRatio",valueType:"text",label:zs(ii.columnDisplayed)},{key:"actualAspectRatio",valueType:"text",label:zs(ii.columnActual)}];return{score:+(r.length===0),details:b.makeTableDetails(a,r)}}},Vle=wx});var h9={};x(h9,{UIStrings:()=>co,default:()=>ode});function Kle(e,t){return(e.bottom-e.top)*(e.right-e.left)>0&&e.top<=t.innerHeight&&e.bottom>=0&&e.left<=t.innerWidth&&e.right>=0}function Jle(e,t){return e.bottom-e.top<=t.innerHeight&&e.right-e.left<=t.innerWidth}function Xle(e){let t=["pixelated","crisp-edges"],n=/ \d+(\.\d+)?x/;return!(e.displayedWidth<=1||e.displayedHeight<=1||!e.naturalDimensions||!e.naturalDimensions.width||!e.naturalDimensions.height||K.guessMimeType(e.src)==="image/svg+xml"||e.isCss||e.computedStyles.objectFit!=="fill"||t.includes(e.computedStyles.imageRendering)||n.test(e.srcset))}function Zle(e){return!!e.naturalDimensions}function Qle(e,t){let[n,r]=tde(e.displayedWidth,e.displayedHeight,t);return e.naturalDimensions.width>=n&&e.naturalDimensions.height>=r}function ede(e,t){let[n,r]=nde(e.displayedWidth,e.displayedHeight,t);return{url:K.elideDataURI(e.src),node:b.makeNodeItem(e.node),displayedSize:`${e.displayedWidth} x ${e.displayedHeight}`,actualSize:`${e.naturalDimensions.
width} x ${e.naturalDimensions.height}`,actualPixels:e.naturalDimensions.width*e.naturalDimensions.height,expectedSize:`${n} x ${r}`,expectedPixels:n*r}}function tde(e,t,n){let r=$le;(e>f9||t>f9)&&(r=Yle);let a=Ex(n),o=Math.ceil(r*a*e),i=Math.ceil(r*a*t);return[o,i]}function nde(e,t,n){let r=Math.ceil(Ex(n)*e),a=Math.ceil(Ex(n)*t);return[r,a]}function rde(e){e.sort((n,r)=>n.url===r.url?0:n.url<r.url?-1:1);let t=[];for(let n of e){let r=t[t.length-1];r&&r.url===n.url?r.expectedPixels<n.expectedPixels&&(t[t.length-1]=n):t.push(n)}return t}function ade(e){return e.sort((t,n)=>n.expectedPixels-n.actualPixels-(t.expectedPixels-t.actualPixels))}function Ex(e){return e>=2?2:e>=1.5?1.5:1}var co,si,$le,Yle,f9,Dx,ode,g9=g(()=>{"use strict";l();$();tt();A();co={title:"Serves images with appropriate resolution",failureTitle:"Serves images with low resolution",description:"Image natural dimensions should be proportional to the display size and the pixel ratio to maximize image clarity. [Learn how t\
o provide responsive images](https://web.dev/articles/serve-responsive-images).",columnDisplayed:"Displayed size",columnActual:"Actual size",columnExpected:"Expected size"},si=D("core/audits/image-size-responsive.js",co),$le=1,Yle=.75,f9=64;s(Kle,"isVisible");s(Jle,"isSmallerThanViewport");s(Xle,"isCandidate");s(Zle,"imageHasNaturalDimensions");s(Qle,"imageHasRightSize");s(ede,"getResult");s(tde,"allowedImageSize");s(nde,"expectedImageSize");s(rde,"deduplicateResultsByUrl");s(ade,"sortResultsBySizeDelta");Dx=class extends b{static{s(this,"ImageSizeResponsive")}static get meta(){return{id:"image-size-responsive",title:si(co.title),failureTitle:si(co.failureTitle),description:si(co.description),requiredArtifacts:["ImageElements","ViewportDimensions"]}}static audit(t){let n=t.ViewportDimensions.devicePixelRatio,r=Array.from(t.ImageElements).filter(Xle).filter(Zle).filter(i=>!Qle(i,n)).filter(i=>Kle(i.clientRect,t.ViewportDimensions)).filter(i=>Jle(i.clientRect,t.ViewportDimensions)).map(i=>ede(
i,n)),a=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:si(k.columnURL)},{key:"displayedSize",valueType:"text",label:si(co.columnDisplayed)},{key:"actualSize",valueType:"text",label:si(co.columnActual)},{key:"expectedSize",valueType:"text",label:si(co.columnExpected)}],o=ade(rde(r));return{score:+(r.length===0),details:b.makeTableDetails(a,o)}}};s(Ex,"quantizeDpr");ode=Dx});var v9={};x(v9,{UIStrings:()=>Qn,default:()=>ide});var Qn,y9,uo,Tx,ide,b9=g(()=>{"use strict";l();$();tt();Ct();nt();A();Qn={title:"Uses HTTPS",failureTitle:"Does not use HTTPS",description:"All sites should be protected with HTTPS, even ones that don't handle sensitive data. This includes avoiding [mixed content](https://developers.google.com/web/fundamentals/security/prevent-mixed-content/what-is-mixed-content), where some resources are loaded over HTTP despite the initial request being served over HTTPS. HTTPS prevents intruders from tampering with or passively listening in on the communications between your app and your users, and is a prerequisite for HTTP/2 and many new web platform APIs. [Learn more about HTTPS](https://developer.chrome.com/docs/lighthouse/pwa/is-on-https/).",displayValue:`{itemCount, plural,
    =1 {1 insecure request found}
    other {# insecure requests found}
    }`,columnInsecureURL:"Insecure URL",columnResolution:"Request Resolution",allowed:"Allowed",blocked:"Blocked",warning:"Allowed with warning",upgraded:"Automatically upgraded to HTTPS"},y9={MixedContentAutomaticallyUpgraded:Qn.upgraded,MixedContentBlocked:Qn.blocked,MixedContentWarning:Qn.warning},uo=D("core/audits/is-on-https.js",Qn),Tx=class extends b{static{s(this,"HTTPS")}static get meta(){return{id:"is-on-https",title:uo(Qn.title),failureTitle:uo(Qn.failureTitle),description:uo(Qn.description),requiredArtifacts:["devtoolsLogs","InspectorIssues"]}}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],o=(await ae.request(r,n)).filter(d=>!J.isSecureRequest(d)).map(d=>K.elideDataURI(d.url)),i=Array.from(new Set(o)).map(d=>({url:d,resolution:void 0})),c=[{key:"url",valueType:"url",label:uo(Qn.columnInsecureURL)},{key:"resolution",valueType:"text",label:uo(Qn.columnResolution)}];for(let d of t.InspectorIssues.mixedContentIssue){let m=i.find(p=>p.url===d.insecureURL);m||(m={url:d.
insecureURL},i.push(m)),m.resolution=y9[d.resolutionStatus]?uo(y9[d.resolutionStatus]):d.resolutionStatus}for(let d of i)d.resolution||(d.resolution=uo(Qn.allowed));let u;return i.length>0&&(u=uo(Qn.displayValue,{itemCount:i.length})),{score:+(i.length===0),displayValue:u,details:b.makeTableDetails(c,i)}}},ide=Tx});var xx,Jr,Hs=g(()=>{"use strict";l();ye();jr();_t();Qo();xx=class extends yt{static{s(this,"LargestContentfulPaint")}static computeSimulatedMetric(t,n){let r=yt.getMetricComputationInput(t);return Jn.request(r,n)}static async computeObservedMetric(t){let{processedNavigation:n}=t;if(n.timings.largestContentfulPaint===void 0)throw new H(H.errors.NO_LCP);return{timing:n.timings.largestContentfulPaint,timestamp:n.timestamps.largestContentfulPaint}}},Jr=G(xx,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var w9={};x(w9,{UIStrings:()=>kx,default:()=>Fx});var kx,Sx,Cx,Fx,Rx=g(()=>{"use strict";l();$();A();Hs();kx={description:"Largest Contentful Paint marks the time at which the largest text or image is painted. [Learn more about the Largest Contentful Paint metric](https://developer.chrome.com/docs/lighthouse/performance/lighthouse-largest-contentful-paint/)"},Sx=D("core/audits/metrics/largest-contentful-paint.js",kx),Cx=class extends b{static{s(this,"LargestContentfulPaint")}static get meta(){return{id:"largest-contentful-paint",title:Sx(k.largestContentfulPaintMetric),description:Sx(kx.description),scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["HostUserAgent","traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:2500,median:4e3}},desktop:{scoring:{p10:1200,median:2400}}}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=t.GatherContext,i={trace:r,devtoolsLog:a,
gatherContext:o,settings:n.settings,URL:t.URL},c=await Jr.request(i,n),u=n.options[n.settings.formFactor];return{score:b.computeLogNormalScore(u.scoring,c.timing),scoringOptions:u.scoring,numericValue:c.timing,numericUnit:"millisecond",displayValue:Sx(k.seconds,{timeInMs:c.timing})}}},Fx=Cx});var Ax,ph,_x=g(()=>{"use strict";l();ye();jr();cn();Po();Ax=class extends yt{static{s(this,"TimeToFirstByte")}static async computeSimulatedMetric(t,n){let r=await it.request(t,n),a=await lr.request(t.devtoolsLog,n),o=(await this.computeObservedMetric(t,n)).timing,i=a.serverResponseTimeByOrigin.get(r.parsedURL.securityOrigin);if(i===void 0)throw new Error("No response time for origin");let c=2;r.protocol.startsWith("h3")||(c+=1),r.parsedURL.scheme==="https"&&(c+=1);let u=t.settings.throttling.rttMs*c+i;return{timing:Math.max(o,u)}}static async computeObservedMetric(t,n){let r=await it.request(t,n);if(!r.timing)throw new Error("missing timing for main resource");let{processedNavigation:a}=t,o=a.timestamps.timeOrigin,c=(r.timing.requestTime*1e3+r.timing.receiveHeadersStart)*1e3;return{timing:(c-o)/1e3,timestamp:c}}},ph=G(Ax,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var Ix,Ws,fh=g(()=>{"use strict";l();ye();_t();Hs();pa();_x();od();Ix=class{static{s(this,"LCPBreakdown")}static async compute_(t,n){let r=await ln.request(t.trace,n),a=r.timings.largestContentfulPaint;if(a===void 0)throw new H(H.errors.NO_LCP);let o=r.timestamps.timeOrigin/1e3,{timing:i}=await ph.request(t,n),c=await eo.request(t,n);if(!c)return{ttfb:i};let{timing:u}=await Jr.request(t,n),d=u/a,m=(c.networkRequestTime-o)*d,p=Math.max(i,Math.min(m,u)),h=(c.networkEndTime-o)*d,f=Math.max(p,Math.min(h,u));return{ttfb:i,loadStart:p,loadEnd:f}}},Ws=G(Ix,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var D9={};x(D9,{UIStrings:()=>br,default:()=>sde});var br,vr,Mx,sde,E9=g(()=>{"use strict";l();Me();$();A();Hs();Rx();fh();Hn();br={title:"Largest Contentful Paint element",description:"This is the largest contentful element painted within the viewport. [Learn more about the Largest Contentful Paint element](https://developer.chrome.com/docs/lighthouse/performance/lighthouse-largest-contentful-paint/)",columnPhase:"Phase",columnPercentOfLCP:"% of LCP",columnTiming:"Timing",itemTTFB:"TTFB",itemLoadDelay:"Load Delay",itemLoadTime:"Load Time",itemRenderDelay:"Render Delay"},vr=D("core/audits/largest-contentful-paint-element.js",br),Mx=class extends b{static{s(this,"LargestContentfulPaintElement")}static get meta(){return{id:"largest-contentful-paint-element",title:vr(br.title),description:vr(br.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:1,supportedModes:["navigation"],requiredArtifacts:["traces","TraceElements","devtoolsLogs","GatherContext","settings","URL"]}}static makeElementTable(t){
let n=t.TraceElements.find(o=>o.traceEventType==="largest-contentful-paint");if(!n)return;let r=[{key:"node",valueType:"node",label:vr(k.columnElement)}],a=[{node:b.makeNodeItem(n.node)}];return b.makeTableDetails(r,a)}static async makePhaseTable(t,n,r){let{ttfb:a,loadStart:o,loadEnd:i}=await Ws.request(n,r),c=0,u=0,d=t-a;o&&i&&(c=o-a,u=i-o,d=t-i);let m=[{phase:vr(br.itemTTFB),timing:a},{phase:vr(br.itemLoadDelay),timing:c},{phase:vr(br.itemLoadTime),timing:u},{phase:vr(br.itemRenderDelay),timing:d}].map(h=>{let y=`${(100*h.timing/t).toFixed(0)}%`;return{...h,percent:y}}),p=[{key:"phase",valueType:"text",label:vr(br.columnPhase)},{key:"percent",valueType:"text",label:vr(br.columnPercentOfLCP)},{key:"timing",valueType:"ms",label:vr(br.columnTiming)}];return b.makeTableDetails(p,m)}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=t.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:t.URL},c=this.makeElementTable(t);if(!c)
return{score:null,notApplicable:!0,metricSavings:{LCP:0}};let u=[c],d,m=0;try{m=(await Jr.request(i,n)).timing,d=vr(k.ms,{timeInMs:m});let v=await this.makePhaseTable(m,i,n);u.push(v)}catch(y){gt.captureException(y,{tags:{audit:this.meta.id},level:"error"}),M.error(this.meta.id,y.message)}let p=b.makeListDetails(u),h=Fx.defaultOptions[n.settings.formFactor].scoring.p10,f=Math.max(0,m-h);return{score:f?0:1,scoreDisplayMode:f?void 0:b.SCORING_MODES.INFORMATIVE,displayValue:d,details:p,metricSavings:{LCP:f}}}},sde=Mx});var x9={};x(x9,{UIStrings:()=>Px,default:()=>Lx});var Px,T9,Nx,Lx,Ox=g(()=>{"use strict";l();$();ms();A();Px={description:"Cumulative Layout Shift measures the movement of visible elements within the viewport. [Learn more about the Cumulative Layout Shift metric](https://web.dev/articles/cls)."},T9=D("core/audits/metrics/cumulative-layout-shift.js",Px),Nx=class extends b{static{s(this,"CumulativeLayoutShift")}static get meta(){return{id:"cumulative-layout-shift",title:T9(k.cumulativeLayoutShiftMetric),description:T9(Px.description),scoreDisplayMode:b.SCORING_MODES.NUMERIC,requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:.1,median:.25}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],{cumulativeLayoutShift:a,impactByNodeId:o,...i}=await Or.request(r,n),c={type:"debugdata",items:[i]},u={p10:n.options.p10,median:n.options.median};return{score:b.computeLogNormalScore(u,a),scoringOptions:u,numericValue:a,numericUnit:"unitless",displayValue:a.toLocaleString(n.settings.
locale),details:c}}},Lx=Nx});var S9={};x(S9,{UIStrings:()=>Xr,default:()=>ude});var cde,Xr,wa,Bx,ude,C9=g(()=>{"use strict";l();$();A();ms();Ox();tw();qu();cde=15,Xr={title:"Avoid large layout shifts",description:"These are the largest layout shifts observed on the page. Each table item represents a single layout shift, and shows the element that shifted the most. Below each item are possible root causes that led to the layout shift. Some of these layout shifts may not be included in the CLS metric value due to [windowing](https://web.dev/articles/cls#what_is_cls). [Learn how to improve CLS](https://web.dev/articles/optimize-cls)",columnScore:"Layout shift score",rootCauseUnsizedMedia:"Media element lacking an explicit size",rootCauseFontChanges:"Web font loaded",rootCauseInjectedIframe:"Injected iframe",rootCauseRenderBlockingRequest:"A late network request adjusted the page layout",displayValueShiftsFound:"{shiftCount, plural, =1 {1 layout shift found} other {# layout shifts found}}"},wa=D("core/audits/layout-sh\
ifts.js",Xr),Bx=class extends b{static{s(this,"LayoutShifts")}static get meta(){return{id:"layout-shifts",title:wa(Xr.title),description:wa(Xr.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:2,requiredArtifacts:["traces","RootCauses","TraceElements"]}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],o=(await Ya.request({trace:r},n)).data.LayoutShifts.clusters??[],{cumulativeLayoutShift:i,impactByNodeId:c}=await Or.request(r,n),u=t.TraceElements.filter(w=>w.traceEventType==="layout-shift"),d=[],m=o.flatMap(w=>w.events),p=m.sort((w,E)=>E.args.data.weighted_score_delta-w.args.data.weighted_score_delta).slice(0,cde);for(let w of p){let E=ew.getBiggestImpactNodeForShiftEvent(w.args.data.impacted_nodes||[],c,w),T=u.find(L=>L.nodeId===E),S=m.indexOf(w),C=t.RootCauses.layoutShifts[S],F=[];if(C){for(let L of C.unsizedMedia){let N=t.TraceElements.find(W=>W.traceEventType==="layout-shift"&&W.nodeId===L.node.backendNodeId);F.push({extra:N?b.makeNodeItem(N.node):void 0,
cause:wa(Xr.rootCauseUnsizedMedia)})}for(let L of C.fontChanges){let N=L.request.args.data.url;F.push({extra:{type:"url",value:N},cause:wa(Xr.rootCauseFontChanges)})}for(let L of C.iframes){let N=t.TraceElements.find(W=>W.traceEventType==="layout-shift"&&W.nodeId===L.iframe.backendNodeId);F.push({extra:N?b.makeNodeItem(N.node):void 0,cause:wa(Xr.rootCauseInjectedIframe)})}for(let L of C.renderBlockingRequests){let N=L.request.args.data.url;F.push({extra:{type:"url",value:N},cause:wa(Xr.rootCauseRenderBlockingRequest)})}}d.push({node:T?b.makeNodeItem(T.node):void 0,score:w.args.data.weighted_score_delta,subItems:F.length?{type:"subitems",items:F}:void 0})}let h=[{key:"node",valueType:"node",subItemsHeading:{key:"extra"},label:wa(k.columnElement)},{key:"score",valueType:"numeric",subItemsHeading:{key:"cause",valueType:"text"},granularity:.001,label:wa(Xr.columnScore)}],f=b.makeTableDetails(h,d),y;d.length>0&&(y=wa(Xr.displayValueShiftsFound,{shiftCount:d.length}));let v=i<=Lx.defaultOptions.
p10;return{score:v?1:0,scoreDisplayMode:v?b.SCORING_MODES.INFORMATIVE:void 0,metricSavings:{CLS:i},notApplicable:f.items.length===0,displayValue:y,details:f}}},ude=Bx});var k9={};x(k9,{UIStrings:()=>Md,default:()=>dde});var Md,hh,lde,Ux,dde,F9=g(()=>{"use strict";l();$();A();fh();Hs();Md={title:"Largest Contentful Paint image was not lazily loaded",failureTitle:"Largest Contentful Paint image was lazily loaded",description:"Above-the-fold images that are lazily loaded render later in the page lifecycle, which can delay the largest contentful paint. [Learn more about optimal lazy loading](https://web.dev/articles/lcp-lazy-loading)."},hh=D("core/audits/lcp-lazy-loaded.js",Md),lde=.15,Ux=class extends b{static{s(this,"LargestContentfulPaintLazyLoaded")}static get meta(){return{id:"lcp-lazy-loaded",title:hh(Md.title),failureTitle:hh(Md.failureTitle),description:hh(Md.description),supportedModes:["navigation"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:3,requiredArtifacts:["TraceElements","ViewportDimensions","ImageElements","traces","devtoolsLogs","GatherContext","URL"]}}static isImageInViewport(t,n){let r=t.clientRect.top,a=n.innerHeight;
return r<a}static async audit(t,n){let r=t.TraceElements.find(h=>h.traceEventType==="largest-contentful-paint"&&h.type==="image"),a=r?t.ImageElements.find(h=>h.node.devtoolsNodePath===r.node.devtoolsNodePath):void 0;if(!a||!this.isImageInViewport(a,t.ViewportDimensions))return{score:null,notApplicable:!0,metricSavings:{LCP:0}};let o=[{key:"node",valueType:"node",label:hh(k.columnElement)}],i=b.makeTableDetails(o,[{node:b.makeNodeItem(a.node)}]),c=a.loading==="lazy",u=b.makeMetricComputationDataInput(t,n),{timing:d}=await Jr.request(u,n),m=await Ws.request(u,n),p=0;if(c&&m.loadStart!==void 0){let h=m.loadStart-m.ttfb;p=Math.min(d*lde,h)}return{score:c?0:1,metricSavings:{LCP:p},details:i}}},dde=Ux});var R9={};x(R9,{UIStrings:()=>Nd,default:()=>hde});function fde(e,t){let n=e.indexOf(t);return n>-1?n:e.push(t)-1}function jx(e){return Math.round(e*10)/10}var mde,pde,Nd,Gs,qx,hde,A9=g(()=>{"use strict";l();$();nt();A();Xo();bs();Ar();Ql();Ts();mde={startTime:0,endTime:0,duration:0},pde=20,Nd={title:"Avoid long main-thread tasks",description:"Lists the longest tasks on the main thread, useful for identifying worst contributors to input delay. [Learn how to avoid long main-thread tasks](https://web.dev/articles/long-tasks-devtools)",displayValue:`{itemCount, plural,
  =1 {# long task found}
  other {# long tasks found}
  }`},Gs=D("core/audits/long-tasks.js",Nd);s(fde,"insertUrl");s(jx,"roundTenths");qx=class e extends b{static{s(this,"LongTasks")}static get meta(){return{id:"long-tasks",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:Gs(Nd.title),description:Gs(Nd.description),requiredArtifacts:["traces","devtoolsLogs","URL","GatherContext"],guidanceLevel:1}}static getTimingBreakdown(t,n,r=new Map){let a=e.getTiming(t,n),o=0;if(a.duration>0)for(let u of t.children){let{duration:d}=e.getTimingBreakdown(u,n,r);o+=d}let i=a.duration-o,c=r.get(t.group.id)||0;return r.set(t.group.id,c+i),{startTime:a.startTime,duration:a.duration,timeByTaskGroup:r}}static makeDebugData(t,n,r){let a=[],o=[];for(let i of t){let c=ys(i,n),{startTime:u,duration:d,timeByTaskGroup:m}=e.getTimingBreakdown(i,r),p=[...m].map(([h,f])=>[h,jx(f)]).sort((h,f)=>h[0].localeCompare(f[0]));o.push({urlIndex:fde(a,c),startTime:jx(u),duration:jx(d),...Object.fromEntries(p)})}return{type:"debugdata",urls:a,tasks:o}}static getTiming(t,n){let r=t;
n&&(r=n.get(t.event)||mde);let{duration:a,startTime:o}=r;return{duration:a,startTime:o}}static async audit(t,n){let r=n.settings||{},a=t.URL,o=t.traces[b.DEFAULT_PASS],i=await Yn.request(o,n),c=t.devtoolsLogs[e.DEFAULT_PASS],u=await ae.request(c,n),d=b.makeMetricComputationDataInput(t,n),m=await Wr.request(d,n),p;if(r.throttlingMethod==="simulate"){p=new Map;let T={devtoolsLog:c,settings:n.settings},S=await qr.request({trace:o,devtoolsLog:c,URL:a},n),F=await(await Zt.request(T,n)).simulate(S,{label:"long-tasks-diagnostic"});for(let[L,N]of F.nodeTimings.entries())L.type==="cpu"&&p.set(L.event,N)}let h=Zl(u),f=i.map(T=>{let{duration:S}=e.getTiming(T,p);return{task:T,duration:S}}).filter(({task:T,duration:S})=>S>=50&&!T.unbounded&&!T.parent).sort((T,S)=>S.duration-T.duration).map(({task:T})=>T),y=f.map(T=>{let S=e.getTiming(T,p);return{url:ys(T,h),duration:S.duration,startTime:S.startTime}}).slice(0,pde),v=[{key:"url",valueType:"url",label:Gs(k.columnURL)},{key:"startTime",valueType:"ms",
granularity:1,label:Gs(k.columnStartTime)},{key:"duration",valueType:"ms",granularity:1,label:Gs(k.columnDuration)}],w=b.makeTableDetails(v,y,{sortedBy:["duration"],skipSumming:["startTime"]});w.debugData=e.makeDebugData(f,h,p);let E;return y.length>0&&(E=Gs(Nd.displayValue,{itemCount:y.length})),{score:y.length===0?1:0,notApplicable:y.length===0,details:w,displayValue:E,metricSavings:{TBT:m.timing}}}},hde=qx});var _9={};x(_9,{default:()=>gde});var zx,gde,I9=g(()=>{"use strict";l();$();Xo();zx=class extends b{static{s(this,"MainThreadTasks")}static get meta(){return{id:"main-thread-tasks",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:"Tasks",description:"Lists the toplevel main thread tasks that executed during page load.",requiredArtifacts:["traces"]}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],o=(await Yn.request(r,n)).filter(u=>u.duration>5&&!u.parent).map(u=>({duration:u.duration,startTime:u.startTime})),i=[{key:"startTime",valueType:"ms",granularity:1,label:"Start Time"},{key:"duration",valueType:"ms",granularity:1,label:"End Time"}];return{score:1,details:b.makeTableDetails(i,o)}}},gde=zx});var M9={};x(M9,{UIStrings:()=>$s,default:()=>yde});var $s,Vs,Hx,yde,N9=g(()=>{"use strict";l();Me();$();Xl();A();Xo();Ts();Hn();Nn();$s={title:"Minimizes main-thread work",failureTitle:"Minimize main-thread work",description:"Consider reducing the time spent parsing, compiling and executing JS. You may find delivering smaller JS payloads helps with this. [Learn how to minimize main-thread work](https://developer.chrome.com/docs/lighthouse/performance/mainthread-work-breakdown/)",columnCategory:"Category"},Vs=D("core/audits/mainthread-work-breakdown.js",$s),Hx=class e extends b{static{s(this,"MainThreadWorkBreakdown")}static get meta(){return{id:"mainthread-work-breakdown",title:Vs($s.title),failureTitle:Vs($s.failureTitle),description:Vs($s.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,guidanceLevel:1,requiredArtifacts:["traces","devtoolsLogs","URL","GatherContext"]}}static get defaultOptions(){return{p10:2017,median:4e3}}static getExecutionTimingsByGroup(t){let n=new Map;
for(let r of t){let a=n.get(r.group.id)||0;n.set(r.group.id,a+r.selfTime)}return n}static async audit(t,n){let r=n.settings||{},a=t.traces[e.DEFAULT_PASS],o=0;try{let v=b.makeMetricComputationDataInput(t,n);o=(await Wr.request(v,n)).timing}catch(v){gt.captureException(v,{tags:{audit:this.meta.id},level:"error"}),M.error(this.meta.id,v.message)}let i=await Yn.request(a,n),c=r.throttlingMethod==="simulate"?r.throttling.cpuSlowdownMultiplier:1,u=e.getExecutionTimingsByGroup(i),d=0,m={},p=Array.from(u).map(([v,w])=>{let E=w*c;d+=E;let T=m[v]||0;return m[v]=T+E,{group:v,groupLabel:bn[v].label,duration:E}}),h=[{key:"groupLabel",valueType:"text",label:Vs($s.columnCategory)},{key:"duration",valueType:"ms",granularity:1,label:Vs(k.columnTimeSpent)}];p.sort((v,w)=>m[w.group]-m[v.group]);let f=e.makeTableDetails(h,p,{sortedBy:["duration"]}),y=b.computeLogNormalScore({p10:n.options.p10,median:n.options.median},d);return{score:y,scoreDisplayMode:y>=Ne.PASS_THRESHOLD?b.SCORING_MODES.INFORMATIVE:void 0,
numericValue:d,numericUnit:"millisecond",displayValue:Vs(k.seconds,{timeInMs:d}),details:f,metricSavings:{TBT:o}}}},yde=Hx});var P9=P((Mqe,gh)=>{l();var ci=(na(),sq(ZC));if(ci&&ci.default){gh.exports=ci.default;for(let e in ci)gh.exports[e]=ci[e]}else ci&&(gh.exports=ci)});var B9=P((Pqe,yh)=>{l();var O9=O9||function(e){return Buffer.from(e).toString("base64")};function vde(e){var t=this,n=Math.round,r=Math.floor,a=new Array(64),o=new Array(64),i=new Array(64),c=new Array(64),u,d,m,p,h=new Array(65535),f=new Array(65535),y=new Array(64),v=new Array(64),w=[],E=0,T=7,S=new Array(64),C=new Array(64),F=new Array(64),L=new Array(256),N=new Array(2048),W,ee=[0,1,5,6,14,15,27,28,2,4,7,13,16,26,29,42,3,8,12,17,25,30,41,43,9,11,18,24,31,40,44,53,10,19,23,32,39,45,52,54,20,22,33,38,46,51,55,60,21,34,37,47,50,56,59,61,35,36,48,49,57,58,62,63],Y=[0,0,1,5,1,1,1,1,1,1,0,0,0,0,0,0,0],oe=[0,1,2,3,4,5,6,7,8,9,10,11],ge=[0,0,2,1,3,3,2,4,3,5,5,4,4,0,0,1,125],ue=[1,2,3,0,4,17,5,18,33,49,65,6,19,81,97,7,34,113,20,50,129,145,161,8,35,66,177,193,21,82,209,240,36,51,98,114,130,9,10,22,23,24,25,26,37,38,39,40,41,42,52,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,131,132,133,134,135,136,137,138,146,
147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,225,226,227,228,229,230,231,232,233,234,241,242,243,244,245,246,247,248,249,250],ft=[0,0,3,1,1,1,1,1,1,1,1,1,0,0,0,0,0],le=[0,1,2,3,4,5,6,7,8,9,10,11],we=[0,0,2,1,2,4,4,3,4,7,5,4,4,0,1,2,119],st=[0,1,2,3,17,4,5,33,49,6,18,65,81,7,97,113,19,34,50,129,8,20,66,145,161,177,193,9,35,51,82,240,21,98,114,209,10,22,36,52,225,37,241,23,24,25,26,38,39,40,41,42,53,54,55,56,57,58,67,68,69,70,71,72,73,74,83,84,85,86,87,88,89,90,99,100,101,102,103,104,105,106,115,116,117,118,119,120,121,122,130,131,132,133,134,135,136,137,138,146,147,148,149,150,151,152,153,154,162,163,164,165,166,167,168,169,170,178,179,180,181,182,183,184,185,186,194,195,196,197,198,199,200,201,202,210,211,212,213,214,215,216,217,218,226,227,228,229,230,231,232,233,234,242,243,244,245,246,247,248,249,250];function Ke(j){for(var ce=[16,11,10,16,24,40,51,61,12,
12,14,19,26,58,60,55,14,13,16,24,40,57,69,56,14,17,22,29,51,87,80,62,18,22,37,56,68,109,103,77,24,35,55,64,81,104,113,92,49,64,78,87,103,121,120,101,72,92,95,98,112,100,103,99],he=0;he<64;he++){var de=r((ce[he]*j+50)/100);de<1?de=1:de>255&&(de=255),a[ee[he]]=de}for(var Fe=[17,18,24,47,99,99,99,99,18,21,26,66,99,99,99,99,24,26,56,99,99,99,99,99,47,66,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99,99],Ae=0;Ae<64;Ae++){var Je=r((Fe[Ae]*j+50)/100);Je<1?Je=1:Je>255&&(Je=255),o[ee[Ae]]=Je}for(var Xe=[1,1.387039845,1.306562965,1.175875602,1,.785694958,.5411961,.275899379],xt=0,ht=0;ht<8;ht++)for(var V=0;V<8;V++)i[xt]=1/(a[ee[xt]]*Xe[ht]*Xe[V]*8),c[xt]=1/(o[ee[xt]]*Xe[ht]*Xe[V]*8),xt++}s(Ke,"initQuantTables");function Le(j,ce){for(var he=0,de=0,Fe=new Array,Ae=1;Ae<=16;Ae++){for(var Je=1;Je<=j[Ae];Je++)Fe[ce[de]]=[],Fe[ce[de]][0]=he,Fe[ce[de]][1]=Ae,de++,he++;he*=2}return Fe}s(Le,"computeHuffmanTbl");function Rt(){u=Le(Y,oe),d=Le(
ft,le),m=Le(ge,ue),p=Le(we,st)}s(Rt,"initHuffmanTbl");function Ve(){for(var j=1,ce=2,he=1;he<=15;he++){for(var de=j;de<ce;de++)f[32767+de]=he,h[32767+de]=[],h[32767+de][1]=he,h[32767+de][0]=de;for(var Fe=-(ce-1);Fe<=-j;Fe++)f[32767+Fe]=he,h[32767+Fe]=[],h[32767+Fe][1]=he,h[32767+Fe][0]=ce-1+Fe;j<<=1,ce<<=1}}s(Ve,"initCategoryNumber");function Oe(){for(var j=0;j<256;j++)N[j]=19595*j,N[j+256>>0]=38470*j,N[j+512>>0]=7471*j+32768,N[j+768>>0]=-11059*j,N[j+1024>>0]=-21709*j,N[j+1280>>0]=32768*j+8421375,N[j+1536>>0]=-27439*j,N[j+1792>>0]=-5329*j}s(Oe,"initRGBYUVTable");function ke(j){for(var ce=j[0],he=j[1]-1;he>=0;)ce&1<<he&&(E|=1<<T),he--,T--,T<0&&(E==255?(q(255),q(0)):q(E),T=7,E=0)}s(ke,"writeBits");function q(j){w.push(j)}s(q,"writeByte");function se(j){q(j>>8&255),q(j&255)}s(se,"writeWord");function ct(j,ce){var he,de,Fe,Ae,Je,Xe,xt,ht,V=0,ie,xe=8,Dt=64;for(ie=0;ie<xe;++ie){he=j[V],de=j[V+1],Fe=j[V+2],Ae=j[V+3],Je=j[V+4],Xe=j[V+5],xt=j[V+6],ht=j[V+7];var _e=he+ht,We=he-ht,mt=de+xt,De=de-
xt,ot=Fe+Xe,Yt=Fe-Xe,vt=Ae+Je,On=Ae-Je,Er=_e+vt,bo=_e-vt,vi=mt+ot,bi=mt-ot;j[V]=Er+vi,j[V+4]=Er-vi;var gc=(bi+bo)*.707106781;j[V+2]=bo+gc,j[V+6]=bo-gc,Er=On+Yt,vi=Yt+De,bi=De+We;var yc=(Er-bi)*.382683433,Kd=.5411961*Er+yc,vc=1.306562965*bi+yc,bc=vi*.707106781,wc=We+bc,Dc=We-bc;j[V+5]=Dc+Kd,j[V+3]=Dc-Kd,j[V+1]=wc+vc,j[V+7]=wc-vc,V+=8}for(V=0,ie=0;ie<xe;++ie){he=j[V],de=j[V+8],Fe=j[V+16],Ae=j[V+24],Je=j[V+32],Xe=j[V+40],xt=j[V+48],ht=j[V+56];var nC=he+ht,Qh=he-ht,rC=de+xt,aC=de-xt,oC=Fe+Xe,iC=Fe-Xe,sC=Ae+Je,tq=Ae-Je,Ec=nC+sC,e1=nC-sC,Jd=rC+oC,Xd=rC-oC;j[V]=Ec+Jd,j[V+32]=Ec-Jd;var cC=(Xd+e1)*.707106781;j[V+16]=e1+cC,j[V+48]=e1-cC,Ec=tq+iC,Jd=iC+aC,Xd=aC+Qh;var uC=(Ec-Xd)*.382683433,lC=.5411961*Ec+uC,dC=1.306562965*Xd+uC,mC=Jd*.707106781,pC=Qh+mC,fC=Qh-mC;j[V+40]=fC+lC,j[V+24]=fC-lC,j[V+8]=pC+dC,j[V+56]=pC-dC,V++}var Zd;for(ie=0;ie<Dt;++ie)Zd=j[ie]*ce[ie],y[ie]=Zd>0?Zd+.5|0:Zd-.5|0;return y}s(ct,"fDCTQuant");function $e(){se(65504),se(16),q(74),q(70),q(73),q(70),q(0),q(1),q(1),q(0),se(1),se(
1),q(0),q(0)}s($e,"writeAPP0");function Ie(j){if(j){se(65505),j[0]===69&&j[1]===120&&j[2]===105&&j[3]===102?se(j.length+2):(se(j.length+5+2),q(69),q(120),q(105),q(102),q(0));for(var ce=0;ce<j.length;ce++)q(j[ce])}}s(Ie,"writeAPP1");function Ee(j,ce){se(65472),se(17),q(8),se(ce),se(j),q(3),q(1),q(17),q(0),q(2),q(17),q(1),q(3),q(17),q(1)}s(Ee,"writeSOF0");function Te(){se(65499),se(132),q(0);for(var j=0;j<64;j++)q(a[j]);q(1);for(var ce=0;ce<64;ce++)q(o[ce])}s(Te,"writeDQT");function te(){se(65476),se(418),q(0);for(var j=0;j<16;j++)q(Y[j+1]);for(var ce=0;ce<=11;ce++)q(oe[ce]);q(16);for(var he=0;he<16;he++)q(ge[he+1]);for(var de=0;de<=161;de++)q(ue[de]);q(1);for(var Fe=0;Fe<16;Fe++)q(ft[Fe+1]);for(var Ae=0;Ae<=11;Ae++)q(le[Ae]);q(17);for(var Je=0;Je<16;Je++)q(we[Je+1]);for(var Xe=0;Xe<=161;Xe++)q(st[Xe])}s(te,"writeDHT");function X(j){typeof j>"u"||j.constructor!==Array||j.forEach(ce=>{if(typeof ce=="string"){se(65534);var he=ce.length;se(he+2);var de;for(de=0;de<he;de++)q(ce.charCodeAt(de))}})}
s(X,"writeCOM");function lt(){se(65498),se(12),q(3),q(1),q(0),q(2),q(17),q(3),q(17),q(0),q(63),q(0)}s(lt,"writeSOS");function fe(j,ce,he,de,Fe){for(var Ae=Fe[0],Je=Fe[240],Xe,xt=16,ht=63,V=64,ie=ct(j,ce),xe=0;xe<V;++xe)v[ee[xe]]=ie[xe];var Dt=v[0]-he;he=v[0],Dt==0?ke(de[0]):(Xe=32767+Dt,ke(de[f[Xe]]),ke(h[Xe]));for(var _e=63;_e>0&&v[_e]==0;_e--);if(_e==0)return ke(Ae),he;for(var We=1,mt;We<=_e;){for(var De=We;v[We]==0&&We<=_e;++We);var ot=We-De;if(ot>=xt){mt=ot>>4;for(var Yt=1;Yt<=mt;++Yt)ke(Je);ot=ot&15}Xe=32767+v[We],ke(Fe[(ot<<4)+f[Xe]]),ke(h[Xe]),We++}return _e!=ht&&ke(Ae),he}s(fe,"processDU");function Re(){for(var j=String.fromCharCode,ce=0;ce<256;ce++)L[ce]=j(ce)}s(Re,"initCharLookupTable"),this.encode=function(j,ce){var he=new Date().getTime();ce&&Ln(ce),w=new Array,E=0,T=7,se(65496),$e(),X(j.comments),Ie(j.exifBuffer),Te(),Ee(j.width,j.height),te(),lt();var de=0,Fe=0,Ae=0;E=0,T=7,this.encode.displayName="_encode_";for(var Je=j.data,Xe=j.width,xt=j.height,ht=Xe*4,V=Xe*3,ie,xe=0,
Dt,_e,We,mt,De,ot,Yt,vt;xe<xt;){for(ie=0;ie<ht;){for(mt=ht*xe+ie,De=mt,ot=-1,Yt=0,vt=0;vt<64;vt++)Yt=vt>>3,ot=(vt&7)*4,De=mt+Yt*ht+ot,xe+Yt>=xt&&(De-=ht*(xe+1+Yt-xt)),ie+ot>=ht&&(De-=ie+ot-ht+4),Dt=Je[De++],_e=Je[De++],We=Je[De++],S[vt]=(N[Dt]+N[_e+256>>0]+N[We+512>>0]>>16)-128,C[vt]=(N[Dt+768>>0]+N[_e+1024>>0]+N[We+1280>>0]>>16)-128,F[vt]=(N[Dt+1280>>0]+N[_e+1536>>0]+N[We+1792>>0]>>16)-128;de=fe(S,i,de,u,m),Fe=fe(C,c,Fe,d,p),Ae=fe(F,c,Ae,d,p),ie+=32}xe+=8}if(T>=0){var On=[];On[1]=T+1,On[0]=(1<<T+1)-1,ke(On)}if(se(65497),typeof yh>"u")return new Uint8Array(w);return Buffer.from(w);var Er,bo};function Ln(j){if(j<=0&&(j=1),j>100&&(j=100),W!=j){var ce=0;j<50?ce=Math.floor(5e3/j):ce=Math.floor(200-j*2),Ke(ce),W=j}}s(Ln,"setQuality");function ar(){var j=new Date().getTime();e||(e=50),Re(),Rt(),Ve(),Oe(),Ln(e);var ce=new Date().getTime()-j}s(ar,"init"),ar()}s(vde,"JPEGEncoder");typeof yh<"u"?yh.exports=L9:typeof window<"u"&&(window["jpeg-js"]=window["jpeg-js"]||{},window["jpeg-js"].encode=L9);
function L9(e,t){typeof t>"u"&&(t=50);var n=new vde(t),r=n.encode(e,t);return{data:r,width:e.width,height:e.height}}s(L9,"encode")});var j9=P((Bqe,Gx)=>{l();var Wx=s(function(){"use strict";var t=new Int32Array([0,1,8,16,9,2,3,10,17,24,32,25,18,11,4,5,12,19,26,33,40,48,41,34,27,20,13,6,7,14,21,28,35,42,49,56,57,50,43,36,29,22,15,23,30,37,44,51,58,59,52,45,38,31,39,46,53,60,61,54,47,55,62,63]),n=4017,r=799,a=3406,o=2276,i=1567,c=3784,u=5793,d=2896;function m(){}s(m,"constructor");function p(T,S){for(var C=0,F=[],L,N,W=16;W>0&&!T[W-1];)W--;F.push({children:[],index:0});var ee=F[0],Y;for(L=0;L<W;L++){for(N=0;N<T[L];N++){for(ee=F.pop(),ee.children[ee.index]=S[C];ee.index>0;){if(F.length===0)throw new Error("Could not recreate Huffman Table");ee=F.pop()}for(ee.index++,F.push(ee);F.length<=L;)F.push(Y={children:[],index:0}),ee.children[ee.index]=Y.children,ee=Y;C++}L+1<W&&(F.push(Y={children:[],index:0}),ee.children[ee.index]=Y.children,ee=Y)}return F[0].children}s(p,"buildHuffmanTable");function h(T,S,C,F,L,N,W,ee,Y,oe){var ge=C.precision,ue=C.samplesPerLine,ft=C.scanLines,le=C.mcusPerLine,we=C.progressive,st=C.maxH,Ke=C.
maxV,Le=S,Rt=0,Ve=0;function Oe(){if(Ve>0)return Ve--,Rt>>Ve&1;if(Rt=T[S++],Rt==255){var V=T[S++];if(V)throw new Error("unexpected marker: "+(Rt<<8|V).toString(16))}return Ve=7,Rt>>>7}s(Oe,"readBit");function ke(V){for(var ie=V,xe;(xe=Oe())!==null;){if(ie=ie[xe],typeof ie=="number")return ie;if(typeof ie!="object")throw new Error("invalid huffman sequence")}return null}s(ke,"decodeHuffman");function q(V){for(var ie=0;V>0;){var xe=Oe();if(xe===null)return;ie=ie<<1|xe,V--}return ie}s(q,"receive");function se(V){var ie=q(V);return ie>=1<<V-1?ie:ie+(-1<<V)+1}s(se,"receiveAndExtend");function ct(V,ie){var xe=ke(V.huffmanTableDC),Dt=xe===0?0:se(xe);ie[0]=V.pred+=Dt;for(var _e=1;_e<64;){var We=ke(V.huffmanTableAC),mt=We&15,De=We>>4;if(mt===0){if(De<15)break;_e+=16;continue}_e+=De;var ot=t[_e];ie[ot]=se(mt),_e++}}s(ct,"decodeBaseline");function $e(V,ie){var xe=ke(V.huffmanTableDC),Dt=xe===0?0:se(xe)<<Y;ie[0]=V.pred+=Dt}s($e,"decodeDCFirst");function Ie(V,ie){ie[0]|=Oe()<<Y}s(Ie,"decodeDCSucces\
sive");var Ee=0;function Te(V,ie){if(Ee>0){Ee--;return}for(var xe=N,Dt=W;xe<=Dt;){var _e=ke(V.huffmanTableAC),We=_e&15,mt=_e>>4;if(We===0){if(mt<15){Ee=q(mt)+(1<<mt)-1;break}xe+=16;continue}xe+=mt;var De=t[xe];ie[De]=se(We)*(1<<Y),xe++}}s(Te,"decodeACFirst");var te=0,X;function lt(V,ie){for(var xe=N,Dt=W,_e=0;xe<=Dt;){var We=t[xe],mt=ie[We]<0?-1:1;switch(te){case 0:var De=ke(V.huffmanTableAC),ot=De&15,_e=De>>4;if(ot===0)_e<15?(Ee=q(_e)+(1<<_e),te=4):(_e=16,te=1);else{if(ot!==1)throw new Error("invalid ACn encoding");X=se(ot),te=_e?2:3}continue;case 1:case 2:ie[We]?ie[We]+=(Oe()<<Y)*mt:(_e--,_e===0&&(te=te==2?3:0));break;case 3:ie[We]?ie[We]+=(Oe()<<Y)*mt:(ie[We]=X<<Y,te=0);break;case 4:ie[We]&&(ie[We]+=(Oe()<<Y)*mt);break}xe++}te===4&&(Ee--,Ee===0&&(te=0))}s(lt,"decodeACSuccessive");function fe(V,ie,xe,Dt,_e){var We=xe/le|0,mt=xe%le,De=We*V.v+Dt,ot=mt*V.h+_e;V.blocks[De]===void 0&&oe.tolerantDecoding||ie(V,V.blocks[De][ot])}s(fe,"decodeMcu");function Re(V,ie,xe){var Dt=xe/V.blocksPerLine|
0,_e=xe%V.blocksPerLine;V.blocks[Dt]===void 0&&oe.tolerantDecoding||ie(V,V.blocks[Dt][_e])}s(Re,"decodeBlock");var Ln=F.length,ar,j,ce,he,de,Fe;we?N===0?Fe=ee===0?$e:Ie:Fe=ee===0?Te:lt:Fe=ct;var Ae=0,Je,Xe;Ln==1?Xe=F[0].blocksPerLine*F[0].blocksPerColumn:Xe=le*C.mcusPerColumn,L||(L=Xe);for(var xt,ht;Ae<Xe;){for(j=0;j<Ln;j++)F[j].pred=0;if(Ee=0,Ln==1)for(ar=F[0],de=0;de<L;de++)Re(ar,Fe,Ae),Ae++;else for(de=0;de<L;de++){for(j=0;j<Ln;j++)for(ar=F[j],xt=ar.h,ht=ar.v,ce=0;ce<ht;ce++)for(he=0;he<xt;he++)fe(ar,Fe,Ae,ce,he);if(Ae++,Ae===Xe)break}if(Ae===Xe)do{if(T[S]===255&&T[S+1]!==0)break;S+=1}while(S<T.length-2);if(Ve=0,Je=T[S]<<8|T[S+1],Je<65280)throw new Error("marker was not found");if(Je>=65488&&Je<=65495)S+=2;else break}return S-Le}s(h,"decodeScan");function f(T,S){var C=[],F=S.blocksPerLine,L=S.blocksPerColumn,N=F<<3,W=new Int32Array(64),ee=new Uint8Array(64);function Y(Le,Rt,Ve){var Oe=S.quantizationTable,ke,q,se,ct,$e,Ie,Ee,Te,te,X=Ve,lt;for(lt=0;lt<64;lt++)X[lt]=Le[lt]*Oe[lt];for(lt=
0;lt<8;++lt){var fe=8*lt;if(X[1+fe]==0&&X[2+fe]==0&&X[3+fe]==0&&X[4+fe]==0&&X[5+fe]==0&&X[6+fe]==0&&X[7+fe]==0){te=u*X[0+fe]+512>>10,X[0+fe]=te,X[1+fe]=te,X[2+fe]=te,X[3+fe]=te,X[4+fe]=te,X[5+fe]=te,X[6+fe]=te,X[7+fe]=te;continue}ke=u*X[0+fe]+128>>8,q=u*X[4+fe]+128>>8,se=X[2+fe],ct=X[6+fe],$e=d*(X[1+fe]-X[7+fe])+128>>8,Te=d*(X[1+fe]+X[7+fe])+128>>8,Ie=X[3+fe]<<4,Ee=X[5+fe]<<4,te=ke-q+1>>1,ke=ke+q+1>>1,q=te,te=se*c+ct*i+128>>8,se=se*i-ct*c+128>>8,ct=te,te=$e-Ee+1>>1,$e=$e+Ee+1>>1,Ee=te,te=Te+Ie+1>>1,Ie=Te-Ie+1>>1,Te=te,te=ke-ct+1>>1,ke=ke+ct+1>>1,ct=te,te=q-se+1>>1,q=q+se+1>>1,se=te,te=$e*o+Te*a+2048>>12,$e=$e*a-Te*o+2048>>12,Te=te,te=Ie*r+Ee*n+2048>>12,Ie=Ie*n-Ee*r+2048>>12,Ee=te,X[0+fe]=ke+Te,X[7+fe]=ke-Te,X[1+fe]=q+Ee,X[6+fe]=q-Ee,X[2+fe]=se+Ie,X[5+fe]=se-Ie,X[3+fe]=ct+$e,X[4+fe]=ct-$e}for(lt=0;lt<8;++lt){var Re=lt;if(X[8+Re]==0&&X[16+Re]==0&&X[24+Re]==0&&X[32+Re]==0&&X[40+Re]==0&&X[48+Re]==0&&X[56+Re]==0){te=u*Ve[lt+0]+8192>>14,X[0+Re]=te,X[8+Re]=te,X[16+Re]=te,X[24+Re]=te,X[32+Re]=
te,X[40+Re]=te,X[48+Re]=te,X[56+Re]=te;continue}ke=u*X[0+Re]+2048>>12,q=u*X[32+Re]+2048>>12,se=X[16+Re],ct=X[48+Re],$e=d*(X[8+Re]-X[56+Re])+2048>>12,Te=d*(X[8+Re]+X[56+Re])+2048>>12,Ie=X[24+Re],Ee=X[40+Re],te=ke-q+1>>1,ke=ke+q+1>>1,q=te,te=se*c+ct*i+2048>>12,se=se*i-ct*c+2048>>12,ct=te,te=$e-Ee+1>>1,$e=$e+Ee+1>>1,Ee=te,te=Te+Ie+1>>1,Ie=Te-Ie+1>>1,Te=te,te=ke-ct+1>>1,ke=ke+ct+1>>1,ct=te,te=q-se+1>>1,q=q+se+1>>1,se=te,te=$e*o+Te*a+2048>>12,$e=$e*a-Te*o+2048>>12,Te=te,te=Ie*r+Ee*n+2048>>12,Ie=Ie*n-Ee*r+2048>>12,Ee=te,X[0+Re]=ke+Te,X[56+Re]=ke-Te,X[8+Re]=q+Ee,X[48+Re]=q-Ee,X[16+Re]=se+Ie,X[40+Re]=se-Ie,X[24+Re]=ct+$e,X[32+Re]=ct-$e}for(lt=0;lt<64;++lt){var Ln=128+(X[lt]+8>>4);Rt[lt]=Ln<0?0:Ln>255?255:Ln}}s(Y,"quantizeAndInverse"),E(N*L*8);for(var oe,ge,ue=0;ue<L;ue++){var ft=ue<<3;for(oe=0;oe<8;oe++)C.push(new Uint8Array(N));for(var le=0;le<F;le++){Y(S.blocks[ue][le],ee,W);var we=0,st=le<<3;for(ge=0;ge<8;ge++){var Ke=C[ft+ge];for(oe=0;oe<8;oe++)Ke[st+oe]=ee[we++]}}}return C}s(f,"buildCompo\
nentData");function y(T){return T<0?0:T>255?255:T}s(y,"clampTo8bit"),m.prototype={load:s(function(S){var C=new XMLHttpRequest;C.open("GET",S,!0),C.responseType="arraybuffer",C.onload=function(){var F=new Uint8Array(C.response||C.mozResponseArrayBuffer);this.parse(F),this.onload&&this.onload()}.bind(this),C.send(null)},"load"),parse:s(function(S){var C=this.opts.maxResolutionInMP*1e3*1e3,F=0,L=S.length;function N(){var De=S[F]<<8|S[F+1];return F+=2,De}s(N,"readUint16");function W(){var De=N(),ot=S.subarray(F,F+De-2);return F+=ot.length,ot}s(W,"readDataBlock");function ee(De){var ot=1,Yt=1,vt,On;for(On in De.components)De.components.hasOwnProperty(On)&&(vt=De.components[On],ot<vt.h&&(ot=vt.h),Yt<vt.v&&(Yt=vt.v));var Er=Math.ceil(De.samplesPerLine/8/ot),bo=Math.ceil(De.scanLines/8/Yt);for(On in De.components)if(De.components.hasOwnProperty(On)){vt=De.components[On];var vi=Math.ceil(Math.ceil(De.samplesPerLine/8)*vt.h/ot),bi=Math.ceil(Math.ceil(De.scanLines/8)*vt.v/Yt),gc=Er*vt.h,yc=bo*vt.
v,Kd=yc*gc,vc=[];E(Kd*256);for(var bc=0;bc<yc;bc++){for(var wc=[],Dc=0;Dc<gc;Dc++)wc.push(new Int32Array(64));vc.push(wc)}vt.blocksPerLine=vi,vt.blocksPerColumn=bi,vt.blocks=vc}De.maxH=ot,De.maxV=Yt,De.mcusPerLine=Er,De.mcusPerColumn=bo}s(ee,"prepareComponents");var Y=null,oe=null,ge=null,ue,ft,le=[],we=[],st=[],Ke=[],Le=N(),Rt=-1;if(this.comments=[],Le!=65496)throw new Error("SOI not found");for(Le=N();Le!=65497;){var Ve,Oe,ke;switch(Le){case 65280:break;case 65504:case 65505:case 65506:case 65507:case 65508:case 65509:case 65510:case 65511:case 65512:case 65513:case 65514:case 65515:case 65516:case 65517:case 65518:case 65519:case 65534:var q=W();if(Le===65534){var se=String.fromCharCode.apply(null,q);this.comments.push(se)}Le===65504&&q[0]===74&&q[1]===70&&q[2]===73&&q[3]===70&&q[4]===0&&(Y={version:{major:q[5],minor:q[6]},densityUnits:q[7],xDensity:q[8]<<8|q[9],yDensity:q[10]<<8|q[11],thumbWidth:q[12],thumbHeight:q[13],thumbData:q.subarray(14,14+3*q[12]*q[13])}),Le===65505&&q[0]===
69&&q[1]===120&&q[2]===105&&q[3]===102&&q[4]===0&&(this.exifBuffer=q.subarray(5,q.length)),Le===65518&&q[0]===65&&q[1]===100&&q[2]===111&&q[3]===98&&q[4]===101&&q[5]===0&&(oe={version:q[6],flags0:q[7]<<8|q[8],flags1:q[9]<<8|q[10],transformCode:q[11]});break;case 65499:for(var ct=N(),$e=ct+F-2;F<$e;){var Ie=S[F++];E(256);var Ee=new Int32Array(64);if(Ie>>4)if(Ie>>4===1)for(Oe=0;Oe<64;Oe++){var Te=t[Oe];Ee[Te]=N()}else throw new Error("DQT: invalid table spec");else for(Oe=0;Oe<64;Oe++){var Te=t[Oe];Ee[Te]=S[F++]}le[Ie&15]=Ee}break;case 65472:case 65473:case 65474:N(),ue={},ue.extended=Le===65473,ue.progressive=Le===65474,ue.precision=S[F++],ue.scanLines=N(),ue.samplesPerLine=N(),ue.components={},ue.componentsOrder=[];var te=ue.scanLines*ue.samplesPerLine;if(te>C){var X=Math.ceil((te-C)/1e6);throw new Error(`maxResolutionInMP limit exceeded by ${X}MP`)}var lt=S[F++],fe,Re=0,Ln=0;for(Ve=0;Ve<lt;Ve++){fe=S[F];var ar=S[F+1]>>4,j=S[F+1]&15,ce=S[F+2];if(ar<=0||j<=0)throw new Error("Invalid sam\
pling factor, expected values above 0");ue.componentsOrder.push(fe),ue.components[fe]={h:ar,v:j,quantizationIdx:ce},F+=3}ee(ue),we.push(ue);break;case 65476:var he=N();for(Ve=2;Ve<he;){var de=S[F++],Fe=new Uint8Array(16),Ae=0;for(Oe=0;Oe<16;Oe++,F++)Ae+=Fe[Oe]=S[F];E(16+Ae);var Je=new Uint8Array(Ae);for(Oe=0;Oe<Ae;Oe++,F++)Je[Oe]=S[F];Ve+=17+Ae,(de>>4?st:Ke)[de&15]=p(Fe,Je)}break;case 65501:N(),ft=N();break;case 65500:N(),N();break;case 65498:var Xe=N(),xt=S[F++],ht=[],V;for(Ve=0;Ve<xt;Ve++){V=ue.components[S[F++]];var ie=S[F++];V.huffmanTableDC=Ke[ie>>4],V.huffmanTableAC=st[ie&15],ht.push(V)}var xe=S[F++],Dt=S[F++],_e=S[F++],We=h(S,F,ue,ht,ft,xe,Dt,_e>>4,_e&15,this.opts);F+=We;break;case 65535:S[F]!==255&&F--;break;default:if(S[F-3]==255&&S[F-2]>=192&&S[F-2]<=254){F-=3;break}else if(Le===224||Le==225){if(Rt!==-1)throw new Error(`first unknown JPEG marker at offset ${Rt.toString(16)}, second unknown JPEG marker ${Le.toString(16)} at offset ${(F-1).toString(16)}`);Rt=F-1;let De=N();if(S[F+
De-2]===255){F+=De-2;break}}throw new Error("unknown JPEG marker "+Le.toString(16))}Le=N()}if(we.length!=1)throw new Error("only single frame JPEGs supported");for(var Ve=0;Ve<we.length;Ve++){var mt=we[Ve].components;for(var Oe in mt)mt[Oe].quantizationTable=le[mt[Oe].quantizationIdx],delete mt[Oe].quantizationIdx}this.width=ue.samplesPerLine,this.height=ue.scanLines,this.jfif=Y,this.adobe=oe,this.components=[];for(var Ve=0;Ve<ue.componentsOrder.length;Ve++){var V=ue.components[ue.componentsOrder[Ve]];this.components.push({lines:f(ue,V),scaleX:V.h/ue.maxH,scaleY:V.v/ue.maxV})}},"parse"),getData:s(function(S,C){var F=this.width/S,L=this.height/C,N,W,ee,Y,oe,ge,ue,ft,le,we,st=0,Ke,Le,Rt,Ve,Oe,ke,q,se,ct,$e,Ie,Ee=S*C*this.components.length;E(Ee);var Te=new Uint8Array(Ee);switch(this.components.length){case 1:for(N=this.components[0],we=0;we<C;we++)for(oe=N.lines[0|we*N.scaleY*L],le=0;le<S;le++)Ke=oe[0|le*N.scaleX*F],Te[st++]=Ke;break;case 2:for(N=this.components[0],W=this.components[1],we=
0;we<C;we++)for(oe=N.lines[0|we*N.scaleY*L],ge=W.lines[0|we*W.scaleY*L],le=0;le<S;le++)Ke=oe[0|le*N.scaleX*F],Te[st++]=Ke,Ke=ge[0|le*W.scaleX*F],Te[st++]=Ke;break;case 3:for(Ie=!0,this.adobe&&this.adobe.transformCode?Ie=!0:typeof this.opts.colorTransform<"u"&&(Ie=!!this.opts.colorTransform),N=this.components[0],W=this.components[1],ee=this.components[2],we=0;we<C;we++)for(oe=N.lines[0|we*N.scaleY*L],ge=W.lines[0|we*W.scaleY*L],ue=ee.lines[0|we*ee.scaleY*L],le=0;le<S;le++)Ie?(Ke=oe[0|le*N.scaleX*F],Le=ge[0|le*W.scaleX*F],Rt=ue[0|le*ee.scaleX*F],se=y(Ke+1.402*(Rt-128)),ct=y(Ke-.3441363*(Le-128)-.71413636*(Rt-128)),$e=y(Ke+1.772*(Le-128))):(se=oe[0|le*N.scaleX*F],ct=ge[0|le*W.scaleX*F],$e=ue[0|le*ee.scaleX*F]),Te[st++]=se,Te[st++]=ct,Te[st++]=$e;break;case 4:if(!this.adobe)throw new Error("Unsupported color mode (4 components)");for(Ie=!1,this.adobe&&this.adobe.transformCode?Ie=!0:typeof this.opts.colorTransform<"u"&&(Ie=!!this.opts.colorTransform),N=this.components[0],W=this.components[1],
ee=this.components[2],Y=this.components[3],we=0;we<C;we++)for(oe=N.lines[0|we*N.scaleY*L],ge=W.lines[0|we*W.scaleY*L],ue=ee.lines[0|we*ee.scaleY*L],ft=Y.lines[0|we*Y.scaleY*L],le=0;le<S;le++)Ie?(Ke=oe[0|le*N.scaleX*F],Le=ge[0|le*W.scaleX*F],Rt=ue[0|le*ee.scaleX*F],Ve=ft[0|le*Y.scaleX*F],Oe=255-y(Ke+1.402*(Rt-128)),ke=255-y(Ke-.3441363*(Le-128)-.71413636*(Rt-128)),q=255-y(Ke+1.772*(Le-128))):(Oe=oe[0|le*N.scaleX*F],ke=ge[0|le*W.scaleX*F],q=ue[0|le*ee.scaleX*F],Ve=ft[0|le*Y.scaleX*F]),Te[st++]=255-Oe,Te[st++]=255-ke,Te[st++]=255-q,Te[st++]=255-Ve;break;default:throw new Error("Unsupported color mode")}return Te},"getData"),copyToImageData:s(function(S,C){var F=S.width,L=S.height,N=S.data,W=this.getData(F,L),ee=0,Y=0,oe,ge,ue,ft,le,we,st,Ke,Le;switch(this.components.length){case 1:for(ge=0;ge<L;ge++)for(oe=0;oe<F;oe++)ue=W[ee++],N[Y++]=ue,N[Y++]=ue,N[Y++]=ue,C&&(N[Y++]=255);break;case 3:for(ge=0;ge<L;ge++)for(oe=0;oe<F;oe++)st=W[ee++],Ke=W[ee++],Le=W[ee++],N[Y++]=st,N[Y++]=Ke,N[Y++]=Le,C&&
(N[Y++]=255);break;case 4:for(ge=0;ge<L;ge++)for(oe=0;oe<F;oe++)le=W[ee++],we=W[ee++],ue=W[ee++],ft=W[ee++],st=255-y(le*(1-ft/255)+ft),Ke=255-y(we*(1-ft/255)+ft),Le=255-y(ue*(1-ft/255)+ft),N[Y++]=st,N[Y++]=Ke,N[Y++]=Le,C&&(N[Y++]=255);break;default:throw new Error("Unsupported color mode")}},"copyToImageData")};var v=0,w=0;function E(T=0){var S=v+T;if(S>w){var C=Math.ceil((S-w)/1024/1024);throw new Error(`maxMemoryUsageInMB limit exceeded by at least ${C}MB`)}v=S}return s(E,"requestMemoryAllocation"),m.resetMaxMemoryUsage=function(T){v=0,w=T},m.getBytesAllocated=function(){return v},m.requestMemoryAllocation=E,m},"jpegImage")();typeof Gx<"u"?Gx.exports=U9:typeof window<"u"&&(window["jpeg-js"]=window["jpeg-js"]||{},window["jpeg-js"].decode=U9);function U9(e,t={}){var n={colorTransform:void 0,useTArray:!1,formatAsRGBA:!0,tolerantDecoding:!0,maxResolutionInMP:100,maxMemoryUsageInMB:512},r={...n,...t},a=new Uint8Array(e),o=new Wx;o.opts=r,Wx.resetMaxMemoryUsage(r.maxMemoryUsageInMB*1024*1024),
o.parse(a);var i=r.formatAsRGBA?4:3,c=o.width*o.height*i;try{Wx.requestMemoryAllocation(c);var u={width:o.width,height:o.height,exifBuffer:o.exifBuffer,data:r.useTArray?new Uint8Array(c):Buffer.alloc(c)};o.comments.length>0&&(u.comments=o.comments)}catch(d){throw d instanceof RangeError?new Error("Could not allocate enough memory for the image. Required: "+c):d instanceof ReferenceError&&d.message==="Buffer is not defined"?new Error("Buffer is not globally defined in this environment. Consider setting useTArray to true"):d}return o.copyToImageData(u,r.formatAsRGBA),u}s(U9,"decode")});var Vx=P((qqe,q9)=>{l();var bde=B9(),wde=j9();q9.exports={encode:bde,decode:wde}});var H9=P((Hqe,z9)=>{"use strict";l();var Dde=P9(),$x=Vx();function vh(e,t,n,r,a){return a[(e+t*r)*4+n]}s(vh,"getPixel");function Ede(e,t,n){return vh(e,t,0,n.width,n.data)>=249&&vh(e,t,1,n.width,n.data)>=249&&vh(e,t,2,n.width,n.data)>=249}s(Ede,"isWhitePixel");function Tde(e){let t=s(function(){let o=[];for(let i=0;i<256;i++)o[i]=0;return o},"createHistogramArray"),n=e.width,r=e.height,a=[t(),t(),t()];for(let o=0;o<r;o++)for(let i=0;i<n;i++)if(!Ede(i,o,e))for(let c=0;c<a.length;c++){let u=vh(i,o,c,n,e.data);a[c][u]++}return a}s(Tde,"convertPixelsToHistogram");function xde(e){let t=$x.decode(e[0].getImage()),n=t.width,r=t.height,a=Buffer.alloc(n*r*4),o=0;for(;o<a.length;)a[o++]=255,a[o++]=255,a[o++]=255,a[o++]=255;var i=$x.encode({data:a,width:n,height:r});return i.data}s(xde,"synthesizeWhiteFrame");var Sde="disabled-by-default-devtools.screenshot";function Cde(e,t){t=t||{};let n;e=typeof e=="string"?Dde.readFileSync(e,"utf-8"):e;try{n=typeof e=="string"?JSON.parse(e):e}catch(p){throw new Error(
"Speedline: Invalid JSON"+p.message)}let r=n.traceEvents||n,a=Number.MAX_VALUE,o=-Number.MAX_VALUE;r.forEach(p=>{p.ts!==0&&(a=Math.min(a,p.ts),o=Math.max(o,p.ts))}),a=(t.timeOrigin||a)/1e3,o/=1e3;let i=null,c=r.filter(p=>p.cat.includes(Sde)&&p.ts>=a*1e3);c.sort((p,h)=>p.ts-h.ts);let u=c.map(function(p){let h=p.args&&p.args.snapshot,f=p.ts/1e3;if(h===i)return null;i=h;let y=Buffer.from(h,"base64");return Yx(y,f)}).filter(Boolean);if(u.length===0)return Promise.reject(new Error("No screenshots found in trace"));let d=Yx(xde(u),a);u.unshift(d);let m={startTs:a,endTs:o,frames:u};return Promise.resolve(m)}s(Cde,"extractFramesFromTimeline");function Yx(e,t){let n=null,r=null,a=null,o=null,i=null,c=null;return{getHistogram:function(){if(n)return n;let u=this.getParsedImage();return n=Tde(u),n},getTimeStamp:function(){return t},setProgress:function(u,d){r=u,a=!!d},setPerceptualProgress:function(u,d){o=u,i=!!d},getImage:function(){return e},getParsedImage:function(){return c||(c=$x.decode(e)),c},
getProgress:function(){return r},isProgressInterpolated:function(){return a},getPerceptualProgress:function(){return o},isPerceptualProgressInterpolated:function(){return i}}}s(Yx,"frame");z9.exports={extractFramesFromTimeline:Cde,create:Yx}});var G9=P((Vqe,W9)=>{l();var Kx;(function(e){"use strict";(function(a){a[a.Grey=1]="Grey",a[a.GreyAlpha=2]="GreyAlpha",a[a.RGB=3]="RGB",a[a.RGBAlpha=4]="RGBAlpha"})(e.Channels||(e.Channels={}));var t=e.Channels;function n(a,o,i,c,u,d,m){if(i===void 0&&(i=8),c===void 0&&(c=.01),u===void 0&&(u=.03),d===void 0&&(d=!0),m===void 0&&(m=8),a.width!==o.width||a.height!==o.height)throw new Error("Images have different sizes!");var p=(1<<m)-1,h=Math.pow(c*p,2),f=Math.pow(u*p,2),y=0,v=0,w=0;function E(T,S,C,F){var L,N,W;L=N=W=0;for(var ee=0;ee<T.length;ee++)N+=Math.pow(T[ee]-C,2),W+=Math.pow(S[ee]-F,2),L+=(T[ee]-C)*(S[ee]-F);var Y=T.length-1;N/=Y,W/=Y,L/=Y;var oe=(2*C*F+h)*(2*L+f),ge=(Math.pow(C,2)+Math.pow(F,2)+h)*(N+W+f);v+=oe/ge,w+=(2*L+f)/(N+W+f),y++}return s(E,"iteration"),r._iterate(a,o,i,d,E),{ssim:v/y,mcs:w/y}}s(n,"compare"),e.compare=n;var r;(function(a){function o(u,d,m,p,h){for(var f=u.width,y=u.height,v=0;v<y;v+=m)for(var w=0;w<f;w+=m){var E=Math.min(m,f-w),T=Math.min(m,y-v),S=i(u,w,v,
E,T,p),C=i(d,w,v,E,T,p),F=c(S),L=c(C);h(S,C,F,L)}}s(o,"_iterate"),a._iterate=o;function i(u,d,m,p,h,f){for(var y=u.data,v=new Float32Array(new ArrayBuffer(p*h*4)),w=0,E=m+h,T=m;T<E;T++){var S=T*u.width,C=(S+d)*u.channels,F=(S+d+p)*u.channels;switch(u.channels){case 1:for(;C<F;)v[w++]=y[C++];break;case 2:for(;C<F;)v[w++]=y[C++]*(y[C++]/255);break;case 3:if(f)for(;C<F;)v[w++]=y[C++]*.212655+y[C++]*.715158+y[C++]*.072187;else for(;C<F;)v[w++]=y[C++]+y[C++]+y[C++];break;case 4:if(f)for(;C<F;)v[w++]=(y[C++]*.212655+y[C++]*.715158+y[C++]*.072187)*(y[C++]/255);else for(;C<F;)v[w++]=(y[C++]+y[C++]+y[C++])*(y[C++]/255);break}}return v}s(i,"_lumaValuesForWindow");function c(u){for(var d=0,m=0;m<u.length;m++)d+=u[m];return d/u.length}s(c,"_averageLuma")})(r||(r={}))})(Kx||(Kx={}));W9.exports=Kx});var K9=P((Kqe,Y9)=>{"use strict";l();var kde=G9(),Fde=5,Rde=3,Ade=-1,Xx=Ade,V9=Fde-Xx,_de=Math.log((Rde-Xx)/V9);function $9(e){let t=e/1e3;return V9*Math.exp(_de*t)+Xx}s($9,"calculateFastModeAllowableChange");function Ide(e,t,n){let r=0,a=0,o=e.getHistogram(),i=t.getHistogram(),c=n.getHistogram();for(let d=0;d<3;d++)for(let m=0;m<256;m++){let p=o[d][m],h=i[d][m],f=c[d][m],y=Math.abs(p-h),v=Math.abs(f-h);a+=Math.min(y,v),r+=v}let u;return a===0&&r===0?u=100:u=Math.floor(a/r*100),u}s(Ide,"calculateFrameProgress");function bh(e,t,n,r,a,o){if(!r){e.forEach(p=>o(p,a(p),!1));return}let i=e[t],c=e[n],u=c.getTimeStamp()-i.getTimeStamp(),d=a(i),m=a(c);if(o(i,d,!1),o(c,m,!1),Math.abs(d-m)<$9(u))for(let p=t+1;p<n;p++)o(e[p],d,!0);else if(n-t>1){let p=Math.floor((t+n)/2);bh(e,t,p,r,a,o),bh(e,p,n,r,a,o)}}s(bh,"calculateProgressBetweenFrames");function Mde(e,t){let n=e[0],r=e[e.length-1];function a(i){return typeof i.getProgress()=="number"?i.getProgress():Ide(i,n,r)}s(a,"getProgress");function o(i,c,u){
return i.setProgress(c,u)}return s(o,"setProgress"),bh(e,0,e.length-1,t&&t.fastMode,a,o),e}s(Mde,"calculateVisualProgress");function Jx(e,t){let n={channels:4},r=Object.assign(e.getParsedImage(),n),a=Object.assign(t.getParsedImage(),n);return kde.compare(r,a).ssim}s(Jx,"calculateFrameSimilarity");function Nde(e,t){let n=e[0],r=e[e.length-1],a=Jx(n,r);function o(c){if(typeof c.getPerceptualProgress()=="number")return c.getPerceptualProgress();let u=Jx(c,r);return Math.max(100*(u-a)/(1-a),0)}s(o,"getProgress");function i(c,u,d){return c.setPerceptualProgress(u,d)}return s(i,"setProgress"),bh(e,0,e.length-1,t&&t.fastMode,o,i),e}s(Nde,"calculatePerceptualProgress");function Pde(e,t){let n=typeof e[0].getProgress()=="number",r=typeof e[0].getPerceptualProgress()=="number",a=n?"getProgress":"getPerceptualProgress",o=t.startTs,i,c;for(let f=0;f<e.length&&!c;f++)e[f][a]()>0&&(c=e[f].getTimeStamp());for(let f=0;f<e.length&&!i;f++)e[f][a]()>=100&&(i=e[f].getTimeStamp());let u=e[0].getTimeStamp(),
d=e[0].getProgress(),m=e[0].getPerceptualProgress(),p=c-o,h=c-o;return e.forEach(function(f){if(f.getTimeStamp()>c){let y=f.getTimeStamp()-u;p+=y*(1-d),h+=y*(1-m)}u=f.getTimeStamp(),d=f.getProgress()/100,m=f.getPerceptualProgress()/100}),p=n?p:void 0,h=r?h:void 0,{firstPaintTs:c,visuallyCompleteTs:i,speedIndex:p,perceptualSpeedIndex:h}}s(Pde,"calculateSpeedIndexes");Y9.exports={calculateFastModeAllowableChange:$9,calculateFrameSimilarity:Jx,calculateVisualProgress:Mde,calculatePerceptualProgress:Nde,calculateSpeedIndexes:Pde}});var X9=P((Zqe,J9)=>{"use strict";l();var Lde=H9(),Zx=K9();function Ode(e,t){let n=Zx.calculateSpeedIndexes(e,t),r=Math.floor(t.endTs-t.startTs),a=Math.floor(n.firstPaintTs-t.startTs),o=Math.floor(n.visuallyCompleteTs-t.startTs);return{beginning:t.startTs,end:t.endTs,frames:e,first:a,complete:o,duration:r,speedIndex:n.speedIndex,perceptualSpeedIndex:n.perceptualSpeedIndex}}s(Ode,"calculateValues");var ui={All:"all",pSI:"perceptualSpeedIndex",SI:"speedIndex"};J9.exports=function(e,t){let n=t&&t.include||ui.All;if(!Object.keys(ui).some(r=>ui[r]===n))throw new Error(`Unrecognized include option: ${n}`);return Lde.extractFramesFromTimeline(e,t).then(function(r){let a=r.frames;return(n===ui.All||n===ui.SI)&&Zx.calculateVisualProgress(a,t),(n===ui.All||n===ui.pSI)&&Zx.calculatePerceptualProgress(a,t),Ode(a,r)})}});var Z9,Qx,lo,Pd=g(()=>{"use strict";l();Z9=Bt(X9(),1);ye();_t();Nt();Qx=class{static{s(this,"Speedline")}static async compute_(t,n){return Ce.request(t,n).then(r=>{let a=t.traceEvents.slice(),o=r.timestamps.timeOrigin;return(0,Z9.default)(a,{timeOrigin:o,fastMode:!0,include:"speedIndex"})}).catch(r=>{throw/No screenshots found in trace/.test(r.message)?new H(H.errors.NO_SCREENSHOTS):r}).then(r=>{if(r.frames.length===0)throw new H(H.errors.NO_SPEEDLINE_FRAMES);if(r.speedIndex===0)throw new H(H.errors.SPEEDINDEX_OF_ZERO);return r})}},lo=G(Qx,null)});var e2,Q9,e7=g(()=>{"use strict";l();ye();jr();e2=class extends yt{static{s(this,"FirstContentfulPaintAllFrames")}static computeSimulatedMetric(){throw new Error("FCP All Frames not implemented in lantern")}static async computeObservedMetric(t){let{processedNavigation:n}=t;return{timing:n.timings.firstContentfulPaintAllFrames,timestamp:n.timestamps.firstContentfulPaintAllFrames}}},Q9=G(e2,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var t2,wh,n2=g(()=>{"use strict";l();ye();jr();_t();If();t2=class extends yt{static{s(this,"FirstMeaningfulPaint")}static computeSimulatedMetric(t,n){let r=yt.getMetricComputationInput(t);return ws.request(r,n)}static async computeObservedMetric(t){let{processedNavigation:n}=t;if(n.timings.firstMeaningfulPaint===void 0)throw new H(H.errors.NO_FMP);return{timing:n.timings.firstMeaningfulPaint,timestamp:n.timestamps.firstMeaningfulPaint}}},wh=G(t2,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var r2,t7,n7=g(()=>{"use strict";l();ye();jr();_t();r2=class extends yt{static{s(this,"LargestContentfulPaintAllFrames")}static async computeSimulatedMetric(){throw new Error("LCP All Frames not implemented in lantern")}static async computeObservedMetric(t){let{processedNavigation:n}=t;if(n.timings.largestContentfulPaintAllFrames===void 0)throw new H(H.errors.NO_LCP_ALL_FRAMES);return{timing:n.timings.largestContentfulPaintAllFrames,timestamp:n.timestamps.largestContentfulPaintAllFrames}}},t7=G(r2,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var Bde,Dh,r7=g(()=>{"use strict";l();Jt();Ja();jn();Bde=150,Dh=class e extends tn{static{s(this,"SpeedIndex")}static get COEFFICIENTS(){return{intercept:0,optimistic:1.4,pessimistic:.4}}static getScaledCoefficients(t){let n=this.COEFFICIENTS,r=Bde-30,a=Math.max((t-30)/r,0);return{intercept:n.intercept*a,optimistic:.5+(n.optimistic-.5)*a,pessimistic:.5+(n.pessimistic-.5)*a}}static getOptimisticGraph(t){return t}static getPessimisticGraph(t){return t}static getEstimateFromSimulation(t,n){if(!n.fcpResult)throw new Error("missing fcpResult");if(!n.speedline)throw new Error("missing speedline");let r=n.fcpResult.pessimisticEstimate.timeInMs;return{timeInMs:n.optimistic?n.speedline.speedIndex:e.computeLayoutBasedSpeedIndex(t.nodeTimings,r),nodeTimings:t.nodeTimings}}static async compute(t,n){let r=n?.fcpResult;if(!r)throw new Error("FCP is required to calculate the SpeedIndex metric");let a=await super.compute(t,n);return a.timing=Math.max(a.timing,r.timing),a}static computeLayoutBasedSpeedIndex(t,n){
let r=[];for(let[i,c]of t.entries())if(i.type===Be.TYPES.CPU&&i.childEvents.some(u=>u.name==="Layout")){let u=Math.max(Math.log2(c.endTime-c.startTime),0);r.push({time:c.endTime,weight:u})}let a=r.map(i=>i.weight*Math.max(i.time,n)).reduce((i,c)=>i+c,0),o=r.map(i=>i.weight).reduce((i,c)=>i+c,0);return o?a/o:n}}});var a2,Eh,o2=g(()=>{"use strict";l();ye();Ka();Pd();hr();r7();a2=class extends Dh{static{s(this,"LanternSpeedIndex")}static async computeMetricWithGraphs(t,n,r){return this.compute(await Fn(t,n),r).catch(Kn)}static async compute_(t,n){let r=await lo.request(t.trace,n),a=await Ut.request(t,n);return this.computeMetricWithGraphs(t,n,{speedline:r,fcpResult:a})}},Eh=G(a2,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var i2,Th,s2=g(()=>{"use strict";l();ye();jr();o2();Pd();i2=class extends yt{static{s(this,"SpeedIndex")}static computeSimulatedMetric(t,n){let r=yt.getMetricComputationInput(t);return Eh.request(r,n)}static async computeObservedMetric(t,n){let r=await lo.request(t.trace,n),a=Math.round(r.speedIndex),o=(a+r.beginning)*1e3;return Promise.resolve({timing:a,timestamp:o})}},Th=G(i2,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var xh,a7=g(()=>{"use strict";l();Jt();Ja();jn();xh=class e extends tn{static{s(this,"MaxPotentialFID")}static get COEFFICIENTS(){return{intercept:0,optimistic:.5,pessimistic:.5}}static getOptimisticGraph(t){return t}static getPessimisticGraph(t){return t}static getEstimateFromSimulation(t,n){if(!n.fcpResult)throw new Error("missing fcpResult");let r=n.optimistic?n.fcpResult.pessimisticEstimate.timeInMs:n.fcpResult.optimisticEstimate.timeInMs,a=e.getTimingsAfterFCP(t.nodeTimings,r);return{timeInMs:Math.max(...a.map(o=>o.duration),16),nodeTimings:t.nodeTimings}}static compute(t,n){if(!n?.fcpResult)throw new Error("FCP is required to calculate the Max Potential FID metric");return super.compute(t,n)}static getTimingsAfterFCP(t,n){return Array.from(t.entries()).filter(([r,a])=>r.type===Be.TYPES.CPU&&a.endTime>n).map(([r,a])=>a)}}});var c2,o7,i7=g(()=>{"use strict";l();ye();a7();Ka();hr();c2=class extends xh{static{s(this,"LanternMaxPotentialFID")}static async computeMetricWithGraphs(t,n,r){return this.compute(await Fn(t,n),r).catch(Kn)}static async compute_(t,n){let r=await Ut.request(t,n);return this.computeMetricWithGraphs(t,n,{fcpResult:r})}},o7=G(c2,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var u2,Sh,l2=g(()=>{"use strict";l();ye();jr();i7();Sr();u2=class extends yt{static{s(this,"MaxPotentialFID")}static computeSimulatedMetric(t,n){let r=yt.getMetricComputationInput(t);return o7.request(r,n)}static computeObservedMetric(t){let{firstContentfulPaint:n}=t.processedNavigation.timings,r=Lt.getMainThreadTopLevelEvents(t.processedTrace,n).filter(a=>a.duration>=1);return Promise.resolve({timing:Math.max(...r.map(a=>a.duration),16)})}},Sh=G(u2,["devtoolsLog","gatherContext","settings","simulator","trace","URL"])});var d2,Ch,m2=g(()=>{"use strict";l();Nt();pa();Pd();ed();e7();n2();Hs();n7();Es();ms();s2();l2();Ts();ye();_x();fh();d2=class e{static{s(this,"TimingSummary")}static async summarize(t,n,r,a,o,i){let c={trace:t,devtoolsLog:n,gatherContext:r,settings:a,URL:o},u=s((ge,ue)=>ge.request(ue,i).catch(ft=>{}),"requestOrUndefined"),d=await Ce.request(t,i),m=await u(ln,t),p=await lo.request(t,i),h=await u(Xa,c),f=await u(Q9,c),y=await u(wh,c),v=await u(Jr,c),w=await u(t7,c),E=await u(Hr,c),T=await u(Or,t),S=await u(Sh,c),C=await u(Th,c),F=await u(Wr,c),L=await u(Ws,c),N=await u(ph,c),{cumulativeLayoutShift:W,cumulativeLayoutShiftMainFrame:ee}=T||{},Y={firstContentfulPaint:h?.timing,firstContentfulPaintTs:h?.timestamp,firstContentfulPaintAllFrames:f?.timing,firstContentfulPaintAllFramesTs:f?.timestamp,firstMeaningfulPaint:y?.timing,firstMeaningfulPaintTs:y?.timestamp,largestContentfulPaint:v?.timing,largestContentfulPaintTs:v?.timestamp,largestContentfulPaintAllFrames:w?.timing,largestContentfulPaintAllFramesTs:w?.
timestamp,interactive:E?.timing,interactiveTs:E?.timestamp,speedIndex:C?.timing,speedIndexTs:C?.timestamp,totalBlockingTime:F?.timing,maxPotentialFID:S?.timing,cumulativeLayoutShift:W,cumulativeLayoutShiftMainFrame:ee,lcpLoadStart:L?.loadStart,lcpLoadEnd:L?.loadEnd,timeToFirstByte:N?.timing,timeToFirstByteTs:N?.timestamp,observedTimeOrigin:d.timings.timeOrigin,observedTimeOriginTs:d.timestamps.timeOrigin,observedNavigationStart:m?.timings.timeOrigin,observedNavigationStartTs:m?.timestamps.timeOrigin,observedFirstPaint:m?.timings.firstPaint,observedFirstPaintTs:m?.timestamps.firstPaint,observedFirstContentfulPaint:m?.timings.firstContentfulPaint,observedFirstContentfulPaintTs:m?.timestamps.firstContentfulPaint,observedFirstContentfulPaintAllFrames:m?.timings.firstContentfulPaintAllFrames,observedFirstContentfulPaintAllFramesTs:m?.timestamps.firstContentfulPaintAllFrames,observedFirstMeaningfulPaint:m?.timings.firstMeaningfulPaint,observedFirstMeaningfulPaintTs:m?.timestamps.firstMeaningfulPaint,
observedLargestContentfulPaint:m?.timings.largestContentfulPaint,observedLargestContentfulPaintTs:m?.timestamps.largestContentfulPaint,observedLargestContentfulPaintAllFrames:m?.timings.largestContentfulPaintAllFrames,observedLargestContentfulPaintAllFramesTs:m?.timestamps.largestContentfulPaintAllFrames,observedTraceEnd:d.timings.traceEnd,observedTraceEndTs:d.timestamps.traceEnd,observedLoad:m?.timings.load,observedLoadTs:m?.timestamps.load,observedDomContentLoaded:m?.timings.domContentLoaded,observedDomContentLoadedTs:m?.timestamps.domContentLoaded,observedCumulativeLayoutShift:W,observedCumulativeLayoutShiftMainFrame:ee,observedFirstVisualChange:p.first,observedFirstVisualChangeTs:(p.first+p.beginning)*1e3,observedLastVisualChange:p.complete,observedLastVisualChangeTs:(p.complete+p.beginning)*1e3,observedSpeedIndex:p.speedIndex,observedSpeedIndexTs:(p.speedIndex+p.beginning)*1e3},oe={lcpInvalidated:!!m?.lcpInvalidated};return{metrics:Y,debugInfo:oe}}static async compute_(t,n){return e.
summarize(t.trace,t.devtoolsLog,t.gatherContext,t.settings,t.URL,n)}},Ch=G(d2,["devtoolsLog","gatherContext","settings","trace","URL"])});var s7={};x(s7,{default:()=>jde});var Ude,p2,jde,c7=g(()=>{"use strict";l();$();m2();Ude=new Set(["cumulativeLayoutShift","cumulativeLayoutShiftMainFrame","observedCumulativeLayoutShift","observedCumulativeLayoutShiftMainFrame"]),p2=class extends b{static{s(this,"Metrics")}static get meta(){return{id:"metrics",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:"Metrics",description:"Collects all available metrics.",supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static async audit(t,n){let r=t.GatherContext,a=t.traces[b.DEFAULT_PASS],o=t.devtoolsLogs[b.DEFAULT_PASS],i=t.URL,c=await Ch.request({trace:a,devtoolsLog:o,gatherContext:r,settings:n.settings,URL:i},n),u=c.metrics,d=c.debugInfo;for(let[p,h]of Object.entries(u)){let f=p;typeof h=="number"&&!Ude.has(f)&&(u[f]=Math.round(h))}let m={type:"debugdata",items:[u,d]};return{score:1,numericValue:u.interactive||0,numericUnit:"millisecond",details:m}}},jde=p2});var u7={};x(u7,{UIStrings:()=>g2,default:()=>qde});var g2,f2,h2,qde,l7=g(()=>{"use strict";l();$();A();ed();g2={description:"First Contentful Paint marks the time at which the first text or image is painted. [Learn more about the First Contentful Paint metric](https://developer.chrome.com/docs/lighthouse/performance/first-contentful-paint/)."},f2=D("core/audits/metrics/first-contentful-paint.js",g2),h2=class extends b{static{s(this,"FirstContentfulPaint")}static get meta(){return{id:"first-contentful-paint",title:f2(k.firstContentfulPaintMetric),description:f2(g2.description),scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:1800,median:3e3}},desktop:{scoring:{p10:934,median:1600}}}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=t.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,
URL:t.URL},c=await Xa.request(i,n),u=n.options[n.settings.formFactor];return{score:b.computeLogNormalScore(u.scoring,c.timing),scoringOptions:u.scoring,numericValue:c.timing,numericUnit:"millisecond",displayValue:f2(k.seconds,{timeInMs:c.timing})}}},qde=h2});var d7={};x(d7,{UIStrings:()=>b2,default:()=>zde});var b2,y2,v2,zde,m7=g(()=>{"use strict";l();$();A();n2();b2={description:"First Meaningful Paint measures when the primary content of a page is visible. [Learn more about the First Meaningful Paint metric](https://developer.chrome.com/docs/lighthouse/performance/first-meaningful-paint/)."},y2=D("core/audits/metrics/first-meaningful-paint.js",b2),v2=class extends b{static{s(this,"FirstMeaningfulPaint")}static get meta(){return{id:"first-meaningful-paint",title:y2(k.firstMeaningfulPaintMetric),description:y2(b2.description),scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:2336,median:4e3}},desktop:{scoring:{p10:934,median:1600}}}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=t.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:t.
URL},c=await wh.request(i,n),u=n.options[n.settings.formFactor];return{score:b.computeLogNormalScore(u.scoring,c.timing),numericValue:c.timing,numericUnit:"millisecond",displayValue:y2(k.seconds,{timeInMs:c.timing})}}},zde=v2});var p7={};x(p7,{UIStrings:()=>E2,default:()=>T2});var E2,w2,D2,T2,x2=g(()=>{"use strict";l();$();Ff();A();E2={description:"Interaction to Next Paint measures page responsiveness, how long it takes the page to visibly respond to user input. [Learn more about the Interaction to Next Paint metric](https://web.dev/articles/inp)."},w2=D("core/audits/metrics/interaction-to-next-paint.js",E2),D2=class extends b{static{s(this,"InteractionToNextPaint")}static get meta(){return{id:"interaction-to-next-paint",title:w2(k.interactionToNextPaint),description:w2(E2.description),scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["timespan"],requiredArtifacts:["traces"]}}static get defaultOptions(){return{p10:200,median:500}}static async audit(t,n){let{settings:r}=n;if(r.throttlingMethod==="simulate")return{score:null,notApplicable:!0};let o={trace:t.traces[b.DEFAULT_PASS],settings:r},i=await hs.request(o,n);if(i===null)return{score:null,notApplicable:!0};let c=i.args.data.duration;return{score:b.
computeLogNormalScore({p10:n.options.p10,median:n.options.median},c),numericValue:c,numericUnit:"millisecond",displayValue:w2(k.ms,{timeInMs:c})}}},T2=D2});var f7={};x(f7,{UIStrings:()=>k2,default:()=>Hde});var k2,S2,C2,Hde,h7=g(()=>{"use strict";l();$();A();Es();k2={description:"Time to Interactive is the amount of time it takes for the page to become fully interactive. [Learn more about the Time to Interactive metric](https://developer.chrome.com/docs/lighthouse/performance/interactive/)."},S2=D("core/audits/metrics/interactive.js",k2),C2=class extends b{static{s(this,"InteractiveMetric")}static get meta(){return{id:"interactive",title:S2(k.interactiveMetric),description:S2(k2.description),scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:3785,median:7300}},desktop:{scoring:{p10:2468,median:4500}}}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=t.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:t.URL},u=(await Hr.request(i,
n)).timing,d=n.options[n.settings.formFactor];return{score:b.computeLogNormalScore(d.scoring,u),numericValue:u,numericUnit:"millisecond",displayValue:S2(k.seconds,{timeInMs:u})}}},Hde=C2});var g7={};x(g7,{UIStrings:()=>A2,default:()=>Wde});var A2,F2,R2,Wde,y7=g(()=>{"use strict";l();$();l2();Nt();pa();A();A2={description:"The maximum potential First Input Delay that your users could experience is the duration of the longest task. [Learn more about the Maximum Potential First Input Delay metric](https://developer.chrome.com/docs/lighthouse/performance/lighthouse-max-potential-fid/)."},F2=D("core/audits/metrics/max-potential-fid.js",A2),R2=class e extends b{static{s(this,"MaxPotentialFID")}static get meta(){return{id:"max-potential-fid",title:F2(k.maxPotentialFIDMetric),description:F2(A2.description),scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{p10:130,median:250}}static getLongAnimationFrameDetails(t,n){let{firstContentfulPaint:r,timeOrigin:a}=n.timestamps,o=t.mainThreadEvents.filter(p=>p.name==="LongAnimationFrame"&&p.ph==="b");if(o.length===0)return;
let i=-1/0,c,u=-1/0,d,m=[];for(let p of o){let h=p.args?.data?.duration,f=p.args?.data?.blockingDuration;h===void 0||f===void 0||(m.push({startTime:(p.ts-a)/1e3,duration:h,blockingDuration:f}),!(p.ts<r)&&(h>i&&(i=h,c=p),f>u&&(u=f,d=p)))}return{type:"debugdata",observedMaxDurationLoaf:c,observedMaxBlockingLoaf:d,observedLoafs:m}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=t.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:t.URL},c=await Sh.request(i,n),u=await Ce.request(r,n),d=await ln.request(r,n),m=e.getLongAnimationFrameDetails(u,d);return{score:b.computeLogNormalScore({p10:n.options.p10,median:n.options.median},c.timing),numericValue:c.timing,numericUnit:"millisecond",displayValue:F2(k.ms,{timeInMs:c.timing}),details:m}}},Wde=R2});var v7={};x(v7,{UIStrings:()=>M2,default:()=>Gde});var M2,_2,I2,Gde,b7=g(()=>{"use strict";l();$();A();s2();M2={description:"Speed Index shows how quickly the contents of a page are visibly populated. [Learn more about the Speed Index metric](https://developer.chrome.com/docs/lighthouse/performance/speed-index/)."},_2=D("core/audits/metrics/speed-index.js",M2),I2=class extends b{static{s(this,"SpeedIndex")}static get meta(){return{id:"speed-index",title:_2(k.speedIndexMetric),description:_2(M2.description),scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:3387,median:5800}},desktop:{scoring:{p10:1311,median:2300}}}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=t.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,URL:t.URL},c=await Th.request(i,n),u=n.options[n.settings.formFactor];
return{score:b.computeLogNormalScore(u.scoring,c.timing),scoringOptions:u.scoring,numericValue:c.timing,numericUnit:"millisecond",displayValue:_2(k.seconds,{timeInMs:c.timing})}}},Gde=I2});var w7={};x(w7,{UIStrings:()=>L2,default:()=>Vde});var L2,N2,P2,Vde,D7=g(()=>{"use strict";l();$();Ts();A();L2={description:"Sum of all time periods between FCP and Time to Interactive, when task length exceeded 50ms, expressed in milliseconds. [Learn more about the Total Blocking Time metric](https://developer.chrome.com/docs/lighthouse/performance/lighthouse-total-blocking-time/)."},N2=D("core/audits/metrics/total-blocking-time.js",L2),P2=class extends b{static{s(this,"TotalBlockingTime")}static get meta(){return{id:"total-blocking-time",title:N2(k.totalBlockingTimeMetric),description:N2(L2.description),scoreDisplayMode:b.SCORING_MODES.NUMERIC,requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static get defaultOptions(){return{mobile:{scoring:{p10:200,median:600}},desktop:{scoring:{p10:150,median:350}}}}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=t.devtoolsLogs[b.DEFAULT_PASS],o=t.GatherContext,i={trace:r,devtoolsLog:a,gatherContext:o,settings:n.settings,
URL:t.URL};if(o.gatherMode==="timespan"&&n.settings.throttlingMethod==="simulate")return{score:1,notApplicable:!0};let c=await Wr.request(i,n),u=n.options[n.settings.formFactor];return{score:b.computeLogNormalScore(u.scoring,c.timing),scoringOptions:u.scoring,numericValue:c.timing,numericUnit:"millisecond",displayValue:N2(k.ms,{timeInMs:c.timing})}}},Vde=P2});var E7={};x(E7,{default:()=>$de});var O2,$de,T7=g(()=>{"use strict";l();$();tt();nt();cn();ga();O2=class extends b{static{s(this,"NetworkRequests")}static get meta(){return{id:"network-requests",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:"Network Requests",description:"Lists the network requests that were made during page load.",requiredArtifacts:["devtoolsLogs","URL","GatherContext"]}}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=await ae.request(r,n),o=await mn.request({URL:t.URL,devtoolsLog:r},n),i=a.reduce((f,y)=>Math.min(f,y.rendererStartTime),1/0),c;t.GatherContext.gatherMode==="navigation"&&(c=(await it.request({devtoolsLog:r,URL:t.URL},n)).frameId);let u=s(f=>f<i||!Number.isFinite(f)?void 0:f-i,"normalizeTime"),d=a.map(f=>{let y=f.lrStatistics?.endTimeDeltaMs,v=f.lrStatistics?.TCPMs,w=f.lrStatistics?.requestMs,E=f.lrStatistics?.responseMs,T=f.isLinkPreload||void 0,S=c&&f.frameId===c||void 0,C=o.entityByUrl.get(f.url);return{url:K.elideDataURI(f.url),sessionTargetType:f.
sessionTargetType,protocol:f.protocol,rendererStartTime:u(f.rendererStartTime),networkRequestTime:u(f.networkRequestTime),networkEndTime:u(f.networkEndTime),finished:f.finished,transferSize:f.transferSize,resourceSize:f.resourceSize,statusCode:f.statusCode,mimeType:f.mimeType,resourceType:f.resourceType,priority:f.priority,isLinkPreload:T,experimentalFromMainFrame:S,entity:C?.name,lrEndTimeDeltaMs:y,lrTCPMs:v,lrRequestMs:w,lrResponseMs:E}}),m=[{key:"url",valueType:"url",label:"URL"},{key:"protocol",valueType:"text",label:"Protocol"},{key:"networkRequestTime",valueType:"ms",granularity:1,label:"Network Request Time"},{key:"networkEndTime",valueType:"ms",granularity:1,label:"Network End Time"},{key:"transferSize",valueType:"bytes",displayUnit:"kb",granularity:1,label:"Transfer Size"},{key:"resourceSize",valueType:"bytes",displayUnit:"kb",granularity:1,label:"Resource Size"},{key:"statusCode",valueType:"text",label:"Status Code"},{key:"mimeType",valueType:"text",label:"MIME Type"},{key:"r\
esourceType",valueType:"text",label:"Resource Type"}],p=b.makeTableDetails(m,d),h=Number.isFinite(i)?i*1e3:void 0;return p.debugData={type:"debugdata",networkStartTimeTs:h},{score:1,details:p}}},$de=O2});var x7={};x(x7,{UIStrings:()=>kh,default:()=>Yde});var kh,Ld,B2,Yde,S7=g(()=>{"use strict";l();$();A();nt();Po();kh={title:"Network Round Trip Times",description:"Network round trip times (RTT) have a large impact on performance. If the RTT to an origin is high, it's an indication that servers closer to the user could improve performance. [Learn more about the Round Trip Time](https://hpbn.co/primer-on-latency-and-bandwidth/)."},Ld=D("core/audits/network-rtt.js",kh),B2=class extends b{static{s(this,"NetworkRTT")}static get meta(){return{id:"network-rtt",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:Ld(kh.title),description:Ld(kh.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS];if(!(await ae.request(r,n)).length)return{score:1,notApplicable:!0};let o=await lr.request(r,n),i=0,c=o.rtt,u=[];for(let[p,h]of o.additionalRttByOrigin.entries()){if(!p.startsWith("http"))continue;let f=h+c;u.push({origin:p,rtt:f}),i=Number.isFinite(
f)?Math.max(f,i):i}u.sort((p,h)=>h.rtt-p.rtt);let d=[{key:"origin",valueType:"text",label:Ld(k.columnURL)},{key:"rtt",valueType:"ms",granularity:1,label:Ld(k.columnTimeSpent)}],m=b.makeTableDetails(d,u,{sortedBy:["rtt"]});return{score:1,numericValue:i,numericUnit:"millisecond",displayValue:Ld(k.ms,{timeInMs:i}),details:m}}},Yde=B2});var C7={};x(C7,{UIStrings:()=>Fh,default:()=>Kde});var Fh,Od,U2,Kde,k7=g(()=>{"use strict";l();$();A();nt();Po();Fh={title:"Server Backend Latencies",description:"Server latencies can impact web performance. If the server latency of an origin is high, it's an indication the server is overloaded or has poor backend performance. [Learn more about server response time](https://hpbn.co/primer-on-web-performance/#analyzing-the-resource-waterfall)."},Od=D("core/audits/network-server-latency.js",Fh),U2=class extends b{static{s(this,"NetworkServerLatency")}static get meta(){return{id:"network-server-latency",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:Od(Fh.title),description:Od(Fh.description),requiredArtifacts:["devtoolsLogs"]}}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS];if(!(await ae.request(r,n)).length)return{score:1,notApplicable:!0};let o=await lr.request(r,n),i=0,c=[];for(let[m,p]of o.serverResponseTimeByOrigin.entries())m.startsWith("http")&&(i=Math.max(p,i),c.
push({origin:m,serverResponseTime:p}));c.sort((m,p)=>p.serverResponseTime-m.serverResponseTime);let u=[{key:"origin",valueType:"text",label:Od(k.columnURL)},{key:"serverResponseTime",valueType:"ms",granularity:1,label:Od(k.columnTimeSpent)}],d=b.makeTableDetails(u,c,{sortedBy:["serverResponseTime"]});return{score:Math.max(1-i/500,0),numericValue:i,numericUnit:"millisecond",displayValue:Od(k.ms,{timeInMs:i}),details:d}}},Kde=U2});var F7={};x(F7,{UIStrings:()=>er,default:()=>Zde});function Xde(e,t){return Jde.filter(n=>e&n.flag).map(n=>n.text===er.unsupportedCSSProperty?li(n.text,{propertyCount:t.length,properties:t.join(", ")}):li(n.text))}var er,li,Jde,j2,Zde,R7=g(()=>{"use strict";l();$();A();er={title:"Avoid non-composited animations",description:"Animations which are not composited can be janky and increase CLS. [Learn how to avoid non-composited animations](https://developer.chrome.com/docs/lighthouse/performance/non-composited-animations/)",displayValue:`{itemCount, plural,
  =1 {# animated element found}
  other {# animated elements found}
  }`,unsupportedCSSProperty:`{propertyCount, plural,
    =1 {Unsupported CSS Property: {properties}}
    other {Unsupported CSS Properties: {properties}}
  }`,transformDependsBoxSize:"Transform-related property depends on box size",filterMayMovePixels:"Filter-related property may move pixels",nonReplaceCompositeMode:'Effect has composite mode other than "replace"',incompatibleAnimations:"Target has another animation which is incompatible",unsupportedTimingParameters:"Effect has unsupported timing parameters"},li=D("core/audits/non-composited-animations.js",er),Jde=[{flag:8192,text:er.unsupportedCSSProperty},{flag:2048,text:er.transformDependsBoxSize},{flag:4096,text:er.filterMayMovePixels},{flag:16,text:er.nonReplaceCompositeMode},{flag:64,text:er.incompatibleAnimations},{flag:8,text:er.unsupportedTimingParameters}];s(Xde,"getActionableFailureReasons");j2=class extends b{static{s(this,"NonCompositedAnimations")}static get meta(){return{id:"non-composited-animations",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:li(er.title),description:li(er.description),guidanceLevel:2,requiredArtifacts:["TraceElements","HostUserAgent"]}}static async audit(t){
let n=t.HostUserAgent.match(/Chrome\/(\d+)/);if(!n||Number(n[1])<86)return{score:1,notApplicable:!0,metricSavings:{CLS:0}};let r=[],a=!1;t.TraceElements.forEach(u=>{if(u.traceEventType!=="animation")return;let d=u.animations||[],m=new Map;for(let{name:h,failureReasonsMask:f,unsupportedProperties:y}of d){if(!f)continue;let v=Xde(f,y||[]);for(let w of v){h&&(a=!0);let E=m.get(h)||new Set;E.add(w),m.set(h,E)}}if(!m.size)return;let p=[];for(let[h,f]of m)for(let y of f)p.push({failureReason:y,animation:h});r.push({node:b.makeNodeItem(u.node),subItems:{type:"subitems",items:p}})});let o=[{key:"node",valueType:"node",subItemsHeading:{key:"failureReason",valueType:"text"},label:li(k.columnElement)}];a&&o.push({key:null,valueType:"text",subItemsHeading:{key:"animation",valueType:"text"},label:li(k.columnName)});let i=b.makeTableDetails(o,r),c;return r.length>0&&(c=li(er.displayValue,{itemCount:r.length})),{score:r.length===0?1:0,notApplicable:r.length===0,metricSavings:{CLS:0},details:i,displayValue:c}}},
Zde=j2});var A7={};x(A7,{default:()=>Qde});var Qde,_7=g(()=>{"use strict";l();Qde={meta:{id:"oopif-iframe-test-audit",title:"IFrame Elements",failureTitle:"IFrame Elements",description:"Audit to force the inclusion of IFrameElements artifact",requiredArtifacts:["IFrameElements"]},audit:()=>({score:1})}});var I7={};x(I7,{default:()=>rme});var eme,tme,nme,q2,rme,M7=g(()=>{"use strict";l();$();A();hr();If();td();o2();Qo();m2();cr();eme=3651,tme=1e4,nme=D("core/audits/predictive-perf.js",{}),q2=class extends b{static{s(this,"PredictivePerf")}static get meta(){return{id:"predictive-perf",title:"Predicted Performance (beta)",description:"Predicted performance evaluates how your site will perform under a cellular connection on a mobile device.",scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["navigation"],requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL"]}}static async audit(t,n){let r=t.GatherContext,a=t.traces[b.DEFAULT_PASS],o=t.devtoolsLogs[b.DEFAULT_PASS],i=t.URL,c=JSON.parse(JSON.stringify(qn)),u={trace:a,devtoolsLog:o,gatherContext:r,settings:c,URL:i},d=await Ut.request(u,n),m=await ws.request(u,n),p=await Za.request(u,n),h=await Eh.request(u,n),f=await Jn.request(u,n),y=await Ch.request(u,n),v={roughEstimateOfFCP:d.timing,optimisticFCP:d.optimisticEstimate.timeInMs,
pessimisticFCP:d.pessimisticEstimate.timeInMs,roughEstimateOfFMP:m.timing,optimisticFMP:m.optimisticEstimate.timeInMs,pessimisticFMP:m.pessimisticEstimate.timeInMs,roughEstimateOfTTI:p.timing,optimisticTTI:p.optimisticEstimate.timeInMs,pessimisticTTI:p.pessimisticEstimate.timeInMs,roughEstimateOfSI:h.timing,optimisticSI:h.optimisticEstimate.timeInMs,pessimisticSI:h.pessimisticEstimate.timeInMs,roughEstimateOfLCP:f.timing,optimisticLCP:f.optimisticEstimate.timeInMs,pessimisticLCP:f.pessimisticEstimate.timeInMs,roughEstimateOfTTFB:y.metrics.timeToFirstByte,roughEstimateOfLCPLoadStart:y.metrics.lcpLoadStart,roughEstimateOfLCPLoadEnd:y.metrics.lcpLoadEnd};return{score:b.computeLogNormalScore({p10:eme,median:tme},v.roughEstimateOfTTI),numericValue:v.roughEstimateOfTTI,numericUnit:"millisecond",displayValue:nme(k.ms,{timeInMs:v.roughEstimateOfTTI}),details:{type:"debugdata",items:[v]}}}},rme=q2});var N7={};x(N7,{UIStrings:()=>Bd,default:()=>ome});var ame,Bd,Rh,z2,ome,P7=g(()=>{"use strict";l();$();A();bx();nt();ame=/^(optional)$/,Bd={title:"Fonts with `font-display: optional` are preloaded",failureTitle:"Fonts with `font-display: optional` are not preloaded",description:"Preload `optional` fonts so first-time visitors may use them. [Learn more about preloading fonts](https://web.dev/articles/preload-optional-fonts)"},Rh=D("core/audits/preload-fonts.js",Bd),z2=class e extends b{static{s(this,"PreloadFontsAudit")}static get meta(){return{id:"preload-fonts",title:Rh(Bd.title),failureTitle:Rh(Bd.failureTitle),description:Rh(Bd.description),requiredArtifacts:["devtoolsLogs","URL","CSSUsage"]}}static getURLsAttemptedToPreload(t){let n=t.filter(r=>r.resourceType==="Font").filter(r=>r.isLinkPreload).map(r=>r.url);return new Set(n)}static async audit(t,n){let r=t.devtoolsLogs[this.DEFAULT_PASS],a=await ae.request(r,n),o=vx.findFontDisplayDeclarations(t,ame).passingURLs,i=e.getURLsAttemptedToPreload(
a),c=Array.from(o).filter(d=>!i.has(d)).map(d=>({url:d})),u=[{key:"url",valueType:"url",label:Rh(k.columnURL)}];return{score:c.length>0?0:1,details:b.makeTableDetails(u,c),notApplicable:o.size===0}}},ome=z2});var L7={};x(L7,{UIStrings:()=>Ah,default:()=>ime});var Ah,Ud,H2,ime,O7=g(()=>{"use strict";l();$();A();Ct();cn();Qo();Ar();od();Ah={title:"Preload Largest Contentful Paint image",description:"If the LCP element is dynamically added to the page, you should preload the image in order to improve LCP. [Learn more about preloading LCP elements](https://web.dev/articles/optimize-lcp#optimize_when_the_resource_is_discovered)."},Ud=D("core/audits/prioritize-lcp-image.js",Ah),H2=class e extends b{static{s(this,"PrioritizeLcpImage")}static get meta(){return{id:"prioritize-lcp-image",title:Ud(Ah.title),description:Ud(Ah.description),supportedModes:["navigation"],guidanceLevel:4,requiredArtifacts:["traces","devtoolsLogs","GatherContext","URL","TraceElements"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS}}static shouldPreloadRequest(t,n,r){return t.isLinkPreload||J.isNonNetworkRequest(t)||r.length<=2?!1:t.frameId===n.frameId}static findLCPNode(t,n){for(let{node:r}of t.traverseGenerator())if(r.type===
"network"&&r.record.requestId===n.requestId)return r}static getLcpInitiatorPath(t,n){let r=[],a=!1,o=t;for(;o;){a||=o.requestId===n.requestId;let i=o.initiator?.type??"other";if(o.initiatorRequest&&o.initiatorRequest===o.redirectSource&&(i="redirect"),!o.initiatorRequest&&!a&&(i="fallbackToMain"),r.push({url:o.url,initiatorType:i}),a)break;o=o.initiatorRequest||n}return r}static getLCPNodeToPreload(t,n,r){if(!r)return{};let a=e.findLCPNode(n,r),o=e.getLcpInitiatorPath(r,t);return a?{lcpNodeToPreload:e.shouldPreloadRequest(r,t,o)?a:void 0,initiatorPath:o}:{initiatorPath:o}}static computeWasteWithGraph(t,n,r,a){if(!n)return{wastedMs:0,results:[]};let o=r.cloneWithRelationships(),i=new Set;for(let w of n.getDependencies())i.add(w.id);let c=null,u=null;for(let{node:w}of o.traverseGenerator())w.type==="network"&&(w.isMainDocument()?u=w:w.id===n.id&&(c=w));if(!u)throw new Error("Could not find main document node");if(!c)throw new Error("Could not find the LCP node");c.removeAllDependencies(),
c.addDependency(u);let d=a.simulate(r),m=a.simulate(o),p=d.nodeTimings.get(n);if(!p)throw new Error("Impossible - node timings should never be undefined");let h=m.nodeTimings.get(c);if(!h)throw new Error("Impossible - node timings should never be undefined");let f=Array.from(m.nodeTimings.keys()).reduce((w,E)=>w.set(E.id,E),new Map),y=0;for(let w of Array.from(i)){let E=f.get(w);if(!E)throw new Error("Impossible - node should never be undefined");let S=m.nodeTimings.get(E)?.endTime||0;y=Math.max(y,S)}let v=p.endTime-Math.max(h.endTime,y);return{wastedMs:v,results:[{node:b.makeNodeItem(t.node),url:n.record.url,wastedMs:v}]}}static async audit(t,n){let r=t.GatherContext,a=t.traces[e.DEFAULT_PASS],o=t.devtoolsLogs[e.DEFAULT_PASS],i=t.URL,c=n.settings,u={trace:a,devtoolsLog:o,gatherContext:r,settings:c,URL:i},d=t.TraceElements.find(F=>F.traceEventType==="largest-contentful-paint");if(!d||d.type!=="image")return{score:null,notApplicable:!0,metricSavings:{LCP:0}};let m=await it.request({devtoolsLog:o,
URL:i},n),p=await Jn.request(u,n),h=await Zt.request({devtoolsLog:o,settings:c},n),f=await eo.request({trace:a,devtoolsLog:o},n),y=p.pessimisticGraph,{lcpNodeToPreload:v,initiatorPath:w}=e.getLCPNodeToPreload(m,y,f),{results:E,wastedMs:T}=e.computeWasteWithGraph(d,v,y,h),S=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:Ud(k.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:Ud(k.columnWastedMs)}],C=b.makeOpportunityDetails(S,E,{overallSavingsMs:T,sortedBy:["wastedMs"]});return w&&(C.debugData={type:"debugdata",initiatorPath:w,pathLength:w.length}),{score:E.length?0:1,numericValue:T,numericUnit:"millisecond",displayValue:T?Ud(k.displayValueMsSavings,{wastedMs:T}):"",details:C,metricSavings:{LCP:T}}}},ime=H2});var B7={};x(B7,{UIStrings:()=>jd,default:()=>sme});var jd,W2,G2,sme,U7=g(()=>{"use strict";l();$();A();tt();jd={title:"Redirects HTTP traffic to HTTPS",failureTitle:"Does not redirect HTTP traffic to HTTPS",description:"Make sure that you redirect all HTTP traffic to HTTPS in order to enable secure web features for all your users. [Learn more](https://developer.chrome.com/docs/lighthouse/pwa/redirects-http/)."},W2=D("core/audits/redirects-http.js",jd),G2=class extends b{static{s(this,"RedirectsHTTP")}static get meta(){return{id:"redirects-http",title:W2(jd.title),failureTitle:W2(jd.failureTitle),description:W2(jd.description),requiredArtifacts:["URL"],supportedModes:["navigation"]}}static audit(t){if(!t.URL.requestedUrl)throw new Error("Missing requestedUrl");let n=new URL(t.URL.requestedUrl),r=new URL(t.URL.finalDisplayedUrl),a=n.protocol==="http:",o=K.isLikeLocalhost(r.hostname);if(!a||o)return{score:null,notApplicable:!0};let i=r.protocol==="https:";return{score:Number(i)}}},sme=G2});var j7={};x(j7,{UIStrings:()=>_h,default:()=>cme});var _h,qd,V2,cme,q7=g(()=>{"use strict";l();$();A();Nt();nt();td();_h={title:"Avoid multiple page redirects",description:"Redirects introduce additional delays before the page can be loaded. [Learn how to avoid page redirects](https://developer.chrome.com/docs/lighthouse/performance/redirects/)."},qd=D("core/audits/redirects.js",_h),V2=class e extends b{static{s(this,"Redirects")}static get meta(){return{id:"redirects",title:qd(_h.title),description:qd(_h.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,supportedModes:["navigation"],guidanceLevel:2,requiredArtifacts:["URL","GatherContext","devtoolsLogs","traces"]}}static getDocumentRequestChain(t,n){let r=[];for(let a of n.processEvents){if(a.name!=="navigationStart")continue;let o=a.args.data||{};if(!o.documentLoaderURL||!o.isLoadingMainFrame)continue;let i=t.find(c=>c.requestId===o.navigationId);for(;i;)r.push(i),i=i.redirectDestination}if(!r.length)throw new Error("No na\
vigation requests found");return r}static async audit(t,n){let r=n.settings,a=t.traces[b.DEFAULT_PASS],o=t.devtoolsLogs[b.DEFAULT_PASS],i=t.GatherContext,c=await Ce.request(a,n),u=await ae.request(o,n),d={trace:a,devtoolsLog:o,gatherContext:i,settings:r,URL:t.URL},m=await Za.request(d,n),p=new Map;for(let[E,T]of m.pessimisticEstimate.nodeTimings.entries())E.type==="network"&&p.set(E.record.requestId,T);let h=e.getDocumentRequestChain(u,c),f=0,y=[];for(let E=0;E<h.length&&!(h.length<2);E++){let T=h[E],S=h[E+1]||T,C=p.get(T.requestId),F=p.get(S.requestId);if(!C||!F)throw new Error("Could not find redirects in graph");let L=F.startTime-C.startTime,N=S.networkRequestTime-T.networkRequestTime,W=r.throttlingMethod==="simulate"?L:N;f+=W,y.push({url:T.url,wastedMs:W})}let v=[{key:"url",valueType:"url",label:qd(k.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:qd(k.columnTimeSpent)}],w=b.makeOpportunityDetails(v,y,{overallSavingsMs:f});return{score:y.length?0:1,numericValue:f,numericUnit:"\
millisecond",displayValue:f?qd(k.displayValueMsSavings,{wastedMs:f}):"",details:w,metricSavings:{LCP:f,FCP:f}}}},cme=V2});var $2,z7,H7=g(()=>{"use strict";l();ga();ye();nt();Ct();tt();$2=class e{static{s(this,"ResourceSummary")}static determineResourceType(t){return t.resourceType&&{Stylesheet:"stylesheet",Image:"image",Media:"media",Font:"font",Script:"script",Document:"document"}[t.resourceType]||"other"}static summarize(t,n,r){let a={stylesheet:{count:0,resourceSize:0,transferSize:0},image:{count:0,resourceSize:0,transferSize:0},media:{count:0,resourceSize:0,transferSize:0},font:{count:0,resourceSize:0,transferSize:0},script:{count:0,resourceSize:0,transferSize:0},document:{count:0,resourceSize:0,transferSize:0},other:{count:0,resourceSize:0,transferSize:0},total:{count:0,resourceSize:0,transferSize:0},"third-party":{count:0,resourceSize:0,transferSize:0}},o=r.firstParty?.domains.map(i=>`*.${i}`)||[`*.${K.getRootDomain(n.finalDisplayedUrl)}`];return t.filter(i=>!(this.determineResourceType(i)==="other"&&i.url.endsWith("/favicon.ico")||J.isNonNetworkRequest(i))).forEach(i=>{let c=this.determineResourceType(
i);a[c].count++,a[c].resourceSize+=i.resourceSize,a[c].transferSize+=i.transferSize,a.total.count++,a.total.resourceSize+=i.resourceSize,a.total.transferSize+=i.transferSize,o.some(d=>{let m=new URL(i.url);return d.startsWith("*.")?m.hostname.endsWith(d.slice(2)):m.hostname===d})||(a["third-party"].count++,a["third-party"].resourceSize+=i.resourceSize,a["third-party"].transferSize+=i.transferSize)}),a}static async compute_(t,n){let r=await ae.request(t.devtoolsLog,n),a=await mn.request({URL:t.URL,devtoolsLog:t.devtoolsLog},n);return e.summarize(r,t.URL,a)}},z7=G($2,["URL","devtoolsLog"])});var W7={};x(W7,{default:()=>ume});var tr,Y2,ume,G7=g(()=>{"use strict";l();$();H7();A();tr=D("core/audits/resource-summary.js"),Y2=class extends b{static{s(this,"ResourceSummary")}static get meta(){return{id:"resource-summary",title:"Resources Summary",description:"Aggregates all network requests and groups them by type",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,requiredArtifacts:["devtoolsLogs","URL"]}}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=await z7.request({devtoolsLog:r,URL:t.URL},n),o=[{key:"label",valueType:"text",label:tr(k.columnResourceType)},{key:"requestCount",valueType:"numeric",label:tr(k.columnRequests)},{key:"transferSize",valueType:"bytes",label:tr(k.columnTransferSize)}],i={total:tr(k.totalResourceType),document:tr(k.documentResourceType),script:tr(k.scriptResourceType),stylesheet:tr(k.stylesheetResourceType),image:tr(k.imageResourceType),media:tr(k.mediaResourceType),font:tr(k.fontResourceType),other:tr(k.otherResourceType),"third-party":tr(k.
thirdPartyResourceType)},u=Object.keys(a).map(f=>({resourceType:f,label:i[f],requestCount:a[f].count,transferSize:a[f].transferSize})),d=u.find(f=>f.resourceType==="third-party")||[],p=u.filter(f=>f.resourceType!=="third-party").sort((f,y)=>y.transferSize-f.transferSize).concat(d);return{details:b.makeTableDetails(o,p),score:null}}},ume=Y2});var $7={};x($7,{default:()=>dme});var V7,lme,K2,dme,Y7=g(()=>{"use strict";l();V7=Bt(Vx(),1);$();_t();Pd();lme=8,K2=class e extends b{static{s(this,"ScreenshotThumbnails")}static get meta(){return{id:"screenshot-thumbnails",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:"Screenshot Thumbnails",description:"This is what the load of your site looked like.",requiredArtifacts:["traces","GatherContext"]}}static scaleImageToThumbnail(t,n){let r=t.width/n,a=Math.floor(t.height/r),o=new Uint8Array(n*a*4);for(let i=0;i<n;i++)for(let c=0;c<a;c++){let u=Math.floor(i*r),m=(Math.floor(c*r)*t.width+u)*4,p=(c*n+i)*4;o[p]=t.data[m],o[p+1]=t.data[m+1],o[p+2]=t.data[m+2],o[p+3]=t.data[m+3]}return{width:n,height:a,data:o}}static async _audit(t,n){let r=t.traces[b.DEFAULT_PASS],a=new Map,o=await lo.request(r,n),i=n.options.minimumTimelineDuration||3e3,c=n.options.numberOfThumbnails||lme,u=n.options.thumbnailWidth||null,d=[],m=o.frames.filter(f=>!f.isProgressInterpolated()),p=o.complete||Math.max(...o.
frames.map(f=>f.getTimeStamp()-o.beginning)),h=Math.max(p,i);if(!m.length||!Number.isFinite(h))throw new H(H.errors.INVALID_SPEEDLINE);for(let f=1;f<=c;f++){let y=o.beginning+h*f/c,v=null;f===c?v=m[m.length-1]:m.forEach(T=>{T.getTimeStamp()<=y&&(v=T)});let w,E=a.get(v);if(E)w=E;else if(u!==null){let T=v.getParsedImage(),S=e.scaleImageToThumbnail(T,u);w=V7.default.encode(S,90).data.toString("base64"),a.set(v,w)}else w=v.getImage().toString("base64"),a.set(v,w);d.push({timing:Math.round(y-o.beginning),timestamp:y*1e3,data:`data:image/jpeg;base64,${w}`})}return{score:1,details:{type:"filmstrip",scale:h,items:d}}}static async audit(t,n){try{return await this._audit(t,n)}catch(r){if(new Set([H.errors.NO_SCREENSHOTS.code,H.errors.SPEEDINDEX_OF_ZERO.code,H.errors.NO_SPEEDLINE_FRAMES.code,H.errors.INVALID_SPEEDLINE.code]).has(r.code)&&t.GatherContext.gatherMode==="timespan")return{notApplicable:!0,score:1};throw r}}},dme=K2});var K7={};x(K7,{default:()=>mme});var J2,mme,J7=g(()=>{"use strict";l();$();to();ST();nT();no();J2=class e extends b{static{s(this,"ScriptTreemapDataAudit")}static get meta(){return{id:"script-treemap-data",scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,title:"Script Treemap Data",description:"Used for treemap app",requiredArtifacts:["traces","devtoolsLogs","SourceMaps","Scripts","JsUsage","URL"]}}static makeScriptNode(t,n,r){function a(d){return{name:d,resourceBytes:0}}s(a,"newNode");let o=a(n);function i(d,m){let p=o;o.resourceBytes+=m.resourceBytes,m.unusedBytes&&(o.unusedBytes=(o.unusedBytes||0)+m.unusedBytes);let h=d.replace(n,"").split(/\/+/);h.forEach((f,y)=>{if(f.length===0)return;let v=y===h.length-1,w=p.children&&p.children.find(E=>E.name===f);w||(w=a(f),p.children=p.children||[],p.children.push(w)),p=w,p.resourceBytes+=m.resourceBytes,m.unusedBytes&&(p.unusedBytes=(p.unusedBytes||0)+m.unusedBytes),v&&m.duplicatedNormalizedModuleName!==void 0&&(p.duplicatedNormalizedModuleName=
m.duplicatedNormalizedModuleName)})}s(i,"addAllNodesInSourcePath");for(let[d,m]of Object.entries(r))i(d,m);function c(d){for(;d.children&&d.children.length===1;)d.name+="/"+d.children[0].name,d.children=d.children[0].children;if(d.children)for(let m of d.children)c(m)}if(s(c,"collapseAll"),c(o),!o.name)return{...o,name:t,children:o.children};let u={...o};return u.name=t,u.children=[o],u}static async makeNodes(t,n){let r=[],a=new Map,o=await Rn.request(t,n),i=await id.request(t,n);for(let c of t.Scripts){if(c.scriptLanguage!=="JavaScript")continue;let u=c.url,d=o.find(f=>c.scriptId===f.script.scriptId),m=t.JsUsage[c.scriptId],p=m?await Jf.request({scriptId:c.scriptId,scriptCoverage:m,bundle:d},n):void 0,h;if(d&&!("errorMessage"in d.sizes)){let f={};for(let y of Object.keys(d.sizes.files)){let v={resourceBytes:d.sizes.files[y]};p?.sourcesWastedBytes&&(v.unusedBytes=p.sourcesWastedBytes[y]);let w=y;d.rawMap.sourceRoot&&y.startsWith(d.rawMap.sourceRoot)&&(w=y.replace(d.rawMap.sourceRoot,""));
let E=id.normalizeSource(w);i.has(E)&&(v.duplicatedNormalizedModuleName=E),f[y]=v}if(d.sizes.unmappedBytes){let y={resourceBytes:d.sizes.unmappedBytes};p?.sourcesWastedBytes&&(y.unusedBytes=p.sourcesWastedBytes["(unmapped)"]),f["(unmapped)"]=y}h=this.makeScriptNode(c.url,d.rawMap.sourceRoot||"",f)}else h={name:u,resourceBytes:p?.totalBytes??c.length??0,unusedBytes:p?.wastedBytes};if(Bf(c)){let f=a.get(c.executionContextAuxData.frameId);f||(f={name:u,resourceBytes:0,unusedBytes:void 0,children:[]},a.set(c.executionContextAuxData.frameId,f),r.push(f)),f.resourceBytes+=h.resourceBytes,h.unusedBytes&&(f.unusedBytes=(f.unusedBytes||0)+h.unusedBytes),h.name=c.content?"(inline) "+c.content.trimStart().substring(0,15)+"…":"(inline)",f.children?.push(h)}else r.push(h)}return r}static async audit(t,n){return{score:1,details:{type:"treemap-data",nodes:await e.makeNodes(t,n)}}}},mme=J2});var X7={};x(X7,{UIStrings:()=>Zr,default:()=>pme});var Zr,mo,X2,pme,Z7=g(()=>{"use strict";l();$();tt();cn();A();Zr={title:"Document has a valid `rel=canonical`",failureTitle:"Document does not have a valid `rel=canonical`",description:"Canonical links suggest which URL to show in search results. [Learn more about canonical links](https://developer.chrome.com/docs/lighthouse/seo/canonical/).",explanationConflict:"Multiple conflicting URLs ({urlList})",explanationInvalid:"Invalid URL ({url})",explanationRelative:"Is not an absolute URL ({url})",explanationPointsElsewhere:"Points to another `hreflang` location ({url})",explanationRoot:"Points to the domain's root URL (the homepage), instead of an equivalent page of content"},mo=D("core/audits/seo/canonical.js",Zr),X2=class e extends b{static{s(this,"Canonical")}static get meta(){return{id:"canonical",title:mo(Zr.title),failureTitle:mo(Zr.failureTitle),description:mo(Zr.description),supportedModes:["navigation"],requiredArtifacts:["LinkEl\
ements","URL","devtoolsLogs"]}}static collectCanonicalURLs(t){let n=new Set,r=new Set,a,o;for(let i of t)if(i.source!=="body")if(i.rel==="canonical"){if(!i.hrefRaw)continue;i.href?K.isValid(i.hrefRaw)?n.add(i.href):o=i:a=i}else i.rel==="alternate"&&i.href&&i.hreflang&&r.add(i.href);return{uniqueCanonicalURLs:n,hreflangURLs:r,invalidCanonicalLink:a,relativeCanonicallink:o}}static findInvalidCanonicalURLReason(t){let{uniqueCanonicalURLs:n,invalidCanonicalLink:r,relativeCanonicallink:a}=t;if(r)return{score:0,explanation:mo(Zr.explanationInvalid,{url:r.hrefRaw})};if(a)return{score:0,explanation:mo(Zr.explanationRelative,{url:a.hrefRaw})};let o=Array.from(n);if(o.length===0)return{score:1,notApplicable:!0};if(o.length>1)return{score:0,explanation:mo(Zr.explanationConflict,{urlList:o.join(", ")})}}static findCommonCanonicalURLMistakes(t,n,r){let{hreflangURLs:a}=t;if(a.has(r.href)&&a.has(n.href)&&r.href!==n.href)return{score:0,explanation:mo(Zr.explanationPointsElsewhere,{url:r.href})};if(n.origin===
r.origin&&n.pathname==="/"&&r.pathname!=="/")return{score:0,explanation:mo(Zr.explanationRoot)}}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=await it.request({devtoolsLog:r,URL:t.URL},n),o=new URL(a.url),i=e.collectCanonicalURLs(t.LinkElements),c=e.findInvalidCanonicalURLReason(i);if(c)return c;let u=new URL([...i.uniqueCanonicalURLs][0]),d=e.findCommonCanonicalURLMistakes(i,u,o);return d||{score:1}}},pme=X2});var Q7={};x(Q7,{UIStrings:()=>Ys,default:()=>fme});var Ys,Ih,Z2,fme,eU=g(()=>{"use strict";l();$();A();Ys={title:"Links are crawlable",failureTitle:"Links are not crawlable",description:"Search engines may use `href` attributes on links to crawl websites. Ensure that the `href` attribute of anchor elements links to an appropriate destination, so more pages of the site can be discovered. [Learn how to make links crawlable](https://support.google.com/webmasters/answer/9112205)",columnFailingLink:"Uncrawlable Link"},Ih=D("core/audits/seo/crawlable-anchors.js",Ys),Z2=class extends b{static{s(this,"CrawlableAnchors")}static get meta(){return{id:"crawlable-anchors",title:Ih(Ys.title),failureTitle:Ih(Ys.failureTitle),description:Ih(Ys.description),requiredArtifacts:["AnchorElements","URL"]}}static audit({AnchorElements:t,URL:n}){let r=t.filter(({rawHref:i,name:c="",role:u="",id:d,href:m})=>{if(i=i.replace(/\s/g,""),c=c.trim(),u=u.trim(),u.length>0||i.startsWith("mailto:")||i===""&&d)return;let p=/javascript:void(\(|)0(\)|)/;
if(i.startsWith("file:"))return!0;if(!(c.length>0)){if(m===""||p.test(i))return!0;try{new URL(i,n.finalDisplayedUrl)}catch{return!0}}}),a=[{key:"node",valueType:"node",label:Ih(Ys.columnFailingLink)}],o=r.map(i=>({node:b.makeNodeItem(i.node)}));return{score:+(r.length===0),details:b.makeTableDetails(a,o)}}},fme=Z2});var nU=P(Hd=>{l();Hd.getRenderingDataFromViewport=function(e,t,n,r,a){var o=t/100,i=n/100,c=null,u=null,d=null,m=null,p=null,h=null,f=null,y=null,v=null,w=t,E=n,T="zoom",S="resizes-visual";if(e["maximum-scale"]!==void 0&&(c=Mh(e["maximum-scale"])),e["minimum-scale"]!==void 0&&(u=Mh(e["minimum-scale"])),e["initial-scale"]!==void 0&&(d=Mh(e["initial-scale"])),u!==null&&c===null&&(u=zd(r,Mh(e["minimum-scale"]))),e.width!==void 0&&(m="extend-to-zoom",h=tU(e.width,o,i)),e.height!==void 0&&(p="extend-to-zoom",f=tU(e.height,o,i)),e["user-scalable"]!==void 0)if(T=e["user-scalable"],typeof T=="number")T>=1||T<=-1?T="zoom":T="fixed";else switch(T){case"yes":case"device-width":case"device-height":T="zoom";break;case"no":default:T="fixed";break}if(e["interactive-widget"]!==void 0)switch(e["interactive-widget"]){case"overlays-content":case"resizes-content":case"resizes-visual":S=e["interactive-widget"];break;default:S="resizes-visual";break}d!==null&&(e.width===void 0||y===void 0)&&(e.height!==void 0?
(m=null,h=null):(m="extend-to-zoom",h="extend-to-zoom")),u!==null&&c!==null&&(c=Ks(u,c)),d!==null&&(d=Q2(d,u,c));var C=d===null&&c===null?null:zd(d,c),F,L;return C===null?(h==="extend-to-zoom"&&(h=null),f==="extend-to-zoom"&&(f=null),m==="extend-to-zoom"&&(m=h),p==="extend-to-zoom"&&(p=f)):(F=w/C,L=E/C,h==="extend-to-zoom"&&(h=F),f==="extend-to-zoom"&&(f=L),m==="extend-to-zoom"&&(m=Ks(F,h)),p==="extend-to-zoom"&&(p=Ks(L,f))),(m!==null||h!==null)&&(y=Ks(m,zd(h,w))),(p!==null||f!==null)&&(v=Ks(p,zd(f,E))),y===null&&(v===null?y=w:E!==0?y=Math.round(v*(w/E)):y=w),v===null&&(w!==0?v=Math.round(y*(E/w)):v=E),{zoom:d,width:y,height:v,userZoom:T,interactiveWidget:S}};function zd(e,t){return e===null?t:t===null?e:Math.min(e,t)}s(zd,"min");function Ks(e,t){return e===null?t:t===null?e:Math.max(e,t)}s(Ks,"max");function tU(e,t,n){return typeof e=="number"?e>=0?Q2(e,1,1e4):void 0:e==="device-width"?100*t:e==="device-height"?100*n:1}s(tU,"translateLengthProperty");function Mh(e){if(typeof e=="numbe\
r")return e>=0?Q2(e,.1,10):void 0;if(e==="yes")return 1;if(e==="device-width"||e==="device-height")return 10;if(e==="no"||e===null)return .1}s(Mh,"translateZoomProperty");function Q2(e,t,n){return Ks(zd(e,n),t)}s(Q2,"clamp");Hd.parseMetaViewPortContent=function(e){for(var t={validProperties:{},unknownProperties:{},invalidValues:{}},n=1;n<=e.length;){for(;n<=e.length&&RegExp(` |
|	|\0d|,|;|=`).test(e[n-1]);)n++;n<=e.length&&(n=gme(t,e,n))}return t};var hme=["width","height","initial-scale","minimum-scale","maximum-scale","user-scalable","shrink-to-fit","viewport-fit","interactive-widget"];function gme(e,t,n){for(var r=n;n<=t.length&&!RegExp(` |
|	|\0d|,|;|=`).test(t[n-1]);)n++;if(n>t.length||RegExp(",|;").test(t[n-1]))return n;for(var a=t.slice(r-1,n-1);n<=t.length&&!RegExp(",|;|=").test(t[n-1]);)n++;if(n>t.length||RegExp(",|;").test(t[n-1]))return n;for(;n<=t.length&&RegExp(` |
|	|\0d|=`).test(t[n-1]);)n++;if(n>t.length||RegExp(",|;").test(t[n-1]))return n;for(r=n;n<=t.length&&!RegExp(` |
|	|\0d|,|;|=`).test(t[n-1]);)n++;var o=t.slice(r-1,n-1);return yme(e,a,o),n}s(gme,"parseProperty");function yme(e,t,n){if(hme.indexOf(t)>=0){var r=parseFloat(n);if(!isNaN(r)){e.validProperties[t]=r;return}var a=n.toLowerCase();if(a==="yes"||a==="no"||a==="device-width"||a==="device-height"||t.toLowerCase()==="viewport-fit"&&(a==="auto"||a==="cover")||t.toLowerCase()==="interactive-widget"&&Hd.expectedValues["interactive-widget"].includes(a)){e.validProperties[t]=a;return}e.validProperties[t]=null,e.invalidValues[t]=n}else e.unknownProperties[t]=n}s(yme,"setProperty");Hd.expectedValues={width:["device-width","device-height","a positive number"],height:["device-width","device-height","a positive number"],"initial-scale":["a positive number"],"minimum-scale":["a positive number"],"maximum-scale":["a positive number"],"user-scalable":["yes","no","0","1"],"shrink-to-fit":["yes","no"],"viewport-fit":["auto","cover"],"interactive-widget":["overlays-content","resizes-content","resizes-visual"]}});var rU,eS,Nh,tS=g(()=>{"use strict";l();rU=Bt(nU(),1);ye();eS=class{static{s(this,"ViewportMeta")}static async compute_(t){let n=t.find(d=>d.name==="viewport");if(!n)return{hasViewportTag:!1,isMobileOptimized:!1,parserWarnings:[],rawContentString:void 0};let r=[],a=n.content||"",o=rU.default.parseMetaViewPortContent(a);Object.keys(o.unknownProperties).length&&r.push(`Invalid properties found: ${JSON.stringify(o.unknownProperties)}`),Object.keys(o.invalidValues).length&&r.push(`Invalid values found: ${JSON.stringify(o.invalidValues)}`);let i=o.validProperties,c=Number(i["initial-scale"]);return!isNaN(c)&&c<1?{hasViewportTag:!0,isMobileOptimized:!1,parserWarnings:r,rawContentString:a}:{hasViewportTag:!0,isMobileOptimized:!!(i.width||c),parserWarnings:r,rawContentString:a}}},Nh=G(eS,null)});var aU={};x(aU,{UIStrings:()=>nr,default:()=>Sme});function bme(e){let t=new Map;return e.forEach(n=>{let{nodeId:r,cssRule:a,fontSize:o,textLength:i,parentNode:c}=n,u=xme(a,r),d=t.get(u);d?d.textLength+=i:t.set(u,{nodeId:r,parentNode:c,cssRule:a,fontSize:o,textLength:i})}),[...t.values()]}function wme(e=[]){let t=new Map;for(let n=0;n<e.length;n+=2){let r=e[n],a=e[n+1];if(!r||!a)continue;let o=a.trim();o&&t.set(r.toLowerCase(),o)}return t}function Dme(e){let t=wme(e.attributes);if(t.has("id"))return"#"+t.get("id");{let n=t.get("class");if(n)return"."+n.split(/\s+/).join(".")}return e.nodeName.toLowerCase()}function Eme(e){let n=(e.attributes||[]).map((r,a)=>a%2===0?` ${r}`:`="${r}"`).join("");return{type:"node",selector:e.parentNode?Dme(e.parentNode):"",snippet:`<${e.nodeName.toLowerCase()}${n}>`}}function Tme(e,t,n){if(!t||t.type==="Attributes"||t.type==="Inline")return{source:{type:"url",value:e},selector:Eme(n)};if(t.parentRule&&t.parentRule.origin==="user-agent")return{source:{type:"\
code",value:"User Agent Stylesheet"},selector:t.parentRule.selectors.map(a=>a.text).join(", ")};let r="";if(t.parentRule&&(r=t.parentRule.selectors.map(o=>o.text).join(", ")),t.stylesheet&&!t.stylesheet.sourceURL)return{source:{type:"code",value:"dynamic"},selector:r};if(t.stylesheet&&t.range){let{range:a,stylesheet:o}=t,i=o.hasSourceURL?"comment":"network",c=a.startLine,u=a.startColumn;o.isInline&&i!=="comment"&&(c+=o.startLine,a.startLine===0&&(u+=o.startColumn));let m=b.makeSourceLocation(o.sourceURL,c,u);return m.urlProvider=i,{source:m,selector:r}}return{selector:r,source:{type:"code",value:"Unknown"}}}function xme(e,t){if(e&&e.type==="Regular"){let n=e.range?e.range.startLine:0,r=e.range?e.range.startColumn:0;return`${e.styleSheetId}@${n}:${r}`}else return`node_${t}`}var vme,nr,wr,nS,Sme,oU=g(()=>{"use strict";l();A();$();tS();vme=60,nr={title:"Document uses legible font sizes",failureTitle:"Document doesn't use legible font sizes",description:"Font sizes less than 12px are too s\
mall to be legible and require mobile visitors to “pinch to zoom” in order to read. Strive to have >60% of page text ≥12px. [Learn more about legible font sizes](https://developer.chrome.com/docs/lighthouse/seo/font-size/).",displayValue:"{decimalProportion, number, extendedPercent} legible text",explanationViewport:"Text is illegible because there's no viewport meta tag optimized for mobile screens.",additionalIllegibleText:"Add'l illegible text",legibleText:"Legible text",columnSelector:"Selector",columnPercentPageText:"% of Page Text",columnFontSize:"Font Size"},wr=D("core/audits/seo/font-size.js",nr);s(bme,"getUniqueFailingRules");s(wme,"getAttributeMap");s(Dme,"getSelector");s(Eme,"nodeToTableNode");s(Tme,"findStyleRuleSource");s(xme,"getFontArtifactId");nS=class extends b{static{s(this,"FontSize")}static get meta(){return{id:"font-size",title:wr(nr.title),failureTitle:wr(nr.failureTitle),description:wr(nr.description),requiredArtifacts:["FontSize","URL","MetaElements"]}}static async audit(t,n){
if(n.settings.formFactor==="desktop")return{score:1,notApplicable:!0};if(!(await Nh.request(t.MetaElements,n)).isMobileOptimized)return{score:0,explanation:wr(nr.explanationViewport)};let{analyzedFailingNodesData:a,analyzedFailingTextLength:o,failingTextLength:i,totalTextLength:c}=t.FontSize;if(c===0)return{score:1};let u=bme(a),d=(c-i)/c*100,m=t.URL.finalDisplayedUrl,p=[{key:"source",valueType:"source-location",label:wr(k.columnSource)},{key:"selector",valueType:"code",label:wr(nr.columnSelector)},{key:"coverage",valueType:"text",label:wr(nr.columnPercentPageText)},{key:"fontSize",valueType:"text",label:wr(nr.columnFontSize)}],h=u.sort((E,T)=>T.textLength-E.textLength).map(({cssRule:E,textLength:T,fontSize:S,parentNode:C})=>{let F=T/c*100,L=Tme(m,E,C);return{source:L.source,selector:L.selector,coverage:`${F.toFixed(2)}%`,fontSize:`${S}px`}});if(o<i){let E=(i-o)/c*100;h.push({source:{type:"code",value:wr(nr.additionalIllegibleText)},selector:"",coverage:`${E.toFixed(2)}%`,fontSize:"< 1\
2px"})}d>0&&h.push({source:{type:"code",value:wr(nr.legibleText)},selector:"",coverage:`${d.toFixed(2)}%`,fontSize:"≥ 12px"});let f=d/100,y=wr(nr.displayValue,{decimalProportion:f}),v=b.makeTableDetails(p,h),w=d>=vme;return{score:Number(w),details:v,displayValue:y}}},Sme=nS});function iU(e){let t=Cme;for(;e.length<3;)e+="`";for(let n=0;n<=e.length-1;n++){let r=e.charCodeAt(n)-96;if(t=t[r],!t)return!1}return!0}var Cme,sU=g(()=>{"use strict";l();Cme=[,[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,,,,,1,1,1,1,,,1,1,1,,1,,1,,1,1],[1,1,1,,1,1,,1,1,1,,1,,,1,1,1,,,1,1,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,,,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1],[,1,,,,,,1,,1,,,,,1,,1,,,,1,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,,,1,,,,,
1,1,1,,1,,1,,1,,,,,,1],[1,,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,,1,,1,,,,,1,,1,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,,1,1,1,,1,,1,1,1,,,1,1,1,1,1,1,1,1],[,,1,,,1,,1,,,,1,1,1,,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1,1,1,1,1,,,1,1,1],[1,1,1,1,1,,,1,,,1,,,1,1,1,,,,,1,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,
1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1],[,1,,1,1,1,,1,1,,1,,1,1,1,1,1,1,1,
1],[,1,,1,1,1,1,1,1,1,1,,,1,1,1,,,1,1,,,,,,1,1],[1,1,1,,,,,1,,,,1,1,,1,,,,,,1,,,,,1],[,1,,,1,,,1,,,,,,1],[,1,,1,,,,1,,,,1],[1,,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,,1,,,1,1,1,1],[,1,1,1,1,1,,,1,,,1,,1,1,,1,,1,,,,,1,,1],[,1,,,,1,,,1,1,,1,,1,1,1,1,,1,1,,,1,,,1],[,1,1,,,,,,1,,,,1,1,1,1,,1,1,1,1,1,1,,1,1,1],[,1,,1,1,1,,,1,1,1,1,1,1,,1,,,,,1,1,,1,,1],[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,1,1],[,1,1,1,,,,1,1,1,,1,1,,,1,1,,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,,1,,,,,1,1,1,,,1,,1,,,1,1],[,,,,1,,,,,,,,,,,,,,,,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,,1,1,1,,1,1,,,,1,1,1,1,1,,,1,1,1,,,,,1],[1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,1,,,,,,,1],[,1,1,,1,1,,1,,,,,,,,,,,,,1],,[1,1,1,,,,,,,,,,,,,1],[,,,,,,,,1,,,1,,,1,1,,,,,1]],[,[1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,,1,1,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,,1],[,,,1,,,,,,,,,,,,,,,1],[,1,,,1,1,,1,,1,1,,,,1,1,,,
1,1,,,,1],[1,,,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,,,,1],,[,1,1,1,1,1,,1,1,1,,1,1,,1,1,,,1,1,1,1,,1,1,,1],[,1,,,1,,,1,,1,,,1,1,1,1,,,1,1,,1,1,1,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,,,1,1,1,1,1,1,1,,,1,,,1,,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,,,,1],[,,,,,,,1,,,,1,,1,1],[,1,1,1,1,1,1,1,,,,1,1,1,1,1,,,1,1,,1,1,1,1,1],[,1,,,1,1,,1,,1,1,1,,,1,1,,,1,,1,1,1,1,,1],[,1,1,1,,1,1,,1,1,,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1],[,,,,,,,,,,,,,,,,1],,[,1,1,1,1,1,,1,1,1,,,1,,1,1,,1,1,1,1,1,,1,,1],[,,1,,,1,,,1,1,,,1,,1,1,,1],[,1,1,,1,,,,1,1,,1,,1,1,1,1,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1],[,1,,,,,,,,,,1,1,,,,,,1,1,,1,,1,,1,1],,[,1,1,,1,,,1,,1,,,,1,1,1,,,,,,1,,,,1],[1,1,,,1,1,,1,,,,,1,,1]],[,[,1],[,,,1,,,,1,,,,1,,,,1,,,1,,,1],[,,,,,,,,,,,,,,,,,,1,1,,,,,,1],,[1,,,,,1],[,1,,,,1,,,,1],[,1,,,,,,,,,,,1,,,1,,,,,,,,,1,1],[,,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,1,,1],[,1],[,1,,1,,1,,1,,1,,1,1,1,,1,1,,1,,,,,,,1],[1,,,,,1,,,1,1,,1,,1,,1,1,,,,,1,,,1],[,
1,1,,,1,,1,,1,,1,,1,1,1,1,,,1,,1,,1,1,1],[1,1,1,1,1,,1,,1,,,,1,1,1,1,,1,1,,,1,1,1,1],[1,,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],,[,1,,,,,,1,1,1,,1,,,,1,,,1,1,1,,,1],[1,,,,,1,,1,1,1,,1,1,1,1,1,,1,,1,,1,,,1,1],[1,,1,1,,,,,1,,,,,,1,1,,,1,1,1,1,,,1,,1],[1,,,,,,,,,,,,,,,,,1],[,,,,,1,,,1,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,,,1],[,1,,,,1]],[,[1,1,1,,1,,1,1,1,1,1,1,1,1,1,,1,,1,,1,1,,,1,1,1],[,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],,[,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1],,[1,1,,,,1,1,,,,,,1,,,,1,,1,,1,1,,1],[1],[,,,,,,,,,,,1,,,,,,,,,,,1],[,1,,,,,,,1,1,,,1,,1,,,,1,,,,,,,1],[,,,,,,,,,,,,,,,,1,,,,,1],[,,1,,,,,1,,1],[1,,,,1,,,,,1,,,,1,1,,,,1,1,,,,,1],[,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[1,,,1,1,,,,,,,1,,1,,1,1,1,1,1,1],[,,,,,1,,,,,,,1,,,,,,,1],,[,,1,1,1,1,1,,1,1,1,,,1,1,,,1,1,,1,1,1,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,,,,1],,[1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[,,,1,1,1,1,,,,,,1,,1,
,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,,1],[,1,1,1,1,,1,1,1,1,1,1,1,1,,,,1,,1,,,1,1,1,1,1],[,,,,,,,,,,,1,,,,,,,,,1,,,,1],[,1,1,,1,1,,1,,,,1,1,,1,1,,,1,,1,1,,1],[,1,,1,,1,,,1,,,1,1,,1,1,,,1,1,1],[,1,1,1,1,1,,1,1,,,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,,,,,,,,,1,,1,,1,1,,,,1,,,1],[,1,,,1,1,,,,,,,,,1,1,1,,,,,1],[1,,,1,1,,,,1,1,1,1,1,,,1,,,1,,,1,,1,,1],[,1,1,,1,1,,1,1,,,,1,1,1,,,1,1,,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,,,,1,,,,,,,,,1],[,1,,,,,,,,1,,,,,1,,,,1,,,1],[,1,1,1,1,,,1,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1],[,,,,,1,,1,,,,,1,1,1,1,1,,,1,,,,1],[,1,,,,,,,,1,,,,,,,,,,,,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,1,,,,1,,1,1,1,1,1,,1,1,,,,,,1],[,1,1,1,1,1,1,1,,1,1,,,1,1,,,,1,,1,1,,1,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,1,1,,1,,,1,1,1,1,,,1,,,,,,,1],[,1,,,,,,,,1,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1],[,1,1,,,,,,,,,,,,1,1,,,,,,1],[,1,,,,,,,1],[
,,,,,,,,,,,,,,1,,,,,1,,,,,,1],[1,1,,,1,,,1,1,1,,,,1],,[,,,,,,,,,,,,,1,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,1,,,,,,,1],[1,1,1,,1,,1,1,1,1,1,1,1,1,,1,,,1,,1,,,1,1],[,,,,,,,,,1],[,1,,,,1,,,,,,1,,,1,,,,,1],[,1,1,,1,1,,,,,,,,,,,,,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,1,1,1,,,,1,1,,,,1,,1],[1,1,1,1,1,1,,,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,,1,1],[,,,,,,,,,,,,,,,1,,,,1],,[1,1,,1,,1,,,,,,1,,1,,1,1,,1,,1,1,,1,1,,1],[,,1,,,,,,1,,,,1,,1,,,,,1],[1,,,,,,,,,1,,,,,,1,,,,1,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,,1,,,,,,1,,,1,,,,,,,,1],[,1,,1,,,,,,,,,,,,1],,[1,1,,,,,,,,,,,,,,,,,,,,,,1,1],[1]],[,[1,,,,,,,,,1,,,,,1,,1,,1],[,1,1,,1,1,,1,1,1,,,1,1,1,,,,1,,,1,,,,1],[,1,,,,,,,1,,,,1,,,,,,1],[1,1,1,1,1,1,,,,1,,,,,,,,,1,1,1,1],[1],[,1,1,,,1,1,,,,,1,,1,,,,,,,,1,,,,1],[1,,1,,,1,,1,,,,,1,1,1,1,,,,1,,,,1],[,,1,,,,,,,1,,,,,,,1,,,,,,,1],[1,,,,,,,,,,,,,,1,,,,1],[,,,1,,1,,,,,1,,,,1,1,,,,1],[1,,,,,1,,,,1,,1,1,,,1,1,,1,1,1,,1,1,1,,1],[,1,1,,,,,1,,1,,1,1,1,,1,1,,,1,,1,
1,1],[,1,,,,1,,,,1,,,1,,1,1,,,1,1,,,,,,1],[1,,1,1,,1,,1,1,,1,,1,1,1,1,1,,,1,1,,,,,,1],[1,,,,,,,,,,,,,,,,,,1,,,1,,1],[,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,,1,,1],[,1,,,,1,,,1,1,,1,,,1,1,,,1,,,1,,,1,1],[1,1,,1,1,1,,1,1,1,,1,,1,1,1,,,1,,1,1],[1,,1,1,1,1,,,,1,,1,1,1,,1,,,1,1,1,,1,1,1,1,1],[1,,,,,,,,,,,,,1],[,,1,,,,,,,,,,,,,,,,,,,,1],[1,,,,,,,,,,,1,,1,,1,,,,1],[,,,1,,,,,,,,,1],[,1,,,,,,,,,,,,,,1,,,,,,,,,1],[,,,,,,,,1,1,,,,,,,,,1,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,,,1,1,1],[,,,,,1,,,,1,1,1,,,1,1,,,1,,1,1,,1],[,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,1,,,,,,,,,,,,,1],[,,1,,,1,,1,1,1,,1,1,,1,,,,1,,1,1],,[,,1,,,1,,,,,,1,,,,1],[,,,,,,,,,1,,,,,,,,,,1],[1,1,1,1,1,1,,1,1,1,,,1,1,,1,,1,,,1,1,1,,,1],[,,,,,1,,,,,,,,,,,,,1],[,1,,,,,,,,,,,,1,,1,1,,1,,,1],[,,,,,1,,,,,,,,,,,,,,1],[,1,1,1,1,,,,,1,,,1,,1,,,,1,1,,,,1,1],[,1,,,1,,,1,,1,1,,1,,,,,,,1],[,,1,,1,,,1,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,,,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,,,,,,,,,,1,,1,1],[,,,,,,,,,,,,1],,[,1,1,1,1,,,,1,1,
,1,1,1,1,1,1,,1,1,1,1,,1,,1],[1,,,,1,,,,,,,,,,1],[1,,,,,,,,,1],,[,1,,,,1,,,,,,,,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,,,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,,1,1,1,1],[1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,,1,,,,1,1,,,1,1,,1],[,1,1,,1,,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,1],[1,1,1,,,,,1,1,1,,1,1,1,1,,,1,1,,1,1,,,,,1],[,1,,,,,,,1,1,,,1,1,1,,1,,,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,,,1,,,,1,,,1,,,,1,,,,,,,1,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,,1,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1],[1,1,1,,1,,,1,1,1,1,,1,1,1,1,,,,1,,1,,1,,,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,,1,1,,,,,,,,,1],,[,1,,1,,1,,1,,1,,1,1,1,1,1,,,1,,1,,1,,,,1],[,1,,,1,1,,1,1,1,,,1,1,1,1,1,,1,1,1,,1,,,1],[1,,,1,,,,1,1,1,,,,,1,1,,,,1,,1],[1,1,,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,,1,,1,,,,,,,,1,,1],[,1,,,,1,,1,1,,,,1,1,,1,,,,1,1,1,,1],,[,1,,,,,,1,,,,,,,1],[,,,,,,,,1,,,,1,,1,,,,,,,,,,,,1]],[,[,1,1,,1,1,1,1,,1,1,1,,1,1,,1,1,,1,1,1,1,1,1,,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[,1,1,1,
1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,
1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,,,1,,,,,,,,1,,,,,,1,,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,1,1,1,,1,1,1,1,,,1,1,1,1,,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,,1,,1,,1,,1,1,1,1,1,1,1,,1,1,,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1],[,1,1,,,,,1,1,1,,,1,,1,1,,,,1,,1,,,1,1],[,,,,,,,1,,,,1,1,1,1,1,,1,,,,,,,,1],[1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,,1,,1,1,,,1,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,1,1,,1,,1,1,1,,1,,1,1,,1,1,,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,,,,,,1,,,,,1,,1],[,1,1,1,,1,,1,,1,
,,,1,,1,,,1,,,,,,1,1],[,1,,,1,1,,1,,1,,1,1,1,1,1,,1,1,,,1,,,1],[1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,,,1,,1,,1,,,,,,1,,1,,,,1,1]],[,[,1,,1,,,,,,,,,,,,,,,1,,,,1],[,,,,,,,,,1,,1,1,1,,1,,,1,,1,1],[1,1,,,,,,,1,,,,,,,1,,,,,,1],[,1,,,,,,,,,,1,,,,,,,,,1,1],,[,,,,,,,,,,,,,,,1,,,,1,,1],[,,1,1,,1,,1,,,,,,,,1,,,,,,1],[,,,,,,,,,,,,,,,,,,,,1,1],[,1,,,,,,,,,,,,,1],[1,,1,1,,,,1,,,,,,,,,1,,,1,,,1,1],[,1,1,,1,1,,1,1,1,1,1,1,1,1,1,,,1,1,,1,1,,1],[,1,,,1,1,,,,,,1,,1,,1,,,1,,1,1],[1,1,1,1,,1,,1,,1,,1,1,,1,1,1,1,1,,1,1,1,1,1],[,1,1,,,1,,1,,1,1,1,,,1,1,1,,1,1,1,1,,1,1],[,,,,1,,,1,,,,,,,1,,,,1,1],[,1,,,,,,,,,,1,,1,,1,,,,,1,,,,,1],,[1,1,,1,,1,,1,1,,,,,,1,1,,,1,1,1,1,1,1,1,1,1],[1,1,,1,,,,,,1,,,,,,1,1,,,,1,1,,,1],[,1,1,,1,1,,,,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,,,1,,,,1,,,,1,1],[,,,,1],[,,,,,,,,,1,,,1],,[,,1,,1,,,,,,,,,1,,,,,,,,,,,,1],[,,,,,,,,,,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,1,1,1,1,,,1,1,1,1,1,,1,1,1,1,1,,,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,,1,,1,,,,,1],[,1,,1,,,,,,1,,,,,1,1,,,,,1,1],[,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,,1,,,1,,1,1,1],[,1,,,,1,,,,,,,1],[,1,,,1,,,1,,1,,1,1,,1,,,,,1,,1,,,,1,1],[,1,,,1,,,1,1,1,,1,1,1,1,1,,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1],[,,,,,,,,,,,,,,,,,,,,1],[,1,1,1,,,,1,1,,,,,,1,1,1,,1,1,1,1],[1,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1],[,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,1,1,1,1,1,1,1,,1,,1,1,1,1,1,,1,1,,1,1,1,1,1],[,1,,,,1,,,,1,,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,1,,,,,,,,1,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1],[1,1,,1,1,1,,1,1,1,,,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,,,,,,,1,1,,,,,1,1,1,1,1,,1,1,1,1,,1],[,1,1,1,1,1,1,1,,1,1,1,,1,,1,1,1,1,,1,1,,1,1,1,1],,[,1,1,,,,,1,,1,,,,1,1,1,,,1,,,,,1],[,,,,,,,,,,,,,1],[,,,,,1,,,,,,,,1,1,,,,,1,,1,,,1,1],[,,,,,,,,,,,,,,1]],[,[,1],,,,,,,,,,,,,,,,,,,,[1,1,1,1,1,,1,1,1,1,,1,1,1,1,,1,1,1,1,,,1,1,1,1,1],[,1,,1,,1,,,1,1,1,,1,1,1,1,1,,,1,,,,
1,,1,1],[,1,,1,,1,,,1,,,,,1,,,,,,1,1],[,1,,1,,,,,1,,,,1,,1,1,1,1,1,1,1,1,,1],[,1,,,,,,,,,,,,,,,1]],[,[,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,,,,,,,,,1,1,,,,1],[,,,,,,1],[,,1],[,1,1,,,1,,1,,1,1,,1,1,1,,,,1,1,1,,,,,1],,[,1,,,,1,,,,,,1,,,1,,,,1,1,,1],[,,,,,,,1,,,,,,,,,1],[,1,,,,1,1,,,,,,1,1,1,,,,1,,1,1],[,,,,,,,1,,1,,,,,,,,,,1],[,1,1,,,,,,1,1,,,,1,,,,,,,1,,,1],,[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,,1,,,1,,,,,1,,1,,1,,1,,,,,1],[1,1,1,1,1,1,1,1,,,,,1,1,,1,1,,1,,,1,,1],[,,,,,,,,,,,,,,1,,,,,,1],,[,,,,,,,,,1,,,,,,1,,,,,1],[,,1,,,,,,,1,,,1,1],[,,,1,,,,,1,,,,,1,,,,,,1,,,,1],[1,,1,1,,1,1,1,1,1,,1,,,,1,1,1,,,1,1,,,,1,1],,[1,1,,,,,,,,,,1,,1,,1,,,1],[,,,,1,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,1,,,,,1,,1],[,,,,,,,,1]],[,[1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,,1,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,,1,1],[,,1,,,1,,,,,,,,1,,,,,,1,,,,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,1,,,,1,1,1,1,1,1,,1,1,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,,1,1,1,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1],[1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,,1,1,1,1,,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,,,,,,,1,,1,1,,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1],[1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,,1,,1,,1,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1],[1,1,1,1,,1,,,,,,1,,1,,,,,1,1,,,,,1],[1,,1,1,,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,1,1,,1,,1,,,,1,1,1,1,1,,,1,1,,1,,1],[,1,1,1,1,,,,,1,,1,1,1,1,1,,,1,1,,,,1,1,1],[,1,1,1,1,1,,1,
,,,,1,,1,,1,,,1,,,1,1,,1]],[,[1,1,1,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1,,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,,,,,1,,,,,1,1,,,1,,1],[1,1,1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,,1,1,1,1,,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1],[1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,,,,1,,1,1,,1,1,1,1,1,,,1,,1,,1],[1,1,1,,1,1,1,1,,,,1,1,1,1,,1,1,1,1,1,1,1,1,1,,1],[1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,,1,1,1,1,1,1,1,1,1,,1,1,,1,1,1,1,1,,1,1,1,1,1,1],[,1,,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1],[,,1,,,,,,,,,,1,1,1,1,1,1,1,,1,1,,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,1,1,1,1,1,1,1],[1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,1,1,1,1,1],[,1,,,1,1,,,,,,1,1,1,1,1,,,,1,1,1,,1,1,1],[1,1,1,1,1,1,1,1,1,,,,1,1,1,1,1,1,1,,1,1,,1,1,1],[,1,1,1,,1,,1,1,1,1,,,1,1,1,,1,1,1,1,1,,,1,1],[1,1,,,,1,,,1,1,1,,1,,1,,1,,1,1,1,1,1,,1,,1],[,1,,,,,,,1,,1,,1,1,1,1,,,,,,,,,1]],[,[,,,,,,,,,,,,,1,1,,,,1],[,1,,,,,,,,1,,,1,,,,,,1,,,1,,,,1],,[,1,,,,1,,1,,1,1,,1,1,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1],[,,,,,,,,,1],[1,1,1,,,1,,,,,,,,,1,1,,,,,,,,,,1],[,1,,,,,,,,,,,,,1],[,,,,,,,,,,,,,,,,,,,1,,,1],[,,,,,,,,,1],[1,1,,,,,,1,1,1,,1,1,,,,1,1,,1,,1,1,1,,1],[,1,1,1,,1,1,,,1,,1,1,1,1,,,,,,,1,,1],[,1,1,1,1,,,1,,1,,,,1,1,1,1,,1,1,,1],[,1,,,1,1,,1,,,,1,,1,1,,1,,1,,,1,,,1,,1],[,,,,,,,,,,,1],[,,,,,,,,,1,,,,,,,,,,,,,1],,[1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,,1,1,1,1,1,1,1],[,1,,,,,,,1,1,,1,,,,,1,,,1,,1],[,1,,,,1,,,1,,,,,,,,1,,1,,,1],[,,,,,,,,,,,,,1,1,,,,1,,,1],[,,,,,1,,,1,,,,1],[,1],,[,1],[1,,,,,,,,,,,,,,1,,,,,1]],[,[,1,,,,1,1,1,1,1,1,,1,1,1,1,1,,1,1,,1,1,,,1],[,,1,,,,,,,,,1],,,[1,,,1,1,
,,,,,,,1,1,,1,1,,1],,[,,,,,,,,,,,,,,,,,,1,,1],,[1,,,1,1,,1,1,,,,,1,,1,,,,,1,1,,1],,[,1,,,,,,,,1,1,1,1,1,,1,1,,,,1,1],[,,,,,,,,,,,,,,,,1,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,,,1,1,1,1,,1,1,1,1,1,1],[,,,,,,,,,,,1,,1,,,1],[1,,,,,,,,,,,,,,,,,,1,,1],,,[,1,,,,,,,,,,,,,,1,,,,1,1],[,,,,,,,,,1,,,1,,,,,,,,,,1],[,,,,,,,,,,,,,,,1],[,,,,,,,,,,,,,1,1,,,,,,1],,[,1]],[,[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,,1,1,,1,1,1,1,1,1,,,1,1,1,1,1,,1,1],[,1,,,,,,,,1],[,,,,1,,,1,,,1,1,,,,,,,,,,1,,,,1],[,1,,1,1,,,1,1,1,,,,1,1,1,1,,1,1,1,1,,1],[,,,,,,,1],[,1,1,,,,,1,,1,,,,,,1,,,,,,1,,1,,1],[,1,,,,,,1,,,,1,,,,,,,,,,1],[,,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1,1,1,1,,1],[,1,,,,,,,,1],[,1,1,,1,,,,,,,,1,,,,,,1,,,1,,1,,1],[,1,,1,,1,,1,1,1,,1,1,1,,1,,,1,1,,1,1,1,1,1],[,1,1,1,1,1,,,1,1,,,,1,1,1,,,,1,1,,,1,1],[,,1,1,1,1,,1,,1,,1,,1,1,1,1,,,,,1,,1,,1],[1,1,1,1,1,1,1,1,,1,,1,,1,1,1,,,1,1,,,,1,,1],[,,,1],,[,1,1,,1,,,1,1,1,,1,1,1,1,1,1,,1,1,,1,1,1,1,1,1],[,1,,,,,,1,,1,,1,,,,,,,1,1,,1,1],[,,,,,,1,,1,1,,1,,1,,,,,,,
,,,1],[,1,1,,1,,,,1,,,,1,1,1,,,,1,,1,1,1,,1,1],,[,1,1,,,,,,,,,,,,,1,,,1,,,,,1],[,1,,,,,,,,,,,,,,,,,,,,,,1],[,1,1,,,,,,,1,,,,1,,,,,1,,,,,,,1]],[,[,1,1,1,1,1,,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,,1],[,1,1,1,1,1,,1,,1,1,,,1,1,1,1,,1,,,,,1,1,1],[,,1,1,,1,,1,1,,,,1,1,1,1,,,1,,1,1,1,1,,1],[,1,,1,,,,,,,,1,,1,,1,,,,,,,,,,1],[,,1,,1,,,1,,,,,1,1,,,1,,1,1,1,1],[,1],[,1,1,,1,,1,1,,1,,,1,1,1,,,,1,,,1,,1],[1,1,,1,1,1,,,,,,,,,,,,,1,,1,1,1],[,1,1,,,,,,,1,,,1,,1,,1,,1,1,,,1,,,1],[,,1,,,,,,,,,,,,,,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,1,1,1,,1,,1,,,,,1,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,,,1,1,1,,1,,1,1,1,,,1,1,1,1,,,,1,1],[,,,1,1,,,1,,1,,1,,1,1,1,1,,1,,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,1,,1,1,,1,,1,,,,1,1,,,1,1,,1,1,,1],[,1,1,1,1,1,,,1,1,1,,1,1,1,1,1,1,1,1,,1,1,,,1],[,1,1,1,1,1,,1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1,,1,1],[,1,1,,1,,,1,,,1,,1,1,1,1,1,,1,,1,1],[,,,,,1,,,,1,,,,,1,1,,,,1],
[,1,,1,1,1,,1,,,1,1,1,,,1,,,1,,1,,,1],[,,1,,,,,,,,,1,,1,,,,,1,,1],[,1,1,,,,,,,,1,1,1,,,,,,,,1,,,,,1],[,,,,,,,,1,,,,,1,,,1]],[,[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,1,,1,1,,,1,1,1,1,1,1,1,1,,,,,,,,,1,1],[,,,,,,,,1,,,,1,,1,,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,1,,1,,1,,,,1,1,,1,,1,,,,1,1,1,1,1,,,1],,[,1,,,,,,,,1,,,1,1,,,1,,1,1,,1,,1],[,1,,,1,,,,,,,,1,,,,,,,1],[1,1,,,,,1,1,1,1,1,1,1,1,1,,1,1,1,1,1,1,1,,1,1,1],,[,1,,,,,,1,,1,,1,1,1,1,1,,,1,,1,1,,,,1],[,1,1,,,1,,1,,1,,,1,1,1,1,,,1,,,1,,,,1],[,1,1,1,1,1,,1,1,1,,1,1,1,1,1,1,1,1,1,1,,,,1,,1],[,1,,,1,1,,1,1,,,1,1,,1,1,,1,,1,,1],[1,,1,,,,,1,,1,,1,1,1,1,,,,,1,1,,,,1,1],[,1,1,,,,,1,1,,,1,,1,1,1,1,,,,,,,,,,1],,[,1,1,,,1,,,,1,,1,1,1,1,1,,,,1,,,,1,,1],[,,,1,1,,,1,,,,,1,,1,1,1,,1,1,,,,,,1],[,1,,,,,,,,,,,1,,,,1,,,,,,,1,,1],[,1,1,1,1,1,1,1,,1,1,1,1,1,1,,1,1,1,,1,1,,1,1,1,1],[,1,,,,,,,,,,,,,,,,,,,1],[,1,,,,,,1,,,,,1,,1,,,1,1,,1,1,,1],[,1,,,,,,1,,,,,1,1,,,,,,,,1,,,,1],[,,,,,,,,,,,,,,,,,,1,,,1,,,,,1],[,,,,,,,1,,,,1]],[,[1,1,1,1,1,1,1,1,1,1,
1,1,1,1,,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,1,,1,,,,,,,1,,,,,,,,1,,,1],[,1,,,,,,,1],[,,,,,,,,,,1],[,1,,,,,,1,1,,,,,,1],,[,1,1,,,,,,1,,,,,1,1,,,,1],[1,,1,,1,,,,,1,,,,,1,,,,,,,,,1,1],[,1,1,,,,,,,,,1,1,1,1,,,,1,,,,,1,,,1],,[,1,1,,1,,,1,1,,,1,,,1,1,1,,1,,1,1,1,,,,1],[,,,,,1,,,,,1,,,1,1,,,1,,1,,,,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,1,,,1,1,,1,,,,1,,,,,,,,1],[,,,1,,,,,1,,,,,1,,1,,1,1,1],[,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1],[,,,,,1],[,1,,,,,,1,,,,,,,1,1,1,,,1],[,1,,,,,,,,,,1,1,1,,,,,1,,,1],[,,,,,1,,1,,,,,1,1,1,,1,1,,1,1,1,,,1,1],[1,1,,,,,,,1,,,,,1,1,,,,,,,,,,,1],,[,1],[,,,,,,,,,,,,,,,,,,,,,,,,1],[,,1,,,,,1,,,1,,,,1,,1],[,1,,,,,,,,,1]]];s(iU,"isValidLang")});var cU={};x(cU,{UIStrings:()=>di,default:()=>Ame});function Fme(e){return e.startsWith("http:")||e.startsWith("https:")}function Rme(e){if(e.toLowerCase()===kme)return!0;let[t]=e.split("-");return iU(t.toLowerCase())}var kme,di,Wd,rS,Ame,uU=g(()=>{"use strict";l();$();A();sU();kme="x-default",di={title:"Document has a valid `hreflang`",failureTitle:"Document doesn't have a valid `hreflang`",description:"hreflang links tell search engines what version of a page they should list in search results for a given language or region. [Learn more about `hreflang`](https://developer.chrome.com/docs/lighthouse/seo/hreflang/).",unexpectedLanguage:"Unexpected language code",notFullyQualified:"Relative href value"},Wd=D("core/audits/seo/hreflang.js",di);s(Fme,"isFullyQualified");s(Rme,"isExpectedLanguageCode");rS=class extends b{static{s(this,"Hreflang")}static get meta(){return{id:"hreflang",title:Wd(di.title),failureTitle:Wd(di.failureTitle),description:Wd(di.description),supportedModes:["navigati\
on"],requiredArtifacts:["LinkElements","URL"]}}static audit({LinkElements:t}){let n=[],r=t.filter(i=>{let c=i.rel==="alternate",u=i.hreflang,d=i.source==="body";return c&&u&&!d});for(let i of r){let c=[],u;Rme(i.hreflang)||c.push(Wd(di.unexpectedLanguage)),Fme(i.hrefRaw.toLowerCase())||c.push(Wd(di.notFullyQualified)),i.source==="head"?i.node?u={...b.makeNodeItem(i.node),snippet:`<link rel="alternate" hreflang="${i.hreflang}" href="${i.hrefRaw}" />`}:u={type:"node",snippet:`<link rel="alternate" hreflang="${i.hreflang}" href="${i.hrefRaw}" />`}:i.source==="headers"&&(u=`Link: <${i.hrefRaw}>; rel="alternate"; hreflang="${i.hreflang}"`),!(!u||!c.length)&&n.push({source:u,subItems:{type:"subitems",items:c.map(d=>({reason:d}))}})}let a=[{key:"source",valueType:"code",subItemsHeading:{key:"reason",valueType:"text"},label:""}],o=b.makeTableDetails(a,n);return{score:+(n.length===0),details:o}}},Ame=rS});var lU={};x(lU,{UIStrings:()=>Gd,default:()=>Mme});var _me,Ime,Gd,aS,oS,Mme,dU=g(()=>{"use strict";l();$();A();cn();_me=400,Ime=599,Gd={title:"Page has successful HTTP status code",failureTitle:"Page has unsuccessful HTTP status code",description:"Pages with unsuccessful HTTP status codes may not be indexed properly. [Learn more about HTTP status codes](https://developer.chrome.com/docs/lighthouse/seo/http-status-code/)."},aS=D("core/audits/seo/http-status-code.js",Gd),oS=class extends b{static{s(this,"HTTPStatusCode")}static get meta(){return{id:"http-status-code",title:aS(Gd.title),failureTitle:aS(Gd.failureTitle),description:aS(Gd.description),requiredArtifacts:["devtoolsLogs","URL","GatherContext"],supportedModes:["navigation"]}}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=t.URL,i=(await it.request({devtoolsLog:r,URL:a},n)).statusCode;return i>=_me&&i<=Ime?{score:0,displayValue:`${i}`}:{score:1}}},Mme=oS});var gU=P((dVe,hU)=>{l();function mU(e){return e?Array.isArray(e)?e.map(mU):String(e).trim():null}s(mU,"trimLine");function Nme(e){var t=e.indexOf("#");return t>-1?e.substr(0,t):e}s(Nme,"removeComments");function Pme(e){var t=String(e).indexOf(":");return!e||t<0?null:[e.slice(0,t),e.slice(t+1)]}s(Pme,"splitLine");function iS(e){var t=e.toLowerCase(),n=t.indexOf("/");return n>-1&&(t=t.substr(0,n)),t.trim()}s(iS,"formatUserAgent");function Lme(e){try{return pU(encodeURI(e).replace(/%25/g,"%"))}catch{return e}}s(Lme,"normaliseEncoding");function pU(e){return e.replace(/%[0-9a-fA-F]{2}/g,function(t){return t.toUpperCase()})}s(pU,"urlEncodeToUpper");function Ome(e,t){var n=new Array(t.length+1),r=1;n[0]=0;for(var a=0;a<e.length;a++){if(e[a]==="$"&&a+1===e.length)return n[r-1]===t.length;if(e[a]=="*"){r=t.length-n[0]+1;for(var o=1;o<r;o++)n[o]=n[o-1]+1}else{for(var i=0,o=0;o<r;o++)n[o]<t.length&&t[n[o]]===e[a]&&(n[i++]=n[o]+1);if(i==0)return!1;r=i}}return!0}s(Ome,"matches");function Bme(e,t){
for(var n=/\r\n|\r|\n/,r=e.split(n).map(Nme).map(Pme).map(mU),a=[],o=!0,i=0;i<r.length;i++){var c=r[i];if(!(!c||!c[0])){switch(c[0].toLowerCase()){case"user-agent":o&&(a.length=0),c[1]&&a.push(iS(c[1]));break;case"disallow":t.addRule(a,c[1],!1,i+1);break;case"allow":t.addRule(a,c[1],!0,i+1);break;case"crawl-delay":t.setCrawlDelay(a,c[1]);break;case"sitemap":c[1]&&t.addSitemap(c[1]);break;case"host":c[1]&&t.setPreferredHost(c[1].toLowerCase());break}o=c[0].toLowerCase()!=="user-agent"}}}s(Bme,"parseRobots");function Ume(e,t){for(var n=null,r=0;r<t.length;r++){var a=t[r];Ome(a.pattern,e)&&(!n||a.pattern.length>n.pattern.length||a.pattern.length==n.pattern.length&&a.allow&&!n.allow)&&(n=a)}return n}s(Ume,"findRule");function fU(e){try{var e=new URL(e,"http://robots-relative.samclarke.com/");return e.port||(e.port=e.protocol==="https:"?443:80),e}catch{return null}}s(fU,"parseUrl");function rr(e,t){this._url=fU(e)||{},this._rules=Object.create(null),this._sitemaps=[],this._preferredHost=null,
Bme(t||"",this)}s(rr,"Robots");rr.prototype.addRule=function(e,t,n,r){var a=this._rules;e.forEach(function(o){a[o]=a[o]||[],t&&a[o].push({pattern:Lme(t),allow:n,lineNumber:r})})};rr.prototype.setCrawlDelay=function(e,t){var n=this._rules,r=Number(t);e.forEach(function(a){n[a]=n[a]||[],!isNaN(r)&&(n[a].crawlDelay=r)})};rr.prototype.addSitemap=function(e){this._sitemaps.push(e)};rr.prototype.setPreferredHost=function(e){this._preferredHost=e};rr.prototype._getRule=function(e,t){var n=fU(e)||{},r=iS(t||"*");if(!(n.protocol!==this._url.protocol||n.hostname!==this._url.hostname||n.port!==this._url.port)){var a=this._rules[r]||this._rules["*"]||[],o=pU(n.pathname+n.search),i=Ume(o,a);return i}};rr.prototype.isAllowed=function(e,t){var n=this._getRule(e,t);if(!(typeof n>"u"))return!n||n.allow};rr.prototype.getMatchingLineNumber=function(e,t){var n=this._getRule(e,t);return n?n.lineNumber:-1};rr.prototype.isDisallowed=function(e,t){return!this.isAllowed(e,t)};rr.prototype.getCrawlDelay=function(e){
var t=iS(e||"*");return(this._rules[t]||this._rules["*"]||{}).crawlDelay};rr.prototype.getPreferredHost=function(){return this._preferredHost};rr.prototype.getSitemaps=function(){return this._sitemaps.slice(0)};hU.exports=rr});var vU=P((fVe,yU)=>{l();var jme=gU();yU.exports=function(e,t){return new jme(e,t)}});var TU={};x(TU,{UIStrings:()=>Vd,default:()=>Gme});function Hme(e){let t=e.split(":");if(t.length<=1||t[0]!==EU)return!1;let n=Date.parse(t.slice(1).join(":"));return!isNaN(n)&&n<Date.now()}function wU(e){return e.split(",").map(t=>t.toLowerCase().trim()).some(t=>qme.has(t)||Hme(t))}function Wme(e){let t=e.match(/^([^,:]+):/);if(t&&t[1].toLowerCase()!==EU)return t[1]}var DU,bU,qme,zme,EU,Vd,sS,cS,Gme,xU=g(()=>{"use strict";l();DU=Bt(vU(),1);$();cn();A();bU=new Set([void 0,"Googlebot","bingbot","DuckDuckBot","archive.org_bot"]),qme=new Set(["noindex","none"]),zme="x-robots-tag",EU="unavailable_after",Vd={title:"Page isn’t blocked from indexing",failureTitle:"Page is blocked from indexing",description:"Search engines are unable to include your pages in search results if they don't have permission to crawl them. [Learn more about crawler directives](https://developer.chrome.com/docs/lighthouse/seo/is-crawlable/)."},sS=D("core/audits/seo/is-crawlable.js",Vd);s(Hme,"isUnavailable");s(wU,"\
hasBlockingDirective");s(Wme,"getUserAgentFromHeaderDirectives");cS=class e extends b{static{s(this,"IsCrawlable")}static get meta(){return{id:"is-crawlable",title:sS(Vd.title),failureTitle:sS(Vd.failureTitle),description:sS(Vd.description),supportedModes:["navigation"],requiredArtifacts:["MetaElements","RobotsTxt","URL","devtoolsLogs"]}}static handleMetaElement(t){let n=t.content||"";if(wU(n))return{source:{...b.makeNodeItem(t.node),snippet:`<meta name="${t.name}" content="${n}" />`}}}static determineIfCrawlableForUserAgent(t,n,r,a,o){let i=[],c;if(t&&(c=r.find(u=>u.name===t.toLowerCase())),c||(c=r.find(u=>u.name==="robots")),c){let u=e.handleMetaElement(c);u&&i.push(u)}for(let u of n.responseHeaders||[]){if(u.name.toLowerCase()!==zme)continue;let d=Wme(u.value);if(d!==t&&d!==void 0)continue;let m=u.value.trim();t&&u.value.startsWith(`${t}:`)&&(m=u.value.replace(`${t}:`,"")),wU(m)&&i.push({source:`${u.name}: ${u.value}`})}if(a&&!a.isAllowed(n.url,t)){let u=a.getMatchingLineNumber(n.url)||
1;i.push({source:{type:"source-location",url:o.href,urlProvider:"network",line:u-1,column:0}})}return i}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=await it.request({devtoolsLog:r,URL:t.URL},n),o=new URL("/robots.txt",a.url),i=t.RobotsTxt.content?(0,DU.default)(o.href,t.RobotsTxt.content):void 0,c=[],u=[];for(let f of bU){let y=e.determineIfCrawlableForUserAgent(f,a,t.MetaElements,i,o);y.length>0&&c.push(f),f===void 0&&u.push(...y)}let d=c.length===bU.size?0:1,m=[];if(d&&c.length>0){let f=c.filter(Boolean).join(", ");m.push(`The following bot user agents are blocked from crawling: ${f}. The audit is otherwise passing, because at least one bot was explicitly allowed.`)}let p=[{key:"source",valueType:"code",label:"Blocking Directive Source"}],h=b.makeTableDetails(p,d===0?u:[]);return{score:d,details:h,warnings:m}}},Gme=cS});var SU={};x(SU,{UIStrings:()=>Js,default:()=>$me});var Vme,Js,Ph,uS,$me,CU=g(()=>{"use strict";l();$();tt();A();Vme=new Set(["click here","click this","go","here","information","learn more","more","more info","more information","right here","read more","see more","start","this","ここをクリック","こちらをクリック","リンク","続きを読む","続く","全文表示","click aquí","click aqui","clicka aquí","clicka aqui","pincha aquí","pincha aqui","aquí","aqui","más","mas","más información","más informacion","mas información","mas informacion","este","enlace","este enlace","empezar","clique aqui","ir","mais informação","mais informações","mais","veja mais","여기","여기를 클릭","클릭","링크","자세히","자세히 보기","계속","이동","전체 보기","här","klicka här","läs mer","mer","mer info","mer information","அடுத்த பக்கம்","மறுபக்கம்","முந்தைய பக்கம்","முன்பக்கம்",
"மேலும் அறிக","மேலும் தகவலுக்கு","மேலும் தரவுகளுக்கு","தயவுசெய்து இங்கே அழுத்தவும்","இங்கே கிளிக் செய்யவும்","اطلاعات بیشتر","اطلاعات","این","اینجا بزنید","اینجا کلیک کنید","اینجا","برو","بیشتر بخوانید","بیشتر بدانید","بیشتر","شروع"]),Js={title:"Links have descriptive text",failureTitle:"Links do not have descriptive text",description:"Descriptive link text helps search engines understand your content. [Learn how to make links more accessible](https://developer.chrome.com/docs/lighthouse/seo/link-text/).",displayValue:`{itemCount, plural,
    =1 {1 link found}
    other {# links found}
    }`},Ph=D("core/audits/seo/link-text.js",Js),uS=class extends b{static{s(this,"LinkText")}static get meta(){return{id:"link-text",title:Ph(Js.title),failureTitle:Ph(Js.failureTitle),description:Ph(Js.description),requiredArtifacts:["URL","AnchorElements"]}}static audit(t){let n=t.AnchorElements.filter(i=>i.href&&!i.rel.includes("nofollow")).filter(i=>{let c=i.href.toLowerCase();return c.startsWith("javascript:")||c.startsWith("mailto:")||K.equalWithExcludedFragments(i.href,t.URL.finalDisplayedUrl)?!1:Vme.has(i.text.trim().toLowerCase())}).map(i=>({href:i.href,text:i.text.trim()})),r=[{key:"href",valueType:"url",label:"Link destination"},{key:"text",valueType:"text",label:"Link Text"}],a=b.makeTableDetails(r,n),o;return n.length&&(o=Ph(Js.displayValue,{itemCount:n.length})),{score:+(n.length===0),details:a,displayValue:o}}},$me=uS});var FU={};x(FU,{UIStrings:()=>Lh,default:()=>Yme});var Lh,kU,lS,Yme,RU=g(()=>{"use strict";l();Vn();A();Lh={description:"Run the [Structured Data Testing Tool](https://search.google.com/structured-data/testing-tool/) and the [Structured Data Linter](http://linter.structured-data.org/) to validate structured data. [Learn more about Structured Data](https://developer.chrome.com/docs/lighthouse/seo/structured-data/).",title:"Structured data is valid"},kU=D("core/audits/seo/manual/structured-data.js",Lh),lS=class extends Pt{static{s(this,"StructuredData")}static get meta(){return Object.assign({id:"structured-data",description:kU(Lh.description),title:kU(Lh.title)},super.partialMeta)}},Yme=lS});var AU={};x(AU,{UIStrings:()=>Xs,default:()=>Kme});var Xs,Oh,dS,Kme,_U=g(()=>{"use strict";l();$();A();Xs={title:"Document has a meta description",failureTitle:"Document does not have a meta description",description:"Meta descriptions may be included in search results to concisely summarize page content. [Learn more about the meta description](https://developer.chrome.com/docs/lighthouse/seo/meta-description/).",explanation:"Description text is empty."},Oh=D("core/audits/seo/meta-description.js",Xs),dS=class extends b{static{s(this,"Description")}static get meta(){return{id:"meta-description",title:Oh(Xs.title),failureTitle:Oh(Xs.failureTitle),description:Oh(Xs.description),requiredArtifacts:["MetaElements"]}}static audit(t){let n=t.MetaElements.find(a=>a.name==="description");return n?(n.content||"").trim().length===0?{score:0,explanation:Oh(Xs.explanation)}:{score:1}:{score:0}}},Kme=dS});var MU={};x(MU,{UIStrings:()=>po,default:()=>ape});function tpe(e,t){if(!Qme.has(e))throw new Error("Unknown directive");if(e===IU){let n;try{n=new URL(t)}catch{throw new Error("Invalid sitemap URL")}if(!epe.has(n.protocol))throw new Error("Invalid sitemap URL protocol")}if(e===pS&&!t)throw new Error("No user-agent specified");if(e===fS||e===hS){if(t!==""&&t[0]!=="/"&&t[0]!=="*")throw new Error('Pattern should either be empty, start with "/" or "*"');let n=t.indexOf("$");if(n!==-1&&n!==t.length-1)throw new Error('"$" should only be used at the end of the pattern')}}function npe(e){let t=e.indexOf("#");if(t!==-1&&(e=e.substr(0,t)),e=e.trim(),e.length===0)return null;let n=e.indexOf(":");if(n===-1)throw new Error("Syntax not understood");let r=e.slice(0,n).trim().toLowerCase(),a=e.slice(n+1).trim();return tpe(r,a),{directive:r,value:a}}function rpe(e){let t=[],n=!1;return e.split(/\r\n|\r|\n/).forEach((r,a)=>{let o;try{o=npe(r)}catch(i){t.push({index:(a+1).toString(),line:r,message:i.message.
toString()})}o&&(o.directive===pS?n=!0:!n&&Zme.has(o.directive)&&t.push({index:(a+1).toString(),line:r,message:"No user-agent specified"}))}),t}var Jme,Xme,IU,pS,fS,hS,Zme,Qme,epe,po,Zs,mS,ape,NU=g(()=>{"use strict";l();$();A();Jme=400,Xme=500,IU="sitemap",pS="user-agent",fS="allow",hS="disallow",Zme=new Set([fS,hS]),Qme=new Set([pS,hS,fS,IU,"crawl-delay","clean-param","host","request-rate","visit-time","noindex"]),epe=new Set(["https:","http:","ftp:"]),po={title:"robots.txt is valid",failureTitle:"robots.txt is not valid",description:"If your robots.txt file is malformed, crawlers may not be able to understand how you want your website to be crawled or indexed. [Learn more about robots.txt](https://developer.chrome.com/docs/lighthouse/seo/invalid-robots-txt/).",displayValueHttpBadCode:"Request for robots.txt returned HTTP status: {statusCode}",displayValueValidationError:`{itemCount, plural,
    =1 {1 error found}
    other {# errors found}
    }`,explanation:"Lighthouse was unable to download a robots.txt file"},Zs=D("core/audits/seo/robots-txt.js",po);s(tpe,"verifyDirective");s(npe,"parseLine");s(rpe,"validateRobots");mS=class extends b{static{s(this,"RobotsTxt")}static get meta(){return{id:"robots-txt",title:Zs(po.title),failureTitle:Zs(po.failureTitle),description:Zs(po.description),requiredArtifacts:["RobotsTxt"]}}static audit(t){let{status:n,content:r}=t.RobotsTxt;if(!n)return{score:0,explanation:Zs(po.explanation)};if(n>=Xme)return{score:0,displayValue:Zs(po.displayValueHttpBadCode,{statusCode:n})};if(n>=Jme||r==="")return{score:1,notApplicable:!0};if(r===null)throw new Error(`Status ${n} was valid, but content was null`);let a=rpe(r),o=[{key:"index",valueType:"text",label:"Line #"},{key:"line",valueType:"code",label:"Content"},{key:"message",valueType:"code",label:"Error"}],i=b.makeTableDetails(o,a),c;return a.length&&(c=Zs(po.displayValueValidationError,{itemCount:a.length})),{score:+(a.length===0),details:i,displayValue:c}}},
ape=mS});var PU={};x(PU,{UIStrings:()=>ec,default:()=>spe});var ec,Qs,ope,ipe,gS,spe,LU=g(()=>{"use strict";l();$();A();cn();ec={title:"Initial server response time was short",failureTitle:"Reduce initial server response time",description:"Keep the server response time for the main document short because all other requests depend on it. [Learn more about the Time to First Byte metric](https://developer.chrome.com/docs/lighthouse/performance/time-to-first-byte/).",displayValue:"Root document took {timeInMs, number, milliseconds} ms"},Qs=D("core/audits/server-response-time.js",ec),ope=600,ipe=100,gS=class e extends b{static{s(this,"ServerResponseTime")}static get meta(){return{id:"server-response-time",title:Qs(ec.title),failureTitle:Qs(ec.failureTitle),description:Qs(ec.description),supportedModes:["navigation"],guidanceLevel:1,requiredArtifacts:["devtoolsLogs","URL","GatherContext"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS}}static calculateResponseTime(t){return globalThis.isLightrider&&
t.lrStatistics?t.lrStatistics.requestMs:t.timing?t.timing.receiveHeadersStart-t.timing.sendEnd:null}static async audit(t,n){let r=t.devtoolsLogs[b.DEFAULT_PASS],a=await it.request({devtoolsLog:r,URL:t.URL},n),o=e.calculateResponseTime(a);if(o===null)throw new Error("no timing found for main resource");let i=o<ope,c=Qs(ec.displayValue,{timeInMs:o}),u=[{key:"url",valueType:"url",label:Qs(k.columnURL)},{key:"responseTime",valueType:"timespanMs",label:Qs(k.columnTimeSpent)}],d=Math.max(o-ipe,0),m=b.makeOpportunityDetails(u,[{url:a.url,responseTime:o}],{overallSavingsMs:d});return{numericValue:o,numericUnit:"millisecond",score:Number(i),scoreDisplayMode:i?b.SCORING_MODES.INFORMATIVE:void 0,displayValue:c,details:m,metricSavings:{FCP:d,LCP:d}}}},spe=gS});var OU={};x(OU,{UIStrings:()=>nc,default:()=>cpe});var nc,tc,yS,cpe,BU=g(()=>{"use strict";l();$();A();nc={title:"Avoids third-party cookies",failureTitle:"Uses third-party cookies",description:"Support for third-party cookies will be removed in a future version of Chrome. [Learn more about phasing out third-party cookies](https://developer.chrome.com/en/docs/privacy-sandbox/third-party-cookie-phase-out/).",displayValue:`{itemCount, plural,
    =1 {1 cookie found}
    other {# cookies found}
    }`},tc=D("core/audits/third-party-cookies.js",nc),yS=class extends b{static{s(this,"ThirdPartyCookies")}static get meta(){return{id:"third-party-cookies",title:tc(nc.title),failureTitle:tc(nc.failureTitle),description:tc(nc.description),requiredArtifacts:["InspectorIssues"]}}static getCookieId(t){if(!t.cookie)return t.rawCookieLine??"no-cookie-info";let{domain:n,path:r,name:a}=t.cookie;return`${n};${r};${a}`}static async audit(t){let n=new Set,r=[];for(let c of t.InspectorIssues.cookieIssue){let u=c.cookieWarningReasons.includes("WarnThirdPartyPhaseout"),d=c.cookieExclusionReasons.includes("ExcludeThirdPartyPhaseout");if(!u&&!d)continue;let m=c.cookie?.name||c.rawCookieLine;if(!m)continue;let p=this.getCookieId(c);n.has(p)||(n.add(p),r.push({name:m,url:c.cookieUrl}))}let a=[{key:"name",valueType:"text",label:tc(k.columnName)},{key:"url",valueType:"url",label:tc(k.columnURL)}],o=b.makeTableDetails(a,r),i;return r.length>0&&(i=tc(nc.displayValue,{itemCount:r.length})),{score:r.length?
0:1,displayValue:i,details:o}}},cpe=yS});var UU={};x(UU,{UIStrings:()=>pi,default:()=>bS});var pi,mi,upe,vS,bS,wS=g(()=>{"use strict";l();$();ga();A();nt();Ql();ad();pi={title:"Minimize third-party usage",failureTitle:"Reduce the impact of third-party code",description:"Third-party code can significantly impact load performance. Limit the number of redundant third-party providers and try to load third-party code after your page has primarily finished loading. [Learn how to minimize third-party impact](https://developers.google.com/web/fundamentals/performance/optimizing-content-efficiency/loading-third-party-javascript/).",columnThirdParty:"Third-Party",displayValue:"Third-party code blocked the main thread for {timeInMs, number, milliseconds} ms"},mi=D("core/audits/third-party-summary.js",pi),upe=250,vS=class e extends b{static{s(this,"ThirdPartySummary")}static get meta(){return{id:"third-party-summary",title:mi(pi.title),failureTitle:mi(pi.failureTitle),description:mi(pi.description),guidanceLevel:1,scoreDisplayMode:b.SCORING_MODES.
METRIC_SAVINGS,requiredArtifacts:["traces","devtoolsLogs","URL","GatherContext"]}}static getSummaries(t,n,r,a){let o=new Map,i=new Map,c={mainThreadTime:0,blockingTime:0,transferSize:0,tbtImpact:0};for(let m of t){let p=o.get(m.url)||{...c};p.transferSize+=m.transferSize,o.set(m.url,p)}let u=Zl(t);for(let m of n){let p=ys(m,u),h=o.get(p)||{...c},f=m.selfTime*r;h.mainThreadTime+=f,h.blockingTime+=Math.max(f-50,0),h.tbtImpact+=m.selfTbtImpact,o.set(p,h)}let d=new Map;for(let[m,p]of o.entries()){let h=a.entityByUrl.get(m);if(!h){o.delete(m);continue}let f=i.get(h)||{...c};f.transferSize+=p.transferSize,f.mainThreadTime+=p.mainThreadTime,f.blockingTime+=p.blockingTime,f.tbtImpact+=p.tbtImpact,i.set(h,f);let y=d.get(h)||[];y.push(m),d.set(h,y)}return{byURL:o,byEntity:i,urls:d}}static makeSubItems(t,n){return(n.urls.get(t)||[]).map(o=>({url:o,...n.byURL.get(o)})).sort((o,i)=>i.blockingTime-o.blockingTime||i.transferSize-o.transferSize)}static async audit(t,n){let r=n.settings||{},a=t.devtoolsLogs[b.
DEFAULT_PASS],o=await ae.request(a,n),i=await mn.request({URL:t.URL,devtoolsLog:a},n),c=i.firstParty,u=b.makeMetricComputationDataInput(t,n),d=await Qa.request(u,n),m=r.throttlingMethod==="simulate"?r.throttling.cpuSlowdownMultiplier:1,p=e.getSummaries(o,d,m,i),h={wastedBytes:0,wastedMs:0,tbtImpact:0},f=Array.from(p.byEntity.entries()).filter(([E])=>!(c&&c===E)).map(([E,T])=>(h.wastedBytes+=T.transferSize,h.wastedMs+=T.blockingTime,h.tbtImpact+=T.tbtImpact,{...T,entity:E.name,subItems:{type:"subitems",items:e.makeSubItems(E,p)}})).sort((E,T)=>T.blockingTime-E.blockingTime||T.transferSize-E.transferSize),y=[{key:"entity",valueType:"text",label:mi(pi.columnThirdParty),subItemsHeading:{key:"url",valueType:"url"}},{key:"transferSize",granularity:1,valueType:"bytes",label:mi(k.columnTransferSize),subItemsHeading:{key:"transferSize"}},{key:"blockingTime",granularity:1,valueType:"ms",label:mi(k.columnBlockingTime),subItemsHeading:{key:"blockingTime"}}];if(!f.length)return{score:1,notApplicable:!0,
metricSavings:{TBT:0}};let v=b.makeTableDetails(y,f,{...h,isEntityGrouped:!0}),w=h.wastedMs<=upe;return{score:Number(w),scoreDisplayMode:w?b.SCORING_MODES.INFORMATIVE:void 0,displayValue:mi(pi.displayValue,{timeInMs:h.wastedMs}),details:v,metricSavings:{TBT:h.tbtImpact}}}},bS=vS});var jU={};x(jU,{UIStrings:()=>Dr,default:()=>dpe});var Dr,Da,lpe,DS,dpe,qU=g(()=>{"use strict";l();$();A();ga();cT();nt();wS();ad();Dr={title:"Lazy load third-party resources with facades",failureTitle:"Some third-party resources can be lazy loaded with a facade",description:"Some third-party embeds can be lazy loaded. Consider replacing them with a facade until they are required. [Learn how to defer third-parties with a facade](https://developer.chrome.com/docs/lighthouse/performance/third-party-facades/).",displayValue:`{itemCount, plural,
  =1 {# facade alternative available}
  other {# facade alternatives available}
  }`,columnProduct:"Product",categoryVideo:"{productName} (Video)",categoryCustomerSuccess:"{productName} (Customer Success)",categoryMarketing:"{productName} (Marketing)",categorySocial:"{productName} (Social)"},Da=D("core/audits/third-party-facades.js",Dr),lpe={video:Dr.categoryVideo,"customer-success":Dr.categoryCustomerSuccess,marketing:Dr.categoryMarketing,social:Dr.categorySocial},DS=class e extends b{static{s(this,"ThirdPartyFacades")}static get meta(){return{id:"third-party-facades",title:Da(Dr.title),failureTitle:Da(Dr.failureTitle),description:Da(Dr.description),supportedModes:["navigation"],guidanceLevel:3,requiredArtifacts:["traces","devtoolsLogs","URL","GatherContext"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS}}static condenseItems(t){t.sort((o,i)=>i.transferSize-o.transferSize);let n=t.findIndex(o=>o.transferSize<1e3)||1;if((n===-1||n>5)&&(n=5),n>=t.length-1)return;let a=t.splice(n).reduce((o,i)=>(o.transferSize+=i.transferSize,o.blockingTime+=i.blockingTime,o));a.transferSize<
1e3||(a.url=Da(k.otherResourcesLabel),t.push(a))}static getProductsWithFacade(t,n){let r=new Map;for(let a of t.keys()){let o=n.entityByUrl.get(a);if(!o||n.isFirstParty(a))continue;let i=ld.getProduct(a);!i||!i.facades||!i.facades.length||r.has(i.name)||r.set(i.name,{product:i,entity:o})}return Array.from(r.values())}static async audit(t,n){let r=n.settings,a=t.devtoolsLogs[b.DEFAULT_PASS],o=await ae.request(a,n),i=await mn.request({URL:t.URL,devtoolsLog:a},n),c=b.makeMetricComputationDataInput(t,n),u=await Qa.request(c,n),d=r.throttlingMethod==="simulate"?r.throttling.cpuSlowdownMultiplier:1,m=bS.getSummaries(o,u,d,i),p=e.getProductsWithFacade(m.byURL,i),h=0,f=[];for(let{product:v,entity:w}of p){let E=lpe[v.categories[0]],T;E?T=Da(E,{productName:v.name}):T=v.name;let S=m.urls.get(w),C=m.byEntity.get(w);if(!S||!C)continue;h+=C.tbtImpact;let F=Array.from(S).map(L=>{let N=m.byURL.get(L);return{url:L,...N}});this.condenseItems(F),f.push({product:T,transferSize:C.transferSize,blockingTime:C.
blockingTime,subItems:{type:"subitems",items:F},entity:w.name})}if(!f.length)return{score:1,notApplicable:!0,metricSavings:{TBT:0}};let y=[{key:"product",valueType:"text",subItemsHeading:{key:"url",valueType:"url"},label:Da(Dr.columnProduct)},{key:"transferSize",valueType:"bytes",subItemsHeading:{key:"transferSize"},granularity:1,label:Da(k.columnTransferSize)},{key:"blockingTime",valueType:"ms",subItemsHeading:{key:"blockingTime"},granularity:1,label:Da(k.columnBlockingTime)}];return{score:0,displayValue:Da(Dr.displayValue,{itemCount:f.length}),details:b.makeTableDetails(y,f),metricSavings:{TBT:h}}}},dpe=DS});var zU={};x(zU,{UIStrings:()=>$d,default:()=>mpe});var $d,Bh,ES,mpe,HU=g(()=>{"use strict";l();$();A();tt();$d={title:"Image elements have explicit `width` and `height`",failureTitle:"Image elements do not have explicit `width` and `height`",description:"Set an explicit width and height on image elements to reduce layout shifts and improve CLS. [Learn how to set image dimensions](https://web.dev/articles/optimize-cls#images_without_dimensions)"},Bh=D("core/audits/unsized-images.js",$d),ES=class e extends b{static{s(this,"UnsizedImages")}static get meta(){return{id:"unsized-images",title:Bh($d.title),failureTitle:Bh($d.failureTitle),description:Bh($d.description),guidanceLevel:4,requiredArtifacts:["ImageElements"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS}}static doesHtmlAttrProvideExplicitSize(t){return!t||t.startsWith("+")?!1:parseInt(t,10)>=0}static isCssPropExplicitlySet(t){return t?!["auto","initial","unset","inherit"].includes(t):!1}static isSizedImage(t){if(t.cssEffectiveRules===
void 0)return!0;let n=t.attributeWidth,r=t.attributeHeight,a=t.cssEffectiveRules.width,o=t.cssEffectiveRules.height,i=t.cssEffectiveRules.aspectRatio,c=e.doesHtmlAttrProvideExplicitSize(n),u=e.isCssPropExplicitlySet(a),d=e.doesHtmlAttrProvideExplicitSize(r),m=e.isCssPropExplicitlySet(o),p=e.isCssPropExplicitlySet(i),h=c||u,f=d||m;return h&&f||h&&p||f&&p}static isNonNetworkSvg(t){let n=K.guessMimeType(t.src)==="image/svg+xml",r=t.src.slice(0,t.src.indexOf(":")),a=K.isNonNetworkProtocol(r);return n&&a}static async audit(t){let n=t.ImageElements.filter(o=>!o.isCss&&!o.isInShadowDOM),r=[];for(let o of n){if(o.computedStyles.position==="fixed"||o.computedStyles.position==="absolute"||e.isNonNetworkSvg(o)||e.isSizedImage(o))continue;let c=o.node.boundingRect;c.width===0&&c.height===0||r.push({url:K.elideDataURI(o.src),node:b.makeNodeItem(o.node)})}let a=[{key:"node",valueType:"node",label:""},{key:"url",valueType:"url",label:Bh(k.columnURL)}];return{score:r.length>0?0:1,details:b.makeTableDetails(
a,r),metricSavings:{CLS:0}}}},mpe=ES});var TS,WU,GU=g(()=>{"use strict";l();ye();Nt();TS=class{static{s(this,"UserTimings")}static async compute_(t,n){let r=await Ce.request(t,n),a=[],o={};return r.processEvents.filter(i=>i.cat.includes("blink.user_timing")?i.name!=="requestStart"&&i.name!=="navigationStart"&&i.name!=="paintNonDefaultBackgroundColor"&&i.args.frame===void 0:!1).forEach(i=>{i.ph==="R"||i.ph.toUpperCase()==="I"?a.push({name:i.name,isMark:!0,args:i.args,startTime:i.ts}):i.ph.toLowerCase()==="b"?o[i.name]=i.ts:i.ph.toLowerCase()==="e"&&a.push({name:i.name,isMark:!1,args:i.args,startTime:o[i.name],endTime:i.ts,duration:i.ts-o[i.name]})}),a.forEach(i=>{i.startTime=(i.startTime-r.timeOriginEvt.ts)/1e3,i.isMark||(i.endTime=(i.endTime-r.timeOriginEvt.ts)/1e3,i.duration=i.duration/1e3)}),a}},WU=G(TS,null)});var VU={};x(VU,{UIStrings:()=>rc,default:()=>ppe});var rc,fi,xS,ppe,$U=g(()=>{"use strict";l();$();A();GU();rc={title:"User Timing marks and measures",description:"Consider instrumenting your app with the User Timing API to measure your app's real-world performance during key user experiences. [Learn more about User Timing marks](https://developer.chrome.com/docs/lighthouse/performance/user-timings/).",displayValue:`{itemCount, plural,
    =1 {1 user timing}
    other {# user timings}
    }`,columnType:"Type"},fi=D("core/audits/user-timings.js",rc),xS=class e extends b{static{s(this,"UserTimings")}static get meta(){return{id:"user-timings",title:fi(rc.title),description:fi(rc.description),scoreDisplayMode:b.SCORING_MODES.INFORMATIVE,guidanceLevel:2,requiredArtifacts:["traces"]}}static get excludedPrefixes(){return["goog_"]}static excludeEvent(t){return e.excludedPrefixes.every(n=>!t.name.startsWith(n))}static async audit(t,n){let r=t.traces[b.DEFAULT_PASS],o=(await WU.request(r,n)).filter(e.excludeEvent),i=o.map(m=>({name:m.name,startTime:m.startTime,duration:m.isMark?void 0:m.duration,timingType:m.isMark?"Mark":"Measure"})).sort((m,p)=>m.timingType===p.timingType?m.startTime-p.startTime:m.timingType==="Measure"?-1:1),c=[{key:"name",valueType:"text",label:fi(k.columnName)},{key:"timingType",valueType:"text",label:fi(rc.columnType)},{key:"startTime",valueType:"ms",granularity:.01,label:fi(k.columnStartTime)},{key:"duration",valueType:"ms",granularity:.01,label:fi(k.columnDuration)}],
u=b.makeTableDetails(c,i),d;return o.length&&(d=fi(rc.displayValue,{itemCount:o.length})),{score:+(o.length===0),notApplicable:o.length===0,displayValue:d,details:u}}},ppe=xS});var YU={};x(YU,{UIStrings:()=>hi,default:()=>gpe});var fpe,hpe,hi,fo,SS,gpe,KU=g(()=>{"use strict";l();$();tt();A();nt();cn();Ar();pa();bs();Qo();hr();fpe=15e3,hpe=50,hi={title:"Preconnect to required origins",description:"Consider adding `preconnect` or `dns-prefetch` resource hints to establish early connections to important third-party origins. [Learn how to preconnect to required origins](https://developer.chrome.com/docs/lighthouse/performance/uses-rel-preconnect/).",unusedWarning:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Only use `preconnect` for important origins that the page will certainly request.',crossoriginWarning:'A `<link rel=preconnect>` was found for "{securityOrigin}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.',tooManyPreconnectLinksWarning:"More than 2 `<link rel=preconnect>` connections were found. These should be used sparingly and only to the most important orig\
ins."},fo=D("core/audits/uses-rel-preconnect.js",hi),SS=class e extends b{static{s(this,"UsesRelPreconnectAudit")}static get meta(){return{id:"uses-rel-preconnect",title:fo(hi.title),description:fo(hi.description),supportedModes:["navigation"],guidanceLevel:3,requiredArtifacts:["traces","devtoolsLogs","URL","LinkElements"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS}}static hasValidTiming(t){return!!t.timing&&t.timing.connectEnd>=0&&t.timing.connectStart>=0}static hasAlreadyConnectedToOrigin(t){return t.timing?t.timing.dnsStart===-1&&t.timing.dnsEnd===-1&&t.timing.connectStart===-1&&t.timing.connectEnd===-1||t.timing.dnsEnd-t.timing.dnsStart===0&&t.timing.connectEnd-t.timing.connectStart===0:!1}static socketStartTimeIsBelowThreshold(t,n){return Math.max(0,t.networkRequestTime-n.networkEndTime)<fpe}static async audit(t,n){let r=t.traces[e.DEFAULT_PASS],a=t.devtoolsLogs[e.DEFAULT_PASS],o=n.settings,i=0,c=0,u=[],[d,m,p,h,f]=await Promise.all([ae.request(a,n),it.request({devtoolsLog:a,
URL:t.URL},n),Zt.request({devtoolsLog:a,settings:o},n),ln.request(r,n),qr.request({trace:r,devtoolsLog:a,URL:t.URL},n)]),{rtt:y,additionalRttByOrigin:v}=p.getOptions(),w=await Jn.getPessimisticGraph(f,h),E=new Set;w.traverse(Y=>{Y.type==="network"&&E.add(Y.record.url)});let T=await Ut.getPessimisticGraph(f,h),S=new Set;T.traverse(Y=>{Y.type==="network"&&S.add(Y.record.url)});let C=new Map;d.forEach(Y=>{if(!e.hasValidTiming(Y)||Y.initiator.url===m.url||!Y.parsedURL||!Y.parsedURL.securityOrigin||m.parsedURL.securityOrigin===Y.parsedURL.securityOrigin||!E.has(Y.url)||e.hasAlreadyConnectedToOrigin(Y)||!e.socketStartTimeIsBelowThreshold(Y,m))return;let oe=Y.parsedURL.securityOrigin,ge=C.get(oe)||[];ge.push(Y),C.set(oe,ge)});let F=t.LinkElements.filter(Y=>Y.rel==="preconnect"),L=new Set(F.map(Y=>K.getOrigin(Y.href||""))),N=[];C.forEach(Y=>{let oe=Y.reduce((st,Ke)=>Ke.networkRequestTime<st.networkRequestTime?Ke:st);if(!oe.timing)return;let ge=oe.parsedURL.securityOrigin,ue=v.get(ge)||0,ft=y+ue;
oe.parsedURL.scheme==="https"&&(ft=ft*2);let le=oe.networkRequestTime-m.networkEndTime+oe.timing.dnsStart,we=Math.min(ft,le);if(!(we<hpe)){if(L.has(ge)){u.push(fo(hi.crossoriginWarning,{securityOrigin:ge}));return}i=Math.max(we,i),S.has(oe.url)&&(c=Math.max(we,i)),N.push({url:ge,wastedMs:we})}}),N=N.sort((Y,oe)=>oe.wastedMs-Y.wastedMs);for(let Y of L)Y&&(d.some(oe=>Y===oe.parsedURL.securityOrigin)||u.push(fo(hi.unusedWarning,{securityOrigin:Y})));if(F.length>=2)return{score:1,warnings:F.length>=3?[...u,fo(hi.tooManyPreconnectLinksWarning)]:u,metricSavings:{LCP:i,FCP:c}};let W=[{key:"url",valueType:"url",label:fo(k.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:fo(k.columnWastedMs)}],ee=b.makeOpportunityDetails(W,N,{overallSavingsMs:i,sortedBy:["wastedMs"]});return{score:N.length?0:1,numericValue:i,numericUnit:"millisecond",displayValue:i?fo(k.displayValueMsSavings,{wastedMs:i}):"",warnings:u,details:ee,metricSavings:{LCP:i,FCP:c}}}},gpe=SS});var JU={};x(JU,{UIStrings:()=>Yd,default:()=>vpe});var Yd,ac,ype,CS,vpe,XU=g(()=>{"use strict";l();tt();Ct();$();OT();A();cn();bs();Ar();Yd={title:"Preload key requests",description:"Consider using `<link rel=preload>` to prioritize fetching resources that are currently requested later in page load. [Learn how to preload key requests](https://developer.chrome.com/docs/lighthouse/performance/uses-rel-preload/).",crossoriginWarning:'A preload `<link>` was found for "{preloadURL}" but was not used by the browser. Check that you are using the `crossorigin` attribute properly.'},ac=D("core/audits/uses-rel-preload.js",Yd),ype=100,CS=class e extends b{static{s(this,"UsesRelPreloadAudit")}static get meta(){return{id:"uses-rel-preload",title:ac(Yd.title),description:ac(Yd.description),supportedModes:["navigation"],guidanceLevel:3,requiredArtifacts:["devtoolsLogs","traces","URL"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS}}static getURLsToPreload(t,n){let r=new Set;return n.traverse((a,o)=>{
if(a.type!=="network")return;let i=o.slice(1).filter(c=>c.type==="network");e.shouldPreloadRequest(a.record,t,i)&&r.add(a.record.url)}),r}static getURLsFailedToPreload(t){let n=[];t.traverse(i=>i.type==="network"&&n.push(i.record));let r=n.filter(i=>i.isLinkPreload),a=new Map;for(let i of r){let c=a.get(i.frameId)||new Set;c.add(i.url),a.set(i.frameId,c)}let o=n.filter(i=>{let c=a.get(i.frameId);return!c||!c.has(i.url)?!1:!(i.fromDiskCache||i.fromMemoryCache||i.fromPrefetchCache)&&!i.isLinkPreload});return new Set(o.map(i=>i.url))}static shouldPreloadRequest(t,n,r){let a=n.redirects?n.redirects.length:0;return t.isLinkPreload||!eh.isCritical(t,n)||J.isNonNetworkRequest(t)||r.length!==a+2||t.frameId!==n.frameId?!1:K.rootDomainsMatch(t.url,n.url)}static computeWasteWithGraph(t,n,r){if(!t.size)return{wastedMs:0,results:[]};let a=r.simulate(n),o=n.cloneWithRelationships(),i=[],c=null;if(o.traverse(p=>{p.type==="network"&&(p.isMainDocument()?c=p:p.record&&t.has(p.record.url)&&i.push(p))}),!c)
throw new Error("Could not find main document node");for(let p of i)p.removeAllDependencies(),p.addDependency(c);let u=r.simulate(o),d=Array.from(a.nodeTimings.keys()).reduce((p,h)=>p.set(h.record,h),new Map),m=[];for(let p of i){let h=d.get(p.record),f=u.nodeTimings.get(p),y=a.nodeTimings.get(h);if(!y||!f)throw new Error("Missing preload node");let v=Math.round(y.endTime-f.endTime);v<ype||m.push({url:p.record.url,wastedMs:v})}return m.length?{wastedMs:Math.max(...m.map(p=>p.wastedMs)),results:m}:{wastedMs:0,results:m}}static async audit(t,n){let r=t.traces[e.DEFAULT_PASS],a=t.devtoolsLogs[e.DEFAULT_PASS],o=t.URL,i={devtoolsLog:a,settings:n.settings},[c,u,d]=await Promise.all([it.request({devtoolsLog:a,URL:o},n),qr.request({trace:r,devtoolsLog:a,URL:o},n),Zt.request(i,n)]),m=e.getURLsToPreload(c,u),{results:p,wastedMs:h}=e.computeWasteWithGraph(m,u,d);p.sort((E,T)=>T.wastedMs-E.wastedMs);let f,y=e.getURLsFailedToPreload(u);y.size&&(f=Array.from(y).map(E=>ac(Yd.crossoriginWarning,{preloadURL:E})));
let v=[{key:"url",valueType:"url",label:ac(k.columnURL)},{key:"wastedMs",valueType:"timespanMs",label:ac(k.columnWastedMs)}],w=b.makeOpportunityDetails(v,p,{overallSavingsMs:h,sortedBy:["wastedMs"]});return{score:p.length?0:1,numericValue:h,numericUnit:"millisecond",displayValue:h?ac(k.displayValueMsSavings,{wastedMs:h}):"",details:w,warnings:f}}},vpe=CS});var ZU={};x(ZU,{UIStrings:()=>ho,default:()=>wpe});var ho,gi,bpe,kS,wpe,QU=g(()=>{"use strict";l();$();ga();A();Nn();tt();ho={title:"Page has valid source maps",failureTitle:"Missing source maps for large first-party JavaScript",description:"Source maps translate minified code to the original source code. This helps developers debug in production. In addition, Lighthouse is able to provide further insights. Consider deploying source maps to take advantage of these benefits. [Learn more about source maps](https://developer.chrome.com/docs/devtools/javascript/source-maps/).",columnMapURL:"Map URL",missingSourceMapErrorMessage:"Large JavaScript file is missing a source map",missingSourceMapItemsWarningMesssage:"{missingItems, plural,\n    =1 {Warning: missing 1 item in `.sourcesContent`}\n    other {Warning: missing # items in `.sourcesContent`}\n    }"},gi=D("core/audits/valid-source-maps.js",ho),bpe=500*1024,kS=class extends b{static{s(this,"ValidSourceMaps")}static get meta(){return{id:"\
valid-source-maps",title:gi(ho.title),failureTitle:gi(ho.failureTitle),description:gi(ho.description),requiredArtifacts:["Scripts","SourceMaps","URL","devtoolsLogs"]}}static isLargeFirstPartyJS(t,n){let r=t.url;if(!t.length||!r||!K.isValid(r)||!Ne.createOrReturnURL(r).protocol.startsWith("http"))return!1;let a=t.length>=bpe;return n.isFirstParty(r)&&a}static async audit(t,n){let{SourceMaps:r}=t,a=t.devtoolsLogs[b.DEFAULT_PASS],o=await mn.request({URL:t.URL,devtoolsLog:a},n),i=new Set,c=!1,u=[];for(let m of t.Scripts){let p=r.find(y=>y.scriptId===m.scriptId),h=[];if(this.isLargeFirstPartyJS(m,o)&&(!p||!p.map)&&(c=!0,i.add(m.url),h.push({error:gi(ho.missingSourceMapErrorMessage)})),p&&!p.map&&h.push({error:p.errorMessage}),p?.map){let y=p.map.sourcesContent||[],v=0;for(let w=0;w<p.map.sources.length;w++)(y.length<w||!y[w])&&(v+=1);v>0&&h.push({error:gi(ho.missingSourceMapItemsWarningMesssage,{missingItems:v})})}(p||h.length)&&u.push({scriptUrl:m.url,sourceMapUrl:p?.sourceMapUrl,subItems:{
type:"subitems",items:h}})}let d=[{key:"scriptUrl",valueType:"url",subItemsHeading:{key:"error"},label:gi(k.columnURL)},{key:"sourceMapUrl",valueType:"url",label:gi(ho.columnMapURL)}];return u.sort((m,p)=>{let h=i.has(m.scriptUrl),f=i.has(p.scriptUrl);return h&&!f?-1:!h&&f?1:m.subItems.items.length&&!p.subItems.items.length?-1:!m.subItems.items.length&&p.subItems.items.length?1:p.scriptUrl.localeCompare(m.scriptUrl)}),{score:c?0:1,details:b.makeTableDetails(d,u)}}},wpe=kS});var ej={};x(ej,{UIStrings:()=>oc,default:()=>Dpe});var oc,Uh,FS,Dpe,tj=g(()=>{"use strict";l();$();tS();A();oc={title:'Has a `<meta name="viewport">` tag with `width` or `initial-scale`',failureTitle:'Does not have a `<meta name="viewport">` tag with `width` or `initial-scale`',description:'A `<meta name="viewport">` not only optimizes your app for mobile screen sizes, but also prevents [a 300 millisecond delay to user input](https://developer.chrome.com/blog/300ms-tap-delay-gone-away/). [Learn more about using the viewport meta tag](https://developer.chrome.com/docs/lighthouse/pwa/viewport/).',explanationNoTag:'No `<meta name="viewport">` tag found'},Uh=D("core/audits/viewport.js",oc),FS=class extends b{static{s(this,"Viewport")}static get meta(){return{id:"viewport",title:Uh(oc.title),failureTitle:Uh(oc.failureTitle),description:Uh(oc.description),guidanceLevel:3,requiredArtifacts:["MetaElements"],scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS}}static async audit(t,n){let r=await Nh.
request(t.MetaElements,n),a=300;if(!r.hasViewportTag)return{score:0,explanation:Uh(oc.explanationNoTag),metricSavings:{INP:a}};r.isMobileOptimized&&(a=0);let o;return r.rawContentString!==void 0&&(o={type:"debugdata",viewportContent:r.rawContentString}),{score:Number(r.isMobileOptimized),metricSavings:{INP:a},warnings:r.parserWarnings,details:o}}},Dpe=FS});var nj={};x(nj,{UIStrings:()=>go,default:()=>Tpe});var Epe,go,ic,RS,Tpe,rj=g(()=>{"use strict";l();$();Ff();Nt();A();nt();LE();Xl();Sr();Ql();x2();Epe=1,go={title:"Minimizes work during key interaction",failureTitle:"Minimize work during key interaction",description:"This is the thread-blocking work occurring during the Interaction to Next Paint measurement. [Learn more about the Interaction to Next Paint metric](https://web.dev/articles/inp).",inputDelay:"Input delay",processingDuration:"Processing duration",presentationDelay:"Presentation delay",displayValue:"{timeInMs, number, milliseconds} ms spent on event '{interactionType}'",eventTarget:"Event target"},ic=D("core/audits/work-during-interaction.js",go),RS=class e extends b{static{s(this,"WorkDuringInteraction")}static get meta(){return{id:"work-during-interaction",title:ic(go.title),failureTitle:ic(go.failureTitle),description:ic(go.description),scoreDisplayMode:b.SCORING_MODES.METRIC_SAVINGS,supportedModes:["timespan"],guidanceLevel:1,
requiredArtifacts:["traces","devtoolsLogs","TraceElements"]}}static recursivelyClipTasks(t,n,r,a){let o=t.event.ts,i=t.endEvent?.ts??t.event.ts+Number(t.event.dur||0);t.startTime=Math.max(r,Math.min(a,o))/1e3,t.endTime=Math.max(r,Math.min(a,i))/1e3,t.duration=t.endTime-t.startTime;let c=t.children.map(u=>e.recursivelyClipTasks(u,t,r,a)).reduce((u,d)=>u+d,0);return t.selfTime=t.duration-c,t.duration}static clipTasksByTs(t,n,r){for(let a of t)a.parent||e.recursivelyClipTasks(a,void 0,n,r)}static getPhaseTimes(t){let n=t.args.data,r=t.ts,a=r-n.timeStamp*1e3,o=a+n.processingStart*1e3,i=a+n.processingEnd*1e3,c=r+n.duration*1e3;return{inputDelay:{startTs:r,endTs:o},processingDuration:{startTs:o,endTs:i},presentationDelay:{startTs:i,endTs:c}}}static getThreadBreakdownTable(t,n,r,a){let o=Lt.filteredTraceSort(n.traceEvents,h=>h.pid===t.pid&&h.tid===t.tid),i=o.reduce((h,f)=>Math.max(f.ts+(f.dur||0),h),0),{frames:c}=r,u=gs.getMainThreadTasks(o,c,i),d=e.getPhaseTimes(t),m=[];for(let[h,f]of Object.
entries(d)){e.clipTasksByTs(u,f.startTs,f.endTs);let y=Rf(u,a),v=[];for(let[E,T]of y){let S=Object.values(T).reduce((N,W)=>N+W),C=T[bn.scriptEvaluation.id]||0,F=T[bn.styleLayout.id]||0,L=T[bn.paintCompositeRender.id]||0;v.push({url:E,total:S,scripting:C,layout:F,render:L})}let w=v.filter(E=>E.total>Epe).sort((E,T)=>T.total-E.total);m.push({phase:ic(go[h]),total:(f.endTs-f.startTs)/1e3,subItems:{type:"subitems",items:w}})}let p=[{key:"phase",valueType:"text",subItemsHeading:{key:"url",valueType:"url"},label:"Phase"},{key:"total",valueType:"ms",subItemsHeading:{key:"total",granularity:1,valueType:"ms"},granularity:1,label:"Total time"},{key:null,valueType:"ms",subItemsHeading:{key:"scripting",granularity:1,valueType:"ms"},label:"Script evaluation"},{key:null,valueType:"ms",subItemsHeading:{key:"layout",granularity:1,valueType:"ms"},label:bn.styleLayout.label},{key:null,valueType:"ms",subItemsHeading:{key:"render",granularity:1,valueType:"ms"},label:bn.paintCompositeRender.label}];return{
table:b.makeTableDetails(p,m,{sortedBy:["total"]}),phases:d}}static getTraceElementTable(t){let n=t.find(o=>o.traceEventType==="responsiveness");if(!n)return;let r=[{key:"node",valueType:"node",label:ic(go.eventTarget)}],a=[{node:b.makeNodeItem(n.node)}];return b.makeTableDetails(r,a)}static async audit(t,n){let{settings:r}=n;if(r.throttlingMethod==="simulate")return{score:null,notApplicable:!0,metricSavings:{INP:0}};let a=t.traces[e.DEFAULT_PASS],o={trace:a,settings:r},i=await hs.request(o,n);if(i===null)return{score:null,notApplicable:!0,metricSavings:{INP:0}};let c=[],u=e.getTraceElementTable(t.TraceElements);u&&c.push(u);let d=t.devtoolsLogs[e.DEFAULT_PASS],m=await ae.request(d,n),p=await Ce.request(a,n),{table:h,phases:f}=e.getThreadBreakdownTable(i,a,p,m);c.push(h);let y=i.args.data.type;c.push({type:"debugdata",interactionType:y,phases:f});let v=i.args.data.duration,w=ic(go.displayValue,{timeInMs:v,interactionType:y}),E=v<T2.defaultOptions.p10;return{score:E?1:0,scoreDisplayMode:E?
b.SCORING_MODES.INFORMATIVE:void 0,displayValue:w,details:{type:"list",items:c},metricSavings:{INP:v}}}},Tpe=RS});var aj={};x(aj,{default:()=>xpe});var xpe,oj=g(()=>{l();xpe={audits:[{path:"lighthouse-plugin-soft-navigation/audits/soft-nav-fcp"},{path:"lighthouse-plugin-soft-navigation/audits/soft-nav-lcp"}],groups:{metrics:{title:"Metrics associated with a soft navigation"}},category:{title:"Soft Navigation",supportedModes:["timespan"],auditRefs:[{id:"soft-nav-fcp",weight:1,group:"metrics"},{id:"soft-nav-lcp",weight:1,group:"metrics"}]}}});function jh(e){let t,n,r,a;for(let c of e)switch(c.name){case"SoftNavigationHeuristics::UserInitiatedClick":n||(t=c);break;case"SoftNavigationHeuristics_SoftNavigationDetected":if(n)throw new Error("Multiple soft navigations detected");n=c;break;case"largestContentfulPaint::Candidate":t&&(r=c);break;case"firstContentfulPaint":t&&(a=c);break}if(!t)return{};let o=t.ts,i=s(c=>{if(c)return(c.ts-o)/1e3},"getTiming");return{lcpTiming:i(r),fcpTiming:i(a)}}var AS=g(()=>{l();s(jh,"computeMetricTimings")});var ij={};x(ij,{default:()=>Spe});var _S,Spe,sj=g(()=>{l();qh();Nt();AS();_S=class extends b{static{s(this,"SoftNavFCP")}static get meta(){return{id:"soft-nav-fcp",title:"Soft Navigation First Contentful Paint",description:"First Contentful Paint of a soft navigation.",scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["timespan"],requiredArtifacts:["Trace"]}}static async audit(t,n){let r=t.Trace,a=await Ce.request(r,n),{fcpTiming:o}=jh(a.mainThreadEvents);return o?{numericValue:o,numericUnit:"millisecond",displayValue:`${o} ms`,score:b.computeLogNormalScore({p10:1800,median:3e3},o)}:{notApplicable:!0,score:1}}},Spe=_S});var cj={};x(cj,{default:()=>Cpe});var IS,Cpe,uj=g(()=>{l();qh();Nt();AS();IS=class extends b{static{s(this,"SoftNavLCP")}static get meta(){return{id:"soft-nav-lcp",title:"Soft Navigation Largest Contentful Paint",description:"Largest Contentful Paint of a soft navigation.",scoreDisplayMode:b.SCORING_MODES.NUMERIC,supportedModes:["timespan"],requiredArtifacts:["Trace"]}}static async audit(t,n){let r=t.Trace,a=await Ce.request(r,n),{lcpTiming:o}=jh(a.mainThreadEvents);return o?{numericValue:o,numericUnit:"millisecond",displayValue:`${o} ms`,score:b.computeLogNormalScore({p10:2500,median:4e3},o)}:{notApplicable:!0,score:1}}},Cpe=IS});function MS(){if(globalThis.isDevtools||globalThis.isLightrider)return!0;try{return sc.resolve("lighthouse-logger"),!1}catch{return!0}}function pj(e,t,n=!1){if(typeof e>"u"||e===null)return t;if(typeof t>"u")return e;if(Array.isArray(t)){if(n)return t;if(!Array.isArray(e))throw new TypeError(`Expected array but got ${typeof e}`);let r=e.slice();return t.forEach(a=>{r.some(o=>(0,mj.default)(o,a))||r.push(a)}),r}else if(typeof t=="object"){if(typeof e!="object")throw new TypeError(`Expected object but got ${typeof e}`);if(Array.isArray(e))throw new TypeError("Expected object but got Array");return Object.keys(t).forEach(r=>{let a=n||r==="settings"&&typeof e[r]=="object";e[r]=pj(e[r],t[r],a)}),e}return t}function fj(e,t,n){let r=new Map,a=e||[];for(let o=0;o<a.length;o++){let i=a[o];r.set(n(i),{index:o,item:i})}for(let o of t||[]){let i=r.get(n(o));if(i){let c=i.item,u=typeof o=="object"&&typeof c=="object"?yi(c,o,!0):o;a[i.index]=u}else a.push(o)}return a}function Fpe(e){if(typeof e=="st\
ring")return{path:e};if("implementation"in e||"instance"in e)return e;if("path"in e){if(typeof e.path!="string")throw new Error("Invalid Gatherer type "+JSON.stringify(e));return e}else{if(typeof e=="function")return{implementation:e};if(e&&typeof e.getArtifact=="function")return{instance:e};throw new Error("Invalid Gatherer type "+JSON.stringify(e))}}function Rpe(e){if(typeof e=="string")return{path:e,options:{}};if("implementation"in e&&typeof e.implementation.audit=="function")return e;if("path"in e&&typeof e.path=="string")return e;if("audit"in e&&typeof e.audit=="function")return{implementation:e,options:{}};throw new Error("Invalid Audit type "+JSON.stringify(e))}async function NS(e){Et.isAbsolute(e)&&(e=Ao.pathToFileURL(e).href);let t;if(lj.has(e)?t=await lj.get(e):e.match(/\.(js|mjs|cjs)$/)?t=await import(e):(e+=".js",t=await import(e)),t.default)return t.default;let n=new Set(["meta"]),r=Object.keys(t).filter(a=>t[a]&&t[a]instanceof Object?Object.getOwnPropertyNames(t[a]).some(
o=>n.has(o)):!1);if(r.length===1)return r[0];throw r.length>1?new Error(`module '${e}' has too many possible exports`):new Error(`module '${e}' missing default export`)}async function Ape(e,t,n){let r=t.find(i=>i===`${e}.js`),a=`../gather/gatherers/${e}`;r||(a=PS(e,n,"gatherer"));let o=await NS(a);return{instance:new o,implementation:o,path:e}}function _pe(e,t,n){let r=`${e}.js`,a=t.find(i=>i===r),o=`../audits/${e}`;if(!a)if(MS())o=e;else{let i=PS(e,n,"audit");MS()?o=Et.relative("",i):o=i}return NS(o)}function Ipe(e={}){let t={};for(let n of Object.keys(e))n in qn&&(t[n]=e[n]);return t}function hj(e={},t=void 0){let n=Mm(t?.locale||e.locale),{defaultSettings:r}=Rr,a=yi(LS(r),e,!0),o=yi(a,Ipe(t),!0);return o.locale=n,o.emulatedUserAgent===!0&&(o.emulatedUserAgent=Ma[o.formFactor]),Yg(o),o}async function gj(e,t,n){let r=e.plugins||[],a=n?.plugins||[],o=new Set([...r,...a]);for(let i of o){MM(e,i);let c=MS()?i:PS(i,t,"plugin"),u=await NS(c),d=zM.parsePlugin(u,i);e=yi(e,d)}return e}async function yj(e,t,n){
let r=Fpe(e);if(r.instance)return{instance:r.instance,implementation:r.implementation,path:r.path};if(r.implementation){let a=r.implementation;return{instance:new a,implementation:r.implementation,path:r.path}}else if(r.path){let a=r.path;return Ape(a,t,n)}else throw new Error("Invalid expanded Gatherer: "+JSON.stringify(r))}async function vj(e,t){if(!e)return null;let n=nn.getAuditList(),r=e.map(async i=>{let c=Rpe(i),u;return"implementation"in c?u=c.implementation:u=await _pe(c.path,n,t),{implementation:u,path:c.path,options:c.options||{}}}),a=await Promise.all(r),o=kpe(a);return o.forEach(i=>$g(i)),o}function PS(e,t,n){try{return sc.resolve(e)}catch{}try{return sc.resolve(e,{paths:[process.cwd()]})}catch{}let r=Et.resolve(process.cwd(),e);try{return sc.resolve(r)}catch{}let a="Unable to locate "+(n?`${n}: `:"")+`\`${e}\`.
     Tried to resolve the module from these locations:
       
       ${r}`;if(!t)throw new Error(a);let o=Et.resolve(t,e);try{return sc.resolve(o)}catch{}try{return sc.resolve(e,{paths:[t]})}catch{}throw new Error(a+`
       ${o}`)}function dj(e){return typeof e=="object"?Object.assign(Object.create(Object.getPrototypeOf(e)),e):e}function LS(e){return JSON.parse(JSON.stringify(e))}function OS(e){let t=LS(e);return Array.isArray(e.audits)&&(t.audits=e.audits.map(n=>dj(n))),Array.isArray(e.artifacts)&&(t.artifacts=e.artifacts.map(n=>({...n,gatherer:dj(n.gatherer)}))),t}var mj,sc,kpe,yi,lj,BS=g(()=>{"use strict";l();Ra();Oi();zc();mj=Bt(Lc(),1);cr();HM();yo();A();Jg();_o();sc=Ro("core/config/config-helpers.js");s(MS,"isBundledEnvironment");kpe=s(function(e){let t=[];for(let n of e){let r=n.path&&t.find(a=>a.path===n.path);if(!r){t.push(n);continue}r.options=Object.assign({},r.options,n.options)}return t},"mergeOptionsOfItems");s(pj,"_mergeConfigFragment");yi=pj;s(fj,"mergeConfigFragmentArrayByKey");s(Fpe,"expandGathererShorthand");s(Rpe,"expandAuditShorthand");lj=new Map([["../gather/gatherers/accessibility",Promise.resolve().then(()=>(KM(),YM))],["../gather/gatherers/anchor-elements",Promise.resolve().then(()=>(eN(),QM))],
["../gather/gatherers/bf-cache-failures",Promise.resolve().then(()=>(iN(),oN))],["../gather/gatherers/cache-contents",Promise.resolve().then(()=>(cN(),sN))],["../gather/gatherers/console-messages",Promise.resolve().then(()=>(lN(),uN))],["../gather/gatherers/css-usage",Promise.resolve().then(()=>(mN(),dN))],["../gather/gatherers/devtools-log-compat",Promise.resolve().then(()=>(fN(),pN))],["../gather/gatherers/devtools-log",Promise.resolve().then(()=>(dr(),aN))],["../gather/gatherers/dobetterweb/doctype",Promise.resolve().then(()=>(gN(),hN))],["../gather/gatherers/dobetterweb/domstats",Promise.resolve().then(()=>(vN(),yN))],["../gather/gatherers/dobetterweb/optimized-images",Promise.resolve().then(()=>(wN(),bN))],["../gather/gatherers/dobetterweb/response-compression",Promise.resolve().then(()=>(v3(),y3))],["../gather/gatherers/full-page-screenshot",Promise.resolve().then(()=>(S3(),x3))],["../gather/gatherers/iframe-elements",Promise.resolve().then(()=>(k3(),C3))],["../gather/gatherers/i\
mage-elements",Promise.resolve().then(()=>(M3(),I3))],["../gather/gatherers/inputs",Promise.resolve().then(()=>(P3(),N3))],["../gather/gatherers/inspector-issues",Promise.resolve().then(()=>(O3(),L3))],["../gather/gatherers/js-usage",Promise.resolve().then(()=>(U3(),B3))],["../gather/gatherers/link-elements",Promise.resolve().then(()=>(V3(),G3))],["../gather/gatherers/main-document-content",Promise.resolve().then(()=>(Y3(),$3))],["../gather/gatherers/meta-elements",Promise.resolve().then(()=>(J3(),K3))],["../gather/gatherers/network-user-agent",Promise.resolve().then(()=>(Z3(),X3))],["../gather/gatherers/root-causes",Promise.resolve().then(()=>(U0(),f8))],["../gather/gatherers/scripts",Promise.resolve().then(()=>(z0(),h8))],["../gather/gatherers/seo/font-size",Promise.resolve().then(()=>(Zy(),Xy))],["../gather/gatherers/seo/robots-txt",Promise.resolve().then(()=>(y8(),g8))],["../gather/gatherers/source-maps",Promise.resolve().then(()=>(I8(),_8))],["../gather/gatherers/stacks",Promise.resolve().then(()=>(N8(),M8))],
["../gather/gatherers/stylesheets",Promise.resolve().then(()=>(L8(),P8))],["../gather/gatherers/trace-compat",Promise.resolve().then(()=>(B8(),O8))],["../gather/gatherers/trace-elements",Promise.resolve().then(()=>(tw(),j8))],["../gather/gatherers/trace",Promise.resolve().then(()=>(xo(),XC))],["../gather/gatherers/viewport-dimensions",Promise.resolve().then(()=>(z8(),q8))],["../audits/accessibility/accesskeys",Promise.resolve().then(()=>(G8(),W8))],["../audits/accessibility/aria-allowed-attr",Promise.resolve().then(()=>($8(),V8))],["../audits/accessibility/aria-allowed-role",Promise.resolve().then(()=>(K8(),Y8))],["../audits/accessibility/aria-command-name",Promise.resolve().then(()=>(X8(),J8))],["../audits/accessibility/aria-conditional-attr",Promise.resolve().then(()=>(Q8(),Z8))],["../audits/accessibility/aria-deprecated-role",Promise.resolve().then(()=>(t5(),e5))],["../audits/accessibility/aria-dialog-name",Promise.resolve().then(()=>(r5(),n5))],["../audits/accessibility/aria-hidden\
-body",Promise.resolve().then(()=>(o5(),a5))],["../audits/accessibility/aria-hidden-focus",Promise.resolve().then(()=>(s5(),i5))],["../audits/accessibility/aria-input-field-name",Promise.resolve().then(()=>(u5(),c5))],["../audits/accessibility/aria-meter-name",Promise.resolve().then(()=>(d5(),l5))],["../audits/accessibility/aria-progressbar-name",Promise.resolve().then(()=>(p5(),m5))],["../audits/accessibility/aria-prohibited-attr",Promise.resolve().then(()=>(h5(),f5))],["../audits/accessibility/aria-required-attr",Promise.resolve().then(()=>(y5(),g5))],["../audits/accessibility/aria-required-children",Promise.resolve().then(()=>(b5(),v5))],["../audits/accessibility/aria-required-parent",Promise.resolve().then(()=>(D5(),w5))],["../audits/accessibility/aria-roles",Promise.resolve().then(()=>(T5(),E5))],["../audits/accessibility/aria-text",Promise.resolve().then(()=>(S5(),x5))],["../audits/accessibility/aria-toggle-field-name",Promise.resolve().then(()=>(k5(),C5))],["../audits/accessibil\
ity/aria-tooltip-name",Promise.resolve().then(()=>(R5(),F5))],["../audits/accessibility/aria-treeitem-name",Promise.resolve().then(()=>(_5(),A5))],["../audits/accessibility/aria-valid-attr-value",Promise.resolve().then(()=>(M5(),I5))],["../audits/accessibility/aria-valid-attr",Promise.resolve().then(()=>(P5(),N5))],["../audits/accessibility/button-name",Promise.resolve().then(()=>(O5(),L5))],["../audits/accessibility/bypass",Promise.resolve().then(()=>(U5(),B5))],["../audits/accessibility/color-contrast",Promise.resolve().then(()=>(q5(),j5))],["../audits/accessibility/definition-list",Promise.resolve().then(()=>(H5(),z5))],["../audits/accessibility/dlitem",Promise.resolve().then(()=>(G5(),W5))],["../audits/accessibility/document-title",Promise.resolve().then(()=>($5(),V5))],["../audits/accessibility/duplicate-id-aria",Promise.resolve().then(()=>(K5(),Y5))],["../audits/accessibility/empty-heading",Promise.resolve().then(()=>(X5(),J5))],["../audits/accessibility/form-field-multiple-label\
s",Promise.resolve().then(()=>(Q5(),Z5))],["../audits/accessibility/frame-title",Promise.resolve().then(()=>(tO(),eO))],["../audits/accessibility/heading-order",Promise.resolve().then(()=>(rO(),nO))],["../audits/accessibility/html-has-lang",Promise.resolve().then(()=>(oO(),aO))],["../audits/accessibility/html-lang-valid",Promise.resolve().then(()=>(sO(),iO))],["../audits/accessibility/html-xml-lang-mismatch",Promise.resolve().then(()=>(uO(),cO))],["../audits/accessibility/identical-links-same-purpose",Promise.resolve().then(()=>(dO(),lO))],["../audits/accessibility/image-alt",Promise.resolve().then(()=>(pO(),mO))],["../audits/accessibility/image-redundant-alt",Promise.resolve().then(()=>(hO(),fO))],["../audits/accessibility/input-button-name",Promise.resolve().then(()=>(yO(),gO))],["../audits/accessibility/input-image-alt",Promise.resolve().then(()=>(bO(),vO))],["../audits/accessibility/label-content-name-mismatch",Promise.resolve().then(()=>(DO(),wO))],["../audits/accessibility/label",
Promise.resolve().then(()=>(TO(),EO))],["../audits/accessibility/landmark-one-main",Promise.resolve().then(()=>(SO(),xO))],["../audits/accessibility/link-in-text-block",Promise.resolve().then(()=>(kO(),CO))],["../audits/accessibility/link-name",Promise.resolve().then(()=>(RO(),FO))],["../audits/accessibility/list",Promise.resolve().then(()=>(_O(),AO))],["../audits/accessibility/listitem",Promise.resolve().then(()=>(MO(),IO))],["../audits/accessibility/manual/custom-controls-labels",Promise.resolve().then(()=>(PO(),NO))],["../audits/accessibility/manual/custom-controls-roles",Promise.resolve().then(()=>(OO(),LO))],["../audits/accessibility/manual/focus-traps",Promise.resolve().then(()=>(UO(),BO))],["../audits/accessibility/manual/focusable-controls",Promise.resolve().then(()=>(qO(),jO))],["../audits/accessibility/manual/interactive-element-affordance",Promise.resolve().then(()=>(HO(),zO))],["../audits/accessibility/manual/logical-tab-order",Promise.resolve().then(()=>(GO(),WO))],["../au\
dits/accessibility/manual/managed-focus",Promise.resolve().then(()=>($O(),VO))],["../audits/accessibility/manual/offscreen-content-hidden",Promise.resolve().then(()=>(KO(),YO))],["../audits/accessibility/manual/use-landmarks",Promise.resolve().then(()=>(XO(),JO))],["../audits/accessibility/manual/visual-order-follows-dom",Promise.resolve().then(()=>(QO(),ZO))],["../audits/accessibility/meta-refresh",Promise.resolve().then(()=>(t6(),e6))],["../audits/accessibility/meta-viewport",Promise.resolve().then(()=>(r6(),n6))],["../audits/accessibility/object-alt",Promise.resolve().then(()=>(o6(),a6))],["../audits/accessibility/select-name",Promise.resolve().then(()=>(s6(),i6))],["../audits/accessibility/skip-link",Promise.resolve().then(()=>(u6(),c6))],["../audits/accessibility/tabindex",Promise.resolve().then(()=>(d6(),l6))],["../audits/accessibility/table-duplicate-name",Promise.resolve().then(()=>(p6(),m6))],["../audits/accessibility/table-fake-caption",Promise.resolve().then(()=>(h6(),f6))],
["../audits/accessibility/target-size",Promise.resolve().then(()=>(y6(),g6))],["../audits/accessibility/td-has-header",Promise.resolve().then(()=>(b6(),v6))],["../audits/accessibility/td-headers-attr",Promise.resolve().then(()=>(D6(),w6))],["../audits/accessibility/th-has-data-cells",Promise.resolve().then(()=>(T6(),E6))],["../audits/accessibility/valid-lang",Promise.resolve().then(()=>(S6(),x6))],["../audits/accessibility/video-caption",Promise.resolve().then(()=>(k6(),C6))],["../audits/autocomplete",Promise.resolve().then(()=>(A6(),R6))],["../audits/bf-cache",Promise.resolve().then(()=>(N6(),M6))],["../audits/bootup-time",Promise.resolve().then(()=>(q6(),j6))],["../audits/byte-efficiency/duplicated-javascript",Promise.resolve().then(()=>($6(),V6))],["../audits/byte-efficiency/efficient-animated-content",Promise.resolve().then(()=>(K6(),Y6))],["../audits/byte-efficiency/legacy-javascript",Promise.resolve().then(()=>(l4(),u4))],["../audits/byte-efficiency/modern-image-formats",Promise.resolve().then(()=>(m4(),d4))],
["../audits/byte-efficiency/offscreen-images",Promise.resolve().then(()=>(y4(),g4))],["../audits/byte-efficiency/render-blocking-resources",Promise.resolve().then(()=>(E4(),D4))],["../audits/byte-efficiency/total-byte-weight",Promise.resolve().then(()=>(x4(),T4))],["../audits/byte-efficiency/unminified-css",Promise.resolve().then(()=>(R4(),F4))],["../audits/byte-efficiency/unminified-javascript",Promise.resolve().then(()=>(_4(),A4))],["../audits/byte-efficiency/unused-css-rules",Promise.resolve().then(()=>(M4(),I4))],["../audits/byte-efficiency/unused-javascript",Promise.resolve().then(()=>(P4(),N4))],["../audits/byte-efficiency/uses-long-cache-ttl",Promise.resolve().then(()=>(j4(),U4))],["../audits/byte-efficiency/uses-optimized-images",Promise.resolve().then(()=>(z4(),q4))],["../audits/byte-efficiency/uses-responsive-images-snapshot",Promise.resolve().then(()=>(V4(),G4))],["../audits/byte-efficiency/uses-responsive-images",Promise.resolve().then(()=>(MT(),IT))],["../audits/byte-effic\
iency/uses-text-compression",Promise.resolve().then(()=>(Y4(),$4))],["../audits/critical-request-chains",Promise.resolve().then(()=>(J4(),K4))],["../audits/csp-xss",Promise.resolve().then(()=>(xB(),TB))],["../audits/deprecations",Promise.resolve().then(()=>(AB(),RB))],["../audits/diagnostics",Promise.resolve().then(()=>(IB(),_B))],["../audits/dobetterweb/charset",Promise.resolve().then(()=>(LB(),PB))],["../audits/dobetterweb/doctype",Promise.resolve().then(()=>(BB(),OB))],["../audits/dobetterweb/dom-size",Promise.resolve().then(()=>(jB(),UB))],["../audits/dobetterweb/geolocation-on-start",Promise.resolve().then(()=>(zB(),qB))],["../audits/dobetterweb/inspector-issues",Promise.resolve().then(()=>(WB(),HB))],["../audits/dobetterweb/js-libraries",Promise.resolve().then(()=>(VB(),GB))],["../audits/dobetterweb/no-document-write",Promise.resolve().then(()=>(YB(),$B))],["../audits/dobetterweb/notification-on-start",Promise.resolve().then(()=>(JB(),KB))],["../audits/dobetterweb/paste-preventin\
g-inputs",Promise.resolve().then(()=>(ZB(),XB))],["../audits/dobetterweb/uses-http2",Promise.resolve().then(()=>(e9(),QB))],["../audits/dobetterweb/uses-passive-event-listeners",Promise.resolve().then(()=>(n9(),t9))],["../audits/errors-in-console",Promise.resolve().then(()=>(a9(),r9))],["../audits/final-screenshot",Promise.resolve().then(()=>(c9(),s9))],["../audits/font-display",Promise.resolve().then(()=>(bx(),l9))],["../audits/image-aspect-ratio",Promise.resolve().then(()=>(p9(),m9))],["../audits/image-size-responsive",Promise.resolve().then(()=>(g9(),h9))],["../audits/is-on-https",Promise.resolve().then(()=>(b9(),v9))],["../audits/largest-contentful-paint-element",Promise.resolve().then(()=>(E9(),D9))],["../audits/layout-shifts",Promise.resolve().then(()=>(C9(),S9))],["../audits/lcp-lazy-loaded",Promise.resolve().then(()=>(F9(),k9))],["../audits/long-tasks",Promise.resolve().then(()=>(A9(),R9))],["../audits/main-thread-tasks",Promise.resolve().then(()=>(I9(),_9))],["../audits/mainth\
read-work-breakdown",Promise.resolve().then(()=>(N9(),M9))],["../audits/metrics",Promise.resolve().then(()=>(c7(),s7))],["../audits/metrics/cumulative-layout-shift",Promise.resolve().then(()=>(Ox(),x9))],["../audits/metrics/first-contentful-paint",Promise.resolve().then(()=>(l7(),u7))],["../audits/metrics/first-meaningful-paint",Promise.resolve().then(()=>(m7(),d7))],["../audits/metrics/interaction-to-next-paint",Promise.resolve().then(()=>(x2(),p7))],["../audits/metrics/interactive",Promise.resolve().then(()=>(h7(),f7))],["../audits/metrics/largest-contentful-paint",Promise.resolve().then(()=>(Rx(),w9))],["../audits/metrics/max-potential-fid",Promise.resolve().then(()=>(y7(),g7))],["../audits/metrics/speed-index",Promise.resolve().then(()=>(b7(),v7))],["../audits/metrics/total-blocking-time",Promise.resolve().then(()=>(D7(),w7))],["../audits/network-requests",Promise.resolve().then(()=>(T7(),E7))],["../audits/network-rtt",Promise.resolve().then(()=>(S7(),x7))],["../audits/network-serv\
er-latency",Promise.resolve().then(()=>(k7(),C7))],["../audits/non-composited-animations",Promise.resolve().then(()=>(R7(),F7))],["../audits/oopif-iframe-test-audit",Promise.resolve().then(()=>(_7(),A7))],["../audits/predictive-perf",Promise.resolve().then(()=>(M7(),I7))],["../audits/preload-fonts",Promise.resolve().then(()=>(P7(),N7))],["../audits/prioritize-lcp-image",Promise.resolve().then(()=>(O7(),L7))],["../audits/redirects-http",Promise.resolve().then(()=>(U7(),B7))],["../audits/redirects",Promise.resolve().then(()=>(q7(),j7))],["../audits/resource-summary",Promise.resolve().then(()=>(G7(),W7))],["../audits/screenshot-thumbnails",Promise.resolve().then(()=>(Y7(),$7))],["../audits/script-treemap-data",Promise.resolve().then(()=>(J7(),K7))],["../audits/seo/canonical",Promise.resolve().then(()=>(Z7(),X7))],["../audits/seo/crawlable-anchors",Promise.resolve().then(()=>(eU(),Q7))],["../audits/seo/font-size",Promise.resolve().then(()=>(oU(),aU))],["../audits/seo/hreflang",Promise.resolve().then(()=>(uU(),cU))],
["../audits/seo/http-status-code",Promise.resolve().then(()=>(dU(),lU))],["../audits/seo/is-crawlable",Promise.resolve().then(()=>(xU(),TU))],["../audits/seo/link-text",Promise.resolve().then(()=>(CU(),SU))],["../audits/seo/manual/structured-data",Promise.resolve().then(()=>(RU(),FU))],["../audits/seo/meta-description",Promise.resolve().then(()=>(_U(),AU))],["../audits/seo/robots-txt",Promise.resolve().then(()=>(NU(),MU))],["../audits/server-response-time",Promise.resolve().then(()=>(LU(),PU))],["../audits/third-party-cookies",Promise.resolve().then(()=>(BU(),OU))],["../audits/third-party-facades",Promise.resolve().then(()=>(qU(),jU))],["../audits/third-party-summary",Promise.resolve().then(()=>(wS(),UU))],["../audits/unsized-images",Promise.resolve().then(()=>(HU(),zU))],["../audits/user-timings",Promise.resolve().then(()=>($U(),VU))],["../audits/uses-rel-preconnect",Promise.resolve().then(()=>(KU(),YU))],["../audits/uses-rel-preload",Promise.resolve().then(()=>(XU(),JU))],["../audits\
/valid-source-maps",Promise.resolve().then(()=>(QU(),ZU))],["../audits/viewport",Promise.resolve().then(()=>(tj(),ej))],["../audits/work-during-interaction",Promise.resolve().then(()=>(rj(),nj))],["lighthouse-plugin-soft-navigation",Promise.resolve().then(()=>(oj(),aj))],["lighthouse-plugin-soft-navigation/audits/soft-nav-fcp",Promise.resolve().then(()=>(sj(),ij))],["lighthouse-plugin-soft-navigation/audits/soft-nav-lcp",Promise.resolve().then(()=>(uj(),cj))]]);s(NS,"requireWrapper");s(Ape,"requireGatherer");s(_pe,"requireAudit");s(Ipe,"cleanFlagsForSettings");s(hj,"resolveSettings");s(gj,"mergePlugins");s(yj,"resolveGathererToDefn");s(vj,"resolveAuditsToDefns");s(PS,"resolveModulePath");s(dj,"shallowClone");s(LS,"deepClone");s(OS,"deepCloneConfigJson")});function Npe(e,t){let{configPath:n}=t;if(n&&!Et.isAbsolute(n))throw new Error("configPath must be an absolute path");e||(e=Xm,n=Mpe);let r=n?Et.dirname(n):void 0;return{configWorkingCopy:OS(e),configPath:n,configDir:r}}function Ppe(e){if(!e.extends)return e;if(e.extends!=="lighthouse:default")throw new Error("`lighthouse:default` is the only valid extension method.");let{artifacts:t,...n}=e,r=OS(Xm),a=yi(r,n);return a.artifacts=fj(r.artifacts,t,o=>o.id),a}function Lpe(e,t,n){if(!("dependencies"in t.instance.meta))return;let r=Object.entries(t.instance.meta.dependencies).map(([a,o])=>{let i=n.get(o);return i||Kg(e.id,a),IM(t,i.gatherer)||PM(e.id,a),[a,{id:i.id}]});return Object.fromEntries(r)}async function Ope(e,t){if(!e)return null;let n={msg:"Resolve artifact definitions",id:"lh:config:resolveArtifactsToDefns"};M.time(n,"verbose");let r=[...e];r.sort((c,u)=>{let d=bj[c.id]||0,m=bj[u.id]||0;return d-m});let a=new Map,o=nn.getGathererList(),i=[];for(let c of r){let u=c.gatherer,d=await yj(
u,o,t),m={id:c.id,gatherer:d,dependencies:Lpe(c,d,a)},p=m.gatherer.instance.meta.symbol;p&&a.set(p,m),i.push(m)}return M.timeEnd(n),i}function Bpe(e,t){t==="timespan"&&e.throttlingMethod==="simulate"&&(e.throttlingMethod="devtools")}function Upe(e){e.throttlingMethod!=="simulate"&&(e.cpuQuietThresholdMs=Math.max(e.cpuQuietThresholdMs||0,Gi.cpuQuietThresholdMs),e.networkQuietThresholdMs=Math.max(e.networkQuietThresholdMs||0,Gi.networkQuietThresholdMs),e.pauseAfterFcpMs=Math.max(e.pauseAfterFcpMs||0,Gi.pauseAfterFcpMs),e.pauseAfterLoadMs=Math.max(e.pauseAfterLoadMs||0,Gi.pauseAfterLoadMs))}async function Ea(e,t,n={}){let r={msg:"Initialize config",id:"lh:config"};M.time(r,"verbose");let{configWorkingCopy:a,configDir:o}=Npe(t,n);a=Ppe(a),a=await gj(a,o,n);let i=hj(a.settings||{},n);Bpe(i,e),Upe(i);let u={artifacts:await Ope(a.artifacts,o),audits:await vj(a.audits,o),categories:a.categories||null,groups:a.groups||null,settings:i};return NM(u),u=BM(u,e),u=UM(u,i),M.timeEnd(r),{resolvedConfig:u}}
var Mpe,bj,cc=g(()=>{"use strict";l();Ra();Me();yo();Vg();cr();Jg();jM();BS();_o();aa();Mpe=Et.join("","../../config/default-config.js"),bj={FullPageScreenshot:1,BFCacheFailures:1};s(Npe,"resolveWorkingCopy");s(Ppe,"resolveExtensions");s(Lpe,"resolveArtifactDependencies");s(Ope,"resolveArtifactsToDefns");s(Bpe,"overrideSettingsForGatherMode");s(Upe,"overrideThrottlingWindows");s(Ea,"initializeConfig")});var wj={};x(wj,{default:()=>jpe});var jpe,Dj=g(()=>{l();jpe={}});async function Hpe(e){if(e.flags.enableErrorReporting&&uc._shouldSample())try{let t=await Promise.resolve().then(()=>(Dj(),wj));t.init({...e.environmentData,dsn:qpe});let n=e.flags;try{let{resolvedConfig:i}=await Ea("navigation",e.config,e.flags);n=i.settings}catch{}let r={channel:n.channel,formFactor:n.formFactor,throttlingMethod:n.throttlingMethod};t.setTags(r);let a={...n.throttling,url:e.url};t.setExtras(a),uc.captureMessage=(...i)=>t.captureMessage(...i),uc.captureBreadcrumb=(...i)=>t.addBreadcrumb(...i),uc.getContext=()=>a;let o=new Map;uc.captureException=async(i,c={})=>{if(!i||i.expected)return;let u=c.tags||{};if(u.audit){let d=`audit-${u.audit}-${i.message}`;if(o.has(d))return;o.set(d,!0)}if(u.gatherer){let d=`gatherer-${u.gatherer}-${i.message}`;if(o.has(d))return;o.set(d,!0)}i.protocolMethod&&(c.fingerprint=["{{ default }}",i.protocolMethod,i.protocolError],c.tags=c.tags||{},c.tags.protocolMethod=i.protocolMethod),t.withScope(d=>{c.level&&d.setLevel(c.level),c.tags&&d.setTags(
c.tags);let m;c.extra&&(m={...c.extra}),i.extra&&(m={...m,...i.extra}),m&&d.setExtras(m),t.captureException(i)})}}catch{M.warn("sentry","Could not load Sentry, errors will not be reported.")}}var qpe,zpe,US,uc,gt,Hn=g(()=>{"use strict";l();Me();cc();qpe="https://a6bb0da87ee048cc9ae2a345fc09ab2e:63a7029f46f74265981b7e005e0f69f8@sentry.io/174697",zpe=.01,US=s(()=>{},"noop"),uc={init:Hpe,captureMessage:US,captureBreadcrumb:US,getContext:US,captureException:async()=>{},_shouldSample(){return zpe>=Math.random()}};s(Hpe,"init");gt=uc});var lc,Ej=g(()=>{l();lc={}});var dc,zh=g(()=>{"use strict";l();Ej();dc=class e{static{s(this,"ReportGenerator")}static replaceStrings(t,n){if(n.length===0)return t;let r=n[0],a=n.slice(1);return t.split(r.search).map(o=>e.replaceStrings(o,a)).join(r.replacement)}static sanitizeJson(t){return JSON.stringify(t).replace(/</g,"\\u003c").replace(/\u2028/g,"\\u2028").replace(/\u2029/g,"\\u2029")}static generateReportHtml(t){let n=e.sanitizeJson(t),r=lc.REPORT_JAVASCRIPT.replace(/<\//g,"\\u003c/");return e.replaceStrings(lc.REPORT_TEMPLATE,[{search:"%%LIGHTHOUSE_JSON%%",replacement:n},{search:"%%LIGHTHOUSE_JAVASCRIPT%%",replacement:r}])}static generateFlowReportHtml(t){let n=e.sanitizeJson(t),r=lc.FLOW_REPORT_JAVASCRIPT.replace(/<\//g,"\\u003c/");return e.replaceStrings(lc.FLOW_REPORT_TEMPLATE,[{search:"%%LIGHTHOUSE_FLOW_JSON%%",replacement:n},{search:"%%LIGHTHOUSE_FLOW_JAVASCRIPT%%",replacement:r},{search:"/*%%LIGHTHOUSE_FLOW_CSS%%*/",replacement:lc.FLOW_REPORT_CSS}])}static generateReportCSV(t){let n=`\r
`,r=",",a=s(u=>`"${u.replace(/"/g,'""')}"`,"escape"),o=s(u=>u.map(d=>d===null?"null":d.toString()).map(a),"rowFormatter"),i=[],c=["requestedUrl","finalDisplayedUrl","fetchTime","gatherMode"];i.push(o(c)),i.push(o(c.map(u=>t[u]??null))),i.push([]),i.push(["category","score"]);for(let u of Object.values(t.categories))i.push(o([u.id,u.score]));i.push([]),i.push(["category","audit","score","displayValue","description"]);for(let u of Object.values(t.categories))for(let d of u.auditRefs){let m=t.audits[d.id];m&&i.push(o([u.id,d.id,m.score,m.displayValue||"",m.description]))}return i.map(u=>u.join(r)).join(n)}static isFlowResult(t){return"steps"in t}static generateReport(t,n){let r=Array.isArray(n);typeof n=="string"&&(n=[n]);let a=n.map(o=>{if(o==="html")return e.isFlowResult(t)?e.generateFlowReportHtml(t):e.generateReportHtml(t);if(o==="csv"){if(e.isFlowResult(t))throw new Error("CSV output is not support for user flows");return e.generateReportCSV(t)}if(o==="json")return JSON.stringify(t,null,
2);throw new Error("Invalid output mode: "+o)});return r?a:a[0]}}});var jS,nn,yo=g(()=>{"use strict";l();na();Ra();Me();jS=Bt(Lc(),1);MA();$();aa();fI();AM();Hn();zh();_t();Hc();_o();ga();tt();nn=class e{static{s(this,"Runner")}static async audit(t,n){let{resolvedConfig:r,computedCache:a}=n,o=r.settings;try{let i={msg:"Audit phase",id:"lh:runner:audit"};M.time(i,"verbose");let c=[];if(o.gatherMode&&!o.auditMode)return;if(!r.audits)throw new Error("No audits to evaluate.");let u=await e._runAudits(o,r.audits,t,c,a),d={msg:"Generating results...",id:"lh:runner:generate"};M.time(d),t.LighthouseRunWarnings&&c.push(...t.LighthouseRunWarnings);let p={"axe-core":t.Accessibility?.version},h={};r.categories&&(h=bm.scoreAllCategories(r.categories,u)),M.timeEnd(d),M.timeEnd(i);let f=t.FullPageScreenshot;(r.settings.disableFullPageScreenshot||f instanceof Error)&&(f=void 0);let y={lighthouseVersion:lI,requestedUrl:t.URL.requestedUrl,mainDocumentUrl:t.URL.mainDocumentUrl,finalDisplayedUrl:t.URL.finalDisplayedUrl,finalUrl:t.URL.mainDocumentUrl,fetchTime:t.fetchTime,
gatherMode:t.GatherContext.gatherMode,runtimeError:e.getArtifactRuntimeError(t),runWarnings:c,userAgent:t.HostUserAgent,environment:{networkUserAgent:t.NetworkUserAgent,hostUserAgent:t.HostUserAgent,benchmarkIndex:t.BenchmarkIndex,credits:p},audits:u,configSettings:o,categories:h,categoryGroups:r.groups||void 0,stackPacks:pI(t.Stacks),entities:await e.getEntityClassification(t,{computedCache:a}),fullPageScreenshot:f,timing:this._getTiming(t),i18n:{rendererFormattedStrings:S_(o.locale),icuMessagePaths:{}}};y.i18n.icuMessagePaths=rg(y,o.locale);let v=y;if(o.auditMode){let E=e._getDataSavePath(o);FM(v,E)}let w=dc.generateReport(v,o.output);return{lhr:v,artifacts:t,report:w}}catch(i){throw e.createRunnerError(i,o)}}static async getEntityClassification(t,n){let r=t.devtoolsLogs?.[b.DEFAULT_PASS];if(!r)return;let a=await mn.request({URL:t.URL,devtoolsLog:r},n),o=[];for(let[i,c]of a.urlsByEntity){let u=new Set;for(let m of c){let p=K.getOrigin(m);p&&u.add(p)}let d={name:i.name,homepage:i.homepage,
origins:[...u]};i===a.firstParty&&(d.isFirstParty=!0),i.isUnrecognized&&(d.isUnrecognized=!0),i.category&&(d.category=i.category),o.push(d)}return o}static async gather(t,n){let r=n.resolvedConfig.settings;try{let a=gt.getContext();if(gt.captureBreadcrumb({message:"Run started",category:"lifecycle",data:a}),r.auditMode&&!r.gatherMode){let c=this._getDataSavePath(r);return CM(c)}let o={msg:"Gather phase",id:"lh:runner:gather"};M.time(o,"verbose");let i=await t({resolvedConfig:n.resolvedConfig});if(M.timeEnd(o),i.Timing=M.takeTimeEntries(),r.gatherMode){let c=this._getDataSavePath(r);await kM(i,c)}return i}catch(a){throw e.createRunnerError(a,r)}}static createRunnerError(t,n){return t.friendlyMessage&&(t.friendlyMessage=Io(t.friendlyMessage,n.locale)),gt.captureException(t,{level:"fatal"}),t}static _getTiming(t){let n=t.Timing||[],r=M.takeTimeEntries(),a=[...n,...r].map(m=>[`${m.startTime}-${m.name}-${m.duration}`,m]),o=Array.from(new Map(a).values()).map(m=>({startTime:parseFloat(m.startTime.
toFixed(2)),name:m.name,duration:parseFloat(m.duration.toFixed(2)),entryType:m.entryType})).sort((m,p)=>m.startTime-p.startTime),i=o.find(m=>m.name==="lh:runner:gather"),c=o.find(m=>m.name==="lh:runner:audit"),u=i?.duration||0,d=c?.duration||0;return{entries:o,total:u+d}}static async _runAudits(t,n,r,a,o){let i={msg:"Analyzing and running audits...",id:"lh:runner:auditing"};if(M.time(i),r.settings){let d={locale:void 0,gatherMode:void 0,auditMode:void 0,output:void 0,channel:void 0},m=Object.assign({},r.settings,d),p=Object.assign({},t,d),h=new Set([...Object.keys(m),...Object.keys(p)]);for(let f of h)if(!(0,jS.default)(m[f],p[f]))throw new Error(`Cannot change settings between gathering and auditing…
Difference found at: \`${f}\`
    ${m[f]}
vs
    ${p[f]}`);if(!(0,jS.default)(m,p))throw new Error("Cannot change settings between gathering and auditing")}let c={settings:t,computedCache:o},u={};for(let d of n){let m=d.implementation.meta.id,p=await e._runAudit(d,r,c,a);u[m]=p}return M.timeEnd(i),u}static async _runAudit(t,n,r,a){let o=t.implementation,i={msg:`Auditing: ${Io(o.meta.title,"en-US")}`,id:`lh:audit:${o.meta.id}`};M.time(i);let c;try{if(n.PageLoadError)throw n.PageLoadError;for(let f of o.meta.requiredArtifacts){let y=n[f]===void 0,v=f==="traces"&&!n.traces?.[b.DEFAULT_PASS],w=f==="devtoolsLogs"&&!n.devtoolsLogs?.[b.DEFAULT_PASS];if(y||v||w)throw M.warn("Runner",`${f} gatherer, required by audit ${o.meta.id}, did not run.`),new H(H.errors.MISSING_REQUIRED_ARTIFACT,{artifactName:f});if(n[f]instanceof Error){let E=n[f];M.warn("Runner",`${f} gatherer, required by audit ${o.meta.id}, encountered an error: ${E.message}`);let T=new H(H.errors.ERRORED_REQUIRED_ARTIFACT,{artifactName:f,errorMessage:E.message},{cause:E});throw T.
expected=!0,T}}let d={options:Object.assign({},o.defaultOptions,t.options),...r},p=o.meta.requiredArtifacts.concat(o.meta.__internalOptionalArtifacts||[]).reduce((f,y)=>{let v=n[y];return f[y]=v,f},{}),h=await o.audit(p,d);a.push(...h.runWarnings||[]),c=b.generateAuditResult(o,h)}catch(u){u.code!=="MISSING_REQUIRED_ARTIFACT"&&u.code!=="ERRORED_REQUIRED_ARTIFACT"&&M.warn(o.meta.id,`Caught exception: ${u.message}`),gt.captureException(u,{tags:{audit:o.meta.id},level:"error"});let d=u.friendlyMessage?u.friendlyMessage:u.message,m=u.cause?.stack??u.stack;c=b.generateErrorAuditResult(o,d,m)}return M.timeEnd(i),c}static getArtifactRuntimeError(t){let n=[t.PageLoadError,...Object.values(t)];for(let r of n)if(r instanceof H&&r.lhrRuntimeError){let o=r.friendlyMessage||r.message;return{code:r.code,message:o}}}static getAuditList(){let t=["audit.js","violation-audit.js","accessibility/axe-audit.js","multi-check-audit.js","byte-efficiency/byte-efficiency-audit.js","manual/manual-audit.js"];return[
"accessibility","audit.js","autocomplete.js","bf-cache.js","bootup-time.js","byte-efficiency","critical-request-chains.js","csp-xss.js","deprecations.js","diagnostics.js","dobetterweb","errors-in-console.js","final-screenshot.js","font-display.js","image-aspect-ratio.js","image-size-responsive.js","is-on-https.js","largest-contentful-paint-element.js","layout-shifts.js","lcp-lazy-loaded.js","long-tasks.js","main-thread-tasks.js","mainthread-work-breakdown.js","manual","metrics","metrics.js","network-requests.js","network-rtt.js","network-server-latency.js","non-composited-animations.js","oopif-iframe-test-audit.js","predictive-perf.js","preload-fonts.js","prioritize-lcp-image.js","redirects-http.js","redirects.js","resource-summary.js","screenshot-thumbnails.js","script-treemap-data.js","seo","server-response-time.js","third-party-cookies.js","third-party-facades.js","third-party-summary.js","unsized-images.js","user-timings.js","uses-rel-preconnect.js","uses-rel-preload.js","valid-sou\
rce-maps.js","viewport.js","violation-audit.js","work-during-interaction.js",...["charset.js","doctype.js","dom-size.js","geolocation-on-start.js","inspector-issues.js","js-libraries.js","no-document-write.js","notification-on-start.js","paste-preventing-inputs.js","uses-http2.js","uses-passive-event-listeners.js"].map(r=>`dobetterweb/${r}`),...["cumulative-layout-shift.js","first-contentful-paint.js","first-meaningful-paint.js","interaction-to-next-paint.js","interactive.js","largest-contentful-paint.js","max-potential-fid.js","speed-index.js","total-blocking-time.js"].map(r=>`metrics/${r}`),...["canonical.js","crawlable-anchors.js","font-size.js","hreflang.js","http-status-code.js","is-crawlable.js","link-text.js","manual","meta-description.js","robots-txt.js"].map(r=>`seo/${r}`),...["structured-data.js"].map(r=>`seo/manual/${r}`),...["accesskeys.js","aria-allowed-attr.js","aria-allowed-role.js","aria-command-name.js","aria-conditional-attr.js","aria-deprecated-role.js","aria-dialog-\
name.js","aria-hidden-body.js","aria-hidden-focus.js","aria-input-field-name.js","aria-meter-name.js","aria-progressbar-name.js","aria-prohibited-attr.js","aria-required-attr.js","aria-required-children.js","aria-required-parent.js","aria-roles.js","aria-text.js","aria-toggle-field-name.js","aria-tooltip-name.js","aria-treeitem-name.js","aria-valid-attr-value.js","aria-valid-attr.js","axe-audit.js","button-name.js","bypass.js","color-contrast.js","definition-list.js","dlitem.js","document-title.js","duplicate-id-aria.js","empty-heading.js","form-field-multiple-labels.js","frame-title.js","heading-order.js","html-has-lang.js","html-lang-valid.js","html-xml-lang-mismatch.js","identical-links-same-purpose.js","image-alt.js","image-redundant-alt.js","input-button-name.js","input-image-alt.js","label-content-name-mismatch.js","label.js","landmark-one-main.js","link-in-text-block.js","link-name.js","list.js","listitem.js","manual","meta-refresh.js","meta-viewport.js","object-alt.js","select-\
name.js","skip-link.js","tabindex.js","table-duplicate-name.js","table-fake-caption.js","target-size.js","td-has-header.js","td-headers-attr.js","th-has-data-cells.js","valid-lang.js","video-caption.js"].map(r=>`accessibility/${r}`),...["custom-controls-labels.js","custom-controls-roles.js","focus-traps.js","focusable-controls.js","interactive-element-affordance.js","logical-tab-order.js","managed-focus.js","offscreen-content-hidden.js","use-landmarks.js","visual-order-follows-dom.js"].map(r=>`accessibility/manual/${r}`),...["byte-efficiency-audit.js","duplicated-javascript.js","efficient-animated-content.js","legacy-javascript.js","modern-image-formats.js","offscreen-images.js","polyfill-graph-data.json","render-blocking-resources.js","total-byte-weight.js","unminified-css.js","unminified-javascript.js","unused-css-rules.js","unused-javascript.js","uses-long-cache-ttl.js","uses-optimized-images.js","uses-responsive-images-snapshot.js","uses-responsive-images.js","uses-text-compression\
.js"].map(r=>`byte-efficiency/${r}`),...["manual-audit.js"].map(r=>`manual/${r}`)].filter(r=>/\.js$/.test(r)&&!t.includes(r)).sort()}static getGathererList(){return["accessibility.js","anchor-elements.js","bf-cache-failures.js","cache-contents.js","console-messages.js","css-usage.js","devtools-log-compat.js","devtools-log.js","dobetterweb","full-page-screenshot.js","iframe-elements.js","image-elements.js","inputs.js","inspector-issues.js","js-usage.js","link-elements.js","main-document-content.js","meta-elements.js","network-user-agent.js","root-causes.js","scripts.js","seo","source-maps.js","stacks.js","stylesheets.js","trace-compat.js","trace-elements.js","trace.js","viewport-dimensions.js",...["font-size.js","robots-txt.js"].map(n=>`seo/${n}`),...["doctype.js","domstats.js","optimized-images.js","response-compression.js"].map(n=>`dobetterweb/${n}`)].filter(n=>/\.js$/.test(n)&&n!=="gatherer.js").sort()}static _getDataSavePath(t){let{auditMode:n,gatherMode:r}=t;return typeof n=="strin\
g"?Et.resolve(process.cwd(),n):typeof r=="string"?Et.resolve(process.cwd(),r):Et.join(process.cwd(),"latest-run")}}});var Wpe,xj,Tj,Gpe,Hh,Sj=g(()=>{"use strict";l();ta();Me();_t();Wpe=3e4,xj=50,Tj=2147483647-xj,Gpe=Un,Hh=class extends Gpe{static{s(this,"ProtocolSession")}constructor(t){super(),this._cdpSession=t,this._targetInfo=void 0,this._nextProtocolTimeout=void 0,this._handleProtocolEvent=this._handleProtocolEvent.bind(this),this._cdpSession.on("*",this._handleProtocolEvent)}id(){return this._cdpSession.id()}_handleProtocolEvent(t,...n){this.emit(t,...n)}setTargetInfo(t){this._targetInfo=t}hasNextProtocolTimeout(){return this._nextProtocolTimeout!==void 0}getNextProtocolTimeout(){return this._nextProtocolTimeout||Wpe}setNextProtocolTimeout(t){t>Tj&&(t=Tj),this._nextProtocolTimeout=t}sendCommand(t,...n){let r=this.getNextProtocolTimeout();this._nextProtocolTimeout=void 0;let a,o=new Promise((u,d)=>{a=setTimeout(d,r,new H(H.errors.PROTOCOL_TIMEOUT,{protocolMethod:t}))}),i=this._cdpSession.send(t,...n,{timeout:r+xj}).catch(u=>{throw M.formatProtocol("method <= browser ERR",{method:t},"error"),H.fromProtocolMessage(
t,u)});return Promise.race([i,o]).finally(()=>{a&&clearTimeout(a)})}sendCommandAndIgnore(t,...n){return this.sendCommand(t,...n).catch(r=>M.verbose("session",t,r.message)).then(r=>{})}async dispose(){this._cdpSession.off("*",this._handleProtocolEvent),await this._cdpSession.detach().catch(t=>M.verbose("session","detach failed",t.message))}}});var Vpe,Wh,Cj=g(()=>{"use strict";l();ta();Me();Sj();Vpe=Un,Wh=class extends Vpe{static{s(this,"TargetManager")}constructor(t){super(),this._enabled=!1,this._rootCdpSession=t,this._mainFrameId="",this._targetIdToTargets=new Map,this._executionContextIdToDescriptions=new Map,this._onSessionAttached=this._onSessionAttached.bind(this),this._onFrameNavigated=this._onFrameNavigated.bind(this),this._onExecutionContextCreated=this._onExecutionContextCreated.bind(this),this._onExecutionContextDestroyed=this._onExecutionContextDestroyed.bind(this),this._onExecutionContextsCleared=this._onExecutionContextsCleared.bind(this)}async _onFrameNavigated(t){if(!t.frame.parentId&&this._enabled)try{await this._rootCdpSession.send("Target.setAutoAttach",{autoAttach:!0,flatten:!0,waitForDebuggerOnStart:!0})}catch(n){if(this._enabled)throw n}}_findSession(t){for(let{session:n,cdpSession:r}of this._targetIdToTargets.values())if(r.id()===t)return n;throw new Error(`session ${t} not found`)}_isAcceptedTargetType(t){
return t==="page"||t==="iframe"||t==="worker"}rootSession(){let t=this._rootCdpSession.id();return this._findSession(t)}mainFrameExecutionContexts(){return[...this._executionContextIdToDescriptions.values()].filter(t=>t.auxData.frameId===this._mainFrameId)}async _onSessionAttached(t){let n=new Hh(t),r;try{let{targetInfo:a}=await n.sendCommand("Target.getTargetInfo");if(r=a.type,!this._isAcceptedTargetType(r))return;let o=a.targetId;if(this._targetIdToTargets.has(o))return;n.setTargetInfo(a);let i=a.url||a.targetId;M.verbose("target-manager",`target ${i} attached`);let u=this._getProtocolEventListener(r,n.id());t.on("*",u),t.on("sessionattached",this._onSessionAttached);let d={target:a,cdpSession:t,session:n,protocolListener:u};this._targetIdToTargets.set(o,d),await n.sendCommand("Network.enable"),await n.sendCommand("Target.setAutoAttach",{autoAttach:!0,flatten:!0,waitForDebuggerOnStart:!0})}catch(a){if(/Target closed/.test(a.message))return;if(r==="worker"){M.warn("target-manager",`Is\
sue attaching to worker target: ${a}`);return}throw a}finally{await n.sendCommandAndIgnore("Runtime.runIfWaitingForDebugger")}}_onExecutionContextCreated(t){t.context.name!=="__puppeteer_utility_world__"&&t.context.name!=="lighthouse_isolated_context"&&this._executionContextIdToDescriptions.set(t.context.uniqueId,t.context)}_onExecutionContextDestroyed(t){this._executionContextIdToDescriptions.delete(t.executionContextUniqueId)}_onExecutionContextsCleared(){this._executionContextIdToDescriptions.clear()}_getProtocolEventListener(t,n){return s((a,o)=>{let i={method:a,params:o,targetType:t,sessionId:n};this.emit("protocolevent",i)},"onProtocolEvent")}async enable(){this._enabled||(this._enabled=!0,this._targetIdToTargets=new Map,this._executionContextIdToDescriptions=new Map,this._rootCdpSession.on("Page.frameNavigated",this._onFrameNavigated),this._rootCdpSession.on("Runtime.executionContextCreated",this._onExecutionContextCreated),this._rootCdpSession.on("Runtime.executionContextDestro\
yed",this._onExecutionContextDestroyed),this._rootCdpSession.on("Runtime.executionContextsCleared",this._onExecutionContextsCleared),await this._rootCdpSession.send("Page.enable"),await this._rootCdpSession.send("Runtime.enable"),this._mainFrameId=(await this._rootCdpSession.send("Page.getFrameTree")).frameTree.frame.id,await this._onSessionAttached(this._rootCdpSession))}async disable(){this._rootCdpSession.off("Page.frameNavigated",this._onFrameNavigated),this._rootCdpSession.off("Runtime.executionContextCreated",this._onExecutionContextCreated),this._rootCdpSession.off("Runtime.executionContextDestroyed",this._onExecutionContextDestroyed),this._rootCdpSession.off("Runtime.executionContextsCleared",this._onExecutionContextsCleared);for(let{cdpSession:t,protocolListener:n}of this._targetIdToTargets.values())t.off("*",n),t.off("sessionattached",this._onSessionAttached);await this._rootCdpSession.send("Page.disable").catch(t=>{}),await this._rootCdpSession.send("Runtime.disable").catch(
t=>{}),this._enabled=!1,this._targetIdToTargets=new Map,this._executionContextIdToDescriptions=new Map,this._mainFrameId=""}}});var Gh,kj=g(()=>{"use strict";l();Kt();Gh=class{static{s(this,"Fetcher")}constructor(t){this.session=t}async fetchResource(t,n={timeout:2e3}){return globalThis.isLightrider?this._wrapWithTimeout(this._fetchWithFetchApi(t),n.timeout):this._fetchResourceOverProtocol(t,n)}async _fetchWithFetchApi(t){let n=await fetch(t),r=null;try{r=await n.text()}catch{}return{content:r,status:n.status}}async _readIOStream(t,n={timeout:2e3}){let r=Date.now(),a,o="";for(;!a||!a.eof;){if(Date.now()-r>n.timeout)throw new Error("Waiting for the end of the IO stream exceeded the allotted time.");a=await this.session.sendCommand("IO.read",{handle:t});let c=a.base64Encoded?Buffer.from(a.data,"base64").toString("utf-8"):a.data;o=o.concat(c)}return o}async _loadNetworkResource(t){let n=await this.session.sendCommand("Page.getFrameTree"),r=await this.session.sendCommand("Network.loadNetworkResource",{frameId:n.frameTree.frame.id,url:t,options:{disableCache:!0,includeCredentials:!0}});return{stream:r.resource.success&&
r.resource.stream||null,status:r.resource.httpStatusCode||null}}async _fetchResourceOverProtocol(t,n){let r=Date.now(),a=await this._wrapWithTimeout(this._loadNetworkResource(t),n.timeout),o=a.status&&a.status>=200&&a.status<=299;if(!a.stream||!o)return{status:a.status,content:null};let i=n.timeout-(Date.now()-r),c=await this._readIOStream(a.stream,{timeout:i});return{status:a.status,content:c}}async _wrapWithTimeout(t,n){let r,a=new Promise((i,c)=>{r=setTimeout(c,n,new Error("Timed out fetching resource"))});return await Promise.race([t,a]).finally(()=>clearTimeout(r))}}});var _n,qS,vo,Vh=g(()=>{"use strict";l();Me();tp();Cj();_t();kj();VE();_n=s(()=>{throw new Error("Session not connected")},"throwNotConnectedFn"),qS={setTargetInfo:_n,hasNextProtocolTimeout:_n,getNextProtocolTimeout:_n,setNextProtocolTimeout:_n,on:_n,once:_n,off:_n,sendCommand:_n,sendCommandAndIgnore:_n,dispose:_n},vo=class{static{s(this,"Driver")}constructor(t){this._page=t,this._targetManager=void 0,this._networkMonitor=void 0,this._executionContext=void 0,this._fetcher=void 0,this.defaultSession=qS;let n=s(a=>{},"rej"),r=new Promise((a,o)=>n=o);this.fatalRejection={promise:r,rej:n}}get executionContext(){return this._executionContext?this._executionContext:_n()}get fetcher(){return this._fetcher?this._fetcher:_n()}get targetManager(){return this._targetManager?this._targetManager:_n()}get networkMonitor(){return this._networkMonitor?this._networkMonitor:_n()}async url(){return this._page.url()}async connect(){if(this.defaultSession!==qS)return;let t={msg:"Connecting to browser",id:"l\
h:driver:connect"};M.time(t);let n=await this._page.target().createCDPSession();this._targetManager=new Wh(n),await this._targetManager.enable(),this._networkMonitor=new Ds(this._targetManager),await this._networkMonitor.enable(),this.defaultSession=this._targetManager.rootSession(),this.listenForCrashes(),this._executionContext=new Pa(this.defaultSession),this._fetcher=new Gh(this.defaultSession),M.timeEnd(t)}listenForCrashes(){this.defaultSession.on("Inspector.targetCrashed",async t=>{M.error("Driver","Inspector.targetCrashed"),this.defaultSession.dispose(),this.fatalRejection.rej(new H(H.errors.TARGET_CRASHED))})}async disconnect(){this.defaultSession!==qS&&(await this._targetManager?.disable(),await this._networkMonitor?.disable(),await this.defaultSession.dispose())}}});function Fj(e,t){let n=new Error(`Dependency "${e.id}" failed with exception: ${t.message}`);return n.expected=!0,n}function mc(){return{startInstrumentation:{},startSensitiveInstrumentation:{},stopSensitiveInstrumentation:{},stopInstrumentation:{},getArtifact:{}}}async function In(e){let{driver:t,page:n,artifactDefinitions:r,artifactState:a,baseArtifacts:o,phase:i,gatherMode:c,computedCache:u,settings:d}=e,m=$pe[i],p=m&&a[m]||{},h=i==="getArtifact";for(let f of r){M.verbose(`artifacts:${i}`,f.id);let y=f.gatherer.instance,w=(p[f.id]||Promise.resolve()).then(async()=>{let E=h?await Ype(f,a.getArtifact):{},T={msg:`Getting artifact: ${f.id}`,id:`lh:gather:getArtifact:${f.id}`};h&&M.time(T);let S=await y[i]({gatherMode:c,driver:t,page:n,baseArtifacts:o,dependencies:E,computedCache:u,settings:d});return h&&M.timeEnd(T),S});await w.catch(E=>{gt.captureException(E,{tags:{gatherer:f.id,phase:i},level:"error"}),M.error(f.id,E.message)}),a[i][f.id]=w}}async function Ype(e,t){if(!e.dependencies)
return{};let n=Object.entries(e.dependencies).map(async([r,a])=>{let o=t[a.id];if(o===void 0)throw new Error(`"${a.id}" did not run`);if(o instanceof Error)throw Fj(a,o);let i=Promise.resolve().then(()=>o).catch(c=>Promise.reject(Fj(a,c)));return[r,await i]});return Object.fromEntries(await Promise.all(n))}async function pc(e){let t={};for(let[n,r]of Object.entries(e.getArtifact)){let a=await r.catch(o=>o);a!==void 0&&(t[n]=a)}return t}var $pe,$h=g(()=>{"use strict";l();Me();Hn();s(Fj,"createDependencyError");s(mc,"getEmptyArtifactState");$pe={startInstrumentation:void 0,startSensitiveInstrumentation:"startInstrumentation",stopSensitiveInstrumentation:"startSensitiveInstrumentation",stopInstrumentation:"stopSensitiveInstrumentation",getArtifact:"stopInstrumentation"};s(In,"collectPhaseArtifacts");s(Ype,"collectArtifactDependencies");s(pc,"awaitArtifacts")});async function Aj(e){let t={msg:"Getting browser version",id:"lh:gather:getVersion"};M.time(t,"verbose");let n=await e.sendCommand("Browser.getVersion"),r=n.product.match(/\/(\d+)/),a=r?parseInt(r[1]):0;return M.timeEnd(t),Object.assign(n,{milestone:a})}async function _j(e){let t={msg:"Benchmarking machine",id:"lh:gather:getBenchmarkIndex"};M.time(t);let n=await e.evaluate(Ue.computeBenchmarkIndex,{args:[]});return M.timeEnd(t),n}function Xpe(e){let{settings:t,baseArtifacts:n}=e,{throttling:r,throttlingMethod:a}=t,o=qn.throttling;if(t.channel!=="cli")return;let i=a==="simulate"||a==="devtools",c=r.cpuSlowdownMultiplier===o.cpuSlowdownMultiplier;if(!(!i||!c)&&!(n.BenchmarkIndex>Kpe))return Jpe(Rj.warningSlowHostCpu)}function Ij(e){return[Xpe(e)].filter(t=>!!t)}var Rj,Kpe,Jpe,Mj=g(()=>{"use strict";l();Me();cr();xn();A();Rj={warningSlowHostCpu:"The tested device appears to have a slower CPU than  Lighthouse expects. This can negatively affect your performance score. Learn more about [cal\
ibrating an appropriate CPU slowdown multiplier](https://github.com/GoogleChrome/lighthouse/blob/main/docs/throttling.md#cpu-throttling)."},Kpe=1e3,Jpe=D("core/gather/driver/environment.js",Rj);s(Aj,"getBrowserVersion");s(_j,"getBenchmarkIndex");s(Xpe,"getSlowHostCpuWarning");s(Ij,"getEnvironmentWarnings")});async function fc(e,t,n){let r=await _j(t.executionContext),{userAgent:a,product:o}=await Aj(t.defaultSession);return{fetchTime:new Date().toJSON(),Timing:[],LighthouseRunWarnings:[],settings:e.settings,BenchmarkIndex:r,HostUserAgent:a,HostFormFactor:a.includes("Android")||a.includes("Mobile")?"mobile":"desktop",HostProduct:o,URL:{finalDisplayedUrl:""},PageLoadError:null,GatherContext:n}}function Zpe(e){let t=[];for(let n of e)t.some(r=>(0,Nj.default)(n,r))||t.push(n);return t}function hc(e,t){e.LighthouseRunWarnings.push(...Ij({settings:e.settings,baseArtifacts:e}));let n={...e,...t};if(n.Timing=M.getTimeEntries(),n.LighthouseRunWarnings=Zpe(e.LighthouseRunWarnings),n.PageLoadError&&!n.URL.finalDisplayedUrl&&(n.URL.finalDisplayedUrl=n.URL.requestedUrl||""),!n.URL.finalDisplayedUrl)throw new Error("Runner did not set finalDisplayedUrl");return n}var Nj,Yh=g(()=>{"use strict";l();Me();Nj=Bt(Lc(),1);Mj();s(fc,"getBaseArtifacts");s(Zpe,"deduplicateWarnings");s(hc,"finalizeArtifacts")});async function zS(e,t={}){let{flags:n={},config:r}=t;M.setLevel(n.logLevel||"error");let{resolvedConfig:a}=await Ea("snapshot",r,n),o=new vo(e);await o.connect();let i=new Map,c=await o.url(),u={resolvedConfig:a,computedCache:i},d=s(async()=>{let p=await fc(a,o,{gatherMode:"snapshot"});p.URL={finalDisplayedUrl:c};let h=a.artifacts||[],f=mc();await In({phase:"getArtifact",gatherMode:"snapshot",driver:o,page:e,baseArtifacts:p,artifactDefinitions:h,artifactState:f,computedCache:i,settings:a.settings}),await o.disconnect();let y=await pc(f);return hc(p,y)},"gatherFn");return{artifacts:await nn.gather(d,u),runnerOptions:u}}var HS=g(()=>{"use strict";l();Me();Vh();yo();$h();cc();Yh();s(zS,"snapshotGather")});async function Jh(e,t,n){let r={msg:"Cleaning origin data",id:"lh:storage:clearDataForOrigin"};M.time(r);let a=[],o=new URL(t).origin,i=n.join(",");e.setNextProtocolTimeout(5e3);try{await e.sendCommand("Storage.clearDataForOrigin",{origin:o,storageTypes:i})}catch(c){if(c.code==="PROTOCOL_TIMEOUT")M.warn("Driver","clearDataForOrigin timed out"),a.push(WS(Kh.warningOriginDataTimeout));else throw c}finally{M.timeEnd(r)}return a}async function Pj(e,t){let n=await e.sendCommand("Storage.getUsageAndQuota",{origin:t}),r={local_storage:"Local Storage",indexeddb:"IndexedDB",websql:"Web SQL"},a=n.usageBreakdown.filter(o=>o.usage).map(o=>r[o.storageType]||"").filter(Boolean);if(a.length)return WS(Kh.warningData,{locations:a.join(", "),locationCount:a.length})}async function Lj(e){let t={msg:"Cleaning browser cache",id:"lh:storage:clearBrowserCaches"};M.time(t);let n=[];try{await e.sendCommand("Network.clearBrowserCache"),await e.sendCommand("Network.setCacheDisabled",{cacheDisabled:!0}),await e.sendCommand(
"Network.setCacheDisabled",{cacheDisabled:!1})}catch(r){if(r.code==="PROTOCOL_TIMEOUT")M.warn("Driver","clearBrowserCaches timed out"),n.push(WS(Kh.warningCacheTimeout));else throw r}finally{M.timeEnd(t)}return n}var Kh,WS,GS=g(()=>{"use strict";l();Me();A();Kh={warningData:`{locationCount, plural,
    =1 {There may be stored data affecting loading performance in this location: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}
    other {There may be stored data affecting loading performance in these locations: {locations}. Audit this page in an incognito window to prevent those resources from affecting your scores.}
  }`,warningCacheTimeout:"Clearing the browser cache timed out. Try auditing this page again and file a bug if the issue persists.",warningOriginDataTimeout:"Clearing the origin data timed out. Try auditing this page again and file a bug if the issue persists."},WS=D("core/gather/driver/storage.js",Kh);s(Jh,"clearDataForOrigin");s(Pj,"getImportantStorageWarning");s(Lj,"clearBrowserCaches")});async function Xh(e){let t=s(async()=>{await e.sendCommand("Debugger.enable"),await e.sendCommand("Debugger.setSkipAllPauses",{skip:!0}),await e.sendCommand("Debugger.setAsyncCallStackDepth",{maxDepth:8})},"enable");function n(){e.sendCommand("Debugger.resume")}s(n,"onDebuggerPaused");function r(a){a.frame.parentId||t().catch(o=>M.error("Driver",o))}return s(r,"onFrameNavigated"),e.on("Debugger.paused",n),e.on("Page.frameNavigated",r),await t(),async()=>{await e.sendCommandAndIgnore("Debugger.disable"),e.off("Debugger.paused",n),e.off("Page.frameNavigated",r)}}async function Qpe(e,t){await e.executionContext.evaluateOnNewDocument(Ue.wrapRequestIdleCallback,{args:[t.throttling.cpuSlowdownMultiplier]})}async function efe(e){e.on("Page.javascriptDialogOpening",t=>{M.warn("Driver",`${t.type} dialog opened by the page automatically suppressed.`),e.sendCommand("Page.handleJavaScriptDialog",{accept:!0,promptText:"Lighthouse prompt response"}).catch(n=>M.warn("Driver",n))}),await e.sendCommand(
"Page.enable")}async function tfe(e,t,n){let r=[],a=await Jh(e,t,n);r.push(...a);let o=await Lj(e);r.push(...o);let i=await Pj(e,t);return i&&r.push(i),{warnings:r}}async function Bj(e,t){let n={msg:"Preparing network conditions",id:"lh:gather:prepareThrottlingAndNetwork"};M.time(n),await b3(e,t);let r=t.blockedUrlPatterns||[];await e.sendCommand("Network.setBlockedURLs",{urls:r});let a=t.extraHeaders;a&&await e.sendCommand("Network.setExtraHTTPHeaders",{headers:a}),M.timeEnd(n)}async function Uj(e,t){await e.defaultSession.sendCommand("Network.enable"),await bp(e.defaultSession,t)}async function jj(e,t){let n={msg:"Preparing target for timespan mode",id:"lh:prepare:timespanMode"};M.time(n),await Uj(e,t),await Bj(e.defaultSession,t),await qj(e),M.timeEnd(n)}async function qj(e){await e.executionContext.evaluate(Ue.truncate,{args:["aaa",2]})}async function zj(e,t,n){let r={msg:"Preparing target for navigation mode",id:"lh:prepare:navigationMode"};M.time(r);let a=[];if(await Uj(e,t),await efe(
e.defaultSession),await e.executionContext.cacheNativesOnNewDocument(),t.throttlingMethod==="simulate"&&await Qpe(e,t),await qj(e),!t.disableStorageReset&&typeof n=="string"){let{warnings:i}=await tfe(e.defaultSession,n,t.clearStorageTypes);a.push(...i)}return await Bj(e.defaultSession,t),M.timeEnd(r),{warnings:a}}var VS=g(()=>{"use strict";l();Me();GS();wp();xn();s(Xh,"enableAsyncStacks");s(Qpe,"shimRequestIdleCallbackOnNewDocument");s(efe,"dismissJavaScriptDialogs");s(tfe,"resetStorageForUrl");s(Bj,"prepareThrottlingAndNetwork");s(Uj,"prepareDeviceEmulation");s(jj,"prepareTargetForTimespanMode");s(qj,"warmUpIntlSegmenter");s(zj,"prepareTargetForNavigationMode")});async function $S(e,t={}){let{flags:n={},config:r}=t;M.setLevel(n.logLevel||"error");let{resolvedConfig:a}=await Ea("timespan",r,n),o=new vo(e);await o.connect();let i=new Map,c=a.artifacts||[],u=await fc(a,o,{gatherMode:"timespan"}),d=mc(),m={driver:o,page:e,artifactDefinitions:c,artifactState:d,baseArtifacts:u,computedCache:i,gatherMode:"timespan",settings:a.settings};await jj(o,a.settings);let p=!1;function h(){p=!0}s(h,"onFrameNavigated"),o.defaultSession.on("Page.frameNavigated",h);let f=await Xh(o.defaultSession);return await In({phase:"startInstrumentation",...m}),await In({phase:"startSensitiveInstrumentation",...m}),{async endTimespanGather(){let y=await o.url(),v={resolvedConfig:a,computedCache:i},w=s(async()=>{u.URL={finalDisplayedUrl:y},await In({phase:"stopSensitiveInstrumentation",...m}),await In({phase:"stopInstrumentation",...m}),await f(),o.defaultSession.off("Page.frameNavigated",h),p&&u.LighthouseRunWarnings.push(rfe(Hj.warningNavigationDetected)),await In({phase:"ge\
tArtifact",...m}),await o.disconnect();let T=await pc(d);return hc(u,T)},"gatherFn");return{artifacts:await nn.gather(w,v),runnerOptions:v}}}}var Hj,rfe,YS=g(()=>{"use strict";l();Me();Vh();yo();$h();VS();cc();Yh();A();Hj={warningNavigationDetected:"A page navigation was detected during the run. Using timespan mode to audit page navigations is not recommended. Use navigation mode to audit page navigations for better third-party attribution and main thread detection."},rfe=D("core/gather/timespan-runner.js",Hj);s($S,"startTimespanGather")});var Wj,Gj=g(()=>{l();Wj={}});function cfe(e){let{pauseAfterFcpMs:t,pauseAfterLoadMs:n,networkQuietThresholdMs:r,cpuQuietThresholdMs:a}=e,o=e.maxWaitForLoad,i=e.maxWaitForFcp;return typeof t!="number"&&(t=afe),typeof n!="number"&&(n=ofe),typeof r!="number"&&(r=ife),typeof a!="number"&&(a=sfe),typeof o!="number"&&(o=qn.maxWaitForLoad),typeof i!="number"&&(i=qn.maxWaitForFcp),e.waitUntil.includes("fcp")||(i=void 0),{pauseAfterFcpMs:t,pauseAfterLoadMs:n,networkQuietThresholdMs:r,cpuQuietThresholdMs:a,maxWaitForLoadedMs:o,maxWaitForFcpMs:i}}async function JS(e,t,n){let r=typeof t=="string"?{msg:`Navigating to ${t}`,id:"lh:driver:navigate"}:{msg:"Navigating using a user defined function",id:"lh:driver:navigate"};M.time(r);let a=e.defaultSession,o=e.networkMonitor;await a.sendCommand("Page.enable"),await a.sendCommand("Page.setLifecycleEventsEnabled",{enabled:!0});let i;typeof t=="string"?(a.setNextProtocolTimeout(1/0),i=a.sendCommand("Page.navigate",{url:t})):i=t();let c=n.waitUntil.includes("navigated"),u=n.waitUntil.includes(
"load"),d=n.waitUntil.includes("fcp"),m=[];if(c){let w=np(a).promise;m.push(w.then(()=>({timedOut:!1})))}if(u){let w=cfe(n);m.push(nN(a,o,w))}else if(d)throw new Error("Cannot wait for FCP without waiting for page load");let h=(await Promise.race([e.fatalRejection.promise,Promise.all(m)])).some(w=>w.timedOut),f=await o.getNavigationUrls(),y=f.requestedUrl;if(typeof t=="string"&&(y&&!K.equalWithExcludedFragments(t,y)&&M.error("Navigation",`Provided URL (${t}) did not match initial navigation URL (${y})`),y=t),!y)throw Error("No navigations detected when running user defined requestor.");let v=f.mainDocumentUrl||y;return await i,n.debugNavigation&&await rN(e),M.timeEnd(r),{requestedUrl:y,mainDocumentUrl:v,warnings:ufe({timedOut:h,mainDocumentUrl:v,requestedUrl:y})}}function ufe(e){let{requestedUrl:t,mainDocumentUrl:n}=e,r=[];return e.timedOut&&r.push(Vj(KS.warningTimeout)),K.equalWithExcludedFragments(t,n)||r.push(Vj(KS.warningRedirected,{requested:t,final:n})),r}var KS,Vj,afe,ofe,ife,sfe,
$j=g(()=>{"use strict";l();Me();rp();cr();A();tt();KS={warningRedirected:"The page may not be loading as expected because your test URL ({requested}) was redirected to {final}. Try testing the second URL directly.",warningTimeout:"The page loaded too slowly to finish within the time limit. Results may be incomplete."},Vj=D("core/gather/driver/navigation.js",KS),afe=0,ofe=0,ife=5e3,sfe=0;s(cfe,"resolveWaitForFullyLoadedOptions");s(JS,"gotoURL");s(ufe,"getNavigationWarnings")});function dfe(e,t){if(e){if(e.failed){let n=e.localizedFailDescription;return n==="net::ERR_NAME_NOT_RESOLVED"||n==="net::ERR_NAME_RESOLUTION_FAILED"||n.startsWith("net::ERR_DNS_")?new H(H.errors.DNS_FAILURE):new H(H.errors.FAILED_DOCUMENT_REQUEST,{errorDetails:n})}else if(e.hasErrorStatusCode())if(t.ignoreStatusCode)t.warnings.push(Yj(XS.warningStatusCode,{errorCode:e.statusCode}));else return new H(H.errors.ERRORED_DOCUMENT_REQUEST,{statusCode:`${e.statusCode}`})}else return new H(H.errors.NO_DOCUMENT_REQUEST)}function mfe(e,t){if(!(!e||!t.find(r=>r.documentURL.startsWith("chrome-error://")))&&e.failed)return e.localizedFailDescription.startsWith("net::ERR_CERT")?new H(H.errors.INSECURE_DOCUMENT_REQUEST,{securityMessages:e.localizedFailDescription}):new H(H.errors.CHROME_INTERSTITIAL_ERROR)}function pfe(e){if(e&&!(!e.mimeType||e.statusCode===-1)&&e.mimeType!==lfe&&e.mimeType!==Kj)return new H(H.errors.NOT_HTML,{mimeType:e.mimeType})}function Jj(e,t){let{url:n,networkRecords:r}=t,a=Xt.
findResourceForUrl(r,n);if(!a){let d=r.filter(m=>m.resourceType===J.TYPES.Document);d.length&&(a=d.reduce((m,p)=>p.networkRequestTime<m.networkRequestTime?p:m))}let o;if(a)o=Xt.resolveRedirects(a);else return e;o?.mimeType===Kj&&t.warnings.push(Yj(XS.warningXhtml));let i=dfe(a,t),c=mfe(a,r),u=pfe(o);return c||i||u||e}var XS,Yj,lfe,Kj,Xj=g(()=>{"use strict";l();_t();Hi();Ct();A();XS={warningXhtml:"The page MIME type is XHTML: Lighthouse does not explicitly support this document type",warningStatusCode:"Lighthouse was unable to reliably load the page you requested. Make sure you are testing the correct URL and that the server is properly responding to all requests. (Status code: {errorCode})"},Yj=D("core/lib/navigation-error.js",XS),lfe="text/html",Kj="application/xhtml+xml";s(dfe,"getNetworkError");s(mfe,"getInterstitialError");s(pfe,"getNonHtmlError");s(Jj,"getPageLoadError")});async function gfe({driver:e,resolvedConfig:t,requestor:n}){await e.connect(),typeof n=="string"&&!t.settings.skipAboutBlank&&(await e._networkMonitor?.disable(),await JS(e,t.settings.blankPage,{waitUntil:["navigated"]}),await e._networkMonitor?.enable());let r=await fc(t,e,{gatherMode:"navigation"}),{warnings:a}=await zj(e,t.settings,n);return r.LighthouseRunWarnings.push(...a),{baseArtifacts:r}}async function yfe({driver:e}){await w3(e.defaultSession)}async function vfe(e){let{driver:t,resolvedConfig:n,requestor:r}=e;try{let{requestedUrl:a,mainDocumentUrl:o,warnings:i}=await JS(t,r,{...n.settings,waitUntil:n.settings.pauseAfterFcpMs?["fcp","load"]:["load"]});return e.baseArtifacts.LighthouseRunWarnings.push(...i),{requestedUrl:a,mainDocumentUrl:o,navigationError:void 0}}catch(a){if(!(a instanceof H)||a.code!=="NO_FCP"&&a.code!=="PAGE_HUNG"&&a.code!=="TARGET_CRASHED"||typeof r!="string")throw a;return{requestedUrl:r,mainDocumentUrl:r,navigationError:a}}}async function bfe(e,t){let n,r;
for(let o of t.artifactDefinitions){let{instance:i}=o.gatherer;i instanceof qt?n=i.getDebugData():i instanceof or&&(r=i.getDebugData())}let a=n&&await ae.request(n,e);return{devtoolsLog:n,records:a,trace:r}}async function wfe(e,t,n){let{navigationError:r,requestedUrl:a,mainDocumentUrl:o}=n,i=await bfe(e,t),c=i.records?Jj(r,{url:o,ignoreStatusCode:e.resolvedConfig.settings.ignoreStatusCode,networkRecords:i.records,warnings:e.baseArtifacts.LighthouseRunWarnings}):r;if(c){let u=e.resolvedConfig.settings.locale,d=Io(c.friendlyMessage,u);M.error("NavigationRunner",d,a);let m={},p="pageLoadError-defaultPass";return i.devtoolsLog&&(m.DevtoolsLogError=i.devtoolsLog,m.devtoolsLogs={[p]:i.devtoolsLog}),i.trace&&(m.TraceError=i.trace,m.traces={[p]:i.trace}),e.baseArtifacts.LighthouseRunWarnings.push(c.friendlyMessage),e.baseArtifacts.PageLoadError=c,m}else return await In({phase:"getArtifact",...t}),await pc(t.artifactState)}async function Dfe(e){if(!e.resolvedConfig.artifacts)throw new Error("No\
 artifacts were defined on the config");let t=mc(),n={url:await e.driver.url(),gatherMode:"navigation",driver:e.driver,page:e.page,computedCache:e.computedCache,artifactDefinitions:e.resolvedConfig.artifacts,artifactState:t,baseArtifacts:e.baseArtifacts,settings:e.resolvedConfig.settings},r=await Xh(e.driver.defaultSession);await In({phase:"startInstrumentation",...n}),await In({phase:"startSensitiveInstrumentation",...n});let a=await vfe(e);return Object.values(n.baseArtifacts.URL).every(Boolean)||(n.baseArtifacts.URL={requestedUrl:a.requestedUrl,mainDocumentUrl:a.mainDocumentUrl,finalDisplayedUrl:await e.driver.url()}),n.url=a.mainDocumentUrl,await In({phase:"stopSensitiveInstrumentation",...n}),await In({phase:"stopInstrumentation",...n}),await r(),await yfe(e),wfe(e,n,a)}async function Efe({requestedUrl:e,driver:t,resolvedConfig:n,lhBrowser:r,lhPage:a}){!n.settings.disableStorageReset&&e&&await Jh(t.defaultSession,e,n.settings.clearStorageTypes),await t.disconnect(),await a?.close(),
await r?.disconnect()}async function ZS(e,t,n={}){let{flags:r={},config:a}=n;M.setLevel(r.logLevel||"error");let{resolvedConfig:o}=await Ea("navigation",a,r),i=new Map,c=typeof t=="function",u={resolvedConfig:o,computedCache:i},d=s(async()=>{let p=c?t:K.normalizeUrl(t),h,f;if(!e){let{hostname:T=ffe,port:S=hfe}=r;h=await Wj.connect({browserURL:`http://${T}:${S}`,defaultViewport:null}),f=await h.newPage(),e=f}let v={driver:new vo(e),lhBrowser:h,lhPage:f,page:e,resolvedConfig:o,requestor:p,computedCache:i},{baseArtifacts:w}=await gfe(v),E=await Dfe({...v,baseArtifacts:w});return await Efe(v),hc(w,E)},"gatherFn");return{artifacts:await nn.gather(d,u),runnerOptions:u}}var ffe,hfe,QS=g(()=>{"use strict";l();Gj();Me();Vh();yo();$h();VS();$j();GS();wp();cc();Yh();aa();_t();tt();Xj();xo();dr();nt();ffe="127.0.0.1",hfe=9222;s(gfe,"_setup");s(yfe,"_cleanupNavigation");s(vfe,"_navigate");s(bfe,"_collectDebugData");s(wfe,"_computeNavigationResult");s(Dfe,"_navigation");s(Efe,"_cleanup");s(ZS,"navig\
ationGather")});var Tfe,dXe,Zj=g(()=>{"use strict";l();zh();HS();YS();QS();yo();cc();aa();BS();A();Kt();Tfe={defaultFlowName:"User flow ({url})",defaultNavigationName:"Navigation report ({url})",defaultTimespanName:"Timespan report ({url})",defaultSnapshotName:"Snapshot report ({url})"},dXe=D("core/user-flow.js",Tfe)});var gXe,Qj=g(()=>{"use strict";l();Kt();cr();gXe={extends:"lighthouse:default",settings:{formFactor:"desktop",throttling:sr.desktopDense4G,screenEmulation:Wm.desktop,emulatedUserAgent:Ma.desktop}}});async function xfe(e,t={},n,r){return Zh(r,e,{config:n,flags:t})}async function Zh(e,t,n){let r=await ZS(e,t,n);return nn.audit(r.artifacts,r.runnerOptions)}async function eC(e,t){let n=await zS(e,t);return nn.audit(n.artifacts,n.runnerOptions)}async function tC(e,t){let{endTimespanGather:n}=await $S(e,t);return{endTimespan:s(async()=>{let a=await n();return nn.audit(a.artifacts,a.runnerOptions)},"endTimespan")}}var AXe,eq,qh=g(()=>{"use strict";l();xo();yo();Zj();zh();YS();HS();QS();Kt();$();Ge();nt();Vg();Qj();Kt();s(xfe,"lighthouse");s(Zh,"navigation");s(eC,"snapshot");s(tC,"startTimespan");AXe=or.getDefaultTraceCategories(),eq=xfe});l();Ei();Me();qh();A();aa();cr();globalThis.Buffer=z;function Sfe(e,t){let n={onlyCategories:e,screenEmulation:{disabled:!0},ignoreStatusCode:!0};return t==="desktop"&&(n.throttling=sr.desktopDense4G,n.emulatedUserAgent=Ma.desktop,n.formFactor="desktop"),{extends:"lighthouse:default",settings:n}}s(Sfe,"createConfig");function Cfe(e){M.events.addListener("status",e),M.events.addListener("warning",e)}s(Cfe,"listenForStatus");function kfe(e){return Mm(e,k_())}s(kfe,"lookupCanonicalLocale");function Ffe(e,{page:t,...n}){return Zh(t,e,n)}s(Ffe,"runLighthouseNavigation");function Rfe({page:e,...t}){return tC(e,t)}s(Rfe,"startLighthouseTimespan");function Afe({page:e,...t}){return eC(e,t)}s(Afe,"runLighthouseSnapshot");typeof self<"u"?(globalThis.isDevtools=!0,self.runLighthouseNavigation=Ffe,self.navigation=Zh,self.startLighthouseTimespan=Rfe,self.startTimespan=tC,self.runLighthouseSnapshot=Afe,self.snapshot=eC,self.createConfig=Sfe,self.listenForStatus=Cfe,self.registerLocaleData=R_,self.lookupLocale=kfe):globalThis.runBundledLighthouse=
eq;})();
/*!
 * The buffer module from node.js, for the browser.
 *
 * @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 * @license  MIT
 */
/*! Bundled license information:

lighthouse-stack-packs/packs/joomla.js:
  (**
   * @license Copyright 2020 The Lighthouse Authors. All Rights Reserved.
   * Licensed under the Apache License, Version 2.0 (the 'License'); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
   * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
   *)

image-ssim/index.js:
  (**
   * @preserve
   * Copyright 2015 Igor Bezkrovny
   * All rights reserved. (MIT Licensed)
   *
   * ssim.ts - part of Image Quantization Library
   *)
*/
//# sourceMappingURL=lighthouse-dt-bundle.js.map
